 

/**
 *
 *
 */
var Zissou = {

    lastQuery: "",
    
    locked : true, // unlocks in 2 seconds after loading

    findValueCallback : function (event, data, formatted) {

        var inputValue = top.Util.byId("zissou_input").value;

        var dataObject;
        eval("dataObject = " + data[1]);
        var action = null;

        if ( typeof(dataObject.command ) != 'undefined' ) {

            //
            // Power Commands
            //
            if ( dataObject.command.indexOf( "@create" ) != -1 ) {
                executePowerCommand( dataObject.command );
                Zissou.clear();
            } else if ( dataObject.command == "view_all" ) {
                //
                // Full Search
                //
                if ( dataObject.section == ZissouLiterals.Commands ) {
                    Zissou.clear();

                    showAllMenuCommands( inputValue );
                } else {

                    //
                    // Goto traditional search (view all)
                    //
                    //var q = top.Util.byId("zissou_input").value;
                	// Fix for ESP-50427, instead of reading search text string from text box setting it in a dataObject in ZissouSearch.java and reading here.
                    var q = dataObject.searchString;  
                    Zissou.clear();
                    var url;
                    var titleImage = null;
                    var params = "searchObject=7&CACHED_SEARCH_ID=BASIC_RFQ_SEARCH&jspAction=25&custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_RFQScsCeventmodeScsCN&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+ q +"*&group_term_group_IAs_primary=block&group_term_group_category=block&group_term_group_bu=block";

                    if ( q == "" ) q = (Zissou.lastQuery)?Zissou.lastQuery:"";

                    q = encodeURIComponent(q);//PRs ESP-43940 and ESP-43356 

                    switch( dataObject.section ) {
                        case ZissouLiterals.Categories:
                            titleImage = "img/title/item_master/view_categories.gif";
                            params = ZissouSearchActionFormatter.getCategorySearchParams(q,dataObject); break;
                        case ZissouLiterals.Suppliers:
                            titleImage = "img/title/suppliers/view_manage_suppliers.gif";
                            params = ZissouSearchActionFormatter.getSupplierSearchParams(q,dataObject); break;
                        case ZissouLiterals.Organization:
                            titleImage = "img/title/messages/view_all_messages.gif";
                            params = ZissouSearchActionFormatter.getOrganizationSearchParams(q,dataObject); break;
                        case ZissouLiterals.Projects:
							titleImage = "img/title/projects/view_and_manage_projects.gif";
                            //titleImage = "(JSP)list_welcome_projects_top.jsp";
                            params = ZissouSearchActionFormatter.getProjectSearchParams(q,dataObject); break;
                        case ZissouLiterals.Binders:
                            titleImage = "img/title/event/view_and_manage_binders.gif";
                            params = ZissouSearchActionFormatter.getBinderSearchParams(q,dataObject); break;
                        case ZissouLiterals.Bids:
                        case ZissouLiterals.RFx:
                        case ZissouLiterals.Notices:
                            titleImage = "img/title/rfqs/rfx_manage_rfx.gif";
                            params = ZissouSearchActionFormatter.getRfxSearchParams(q,dataObject);
                            break;

                        case ZissouLiterals.Assessment :
                            titleImage = "img/title/assessments/view_manage_supplier_assessments_main.gif";
                            params = ZissouSearchActionFormatter.getAssessmentSearchParams(q,dataObject); break;
                        case ZissouLiterals.Messaging :
                            titleImage = "img/title/messages/view_all_messages.gif";
                            params = ZissouSearchActionFormatter.getMessageSearchParams(q,dataObject); break;
                            
                    }

                    var url = dataObject.jspPage + "?" + params;
                    NAV_NewWork( top, url, null,null,null, titleImage );
                }

            } else {

                //
                // Toolbar Command Action Result
                //
                if ( ZissouToolbar.getCommand(dataObject) != null ) {
                    var func = ZissouToolbar.getCommand(dataObject);
                    //console.log( func );
                    func(); //execute toolbar function
                    Zissou.clear();
                } else {
                    //
                    // Menu Commands Action Result
                    //
                    if (  !top.frames["mainMenu"].isMenuDisabled( dataObject.internal_menu_name ) ) {
                        //Zissou.clear();
                        top.frames["mainMenu"].executeMenuFunction( dataObject.command );
                    } else {
                        var str = data[0].substr(0,data[0].length-9); //strip ":commands"
                        top.messageMenuItemDisabled(str); 
                    }
                }
            }
        } else {

            //
            // Data Action Search Result ( no command for data is set from zissou_find so we look them up here )
            //

            switch( dataObject.section ) {
                case ZissouLiterals.Categories:
                    action = ZissouDataActionFormatter.getCategoryDataAction(dataObject);
                    break;
                case ZissouLiterals.Suppliers:
                    action = ZissouDataActionFormatter.getSupplierDataAction(dataObject);
                    break;
                case ZissouLiterals.Organization:
                    action = ZissouDataActionFormatter.getOrganizationDataAction(dataObject);
                    break;
                case ZissouLiterals.Projects:
                    action = ZissouDataActionFormatter.getProjectDataAction(dataObject);
                    break;
                case ZissouLiterals.Binders:
                    action = ZissouDataActionFormatter.getBinderDataAction(dataObject);
                    break;
                case ZissouLiterals.Bids:
                case ZissouLiterals.RFx:
                    action = ZissouDataActionFormatter.getRfxDataAction(dataObject);
                    break;
                case ZissouLiterals.Assessment:
                    action = ZissouDataActionFormatter.getAssessmentDataAction(dataObject);
                    break;
                case ZissouLiterals.Messaging:
                    action = ZissouDataActionFormatter.getMessageDataAction(dataObject);
                    break;
                case ZissouLiterals.Notices:
                	action = ZissouDataActionFormatter.getNoticeDataAction(dataObject);
                    break;
                	
            }

            if ( action != null ) {
                action.execute();
                Zissou.clear();
            }
        }

    },

    ac_options : {
        width : 306,            //	Sets the width of the drop down layer. If a non-positive integer is specified, then the width of the box will be determined by the width of the input element. Generally speaking, you'll want to leave this value alone. However, in some circumstances you may have a small input element where the drop down layer needs to display a lot of options. In that case, you can specify a larger size.
        height: '95%',
        selectFirst : false,     // 	If this is set to true, the first autocomplete value will be automatically selected on tab/return, even if it has not been handpicked by keyboard or mouse action. If there is a handpicked (highlighted) result, that result will take precedence.
        max: 125,
        minChars : 2,
        //scrollHeight: 200,
        autoFill : false, // Whether or not the first match should be used to autofill in the input element. As you type, the first match will be filled in the input element as a best guess as to what you're looking for. Text you did not manually type will be pre-selected so typing the next character will make the guess go away and the next best match will be populated.
        cacheLength : 0  //The number of backend query results to store in cache. If set to 1 (the current result), no caching will happen. Do not set below 1.
        /*loadingClass : "ac_loading" // The class for the input box while results are being fetched from the server.
        /*,
        lineSeparator : "\n",   // The character that separates lines in the results from the backend.
        cellSeparator : "|",    // The character that separates cells in the results from the backend.
        minChars : 2 ,          // The minimum number of characters a user has to type before the autocompleter activates.
        delay : 700,            // The delay in milliseconds the autocompleter waits after a keystroke to activate itself. If you're using the data property to set a local array, you may wish to increase the delay to a shorter time frame (such as 40ms.)
        maxItemsToShow  : -1,   // Limits the number of results that will be showed in the drop down. This is useful if you have a large dataset and don't want to provide the user with a list that could contain hundreds of items. To disable this feature, set the value to -1.
        extraParams : {},       // Extra parameters for the backend. If you were to specify { bar:4 }, the autocompleter would call my_autocomplete_backend.php?q=foo&bar=4 (assuming the input box contains "foo").
        selectOnly : false,     // If this is set to true, and there is only one autocomplete when the user hits tab/return, it will be selected even if it has not been handpicked by keyboard or mouse action. This overrides selectFirst.
        formatItem : function(){},      // A JavaScript funcion that can provide advanced markup for an item. For each row of results, this function will be called. The returned value will be displayed inside an LI element in the results list. Autocompleter will provide 3 parameters: the results row, the position of the row in the list of results, and the number of items in the list of results. See the source code of http://www.dyve.net/jquery?autocomplete for an example.
        onSelectItem : function(){},    // A JavaScript function that will be called when an item is selected. The autocompleter will specify a single argument, being the LI element selected. This LI element will have an attribute "extra" that contains an array of all cells that the backend specified. See the source code of http://www.dyve.net/jquery?autocomplete for an example.
        onFindValue : function(){} // A JavaScript function that will be called when the findValue() method is called. The function will be passed the select LI element--just like the onSelectItem function is.
        */
    },

    initMainMenu : function(){
        var frm = top.frames["mainMenu"];
        var doc = frm.document; //(frm.contentWindow) ? top.frames["mainMenu"].contentWindow.document : top.frames["mainMenu"].contentDocument;

        var zCont = doc.getElementById("zissou_container");

        var pos = top.Util.getAbsPos(zCont);
        
        var zBox= top.Util.byId("zissou_box");
        //zBox.style.left = pos.x;
        //zBox.style.top = pos.y;
        //top.Util.show( zBox );

        var inputBubble = top.Util.byId("zissou_bubble");
        //inputBubble.style.right = 0;
        //inputBubble.style.top = pos.y + 20;
        
        //top.Util.show( inputBubble);

        //$(".ac_results").css("left", pos.x);
        $(".ac_results").css("right", 1);
    },

    resize : function() {
        //Zissou.hide();
        //Zissou.initMainMenu();
    },


    start : function(){
        var cnt = 0;

        $("#zissou_input").autocomplete(a_list_or_url, Zissou.ac_options );

        $("#zissou_input").result(Zissou.findValueCallback).next().click(function() {
            $(this).prev().search();
        });

        $("#zissou_input").result(function(event, data, formatted) {
            if (data)
                $(this).parent().next().find("input").val(data[1]);
        });

        $("#zissou_close").click(function() {
            $(":input").unautocomplete();
        });

        top.Util.addEvent( window, "resize", Zissou.resize );

        Zissou.startLock();

	},

    show : function(){
        if ( Zissou.locked ) return;
        // if not already drawn. dont draw too many shadows
        var bNeedShadow = Util.byId("zissou_bubble").style.display == "none" || Util.byId("zissou_bubble").style.display != "block";

        var elem = top.Util.getElem("zissou_box");
        var sty = top.Util.getStyle( elem, "display");
        //$("#zissou_bubble").fadeIn(300, function(){Util.show("zissou_bubble","block"); top.Util.byId("zissou_input").focus();} );
        top.Util.show("zissou_box");
        top.Util.show("zissou_bubble");
        top.Util.hide("zissou_search_active_icon");
        var zIndex = top.Util.getElem("zissou_bubble").style.zIndex;
        if ( bNeedShadow) $('#zissou_bubble').dropShadow({left: 10, top: 10, blur: 3});
        top.Util.getElem("zissou_bubble").style.zIndex = zIndex;
        try{ top.Util.byId("zissou_input").focus(); } catch(e){}

        Zissou.startLock();

    },

    // lockout for 2 seconds
    startLock: function(){
      Zissou.locked = true;
      setTimeout(function(){ top.Zissou.locked = false; }, 1000 );  
    },


    clear: function(){
        top.Util.byId("zissou_input").value="";
    },


    executePowerCommand:function ( cmd ) {
        top.frames["zissou_power_cmd"].location.href = "zissou_power_cmd.jsp?cmd="+cmd+"&t="+ new Date().getTime();
    }
   
}; //Zissou

var a_list_or_url = "zissou_find.jsp"; 

var ZissouToolbar = {
    getCommand : function(dataObject) {
        var res = null;
        for (var k in ZissouToolbarMap) {

            if (ZissouToolbarMap[k].name.toLowerCase() == dataObject.command.toLowerCase() ) {
                res = ZissouToolbarMap[k].command;
                break;
            }
        }
        return res;
    }
};

// methods that return an action object with an execute method
var ZissouDataActionFormatter = {

    getRfxDataAction : function(dataObject) {
        var localDataObject = dataObject;
        return {
            execute : function(){
                var param = 'rfq'+localDataObject.id+',req,rit,bid,scn,r2t,ptn';
                var listPage = ZissouDataActionFormatter.getRfxDataListPage( localDataObject.auctionStatus, localDataObject.auctionType );

                // hack for now
                if (!ZissouUserType.isSeller() && localDataObject.auctionStatus != ZissouAuctionStatus.OPEN ) {
                    //setTimeout( function(){
                        NAV_NewWorkAndCtxAndUpdate(top, param,'wiz_tree_frames.jsp?reqTreeCodeBase=com/avinamart/WebInterface/&reqTreeName=wiz_rfx_tree&jspAction=2', '13','*','#ffffff','(JSP)detail_rfq_cap.jsp?isRFxQuickSearch=true');
                    //}, 1500 );
                }else{
                    NAV_NewWorkAndCtx(top, param, listPage+'?approval_mode=1&_eps_=Y', '4067','*','#ffffff','(JSP)detail_rfq_cap.jsp?isRFxQuickSearch=true');
                }



          }
        };
    },

    // suppliers get a different frameset for auctions for bidding
    getRfxDataListPage : function( aStatus, aType ) {
        var ret = "frames_rfq_view.jsp";

        if ( !ZissouUserType.isSeller() ) return ret;

        var isAdvanced = (aType != ZissouAuctionType.SEALED && aType != ZissouAuctionType.RFI && aType != ZissouAuctionType.BUYER_RFI && aType != ZissouAuctionType.RFP );

        if ( aType == ZissouAuctionType.DUTCH_REVERSE_AUCTION || aType == ZissouAuctionType.DUTCH_FORWARD_AUCTION ) {
            ret = "frames_supplier_dutch.jsp";
        } else if ( aType == ZissouAuctionType.JAPANESE_REVERSE_AUCTION || aType == ZissouAuctionType.JAPANESE_FORWARD_AUCTION ) {
            ret = "frames_supplier_japanese.jsp";
        } else if(isAdvanced){
            ret = "frames_supplier_bidding_view.jsp";
        } else {
            ret = "frames_rfq_view.jsp";
        }
        return ret;
    },

    getMessageDataAction : function(dataObject) {
        return {
            execute : function(){
                var param = 'cur_id=' + dataObject.id;
                NAV_Popup( top, -1, 'frames_message.jsp?sourceTab=0&jspAction=2&' + param, 600 , 800);
          }
        };
    },
    
    getNoticeDataAction : function(dataObject) {
    	var localDataObject = dataObject;
    	return {
            execute : function(){
            	var param = 'oje'+localDataObject.id;
            	NAV_NewWorkAndCtx(top, param,'wiz_tree_frames.jsp?reqTreeName=wiz_notice_tree&reqTreeCodeBase=com/avinamart/WebInterface/&jspAction=2', '13','*','#ffffff','(JSP)ojeu/jsp/detail_notice_cap.jsp?isRFxQuickSearch=true');
          }
        };
    },

    getBinderDataAction : function(dataObject) {
        return {
            execute : function(){
                var param = 'cur_id=' + dataObject.id;
                NAV_Popup( top, -1, 'detail_event.jsp?_eps_=Y&jspAction=2&' + param, 600 , 800);
          }
        };
    },

    getCategoryDataAction : function(dataObject) {
        return {
            execute : function(){
                var param = 'ctg'+dataObject.id;
                NAV_NewWorkAndCtx(top, param,'wiz_tree_frames.jsp?reqTreeCodeBase=com/avinamart/WebInterface/&reqTreeName=wiz_cat_tree&jspAction=2', '4701','*','#FFFFFF','(JSP)detail_cat_cap.jsp')
            }
        };
    },

    getSupplierDataAction : function(dataObject) {
        return {
            execute : function(){
                var param = 'ptn'+dataObject.id;
                NAV_NewWorkAndCtx(top, param,'wiz_tree_frames.jsp?reqTreeCodeBase=com/avinamart/WebInterface/&reqTreeName=wiz_sp_tree&jspAction=2', '4028','*','#ffffff','(JSP)detail_sp_cap.jsp');
            }
        };
    },

    // this function is different
    getOrganizationDataAction : function(dataObject) {
        return {
            execute : function(){
                var param = 'org'+dataObject.id;
                NAV_NewWorkAndCtx(top, param,'/sourcing/en/frames_admin.jsp?orgType=displayAll&approvedStatus=null', '4071','*','#ffffff','img/title/organizations/view_all_organizations.gif')
            }
        };
    },

    getProjectDataAction : function(dataObject) {
          return {
              execute : function(){
                  var param = 'pjt'+dataObject.id;
                  NAV_NewWorkAndCtx(top, param,'/sourcing/en/list_pjm_task.jsp?_eps_=Y', '4203','*','#ffffff','(JSP)detail_pjm_cap.jsp?jspAction=502');
              }
          };
      },

    getAssessmentDataAction : function(dataObject) {
          return {
              execute : function(){
                  var param = 'sas'+dataObject.id;
                  NAV_NewWorkAndCtx(top, param,'/sourcing/en/sas/jsp/list_sas_monitor.jsp?jspAction=1', '8885','*','#ffffff','(JSP)sas/jsp/detail_sas_cap.jsp?jspAction=1');
              }
          };
      }

};

var ZissouSearchActionFormatter = {
        getAuctionStatusNumber : function(txt){
            zStatNum = -1;
            Util.eachKey( ZissouAuctionStatusTextMap, function(obj,k) { if (obj[k].indexOf(txt.toLowerCase())==0 ) zStatNum = k; } );

            return zStatNum;
        },

        getCategorySearchParams : function(q,dataObject) {
            return "searchObject=7&CACHED_SEARCH_ID=BASIC_RFQ_SEARCH&jspAction=25&custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_RFQScsCeventmodeScsCN&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+ q +"*&group_term_group_IAs_primary=block&group_term_group_category=block&group_term_group_bu=block";
        },
        getOrganizationSearchParams : function(q,dataObject) {
          return "searchObject=1&CACHED_SEARCH_ID=BASIC_ORG_SEARCH&jspAction=25&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+q+"*";
        },
        getSupplierSearchParams : function(q,dataObject) {
            return "searchObject=5&CACHED_SEARCH_ID=BASIC_PROFILE_SEARCH&jspAction=25&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+q+"*&QUERY_INPUT=4XexEglobalProfilesXexE3XexEtrue&QUERY_INPUT=1XexEcategoryLinkTypeXexE3XexEcategoryLinkTypeGlobal&group_term_group_IAs_primary=block&group_term_group_IAs_secondary=none&group_term_group_category=block";
        },
        getProjectSearchParams : function(q,dataObject){
            return "searchObject=1601&CACHED_SEARCH_ID=BASIC_PROJECT_SEARCH&jspAction=25&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+q+"*&group_term_group_IAs_primary=block&group_term_group_bu=block&group_term_group_category=block";
        },
        getBinderSearchParams : function(q,dataObject) {
            return "searchObject=7&CACHED_SEARCH_ID=BASIC_RFQ_SEARCH&jspAction=25&custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_RFQScsCeventmodeScsCN&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+ q +"*&group_term_group_IAs_primary=block&group_term_group_category=block&group_term_group_bu=block";
        },
        getRfxSearchParams : function(q,dataObject){
        	if(dataObject.qryField!='status'){ // not a status search
                q = q+"*";
                return "searchObject=7&CACHED_SEARCH_ID=BASIC_RFQ_SEARCH&jspAction=25&custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_RFQScsCeventmodeScsCN&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+ q +"&group_term_group_IAs_primary=block&group_term_group_category=block&group_term_group_bu=block";
            } else {
            	var stat = ZissouSearchActionFormatter.getAuctionStatusNumber(q);
                q = stat;
                return "searchObject=7&CACHED_SEARCH_ID=BASIC_RFQ_SEARCH&jspAction=25&custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_RFQScsCeventmodeScsCN&QUERY_INPUT=2XexE"+dataObject.qryField+"XexE9XexE"+ q +"&group_term_group_IAs_primary=block&group_term_group_category=block&group_term_group_bu=block";
            }

        },
        getAssessmentSearchParams : function(q,dataObject){
            return "searchObject=100073&CACHED_SEARCH_ID=sas_assessment_search&jspAction=25&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+q+"*&group_term_group_IAs_primary=block&group_term_group_IAs_secondary=none";
            //return "searchObject=7&CACHED_SEARCH_ID=BASIC_RFQ_SEARCH&jspAction=25&custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_RFQScsCeventmodeScsCN&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+ q +"*&group_term_group_IAs_primary=block&group_term_group_category=block&group_term_group_bu=block";
        },
        getMessageSearchParams : function(q,dataObject){
            return "searchObject=7&CACHED_SEARCH_ID=BASIC_RFQ_SEARCH&jspAction=25&custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_RFQScsCeventmodeScsCN&QUERY_INPUT=1XexE"+dataObject.qryField+"XexE6XexE"+ q +"*&group_term_group_IAs_primary=block&group_term_group_category=block&group_term_group_bu=block";
        }
};

// edit
