/** 
 * (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */ 

var ZissouMini = {

    findValueCallback : function (event, data, formatted) {
        this.clear();
        var dataObject;
        eval("dataObject = " + data[1]);

        var action = null;
        action = this.formatter.getDataAction(dataObject);

        // used in detail_item.jsp for category selection and detail_questionnaire
        try{action.specialText = data[0].substr(0, data[0].lastIndexOf( ":" ));}catch(e){ /* do not block for other uses */} 

        if ( action != null ) {
            try{dataObject.name = data[0].split(":")[0];}catch(e){/* do not let this fail */}
            if ( dataObject.id  != 'none' ) // no need to process for bottom "more results" indicator
                action.execute();
        }
    },

    ac_options : {
        width : (Util.exists("zmResultWidth") ) ?  zmResultWidth: 270,
        selectFirst : false,
        max: false,
        minChars : 2,
        autoFill : false,
        cacheLength : 0 
    },

    start : function(containerId, inputId, zissouMiniFormatter, a_list_or_url){
        this.formatter = zissouMiniFormatter;
        this.inputId = inputId;
        this.containerId = containerId;
        this.a_list_or_url = a_list_or_url;
 
        if ( !Util.exists(containerId) ) {
            return;
        }
  
        var cnt = 0;

        var zm = Util.byId( inputId );
        zm.style.position = "relative";
        Util.byId( containerId ).innerHTML = "";
        Util.byId( containerId ).appendChild( zm );
        Util.show( zm, "inline");
        
        $("#"+inputId).autocomplete(this.a_list_or_url, this.ac_options );

        var zmLocal = this;

        $("#"+inputId).result(function(event, data, formatted) {
            if (data) {
                zmLocal.findValueCallback(event, data, formatted );
                $(this).parent().next().find("input").val(data[1]);
            }
        });

    },

    clear: function(){
        Util.byId(this.inputId).value="";
    }
};

var a_list_or_url = "zissou_mini_find.jsp";

/**
 implement on page being used
*/
var ZissouMiniFormatter = {
    getDataAction : function(dataObject) {
        return {
            execute : function(){
                alert( "please override ZissouMiniFormatter.getDataAction.execute()");  
                //var param = 'rfq'+dataObject.id+',req,rit,bid,scn,r2t';
          }
        };
    }

};
