<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.emptoris.app.auctionkernel.common.constant.BidInvalidationMode"%>
<%@ page import="com.emptoris.app.rfxkernel.webClient.bean.ListTheaterBidBean" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean" %>

<%@ include file="include/head.inc"%>

<%
    String isBundleAllowed = ref.req.getParameter("isBundleAllowed");
    boolean isBundle = false;
    if(isBundleAllowed != null && isBundleAllowed.length() > 0){
        isBundle = Boolean.valueOf(isBundleAllowed);
    }
    String confirmText1 = ref.convertLiteral("form.confirmInvalidateBidAction.message.confirm_msg_1");
    String confirmText2 = ref.convertLiteral("form.confirmInvalidateBidAction.message.confirm_msg_2");
    String warningMsg = ref.convertLiteral("form.confirmInvalidateBidAction.message.leading_bid_warning");
    String info = ref.convertLiteral("form.confirmInvalidateBidAction.message.info");
    if(!isBundle){
        info = "";
    }
    String[] invalidate_bid_action_values = {BidInvalidationMode.INVALIDATE_SUBSEQUENT_BIDS.toString(),
            BidInvalidationMode.LEAVE_SUBSEQUENT_BIDS.toString()};
    String[] invalidate_bid_action_descriptions = {confirmText1, confirmText2};
    String ACTION = "action";

    EPASSInputRadioButtons rbc = new EPASSInputRadioButtons(ACTION,
            BidInvalidationMode.INVALIDATE_SUBSEQUENT_BIDS.toString(),
            invalidate_bid_action_values,
            invalidate_bid_action_descriptions,
            EPASSInputRadioButtons.VERTICAL);
%>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<head>
		<title><%=ref.convertLiteral( "form.confirmInvalidateBidAction.title.confirm_action" )%></title>
    	<script language='JavaScript' SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV%>'></script>

    	<script>
            //
    		function doConfirm()
    		{
                var value = '<%=BidInvalidationMode.INVALIDATE_SUBSEQUENT_BIDS.toString()%>';
                if (document.confirmAction.<%=ACTION%>[1].checked) {
                    value = '<%=BidInvalidationMode.LEAVE_SUBSEQUENT_BIDS.toString()%>';
                }
            	NAV_FireEvent( 	top, "invalidate_bid_action", value );
				setTimeout( "self.close()", 100 );
			}
//============================================================================
    	</script>
   	</head>

   	<body bgcolor='#E6E6E6'>
   		<font size='2' font-name='arial'>
   			<form name='confirmAction'>
				<table cellpadding='5'>
					<tr>
				   		<td>
				   			<%=rbc.toString()%>
                       </td>
				   	</tr>
                    <tr>
                       <td>
                            <%=info%>
                       </td>
                    </tr>
                    <tr>
                    	<td>
                           <%=warningMsg%>
                       </td>
                    </tr>
				    <tr>
				   		<td align='center'>
				   			<input type='button' value="<%=ref.convertLiteral("form.terminology.button.ok")%>" onclick='doConfirm()' >
				   			<input type='button' value="<%=ref.convertLiteral("form.terminology.button.cancel")%>" onclick = 'self.close()' >
				    	</td>
				    </tr>
				</table>
			</form>
		</font>
	</body>
</html>

<%@ include file="include/tail.inc"%>