<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.rmi.*,
				 com.avinamart.Utility.Query.factory.FieldInfoProvider,
                 com.avinamart.BusinessLogic.Helper.AttributeDefHelper,
                 com.avinamart.WebInterface.forms.auction.ItemListPageProcessor,
                 com.avinamart.WebInterface.forms.scenario.FeedbackScenarioRun,
                 com.avinamart.WebInterface.forms.auction.DetailCompareResponseManager,
                 com.avinamart.WebInterface.forms.auction.DetailRFIResponseManager,
                 com.avinamart.WebInterface.forms.sequencer.StructsSequencer,
                 com.emptoris.app.rfxkernel.service.internal.utility.KernelBasedRFxUtil,
                 com.emptoris.app.itembasedrfxkernel.webClient.model.processor.AuctionItemListPageProcessor" %>
<%@ page import="java.util.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.*" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.*" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.*" %>
<%@ page import="com.avinamart.WebInterface.forms.search.*" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.WebInterface.Authorization.*" %>
<%@ page import="java.text.Collator" %>
<%@ page import="com.avinamart.WebInterface.auctionMonitor.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.columns.*" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.SubscriptionStatus" %>
<%@ page import="com.avinamart.WebInterface.forms.ia.detailuda.managers.DetailUDAManager" %>
<%@ page import="com.avinamart.Utility.EPASSQPrettyBase" %>
<%@ page import="org.owasp.esapi.ESAPI" %>


<script>
var loadStart = (new Date()).getTime();
</script>
<%@ include file="include/head.inc"%>

<script type="text/javascript">
    // override search results width for this page
    zmResultWidth = 230;
</script>


<%@ include file="include/zissou_mini.inc" %>
<LINK REL="stylesheet" HREF="<%= request.getContextPath()%>/dhtml_lib/css/feature/zissou_mini_clean.css">

<script type="text/javascript">
//modified by dyy, original jsp?itemSearch...
//#esp 52449
a_list_or_url = "zissou_mini_find.jsp?itemLotsSearch=true&rfxId=<%=  ref.userDataContext.getRfqId()%>";
// need this to search for categories
// url is zissou_mini_find.jsp?itemSearch...

ZissouMiniFormatter.getDataAction = function( dataObject ) {
    return {
        execute : function(){
            var itemId = dataObject.id;
            var itemName = this.specialText;

            var idx = itemName.indexOf("&nbsp;("); // clean it up
            itemName = itemName.substr( 0, (idx == -1)? itemName.length : idx );
         
            //added by dyy: check whether to see item or lot
            var isItem = "<%= ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.section.select_itemname"))%>"; 
            
            var field = "requisitionName";
            if (dataObject.section == isItem) 
                field = "name" ; 
            doSearch(itemId, itemName, field);
		    
            //end of dyy adding
            //doItemSearch(itemId, itemName);
      }
    };
}
/** added by dyy**/
function doSearch(itemId, itemName, field){
		//Santosh - XSS fix
		var _man_incum = '<esapi:js><%=  request.getParameter("_man_incum") %></esapi:js>';
		var _isRFXWizardParam_ = '<esapi:js><%=  request.getParameter("_isRFXWizardParam_") %></esapi:js>';
		var custom_parameters = '<esapi:js><%= request.getParameter("custom_parameters") %></esapi:js>';
		var approval_page = '<esapi:js><%= request.getParameter("approvalPage") %></esapi:js>';
		var show_no_button = '<esapi:js><%= request.getParameter("show_no_button") %></esapi:js>';
		var approval_mode = '<esapi:js><%=request.getParameter(EnumType.ApprovalType.APPROVAL_MODE)%></esapi:js>';
		
		var url = "?";
		if (_man_incum == "true"){
			try {
				_TR1F(itemId);
			} catch (e){}
			url+= "_man_incum=true&ncx=r2t9950&";
		}
		
		//jspAction=25:view query result(see EPASSJSPAction.java)
		//searchObject=9: ObejctType.item. ObjectType.lot= 35
		//CACHED_SEARCH_ID=BASIC_ITEM_SEARCH:
		url +="searchObject=9&CACHED_SEARCH_ID=BASIC_ITEM_SEARCH&jspAction=25&";
		url += "custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_ITEMScsCPAGE_MODEScsC1";
		<%-- ESP-44687: checked approval mode if it is available in request.--%>
		if ((approval_page == "Y" || approval_page == "y" || custom_parameters.indexOf("ScsCapprovalPageScsCtrue") != -1)
			|| (approval_mode == "true" || approval_mode == "TRUE" || custom_parameters.indexOf("ScsC<%=EnumType.ApprovalType.APPROVAL_MODE%>ScsCtrue") != -1) ){
			url += "ScsCapprovalPageScsCtrue";
		}
		if (show_no_button == "true" || show_no_button == "TRUE" || custom_parameters.indexOf("ScsCshow_no_buttonScsCtrue") != -1){
			url += "ScsCshow_no_buttonScsCtrue";
		}
		if (_isRFXWizardParam_ == "1" || custom_parameters.indexOf("_isRFXWizardParam_") != -1){
			url += "ScsC_isRFXWizardParam_ScsC1";
		}
		
		url += "&QUERY_INPUT=2XexEitemTypeXexE9XexE1YvyV4YvyV5YvyV6&";
		url += "QUERY_INPUT=1XexE"+field+"XexE6XexE";//requisition is the lot attribute; and name for itemsearch
		//url += escape(itemName); escape is deprecated, using encodeURIComponent() to encode item name with UTF-8 encoding
		url += encodeURIComponent(itemName);
		location.href = url;
}
//end of dyy adding
function doItemSearch(itemId, itemName){
		//Santosh - XSS fix for UBS
		var _man_incum = '<%= EPASSQPrettyBase.escapeForXSS(request.getParameter("_man_incum"))%>';
		var _isRFXWizardParam_ = '<%= EPASSQPrettyBase.escapeForXSS(request.getParameter("_isRFXWizardParam_"))%>';
		var custom_parameters = '<%= EPASSQPrettyBase.escapeForXSS(request.getParameter("custom_parameters"))%>';
		var approval_page = '<%= EPASSQPrettyBase.escapeForXSS(request.getParameter("approvalPage"))%>';
		var show_no_button = '<%= EPASSQPrettyBase.escapeForXSS(request.getParameter("show_no_button"))%>';
		var approval_mode = '<%= EPASSQPrettyBase.escapeForXSS(request.getParameter(EnumType.ApprovalType.APPROVAL_MODE))%>';
		
		var url = "?";
		if (_man_incum == "true"){
			try {
				_TR1F(itemId);
			} catch (e){}
			url+= "_man_incum=true&ncx=r2t9950&";
		}
		url +="searchObject=9&CACHED_SEARCH_ID=BASIC_ITEM_SEARCH&jspAction=25&";
		url += "custom_parameters=ScsCSEARCH_TYPEScsCSEARCH_TYPE_ITEMScsCPAGE_MODEScsC1";
		<%-- ESP-44687: checked approval mode if it is available in request.--%>
		if ((approval_page == "Y" || approval_page == "y" || custom_parameters.indexOf("ScsCapprovalPageScsCtrue") != -1)
			|| (approval_mode == "true" || approval_mode == "TRUE" || custom_parameters.indexOf("ScsC<%=EnumType.ApprovalType.APPROVAL_MODE%>ScsCtrue") != -1) ){
			url += "ScsCapprovalPageScsCtrue";
		}
		if (show_no_button == "true" || show_no_button == "TRUE" || custom_parameters.indexOf("ScsCshow_no_buttonScsCtrue") != -1){
			url += "ScsCshow_no_buttonScsCtrue";
		}
		if (_isRFXWizardParam_ == "1" || custom_parameters.indexOf("_isRFXWizardParam_") != -1){
			url += "ScsC_isRFXWizardParam_ScsC1";
		}
		url += "&QUERY_INPUT=2XexEitemTypeXexE9XexE1YvyV4YvyV5YvyV6&";
		url += "QUERY_INPUT=1XexEnameXexE3XexE";
		//url += escape(itemName);escape is deprecated, using encodeURIComponent() to encode item name with UTF-8 encoding
		url += encodeURIComponent(itemName);
		location.href = url;
}
</script>

<%!
%>


<%
/*
    ref.setSupplierPreviewMode(true);
*/

	ref.setAttribute(EPASSTableModel.IS_DHTML, Boolean.TRUE);
//    TODO: once kernel based list_item.jsp is created, just instantiate the proper page processor in both list_item.jsp
	
    ItemListPageProcessor listPage = new ItemListPageProcessor(ref, ref.userDataContext.getRfqId());

    listPage.init();

    String formName = listPage.getFormName();

	String actionBarTitle = listPage.getTitle();

	Object actionBarButtons = listPage.getToolBar();
	
	AuctionStruct rfx = listPage.getRfxStruct(); 
    
    boolean isRFIType = false;
    boolean isRFPType = false;
    boolean isSupportBundleBid = false;
    boolean isTemplate = false;
    int roundCount = 0;
    Integer status = null;
    boolean isBiddingDataSheetEnabled = false;
    boolean isOneEnvelopeBiddingEnabled = false;
    boolean isTwoEnvelopeBiddingEnabled = false;
    if (null != rfx)
    {
        isRFIType = rfx.isRFI();
        isRFPType = rfx.isRFP();
        if(rfx.getRoundCount() != null){
            roundCount = rfx.getRoundCount().intValue();
        }
        status = rfx.getStatus();
        isSupportBundleBid = (rfx.isRFP() || rfx.isSealedAuction());
        isTemplate = rfx.isTemplate().booleanValue();
        isBiddingDataSheetEnabled = rfx.isBiddingDataSheetEnabled();
        isOneEnvelopeBiddingEnabled = rfx.isOneEnvelopeBiddingEnabled();
        isTwoEnvelopeBiddingEnabled = rfx.isTwoEnvelopeBiddingEnabled();
    }
    
%>

<%if(ref.req.getParameter(Misc.IS_SUP_INVITATION_VIEW)==null && SubscriptionStatus.REJECTED.equals(listPage.getSubscriptionStatus())){ %>
	<script>
		//location.href = 'list_rfq_seller.jsp';
		NAV_ExecuteMenu(top, 'supplierViewRFxs');
	</script>
<% } %>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<%-- +---------------------------------------------------------------------------
	StyleSheets and Javascript
---------------------------------------------------------------------------+ --%>
<HEAD>
<TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'>
</SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'>
</SCRIPT>
<%// Navigation utility that supply all frame services  %>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'>
</SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'>
</SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'>
</SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.STAGGER_CLOSE_CLOCK %>'>
</SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>

<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_dtable.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "dragDrop3.js" %>'></SCRIPT>

<SCRIPT>

	function gotoPivotView(){
        displayWaitScreenCSSDefault();
        NAV_NewWork(top, './list_bids_pivot.jsp?PAGE_MODE=3', '4067','*','#ffffff','(JSP)detail_rfq_cap.jsp'); return false;
	}
	
	function createResponse(itemId){

		var responseUrl = "<%=  ref.encodeURLwUP(JSP.DETAIL_RESPONSE + "?") %>" + "&" +
	 	 "<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.CREATE_VIEW %>" +
		 "&" + "<%=  EPASSUiRFQServices.ITEM_ID_PARAM%>" + "=" + itemId +
		 "&" + "<%=  EPASSUiBiddingServices.BID_ROUTER_INDICATOR_PARAM %>" + "=true";

		NAV_Popup( top, -1, responseUrl, 800 , 1200);


	}
	function editResponse(itemId){

		var responseUrl = "<%=  ref.encodeURLwUP(JSP.DETAIL_RESPONSE + "?") %>" + "&" +
	 	 "<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.EDIT_VIEW %>" +
		 "&" + "<%=  EPASSUiRFQServices.ITEM_ID_PARAM%>" + "=" + itemId  +
		 "&" + "<%=  EPASSUiBiddingServices.BID_ROUTER_INDICATOR_PARAM %>" + "=true";

		NAV_Popup( top, -1, responseUrl, 800 , 1200);


	}

    function reviewResponse(itemId){

		var responseUrl = "<%=  ref.encodeURLwUP(JSP.DETAIL_RESPONSE + "?") %>" + "&" +
	 	 "<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.READ_VIEW %>" +
		 "&" + "<%=  EPASSUiRFQServices.ITEM_ID_PARAM%>" + "=" + itemId  +
		 "&" + "<%=  EPASSUiBiddingServices.BID_ROUTER_INDICATOR_PARAM %>" + "=true";

		NAV_Popup( top, -1, responseUrl, 800 , 1200);


	}
    function createBid(itemId) {
        var bidUrl = "<%=  ref.encodeURLwUP("frames_detail_bid_sealed.jsp?") %>" + "&" +
         "<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.CREATE_VIEW %>" +
         "&" + "<%=  EPASSUiRFQServices.ITEM_ID_PARAM%>" + "=" + itemId  +
		 "&" + "<%=  EPASSUiBiddingServices.BID_ROUTER_INDICATOR_PARAM %>" + "=true" +
         "&" +"<%=  EPASSUiBundleBidHelpServices.BBID_ACTION_PARAM %>" + "=" + "<%=  EPASSJSPActions.CREATE_VIEW %>" +
         "&" + "isStart=true";

        NAV_Popup( top, -1, bidUrl, 800 , 850);
    }
    
    function updateBid(itemId) {
        var bidUrl = "<%=  ref.encodeURLwUP("frames_detail_bid_sealed.jsp?") %>" + "&" +
         "<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.EDIT_VIEW %>" +
         "&" + "<%=  EPASSUiRFQServices.ITEM_ID_PARAM%>" + "=" + itemId  +
		 "&" + "<%=  EPASSUiBiddingServices.BID_ROUTER_INDICATOR_PARAM %>" + "=true" +
         "&" + "isStart=true";

        NAV_Popup( top, -1, bidUrl, 800 , 850);
    }

    function viewBidHistory(itemId) {
        var bidUrl = "<%=  ref.encodeURLwUP("frames_list_bid_sealed.jsp?") %>" + "&" +
         "<%=  ServletBase.CURRENT_ID %>" + "=" + itemId +
         "&" + "<%=  EPASSUiRFQServices.ITEM_ID_PARAM%>" + "=" + itemId  +
		 "&" + "<%=  EPASSUiBiddingServices.BID_ROUTER_INDICATOR_PARAM %>" + "=true";

        NAV_Popup( top, -1, bidUrl, 600 , 850);
    }

    function viewHistory(itemId) {
        var bidUrl = "<%=  ref.encodeURLwUP("frames_list_bid_rfi.jsp?") %>" + "&" +
         "<%=  ServletBase.CURRENT_ID %>" + "=" + itemId +
         "&" + "<%=  EPASSUiRFQServices.ITEM_ID_PARAM%>" + "=" + itemId  +
		 "&" + "<%=  EPASSUiBiddingServices.BID_ROUTER_INDICATOR_PARAM %>" + "=true";

        NAV_Popup( top, -1, bidUrl, 600 , 850);
    }
//------------------------------------------------------------------------
//
function doExpandAll() {

	document.<%= formName%>.<%= EPASSJSPActions.ACTION %>.value='<%=  ItemListPageProcessor.EXPAND_ALL_ACTION%>';
	document.<%= formName%>.EXPAND_ALL.value='true';
	document.<%= formName%>.COLLAPSE_ALL.value='false';
	document.<%= formName%>.submit();


}

//------------------------------------------------------------------------
//
function doCollapseAll() {

	document.<%= formName%>.<%= EPASSJSPActions.ACTION %>.value='<%=  ItemListPageProcessor.COLLAPSE_ALL_ACTION %>';
	document.<%= formName%>.EXPAND_ALL.value='false';
	document.<%= formName%>.COLLAPSE_ALL.value='true';
	document.<%= formName%>.submit();

}
//--------------------------------------------------------------------------------------

<%//This array is used by the expand collapse all button in the case of client side trees%>
<%= EPASSTableModel.getParentIdsJSArray(listPage.getParentsWithChildren())%>

top.showmaxbtn = "false";
top.showScrollBtn = "false";

<%// If this is the wizard, turn off the max/toggle buttons
if( listPage.isWizardMode() )
{
%>

	function NAV_NotifyOnReload( reason )
	{
		<%= EPassTree.getInstance( ref, ref.userDataContext.getWizTreeName() ).getReRenderTreeJS()%>
	}
<%
// (tac 5/13/02) We should refresh the wizard tree, if there are no items, in the rfx. Otherwise,
//	do not call tree refresh. Used because some wizard links (prelim bid), depend on items.
//	pr9198 - too much refreshing, eventually kills tree.
	if( ref.getAction().intValue() == EPASSJSPActions.DEFAULT_VIEW
		&& (listPage.getItemCount() == 0)  )
	{
		out.println( EPassTree.getInstance( ref, ref.userDataContext.getWizTreeName() ).getReRenderTreeJS() );
	}
} else if( listPage.isNotifyUpdate() ) {//if page is updated successfully, send a context update to nav.
	//Updating Dependent contexts 
%>
		<%=  NavSupport.notifyOfUpdate( listPage.getDependentContextCodes(),true)%>
<% }
%>

var NAV_LIST = '<%=  ContextCodes.RFQ%>,' +
            '<%=  ContextCodes.REQ_ITM%>,' +
            '<%=  ContextCodes.ATTACHMENT%>,' +
            '<%=  ContextCodes.MESSAGE%>,' +
            '<%= ContextCodes.ATTRIBUTE%>,' +
            '<%=  ContextCodes.QUESTIONNAIRE%>,' +
            '<%=  ContextCodes.QUESTION%>';
// only include 'bid' for item list and not questionnaire list
<% if (isRFIType || (isRFPType
 && listPage.QUESTIONNAIRE_MODE == listPage.getPageMode())) {
    // do nothing
} else {%>
    NAV_LIST += ',<%=  ContextCodes.BID%>'
<%}%>
var NAV_DEP = '<%=  ContextCodes.RFQ%>';

function NAV_DEP_PROCESSOR(contextString, refreshUrl){
    displayWaitScreenCSSDefault();
	window.setTimeout("location.replace('" + refreshUrl + "')",1);
}


var bidIconImage = new Image();
var blankIconImage = new Image();
bidIconImage.src = "<%=  ref.getUserPath() + Dir.IMG + Image.BID_ICON %>";
blankIconImage.src = "<%=  ref.getUserPath() + Dir.IMG %>blank.gif";

function NAV_HandleEvent( var1, var2 )
{
//	alert('in navHandleEvent '+var1);
    if( var1 == "<%= EPassTree._sNavigationEvent%>" ){
		<%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "var2", "''" )%>
	} else if ( var1 == "onClickSaveForm" ) {
	//FOR chrome issue ESP-46796
		if(top.frames["mainData"]!==undefined && top.frames["mainData"]!==null){
		NAV_Reload(top.frames["mainData"].frames["right"]);
		}
	} else if (var1 == "list_item_reverse_gotoBids") {
        gotoBids();
    }
	else if(var1 == 'KPILinkingDone'){
		location.href = location.href;
	}
}


<% // array of RULER_IMG names
    if (null != listPage.getTableControl())
    {
%>
<%=  listPage.getTableControl().getJSArrayOfRulerImageNames()%>
<% // array of contents to place into cells %>
<%=  listPage.getTableControl().getJSArrayOfHeaderContents()%>
<%  }%>
//**************************************************************************************
// javascript handlers for the buttons on the action bar
//**************************************************************************************

	function doViewScoresheet ()
	{
		NAV_Popup ( top
					, -1
					, '<esapi:js><%= new EPASSLink ( ref.getUserPath () + JSP.FRAMES_SCORE_SUMMARY
							, ref ).toURL () %></esapi:js>'
					, 300
					, 700 );
	}

	function doCreateBundleBid()
	{
			// create the url for popup
			var bidUrl = "<%=  ref.encodeURLwUP( JSP.FRAMES_CREATE_BUNDLE_BID + "?" ) %>" + "&" +
				"<%=  EPASSUiBundleBidHelpServices.BBID_ACTION_PARAM %>" + "=" +
				"<%=  EPASSJSPActions.CREATE_VIEW %>";

			NAV_Popup( top, -1, bidUrl, 500 , 750);
	}

    function doBidSuggestions()
    {
		var bidUrl = "<%=  ref.encodeURLwUP("frames_bid_suggestions.jsp" + "?expand_all=true&") %>";
        NAV_Popup( top, -1, bidUrl, 500 , 750);
    }

	function doCreateItem()
	{
		<% String createItemURL = ref.encodeURL (ref.getUserPath()
				+ JSP.DETAIL_ITEM  + "?" + EPASSJSPActions.ACTION + "="
				+ EPASSJSPActions.CREATE_VIEW + "&"+ "ItemTypePassed" + "=" +
				ItemType.SINGLE_ITEM.intValue() );
		%>

		NAV_Popup( top, 1, '<esapi:js><%= createItemURL %></esapi:js>', 480, 640 );
	}
	
	function doCopyItem()
	{
		var strUrl = '<%= ref.encodeURL (ref.getUserPath() + JSP.DETAIL_ITEM) %>';
		var itemCount = EPASSCheckbox.getValues(document.<%=formName%>.<%= Misc.SELECTED_OBJECT %>).length;
		var checkBoxes = new Array();
		checkBoxes = EPASSCheckbox.getValues(document.<%=formName%>.<%= Misc.SELECTED_OBJECT %>);

		if( EPASSCheckbox.checkRequired(document.<%=formName%>.<%= Misc.SELECTED_OBJECT %>,"<%=ref.convertLiteral("form.listRfq.message.none_selected")%>" ) )
		{
			if (itemCount > 1)
			{
				if (!confirm("<esapi:js><%=ref.convertLiteral("form.listRfq.message.one_selected_required")%></esapi:js>"))
				{
					return false;
				}
			}else{
				strUrl = NAV_addParam2 ( strUrl, '<%= Misc.SELECTED_OBJECT %>',escape(checkBoxes));
				strUrl = NAV_addParam2 ( strUrl, '<%= EPASSJSPActions.ACTION%>', '<%=EPASSJSPActions.COPY_ITEM%>');
				NAV_Popup( top, 1, strUrl, 480, 640 );
			}
		 }
	 }

	function doCreateAllOrNone()
	{
		<% String createAllOrNoneURL = ref.encodeURL (ref.getUserPath()
				+ JSP.DETAIL_ITEM  + "?" + EPASSJSPActions.ACTION + "="
				+ EPASSJSPActions.CREATE_VIEW + "&"+ "ItemTypePassed" + "=" +
				ItemType.ALL_OR_NONE.intValue());
		%>

		NAV_Popup( top, 1, '<esapi:js><%= createAllOrNoneURL %></esapi:js>', 480, 640 );

	}

	function doCreateSubstSet()
	{
		<% String createSubstURL = ref.encodeURL (ref.getUserPath()
				+ JSP.DETAIL_ITEM  + "?" + EPASSJSPActions.ACTION + "="
				+ EPASSJSPActions.CREATE_VIEW + "&"+ "ItemTypePassed" + "=" +
				 ItemType.SUBSTITUTION.intValue());
		%>

		NAV_Popup( top, 1, '<esapi:js><%= createSubstURL %></esapi:js>', 480, 640 );
	}

	function doManageBVD() {
		<% String manageBVD_URL = ref.encodeURL (ref.getUserPath()
				+ "frames_bus_vol_discount_supplier.jsp");
		%>

		NAV_Popup( top, 1, '<esapi:js><%= manageBVD_URL %></esapi:js>', 480, 640 );
	}
    //=== Advance Optimization Customization
	function doManageConstraint() {
		<% String manageSupConstraint_URL = ref.encodeURL (ref.getUserPath()
				+ "frames_supplier_constraint.jsp");
		%>

		NAV_Popup( top, 1, '<esapi:js><%= manageSupConstraint_URL %></esapi:js>', 480, 640 );
	}
	function doViewBVD() {
		<% String viewBVD_URL = ref.encodeURL (ref.getUserPath()
				+ "frames_bus_vol_discount.jsp?"+EPASSUiCategoryServices.VIEW_BUSINESS_VOLUME_DISCOUNT_INDICATOR+"=1");
		%>
		NAV_Popup( top, 1, '<esapi:js><%= viewBVD_URL %></esapi:js>', 340, 640 );
	}

	function doViewBSR() {
		<% String viewBSR_URL = ref.encodeURL ( ref.getUserPath ()
							+ JSP.BID_SUMMARY_REPORT);
		%>
		NAV_Popup( top, 1, '<esapi:js><%= viewBSR_URL %></esapi:js>', 480, 640 );
	}

	function doMove()
	{
		var errorMsg = "<%= ref.convertLiteral("form.listItem.message.can_not_move")%>";
		var stop = false;
		var lastVar;
		var temp = "" ;

		if(
			EPASSCheckbox.checkRequired( document.<%= formName%>.<%=  Misc.SELECTED_OBJECT %>,
										 "<%= ref.convertLiteral("form.list_item.Pleaseselecttheitemtodeletefirst")%>"
									   )
		  )
		{
        <% String msg = isTemplate
                        ? ref.convertLiteral("form.listItem.message.move_item_template")
                        : ref.convertLiteral("form.listItem.message.move_item");
        %>
        
		var selList = new Array();
		selList = EPASSCheckbox.getValues(
								document.<%= formName%>.<%=  Misc.SELECTED_OBJECT %>);	
        	if ( selList.length > 0 )
			{
				var stop = false;
				for (var i=0; i < selList.length;i++)
				{
					id = selList[i];
					<%	if (listPage.getItemCount() > 0)
						{
		                    ItemStruct[] itemStructs = (ItemStruct[]) listPage.getData();
							for (int i = 0; i < itemStructs.length; i++)
							{
								ItemStruct item = itemStructs[i];
								if ( item != null
									 && ( item.getItemType().equals ( ItemType.ALL_OR_NONE )
										  || item.getItemType ().equals(ItemType.SUBSTITUTION) ) )
								{%>
									if (id == <%= item.getId()%>)
									{
											stop = true;
											break;
									}<%// if id == %>
							  <%}//item != null
							}// for (int i =
						}// if (itemStructs != null
					%>

				}
	
				if (stop == true)
				{
					alert(errorMsg);
					return;
				}
	
			}
        	
			if( confirm( '<esapi:js><%=  msg %></esapi:js>' ))
			{
				if ( selList.length > 0 )
				{
					for (var i=0; i < selList.length;i++)
					{
						id = selList[i];
						lastVar = "&ITEM_ID" + "=" + id;
						temp = temp + lastVar;
					}<%// for(var i = 0 %>

				}<%// selList.length %>

				var moveUrl = "<%=  ref.encodeURLwUP(JSP.DETAIL_MOVE_ITEM + "?") %>" + "&" +
					"<%=  EPASSJSPActions.ACTION %>" + "=" +
					"<%=  EPASSJSPActions.CREATE_VIEW %>" +  temp;
					NAV_Popup( top, -1, moveUrl, 300, 600  );
			} <% // end confirm  %>
		}<%// end check if selection  %>
	}

	function doCompareResponses(questionnaireId) {
        var compareUrl = "<%=  ref.encodeURLwUP(JSP.RESPONSE_COMPARE_PAGE)%>?" +
            "<%= EPASSJSPActions.ACTION%>=" + <%= DetailCompareResponseManager.ACTION_COMPARE_RESPONSE%>;
        NAV_Popup( top, -1, compareUrl, 650 , 900);
	}

	function doDelete()
	{
		var maxDelete = '<%=  ItemListPageProcessor.MAX_ITEM_DELETE%>';
		var itemCount = EPASSCheckbox.getValues(
										document.<%= formName%>.<%=  Misc.SELECTED_OBJECT %>).length;
        var isRFP =<%= isRFPType%>;
        var rfpPageMode;
        if (isRFP) {
        <% if (listPage.getPageMode() == listPage.QUESTIONNAIRE_MODE) {%>
              rfpPageMode = <%= listPage.QUESTIONNAIRE_MODE%>;
              // PR-24030
              document.<%= formName%>.<%= listPage.PAGE_MODE%>.value = rfpPageMode;
        <% } else {%>
              rfpPageMode = <%= listPage.ITEM_MODE%>;
        <% }%>
        }

		if( EPASSCheckbox.checkRequired(
			document.<%= formName%>.<%=  Misc.SELECTED_OBJECT %>,
			"<%= ref.convertLiteral("Select_Delete")%>" ) )
		{
			// pr 6497 -tac-
			// do to performance and integrity reasons, we can only delete a certain amount of items at once
			if (itemCount > parseInt(maxDelete))
			{
				if (!confirm("<esapi:js><%= ref.convertLiteral("form.listItem.message.delete_item_count_warning",new Object[]{ItemListPageProcessor.MAX_ITEM_DELETE,ItemListPageProcessor.MAX_ITEM_DELETE})%></esapi:js>"))
				{
					return false;
				}
			}
			var roundCount = <%= roundCount%> + "";
			var statusRFQ = <%= status%> + "";
			var isRFI =<%= isRFIType%>;

			   if (isRFI || (isRFP && rfpPageMode == <%= listPage.QUESTIONNAIRE_MODE%>))
			   {
				  if ( confirm("<esapi:js><%= ref.convertLiteral("form.listItem.message.delete_questionnaire")%></esapi:js>"))
				  {
					 document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value =
													<%= EPASSJSPActions.DELETE%>;
					 document.<%= formName %>.submit();
				  }
			   } else {
               <% String delMsg = isSupportBundleBid
                                    ? ref.convertLiteral("form.listItem.message.delete_item")
                                    : ref.convertLiteral("form.listItem.message.delete_item_auction");
               %>
					  if ( confirm('<esapi:js><%=  delMsg %></esapi:js>'))
					  {
						 document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value =
													<%= EPASSJSPActions.DELETE%>;
						 document.<%= formName %>.submit();
					   }
				 }

		 }//if(checkbox..
	 }//function

	function submitReset ()
	{
		var actionField = document.<%= formName%>.<%=  EPASSJSPActions.ACTION %>;
		actionField.value = <%= EPASSJSPActions.DEFAULT_VIEW %>;
        document.<%= formName%>.<%=  ItemListPageProcessor.LIST_ITEMS_CANCEL_SEARCH%>.value="true";
		document.<%= formName%>.submit ();
	}

	function restoreDefaultSortOrder ()
	{
		var actionField = document.<%= formName%>.<%=  EPASSJSPActions.ACTION %>;
		actionField.value = <%= EPASSJSPActions.DEFAULT_VIEW %>;
        document.<%= formName%>.<%= ItemListPageProcessor.RESTORE_DEFAULT_SORT_ORDER%>.value= '1';
		document.<%= formName%>.submit ();
	}

	function doCreateQuestionnaire()
	{
		<%
			String createItemURL3 = null;
			createItemURL3 = ref.encodeURL (ref.getUserPath()
			 + JSP.FRAMES_QUESTIONNAIRE  + "?" + EPASSJSPActions.ACTION + "="
			 + EPASSJSPActions.CREATE_VIEW );

		%>

		NAV_Popup( top, 1, '<esapi:js><%= createItemURL3 %></esapi:js>', 800, 750 );
	}

	function editItemSequence(){
        <% if (null != listPage.getRfxStruct())
        {

            Integer sequencerType = null;

            if (listPage.getRfxStruct().isRFI()) {
                sequencerType = StructsSequencer.SEQUENCER_QUESTIONNAIRES;
            } else if (listPage.getRfxStruct().isRFP()) {
                if (listPage.getPageMode() == listPage.QUESTIONNAIRE_MODE) {
                    sequencerType = StructsSequencer.SEQUENCER_QUESTIONNAIRES;
                } else {
                    sequencerType = StructsSequencer.SEQUENCER_ITEMS;
                }
            } else {
                 sequencerType = StructsSequencer.SEQUENCER_ITEMS;
            }
        %>
        var url = "<%= JSP.SEQUENCE_EDITOR %>?" +
         "<%= StructsSequencer.SEQUENCER_TYPE%>=" + "<%= sequencerType%>" + "&" +
			 "<%= EPASSUiJSPServices.SEQUENCE_EDITOR_SCOPE%>=" + "<%= sequencerType%>";
		NAV_Popup( top, -1, url, 700 , 600);
        <%}%>
	}

	function gotoQuestionnaireRead(questionnaireId)
	{
		var url = "<%= JSP.FRAMES_QUESTIONNAIRE %>" + "?" + "<%= EPASSJSPActions.CURRENT_ID%>" + "=" + questionnaireId + "&" +
				  "<%= EPASSJSPActions.ACTION%>" + "=" + <%= EPASSJSPActions.EDIT_VIEW%>;
		NAV_Popup( top, -1, url, 700 , 750);
	}

	function gotoQuestionnaire(questionnaireId)
	{
		var url = "<%= JSP.FRAMES_QUESTIONNAIRE %>" + "?" + "<%= EPASSJSPActions.CURRENT_ID%>" + "=" + questionnaireId + "&" +
				  "<%= EPASSJSPActions.ACTION%>" + "=" + <%= EPASSJSPActions.EDIT_VIEW%>;
		NAV_Popup( top, -1, url, 700 , 750);
	}

	function gotoQuestion(questionnaireId, questionId, popUpPage)
	{

		var url = popUpPage +
					  '?<%= Misc.OWNER_ID%>=' + questionnaireId +
					  '&<%= Misc.OWNER_TYPE%>=<%= Misc.OWNER_RFI_LEVEL_QUESTION %>' +
					  '&<%= ServletBase.CURRENT_ID%>=' + questionId +
					  '&<%= EPASSJSPActions.ACTION %>=<%= EPASSJSPActions.EDIT_VIEW%>' +
					  '&<%= DetailUDAManager.IATYPE_CUSTOM_PARAMETERS%>=<esapi:js><%= listPage.getCustomParametersString()  %></esapi:js>' ;

		NAV_Popup( top, -1, url, 550 , 750);
	}

	function showEditMinQuantity (itemId, maxQ)
	{
<%
		String strUrlEditMinQuant = ref.encodeURLwUP ( "detail_item_edit_min_quantity.jsp" );
		String strParam1 = "&" + ServletBase.CURRENT_ID + "=";
		String strParam2 = "&MAXQ=";
%>
		var strMaxQnt = typeof (maxQ) == "undefined" ? "" : maxQ;
		var url = "<esapi:js><%=  strUrlEditMinQuant + strParam1  %></esapi:js>" + itemId + "<esapi:js><%= strParam2 %></esapi:js>" + strMaxQnt;

		NAV_Popup( top, -1, url, 500, 800  );
		return;
	}

    function gotoBids(){
        NAV_NewWorkAndCtx(top,
                              '<%= "" + ContextCodes.REQ_ITM + (listPage.getContextItem() != null ? listPage.getContextItem().intValue() : -1)%>',
                              '<%= ref.encodeURLwUP(ref.getUserPath () + JSP.FRAMES_SUPPLIER_VIEW)%>',
                              '4063',
                              '*',
                              '<esapi:js><%=  listPage.getArea().getAttribute(EPassArea.AREA_BGCOLOR)  %></esapi:js>',
                              '<esapi:js><%=  listPage.getArea().getAttribute(EPassArea.AREA_BGIMAGE) %></esapi:js>');
        return false;
    }
    
    function openEnvelope(msg,isPricing)
    {
    	var isBiddingDataSheetEnabled = <%= isBiddingDataSheetEnabled%>;
    	var isOneEnvelopeBiddingEnabled = <%= isOneEnvelopeBiddingEnabled%>;
    	var isTwoEnvelopeBiddingEnabled = <%= isTwoEnvelopeBiddingEnabled%>;
    	
    	if(isBiddingDataSheetEnabled && (isOneEnvelopeBiddingEnabled || (isTwoEnvelopeBiddingEnabled && isPricing)))
    		openEnvelopeAndBiddingHall(isPricing);
    	else
    		openEnvelopeOnly(msg,isPricing);	
    }
    
    function openEnvelopeOnly(msg,isPricing)
    {
       	var openEnvBtn = isPricing ? document.getElementById("openBidsId") :
    								document.getElementById("openResponsesId");   
    	openEnvBtn.disabled="disabled";
    	if(confirm(msg)){
    		if( isPricing ){
   				document.<%= formName%>.<%=  EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.OPEN_PRICING_ENVELOPE%>;
   				document.<%= formName%>.submit ();
	    	} else {
	    		document.<%= formName%>.<%=  EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.OPEN_RESPONSES_ENVELOPE%>;
	    		document.<%= formName%>.submit ();
	    	}
    	} else {
    		openEnvBtn.disabled="";
	    	return false;
	    }
   }
   
   function openEnvelopeAndBiddingHall(isPricing)
   {
   		var url = "<%=  ref.encodeURLwUP(JSP.OPEN_BIDDING_HALL)%>" + "&" +
		"<%=  EPASSJSPActions.ACTION %>" + "=" + <%=  EPASSJSPActions.DEFAULT_VIEW %> +
		"&<%= ItemListPageProcessor.IS_PRICING%>"+"="+isPricing;
		NAV_Popup( top, -1, url, 430, 430  );
   
   }
    
   
    
</script>
<style type="text/css">
.zissou_mini_search_icon {
	margin: 3px 3px 0px -22px;
	vertical-align: text-bottom;
	z-index: 10;
	position: absolute;
}
#zissou_mini_container{
display:block;margin-right:3px;
}
</style>
</HEAD>

<%-- +---------------------------------------------------------------------------
	HTML BODY
---------------------------------------------------------------------------+ --%>
<body onload="startTable();" style = 'overflow:hidden' marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">
<FORM name="<%=formName%>" METHOD="POST" ACTION="<%=JSP.LIST_ITEM%>" >

<%// this bid button will only be used for supplier and reverse auction, otherwise empty string returned%>
<%String bidButton = listPage.getGoToBidButton();
if(bidButton.length() > 0){ %>
<div id = 'tableBottomSection'>
<%= bidButton%>
</div>
<%} %>

<%=  listPage.getHiddenFields()%>

<%=  EPASSHTMLForm.getSessionHiddenField( ref ) %>

<%=  SearchManager.captureSearchEventFunction(ref, true) %>


<%
	listPage.getTableControl().stream(out);
%>

</FORM>

<%@ include file="include/inc_action_bar.inc" %>

<span id="zissou_mini_box">
    <input type="text" id="zissou_mini_input" autocomplete="off" value="<%= ref.convertLiteral("form.searchForm.button.submit")%>"
        onkeydown="if (this.value == '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.searchForm.button.submit"))%>' ) this.value = '';"
        onclick="if (this.value == '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.searchForm.button.submit"))%>') this.value = '';"
		onkeypress="if (event.keyCode == 13) {doItemSearch('',this.value);return false;}"
		onfoucs="this.select();"
     />
</span>


</body>
<%
	if( listPage.getTableControl() != null ) {
		out.println( listPage.getTableControl().getSelectedRowScript() );
	}
%>



<%  
	// ======================= POLLING SUPPORT ==============================
	// Update based on the current item. - REVERSED ONLY!
	if (listPage.getRfxStruct() != null){
		if (listPage.getRfxStruct().isReverseAuction())
		{
            String rfxId = listPage.getRfxStruct().getId().toString();
			String keys[] = new String[]{ PollCache.RFQ, PollCache.ITEM_RFQ, "RTBID-ITEMLIST" };
			String values[] = new String[]{ ""+rfxId, ""+rfxId, ""+rfxId };
			out.println( Poll.getPollScripts(pageStartTime, "LIST_ITEM", keys, values, 10000) );
		}
	}

    // Polling support - For feedback scenario run
    if (listPage.getRfxStruct() != null &&
            (listPage.getRfxStruct().isSealedAuction() || listPage.getRfxStruct().isRFP()) &&
            listPage.getRfxStruct().isAllowOptimizationFeedback().booleanValue() ) {
        String keys[] = new String[]{ PollCache.FEEDBACK_SCENARIO_RUN };
        String values[] = new String[]{ "NEW" };
        out.println( Poll.getPollScripts( pageStartTime, formName, keys, values, 10000) );

        // set up the initial time to compare for polling
        Date initialTime = new Date();
        ref.sessionTracker.setValue( ref.req, FeedbackScenarioRun.LAST_SCENARIO_CHECK_TIME_ITEM_LIST, initialTime );
    }
    
 	//======================= Two envelope bidding - POLLING SUPPORT ==============================
    out.println(listPage.getEnvelopePollingScript(pageStartTime));
%>


<script>
function NAV_PAGEUPDATE(parms){
<%	// alert("Update called with: " + parms);  %>
	NAV_Reload( this );
}

<%// Turn on the max/toggle buttons  %>
top.showmaxbtn = "true";
top.showScrollBtn = "true";
</script>

</html>
<script>
var nav = NAV_getServerTime().getTime();
var sys = (new Date()).getTime();

<%//Clock functions are not created if stagger time was not set
    AuctionStruct auctionStruct = listPage.getRfxStruct();

    if(null != auctionStruct && listPage.getIsStaggered())
    {
        String clockForm = ItemListPageProcessor.CLOCK_FORM_NAME;
        Date rfqCloseTime = auctionStruct.getEndDate();
        Integer currentItemId = listPage.getCurrentItem();
        if(auctionStruct != null && (AuctionStatus.PENDING.equals(auctionStruct.getStatus()) ||
                                     AuctionStatus.CREATED.equals(auctionStruct.getStatus())))
        {%>

            setClockNotOpened(document.<%= clockForm%>.<%= Misc.STAGGER_CLOSE_CLOCK%>);
        <%} else if ( auctionStruct != null && auctionStruct.isAuctionPaused () ){%>
            setClockPaused(document.<%= clockForm%>.<%= Misc.STAGGER_CLOSE_CLOCK%>);
        <%} else if (rfqCloseTime == null){//No close time was set for the RFQ. Display 'No time limit set'%>
            setClockNoLimitSet(document.<%= clockForm%>.<%= Misc.STAGGER_CLOSE_CLOCK%>);
        <%} else {%>
            var rfqCloseTime = <%= rfqCloseTime.getTime()%>;
            var timeDiffSec= parseInt((rfqCloseTime - NAV_getServerTime().getTime())/1000);
            //There is a current item, calculate the time left
            <%if (null != currentItemId && currentItemId.intValue() >= 0 )
            {%>
                if(timeDiffSec > 0)
                {
                    setTimeout("updateTimeLeftSec(document." + "<%= Misc.ACTION_BAR_FORM%>" + ".<%= Misc.STAGGER_CLOSE_CLOCK%>" + ")",50);
                } else {
                    // There is a current item but the time is 0 or negative. This can only result
                    //from the fact that there was a mismatch in time.
                    //initiate another refresh in 5 seconds
                    setClockNA(document.<%= clockForm%>.<%= Misc.STAGGER_CLOSE_CLOCK%>);
                    setTimeout("updateTimeLeftSec(document." + "<%= Misc.ACTION_BAR_FORM%>" + ".<%= Misc.STAGGER_CLOSE_CLOCK%>" + ")",5000);
                }
            <%} else if ( auctionStruct != null && AuctionStatus.OPEN.equals(auctionStruct.getStatus() )){%>
                // There was no current item, but status is open. This could be because the supplier is
                // not invited to the current item. Display time left for current item.
                if(timeDiffSec > 0)
                {
                    setTimeout("updateTimeLeftSec(document." + "<%= Misc.ACTION_BAR_FORM%>" + ".<%= Misc.STAGGER_CLOSE_CLOCK%>" + ")",50);
                } else {
                    // There was a mismatch in time.
                    //initiate another refresh in 5 seconds
                    setClockNA(document.<%= clockForm%>.<%= Misc.STAGGER_CLOSE_CLOCK%>);
                    setTimeout("updateTimeLeftSec(document." + "<%= Misc.ACTION_BAR_FORM%>" + ".<%= Misc.STAGGER_CLOSE_CLOCK%>" + ")",5000);
                }
            <%} else {%>
                //There was no current item, (pending) or the RFQ is already closed.
                setClockClosed(document.<%= clockForm%>.<%= Misc.STAGGER_CLOSE_CLOCK%>);
            <%}
        }
    }// end null != auctionStruct && if staggered close%>

    function popupBidOff()
    {
        NAV_Popup(top, -1, '<esapi:js><%=  listPage.getBidOffLink().toURL() %></esapi:js>', 550, 500);
    }
    
   	//PR#43114-Sujoy: js function for Lot popup
	function viewLot (lotId) 
	{
		var lotUrl;
		lotUrl = "<%=  ref.encodeURLwUP(JSP.DETAIL_LOT+"?") %>"
			+ "&"+ "<%= EPASSJSPActions.ACTION %>" + "=" + <%= EPASSJSPActions.READ_VIEW %>
			+ "&" + "<%= ServletBase.CURRENT_ID%>" + "="
			+ lotId;	
		NAV_Popup( top, -1, lotUrl, 370 , 500);
    }
    

</script>
<%@ include file="include/tail.inc"%>
