<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2016. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ include file="../../include/simple_head.inc" %>

<%
	
ListContractingAuthorityBean bean = (ListContractingAuthorityBean)request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	EPASSTableViewControl table = bean.getTable();
	String actionBarTitle = bean.getActionBarTitle();
	   
	toolbarItems.addControl( bean.getCreateButton() );
	toolbarItems.addControl( bean.getDeleteButton() );
	toolbarItems.setTableConfigButtonEnabled( false );
	Object actionBarButtons = toolbarItems.toString();
	
	final String formName = bean.FORM_NAME;
%>
<%@page import="com.avinamart.WebInterface.Utility.HTML.EPASSTableViewControl"%>
<%@page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean"%>
<%@ page import="org.owasp.esapi.ESAPI" %>

<%@ include file="../../include/inc_actionbar_spacer.inc"%>
<%@page import="com.avinamart.WebInterface.EPASSJSPActions"%>
<%@page import="com.avinamart.WebInterface.Constants.JSP"%>
<%@page import="com.emptoris.app.ojeu.webClient.model.ListContractingAuthorityBean"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@page import="com.emptoris.framework.ui.controller.clientInterface.EPASSJSPActionTypes"%>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
	<title><esapi:html><%= ref.convertLiteral ( "epass.title" )%></esapi:html></title>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
	<%-- Navigation utility that supply all frame services --%>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>

     	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_calendar.js"%>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_dtable.js"%>'></SCRIPT>
   	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "dragDrop3.js" %>' ></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>    
    
<script>
	top.showScrollBtn = "false";	
	var NAV_LIST='<%=ContextCodes.NOTICE%>';
	var NAV_DEP ="";
	function doAddContractingAuthority()
	{
		
		<% String addCAURL = ref.encodeURL (ref.getUserPath()
				+ JSP.WIZ_CONTRACTING_AUTHORITY_ADDITIONAL_CONTACT  + "?" + EPASSJSPActions.ACTION + "="
				+ EPASSJSPActions.DEFAULT_VIEW +"&isCreate=true");				
		%>

		NAV_Popup( top, 1, '<%=addCAURL%>', 700, 900 );
		
	}
	
	function NAV_HandleEvent(var1, var2)
	{
		if( var1 == "<%=EPassTree._sNavigationEvent%>" )
		{
			<%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "var2", "''" )%>
		}
	}

	function doDeleteCA()
	{
		if ( checkSelectionVer_2 () )
		{
	   			document.<%=formName%>.action= "ojeu/jsp/list_contracting_authority.jsp";
       			document.<%=formName%>.jspAction.value = <%=EPASSJSPActions.DELETE%>;
    			document.<%=formName%>.isDeleteFired.value = 1;
				document.<%=formName%>.submit();
		}
	}	
	
	function checkSelectionVer_2 ()
	{
	
		if ( EPASSCheckbox.checkRequired (			
			document.<%=formName%>.<%= Misc.SELECTED_OBJECT %>,
		      '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral ("form.wiz_contracting_authority.no_ca_selected"))%>' ) )
		{
		
			var confirmString = '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_contracting_authority.confirm_delete")) %>';
	     	var conf = confirm ( confirmString );
		    return conf;
		}
		else
		{
			return false;
		}
	}
	
	<%--
	 ESP-46227 : After deleting all OOC's Annex-B link should get disappeared, This needs notice tree to be refreshed.
	 Added new hidden variable named isDeleteFired. Value for this variable is set to 1 from doDeleteOoc() java script function
	 In document.ready() function if this variable is set then only refresh the notice tree. 
	 --%>		
	$(document).ready(function(){
			<%
			Object isDeleteFired= request.getParameter("isDeleteFired");
			
				if("1".equals( isDeleteFired )){
					%>
					NAV_FireEvent(top,'NAV_HandleQuery_wiz_notice_tree','','NAV_HandleQuery_wiz_notice_tree');
					<%
				}
			%>
		});
	
</script>
</head>

<body onload = "startTable();"  marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0" > 



<FORM name="<%=formName%>" METHOD="POST" ACTION="list_contracting_authority.jsp">
<input type="hidden" name='<%= EPASSJSPActions.ACTION%>' 	value='' >
<input type="hidden" name='isDeleteFired' 	value='' >

		
		<%table.stream(out);%>
		
</FORM>

<%
	if( table != null ) {
		out.println( table.getDSelectedRowScript());
	}
%>
<%@ include file="../../include/inc_action_bar.inc"%>
</body>
</html>
<%@ include file="../../include/simple_tail.inc"%>
