<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2016. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ include file="../../include/simple_head.inc" %>

<%
	
	ListCorrigendumChangesBean bean = (ListCorrigendumChangesBean)request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	
	EPASSTableViewControl table = bean.getTable();
	String actionBarTitle = bean.getActionBarTitle();
	
	toolbarItems.addControl( bean.getCreateButton() );
	toolbarItems.addControl( bean.getDeleteButton() );
	toolbarItems.setTableConfigButtonEnabled( false );
	Object actionBarButtons = toolbarItems.toString();
	
	//******************************************************************************
	//      Initialize table control field values from struct
	//******************************************************************************
	String statusMsg = null;
	
	boolean canUpdate = true;
	boolean isEditable = true; 
	
	// create the buttons, after read only is set // may be need in future
	EPASSInputButton buttonSubmit = null;
	
	EPASSInputButton buttonCancel = EPASSInputButton.createButton("button", "cancelButton" ,
							ref.isReadOnly() ? ref.convertLiteral("form.wizConfigStart.button.done")
			 								 : ref.convertLiteral("form.wizConfigStart.button.cancel"),
							"self.close();");
	
	
	//******************************************************************************
	//	Build Form Table
	//******************************************************************************
	
	EPASSHTMLForm editForm = null;
	final String formName        = "NoticeCorrigendumChangesForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
		ref.getUserPath() + "ojeu/jsp/notice_corrigendum_changes.jsp", true );
	editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );
	
	EPASSImageControl addBtn=null;
	EPASSHTMLSelect inputCTRLSelect = null;
	
	EPASSInputControlInterface icInterface1 = null;	
	EPASSDHTMLSelect inputCTRLTemplateSelect = null;
	EPASSDHTMLSelect inputCtrlDHTMLSelect = null;
	EPASSInputControlDate inputCtrldate = null;
	EPASSInputControl inputCTRL = null;
	EPASSTextAreaControl stdTxt = null;
	EPASSInputSingleCheckBox checkBox = null;
	Object[] sectionNo = null;
	EPASSDetailViewRowBase lastRow = null;
	String displayStatus = "";
	NoticeStruct notice = bean.getNoticeStruct();

	
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + EPASSJSPActions.SAVE_NEW );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY", "");
	
	out.write(TreeWizUtility.getNavHideSaveButtonJs(!bean.canUpdateCorrigendum()));
	// END HIDDEN FIELDS
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
	editForm.setUserInputClass("OJEU_FORM_INPUT");	
	editForm.setAddSizerTDs(false);
	
	// End Table Form===========================================================
	
%>
<%@page import="com.avinamart.WebInterface.Utility.HTML.EPASSTableViewControl"%>
<%@page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean"%>
<%@ page import="org.owasp.esapi.ESAPI" %>

<%@ include file="../../include/inc_actionbar_spacer.inc"%>
<%@page import="com.avinamart.WebInterface.EPASSJSPActions"%>
<%@ page import="com.avinamart.WebInterface.ServletBase" %>
<%@page import="com.avinamart.WebInterface.Constants.JSP"%>
<%@page import="com.emptoris.app.ojeu.webClient.model.ListCorrigendumChangesBean"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.emptoris.app.ojeu.common.struct.NoticeStruct" %>
<%@page import="com.emptoris.framework.ui.controller.clientInterface.EPASSJSPActionTypes"%>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<SCRIPT>

function doAddCorrigendumChanges()
{
	<% String addCAURL = ref.encodeURL (ref.getUserPath()
			+ JSP.NOTICE_DETAIL_CORRIGENDUM_CHANGES  + "?" + EPASSJSPActions.ACTION + "="
			+ EPASSJSPActions.DEFAULT_VIEW +"&isCreate=true");				
	%>

	NAV_Popup( top, 1, '<%=addCAURL%>', 700, 900 );
	
}

function NAV_HandleEvent(var1, var2)
{
	if( var1 == "<%=EPassTree._sNavigationEvent%>" )
	{
		<%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "var2", "''" )%>
	}
}

function doDeleteCorrigendumChanges()
{
	if ( checkSelectionVer_2 () )
	{
   			document.<%=formName%>.action= '<%=JSP.LIST_CORRIGENDUM_CHANGES%>';
   			document.<%=formName%>.jspAction.value = <%=EPASSJSPActions.DELETE%>;
			document.<%=formName%>.isDeleteFired.value = 1;
			document.<%=formName%>.submit();
	}
}	

function checkSelectionVer_2 ()
{

	if ( EPASSCheckbox.checkRequired (			
		document.<%=formName%>.<%= Misc.SELECTED_OBJECT %>,
	      '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral ("corrigendum.changes.listPage.alert.no_change_selected"))%>' ) )
	{
	
		var confirmString = '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("corrigendum.changes.listPage.alert.delete_cobfirmation")) %>';
     	var conf = confirm ( confirmString );
	    return conf;
	}
	else
	{
		return false;
	}
}
</SCRIPT>

<head>
	<title><esapi:html><%= ref.convertLiteral ( "epass.title" )%></esapi:html></title>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
	<%-- Navigation utility that supply all frame services --%>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>

     	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_calendar.js"%>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_dtable.js"%>'></SCRIPT>
   	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "dragDrop3.js" %>' ></SCRIPT>
    	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>    
    
</head>

<body onload = "startTable();"  marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0" > 

<FORM name="<%=formName%>" METHOD="POST" ACTION="list_awardee_award_of_contract.jsp">
<input type="hidden" name='<%= EPASSJSPActions.ACTION%>' 	value='' >
<input type="hidden" name='isDeleteFired' 	value='' >

		
		<%table.stream(out);%>
		
</FORM>

<%
	if( table != null ) {
		out.println( table.getDSelectedRowScript());
	}
%>

<%@ include file="../../include/inc_action_bar.inc"%>
</body>
</html>
<%@ include file="../../include/simple_tail.inc"%>
