<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2016. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.NoticeDetailCorrigendumChangesPageBean" %>
<%@ page import="com.emptoris.app.ojeu.common.struct.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.*" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.helper.NoticeHelper"%>
<%@ page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@ page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="com.avinamart.Utility.Exception.EPASSApplicationException"%>
<%@ include file="../../include/simple_head.inc" %>
<%@ include file="ojeu_email_ctrl.inc" %>
<%@ page import="org.owasp.esapi.ESAPI" %>

<% 
NoticeDetailCorrigendumChangesPageBean bean = (NoticeDetailCorrigendumChangesPageBean)
        request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);

	//String actionBarTitle = null;
	//String treeName = ref.userDataContext.getWizTreeName();
	String MAIN_VOCABULARY= "ojeu.form.detail.lot.hdr.main_vocabulary";
	String SUPP_VOCABULARY= "ojeu.form.detail.lot.hdr.supp_vocabulary"; 
	String VOC_DESC= "ojeu.form.detail.lot.hdr.voc_description";
	String statusMsg = null;
	boolean canUpdate = bean.canUpdateCorrigendum();
	//boolean isEditable = true; 
	//actionBarTitle = ref.convertLiteral("form.wiz_contracting_authority.additional.contact.header.notice.title");
	
	//String MAIN_OBJ_HDR= "ojeu.form.detail.lot.hdr.main_obj";

	//******************************************************************************
	//	Build Form Table
	//******************************************************************************
	
	EPASSHTMLForm editForm = null;
	final String FORM_NAME= "NoticeCorrigendumForm";
	
	editForm = new EPASSHTMLForm( ref, FORM_NAME, EPASSHTMLForm.POST,
				ref.getUserPath() + "ojeu/jsp/notice_detail_corrigendum_changes.jsp", true );
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );
	
	NoticeStruct notice = bean.getNoticeStruct();
	
	editForm.addSeparator(ref.convertLiteral("corrigendum.changes.header.text_to_be_corrected"));
		
	EPASSInputSimpleSelect changeTypeCtrlSelect = new EPASSInputSimpleSelect (
													bean.fieldNameCHANGETYPE,
													bean.getCorrigendumChangeTypeValues(),
													bean.getCorrigendumChangeTypeDisplays(),
										            EPASSQPretty.UQ( bean.getFieldValueCHANGETYPE(), ref),"showProperControls()" );
	
	changeTypeCtrlSelect.setEnabled(canUpdate);	
	if (bean.getCorrigendumChangeId()!=null) {
		changeTypeCtrlSelect.setEnabled(false);	
	}
	editForm.addControl ( ref.convertLiteral("corrigendum.changes.field.change.type")+ Header.REQUIRED_FIELD , changeTypeCtrlSelect );
		
	
	//----------------------------------Start of Text type changes------------------------------
	
	EPASSInputControl sectionNumberControl = new EPASSInputControl("Text", bean.fieldNameSECTIONNUMBER, EPASSQPretty.UQ(bean.getFieldValueSECTIONNUMBER(), ref),20,20);
	sectionNumberControl.setMonitored(true);
	editForm.addControl(bean.fieldNameSECTIONNUMBER,ref.convertLiteral("corrigendum.changes.field.lable.section_number")+ Header.REQUIRED_FIELD, sectionNumberControl,canUpdate);
    
	EPASSInputControl lotNumberControl = new EPASSInputControl("Text", bean.fieldNameLOTNUMBER, EPASSQPretty.UQ(bean.getFieldValueLOTNUMBER(), ref),40,100);
	lotNumberControl.setMonitored(true);
	editForm.addControl(bean.fieldNameLOTNUMBER,ref.convertLiteral("corrigendum.changes.field.lable.lot_no"), lotNumberControl,canUpdate);
    
	EPASSInputControl placeOfFieldControl = new EPASSInputControl("Text", bean.fieldNameLABEL, EPASSQPretty.UQ(bean.getFieldValueLABEL(), ref),40,400);
	placeOfFieldControl.setMonitored(true);
	editForm.addControl(bean.fieldNameLABEL,ref.convertLiteral("corrigendum.changes.field.lable.Place_of_text_to_be_modified"), placeOfFieldControl,canUpdate);    
    //---------------------------------------------End-----------------------------------------
	
   	String space="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
    ArrayList mainSupVocCompoundCtl = new ArrayList();
    String mainvocsuppvochdr= "<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">"+ref.convertLiteral(MAIN_VOCABULARY)+"</span>"+"<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">";
    mainvocsuppvochdr += space + space + space + "<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">"+ref.convertLiteral(VOC_DESC)+"</span>"+ space + space + space + space;
    mainvocsuppvochdr += ref.convertLiteral(SUPP_VOCABULARY)+"</span>"+ space + space + "<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">"+ref.convertLiteral(VOC_DESC)+"</span>";
	//----------------------------------Start of CPV type changes------------------------------
     if (bean.getFieldValueCHANGETYPE() != null && bean.getFieldValueCHANGETYPE().equals(CorrigendumChangeType.MainCPV.toString())) {
	    EPASSInputGenericString mainVocHdr = new EPASSInputGenericString(mainvocsuppvochdr);
	    editForm.addControl("",mainVocHdr );
	    bean.setInsteadOfMainCPVObjectsControls(editForm);
	    bean.setReadMainCPVObjectsControls(editForm);
    }
    
    //Additional CPV
     if (bean.getFieldValueCHANGETYPE() != null && bean.getFieldValueCHANGETYPE().equals(CorrigendumChangeType.AdditionalCPV.toString())) {
    	EPASSInputGenericString mainVocHdr = new EPASSInputGenericString(mainvocsuppvochdr); 
    	editForm.addControl("",mainVocHdr );
	    bean.setInsteadOfAdditionalObjectsControls(editForm);
	    bean.setReadAdditionalObjectsControls(editForm);
     }
    
    //---------------------------------------------End-----------------------------------------
     if (bean.getFieldValueCHANGETYPE() != null && bean.getFieldValueCHANGETYPE().equals(CorrigendumChangeType.Text.toString())) {
	    EPASSInputControl insteadOfTextValueControl = new EPASSTextAreaControl(bean.fieldNameINSTEADOFTEXT,bean.getFieldValueINSTEADOFTEXT());
	    insteadOfTextValueControl.setMaxLength(1000);
	    editForm.addControl(bean.fieldNameINSTEADOFTEXT, ref.convertLiteral("corrigendum.changes.field.lable.instead_of"),insteadOfTextValueControl,canUpdate);

	    
	    EPASSInputControl readTextValueControl = new EPASSTextAreaControl(bean.fieldNameREADTEXT,bean.getFieldValueREADTEXT());
	    readTextValueControl.setMaxLength(1000);
	    editForm.addControl(bean.fieldNameREADTEXT, ref.convertLiteral("corrigendum.changes.field.lable.read"),readTextValueControl,canUpdate);
     }

    if (bean.getFieldValueCHANGETYPE() != null && bean.getFieldValueCHANGETYPE().equals(CorrigendumChangeType.Date.toString())) {
		EPASSInputControlDateTime insteadOfDateControl = new EPASSInputControlDateTime(
				bean.fieldNameINSTEADOFDATE,
				bean.getFieldValueINSTEADOFDATE(),ref);
		insteadOfDateControl.setMonitored(true);	
		insteadOfDateControl.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("corrigendum.changes.field.lable.instead_of") ,ref.convertLiteral("corrigendum.changes.field.lable.instead_of"),insteadOfDateControl);
  
		EPASSInputControlDateTime readDateControl = new EPASSInputControlDateTime(
				bean.fieldNameREADDATE,
				bean.getFieldValueREADDATE(),ref);
		readDateControl.setMonitored(true);	
		readDateControl.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("corrigendum.changes.field.lable.read") ,ref.convertLiteral("corrigendum.changes.field.lable.read"),readDateControl);
    }
    	
	if( canUpdate )
	{
		EPASSInputButton saveButton = EPASSInputButton.createButton("button", "cacSave", ref.convertLiteral("form.wiz_object_of_contract.btn.save"), "doSave();");
		editForm.addButton(saveButton);
	}
	editForm.addCloseButton("cacClose","javascript:onClose();");
	if( canUpdate  && bean.getCorrigendumChangeId()==null)
	{
		EPASSInputButton saveButton = EPASSInputButton.createButton("button", "cacSaveAndAddNext", ref.convertLiteral("form.detailLot.button.save_add_next"), "doSaveAndAddNext();");
		editForm.addButton(saveButton);
	}
	
	editForm.addHidden( NoticeDetailCorrigendumChangesPageBean.ID_PARAM, "" + bean.getCorrigendumChangeId() );
	editForm.addHidden("IS_FORM_DIRTY",ref.req.getParameter("IS_FORM_DIRTY"));
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + EPASSJSPActions.CREATE_VIEW);
	editForm.addHidden("INSTEAD_OF_MAIN_CPV_CODE",bean.getFieldValueINSTEADOFMAINOBJCPV());
	editForm.addHidden("INSTEAD_OF_MAIN_VOC_CODE",bean.getFieldValueINSTEADOFMAINSUPPVOC());
	editForm.addHidden("READ_MAIN_CPV_CODE",bean.getFieldValueREADMAINOBJCPV());
	editForm.addHidden("READ_MAIN_VOC_CODE",bean.getFieldValueREADMAINSUPPVOC());
	
	editForm.addHidden("INSTEAD_OF_ADDITIONAL_VOC_CODES",bean.getListValueINSTEADOFADDOBJSUPPVOC());
	editForm.addHidden("READ_ADDITIONAL_VOC_CODES",bean.getListValueREADADDOBJSUPPVOC());
	editForm.addHidden("INSTEAD_OF_ADDITIONAL_CPV_CODES",bean.getListValueINSTEADOFADDOBJCPV());
	editForm.addHidden("READ_ADDITIONAL_CPV_CODES",bean.getListValueREADADDOBJCPV());
	editForm.addHidden(NoticeDetailCorrigendumChangesPageBean.CPV_VOC_SEARCH_RESULT,"");
	
 %>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<HEAD>

<%-- +---------------------------------------------------------------------------
 Include Stylesheet includes and JavaScript includes here
---------------------------------------------------------------------------+ --%>
<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>

<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
    
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<%
	//old if( bean.isUpdateTree() )
    if( !ref.isErrorMessage() )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>
 
<SCRIPT>
 function doSave()
 {
	var frm = document.<%= FORM_NAME%>;
	if (!validateLot())
	{
		return false;
    }
	frm.<%=  EPASSJSPActions.ACTION %>.value = <%=  EPASSJSPActions.SAVE_NEW%>;
	frm.submit();
    NAV_FireEvent(top,'NAV_HandleQuery_wiz_notice_tree','','NAV_HandleQuery_wiz_notice_tree');
 }
 
 function doSaveAndAddNext()
 {
	var frm = document.<%= FORM_NAME%>;
	if (!validateLot())
	{
		return false;
    }
	frm.<%=  EPASSJSPActions.ACTION %>.value = <%=  EPASSJSPActions.SAVE_CREATE_NEW%>;
	frm.submit();
	NAV_FireEvent(top,'NAV_HandleQuery_wiz_notice_tree','','NAV_HandleQuery_wiz_notice_tree');
 }
 
 function onClose(){
 	if(isMonitoredFieldsDirty( document.<%= FORM_NAME%>, true )|| document.<%= FORM_NAME%>.IS_FORM_DIRTY.value == 'true'  ) 
 	  {
   	 
 		//PR#76718# Giving message any time user clicks on close button
         if( confirm( '<esapi:js><%=  ref.convertLiteral("Form_Dirty")%></esapi:js>' ) ) 
         {
              top.window.close();
         } 
         else
         {
              return false;
         }
 	}
 	else 
 	{
        top.window.close();
 	}
 }
 
 function validateLot()
 {
 	 var requiredFieldMsg = '<%=  ref.convertLiteral("form.EPASSHTMLForm.message.isRequiredFieldNoName")%>';

	 if (typeof document.<%= FORM_NAME%>.<%= bean.fieldNameCHANGETYPE%> != 'undefined' &&
				document.<%= FORM_NAME%>.<%= bean.fieldNameCHANGETYPE%>.selectedIndex == 0)
	 {
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameCHANGETYPE%>, requiredFieldMsg);
			return false;
	 }
 	 
	 if(typeof document.<%= FORM_NAME%>.<%= bean.fieldNameSECTIONNUMBER%> != 'undefined' && !EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldNameSECTIONNUMBER%>, requiredFieldMsg))
 	 {
 		 return false;
 	 }
	 
	 if(typeof document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFMAINOBJCPV%> != 'undefined' && !EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFMAINOBJCPV%>, requiredFieldMsg))
 	 {
 		 return false;
 	 }
	 
	 if(typeof document.<%= FORM_NAME%>.<%= bean.fieldNameREADMAINOBJCPV%> != 'undefined' && !EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldNameREADMAINOBJCPV%>, requiredFieldMsg))
 	 {
 		 return false;
 	 }
	 
	 if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFTEXT%>) != 'undefined') {
		if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFTEXT%>) && _isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameREADTEXT%>))
		{
			var insteadOfReadMandatoryMsg = '<%=  ref.convertLiteral("ojeu.notice.validation.changes.insteadOf_read.fieldMandatory")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFTEXT%>,insteadOfReadMandatoryMsg);
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameREADTEXT%>,insteadOfReadMandatoryMsg);
			return false;
		}	
	 }
	 
	 if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFDATE%>) != 'undefined') {
		if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFDATE%>) && _isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameREADDATE%>))
		{
			var insteadOfReadMandatoryMsg = '<%=  ref.convertLiteral("ojeu.notice.validation.changes.insteadOf_read.fieldMandatory")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameINSTEADOFDATE%>,insteadOfReadMandatoryMsg);
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameREADDATE%>,insteadOfReadMandatoryMsg);
			return false;
		}	
	 }
	 
	 if(typeof(document.<%= FORM_NAME%>.<%= bean.listNameINSTEADOFADDOBJCPV%>) != 'undefined' && typeof(document.<%= FORM_NAME%>.<%= bean.listNameREADADDOBJCPV%>) != 'undefined') {
		if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.listNameINSTEADOFADDOBJCPV%>) && _isEmpty(document.<%= FORM_NAME%>.<%= bean.listNameREADADDOBJCPV%>))
		{
			var insteadOfReadMandatoryMsg = '<%=  ref.convertLiteral("ojeu.notice.validation.changes.insteadOf_read.fieldMandatory")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.listNameINSTEADOFADDOBJCPV%>,insteadOfReadMandatoryMsg);
			showError(document.<%= FORM_NAME%>.<%= bean.listNameREADADDOBJCPV%>,insteadOfReadMandatoryMsg);
			return false;
		}	
	 }
	 return true;
 }
 
	function showProperControls()
	{
		
		var frm = document.<%= FORM_NAME%>;
		frm.<%=  EPASSJSPActions.ACTION %>.value = <%=  EPASSJSPActions.REFRESH_PAGE%>;
	    frm.submit();

    }
	
	function initializeFields() {
		
	}
	
	function NAV_HandleEvent(var1, var2)
	{
		if( var1 =='selectCpvVocNuts')
		{
			//alert(var2);
			var tmpArray = new Array();
			tmpArray =  var2.split(";;");
	
			if(tmpArray[3].indexOf('<%= SearchManager.BASIC_CPV_SEARCH%>') != -1){
				if (tmpArray[5] == "<%= bean.INSTEAD_OF%>") { 
					setFormDirty( document.<%= FORM_NAME%>.INSTEAD_OF_MAIN_CPV_CODE.value, tmpArray[1]);
				}
				else if (tmpArray[5] == "<%= bean.READ%>") {
					setFormDirty( document.<%= FORM_NAME%>.READ_MAIN_CPV_CODE.value, tmpArray[1]);
				}
			}
			else if (tmpArray[3].indexOf('<%= SearchManager.BASIC_VOC_SEARCH%>')!=-1)
			{
				if (tmpArray[5] == "<%= bean.INSTEAD_OF%>") { 
					setFormDirty( document.<%= FORM_NAME%>.INSTEAD_OF_MAIN_VOC_CODE.value, tmpArray[1]);
				}
				else if (tmpArray[5] == "<%= bean.READ%>") {
					setFormDirty( document.<%= FORM_NAME%>.READ_MAIN_VOC_CODE.value, tmpArray[1]);
				}
			}
			else if (tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_VOC_SEARCH%>')!=-1)
			{
				if (tmpArray[5] == "<%= bean.INSTEAD_OF%>") { 
					setFormDirty( document.<%= FORM_NAME%>.INSTEAD_OF_ADDITIONAL_VOC_CODES.value, tmpArray[1]);
				}
				else if (tmpArray[5] == "<%= bean.READ%>") {
					setFormDirty( document.<%= FORM_NAME%>.READ_ADDITIONAL_VOC_CODES.value, tmpArray[1]);
				}
			}
			else if(tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_CPV_SEARCH%>') != -1){
				if (tmpArray[5] == "<%= bean.INSTEAD_OF%>") { 
					setFormDirty( document.<%= FORM_NAME%>.INSTEAD_OF_ADDITIONAL_CPV_CODES.value, tmpArray[1]);
				}
				else if (tmpArray[5] == "<%= bean.READ%>") {
					setFormDirty( document.<%= FORM_NAME%>.READ_ADDITIONAL_CPV_CODES.value, tmpArray[1]);
				}
			} 
			else
			{
				document.<%= FORM_NAME%>.IS_FORM_DIRTY.value = '';
			}

			document.<%= FORM_NAME%>.<%= NoticeDetailCorrigendumChangesPageBean.CPV_VOC_SEARCH_RESULT%>.value=var2;
			document.<%= FORM_NAME%>.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.VIEW_QUERY_RESULTS%>';
			document.<%= FORM_NAME%>.submit(); 

		}
		//TODO remove no navigation event
		if( var1 == "<%= EPassTree._sNavigationEvent%>" )
		{
			<%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "var2", "''" )%>
		}

	}

	function setFormDirty( oldValue, newValue)
	{		
			if( oldValue != newValue)
			{
				document.<%= FORM_NAME%>.IS_FORM_DIRTY.value = 'true';
			}	
	}
	
</SCRIPT> 
</HEAD>



<body onload="init();initializeFields();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="0" rightmargin="10" topmargin="0" leftmargin="0">
<%popupImage = ref.getUserPath()+Image.CORRIGENDUM_CHANGES;%>
<%@ include file="../../include/inc_popup_top.inc" %>

<% //Will print the error message, if one exist. Uses a stylesheet format
System.out.println(ref.isErrorMessage());
System.out.println(ref.getRawMessage());%>
<%

%>

<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<TR>
  	<TD>
		<%		
		if ( ref.getMessage() != null && ref.getMessage() != "" )
		{
			System.out.println(ref.getMessage());
			out.println( ref.getMessage() );
			ref.sessionTracker.setValue(ref.req, "dataSaved", "");
		}

		if ( ref.getSaveMessage() != null && ref.getSaveMessage() != "" )
		{
			out.println( ref.getSaveMessage() );
			ref.setSaveMessage(false);
		}
		%>
  	</TD>
</TR>

<TR>
  	<TD>
	<%= editForm%>
  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
