<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.Struct.WrapperObjectStruct" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@ page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*"%>
<%@ page import="com.avinamart.Utility.StringUtility"%>
<%@ page import="com.avinamart.Utility.Exception.*"%>
<%@ page import="com.emptoris.app.ojeu.webClient.model.NoticeDetailDescriptionPageBean"%>
<%@ page import="com.emptoris.app.ojeu.common.constant.ValueBasisType"%>
<%@ page import="com.emptoris.app.ojeu.common.constant.DurationMeasureType"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.Collection"%>
<%@ page import="com.avinamart.Utility.I18NFormats"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@ page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@page import="java.text.DecimalFormat"%>
<%@page import="com.avinamart.Utility.EPASSLocales"%>
<%@page import="com.avinamart.Utility.I18NFormats"%>
<%@ page import="com.emptoris.app.ojeu.common.struct.*" %>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>

<%-- JSP Head --%>
<%@ include file="../../include/simple_head.inc"%>

<%!
String TITLE = "ojeu.form.detail.lot.title";
String FORM_NAME = "annexbForm";
String LOT_NO ="ojeu.form.detail.lot.hdr.lot_no";
String LOT_TITLE = "ojeu.form.detail.lot.hdr.title";
String SHORT_DESC= "ojeu.form.detail.lot.hdr.short_desc";
String PRO_VOCABULARY= "ojeu.form.detail.lot.title.procu_vocabulary";
String MAIN_VOCABULARY= "ojeu.form.detail.lot.hdr.main_vocabulary";
String SUPP_VOCABULARY= "ojeu.form.detail.lot.hdr.supp_vocabulary"; 
String VOC_DESC= "ojeu.form.detail.lot.hdr.voc_description";
String MAIN_OBJ_HDR= "ojeu.form.detail.lot.hdr.main_obj";
String SELECT_CPV= "ojeu.form.detail.lot.hdr.select_cpv";
String SELECT_VOC= "ojeu.form.detail.lot.hdr.select_voc";
String MAIN_SITE_HDR= "ojeu.form.detail.lot.title.placeOfPerformance";
String MAIN_SITE_DESC_HDR= "ojeu.form.detail.lot.hdr.placeOfPerformance";
String QUAN_OR_SCOPE_HDR= "ojeu.form.detail.lot.title.quantity_or_scope";
String QUAN_SCOPE_DESC_HDR = "";
String QUAN_DESC_HELP_HDR = "ojeu.form.detail.lot.hdr.quanorscope_desc_help";
String VALUE_BASIS_HDR = "ojeu.form.detail.lot.hdr.value_basis";
String BETWEEN_HDR= "ojeu.form.detail.lot.hdr.between";
String AND_HDR= "ojeu.form.detail.lot.hdr.and";
String INDI_CONTRACT_DATE_HDR = "ojeu.form.detail.lot.title.indi_abt_diff_date_for_contract";
String DURATION_HDR = "ojeu.form.detail.lot.hdr.duration";
String PERIOD_HDR ="ojeu.form.detail.lot.hdr.period";
String STARTING_HDR = "ojeu.form.detail.lot.hdr.starting"; 
String COMPLETION_HDR = "ojeu.form.detail.lot.hdr.completion"; 
String ADD_INFO_ABT_LOTS_TITLE = "ojeu.form.detail.lot.title.add_info_abt_lots_hdr";
String ADD_INFO_ABT_LOTS_HDR = "ojeu.form.detail.lot.title.add_info_abt_lots";

String getRuleLine(){
	return "<TR><TD colspan='3' height='1' CLASS='POPFORMRULE'><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD></TR>";
}
String SAVE_BTN_ID = "noticeLotSave";
String CLOSE_BTN_ID = "noticeLotClose";
String SAVE_ADD_NEXT_BTN="saveAddNext";
int textFieldLength=256;
String DISABLED = "disabled";
int rowNum=1;
int rowNum1=1;
%>

<%
NoticeDetailDescriptionPageBean bean = (NoticeDetailDescriptionPageBean)
							request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	EPASSHTMLForm form = new EPASSHTMLForm( ref, FORM_NAME, EPASSHTMLForm.POST,
											ref.getUserPath()+JSP.NOTICE_DETAIL_LOT,
											true);//form name, submit method, name of page, Additional Edits
form.setFieldsMonitored(true);
	form.setBorderAroundForm(false);
	boolean isLotEditable = bean.isLotEditable();
	if(isLotEditable)
	form.setUserLabelWidth ( "25%" );
	else
	form.setUserLabelWidth ( "35%" );
	
	if(isLotEditable)
	{
		form.addSaveButton(SAVE_BTN_ID);
		if(bean.getLotId()==null)
		{
			form.addButton(EPASSInputButton.createButton("button",SAVE_ADD_NEXT_BTN  ,
					ref.convertLiteral("form.detailLot.button.save_add_next"),
						"onClickNextLot();"));
		}
	}
	
	rowNum=bean.getQualityCriterionMap().size() == 0 ? 1 : bean.getQualityCriterionMap().size();
	rowNum1=bean.getCostCriterionMap().size() == 0 ? 1 : bean.getCostCriterionMap().size();
		
	NoticeStruct notice = bean.getNoticeStruct();
	form.addCloseButton(CLOSE_BTN_ID, "javascript:onClose();");
	
	form.setBorderAroundForm(true);

	String actionBarTitle = ref.convertLiteral(TITLE);
	EPASSToolbarItems toolbar = new EPASSToolbarItems(ref);
    Object actionBarButtons = toolbar;
    String detailLinkPageUrl = JSP.NOTICE_DETAIL_LOT;
    
    form.addSeparator("1. "+ref.convertLiteral(TITLE));
    EPASSDetailViewRowBase lotInfoRowBase= form.getLastAddedControlRow();
    lotInfoRowBase.setDetailRowAttribute(new EPASSAttribute("valign","top"));
    boolean isPIN = bean.isPin();
    if(bean.getObjectOfContractSelect() != null && PriorInformationNoticeType.NoticeForPriorInfo.equals(notice.getPinNoticeType())) {
    	form.addControl(ref.convertLiteral("ojeu.form.lot.objectOfContract")+Header.REQUIRED_FIELD,bean.getObjectOfContractSelect(), isLotEditable);
    }
    
    EPASSInputControl lotNoControl = new EPASSInputControl(bean.TEXT_CONTROL, bean.fieldNameNUMBER, EPASSQPretty.UQ( bean.getFieldValueNUMBER(), ref)
			,20,100);
    lotNoControl.setMonitored(true);
    form.addControl(bean.fieldNameNUMBER,ref.convertLiteral(LOT_NO)+Header.REQUIRED_FIELD, lotNoControl, isLotEditable);
    
    EPASSInputControl lotTitleControl = new EPASSInputControl(bean.TEXT_CONTROL, bean.fieldNameTITLE, EPASSQPretty.UQ( bean.getFieldValueTITLE(), ref)
    												,20,EPASSInputControl.MAXLENGTH_LONG);
    lotTitleControl.setMaxLength(200);
    lotTitleControl.setMonitored(true);
    form.addControl(bean.fieldNameTITLE,ref.convertLiteral(LOT_TITLE), lotTitleControl,isLotEditable);
    
    String space="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
    ArrayList mainSupVocCompoundCtl = new ArrayList();
    String mainvocsuppvochdr= "<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">"+ref.convertLiteral(MAIN_VOCABULARY)+"</span>"+"<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">";
    mainvocsuppvochdr += space+"<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">"+ref.convertLiteral(VOC_DESC)+"</span>"+space;
    mainvocsuppvochdr= mainvocsuppvochdr +space+ref.convertLiteral(SUPP_VOCABULARY)+"</span>"+space+"<span class=POPFORMLABEL style=\"align:center;BACKGROUND-COLOR: white\">"+ref.convertLiteral(VOC_DESC)+"</span>";
    
    EPASSInputGenericString mainVocHdr = new EPASSInputGenericString(mainvocsuppvochdr);
    mainSupVocCompoundCtl.add(mainVocHdr);
    EPASSInputCompoundControl mainSupvocDeschdr = new EPASSInputCompoundControl(mainSupVocCompoundCtl, ref); 
    form.addControl("",mainSupvocDeschdr );
    
    //--------------------------
    //Additional objects
    List<EPASSInputCompoundControl> addObjCompoundControls = new ArrayList<EPASSInputCompoundControl>();
    bean.setAdditionalObjectsControls(addObjCompoundControls);
     //----------------------------------
    form.addSeparator(ref.convertLiteral(MAIN_SITE_HDR)); 
     
	EPASSInputCompoundControl nutsCodeAndNameccS = new EPASSInputCompoundControl(ref);
	EPASSInputControl nutCodectrl = new EPASSInputControl("TEXT", bean.fieldNameNUTSCODE, EPASSQPretty.UQ(bean.getFieldValueNUTSCODE(), ref), 10, EPASSInputControl.MAXLENGTH_LONG, false);
	nutCodectrl.setAttribute("disabled", true);
	nutsCodeAndNameccS.add(nutCodectrl);
	nutCodectrl.setMonitored(true);
	nutsCodeAndNameccS.add(new EPASSInputGenericString("&nbsp;" ));
	EPASSInputControl nutNamectrl = new EPASSInputControl("TEXT", bean.fieldNameNUTSNAME, EPASSQPretty.UQ(bean.getFieldValueNUTSNAME(), ref), 30, EPASSInputControl.MAXLENGTH_LONG, false);
	nutNamectrl.setAttribute("disabled", true);
	nutNamectrl.setMonitored(true);
	nutsCodeAndNameccS.add(nutNamectrl);
	nutsCodeAndNameccS.add(new EPASSInputGenericString("&nbsp;" ));
	if (isLotEditable)
		nutsCodeAndNameccS.add(new EPASSInputGenericString(addNutsButton(ref, bean.getFieldValueNUTSCODE())));
	form.addControl(ref.convertLiteral("ojeu.form.detail.lot.hdr.nutsCodeAndName"), ref.convertLiteral("ojeu.form.detail.lot.hdr.nutsCodeAndName") + Header.REQUIRED_FIELD, nutsCodeAndNameccS); 
    
   	List<EPASSInputCompoundControl> nutsCompoundControls = new ArrayList<EPASSInputCompoundControl>();
    bean.setNutsObjectsControls(nutsCompoundControls);
    
	EPASSInputControl mainSiteControl = new EPASSTextAreaControl(bean.fieldNameMAINSITE,bean.getFieldValueMAINSITE());
    mainSiteControl.setMaxLength(200);
    form.addControl(bean.fieldNameMAINSITE,ref.convertLiteral(MAIN_SITE_DESC_HDR), mainSiteControl,isLotEditable);
	
    form.addSeparator(ref.convertLiteral(QUAN_OR_SCOPE_HDR));
    EPASSDetailViewRowBase quantityOrScopeRowBase= form.getLastAddedControlRow();
    quantityOrScopeRowBase.setDetailRowAttribute(new EPASSAttribute("valign","top"));
    
    EPASSInputControl qunScopeDescControl = new EPASSTextAreaControl(bean.fieldNameQUANTITYORSCOPEDESCRIPTION,bean.getFieldValueQUANTITYORSCOPEDESCRIPTION());
    qunScopeDescControl.setMaxLength(4000);
    form.addControl(bean.fieldNameQUANTITYORSCOPEDESCRIPTION,ref.convertLiteral(QUAN_SCOPE_DESC_HDR), qunScopeDescControl,isLotEditable);
    
    form.addSeparator(ref.convertLiteral("ojeu.form.detail.lot.title.award_criteria"));
    
	String[] awardCriteriaValues = {"1","2"};
	String[] awardCriteriaDisplayValues = { ref.convertLiteral("ojeu.form.detail.lot.criteria.below"),ref.convertLiteral("ojeu.form.detail.lot.criteria.procurement.documents")};
	
	EPASSInputRadioButtons awardCriteriaRadioBt = new EPASSInputRadioButtons(
											bean.fieldNameAWARDCRITERIA,
											EPASSQPretty.UQ(bean.getFieldValueAWARDCRITERIA(), ref),
											awardCriteriaValues,
											awardCriteriaDisplayValues,
											EPASSInputRadioButtons.VERTICAL,"criteriaControls()");
	awardCriteriaRadioBt.setEnabled(isLotEditable);
	form.addControl(ref.convertLiteral(""),
			ref.convertLiteral(""), awardCriteriaRadioBt);
	
	
	  EPASSInputSingleCheckBox qualityCriterioncheckBox = new EPASSInputSingleCheckBox(
				bean.fieldNameQUALITYCRITERION,
				"true",
				bean.getFieldValueQUALITYCRITERION(),
				"",
				"displayQualityCritera()",
				ref);
	  qualityCriterioncheckBox.setEnabled(isLotEditable);
	  form.addControl(ref.convertLiteral("ojeu.form.detail.lot.quality.criterion"), 
				ref.convertLiteral("ojeu.form.detail.lot.quality.criterion"), qualityCriterioncheckBox);
	  
	  EPASSInputCompoundControl costCriterionAndPriceWeightccS = new EPASSInputCompoundControl(ref);
		String[] costCriterionValues = {"1","2"};
		String[] costCriterionDisplayValues = { ref.convertLiteral("ojeu.form.detail.lot.cost.criterion"),ref.convertLiteral("ojeu.form.detail.lot.price.criterion")};
		
		EPASSInputRadioButtons costCriterionRadioBt = new EPASSInputRadioButtons(
												bean.fieldNameCOSTCRITERION,
												EPASSQPretty.UQ(bean.getFieldValueCOSTCRITERION(), ref),
												costCriterionValues,
												costCriterionDisplayValues,
												EPASSInputRadioButtons.HORIZONTAL,"displayCostCritera()");
		costCriterionRadioBt.setEnabled(isLotEditable);
		costCriterionAndPriceWeightccS.add(costCriterionRadioBt);
		costCriterionAndPriceWeightccS.add(new EPASSInputGenericString("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + ref.convertLiteral("ojeu.form.detail.lot.price.weight.criterion") + "&nbsp;"));
		
	   EPASSInputControl priceWeight = new EPASSIntegerInput( bean.fieldNamePRICEWEIGHT, EPASSQPretty.UQ(bean.getFieldValuePRICEWEIGHT()),"",0,999,true);
	   priceWeight.setMonitored(true);
	   priceWeight.setMaxLength(3);
	   costCriterionAndPriceWeightccS.add(priceWeight);
	   form.addControl(bean.fieldNamePRICEWEIGHT,"", costCriterionAndPriceWeightccS, isLotEditable);
    
    ArrayList estimatedCtls = new ArrayList();
    EPASSInputControl valueBasisCurCtl = new EPASSInputControl("TEXT", bean.fieldNameVALUEBASISTEXT, EPASSQPretty.UQ(bean.getFieldValueVALUEBASISTEXT(), ref), 15, EPASSInputControl.MAXLENGTH_LONG);
    valueBasisCurCtl.setMonitored(true);
    valueBasisCurCtl.setAttribute("onChange","enableCurrencySel()");
    estimatedCtls.add(valueBasisCurCtl);
    
    EPASSInputControl valueBasicCurrSelControl = new EPASSInputSimpleSelect (bean.fieldNameVALUEBASISCURRCONTROL,bean.getValueBasisCurrValues(),
    											bean.getValueBasisCurrDisplays(), bean.getFieldValueVALUEBASISCURRCONTROL());
    valueBasicCurrSelControl.setMonitored(true);
    valueBasicCurrSelControl.setAttribute("disabled", true);
    estimatedCtls.add(new EPASSInputGenericString(space));
    estimatedCtls.add(valueBasicCurrSelControl);
    EPASSInputCompoundControl estimatedCompoundCtl = new EPASSInputCompoundControl(estimatedCtls,ref);
    final String estimateValueRow = "estimateValueComCtl";
    form.addControl("",estimatedCompoundCtl, isLotEditable);
    EPASSDetailViewRowBase estimateRowBase= form.getLastAddedControlRow();
    estimateRowBase.setDetailRowAttribute(new EPASSAttribute("id",estimateValueRow));
  
   form.addPlainHTMLRow(form.getRuleLine(5));
   
   Boolean isTimePeriodDuration = bean.isContractDurationDate();
   
   
   ArrayList durationCtls = new ArrayList();
  
  EPASSDetailViewRowBase durationHdrRowBase= form.getLastAddedControlRow();
  durationHdrRowBase.setDetailRowAttribute(new EPASSAttribute("valign","top"));
  boolean isDisplayDurationAndPeriod = bean.isDisplayDurationAndPeriod(); 
  EPASSInputCompoundControl durationCompoundCtl = null;
  EPASSInputCompoundControl timeStartingCompoundCtl = null;
  EPASSInputCompoundControl timeCompletionDateCompoundCtl = null;
//  if ( isDisplayDurationAndPeriod )
//  {
	  String durationTitle = ref.convertLiteral(DURATION_HDR);
	  EPASSInputControl durationRadioCtl = new EPASSInputRadioButtons(bean.fieldNameDUROFCONTRACT,durationTitle,
			  						new String[]{"1"},new String[]{durationTitle}, EPASSInputRadioButtons.HORIZONTAL,"setContractDateChange()");
	  durationCtls.add(durationRadioCtl);
	  durationRadioCtl.setMonitored(true);
	  EPASSInputGenericString durationEmptySpace =  new EPASSInputGenericString();
	  durationEmptySpace.setValue(space+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	  durationCtls.add(durationEmptySpace);
	  EPASSInputControl durationControl = new EPASSIntegerInput( bean.fieldNameDURATIONMEASURE, EPASSQPretty.UQ(bean.getFieldValueDURATIONMEASURE(),ref),"",1,9999,true);
	  durationControl.setMonitored(true);
	  durationControl.setMaxLength(4);
	  durationControl.setAttribute("disabled", true);
	  durationCtls.add(durationControl);
	   
	  durationEmptySpace =  new EPASSInputGenericString();
	  durationEmptySpace.setValue(space);
	  durationCtls.add(durationEmptySpace);  
	  EPASSInputControl durMonDaysSelControl = new EPASSInputSimpleSelect (bean.fieldNameDURATION,bean.getDurationTypeValues(),
				bean.getDurationTypeDisplays(), bean.getFieldValueDURATION());
	  durationCtls.add(durMonDaysSelControl);
	  durMonDaysSelControl.setMonitored(true);
	  durMonDaysSelControl.setAttribute("disabled", true);
	  durationCompoundCtl = new EPASSInputCompoundControl(durationCtls,ref); 
	  form.addControl("",durationCompoundCtl, isLotEditable);

	  ArrayList timeCtls = new ArrayList();
	  String periodTitle = ref.convertLiteral(PERIOD_HDR);
	  EPASSInputControl orRadioCtl = new EPASSInputRadioButtons(bean.fieldNameDUROFCONTRACT,periodTitle,
					new String[]{"2"},new String[]{periodTitle}, EPASSInputRadioButtons.HORIZONTAL,"setContractDateChange()");
	  orRadioCtl.setMonitored(true);
	  timeCtls.add(orRadioCtl);
	  
	  EPASSInputGenericString startingLable = new EPASSInputGenericString();
	  startingLable.setValue("&nbsp;&nbsp;&nbsp;&nbsp;"+ref.convertLiteral(STARTING_HDR));
	  timeCtls.add(startingLable);
	  
	  EPASSInputControlDateTime startingDateControl = new EPASSInputControlDateTime(bean.fieldNameSTARTINGDATE,
			   													bean.getFieldValueSTARTINGDATE(),  false,ref, false);
	  timeCtls.add(startingDateControl);
	  startingDateControl.setMonitored(true);
	  timeStartingCompoundCtl = new EPASSInputCompoundControl(timeCtls,ref); 
	  form.addControl("",timeStartingCompoundCtl,isLotEditable);
	  
	  EPASSInputGenericString completionLable = new EPASSInputGenericString();
	  completionLable.setValue(space+space+ref.convertLiteral(COMPLETION_HDR));

	  EPASSInputControlDateTime completionDateControl = new EPASSInputControlDateTime(bean.fieldNameCOMPLETIONDATE,
				  													bean.getFieldValueCOMPLETIONDATE(), false,ref, false);
		  
		  timeCompletionDateCompoundCtl = new EPASSInputCompoundControl(completionLable, completionDateControl, ref);
		  form.addControl("",timeCompletionDateCompoundCtl,isLotEditable);
		  form.addPlainHTMLRow(form.getRuleLine(5));
  
//Limits on no. of candidates
 		  form.addSeparator(ref.convertLiteral("ojeu.form.detail.lot.title.number_of_candidates"));

 		  ArrayList numberOfCandidatesCtls = new ArrayList();
		  String envisagedNumberOfCandidatesTitle = ref.convertLiteral("ojeu.form.detail.lot.hdr.envisaged.number_of_candidates");
		  EPASSInputControl envisagedNumberOfCandidatesRadioCtl = new EPASSInputRadioButtons(bean.fieldNameENVISAGEDNUMBEROFCANDIDATES,EPASSQPretty.UQ(bean.getFieldValueENVISAGEDNUMBEROFCANDIDATES(), ref),
				  						new String[]{"1"},new String[]{envisagedNumberOfCandidatesTitle}, EPASSInputRadioButtons.HORIZONTAL,"setNumberOfCandidates()");
		  numberOfCandidatesCtls.add(envisagedNumberOfCandidatesRadioCtl);
		  envisagedNumberOfCandidatesRadioCtl.setMonitored(true);
		  EPASSInputGenericString envisagedNumberOfCandidatesEmptySpace =  new EPASSInputGenericString();
		  envisagedNumberOfCandidatesEmptySpace.setValue(space+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		  numberOfCandidatesCtls.add(envisagedNumberOfCandidatesEmptySpace);
		  EPASSInputControl envisagedNumberOfCandidatesIntegerControl = new EPASSIntegerInput( bean.fieldNameNUMBEROFCANDIDATES, EPASSQPretty.UQ(bean.getFieldValueNUMBEROFCANDIDATES(),ref),"",1,999,true);
		  envisagedNumberOfCandidatesIntegerControl.setMonitored(true);
		  envisagedNumberOfCandidatesIntegerControl.setMaxLength(3);
		  envisagedNumberOfCandidatesIntegerControl.setAttribute("disabled", true);
		  numberOfCandidatesCtls.add(envisagedNumberOfCandidatesIntegerControl);
		   
		  EPASSInputCompoundControl numberOfCandidatesCompoundCtl = new EPASSInputCompoundControl(numberOfCandidatesCtls,ref); 
		  form.addControl("",numberOfCandidatesCompoundCtl, isLotEditable);

		  
		  ArrayList rangeCtls = new ArrayList();
		  String rangeTitle = ref.convertLiteral("ojeu.form.detail.lot.hdr.range");
		  EPASSInputControl rangeRadioCtl = new EPASSInputRadioButtons(bean.fieldNameENVISAGEDNUMBEROFCANDIDATES,EPASSQPretty.UQ(bean.getFieldValueENVISAGEDNUMBEROFCANDIDATES(), ref),
						new String[]{"2"},new String[]{rangeTitle}, EPASSInputRadioButtons.HORIZONTAL,"setNumberOfCandidates()");
		  rangeRadioCtl.setMonitored(true);
		  rangeCtls.add(rangeRadioCtl);
		  
		  EPASSInputGenericString minimumNumberLable = new EPASSInputGenericString();
		  minimumNumberLable.setValue("&nbsp;&nbsp;&nbsp;&nbsp;"+ref.convertLiteral("ojeu.form.detail.lot.hdr.envisaged.minimum.number") + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		  rangeCtls.add(minimumNumberLable);
		  
		  EPASSInputControl envisagedMinimumNumberIntegerControl = new EPASSIntegerInput( bean.fieldNameMINNUMBEROFCANDIDATES, EPASSQPretty.UQ(bean.getFieldValueMINNUMBEROFCANDIDATES(),ref),"",1,999,true);
		  envisagedMinimumNumberIntegerControl.setMonitored(true);
		  envisagedMinimumNumberIntegerControl.setMaxLength(3);
		  envisagedMinimumNumberIntegerControl.setAttribute("disabled", true);
		  rangeCtls.add(envisagedMinimumNumberIntegerControl);
		  	  
		  EPASSInputCompoundControl minimumNumberCompoundCtl = new EPASSInputCompoundControl(rangeCtls,ref); 
		  form.addControl("",minimumNumberCompoundCtl,isLotEditable);

		  
		  EPASSInputGenericString maximumNumberLable = new EPASSInputGenericString();
		  maximumNumberLable.setValue(space+space+ "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + ref.convertLiteral("ojeu.form.detail.lot.hdr.envisaged.maximum.number") + space + space + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" );
		  
		  EPASSInputControl maximumNumberIntegerControl = new EPASSIntegerInput( bean.fieldNameMAXNUMBEROFCANDIDATES, EPASSQPretty.UQ(bean.getFieldValueMAXNUMBEROFCANDIDATES(),ref),"",1,999,true);
		  maximumNumberIntegerControl.setMonitored(true);
		  maximumNumberIntegerControl.setMaxLength(3);
		  maximumNumberIntegerControl.setAttribute("disabled", true);  
		  EPASSInputCompoundControl maximumNumberCompoundCtl = new EPASSInputCompoundControl(maximumNumberLable, maximumNumberIntegerControl, ref);
		  form.addControl("",maximumNumberCompoundCtl,isLotEditable);
		  
			EPASSTextAreaControl limitedNumberOFCandidatesCriteria = new EPASSTextAreaControl(  bean.fieldNameNUMBEROFCANDIDATESCRITERIA, 
					bean.getFieldValueNUMBEROFCANDIDATESCRITERIA(), 
					EPASSTextAreaControl.DEFAULT_ROWS, 
					EPASSTextAreaControl.DEFAULT_COLUMNS, 4000);
			limitedNumberOFCandidatesCriteria.setAttribute("COLS",70);
			limitedNumberOFCandidatesCriteria.setEnabled(isLotEditable);
			limitedNumberOFCandidatesCriteria.setAttribute("disabled", true);
			form.addControl(ref.convertLiteral("ojeu.form.detail.lot.hdr.criteria.for.choosing.number_of_candidates"),
			ref.convertLiteral("ojeu.form.detail.lot.hdr.criteria.for.choosing.number_of_candidates"), limitedNumberOFCandidatesCriteria);

  
  EPASSInputSingleCheckBox contractRenewalcheckBox = new EPASSInputSingleCheckBox(
			bean.fieldNameCONTRACTRENEWAL,
			"true",
			bean.getFieldValueCONTRACTRENEWAL(),
			"",
			"enableDescOfRenewals()",
			ref);
  contractRenewalcheckBox.setEnabled(isLotEditable);
  form.addControl(ref.convertLiteral("ojeu.form.detail.lot.hdr.contract.renewal"), 
			ref.convertLiteral("ojeu.form.detail.lot.hdr.contract.renewal"), contractRenewalcheckBox);

			EPASSTextAreaControl descOfRenewals = new EPASSTextAreaControl(  bean.fieldNameDESCRIPTIONOFRENEWALS, 
												bean.getFieldValueDESCRIPTIONOFRENEWALS(), 
												EPASSTextAreaControl.DEFAULT_ROWS, 
												EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
			descOfRenewals.setAttribute("COLS",70);
			descOfRenewals.setEnabled(isLotEditable);
			descOfRenewals.setAttribute("disabled", true);
			form.addControl(ref.convertLiteral("ojeu.form.detail.lot.hdr.desc.renewals"),
			ref.convertLiteral("ojeu.form.detail.lot.hdr.desc.renewals"), descOfRenewals);

		  EPASSInputSingleCheckBox variantscheckBox = new EPASSInputSingleCheckBox(
						bean.fieldNameVARIANTS,
						"true",
						bean.getFieldValueVARIANTS(),
						"",
						"",
						ref);
		  variantscheckBox.setEnabled(isLotEditable);
		  form.addControl(ref.convertLiteral("ojeu.form.detail.lot.title.variants"), 
						ref.convertLiteral("ojeu.form.detail.lot.title.variants"), contractRenewalcheckBox);
		  
		  EPASSInputSingleCheckBox optionsCheckBox = new EPASSInputSingleCheckBox(
					bean.fieldNameOPTIONS,
					"true",
					bean.getFieldValueOPTIONS(),
					"",
					"enableDescOfOptions()",
					ref);
		  optionsCheckBox.setEnabled(isLotEditable);
		  form.addControl(ref.convertLiteral("ojeu.form.detail.lot.hdr.options"), 
					ref.convertLiteral("ojeu.form.detail.lot.hdr.options"), optionsCheckBox);

					EPASSTextAreaControl descOfOptions = new EPASSTextAreaControl(  bean.fieldNameDESCRIPTIONOFOPTIONS, 
														bean.getFieldValueDESCRIPTIONOFOPTIONS(), 
														EPASSTextAreaControl.DEFAULT_ROWS, 
														EPASSTextAreaControl.DEFAULT_COLUMNS, 4000);
					descOfOptions.setAttribute("COLS",70);
					descOfOptions.setEnabled(isLotEditable);
					descOfOptions.setAttribute("disabled", true);
					form.addControl(ref.convertLiteral("ojeu.form.detail.lot.hdr.desc.options"),
					ref.convertLiteral("ojeu.form.detail.lot.hdr.desc.options"), descOfOptions);
					

					String[] booleanFieldValues2 = {"1","0"};
					String[] booleanFieldDisplayValues2 = { ref.convertLiteral("form.terminology.button.yes"),ref.convertLiteral("form.terminology.button.no")};
					
					form.addSeparator(ref.convertLiteral("ojeu.form.detail.lot.title.electronic.catalogues"));
					
					  EPASSInputSingleCheckBox electronicCataloguescheckBox = new EPASSInputSingleCheckBox(
								bean.fieldNameELECTRONICCATALOGUES,
								"true",
								bean.getFieldValueELECTRONICCATALOGUES(),
								"",
								"",
								ref);
					  electronicCataloguescheckBox.setEnabled(isLotEditable);
					  form.addControl(ref.convertLiteral("ojeu.form.detail.lot.hdr.electronic.catalogues"), 
								ref.convertLiteral("ojeu.form.detail.lot.hdr.electronic.catalogues"), electronicCataloguescheckBox);
					
					EPASSInputRadioButtons projectFinancedByEURadioBt = new EPASSInputRadioButtons(
															bean.fieldNamePROJECTFINANCEDBYEUFUNDS,
															EPASSQPretty.UQ(bean.getFieldValuePROJECTFINANCEDBYEUFUNDS(), ref),
															booleanFieldValues2,
															booleanFieldDisplayValues2,
															EPASSInputRadioButtons.HORIZONTAL,"enableReferenceEUProjFunds()");
					projectFinancedByEURadioBt.setEnabled(isLotEditable);
					form.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.contract.financed.by.eu.funds"),
							ref.convertLiteral("form.wiz.ojeu.compinfo.contract.financed.by.eu.funds"), projectFinancedByEURadioBt);

					//-----------------------------------------------------------------------------------
					
					EPASSTextAreaControl referenceEUProjFunds = new EPASSTextAreaControl(
														bean.fieldNameREFERENCETOEUPROJECTSFUNDS, 
														EPASSQPretty.UQ( bean.getFieldValueREFERENCETOEUPROJECTSFUNDS(), ref),
														EPASSTextAreaControl.DEFAULT_ROWS, 
														EPASSTextAreaControl.DEFAULT_COLUMNS, 200);
											    
					referenceEUProjFunds.setAttribute("COLS",70);
					referenceEUProjFunds.setEnabled(isLotEditable);
					referenceEUProjFunds.setAttribute("disabled", true);
					form.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.reference.to.project"),
				   		ref.convertLiteral("form.wiz.ojeu.compinfo.reference.to.project")+ Header.REQUIRED_FIELD, referenceEUProjFunds);
		
  form.addSeparator(ref.convertLiteral(ADD_INFO_ABT_LOTS_TITLE));
  EPASSDetailViewRowBase additionalInfoRowBase= form.getLastAddedControlRow();
  additionalInfoRowBase.setDetailRowAttribute(new EPASSAttribute("valign","top"));
  
  EPASSInputControl addiInfoControl = new EPASSTextAreaControl(bean.fieldNameADDITIONALINFORMATION,bean.getFieldValueADDITIONALINFORMATION());
  addiInfoControl.setMonitored(true);
  addiInfoControl.setMaxLength(400);
  form.addControl(bean.fieldNameADDITIONALINFORMATION, ref.convertLiteral(ADD_INFO_ABT_LOTS_HDR),addiInfoControl, isLotEditable);
  form.addHidden( EPASSJSPActions.ACTION,  "" + "" + bean.getNextAction() );
  String lotId= "";
  if(bean.getLotId() != null)
	lotId = "" + bean.getLotId();
  	form.addHidden( bean.ID_PARAM, "" + bean.getLotId() );
  form.addHidden( NoticeDetailDescriptionPageBean.MAIN_CPV_CODE_PARAM,bean.getFieldValueMAINOBJCPV() );
  form.addHidden( NoticeDetailDescriptionPageBean.MAIN_CPV_DESC_PARAM,bean.getFieldValueMAINSCPVDESC());
  form.addHidden( NoticeDetailDescriptionPageBean.MAIN_VOC_CODE_PARAM,bean.getFieldValueMAINSUPPVOC() );
  form.addHidden( NoticeDetailDescriptionPageBean.MAIN_VOC_DESC_PARAM,bean.getFieldValueMAINSUPPVOCUDESC() );
  form.addHidden(bean.CPV_VOC_SEARCH_RESULT, "");
  form.addHidden(bean.fieldNameMAINOBJCPVID, bean.getFieldValueMAINOBJCPVID());
 
  form.setAddSeparatorColumn(false);
  form.setAddSizerTDs(false);
  form.setUserLabelClass("OJEU_FORM_LABEL");
  form.setUserInputClass("OJEU_FORM_INPUT");
  form.addHidden("CPVCODE",bean.getFieldValueMAINOBJCPV());
	
	form.addHidden("MAIN_VOC_CODES",bean.getFieldValueMAINSUPPVOC());
	
	form.addHidden("ADDITIONAL_CPV_CODES",bean.getAdditionalCPVCode());

	form.addHidden("ADDITIONAL_VOC_CODES",bean.getAdditionalVOCCode());
	form.addHidden("IS_FORM_DIRTY",request.getParameter("IS_FORM_DIRTY"));
	form.addHidden(bean.fieldNameNUTSID,
			bean.getFieldValueNUTSID());
	form.addHidden("NUTSCODE", bean.getFieldValueNUTSCODE());
	form.addHidden("NUTSNAME", bean.getFieldValueNUTSNAME());
	EPASSLocales userLocale = ref.sessionService.getEPASSLocales();
	DecimalFormat decimalFormat = I18NFormats.getDecimalFormat(userLocale);
	String groupSeparator = new Character(decimalFormat.getDecimalFormatSymbols().getGroupingSeparator()).toString();
	if( ".".equals(groupSeparator) ) {
		groupSeparator = "\\"+groupSeparator;
	}
	
  
%>

<%!

public String addNutsButton(EPASSReferences ref, String nuts) throws EPASSApplicationException {

	SearchManager nutsSearchManager = new SearchManager(ObjectType.NUTS.getIntegerValue(), ref.getUserPath() + SearchManager.TREE_FRAMES_SEARCH_FORM,
			SearchManager.TREE_SEARCH_FORM, JSP.COMPOUND_SEARCH_NUTS_LIST_PAGE);
	nutsSearchManager.setCachedSearchId(SearchManager.BASIC_NUTS_SEARCH);
	EPASSQueryContext context = new EPASSQueryContext();
	context.setContext(FieldInfoProvider.ORG, ref.getOrgKey());
	nutsSearchManager.setQueryContext(ref, SearchManager.QUERY_CONTEXT + SearchManager.BASIC_NUTS_SEARCH, context);
	nutsSearchManager.setCustomParameter(SearchManager.DISPATCH_COMPOUND_QUERY, "2YvyVnutsYvyVfalseYvyVtrue");
	nutsSearchManager.setCustomParameter(SearchManager.MULTISELECT_IN_RESULT_PAGE, new Boolean(false));
	if (nuts != null) {
		nutsSearchManager.setCustomParameter(SearchForm.SEARCH_LIST_CODES, nuts);
	}
	return nutsSearchManager.getStandAloneButton(ref);
}


public boolean showSaveButton(NoticeDetailDescriptionPageBean bean) {
	boolean showbutton = false;
	if(bean.isMultipleOOCs()){
		if (bean.isLotEditable() && (bean.getLotId() != null || bean.getObjectOfContractSelect() != null )) {
			showbutton=true;
		}
	}
	else {
		if (bean.isLotEditable()) {
			showbutton=true;
		}
	}
	return showbutton;
}


public boolean showSaveAddNextButton(NoticeDetailDescriptionPageBean bean) {
	boolean showbutton = false;
	if(bean.isMultipleOOCs()){
		if (bean.getLotId()== null && bean.getObjectOfContractSelect() != null) {
			showbutton=true;
		}
	}
	return showbutton;
} 

%>


<%
if(bean.isNotifyOfUpdate())
{
%>	
	<%=  NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE,bean.getNoticeId(), null, ref) %>
<%
}
%>

<%--
    StyleSheets and Javascript
--%>


<%@page import="com.emptoris.app.ojeu.common.constant.NoticeType"%>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
<title><esapi:html><%=  ref.convertLiteral( "epass.title" )%></esapi:html></title>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_LIST_SEARCH%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT%>'></SCRIPT>
<script>

var NAV_LIST='<%= ContextCodes.NOTICE%>';
var NAV_DEP ="";

var SEARCH_LINK='<%= ref.getUserPath()%>'+'ojeu/jsp/tree_frames_search_form.jsp?&title_image=img/title/cpv/select_main_object.gif&results_frame=compound_search_list_cpv.jsp&tree_frame=ojeu/jsp/tree_search_form.jsp&_query_context_=_query_context_BASIC_CPV_SEARCH&searchObject=2002016&CACHED_SEARCH_ID=BASIC_CPV_SEARCH&custom_parameters=ScsCDISPATCH_COMPOUND_QUERYScsC2YvyVcpvYvyV30YvyVtrueScsCmultiselectInResultPageScsCfalseScsCsearchListCodesScsC';
//-------------------------------------------------------------------------------
var addObjInput='<input type=\'text\' disabled=\'true\'';

function NAV_HandleEvent(var1, var2)
{
	if( var1 =='selectCpvVocNuts')
	{
		//alert(var2);
		var tmpArray = new Array();
		tmpArray =  var2.split(";;");
		//alert(tmpArray[0]);
		//alert('inside nuts codes : '+tmpArray[0]+', names : '+tmpArray[1]+', desc : '+tmpArray[2]+' Context Code'+tmpArray[3]);
		if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
		{
			setFormDirty( document.<%= FORM_NAME%>.NUTSCODE.value, tmpArray[1]);	
			document.<%= FORM_NAME%>.<%=bean.fieldNameNUTSID%>.value=tmpArray[0];
			<%--document.<%= FORM_NAME%>.<%=bean.fieldNameNUTSCODE%>.value=tmpArray[1];
			document.<%= FORM_NAME%>.<%=bean.fieldNameNUTSNAME%>.value=tmpArray[2];
			document.<%= FORM_NAME%>.NUTSCODE.value=tmpArray[1];
			document.<%= FORM_NAME%>.NUTSNAME.value=tmpArray[2];--%>
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.BASIC_CPV_SEARCH%>') != -1){
				setFormDirty( document.<%= FORM_NAME%>.CPVCODE.value, tmpArray[1]);
				document.<%= FORM_NAME%>.CPVCODE.value=tmpArray[1];
				<%--document.<%= FORM_NAME%>.mainCPVCode.value=tmpArray[1];
				document.<%= FORM_NAME%>.mainCPVDesc.value=tmpArray[2];--%>
		}
		else if (tmpArray[3].indexOf('<%= SearchManager.BASIC_VOC_SEARCH%>')!=-1)
		{
			setFormDirty( document.<%= FORM_NAME%>.MAIN_VOC_CODES.value, tmpArray[1]);
			document.<%= FORM_NAME%>.MAIN_VOC_CODES.value= tmpArray[1];
			<%--document.<%= FORM_NAME%>.mainVOCCode.value=tmpArray[1];
			document.<%= FORM_NAME%>.mainVOCDesc.value=tmpArray[2];--%>
		}
		else if (tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_VOC_SEARCH%>')!=-1)
		{
			setFormDirty( document.<%= FORM_NAME%>.ADDITIONAL_VOC_CODES.value, tmpArray[1]);
			document.<%= FORM_NAME%>.ADDITIONAL_VOC_CODES.value= tmpArray[1];
			<%--document.<%= FORM_NAME%>.ADDITIONAL_VOC_DESCS.value=tmpArray[2];--%>
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_CPV_SEARCH%>') != -1){
			setFormDirty( document.<%= FORM_NAME%>.ADDITIONAL_CPV_CODES.value, tmpArray[1]);
			document.<%= FORM_NAME%>.ADDITIONAL_CPV_CODES.value=tmpArray[1];
			<%--document.<%= FORM_NAME%>.ADDITIONAL_CPV_DESCS.value=tmpArray[2];--%>
		} 
		else
		{
			document.<%= FORM_NAME%>.IS_FORM_DIRTY.value = '';
		}
		
		document.<%= FORM_NAME%>.<%= bean.CPV_VOC_SEARCH_RESULT%>.value=var2;
		document.<%= FORM_NAME%>.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.VIEW_QUERY_RESULTS%>';
	    document.<%= FORM_NAME%>.submit(); 
		//refresh();
		//return;
	}
	//TODO remove no navigation event
	if( var1 == "<%= EPassTree._sNavigationEvent%>" )
	{
		<%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "var2", "''" )%>
	}

}

function setFormDirty( oldValue, newValue)
{		//alert('oldValue : '+oldValue+', newValue : '+newValue+', oldValue != newValue : '+(oldValue != newValue));
		if( oldValue != newValue)
		{
			document.<%= FORM_NAME%>.IS_FORM_DIRTY.value = 'true';
		}	
}
function isRadioButtonChecked(radio) {
    for(i=0;i<radio.length;i++) {
     	if(radio[i].checked) {
    	 	return true;
     	}
 	}
    return false;
}


function validateLot()
{
	 var requiredFieldMsg = '<%=  ref.convertLiteral("form.EPASSHTMLForm.message.isRequiredFieldNoName")%>';
	 if (typeof document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTOBJECTID%> != 'undefined') {
		 	clearError(document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTOBJECTID%>);
	 }
	 if (typeof document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS%> != 'undefined') {
	 	clearError(document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS%>);
	 }
	 <% if (bean.getContractTitle() == null) { %>
	 
	 if (typeof document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTOBJECTID%> != 'undefined' &&
				document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTOBJECTID%>.selectedIndex == 0)
 	 {
			//alert('<%=  ref.convertLiteral("ojeu.form.detail.lot.contract_object.required")%>');
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTOBJECTID%>, requiredFieldMsg);
			return false;
	 }
	 
<% } else { %>

	if ((typeof document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTOBJECTID%> != 'undefined' &&
				document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTOBJECTID%>.selectedIndex == 0))
	 {
		document.<%= FORM_NAME%>.CONT_OBJ_ID.value='<%=bean.getFieldValueCONTRACTOBJECTID()%>';

	 } 

	 <% } %>
	 
	 if(typeof document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBER%> != 'undefined' && !EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBER%>, requiredFieldMsg))
	 {
		 return false;
	 }
	 
	 if(typeof document.<%= FORM_NAME%>._uda_addObjectCpv != 'undefined' && !EPASSText.checkRequired(document.<%= FORM_NAME%>._uda_addObjectCpv, requiredFieldMsg))
	 {
		 return false;
	 }
	 
	 if(typeof document.<%= FORM_NAME%>._uda_nutsObject != 'undefined' && !EPASSText.checkRequired(document.<%= FORM_NAME%>._uda_nutsObject, requiredFieldMsg))
	 {
		 return false;
	 }
	 
	 if(!EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldNameQUANTITYORSCOPEDESCRIPTION%>, requiredFieldMsg))
	 {
		 return false;
	 }
	 
	 <% if (!bean.isPin()) { %>
		 if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>) != 'undefined' && !isRadioButtonChecked(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA %>)) {
				var awardCriteriaMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_award_criteria")%>';
				showError(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>,awardCriteriaMsg);
				return false;
		 }
 	<% } %>
	 
	 if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>[0].checked) {
			if( !isRadioButtonChecked(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION %>)) {
				var costCriterionMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_cost_criterion")%>';
				showError(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>,costCriterionMsg);
				return false;
			}
	 }
	 
	 <% if (bean.isContractAward()) { %>
		 if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>) != 'undefined' && !isRadioButtonChecked(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION %>)) {
			var costCriterionMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_cost_criterion")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>,costCriterionMsg);
			return false;
		 }
 	<% } %>
	 
	 if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNamePRICEWEIGHT%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNamePRICEWEIGHT%>.disabled==false) {
		if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNamePRICEWEIGHT%>))
		{
			var priceWeightMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_price_weight")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNamePRICEWEIGHT%>,priceWeightMsg);
			return false;
		}
	 }
	
	 if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISCURRCONTROL%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISCURRCONTROL%>.value == '-1')
	 {
		var estimatedValueCurrencyMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_estimated_value_currency")%>';	
		showError(document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISCURRCONTROL%>,estimatedValueCurrencyMsg);
		return false;
	 }
	 

   <%
		if (isDisplayDurationAndPeriod)
		{
	%>		
	
			 <% if (!bean.isPin()) { %>
				 if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>) != 'undefined' && !isRadioButtonChecked(document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT %>)) {
						var durationOfContractMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_duration_of_contract")%>';
						showError(document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>,durationOfContractMsg);
						return false;
				 }
			<% } %>
		
			if (document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>[0].checked==true)
			{
				var durationMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_duration")%>';
				var durationMeasureMsg = '<%= ref.convertLiteral("ojeu.form.detail.lot.select_duration_measure")%>';
				durationMonthLengthMsg = '<%= ref.convertLiteral("ojeu.form.detail.lot.month_in_three_digits")%>';
				if (!EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldNameDURATIONMEASURE%>,durationMsg ))
				{
					return false;
				}
				var durationType = document.<%= FORM_NAME%>.<%= bean.fieldNameDURATION%>.value;
				if (durationType=="-1")
				{
						//alert(durationMeasureMsg);
						showError(document.<%= FORM_NAME%>.<%= bean.fieldNameDURATION%>,durationMeasureMsg);
						return false;
				}
				var durationMeasure = document.<%= FORM_NAME%>.<%= bean.fieldNameDURATIONMEASURE%>.value;
				<%//ESP-46481:Increased 'Months' field validation from 99 to 999%>
				if ((durationType=='<%= DurationMeasureType.MONTHS%>') && (durationMeasure.length>3))
				{
					//alert(durationMonthLengthMsg);
					showError(document.<%= FORM_NAME%>.<%= bean.fieldNameDURATIONMEASURE%>,durationMonthLengthMsg);
					return false;
				}
				
			}
			else if (document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>[1].checked==true)
			{
				var startingDateMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_starting_date")%>';
				var completionDateMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_completion_date")%>';
				var startingDate = document.<%= FORM_NAME%>.<%= bean.fieldNameSTARTINGDATE%>;//.value;
				if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameSTARTINGDATE%>)!="undefined" &&
						_isEmpty(startingDate))
				{
					//alert(startingDateMsg);
					showError(startingDate,startingDateMsg);
					return false;
				}
				if(!validateDateField(startingDate, startingDateMsg))
				{
					return false;
				}
				var completionDate = document.<%= FORM_NAME%>.<%= bean.fieldNameCOMPLETIONDATE%>;//.value; 
				if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameCOMPLETIONDATE%>)!="undefined" &&
						_isEmpty(completionDate))
				{
					//alert(completionDateMsg)
					showError(completionDate,completionDateMsg);
					return false;
				}
				if(!validateDateField(completionDate, completionDateMsg))
				{
					return false;
				}
				
				var startDate = i18n.textToDate(document.<%= FORM_NAME%>.<%= bean.fieldNameSTARTINGDATE%>.value);
				var endDate = i18n.textToDate(document.<%= FORM_NAME%>.<%= bean.fieldNameCOMPLETIONDATE%>.value);
				var currentDate = new Date();
				if (startDate <= currentDate) {
					showError(document.<%= FORM_NAME%>.<%= bean.fieldNameSTARTINGDATE%>,'<%= ref.convertLiteral("ojeu.form.detail.lot.period_start_date_must_be_gretor_than_current_date")%>');
					return false;
				}
				
				if (endDate <= currentDate) {
					showError(document.<%= FORM_NAME%>.<%= bean.fieldNameCOMPLETIONDATE%>,'<%= ref.convertLiteral("ojeu.form.detail.lot.period_end_date_must_be_gretor_than_current_date")%>');
					return false;
				}
				
				if (endDate <= startDate) 
				{
					showError(document.<%= FORM_NAME%>.<%= bean.fieldNameCOMPLETIONDATE%>,'<%= ref.convertLiteral("ojeu.form.detail.lot.period_end_date_must_be_gretor_than_start_date")%>');
					return false;
				}
			
				
			}
	<%		
		}
	%> 

	<% if (!bean.isPin()) { %>
		if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTRENEWAL%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTRENEWAL%>.checked==true) {
			if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFRENEWALS%>))
			{
				var descOfRenewalsMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_desc_of_renewals")%>';
				showError(document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFRENEWALS%>,descOfRenewalsMsg);
				return false;
			}
		}
		
		if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameOPTIONS%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameOPTIONS%>.checked==true) {
			if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFOPTIONS%>))
			{
				var descOfOptionsMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_desc_of_options")%>';
				showError(document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFOPTIONS%>,descOfOptionsMsg);
				return false;
			}
		}
	<% } %>

    if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS%>) != 'undefined' && !isRadioButtonChecked(document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS %>))
	{
   		var euProjectsFundsMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_project_financed_by_eu_funds")%>';
   		showError(document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS %>,euProjectsFundsMsg);
		document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS %>.focus();
		return false;
	 } 
	
	if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS%>[0].checked==true) {
		if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameREFERENCETOEUPROJECTSFUNDS%>))
		{
			var referenceEUProjectsFundsMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_identification_of_project")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameREFERENCETOEUPROJECTSFUNDS%>,referenceEUProjectsFundsMsg);
			return false;
		}
	}
	
	if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>) != 'undefined'&& document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>[0].checked==true) {
		if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATES%>))
		{
			var numberOfCandidatesMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_number_of_candidates")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATES%>,numberOfCandidatesMsg);
			return false;
		}	
	}
	
	if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>) != 'undefined'&& document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>[1].checked==true) {
		if(_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameMINNUMBEROFCANDIDATES%>) && _isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameMAXNUMBEROFCANDIDATES%>))
		{
			var minNumberOfCandidatesMsg = '<%=  ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_range_of_candidates")%>';
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameMINNUMBEROFCANDIDATES%>,minNumberOfCandidatesMsg);
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameMAXNUMBEROFCANDIDATES%>,minNumberOfCandidatesMsg);
			return false;
		}	
	}
	
	if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>) != 'undefined'&& document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>[1].checked==true) {
		var minValue = i18n.textToNumber(document.<%= FORM_NAME%>.<%= bean.fieldNameMINNUMBEROFCANDIDATES%>.value);
		var maxValue = i18n.textToNumber(document.<%= FORM_NAME%>.<%= bean.fieldNameMAXNUMBEROFCANDIDATES%>.value);
		if (minValue != '' && maxValue != '' && maxValue <= minValue) 
		{
			showError(document.<%= FORM_NAME%>.<%= bean.fieldNameMAXNUMBEROFCANDIDATES%>,'<%= ref.convertLiteral("ojeu.form.detail.lot.range_max_number_must_be_greater_than_min_number")%>');
			return false;
		}
		
	}

return true;
}

function onClickNextLot()
{
    var frm = document.<%= FORM_NAME%>;
    if (!validateLot())
		 return false;
	//document.getElementById('noOfQualityCriterion').value = rowNum;
	document.getElementById('noOfQualityCriterion').value = "1,".concat(notDeletedRows);
	document.getElementById('deletedRows').value = deletedRows;	
	//document.getElementById('noOfCostCriterion').value = rowNum1;
	document.getElementById('noOfCostCriterion').value = "1,".concat(notDeletedRows1);
	document.getElementById('deletedRows1').value = deletedRows1;	
    frm.<%=  EPASSJSPActions.ACTION %>.value = <%=  EPASSJSPActions.SAVE_CREATE_NEW%>;
    frm.submit();
}

function onClickSave()
{
	var frm = document.<%= FORM_NAME%>;
	if (!validateLot())
	{
		return false;
    }

	//document.getElementById('noOfQualityCriterion').value = rowNum;
	document.getElementById('noOfQualityCriterion').value = "1,".concat(notDeletedRows);
	document.getElementById('deletedRows').value = deletedRows;
	//document.getElementById('noOfCostCriterion').value = rowNum1;
	document.getElementById('noOfCostCriterion').value = "1,".concat(notDeletedRows1);
	document.getElementById('deletedRows1').value = deletedRows1;	
	frm.<%=  EPASSJSPActions.ACTION %>.value = <%=  EPASSJSPActions.SAVE_NEW%>;
    frm.submit();	
}

function enableCurrencySel() {
	if(typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISTEXT%>) != 'undefined') {
		if(!_isEmpty(document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISTEXT%>))
		{
			document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISCURRCONTROL%>.disabled = false;
		}
		else {
			document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISCURRCONTROL%>.disabled = true;
		}
		validateOjeuCostField(document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISTEXT%>);
	}
	
}

function displayQualityCritera() {
	if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>.checked) {
		document.getElementById("qualityCriteria1").style.display = '';
		if(noOfRows == 1)
		{			
			document.getElementById('delete').style.display = 'none';						
		}
		if(noOfRows == 20)
		{			
			document.getElementById('add').style.display = 'none';						
		}
		if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>[1].checked) {
			document.<%=FORM_NAME%>.<%=bean.fieldNamePRICEWEIGHT%>.disabled = false;
		}

	}
	else {
		deleteQualityCriteriaRows();
		document.getElementById("qualityCriteria1").style.display = 'none';
		document.<%=FORM_NAME%>.<%=bean.fieldNamePRICEWEIGHT%>.value = '';
		document.<%=FORM_NAME%>.<%=bean.fieldNamePRICEWEIGHT%>.disabled = true;
	}
}

function displayCostCritera() {
	if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>[0].checked) {
		document.getElementById("costCriteria1").style.display = '';
		if(noOfRows1 == 1)
		{			
			document.getElementById('delete1').style.display = 'none';						
		}
		if(noOfRows1 == 20)
		{			
			document.getElementById('add1').style.display = 'none';						
		}
		document.<%=FORM_NAME%>.<%=bean.fieldNamePRICEWEIGHT%>.value = '';
		document.<%=FORM_NAME%>.<%=bean.fieldNamePRICEWEIGHT%>.disabled = true;
	}
	else {
		deleteCostCriteriaRows();
		document.getElementById("costCriteria1").style.display = 'none';
		if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>.checked) {
			document.<%=FORM_NAME%>.<%=bean.fieldNamePRICEWEIGHT%>.disabled = false;
		}
	}
}

function criteriaControls() {
	if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>[0].checked) {
		document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>.disabled = false;
		enableRadioButton(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>);
		
	}
	else if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>[1].checked) {
		document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>.checked = false;
		displayQualityCritera();
		clearRadioButton(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>);
		displayCostCritera();
		document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>.disabled = true;
		disableRadioButton(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>);
	}
	else if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA%>) != 'undefined' && !isRadioButtonChecked(document.<%= FORM_NAME%>.<%= bean.fieldNameAWARDCRITERIA %>)) {
		document.<%= FORM_NAME%>.<%= bean.fieldNameQUALITYCRITERION%>.disabled = true;
		disableRadioButton(document.<%= FORM_NAME%>.<%= bean.fieldNameCOSTCRITERION%>);
	 }

}


function clearRadioButton(radio) {
    for(i=0;i<radio.length;i++) {
     radio[i].checked = false
 }
}

function disableRadioButton(radio) {
 for(i=0;i<radio.length;i++) {
 	radio[i].disabled = true
 }
}

function enableRadioButton(radio) {
 for(i=0;i<radio.length;i++) {
 	radio[i].disabled = false
 }
}


top.showmaxbtn = "false";
top.showScrollBtn = "false";
var onClickStartDate = '';
var onClickEndDate = '';
    function initializeFields()
    { 
    	<% if(notice!= null && !PriorInformationNoticeType.NoticeForPriorInfo.equals(notice.getPinNoticeType())){ %>
    		<% if(notice!= null && !NoticeType.ContractAwardNotice.equals(notice.getTenderFormType())){ %>
    		<%
    		//if (isDisplayDurationAndPeriod)
    		//{	
	    		if (isTimePeriodDuration!=null && isLotEditable)
	    		{
	    			if (!isTimePeriodDuration)
	    			{
	    	%>		
	    				document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>[0].checked=true;
	    				setContractDateType(1);
	    	<%			
	    			}else
	    			{
	    	%>
	    				document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>[1].checked=true;
	    				setContractDateType(2);
	    	<%			
	    			}
	    		}else if (isLotEditable) 
	    		{
	    		%>
					document.<%= FORM_NAME%>.dom_uda_startingDate_textDate.disabled=true;
					document.<%= FORM_NAME%>.dom_uda_completionDate_textDate.disabled=true;
					document.<%= FORM_NAME%>._uda_startingDate_calendarIcon.src='/sourcing/en/img/calendar_ico_disabled.gif'
			    	document.<%= FORM_NAME%>._uda_completionDate_calendarIcon.src='/sourcing/en/img/calendar_ico_disabled.gif'
			    	onClickStartDate = document.getElementById('_uda_startingDate_calendar').onclick;
		        	onClickEndDate = document.getElementById('_uda_completionDate_calendar').onclick;
			    	document.getElementById('_uda_startingDate_calendar').onclick ='';
		        	document.getElementById('_uda_completionDate_calendar').onclick ='';
		        	document.<%= FORM_NAME%>.<%= bean.fieldNameDURATION%>.disabled=true;
	    <%
	    		}
    	//	}
	    %>
	    
   			enableDescOfRenewals();
	      <% } %>	

		    enableDescOfOptions();
		    enableReferenceEUProjFunds();
	    <% } %>
	    setNumberOfCandidates();
	    enableCurrencySel();
	    criteriaControls();
	    displayQualityCritera();
	    displayCostCritera();
	    
	    for (i=2; i <= rowNum; i++ ) {
	    	if ( i != rowNum) {
	    		notDeletedRows += i + ",";
	    	}
	    	else {
	    		notDeletedRows += i;
	    	}
	    }
	    
	    for (i=2; i <= rowNum1; i++ ) {
	    	if ( i != rowNum1) {
	    		notDeletedRows1 += i + ",";
	    	}
	    	else {
	    		notDeletedRows1 += i;
	    	}
	    }
	    
    }
    
    //based on value basis value hide/display range and estiamted controls
    function onValueBasisChange()
    {
    	if(document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASIS%>.value==<%= ValueBasisType.Range%>)
    	{
    		document.getElementById('<%= estimateValueRow%>').style.display = 'none';
			<%--document.getElementById('<%= rangeValueRow%>').style.display = '';--%>
    		document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISTEXT%>.disabled = true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISCURRCONTROL%>.disabled = true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISTEXT%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameBETWEEN%>.disabled=false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameAND%>.disabled=false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameBETANDCURRCONTROL%>.disabled=false;
    	}else if (document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASIS%>.value==<%= ValueBasisType.Estimated_value%>)
    	{
    		document.getElementById('<%= estimateValueRow%>').style.display = '';
			<%--document.getElementById('<%= rangeValueRow%>').style.display = 'none';--%>
    		document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISTEXT%>.disabled = false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameBETANDCURRCONTROL%>.disabled = false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameVALUEBASISCURRCONTROL%>.disabled = false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameBETWEEN%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameAND%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameBETWEEN%>.disabled=true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameAND%>.disabled=true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameBETANDCURRCONTROL%>.disabled=true;
    	}else
    	{
    		document.getElementById('<%= estimateValueRow%>').style.display = 'none';
			<%--document.getElementById('<%= rangeValueRow%>').style.display = 'none';--%>
    	}
    	
    }
    
    function enableDescOfRenewals() {
    	if (document.<%= FORM_NAME%>.<%= bean.fieldNameCONTRACTRENEWAL%>.checked) {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFRENEWALS%>.disabled=false;
    		
    	}
    	else {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFRENEWALS%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFRENEWALS%>.disabled=true;
    	}
    	
    }
    
    function enableDescOfOptions() {
    	if (document.<%= FORM_NAME%>.<%= bean.fieldNameOPTIONS%>.checked) {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFOPTIONS%>.disabled=false;
    		
    	}
    	else {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFOPTIONS%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDESCRIPTIONOFOPTIONS%>.disabled=true;
    	}
    	
    }
    
    function enableReferenceEUProjFunds() {
    	if (document.<%= FORM_NAME%>.<%= bean.fieldNamePROJECTFINANCEDBYEUFUNDS%>[0].checked) {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameREFERENCETOEUPROJECTSFUNDS%>.disabled=false;
    		
    	}
    	else {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameREFERENCETOEUPROJECTSFUNDS%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameREFERENCETOEUPROJECTSFUNDS%>.disabled=true;
    	}
    	
    }
    
    //based on contract date display duration or start/completion date controls
    function setContractDateChange()
    {
    	var result = 0;
    	for (var i=0; i < document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>.length; i++)
    	   {
    	   if (document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>[i].checked)
    	      {
    	       	result = document.<%= FORM_NAME%>.<%= bean.fieldNameDUROFCONTRACT%>[i].value;
    	       	break;
    	      }
    	   }

    	setContractDateType(result);
    }
    
    function setContractDateType(dateType)
    {
		if(dateType==1)
    	{
			document.<%= FORM_NAME%>.<%= bean.fieldNameDURATIONMEASURE%>.disabled=false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDURATION%>.disabled=false;
    		
    		document.<%= FORM_NAME%>.dom_uda_startingDate_textDate.value='';
    		document.<%= FORM_NAME%>.dom_uda_startingDate_textDate.disabled=true;
    		document.<%= FORM_NAME%>.dom_uda_completionDate_textDate.value='';
    		document.<%= FORM_NAME%>.dom_uda_completionDate_textDate.disabled=true;
    		onClickStartDate = document.getElementById('_uda_startingDate_calendar').onclick;
        	onClickEndDate = document.getElementById('_uda_completionDate_calendar').onclick;
        	document.getElementById('_uda_startingDate_calendar').onclick ='';
        	document.getElementById('_uda_completionDate_calendar').onclick ='';
        	document.<%= FORM_NAME%>._uda_startingDate_calendarIcon.src='/sourcing/en/img/calendar_ico_disabled.gif'
            document.<%= FORM_NAME%>._uda_completionDate_calendarIcon.src='/sourcing/en/img/calendar_ico_disabled.gif'
    		
    	}else if(dateType==2)
    	{
    		document.<%= FORM_NAME%>.dom_uda_startingDate_textDate.disabled=false;
    		document.<%= FORM_NAME%>.dom_uda_completionDate_textDate.disabled=false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDURATIONMEASURE%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDURATIONMEASURE%>.disabled=true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDURATION%>.value="-1";
    		document.<%= FORM_NAME%>.<%= bean.fieldNameDURATION%>.disabled=true;
    		document.<%= FORM_NAME%>._uda_startingDate_calendarIcon.src='/sourcing/en/img/calendar_ico.gif'
    		document.<%= FORM_NAME%>._uda_completionDate_calendarIcon.src='/sourcing/en/img/calendar_ico.gif'
    		if (onClickStartDate != '')
    			document.getElementById('_uda_startingDate_calendar').onclick = onClickStartDate;
    		if (onClickEndDate != '')
    			document.getElementById('_uda_completionDate_calendar').onclick = onClickEndDate;
    	}
    }
    
    function setNumberOfCandidates() {
    	if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATES%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>[0].checked) {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATES%>.disabled=false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameMINNUMBEROFCANDIDATES%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameMINNUMBEROFCANDIDATES%>.disabled=true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameMAXNUMBEROFCANDIDATES%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameMAXNUMBEROFCANDIDATES%>.disabled=true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATESCRITERIA%>.disabled=false;
    		
    	}
    	else if (typeof(document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATES%>) != 'undefined' && document.<%= FORM_NAME%>.<%= bean.fieldNameENVISAGEDNUMBEROFCANDIDATES%>[1].checked) {
    		document.<%= FORM_NAME%>.<%= bean.fieldNameMINNUMBEROFCANDIDATES%>.disabled=false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameMAXNUMBEROFCANDIDATES%>.disabled=false;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATES%>.value='';
    		document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATES%>.disabled=true;
    		document.<%= FORM_NAME%>.<%= bean.fieldNameNUMBEROFCANDIDATESCRITERIA%>.disabled=false;
    	}
    }
    
    
    
    function onClose(){
       
        
    	if(isMonitoredFieldsDirty( document.<%= FORM_NAME%>, true )|| document.<%= FORM_NAME%>.IS_FORM_DIRTY.value == 'true'  ) 
    	  {
      	 
    		//PR#76718# Giving message any time user clicks on close button
            if( confirm( '<esapi:js><%=  ref.convertLiteral("Form_Dirty")%></esapi:js>' ) ) 
            {
                 top.window.close();
            } 
            else
            {
                 return false;
            }
    	}
    	else 
    	{
           top.window.close();
    	}
    }
    
    var rowNum = '<%= rowNum%>';	
    var noOfRows = rowNum;
    var onKeyPress = "return testIntegerChar(this,event,false)";
    var onBlur = "return validateNumberField (this,\"\",\"&gt;=\",\"1\",\"&lt;=\",\"999\")";
    var deletedRows = "";
    var notDeletedRows = "";
    
    function addQualityCriteria()
    {
    	
    	var tbody = document.getElementById("qualityCriteria").tBodies[0]; 
    	var tbl = document.getElementById("qualityCriteria"); 
    	var space = document.createTextNode(" ");
    	
    	
    	rowNum ++ ;
    	noOfRows ++;
    	if(noOfRows == 2)
    	{
    		document.getElementById('delete').style.display = '';
    	}
    	
    	if(noOfRows == 20)
    	{
    		document.getElementById('add').style.display = 'none';
    	}
    	
    	var row = document.createElement("TR"); 
    	row.setAttribute("id","qualityRow"+rowNum);		
    	var cell1 = document.createElement("TD"); 
    	
    	var contractTitle = "<INPUT type='TEXT' autocomplete='off' id='_uda_qualityCriteria"+rowNum+"' name='_uda_qualityCriteria"+rowNum+"' value='' maxlength='200' size='65'  >";		
    	cell1.innerHTML = contractTitle;		
    	row.appendChild(cell1);
    	
    	var cell2 = document.createElement("TD"); 
    	var lotNo = "<INPUT type='TEXT' autocomplete='off' id='_uda_qualityWeight"+rowNum+"'  name='_uda_qualityWeight"+rowNum+"'  size='10' value='' 'ONKEYPRESS='"+onKeyPress+"+'onblur='"+onBlur+"' MAXLENGTH='3' >";		
    	cell2.innerHTML = lotNo;		
    	row.appendChild(cell2);
    	var cell5 = document.createElement("TD"); 	
    	var checkbox = "<INPUT type='checkbox' name='EPASS_SEL_OBJ' value='"+rowNum+"'>&nbsp;"	
    	cell5.innerHTML = checkbox;
    	row.appendChild(cell5);
    		tbody.appendChild(row);	 	
    		
       		if(notDeletedRows != '')
    			notDeletedRows += ",";
    		notDeletedRows += rowNum;
    	
    }
    
    function deleteQualityCriteria()
    {		
    	deletedRows = '';
    	if(rowNum > 0)
    	{   
    		if ( EPASSCheckbox.checkRequired (
    		document.annexbForm.<%=  Misc.SELECTED_OBJECT %>,
                '<%=  ref.convertLiteral ("form.list_sas_assessment.message.assessment_no_selected")%>' ) )
            {
            	var tbl = document.getElementById('qualityCriteria');	
            	var selectedValues = EPASSCheckbox.getValues(document.getElementsByName('<%=  Misc.SELECTED_OBJECT %>'));
    			for (var i = 0 ; i < selectedValues.length ; i++)
    			{					
    				document.getElementById('_uda_qualityWeight'+selectedValues[i]).value='';		
    				document.getElementById('_uda_qualityCriteria'+selectedValues[i]).value='';		
    									
    				var theRow = document.getElementById('qualityRow'+selectedValues[i]);
    				theRow.parentNode.removeChild(theRow);
    				if(deletedRows != '')
    					deletedRows += ",";
    				deletedRows += selectedValues[i];
    			}	
    				
    			noOfRows -= selectedValues.length;
    			rowNum = noOfRows
    			if(noOfRows == 1)
    			{			
    				document.getElementById('delete').style.display = 'none';						
    			}
    			
    			if(noOfRows == 19)
    			{			
    				document.getElementById('add').style.display = '';						
    			}
    			
    			var notDeletedRowsClone = '';
    			var notDeletedRowsTemp = '';
    			for (var i = 0 ; i < selectedValues.length ; i++)
    			{	
     				notDeletedRowsClone = notDeletedRows;
        			if(notDeletedRowsClone.indexOf(selectedValues[i] != -1)) {
 						notDeletedRowsTemp = notDeletedRowsClone.replace(selectedValues[i] + ',', '');
 						notDeletedRows = notDeletedRowsTemp.replace(',' + selectedValues[i], '');
 					}
     			}
            }
    	}	
    	
    }
    
    var rowNum1 = '<%= rowNum1%>';	
    var noOfRows1 = rowNum1;
    var deletedRows1 = "";
    var notDeletedRows1 = "";
    
    function addCostCriteria()
    {
    	
    	var tbody = document.getElementById("costCriteria").tBodies[0]; 
    	var tbl = document.getElementById("costCriteria"); 
    	var space = document.createTextNode(" ");
    	
    	rowNum1 ++ ;
    	noOfRows1 ++;
    	//alert(noOfRows1);
    	if(noOfRows1 == 2)
    	{
    		document.getElementById('delete1').style.display = '';
    	}
    	
    	if(noOfRows1 == 20)
    	{
    		document.getElementById('add1').style.display = 'none';
    	}
    	
    	var row = document.createElement("TR"); 
    	row.setAttribute("id","costRow"+rowNum1);		
    	var cell1 = document.createElement("TD"); 
    	
    	var contractTitle = "<INPUT type='TEXT' autocomplete='off' id='_uda_costCriteria"+rowNum1+"' name='_uda_costCriteria"+rowNum1+"' value='' maxlength='200' size='65'  >";		
    	cell1.innerHTML = contractTitle;		
    	row.appendChild(cell1);
    	
    	var cell2 = document.createElement("TD"); 
    	var lotNo = "<INPUT type='TEXT' autocomplete='off' id='_uda_costWeight"+rowNum1+"'  name='_uda_costWeight"+rowNum1+"' size='10' value='' 'ONKEYPRESS='"+onKeyPress+"+'onblur='"+onBlur+"' MAXLENGTH='3' >";		
    	cell2.innerHTML = lotNo;		
    	row.appendChild(cell2);
    	var cell5 = document.createElement("TD"); 	
    	var checkbox = "<INPUT type='checkbox' name='EPASS_SEL_OBJ1' value='"+rowNum1+"'>&nbsp;"	
    	cell5.innerHTML = checkbox;
    	row.appendChild(cell5);
    		tbody.appendChild(row);	 	
    		
      		if(notDeletedRows1 != '')
    			notDeletedRows1 += ",";
    		notDeletedRows1 += rowNum1;
    	
    }
    
    function deleteCostCriteria()
    {	
    	deletedRows1 = '';
    	if(rowNum1 > 0)
    	{   
    		if ( EPASSCheckbox.checkRequired (
    		document.annexbForm.EPASS_SEL_OBJ1,
                '<%=  ref.convertLiteral ("form.list_sas_assessment.message.assessment_no_selected")%>' ) )
            {
            	var tbl = document.getElementById('costCriteria');	
            	var selectedValues = EPASSCheckbox.getValues(document.getElementsByName('EPASS_SEL_OBJ1'));
    			for (var i = 0 ; i < selectedValues.length ; i++)
    			{					
    				document.getElementById('_uda_costWeight'+selectedValues[i]).value='';		
    				document.getElementById('_uda_costCriteria'+selectedValues[i]).value='';		
    									
    				var theRow = document.getElementById('costRow'+selectedValues[i]);
    				theRow.parentNode.removeChild(theRow);
    				if(deletedRows1 != '')
    					deletedRows1 += ",";
    				deletedRows1 += selectedValues[i];
    			}	
    				
    			noOfRows1 -= selectedValues.length;
    			rowNum1 = noOfRows1
    			//alert(noOfRows1);
    			if(noOfRows1 == 1)
    			{			
    				document.getElementById('delete1').style.display = 'none';						
    			}
    			
    			if(noOfRows1 == 19)
    			{			
    				document.getElementById('add1').style.display = '';						
    			}
    			
    			var notDeletedRowsClone = '';
    			var notDeletedRowsTemp = '';
    			for (var i = 0 ; i < selectedValues.length ; i++)
    			{	
     				notDeletedRowsClone = notDeletedRows1;
        			if(notDeletedRowsClone.indexOf(selectedValues[i] != -1)) {
 						notDeletedRowsTemp = notDeletedRowsClone.replace(selectedValues[i] + ',', '');
 						notDeletedRows1 = notDeletedRowsTemp.replace(',' + selectedValues[i], '');
 					}
     			}
            }
    	}	
    	
    }
    
    function deleteCostCriteriaRows() {
    	var notDeletedRowsArray = '';
    	if (notDeletedRows1 != '') {
    		notDeletedRowsArray = notDeletedRows1.split(",");
   		}
    	for (var i = 0 ; i < notDeletedRowsArray.length ; i++) {
			document.getElementById('_uda_costWeight'+ notDeletedRowsArray[i]).value='';		
			document.getElementById('_uda_costCriteria'+ notDeletedRowsArray[i]).value='';		
								
			var theRow = document.getElementById('costRow'+ notDeletedRowsArray[i]);
			theRow.parentNode.removeChild(theRow);		
			if(deletedRows1 != '')
				deletedRows1 += ",";
			deletedRows1 += i;
			noOfRows1--
			rowNum1 = noOfRows1;
    	}
		document.getElementById('_uda_costWeight'+1).value='';		
		document.getElementById('_uda_costCriteria'+1).value='';	
		notDeletedRows1 = '';
    }
    
    function deleteQualityCriteriaRows() {
    	var notDeletedRowsArray = '';
    	if (notDeletedRows != '') {
    		notDeletedRowsArray = notDeletedRows.split(",");
   		}
    	for (var i = 0 ; i < notDeletedRowsArray.length ; i++) {
			document.getElementById('_uda_qualityWeight'+ notDeletedRowsArray[i]).value='';		
			document.getElementById('_uda_qualityCriteria'+ notDeletedRowsArray[i]).value='';		
								
			var theRow = document.getElementById('qualityRow'+ notDeletedRowsArray[i]);
			theRow.parentNode.removeChild(theRow);		
			if(deletedRows != '')
				deletedRows += ",";
			deletedRows += i;
			noOfRows--
			rowNum = noOfRows;
    	}
		document.getElementById('_uda_qualityWeight'+1).value='';		
		document.getElementById('_uda_qualityCriteria'+1).value='';	
		notDeletedRows = '';
    }
  
	function validateOjeuCostField(field){
		isErrorOccured=false;
		clearError(field);
		
		var theString = field.value;

		if(theString.length == 0){
			return true;
		}
		var errMsg;
		errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.lot.invalidCostFormat")%>";
		var valid = false;
		if (!isOjeuCost(theString)){
			return  _validationFailure(field, errMsg);
		}

		return true;
	}
	
	var OJEU_COST_REGEX = new Array(
	  "^\\d{1,13}(\\.\\d{1,2})?$");
	
	function isOjeuCost(str){

		return _matchFormat(OJEU_COST_REGEX, isOjeuCost.arguments) && isValueZero(str);
	}
	
	function isValueZero(str) {
		for (var i=0; i<str.length; i++) {
			if(str.charAt(i) != '.' && str.charAt(i) != '0') {
				return true;
			}
		}
		return false;
	}
    
</script>

</head>

<%-- HTML BODY --%>
<body onload="init();initializeFields()" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">
<%popupImage = ref.getUserPath()+Image.DESCRIPTION;%>
<%@ include file="../../include/inc_popup_top.inc" %>
<%
	if (!StringUtility.isEmpty(ref.getSaveMessage()))
	{
		out.println( ref.getSaveMessage() );
		ref.setSaveMessage(false);
	}else if (!StringUtility.isEmpty(ref.getMessage()))
	{
		out.println( ref.getMessage() );
	}
%>

<%--<%= form.toString() %> --%>

<center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">

<TR>
  	<TD>

<form name="annexbForm" action="<%= ref.getUserPath()%>ojeu/jsp/notice_detail_description.jsp" method="POST">
<p>
<p>
<center>
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH='100%' CLASS='POPFORMBODY' >
	<% if(notice!= null && PriorInformationNoticeType.NoticeForPriorInfo.equals(notice.getPinNoticeType())){ %>
		<%=getRuleLine()%>
		<TR height=25><TH width=35% CLASS="POPFORMLABEL"><esapi:html><%= ref.convertLiteral("ojeu.form.lot.objectOfContract") %></esapi:html><%= bean.getContractTitle() == null ? Header.REQUIRED_FIELD : "" %>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= bean.getObjectOfContractSelect() == null ? "" : bean.getObjectOfContractSelect() %>&nbsp;&nbsp;<%= bean.getContractTitle() == null ? "" : bean.getContractTitle()%></TD>
		</TR>
	
	<% } %>
	<%=getRuleLine()%>
	<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.additionl_object") %></esapi:html></td></TR>
	<%=getRuleLine()%>
	<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= mainSupvocDeschdr%></TD>
	</TR>

	<% int addObjIndex=0;
	for (EPASSInputCompoundControl addObjCompoundCtl : addObjCompoundControls) { %>
		<TR height=25><TH width=35% CLASS="POPFORMLABEL" >
		<% if (addObjIndex==0) { %>
			<esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.main_obj")%></esapi:html><%= Header.REQUIRED_FIELD %>&nbsp;&nbsp;
		<% } else { %>
			<esapi:html></esapi:html>&nbsp;&nbsp;
		<% } %>
		</TH>
			<TD CLASS="REPORTFORMFIELD"><%= addObjCompoundCtl%></TD>
		</TR>
	
	<% addObjIndex++; } %>
	
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"></TD>
	</TR>	
	<%=getRuleLine()%>
	<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.placeOfPerformance") %></esapi:html></td></TR>
	<% int nutsObjIndex=0;
	for (EPASSInputCompoundControl nutsCompoundCtl : nutsCompoundControls) { %>
		<TR><TH width=35% CLASS="POPFORMLABEL" >
		<% if (nutsObjIndex==0) { %>
			<esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.nutsCodeAndName")%></esapi:html><%= Header.REQUIRED_FIELD %>&nbsp;&nbsp;
		<% } else { %>
			<esapi:html></esapi:html>&nbsp;&nbsp;
		<% } %>
		</TH>
			<TD CLASS="REPORTFORMFIELD"><%= nutsCompoundCtl%></TD>
		</TR>
	<% nutsObjIndex++; } %>
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"></TD>
	</TR>
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.placeOfPerformance")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= mainSiteControl%></TD>
	</TR>
	<%=getRuleLine()%>
	<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.quantity_or_scope") %></esapi:html></td></TR>
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"></TD>
	</TR>
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.quanorscope_desc") %></esapi:html><%= Header.REQUIRED_FIELD %>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= qunScopeDescControl%></TD>
	</TR>
	
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.quanorscope.comment") %></TD>
	</TR>
	
	<% if(notice!= null && !PriorInformationNoticeType.NoticeForPriorInfo.equals(notice.getPinNoticeType())){ %>	
	<%=getRuleLine()%>
		<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.award_criteria") %></esapi:html></td></TR>
		<% if(notice!= null && !NoticeType.ContractAwardNotice.equals(notice.getTenderFormType())){ %>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html><%= bean.isPin() ? "" : Header.REQUIRED_FIELD %>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= awardCriteriaRadioBt%></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"></TD>
		</TR>
		<%=getRuleLine()%>
		<% } %>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.quality.criterion") %></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= qualityCriterioncheckBox%></TD>
		</TR>
		<tr id="qualityCriteria1">
		<td width=35% class="POPFORMLABEL" nowrap  valign=top>&nbsp;&nbsp;
		</td>
		<td width=65% CLASS="REPORTFORMFIELD" valign=top>
		<table>
		<tr>
		<td >
		<table id="qualityCriteria" cellpadding="0" cellspacing="0">
		<TBODY>
		<tr>
		<td width=40% class="POPFORMLABEL" style="text-align:center !important"><%= ref.convertLiteral("ojeu.form.detail.lot.quality.criterion") %></td>
		
		<td width=35% class="POPFORMLABEL" style="text-align:center !important"><%= ref.convertLiteral("ojeu.form.detail.lot.price.weight.criterion") %></td>
		<td width=5%>&nbsp;&nbsp;</td>
		</tr>

			<% 
			Map<Integer,AwardCriterionStruct> qualityCriterionMap = bean.getQualityCriterionMap();
			
			Set<Integer> keySet = null;
			Iterator<Integer> iter = null;
			int rowNum=0;
			String qualityCriterion="";
			String qualityCriterionWeight=null;

					if(iter == null && qualityCriterionMap.size() > 0)
					{
						Map<Integer,AwardCriterionStruct> treeMap = new TreeMap<Integer,AwardCriterionStruct>();
						treeMap.putAll(qualityCriterionMap);
						iter = treeMap.keySet().iterator();												
					}
					
					do
					{
					
						rowNum++;
						AwardCriterionStruct qualityCriterionStruct = null;
						
						if(iter!=null&&iter.hasNext())
							qualityCriterionStruct=qualityCriterionMap.get(iter.next());											
						
						if(qualityCriterionStruct != null)
						{
							qualityCriterion = qualityCriterionStruct.getCriterion();
							qualityCriterionWeight =(qualityCriterionStruct.getWeight()==null)?null:""+qualityCriterionStruct.getWeight();
							
						}
					
					
						EPASSInputControl qualityCriterionControl = new EPASSInputControl("TEXT",bean.fieldNameQUALITYCRITERIA+rowNum,qualityCriterion, 65, 200);
						qualityCriterionControl.setMonitored(true);
						qualityCriterionControl.setEnabled(isLotEditable);
						form.addControl(bean.fieldNameQUALITYCRITERIA+rowNum,qualityCriterionControl);
					
						EPASSInputControl qualityWeightControl = new EPASSIntegerInput( bean.fieldNameQUALITYWEIGHT+rowNum, qualityCriterionWeight,"",0,999,true);
						qualityWeightControl.setMonitored(true);
						qualityWeightControl.setMaxLength(3);
						qualityWeightControl.setSize(10);
						qualityWeightControl.setEnabled(isLotEditable);
					    form.addControl(bean.fieldNameQUALITYWEIGHT+rowNum, qualityWeightControl);
				
						EPASSInputSingleCheckBox qualityCriterionCheckBox = new EPASSInputSingleCheckBox(
							Misc.SELECTED_OBJECT,""+rowNum,"","",ref);
					
					%>
						<tr>
						
						<tr id="<esapi:htmlatt><%=  "qualityRow"+rowNum %></esapi:htmlatt>">	
						
						 
							<td><%= qualityCriterionControl %>
							</td>
							
							<td><%= qualityWeightControl %>
							</td>
							<% if (rowNum > 1) { %>
								<td><%= isLotEditable ? qualityCriterionCheckBox : ""%>
								</td>
							<% } %>
						</tr>
															
					<%
					
				
					}while(iter != null && iter.hasNext());
				bean.setFieldValueNoOfQualityCriterion(rowNum);
			%>								


		<BR>
		</TBODY>
		</table>
		<%if(isLotEditable){%>
		<input type="button" id="add" value="Add" onclick="addQualityCriteria()">
		<input type="button" id="delete" value="Delete" onclick="deleteQualityCriteria()">
		<%} %>								
		</td>
		</tr>
		</table>
		</td>
		</tr>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html><%= bean.isContractAward() ? Header.REQUIRED_FIELD : "" %>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= costCriterionAndPriceWeightccS%></TD>
		</TR>
		
		<tr id="costCriteria1">
		<td width=35% class="POPFORMLABEL" nowrap  valign=top>&nbsp;&nbsp;
		</td>
		<td width=65% CLASS="REPORTFORMFIELD" valign=top>
		<table>
		<tr>
		<td >
		<table id="costCriteria" cellpadding="0" cellspacing="0">
		<TBODY>
		<tr>
		<td width=40% class="POPFORMLABEL" style="text-align:center !important"><%= ref.convertLiteral("ojeu.form.detail.lot.cost.criterion") %></td>
		
		<td width=35% class="POPFORMLABEL" style="text-align:center !important"><%= ref.convertLiteral("ojeu.form.detail.lot.price.weight.criterion") %></td>
		<td width=5%>&nbsp;&nbsp;</td>
		</tr>

			<% 
			Map<Integer,AwardCriterionStruct> costCriterionMap = bean.getCostCriterionMap();
			
			Set<Integer> keySet1 = null;
			Iterator<Integer> iter1 = null;
			int rowNum1=0;
			String costCriterion="";
			String costCriterionWeight=null;
					
					if(iter1 == null && costCriterionMap.size() > 0)
					{
						Map<Integer,AwardCriterionStruct> treeMap = new TreeMap<Integer,AwardCriterionStruct>();
						treeMap.putAll(costCriterionMap);
						iter1 = treeMap.keySet().iterator();												
					}
					
					do
					{
					
						rowNum1++;
						AwardCriterionStruct costCriterionStruct = null;
						
						if(iter1!=null&&iter1.hasNext())
							costCriterionStruct=costCriterionMap.get(iter1.next());											
						
						if(costCriterionStruct != null)
						{
							costCriterion = costCriterionStruct.getCriterion();
							costCriterionWeight =(costCriterionStruct.getWeight()==null)?null:""+costCriterionStruct.getWeight();
							
						}
					
					
						EPASSInputControl costCriterionControl = new EPASSInputControl("TEXT",bean.fieldNameCOSTCRITERIA+rowNum1,costCriterion, 65, 200);
						costCriterionControl.setMonitored(true);
						costCriterionControl.setEnabled(isLotEditable);
						form.addControl(bean.fieldNameCOSTCRITERIA+rowNum1,costCriterionControl);
					
						EPASSInputControl costWeightControl = new EPASSIntegerInput( bean.fieldNameCOSTWEIGHT+rowNum1, costCriterionWeight,"",0,999,true);
						costWeightControl.setMonitored(true);
						costWeightControl.setMaxLength(3);
						costWeightControl.setSize(10);
						costWeightControl.setEnabled(isLotEditable);
					    form.addControl(bean.fieldNameCOSTWEIGHT+rowNum1, costWeightControl);
						
						
						EPASSInputSingleCheckBox  costCriterionCheckBox = new EPASSInputSingleCheckBox(
								"EPASS_SEL_OBJ1",""+rowNum1,"","",ref);
					
					
					%>
						<tr>
						
						<tr id="<esapi:htmlatt><%=  "costRow"+rowNum1 %></esapi:htmlatt>">	
						
						 
							<td><%= costCriterionControl %>
							</td>
							
							<td><%= costWeightControl %>
							</td>
							
							<% if (rowNum1 > 1) { %>
								<td><%= isLotEditable ? costCriterionCheckBox : ""%>
								</td>
							<% } else {%>
								<td></td>
							<% } %>
						</tr>
															
					<%
					
				
					}while(iter1 != null && iter1.hasNext());
				bean.setFieldValueNoOfCostCriterion(rowNum1);
			%>								


		<BR>
		</TBODY>
		</table>
		<%if(isLotEditable){%>
		<input type="button" id="add1" value="Add" onclick="addCostCriteria()">
		<input type="button" id="delete1" value="Delete" onclick="deleteCostCriteria()">
		<%} %>								
		</td>
		</tr>
		</table>
		</td>
		</tr>
		
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"></TD>
		</TR>
		<% if(notice!= null && !NoticeType.ContractAwardNotice.equals(notice.getTenderFormType())){ %>
			<%=getRuleLine()%>
			<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.value_excluding_vat") %></esapi:html></td></TR>
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.value_excluding_vat")%></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= estimatedCompoundCtl%></TD>
			</TR>
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= ref.convertLiteral("ojeu.form.detail.lot.title.value_excluding_vat.comment")%></TD>
			</TR>	
			<%=getRuleLine()%>
			<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.duration_of_contract") %></esapi:html></td></TR>
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.duration_and_period_of_contract") %></esapi:html><%= bean.isPin() ? "" : Header.REQUIRED_FIELD %>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= durationCompoundCtl%></TD>
			</TR>	
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= timeStartingCompoundCtl%></TD>
			</TR>
		
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= timeCompletionDateCompoundCtl%></TD>
			</TR>
			<%=getRuleLine()%>
			<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.contract.renewal")%></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= contractRenewalcheckBox%></TD>
			</TR>
			<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"></TD>
			</TR>
			<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.desc.renewals")%></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= descOfRenewals%></TD>
			</TR>
			<%=getRuleLine()%>
			<% if(notice!= null && NoticeType.ContractNotice.equals(notice.getTenderFormType()) && !ProcedureType.Open.equals(notice.getTenderProcedureType())){ %>
			<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.number_of_candidates") %></esapi:html></td></TR>
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= numberOfCandidatesCompoundCtl%></TD>
			</TR>	
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= minimumNumberCompoundCtl%></TD>
			</TR>
		
			<TR height=25><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= maximumNumberCompoundCtl%></TD>
			</TR>
			<%=getRuleLine()%>
			<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"></TD>
			</TR>
			<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.criteria.for.choosing.number_of_candidates")%></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= limitedNumberOFCandidatesCriteria%></TD>
			</TR>
			<%=getRuleLine()%>
			<% } %>
			
			<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.variants") %></esapi:html></td></TR>
			<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.variants") %></esapi:html>&nbsp;&nbsp;</TH>
				<TD CLASS="REPORTFORMFIELD"><%= variantscheckBox %></TD>
			</TR>
	
		<% } %>
	
	<%=getRuleLine()%>
		<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.options") %></esapi:html></td></TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.options")%></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= optionsCheckBox %></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.desc.options")%></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= descOfOptions %></TD>
		</TR>
		<%=getRuleLine()%>
		<% if(notice!= null && NoticeType.ContractNotice.equals(notice.getTenderFormType())){ %>
		<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.electronic.catalogues") %></esapi:html></td></TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.electronic.catalogues")%></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= electronicCataloguescheckBox %></TD>
		</TR>
		<%=getRuleLine()%>
		<% } %>
		<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.Info.eu.funds")%></esapi:html></td></TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.procurement.eu.funds")%></esapi:html><%= Header.REQUIRED_FIELD %>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= projectFinancedByEURadioBt %></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"></TD>
		</TR>
		<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.hdr.identification.of.project")%></esapi:html>&nbsp;&nbsp;</TH>
			<TD CLASS="REPORTFORMFIELD"><%= referenceEUProjFunds %></TD>
		</TR>
	
	<% } %>
	<%=getRuleLine()%>
	<TR height=25><TD colspan="3" CLASS="POPFORMTITLE"><esapi:html><%= ref.convertLiteral("ojeu.form.detail.lot.title.add_info_abt_lots_hdr")%></esapi:html></td></TR>
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"></TD>
	</TR>
	<TR><TH width=35% CLASS="POPFORMLABEL" ><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= addiInfoControl %></TD>
	</TR>
	<%=getRuleLine()%>

</TABLE>
<BR>
	<DIV CLASS="POPFORMBUTTONS" >
	<%  
	  if (showSaveButton(bean))
	  {
	%>	  
	  <INPUT type="button" name="Save" value='<%= ref.convertLiteral("form.EPASSHTMLForm.button.save")%>' ONCLICK="return onClickSave();">&nbsp;
	<%
	  }
	%>  
	  <INPUT type="BUTTON" name="cancel" value='<%= ref.convertLiteral("form.EPASSHTMLForm.button.close")%>' ONCLICK="javascript:onClose();">
	<%  
	  if (showSaveAddNextButton(bean))
	  {
	%>  
	  	&nbsp;<INPUT type="button" name="Next" value='<%= ref.convertLiteral("form.detailLot.button.save_add_next")%>' ONCLICK="onClickNextLot();">
	<%
	  }
	%>  
  </DIV>
	

</center>
<%=form.generateScript()%>
	<input type="hidden" name="<%=  EPASSJSPActions.ACTION %>" value="<%=  EPASSJSPActions.SAVE_NEW%>">
	<input type="hidden" id="<%=bean.CPV_VOC_SEARCH_RESULT %>" name="<%=bean.CPV_VOC_SEARCH_RESULT%>" value="">
	<input type="hidden" id="<%= bean.ID_PARAM %>" name="<%= bean.ID_PARAM %>" value="<%= lotId%>">
	<input type="hidden" id="IS_FORM_DIRTY" name="IS_FORM_DIRTY" value="">
	<input type="hidden" id="<%= bean.fieldNameMAINOBJCPVID %>" name="<%= bean.fieldNameMAINOBJCPVID %>" value="<%= bean.getFieldValueMAINOBJCPVID() %>">
	<input type="hidden" id="CPVCODE" name="CPVCODE" value="<%= bean.getFieldValueMAINOBJCPV() %>">
	<input type="hidden" id="MAIN_VOC_CODES" name="MAIN_VOC_CODES" value="<%= bean.getFieldValueMAINSUPPVOC() %>">
	<input type="hidden" id="<%= bean.fieldNameNUTSID %>" name="<%= bean.fieldNameNUTSID %>" value="<%= bean.getFieldValueNUTSID() %>">
	<input type="hidden" id="NUTSCODE" name="NUTSCODE" value="<%= bean.getFieldValueNUTSCODE() %>">
	<input type="hidden" id="NUTSNAME" name="NUTSNAME" value="<%= bean.getFieldValueNUTSNAME() %>">
	<input type="hidden" id="ADDITIONAL_VOC_CODES" name="ADDITIONAL_VOC_CODES" value="<%= bean.getAdditionalVOCCode() %>">
	<input type="hidden" id="ADDITIONAL_CPV_CODES" name="ADDITIONAL_CPV_CODES" value="<%= bean.getAdditionalCPVCode() %>">
	
	<input type="hidden" id="mainCPVCode" name="mainCPVCode" value="<%= bean.getFieldValueMAINOBJCPV() %>">
	<input type="hidden" id="mainCPVDesc" name="mainCPVDesc" value="<%= bean.getFieldValueMAINSCPVDESC() %>">
	<input type="hidden" id="mainVOCCode" name="mainVOCCode" value="<%= bean.getFieldValueMAINSUPPVOC() %>">
	<input type="hidden" id="mainVOCDesc" name="mainVOCDesc" value="<%= bean.getFieldValueMAINSUPPVOCUDESC() %>">
	<input type="hidden" id="noOfQualityCriterion" name="noOfQualityCriterion" value="<%= bean.getFieldValueNoOfQualityCriterion() %>">
	<input type="hidden" id="noOfCostCriterion" name="noOfCostCriterion" value="<%= bean.getFieldValueNoOfCostCriterion() %>">
	<input type="hidden" id="deletedRows" name="deletedRows" value="0">
	<input type="hidden" id="deletedRows1" name="deletedRows1" value="0">
	<input type="hidden" id="CONT_OBJ_ID" name="CONT_OBJ_ID" value="">
	<% if (bean.getObjectOfContractSelect() == null) { %>
		<input type="hidden" id="<%= bean.fieldNameCONTRACTOBJECTID%>" name="<%= bean.fieldNameCONTRACTOBJECTID%>" value="<%=bean.getFieldValueCONTRACTOBJECTID()%>">
	<% } %>
</form>
<DIV CLASS="POPFORMINSTRUCTIONS"><br><span style = "color:red;font-size:18px">*</span> <%= ref.convertLiteral("form.EPASSHTMLForm.label.req_field") %></DIV>
  	</TD>
</TR>
</TABLE>


</center>

<%@ include file="../../include/bottom.inc"%>

</body>

</html>
<%@ include file="../../include/simple_tail.inc"%>
