<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>

<%@ page info="Administrator Organization Edit" session="true" %>
<%@ page import="java.util.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.*" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.*" %>
<%@ page import="com.avinamart.ApplicationServices.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.WebInterface.forms.search.*" %>

<%--	$Archive: /epass/epass_5,01_sp2_269_wl/com/avinamart/WebInterface/public_html/en/frames_search_form.jsp $
		$Revision: 1 $ $Date: 9/22/04 3:07p $ --%>
<%@ include file="../../include/framehead.inc"%>
<head>
  <TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>
</head>

<%

	boolean isISFSB = ref.userDataContext.isISFSBThruLink();

	String queryString = ref.getQueryString();


	//Send the complete request to the search form (top frame). Add a parameter (frameset)
	//as indicator that the page is displayed within a frame set.
	String searchFormURL = ref.encodeURLwUP(SearchManager.INTERNAL_TREE_DETAIL_SEARCH_FORM) + "&" +
		SearchManager.IN_SEARCH_FRAMES  + "=true" + "&" + queryString;

	String treeFrame = ref.req.getParameter(SearchManager.TREE_FRAME);
	String treeFormURL = ref.encodeURLwUP( treeFrame ) + "&" +
		SearchManager.IN_SEARCH_FRAMES  + "=true" + "&" + queryString;
	
	//Get from the request the name of the results frame and set it as the url of the bottom frame
	String resultsFrame = ref.req.getParameter(SearchManager.RESULTS_FRAME);
	String resultsPageURL = ref.encodeURLwUP("ojeu/jsp/"+resultsFrame) +
		"&" +SearchManager.IN_SEARCH_FRAMES + "=true" + "&" +  queryString;

		
	String queryContext = ref.req.getParameter(SearchManager.QUERY_CONTEXT);
	
	String searchFormButtonURL = ref.encodeURLwUP("detail_tree_search_form_buttons.jsp") + 
		"&" + SearchManager.QUERY_CONTEXT + "=" +queryContext;
	
	//corresponding additional cpv or main cpv id
	String objectId = SearchManager.getCustomParameter(ref, "objId" );
	if( null != objectId )
	{
		queryContext = objectId +"_"+ queryContext;
	}
	String searchListIds = SearchManager.getCustomParameter(ref, SearchForm.SEARCH_LIST_CODES );
	String selectedResultsFrame = "ojeu/jsp/compound_selected_search_list.jsp";
	String selectedResultsURL =  ref.encodeURLwUP( selectedResultsFrame ) + "&" +
		SearchManager.IN_SEARCH_FRAMES  + "=true&" + SearchForm.SUBMIT_BTN_REQD + "=true&" +
		SearchManager.QUERY_CONTEXT + "=" +queryContext;
		
	if( null != searchListIds )
	{
		selectedResultsURL += "&" + SearchForm.ADD_SEARCH_FROM_MIDDLE_PANE + "=true&" 
			+ SearchForm.SEARCH_LIST_CODES + "=" + searchListIds; 
	}
	String multiselect = SearchManager.getCustomParameter(ref, SearchManager.MULTISELECT_IN_RESULT_PAGE );
	if( null != multiselect)
	{
		selectedResultsURL += "&" + SearchManager.MULTISELECT_IN_RESULT_PAGE +	"=" + multiselect;
	}
	String nutsContactName = SearchManager.getCustomParameter(ref, SearchManager.NUTS_CONTACT_NAME);
	if( null != nutsContactName)
	{
		selectedResultsURL += "&" + SearchManager.NUTS_CONTACT_NAME +	"=" + nutsContactName;
	}
	String state = SearchManager.getCustomParameter(ref, SearchManager.STATE);
	if( null != state)
	{
		selectedResultsURL += "&" + SearchManager.STATE +	"=" + state;
	}
	popupImage = ref.req.getParameter(SearchManager.TITLE_IMAGE);
	
	String bottomButtonsURL = ref.encodeURLwUP("ojeu/jsp/tree_search_form_bottom_buttons.jsp");
	
	
%>


<%
/*
 * ISF, Atish - If ISF user has loged in, the split search page is rendered in main window. 
 * In this case we do not want a seperate image for search page since there already is a main page image.
 */
if (!isISFSB) { 
%>
<%@ include file="../../include/frametop.inc" %>
<% } else {
// PR 62980 akhedkar- Search frame's lower frame is adjustable if lower frame's frameset in included in frameset's column.
%>
  <frameset cols="*">
<% } %>

<frameset rows='45%,25%,25%,5%' frameborder="1" border="1" marginwidth="0">
	
	
	 <FRAMESET COLS="60%,40%">
	 	<frameset rows='35,*' frameborder="1" border="1" marginwidth="0">
			<frame  frameborder="0"
				border="0"
				src='<esapi:htmlatt><%=  searchFormButtonURL   %></esapi:htmlatt>'
				scrolling="no"
				noresize
				name="buttons" />
			<frame frameborder="1" border="1" src="<esapi:htmlatt><%= searchFormURL %></esapi:htmlatt>"  name="main_search" /> 	
	 	</frameset>
	 	  
	 	  <frame frameborder="1" border="1" src="<esapi:htmlatt><%= treeFormURL %></esapi:htmlatt>"  name="tree_search" />
     </FRAMESET>
     
	<frame frameborder="1" border="1" src="<esapi:htmlatt><%=  resultsPageURL %></esapi:htmlatt>" name="search_results" />
	<frame frameborder="1" border="1" src="<esapi:htmlatt><%=  selectedResultsURL %></esapi:htmlatt>" name="selected_results" />
	<frame frameborder="0" border="0" src="<esapi:htmlatt><%=  bottomButtonsURL %></esapi:htmlatt>" name="bottom_buttons" />
	
</frameset>
<%if (!isISFSB) { %>
<%@ include file="../../include/framebottom.inc" %>
<% }  else {%>
   </frameset>
<% } %>


<%@ include file="../../include/frametail.inc" %>

