<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2016. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.ContractingAuthorityPageBean" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.*" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.helper.NoticeHelper"%>
<%@ page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@ page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="com.avinamart.Utility.Exception.EPASSApplicationException"%>
<%@ include file="../../include/simple_head.inc" %>
<%@ include file="ojeu_email_ctrl.inc" %>
<%@ page import="org.owasp.esapi.ESAPI" %>

<% 
	ContractingAuthorityPageBean bean = (ContractingAuthorityPageBean)
        request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);

	String actionBarTitle = null;
	String treeName = ref.userDataContext.getWizTreeName();
	String statusMsg = null;
	boolean canUpdate = bean.canUpdateContractingAuthority();
	boolean canUpdateNoticeReferenceNumber = bean.canUpdateNoticeReferenceNumber();
	boolean isEditable = true; 
	actionBarTitle = ref.convertLiteral("form.wiz_contracting_authority.header.notice.title");
	
	EPASSHTMLForm editForm = null;
	final String formName = "contractAuthorityForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
				ref.getUserPath() + "ojeu/jsp/wiz_contracting_authority.jsp", true );
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );

    EPASSImageControl addBtn=null;
	EPASSHTMLSelect inputCTRLSelect = null;
	
	EPASSInputControlInterface icInterface1 = null;	
	EPASSInputControl inputCTRL = null;
	
	editForm.addHidden(bean.fieldNameNutsId,
			bean.getFieldValueNutsId());
	editForm.addHidden("IS_FORM_DIRTY",ref.req.getParameter("IS_FORM_DIRTY"));
	//-------------contracting Authority Starts--------------------
	
	if(bean.getNoticeStatus() == StatusType.submitted || bean.getNoticeStatus() == StatusType.published){

		editForm.addSeparator(ref.convertLiteral("form.wiz_ca.notice.publication.details"));
		EPASSInputCompoundControl ccS = new EPASSInputCompoundControl ( ref );
		
		String errorMessage=ref.convertLiteral("form.WizNoticeProcudure.noticenumber.digitcount.error",new Object[]{new Integer(4)});
		String startwithErrorMessage=ref.convertLiteral("form.WizNoticeProcudure.noticenumber.start.error",new Object[]{new Integer(4)});
		
		String onKeyPress="return testIntegerChar(this,event,false)";
		String onBlurPart1Control = "return validateDigitCount(this,4,'"+errorMessage+"') && validateStartNumber(this,'"+startwithErrorMessage+"')";
		
		EPASSInputControl noticeReferenceNumberPart1 = new EPASSInputControl("TEXT",bean.fieldNameNoticeReferenceNumberPart1, EPASSQPretty.UQ( bean.getFieldValueNoticeReferenceNumberPart1(), ref));
		
		noticeReferenceNumberPart1.setSize(2);
		noticeReferenceNumberPart1.setMaxLength(4);
		noticeReferenceNumberPart1.setAttribute("ONKEYPRESS",onKeyPress);
		noticeReferenceNumberPart1.setAttribute("ONBLUR",onBlurPart1Control);		
		ccS.add(noticeReferenceNumberPart1);
		ccS.add( new com.avinamart.WebInterface.Utility.HTML.EPASSInputGenericString(" /S ") );

		errorMessage=ref.convertLiteral("form.WizNoticeProcudure.noticenumber.digitcount.error",new Object[]{new Integer(3)});
		String onBlurPart2Control = "return validateDigitCount(this,3,'"+errorMessage+"') && validateNumberField(this,'','&gt;=','"+OJEUConstants.MIN_NUMBER_PART2+"','&lt;=','"+OJEUConstants.MAX_NUMBER_PART2+"')";
		
		EPASSInputControl noticeReferenceNumberPart2= new EPASSInputControl("TEXT",bean.fieldNameNoticeReferenceNumberPart2,bean.getFieldValueNoticeReferenceNumberPart2());
		noticeReferenceNumberPart2.setSize(1);
		noticeReferenceNumberPart2.setMaxLength(3);
		noticeReferenceNumberPart2.setAttribute("ONKEYPRESS",onKeyPress);
		noticeReferenceNumberPart2.setAttribute("ONBLUR",onBlurPart2Control);		
		ccS.add(noticeReferenceNumberPart2);
		ccS.add( new com.avinamart.WebInterface.Utility.HTML.EPASSInputGenericString(" - ") );
		
		errorMessage=ref.convertLiteral("form.WizNoticeProcudure.noticenumber.digitcount.error",new Object[]{new Integer(6)});
		String onBlurPart3Control = "return validateDigitCount(this,6,'"+errorMessage+"') ";

		EPASSInputControl noticeReferenceNumberPart3=new EPASSInputControl("TEXT",bean.fieldNameNoticeReferenceNumberPart3,bean.getFieldValueNoticeReferenceNumberPart3());
		noticeReferenceNumberPart3.setSize(3);
		noticeReferenceNumberPart3.setMaxLength(6);
		noticeReferenceNumberPart3.setAttribute("ONKEYPRESS",onKeyPress);
		noticeReferenceNumberPart3.setAttribute("ONBLUR",onBlurPart3Control);

		ccS.add(noticeReferenceNumberPart3);
		ccS.setEnabled(canUpdateNoticeReferenceNumber);
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.reference.number"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.reference.number"), ccS);
		
		EPASSInputControlDateTime inputCtrldatehtml = new EPASSInputControlDateTime( bean.fieldNameDateOfPublication, bean.getFieldValueDateOfPublication(), ref);
		inputCtrldatehtml.setEnabled(canUpdateNoticeReferenceNumber);
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.date.of.publication"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.date.of.publication"), inputCtrldatehtml);
	}
	
	
	//This code will remove the Save button when the page is readonly
    out.write(TreeWizUtility.getNavHideSaveButtonJs(!(canUpdate || canUpdateNoticeReferenceNumber)));
	//-----------------------------------------------------------------------------------
	
	editForm.addSeparator(ref.convertLiteral("form.wiz_contracting_authority.header.notice.name.address.and.contact.point"));
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameOrganizationTitle, EPASSQPretty.UQ( bean.getFieldValueOrganizationTitle(), ref),
						30,300, canUpdate);
	inputCTRL.setRequired(true);
	
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name") + Header.REQUIRED_FIELD, inputCTRL);
		
	//-----------------------------------------------------------------------------------	
	
	EPASSInputControl nationalRegistrationNumber = new EPASSInputControl("TEXT", bean.fieldNameNationalRegistrationNumber, EPASSQPretty.UQ( bean.getFieldValueNationalRegistrationNumber(), ref),
					30,100, canUpdate);

	nationalRegistrationNumber.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"), nationalRegistrationNumber);
    				
    //-----------------------------------------------------------------------------------	
    
	EPASSTextAreaControl stdTxt = new EPASSTextAreaControl(bean.fieldNamePostalAddress, EPASSQPretty.UQ( bean.getFieldValuePostalAddress(), ref), 
						EPASSTextAreaControl.DEFAULT_ROWS, EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
	stdTxt.setAttribute("COLS",70);
	stdTxt.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"), stdTxt);
		
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameTown, EPASSQPretty.UQ( bean.getFieldValueTown(), ref),
						30,100, canUpdate);
	
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.town") + Header.REQUIRED_FIELD, inputCTRL);
		
	//-----------------------------------------------------------------------------------
	
	String[] availCountryCode = NoticeHelper.getInstance().getAvailableCountryCodesForNotice();
	
	EPASSInputControlInterface country = new EPASSInputSimpleSelect (
												bean.fieldNameCountry,
									            availCountryCode,
									            ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
									            EPASSQPretty.UQ( bean.getFieldValueCountry(), ref) );
	
	country.setAttribute("onClick","if (this.selectedIndex >=0) clearError(this);");
	
	( (EPASSInputSimpleSelect)country ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
	
	( (EPASSInputSimpleSelect)country ).sortByDisplay ( ref.getCollator (), true );
	
	country.setEnabled(canUpdate);
	
	editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.country")+ Header.REQUIRED_FIELD , country );
													
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNamePostalCode, EPASSQPretty.UQ( bean.getFieldValuePostalCode(), ref),
						30,20, canUpdate);
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code") , inputCTRL);
	//-----------------------------------------------------------------------------------
	
	
	EPASSInputCompoundControl ccS = new EPASSInputCompoundControl(ref);
	EPASSInputControl nutCodectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsCode, EPASSQPretty.UQ(bean.getFieldValueNutsCode(), ref), 10, EPASSInputControl.MAXLENGTH_LONG, false);
	nutCodectrl.setAttribute("disabled", true);
	ccS.add(nutCodectrl);
	nutCodectrl.setMonitored(true);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	EPASSInputControl nutNamectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsName, EPASSQPretty.UQ(bean.getFieldValueNutsName(), ref), 30, EPASSInputControl.MAXLENGTH_LONG, false);
	nutNamectrl.setAttribute("disabled", true);
	nutNamectrl.setMonitored(true);
	ccS.add(nutNamectrl);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	if (canUpdate)
		ccS.add(new EPASSInputGenericString(addNutsButton(ref, bean.getFieldValueNutsCode())));
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.nuts"), ref.convertLiteral("form.wiz_contracting_authority.header.nuts") + Header.REQUIRED_FIELD, ccS);		
	
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameContactPoint, EPASSQPretty.UQ( bean.getFieldValueContactPoint(), ref),
						30,300, canUpdate);
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points") , inputCTRL);
		
	//-----------------------------------------------------------------------------------	 
	EPASSInputControl eMailCtrl = new EPASSInputControl("TEXT", bean.fieldNameEMail, EPASSQPretty.UQ( bean.getFieldValueEMail(), ref),
						30,200, canUpdate);
	eMailCtrl.setOnBlurValidation(AttributeDefValidation.EMAIL);		
	//R207 , S03 . email ctrl changed to textbox. 

	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.email")+ Header.REQUIRED_FIELD, eMailCtrl);		
	//-----------------------------------------------------------------------------------
	
	EPASSInputControl phone = new EPASSInputControl("TEXT", bean.fieldNameAddrPhone, EPASSQPretty.UQ( bean.getFieldValueAddrPhone(), ref),
						30,100, canUpdate);
	
	String phoneHarryHelpShort = "  " +  ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.short");	
	
	EPASSImageControl helpButton =  new EPASSImageControl(
			ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
			"showTelephoneHelp()",
			ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
	helpButton.setAttribute("align", "absmiddle");
	String spaceCtrl = "&nbsp;&nbsp;&nbsp;";
	String extendedText = "";
	if( canUpdate ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	phone.setExtendedText( extendedText );

	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone") , phone);
		
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameAddrFax, EPASSQPretty.UQ( bean.getFieldValueAddrFax(), ref),
						30,100, canUpdate);
	
	extendedText = "";
	if( canUpdate ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	inputCTRL.setExtendedText( extendedText );
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax") , inputCTRL);
	
	//-----------------------------------------------------------------------------------
	
	EPASSInputControl generalAddressURL = new EPASSInputControl("TEXT", bean.fieldNameURL, EPASSQPretty.UQ( bean.getFieldValueURL(), ref),
						30,200, canUpdate);
			
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority")+ Header.REQUIRED_FIELD , generalAddressURL);
	
	//-----------------------------------------------------------------------------------	
		
	EPASSInputControl buyerProfileURL = new EPASSInputControl("TEXT", bean.fieldNameAddressOfBuyerProfile, EPASSQPretty.UQ( bean.getFieldValueAddressOfBuyerProfile(), ref),
						30,200, canUpdate);
				
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile") , buyerProfileURL);
		
	
	//-----------------------------------------------------------------------------------
		editForm.addSeparator( ref.convertLiteral("form.wiz_contracting_authority.header.notice.joint.procurement"));
	//-----------------------------------------------------------------------------------
	
	if(bean.getNoticeStruct()!= null &&  bean.getNoticeStruct().isJointProcurement()){
		
		EPASSInputControl nationalProcurementLaw = new EPASSInputControl("TEXT", bean.fieldNameNationalProcurementLaw, EPASSQPretty.UQ( bean.getFieldValueNationalProcurementLaw(), ref),
				30,200, canUpdate);

		nationalProcurementLaw.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.procurement.law"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.procurement.law") , nationalProcurementLaw);

	}
	
	
	EPASSInputSingleCheckBox contractAwardedCentral = new EPASSInputSingleCheckBox(
		bean.fieldNameIsContractAwardedCentral,
		"true",
		bean.getFieldValueIsContractAwardedCentral(),
		"",
		ref);
	
	contractAwardedCentral.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.contract.awarded.central"), ref.convertLiteral("form.wiz_contracting_authority.header.notice.contract.awarded.central"), contractAwardedCentral);
	

	if(bean.getNoticeStruct()!= null &&  
			!NoticeType.ContractAwardNotice.equals(bean.getNoticeStruct().getTenderFormType())){	
	//-----------------------------------------------------------------------------------
	
	//-----------------------------------------------------------------------------------
		editForm.addSeparator( ref.convertLiteral("form.wiz_contracting_authority.header.notice.communication"));
	//-----------------------------------------------------------------------------------
	
	//-----------------------------------------------------------------------------------
		if(bean.getNoticeStruct()!= null &&  !PriorInformationNoticeType.NoticeForPriorInfo.equals(bean.getNoticeStruct().getPinNoticeType())){
			
			EPASSInputCompoundControl ccS2 = new EPASSInputCompoundControl(ref);
			String[] procurementDocumentsDisplay = 
					{ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ),
					ref.convertLiteral("form.wiz_ca.procurement.documents.unrestricted"),
					ref.convertLiteral("form.wiz_ca.procurement.documents.restricted")};
			String[] procurementDocumentsValue = { "-1","0","1"};
			
			EPASSInputSimpleSelect procurementDocumentsCtrlSelect = new EPASSInputSimpleSelect (
															bean.fieldNameProcurmentDoc,
															procurementDocumentsValue,
															procurementDocumentsDisplay,
												            EPASSQPretty.UQ( bean.getFieldValueProcurementDoc(), ref) , "showProcurementDocURL()");
			
			procurementDocumentsCtrlSelect.setEnabled(canUpdate);
			ccS2.add(procurementDocumentsCtrlSelect);
			ccS2.add(new EPASSInputGenericString("&nbsp;&nbsp;&nbsp;")); 			
			EPASSInputControl procurementDocumentsURL = new EPASSInputControl("TEXT", bean.fieldNameProcurementDocURL, EPASSQPretty.UQ( bean.getFieldValueProcurementDocURL(), ref),
					30,200, canUpdate);
			ccS2.add(procurementDocumentsURL);
			ccS2.setEnabled(canUpdate);
			String headerRequiredField = "";
			if(bean.getNoticeStruct()!= null &&  
					NoticeType.ContractNotice.equals(bean.getNoticeStruct().getTenderFormType())){
				headerRequiredField = Header.REQUIRED_FIELD;
			}
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.procurement.documents"),	ref.convertLiteral("form.wiz_contracting_authority.header.notice.procurement.documents") + headerRequiredField , ccS2);
			
		}
			
		String[] furtherInformationCanBeObtainedAtDisplay = 
		{ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ),
		ref.convertLiteral("form.wiz_ca.above.mentioned.contact"),
		canUpdate ? ref.convertLiteral("form.wiz_ca.annex.a.i") : ref.convertLiteral("form.wiz_ca.see.annex.a.i")};
		String[] furtherInformationCanBeObtainedAtValue = {"-1","0","1"};
			
		EPASSInputSimpleSelect furtherInformationCtrlSelect = new EPASSInputSimpleSelect (
														bean.fieldNameFurtherInformationCanBeObtainedAt,
														furtherInformationCanBeObtainedAtValue,
														furtherInformationCanBeObtainedAtDisplay,
											            EPASSQPretty.UQ( bean.getFieldValueFurtherInformationCanBeObtainedAt(), ref) );
		
		furtherInformationCtrlSelect.setEnabled(canUpdate);	
		editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.further.information.can.be.obtained.at")+ Header.REQUIRED_FIELD , furtherInformationCtrlSelect );
		
			//-----------------------------------------------------------------------------------
		if(bean.getNoticeStruct()!= null &&  !PriorInformationNoticeType.NoticeForPriorInfo.equals(bean.getNoticeStruct().getPinNoticeType())){		
			EPASSInputCompoundControl ccS3 = new EPASSInputCompoundControl(ref);
			String[] tendersOrRequestsToParticipateMustBeSentToDisplay = 
					{ref.convertLiteral("form.terminology.select.no_selection_please_select"),
					ref.convertLiteral("form.wiz_ca.above.mentioned.contact"),
					canUpdate ? ref.convertLiteral("form.wiz_ca.annex.a.iii") : ref.convertLiteral("form.wiz_ca.see.annex.a.iii")};
			
			String[] tendersOrRequestsToParticipateMustBeSentToValue = {"-1", "0","1"};
			
			EPASSInputSimpleSelect tendersOrRequestsToParticipateCtrlSelect = new EPASSInputSimpleSelect (
															bean.fieldNameTendersOrRequestsToParticipate,
															tendersOrRequestsToParticipateMustBeSentToValue,
															tendersOrRequestsToParticipateMustBeSentToDisplay,
												            EPASSQPretty.UQ( bean.getFieldValueTendersOrRequestsToParticipate(), ref) );
			
			tendersOrRequestsToParticipateCtrlSelect.setEnabled(canUpdate);
			ccS3.add(tendersOrRequestsToParticipateCtrlSelect);
			EPASSInputControl electronicCommunicationForTRCtl = new EPASSInputSingleCheckBox(bean.fieldNameIsElectronicCommunicationForTR,"true",bean.getFieldValueIsElectronicCommunicationForTR(),"",ref);
			electronicCommunicationForTRCtl.setAttribute("onClick","onCheckEnableECUrlForTR()");
			electronicCommunicationForTRCtl.setMonitored(true);
			electronicCommunicationForTRCtl.setEnabled(canUpdate);
			ccS3.add(new EPASSInputGenericString("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + "<span class=" + "POPFORMLABELWHITEBG" + ">" + ref.convertLiteral("form.wiz_contracting_authority.header.notice.electronic.communication.for.tender.request") + "</span>" + "&nbsp;"));
			ccS3.add(electronicCommunicationForTRCtl);
			ccS3.add(new EPASSInputGenericString("&nbsp;&nbsp;&nbsp;"));    
			EPASSInputControl electronicCommunicationForTRUrlCtl = new EPASSInputControl("TEXT", bean.fieldNameElectronicCommunicationURLForTR, EPASSQPretty.UQ( bean.getFieldValueElectronicCommunicationURLForTR(), ref),
					30,200, canUpdate);

			electronicCommunicationForTRUrlCtl.setAttribute("disabled", true);
			electronicCommunicationForTRUrlCtl.setOnBlurValidation(AttributeDefValidation.OJEU_URL);
			ccS3.add(electronicCommunicationForTRUrlCtl);
			ccS3.setEnabled(canUpdate);
			editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.tenders.or.requests.to.participate.must.be.sent.to")+ Header.REQUIRED_FIELD , 
					ccS3 );
		}

	
		EPASSInputCompoundControl ccS1 = new EPASSInputCompoundControl(ref);
		EPASSInputControl electronicCommunicationCtl = new EPASSInputSingleCheckBox(bean.fieldNameIsElectronicCommunication,"true",bean.getFieldValueIsElectronicCommunication(),"",ref);
		electronicCommunicationCtl.setAttribute("onClick","onCheckEnableECUrl()");
		electronicCommunicationCtl.setMonitored(true);
		electronicCommunicationCtl.setEnabled(canUpdate);
		ccS1.add(electronicCommunicationCtl);
		ccS1.add(new EPASSInputGenericString("&nbsp;&nbsp;&nbsp;" ));    
		EPASSInputControl electronicCommunicationUrlCtl = new EPASSInputControl("TEXT", bean.fieldNameElectronicCommunicationURL, EPASSQPretty.UQ( bean.getFieldValueElectronicCommunicationURL(), ref),
				30,200, canUpdate);
	
		electronicCommunicationUrlCtl.setAttribute("disabled", true);
		electronicCommunicationUrlCtl.setOnBlurValidation(AttributeDefValidation.OJEU_URL);
		ccS1.add(electronicCommunicationUrlCtl);
		ccS1.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.electronic.communication"), ref.convertLiteral("form.wiz_contracting_authority.header.notice.electronic.communication"), ccS1);
	}		
	//-----------------------------------------------------------------------------------
	editForm.addSeparator( ref.convertLiteral("form.wiz_ca.type.of.ca.separator"));
	//-----------------------------------------------------------------------------------
	
	EPASSInputSimpleSelect typeOfContractingAuthorityCtrlSelect = new EPASSInputSimpleSelect ( 
													bean.fieldNameTypeOfContractingAuthority, 
													bean.getContractingAuthorityTypeValues(),
													bean.getContractingAuthorityTypeDisplays(),
													bean.getFieldValueTypeOfContractingAuthority(),
													"showOtherCAType()"); 
	
	( (EPASSInputSimpleSelect)typeOfContractingAuthorityCtrlSelect ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
	
	typeOfContractingAuthorityCtrlSelect.setEnabled(canUpdate);
	editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.type.of.contracting.authority")+ Header.REQUIRED_FIELD, 
			typeOfContractingAuthorityCtrlSelect );
	
	//-----------------------------------------------------------------------------------

	EPASSInputControl otherContractingAuthType = new EPASSInputControl(
															"TEXT", 
															bean.fieldNameOtherTypeOfContractingAuthority, 
															EPASSQPretty.UQ( bean.getFieldValueOtherTypeOfContractingAuthority(), ref),
															30,200, canUpdate);
	
	otherContractingAuthType.setMonitored(true);
	editForm.addControl(ref.convertLiteral("ContractingAuthorityType.other"),
						ref.convertLiteral("ContractingAuthorityType.other"), otherContractingAuthType);
	

	//-----------------------------------------------------------------------------------
		editForm.addSeparator( ref.convertLiteral("form.wiz_contracting_authority.header.notice.main.activity"));
	//-----------------------------------------------------------------------------------
	
	EPASSInputSimpleSelect mainActivityCtrlSelect = new EPASSInputSimpleSelect ( 
			bean.fieldNameMainActivityOrActivties, 
			bean.getContractingAuthorityActivityTypeValues(),
			bean.getContractingAuthorityActivityTypeDisplays(),
			bean.getFieldValueMainActivityOrActivties(),
			"showOtherMainActivity()"); 
													
	( (EPASSInputSimpleSelect)mainActivityCtrlSelect ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
	
	mainActivityCtrlSelect.setEnabled(canUpdate);
	editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.main.activity.label")+ Header.REQUIRED_FIELD, mainActivityCtrlSelect );
  //-----------------------------------------------------------------------------------
	
  	EPASSInputControl contractingAuthActivityTypeOther = new EPASSInputControl("TEXT", 
												  			bean.fieldNameOtherTypeOfContractingAuthActivity, 
												  			EPASSQPretty.UQ( bean.getFieldValueOtherTypeOfContractingAuthActivity(), ref),
															30,200, canUpdate);

  	editForm.addControl(ref.convertLiteral("ContractingAuthorityActivityType.other"),
					 	ref.convertLiteral("ContractingAuthorityActivityType.other"), 
						contractingAuthActivityTypeOther);


	//-----------------------------------------------------------------------------------
	
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + bean.getNextAction());
//	editForm.addHidden( bean.fieldNameID, "" + bean.getFieldValueID() );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY", "");
	// END HIDDEN FIELDS

	// End Table Form===========================================================
	Object actionBarButtons = toolbarItems.toString();
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setUserInputClass("OJEU_FORM_INPUT");
	editForm.setAddSeparatorColumn(false);
	editForm.setAddSizerTDs(false);
%>

<%!

public String addNutsButton(EPASSReferences ref, String nuts) throws EPASSApplicationException {

	SearchManager nutsSearchManager = new SearchManager(ObjectType.NUTS.getIntegerValue(), ref.getUserPath() + SearchManager.TREE_FRAMES_SEARCH_FORM,
			SearchManager.TREE_SEARCH_FORM, JSP.COMPOUND_SEARCH_NUTS_LIST_PAGE);
	nutsSearchManager.setCachedSearchId(SearchManager.BASIC_NUTS_SEARCH);
	EPASSQueryContext context = new EPASSQueryContext();
	context.setContext(FieldInfoProvider.ORG, ref.getOrgKey());
	nutsSearchManager.setQueryContext(ref, SearchManager.QUERY_CONTEXT + SearchManager.BASIC_NUTS_SEARCH, context);
	nutsSearchManager.setCustomParameter(SearchManager.DISPATCH_COMPOUND_QUERY, "2YvyVnutsYvyVfalseYvyVtrue");
	nutsSearchManager.setCustomParameter(SearchManager.MULTISELECT_IN_RESULT_PAGE, new Boolean(false));
	if (nuts != null) {
		nutsSearchManager.setCustomParameter(SearchForm.SEARCH_LIST_CODES, nuts);
	}
	return nutsSearchManager.getStandAloneButton(ref);
}

%>


	<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>

<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<%
    if( !ref.isErrorMessage() )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>


<SCRIPT>
var NAV_LIST='';
var NAV_DEP = '<%=ContextCodes.EVENT%>';
var isNavBlocked = false;

	function validateDigitCount(element,digitCount,errorMessage){
		var numberPart1=document.getElementsByName('_uda_noticeReferenceNumberPart1')[0].value;
		var numberPart2=document.getElementsByName('_uda_noticeReferenceNumberPart2')[0].value;		
		var numberPart3=document.getElementsByName('_uda_noticeReferenceNumberPart3')[0].value;
		
		if(numberPart1=="" && numberPart2=="" && numberPart3==""){
			clearError(document.getElementsByName('_uda_noticeReferenceNumberPart1')[0]);
			clearError(document.getElementsByName('_uda_noticeReferenceNumberPart2')[0]);
			clearError(document.getElementsByName('_uda_noticeReferenceNumberPart3')[0]);
			return true;
		}
		
		clearError(element);
		
		var number = element.value;
		var length = number.length;
		
		if(length!=digitCount){
			_validationFailure(element, errorMessage);
			return false;
		}
		return true;
	}
	
	function validateStartNumber(element,errorMessage){
		var numberPart1=document.getElementsByName('_uda_noticeReferenceNumberPart1')[0].value;
		var numberPart2=document.getElementsByName('_uda_noticeReferenceNumberPart2')[0].value;		
		var numberPart3=document.getElementsByName('_uda_noticeReferenceNumberPart3')[0].value;
		
		if(numberPart1=="" && numberPart2=="" && numberPart3==""){
			clearError(document.getElementsByName('_uda_noticeReferenceNumberPart1')[0]);
			clearError(document.getElementsByName('_uda_noticeReferenceNumberPart2')[0]);
			clearError(document.getElementsByName('_uda_noticeReferenceNumberPart3')[0]);
			return true;
		}
		
		clearError(element);
		var number = element.value;
		
	if( !(number.substring(0, 2)=='19' || number.substring(0, 2)=='20')){
			_validationFailure(element, errorMessage);
			return false;
		}
		return true;
	}

	function selectType()
	{
	}
	
	function resetHiddens()
	{
	}
	
	 function onCheckEnableECUrl()
	 {
		 if (typeof(document.<%=formName%>.<%= bean.fieldNameIsElectronicCommunication%>) != 'undefined' ) {
		 	if (document.<%=formName%>.<%= bean.fieldNameIsElectronicCommunication%>.checked)
		 	{
		 		document.<%=formName%>.<%= bean.fieldNameElectronicCommunicationURL%>.disabled=false;
		 	}else
		 	{
		 		document.<%=formName%>.<%= bean.fieldNameElectronicCommunicationURL%>.value='';
		 		document.<%=formName%>.<%= bean.fieldNameElectronicCommunicationURL%>.disabled=true;
		 	}
		 }	 
	 }
	 
	 function onCheckEnableECUrlForTR()
	 {
		 	if (typeof(document.<%=formName%>.<%= bean.fieldNameIsElectronicCommunicationForTR%>) != 'undefined') {
			    if (document.<%=formName%>.<%= bean.fieldNameIsElectronicCommunicationForTR%>.checked)
			 	{
			 		document.<%=formName%>.<%= bean.fieldNameElectronicCommunicationURLForTR%>.disabled=false;
			 	}else
			 	{
			 		document.<%=formName%>.<%= bean.fieldNameElectronicCommunicationURLForTR%>.value='';
			 		document.<%=formName%>.<%= bean.fieldNameElectronicCommunicationURLForTR%>.disabled=true;
			 	}
		 	}
			 
	 }

    /**
     *
     * @return
     */
	function onClickSaveForm() 
	{	
		if (validateData())
		document.<%=formName %>.submit();
	}
	//-----------------------------------------------------------------------------------
	//This function is called to refresh the page when the attributes list page closes
	function refreshWithNewAttributes(){
		NAV_Reload(this);
	}
	//-----------------------------------------------------------------------------------

	function showOtherCAType()
	{
		if (typeof(document.<%=formName%>.<%= bean.fieldNameTypeOfContractingAuthority%>) != 'undefined') {
			if(document.<%=formName%>.<%=bean.fieldNameTypeOfContractingAuthority%>.value == 7)
	        {
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthority%>.disabled = false;
				document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthority%>.value = "";
	        }
	        else
	        {	
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthority%>.value = "";
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthority%>.disabled = true;
	        }
		}
 	}
	
	function showOtherMainActivity()
	{
		if (typeof(document.<%=formName%>.<%= bean.fieldNameMainActivityOrActivties%>) != 'undefined') {
			if(document.<%=formName%>.<%=bean.fieldNameMainActivityOrActivties%>.value == 11)
	        {
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthActivity%>.disabled = false;
				document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthActivity%>.value = "";
	        }
	        else
	        {	
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthActivity%>.disabled = true;
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthActivity%>.value = "";
	        }
		}
 	}
	
	function showProcurementDocURL()
	{
		if (typeof(document.<%=formName%>.<%= bean.fieldNameProcurmentDoc%>) != 'undefined') {
	        if(document.<%=formName%>.<%=bean.fieldNameProcurmentDoc%>.value != -1)
	        {
	        	document.<%=formName%>.<%=bean.fieldNameProcurementDocURL%>.style.display = 'inline';
				document.<%=formName%>.<%=bean.fieldNameProcurementDocURL%>.value = "";
	        }
	        else
	        {	
	        	document.<%=formName%>.<%=bean.fieldNameProcurementDocURL%>.style.display = 'none';
	        }
		}
	}
	
	function validateData()
	{
		if (!validateEMailField(document.<%=formName%>.<%=bean.fieldNameEMail%>)) {
			return false;
		}
		return true;
	}

	function setFormDirtyOnRBtnChange( oldValue )

	{
	    if( typeof(oldValue) == 'undefined')
	    {
	             document.<%=formName%>.IS_FORM_DIRTY.value = 'true';
	    }
	}

	function setDirtyRadioBt()
	{          
        setFormDirtyOnRBtnChange( monitoredFields['<%=bean.fieldNameContractingAuthPurchasing%>'] );         
	}

	
	function checkRequiredField( field, message ) 
	{
		clearError(field);
		if ( typeof field.length != "undefined" ) 
		{
			for ( var i = 0; i < field.length; i++ ) 
			{
				if ( false == EPASSText.checkRequired(field[i], message) ) 
				{
					return false;
				}
			}
		}
		else if ( EPASSText.getValue(field) == "" ) 
		{
			showError(field,message);
			field.value="";		
			return false;
		}
		return true;
	}
	
	function setCpvDirty( oldValue, newValue)
	{		
			if( oldValue != newValue)
			{
				document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
			}	
	}
	
	function refresh(){
		document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.REFRESH_PAGE%>';	
		document.<%= formName%>.submit();

	}
	
	function NAV_HandleEvent(var1, var2)
	{		
		if( var1=='selectCpvVocNuts')
		{
			//alert(var2);
			var tmpArray = new Array();
			tmpArray =  var2.split(";;");

			if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
			{
				setCpvDirty( document.<%= formName%>.<%=bean.fieldNameNutsCode%>.value, tmpArray[1]);		
				document.<%= formName%>.<%=bean.fieldNameNutsId%>.value=tmpArray[0];
				document.<%= formName%>.<%=bean.fieldNameNutsCode%>.value=tmpArray[1];
				document.<%= formName%>.<%=bean.fieldNameNutsName%>.value=tmpArray[2];
			}
			else
			{
				document.<%= formName%>.IS_FORM_DIRTY.value = '';
			}

			return;
		}
		else if( var1 == "<%=EPassTree._sNavigationEvent%>"  )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
   			var goToParam = (splitted.length == 2)? splitted[1]: "";

   			if( goToDir.indexOf( '<%=EPassTree._sTreeNavResetCmd%>' ) == 0 ){

   				if( confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral( "form.wizConfigSchedule.message.reset" ))%>' ) ){
   					document.<%=formName%>.reset();
                    <%=editForm.getInitMonitorJS()%>
                    NAV_Reload(this);
                    document.<%=formName%>.<%=EPASSJSPActions.ACTION%>.value='<%=EPASSJSPActions.DEFAULT_VIEW%>';
                    document.<%=formName %>.submit();
	        	}
   			}
	        else if( goToDir.indexOf( '<%=EPassTree._sTreeNavCloseCmd%>' ) == 0 ){
   					document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value =
																 '<%=EPassTree._sTreeNavCloseCmd%>';
   					onClickSaveForm();
	   		}else if (<%= editForm.getIsFormDirtyJS() %> 
			   			|| var2 == "<%=EPassTree._sTreeNavSaveCmd%>" 
		   				|| document.<%=formName%>.IS_FORM_DIRTY.value == 'true')
				{	
        			if (var2 == "<%=EPassTree._sTreeNavSaveCmd%>" ||  confirm( '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizConfig.message.save"))%>' ) )
        			{        		
        				document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
						if(checkNoticeReferenceNumber() && isSavingForPublication())
						{
							onClickSaveForm();
						}
					}
       				else
       				{       				
						document.<%=formName%>.reset();
	                	<%=editForm.getInitMonitorJS()%>
	                	NAV_FireEvent( top, '<%=EPassTree._sNavigationEvent%>', var2 );
					}
				}
				else
				{					
 	             if( goToDir.indexOf( '<%=EPassTree._sTreeNavBackCmd%>' ) == 0
                       ||
                       goToDir.indexOf( '<%=EPassTree._sTreeNavNextCmd%>' ) == 0
                     ) {
                       <%=EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
                   	} else {
                       <%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
                   	}
    					
				}

		}
	}

	function isSavingForPublication()
	{
		//alert(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value == "");
        if(<%= bean.getNoticeStatus() == StatusType.submitted %>)
        {

	        if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>.value == "")
                
            {
	        	//alert('<%= ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing")%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}else if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>.value == ""){
        		showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>,'<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}else if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>.value == ""){
        		showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>,'<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}else if(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value == ""){
        		showError(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}
        	else if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>.value != ""
	                && document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>.value != ""
	                && document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>.value != ""
	                && document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value != "")
	        {
	    	    var confirmString = '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.changed.to.published")) %>';
				return confirm ( confirmString );
	        }else
		    {
		        return true;
	        }
        }else if(<%= bean.getNoticeStatus() == StatusType.published %>)
        {
	        if(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value == "")
        	{
	        	//alert('<%= ref.convertLiteral("form.wiz_ca.please.enter.publication.date")%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.please.enter.publication.date"))%>');
	        	return false;
        	}else
           	{
               	return true;
           	}
			
        }else
        {
            return true;
        }
		
	}

	function checkNoticeReferenceNumber()
	{
        if(<%= bean.getNoticeStatus() == StatusType.submitted || bean.getNoticeStatus() == StatusType.published %>)
        {
			var noticeReferenceNumberPart1 = document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>.value;
			var noticeReferenceNumberPart2 = document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>.value;
			var noticeReferenceNumberPart3 = document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>.value;
			
	        if(!((noticeReferenceNumberPart1 >= 2000 && noticeReferenceNumberPart1 <= 2099) 
	    	        && (noticeReferenceNumberPart2 >= 1 && noticeReferenceNumberPart2 <= 999)
	    	        && (noticeReferenceNumberPart3 >= 1 && noticeReferenceNumberPart3 <= 999999)))
        	{
	        	//alert('<%= ref.convertLiteral("form.wiz_ca.notice.number.is.invalid")%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.number.is.invalid"))%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.number.is.invalid"))%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.number.is.invalid"))%>');
	        	return false;
        	}
			
        }

        return true;
	}
	

	function saveNotice()
	{
	if ( checkSelectionVer_2 () )
		{	
	    document.<%=formName%>.action = "ojeu/jsp/list_notice.jsp?jspAction=5";

		document.<%=formName%>.submit();
		}
		}
		
	function initializeFields()
	{
		if (typeof(document.<%=formName%>.<%=bean.fieldNameTypeOfContractingAuthority%>) != 'undefined') {
			if(document.<%=formName%>.<%=bean.fieldNameTypeOfContractingAuthority%>.value == 7)
	        {
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthority%>.disabled = false;
	        }
	        else
	        {	
		       	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthority%>.disabled = true;
	        }
		}
        
        if (typeof(document.<%=formName%>.<%=bean.fieldNameProcurmentDoc%>) != 'undefined') {
	        if( document.<%=formName%>.<%=bean.fieldNameProcurmentDoc%>.value != -1)
	        {
	        	document.<%=formName%>.<%=bean.fieldNameProcurementDocURL%>.style.display = 'inline';
			}
	        else
	        {	
	        	document.<%=formName%>.<%=bean.fieldNameProcurementDocURL%>.style.display = 'none';
	        }
        }

		if (typeof(document.<%=formName%>.<%=bean.fieldNameMainActivityOrActivties%>) != 'undefined') {
	        if(document.<%=formName%>.<%=bean.fieldNameMainActivityOrActivties%>.value == 11)
	        {
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthActivity%>.disabled = false;
	        }
	        else
	        {	
	        	document.<%=formName%>.<%=bean.fieldNameOtherTypeOfContractingAuthActivity%>.disabled = true;
	        }
		}
        onCheckEnableECUrl();
        onCheckEnableECUrlForTR();
	}	
	

	
    function showTelephoneHelp()
    { 
       	  var helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.detail"))%>"; 
       	  //PR63022 fix start ->
       	  var close = '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizrfxstart.button.close"))%>'; 
       	  //PR63022 fix suspend <-
          var url = "<%= ref.encodeURLwUP( "blank.html?") %>";
	   	  var helpReport = window.open(url,'','height=360,width=450');
		  helpReport.document.write('<title>Number Format Help</title></head><body bgcolor="#FFFFE1"><form><font style="font-family:arial;font-size:12px;">');
		  helpReport.document.write( helpMessage ); 
		  //helpReport.document.write(unescape(helpMessage.replace(/\+/g, " ")).replace("<","&lt;"));
		  //PR63022 fix resume ->
		  helpReport.document.write('</font><p><center><input type="button" value="'+ close +'" onclick="self.close()"></p>');
		  //PR63022 fix end <-
		  helpReport.document.write('</form></body></html>'); 
    }
	
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

// Function to add a custom even listener to listen to changes to an Emptoris multi-select
// input control.
 //FIXME- Hardcoding the element id??
 
</SCRIPT>
</HEAD>



<body onload="init();initializeFields();resetHiddens();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="0" rightmargin="10" topmargin="0" leftmargin="0">

<%@ include file="../../include/inc_actionbar_spacer.inc" %>
<% //Will print the error message, if one exist. Uses a stylesheet format
System.out.println(ref.isErrorMessage());
System.out.println(ref.getRawMessage());%>
<%

%>
<%@ include file="../../include/inc_action_bar.inc" %>
<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<TR>
  	<TD>
		<%		
		if ( ref.getMessage() != null && ref.getMessage() != "" )
		{
			System.out.println(ref.getMessage());
			out.println( ref.getMessage() );
			ref.sessionTracker.setValue(ref.req, "dataSaved", "");
		}
		%>
  	</TD>
</TR>

<TR>
  	<TD>
	<%= editForm%>
  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
