<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2016. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.ContractingAuthorityAdditionalContactPageBean" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.*" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.helper.NoticeHelper"%>
<%@ page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@ page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="com.avinamart.Utility.Exception.EPASSApplicationException"%>
<%@ include file="../../include/simple_head.inc" %>
<%@ include file="ojeu_email_ctrl.inc" %>
<%@ page import="org.owasp.esapi.ESAPI" %>

<% 
ContractingAuthorityAdditionalContactPageBean bean = (ContractingAuthorityAdditionalContactPageBean)
        request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);

	String actionBarTitle = null;
	String treeName = ref.userDataContext.getWizTreeName();
	String statusMsg = null;
	boolean canUpdate = bean.canUpdateContact();
	boolean isEditable = true; 
	actionBarTitle = ref.convertLiteral("form.wiz_contracting_authority.additional.contact.header.notice.title");
	
	EPASSHTMLForm editForm = null;
	final String formName = "contractAuthorityAdditionalContactForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
				ref.getUserPath() + "ojeu/jsp/wiz_contracting_authority_additional_contact.jsp", true );
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );

    EPASSImageControl addBtn=null;
	EPASSHTMLSelect inputCTRLSelect = null;
	
	EPASSInputControlInterface icInterface1 = null;	
	EPASSInputControl inputCTRL = null;
	
	editForm.addHidden(bean.fieldNameNutsId,
			bean.getFieldValueNutsId());
	editForm.addHidden("NUTSCODE", bean.getFieldValueNutsCode());
	editForm.addHidden("NUTSNAME", bean.getFieldValueNutsName());
	editForm.addHidden("IS_FORM_DIRTY",ref.req.getParameter("IS_FORM_DIRTY"));
	//-------------contracting Authority Starts--------------------
	
		//This code will remove the Save button when the page is readonly
    out.write(TreeWizUtility.getNavHideSaveButtonJs(!(canUpdate)));
	//-----------------------------------------------------------------------------------
	
	editForm.addSeparator(ref.convertLiteral("form.wiz_contracting_authority.header.notice.name.address.and.contact.point"));
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameOrganizationTitle, EPASSQPretty.UQ( bean.getFieldValueOrganizationTitle(), ref),
						30,300, canUpdate);
	inputCTRL.setRequired(true);
	
	StringBuffer sbf = new StringBuffer();
	sbf.append("_validateRequiredField(this,").append("'").append(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name")).append("'").append(")");
	inputCTRL.setAttribute("ONBLUR", sbf.toString());
	
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name") + Header.REQUIRED_FIELD, inputCTRL);
		
	//-----------------------------------------------------------------------------------	
	
	EPASSInputControl nationalRegistrationNumber = new EPASSInputControl("TEXT", bean.fieldNameNationalRegistrationNumber, EPASSQPretty.UQ( bean.getFieldValueNationalRegistrationNumber(), ref),
					30,100, canUpdate);

	nationalRegistrationNumber.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"), nationalRegistrationNumber);
    				
    //-----------------------------------------------------------------------------------	
    
	EPASSTextAreaControl stdTxt = new EPASSTextAreaControl(bean.fieldNamePostalAddress, EPASSQPretty.UQ( bean.getFieldValuePostalAddress(), ref), 
						EPASSTextAreaControl.DEFAULT_ROWS, EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
	stdTxt.setAttribute("COLS",70);
	stdTxt.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"), stdTxt);
		
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameTown, EPASSQPretty.UQ( bean.getFieldValueTown(), ref),
						30,100, canUpdate);
	
	StringBuffer sbf1 = new StringBuffer();
	sbf1.append("_validateRequiredField(this,").append("'").append(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town")).append("'").append(")");
	inputCTRL.setAttribute("ONBLUR", sbf1.toString() + ";validateOjeuTownField(this)");
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.town") + Header.REQUIRED_FIELD, inputCTRL);
		
	//-----------------------------------------------------------------------------------
	
	String[] availCountryCode = NoticeHelper.getInstance().getAvailableCountryCodesForNotice();
	
	EPASSInputControlInterface country = new EPASSInputSimpleSelect (
												bean.fieldNameCountry,
									            availCountryCode,
									            ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
									            EPASSQPretty.UQ( bean.getFieldValueCountry(), ref) );
	
	country.setAttribute("onClick","if (this.selectedIndex >=0) clearError(this);");
	
	( (EPASSInputSimpleSelect)country ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
	
	( (EPASSInputSimpleSelect)country ).sortByDisplay ( ref.getCollator (), true );
	
	country.setEnabled(canUpdate);
	
	editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.country")+ Header.REQUIRED_FIELD , country );
													
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNamePostalCode, EPASSQPretty.UQ( bean.getFieldValuePostalCode(), ref),
						30,20, canUpdate);
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code") , inputCTRL);
	//-----------------------------------------------------------------------------------
	
	
	EPASSInputCompoundControl ccS = new EPASSInputCompoundControl(ref);
	EPASSInputControl nutCodectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsCode, EPASSQPretty.UQ(bean.getFieldValueNutsCode(), ref), 10, EPASSInputControl.MAXLENGTH_LONG, false);
	nutCodectrl.setAttribute("disabled", true);
	ccS.add(nutCodectrl);
	nutCodectrl.setMonitored(true);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	EPASSInputControl nutNamectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsName, EPASSQPretty.UQ(bean.getFieldValueNutsName(), ref), 30, EPASSInputControl.MAXLENGTH_LONG, false);
	nutNamectrl.setAttribute("disabled", true);
	nutNamectrl.setMonitored(true);
	ccS.add(nutNamectrl);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	if (canUpdate)
		ccS.add(new EPASSInputGenericString(addNutsButton(ref, bean.getFieldValueNutsCode())));
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.nuts"), ref.convertLiteral("form.wiz_contracting_authority.header.nuts") + Header.REQUIRED_FIELD, ccS);		
	
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameContactPoint, EPASSQPretty.UQ( bean.getFieldValueContactPoint(), ref),
						30,300, canUpdate);
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points") , inputCTRL);
		
	//-----------------------------------------------------------------------------------	 
	EPASSInputControl eMailCtrl = new EPASSInputControl("TEXT", bean.fieldNameEMail, EPASSQPretty.UQ( bean.getFieldValueEMail(), ref),
						30,200, canUpdate);
	eMailCtrl.setOnBlurValidation(AttributeDefValidation.EMAIL);		

	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.email")+ Header.REQUIRED_FIELD, eMailCtrl);		
	//-----------------------------------------------------------------------------------
	
	EPASSInputControl phone = new EPASSInputControl("TEXT", bean.fieldNameAddrPhone, EPASSQPretty.UQ( bean.getFieldValueAddrPhone(), ref),
						30,100, canUpdate);
	
	String phoneHarryHelpShort = "  " +  ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.short");	
	
	EPASSImageControl helpButton =  new EPASSImageControl(
			ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
			"showTelephoneHelp()",
			ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
	helpButton.setAttribute("align", "absmiddle");
	String spaceCtrl = "&nbsp;&nbsp;&nbsp;";
	String extendedText = "";
	if( canUpdate ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	phone.setExtendedText( extendedText );
	phone.setAttribute("ONBLUR", "validateOjeuPhoneField(this, 'P')" );
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone") , phone);
		
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameAddrFax, EPASSQPretty.UQ( bean.getFieldValueAddrFax(), ref),
						30,100, canUpdate);
	
	extendedText = "";
	if( canUpdate ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	inputCTRL.setExtendedText( extendedText );
	inputCTRL.setAttribute("ONBLUR", "validateOjeuPhoneField(this,'F')" );
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax") , inputCTRL);
	
	//-----------------------------------------------------------------------------------
	
	EPASSInputControl generalAddressURL = new EPASSInputControl("TEXT", bean.fieldNameURL, EPASSQPretty.UQ( bean.getFieldValueURL(), ref),
						30,200, canUpdate);

	generalAddressURL.setAttribute("ONBLUR", "validateOjeuUrlField(this)" );
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority")+ Header.REQUIRED_FIELD , generalAddressURL);
	
	//-----------------------------------------------------------------------------------	
		
	EPASSInputControl buyerProfileURL = new EPASSInputControl("TEXT", bean.fieldNameAddressOfBuyerProfile, EPASSQPretty.UQ( bean.getFieldValueAddressOfBuyerProfile(), ref),
						30,200, canUpdate);

	buyerProfileURL.setAttribute("ONBLUR", "validateOjeuUrlField(this)" );
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile") , buyerProfileURL);

	
	if( canUpdate ) 
	{
		EPASSInputButton saveButton = EPASSInputButton.createButton("button", "cacSave", ref.convertLiteral("form.wiz_object_of_contract.btn.save"), "doSave();");
		editForm.addButton(saveButton);
		if (bean.getContactStruct().getId() == null) {
			EPASSInputButton saveAddNextButton = EPASSInputButton.createButton("button", "cacSaveAddNext", ref.convertLiteral("form.wiz_object_of_contract.btn.save_add_next"), "doSaveAddNext();");
			editForm.addButton(saveAddNextButton);
		}
	}
	editForm.addCloseButton("cacClose","javascript:onClose();");
	
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION, "" + EPASSJSPActions.DEFAULT_VIEW);
	editForm.addHidden( bean.fieldNameId, bean.getFieldValueId() );
	editForm.addHidden("sequence", bean.getFieldValueSequence());
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY", "");
	editForm.addHidden("isPopup" ,"true");
	// END HIDDEN FIELDS

	// End Table Form===========================================================
	Object actionBarButtons = toolbarItems.toString();
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setUserInputClass("OJEU_FORM_INPUT");
	editForm.setAddSeparatorColumn(false);
	editForm.setAddSizerTDs(false);
%>

<%!

public String addNutsButton(EPASSReferences ref, String nuts) throws EPASSApplicationException {

	SearchManager nutsSearchManager = new SearchManager(ObjectType.NUTS.getIntegerValue(), ref.getUserPath() + SearchManager.TREE_FRAMES_SEARCH_FORM,
			SearchManager.TREE_SEARCH_FORM, JSP.COMPOUND_SEARCH_NUTS_LIST_PAGE);
	nutsSearchManager.setCachedSearchId(SearchManager.BASIC_NUTS_SEARCH);
	EPASSQueryContext context = new EPASSQueryContext();
	context.setContext(FieldInfoProvider.ORG, ref.getOrgKey());
	nutsSearchManager.setQueryContext(ref, SearchManager.QUERY_CONTEXT + SearchManager.BASIC_NUTS_SEARCH, context);
	nutsSearchManager.setCustomParameter(SearchManager.DISPATCH_COMPOUND_QUERY, "2YvyVnutsYvyVfalseYvyVtrue");
	nutsSearchManager.setCustomParameter(SearchManager.MULTISELECT_IN_RESULT_PAGE, new Boolean(false));
	if (nuts != null) {
		nutsSearchManager.setCustomParameter(SearchForm.SEARCH_LIST_CODES, nuts);
	}
	return nutsSearchManager.getStandAloneButton(ref);
}

%>


	<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>

<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<%
	//old if( bean.isUpdateTree() )
    if( !ref.isErrorMessage() )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>


<SCRIPT type="text/javascript">
var NAV_LIST='';
var NAV_DEP = '<%=ContextCodes.EVENT%>';
var isNavBlocked = false;


	function selectType()
	{
	}
	
	function resetHiddens()
	{
	}
	
	function doSave()
	{
		clearError(document.<%= formName%>.<%= bean.fieldNameNutsCode%>);
		if( ! validateData() )
		{
			document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_NEW%>';
			return false;
		}
		document.<%= formName%>.IS_FORM_DIRTY.value = 'false';
		document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_NEW%>';
		document.<%= formName%>.submit();	
	}

	function doSaveAddNext()
	{
		clearError(document.<%= formName%>.<%= bean.fieldNameNutsCode%>);
		if( ! validateData() )
		{
			document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_CREATE_NEW%>';
			return false;
		}
		document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_CREATE_NEW%>';
		document.<%= formName%>.submit();	
	}
	
	function onClose(){
		
		if(<%= editForm.getIsFormDirtyJS()%> 
		
					|| document.<%= formName%>.IS_FORM_DIRTY.value == 'true' ) 
		  {
			//PR#76718# Giving message any time user clicks on close button
	        if( confirm( '<esapi:js><%=  ref.convertLiteral("Form_Dirty")%></esapi:js>' ) ) 
	        {
	             top.window.close();
	        } 
	        else
	        {
	             return false;
	        }
		}
		else 
		{
	       top.window.close();
		}

	}
	
    /**
     *
     * @return
     */
	function onClickSaveForm() 
	{	
		if (validateData())
		document.<%=formName %>.submit();
	}
	//-----------------------------------------------------------------------------------
	//This function is called to refresh the page when the attributes list page closes
	function refreshWithNewAttributes(){
		NAV_Reload(this);
	}
	//-----------------------------------------------------------------------------------


	function validateData()
	{

		if (! validate(document.<%=formName%>))
		{
        	return false;
        }
		return true;
	}
	
	function validateOjeuPhoneField(field, flag){
		isErrorOccured=false;
		clearError(field);
		
		var theString = field.value;

		if(theString.length == 0){
			return true;
		}
		var errMsg;
		if (flag == 'P'){
			 errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidPhoneFormat")%>";
		}
		else {
			errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidFaxFormat")%>";
		}

		if (!isOjeuPhone(theString)){
			return  _validationFailure(field, errMsg);
		}

		return true;
	}
	
	var OJEU_PHONE_REGEX = new Array(
	  "^(\\+\\d{1,3}\\s\\d+(\\-\\d+)*((\\s)?/(\\s)?(\\+\\d{1,3}\\s)?\\d+(\\-\\d+)*)*)$");
	
	function isOjeuPhone(str){
		return _matchFormat(OJEU_PHONE_REGEX, isOjeuPhone.arguments);
	}
	
	
	function validateOjeuTownField(field){
		isErrorOccured=false;
		clearError(field);
		
		var theString = field.value;

		if(theString.length == 0){
			return true;
		}
		var errMsg;
		errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidTownFormat")%>";

		if (!isOjeuTown(theString)){
			return  _validationFailure(field, errMsg);
		}

		return true;
	}
	
	var OJEU_TOWN_REGEX = new Array(
	  "[^\\n\\r]*[^\\W\\d_][^\\n\\r]*");
	
	function isOjeuTown(str){
		return _matchFormat(OJEU_TOWN_REGEX, isOjeuTown.arguments);
	}
	
	function validateOjeuUrlField(field){
		isErrorOccured=false;
		clearError(field);
		
		var theString = field.value;

		if(theString.length == 0){
			return true;
		}
		var errMsg;
		errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidUrlFormat")%>";

		if (!isOjeuUrl(theString)){
			return  _validationFailure(field, errMsg);
		}

		return true;
	}
	
	var OJEU_URL_REGEX = new Array(
	  "(((http|HTTP|https|HTTPS|ftp|FTP|ftps|FTPS|sftp|SFTP)://)|((w|W){3}(\\d)?\\.))[\\w\\?!\\./:;,\\-_=#+*%@&quot;\\(\\)&amp;]+");
	
	function isOjeuUrl(str){
		return _matchFormat(OJEU_URL_REGEX, isOjeuUrl.arguments);
	}
	

	function checkRequiredField( field, message ) 
	{
		clearError(field);
		if ( typeof field.length != "undefined" ) 
		{
			for ( var i = 0; i < field.length; i++ ) 
			{
				if ( false == EPASSText.checkRequired(field[i], message) ) 
				{
					return false;
				}
			}
		}
		else if ( EPASSText.getValue(field) == "" ) 
		{
			showError(field,message);
			field.value="";		
			return false;
		}
		return true;
	}
	
	function setCpvDirty( oldValue, newValue)
	{		
			if( oldValue != newValue)
			{
				document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
			}	
	}
	
	function refresh(){
		document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.REFRESH_PAGE%>';	
		document.<%= formName%>.submit();

	}
	
	
	var isNavBlocked = false;
	
	function NAV_HandleEvent(var1, var2)
	{		
		if( var1=='selectCpvVocNuts')
		{
			//alert(var2);
			var tmpArray = new Array();
			tmpArray =  var2.split(";;");

			if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
			{
				setCpvDirty( document.<%= formName%>.<%=bean.fieldNameNutsCode%>.value, tmpArray[1]);		
				document.<%= formName%>.<%=bean.fieldNameNutsId%>.value=tmpArray[0];
				document.<%= formName%>.<%=bean.fieldNameNutsCode%>.value=tmpArray[1];
				document.<%= formName%>.<%=bean.fieldNameNutsName%>.value=tmpArray[2];
				document.<%= formName%>.NUTSCODE.value=tmpArray[1];
				document.<%= formName%>.NUTSNAME.value=tmpArray[2];
			}
			else
			{
				document.<%= formName%>.IS_FORM_DIRTY.value = '';
			}

			return;
		}
		else if( var1 == "<%=EPassTree._sNavigationEvent%>"  )
		{
			if( var1 == "<%= EPassTree._sNavigationEvent%>" && !isNavBlocked ) {
				var splitted  = var2.split( ";" );
		   		var goToDir   = splitted[0];
	   			var goToParam = (splitted.length == 2)? splitted[1]: "";
	
	   			if( goToDir.indexOf( '<%=EPassTree._sTreeNavResetCmd%>' ) == 0 ){
	
	   				if( confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral( "form.wizConfigSchedule.message.reset" ))%>' ) ){
	   					document.<%=formName%>.reset();
	                    <%=editForm.getInitMonitorJS()%>
	                    NAV_Reload(this);
	                    document.<%=formName%>.<%=EPASSJSPActions.ACTION%>.value='<%=EPASSJSPActions.DEFAULT_VIEW%>';
	                    document.<%=formName %>.submit();
		        	}
	   			}
		        else if( goToDir.indexOf( '<%=EPassTree._sTreeNavCloseCmd%>' ) == 0 ){
	   					document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value =
																	 '<%=EPassTree._sTreeNavCloseCmd%>';
	   					doSave();
		   		}else if (<%= editForm.getIsFormDirtyJS() %> 
				   			|| var2 == "<%=EPassTree._sTreeNavSaveCmd%>" 
			   				|| document.<%=formName%>.IS_FORM_DIRTY.value == 'true')
					{	
	        			if (var2 == "<%=EPassTree._sTreeNavSaveCmd%>" ||  confirm( '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizConfig.message.save"))%>' ) )
	        			{        		
	        				document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
	
	        				doSave();
	
						}
	       				else
	       				{       				
							document.<%=formName%>.reset();
		                	<%=editForm.getInitMonitorJS()%>
		                	NAV_FireEvent( top, '<%=EPassTree._sNavigationEvent%>', var2 );
						}
					}
					else
					{					
	 	             if( goToDir.indexOf( '<%=EPassTree._sTreeNavBackCmd%>' ) == 0
	                       ||
	                       goToDir.indexOf( '<%=EPassTree._sTreeNavNextCmd%>' ) == 0
	                     ) {
	                       <%=EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
	                   	} else {
	                       <%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
	                   	}
	    					
					}
			}
		}
	}


	function saveNotice()
	{
	if ( checkSelectionVer_2 () )
		{	
	    document.<%=formName%>.action = "ojeu/jsp/list_notice.jsp?jspAction=5";

		document.<%=formName%>.submit();
		}
		}
		
	
	
	function initializeFields()
	{

	}
	
    function showTelephoneHelp()
    { 
       	  var helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.detail"))%>"; 
       	  //PR63022 fix start ->
       	  var close = '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizrfxstart.button.close"))%>'; 
       	  //PR63022 fix suspend <-
          var url = "<%= ref.encodeURLwUP( "blank.html?") %>";
	   	  var helpReport = window.open(url,'','height=360,width=450');
		  helpReport.document.write('<title>Number Format Help</title></head><body bgcolor="#FFFFE1"><form><font style="font-family:arial;font-size:12px;">');
		  helpReport.document.write( helpMessage ); 
		  //helpReport.document.write(unescape(helpMessage.replace(/\+/g, " ")).replace("<","&lt;"));
		  //PR63022 fix resume ->
		  helpReport.document.write('</font><p><center><input type="button" value="'+ close +'" onclick="self.close()"></p>');
		  //PR63022 fix end <-
		  helpReport.document.write('</form></body></html>'); 
    }
	
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

// Function to add a custom even listener to listen to changes to an Emptoris multi-select
// input control.
 //FIXME- Hardcoding the element id??
		 
 $(document).ready(function(){	
	  NAV_FireEvent(top,'NAV_HandleQuery_wiz_notice_tree','','NAV_HandleQuery_wiz_notice_tree');
	});
 
</SCRIPT>
</HEAD>



<body onload="init();initializeFields();resetHiddens();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="0" rightmargin="10" topmargin="0" leftmargin="0">
<%popupImage = ref.getUserPath()+Image.CONTRACTING_AUTHORITY_ADDITIONAL_CONTACTS;%>
<%@ include file="../../include/inc_popup_top.inc" %>

<% //Will print the error message, if one exist. Uses a stylesheet format
System.out.println(ref.isErrorMessage());
System.out.println(ref.getRawMessage());%>
<%

%>

<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<TR>
  	<TD>
		<%		
		if ( ref.getMessage() != null && ref.getMessage() != "" )
		{
			System.out.println(ref.getMessage());
			out.println( ref.getMessage() );
			ref.sessionTracker.setValue(ref.req, "dataSaved", "");
		}

		if ( ref.getSaveMessage() != null && ref.getSaveMessage() != "" )
		{
			out.println( ref.getSaveMessage() );
			ref.setSaveMessage(false);
		}
		%>
  	</TD>
</TR>

<TR>
  	<TD>
	<%= editForm%>
  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
