<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2016. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.CorrigendumContractingAuthorityPageBean" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.*" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.helper.NoticeHelper"%>
<%@ page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@ page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="com.avinamart.Utility.Exception.EPASSApplicationException"%>
<%@ page import="com.emptoris.app.ojeu.common.struct.ContactStruct"%>
<%@ include file="../../include/simple_head.inc" %>
<%@ include file="ojeu_email_ctrl.inc" %>
<%@ page import="org.owasp.esapi.ESAPI" %>

<% 
CorrigendumContractingAuthorityPageBean bean = (CorrigendumContractingAuthorityPageBean)
        request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);

	String actionBarTitle = null;
	String treeName = ref.userDataContext.getWizTreeName();
	String statusMsg = null;
	boolean canUpdate = false;
	boolean canUpdateNoticeReferenceNumber = bean.canUpdateNoticeReferenceNumber();
	boolean isEditable = true; 
	actionBarTitle = ref.convertLiteral("form.wiz_contracting_authority.header.notice.title");
	
	EPASSHTMLForm editForm = null;
	final String formName = "corrigendumContractAuthorityForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
				ref.getUserPath() + "ojeu/jsp/wiz_corrigendum_contracting_authority.jsp", true );
    editForm.setPleaseWait(true);

    EPASSImageControl addBtn=null;
	EPASSHTMLSelect inputCTRLSelect = null;
	
	EPASSInputControlInterface icInterface1 = null;	
	EPASSInputControl inputCTRL = null;
	
	editForm.addHidden(bean.fieldNameNutsId,
			bean.getFieldValueNutsId());

	//-------------contracting Authority Starts--------------------
	
	if(bean.getNoticeStatus() == StatusType.submitted || bean.getNoticeStatus() == StatusType.published){

		editForm.addSeparator(ref.convertLiteral("form.wiz_ca.notice.publication.details"));
		EPASSInputCompoundControl ccS = new EPASSInputCompoundControl ( ref );
		
		String onKeyPress="return testIntegerChar(this,event,false)";
		String onBlurPart1Control = "return validateNumberField(this,'','&gt;=','"+OJEUConstants.MIN_NUMBER_PART1+"','&lt;=','"+OJEUConstants.MAX_NUMBER_PART1+"')";
		
		EPASSInputControl noticeReferenceNumberPart1 = new EPASSInputControl("TEXT",bean.fieldNameNoticeReferenceNumberPart1, EPASSQPretty.UQ( bean.getFieldValueNoticeReferenceNumberPart1(), ref));
		
		noticeReferenceNumberPart1.setSize(2);
		noticeReferenceNumberPart1.setMaxLength(4);
		noticeReferenceNumberPart1.setAttribute("ONKEYPRESS",onKeyPress);
		noticeReferenceNumberPart1.setAttribute("ONBLUR",onBlurPart1Control);		
		ccS.add(noticeReferenceNumberPart1);
		ccS.add( new com.avinamart.WebInterface.Utility.HTML.EPASSInputGenericString(" /S ") );

		String onBlurPart2Control = "return validateNumberField(this,'','&gt;=','"+OJEUConstants.MIN_NUMBER_PART2+"','&lt;=','"+OJEUConstants.MAX_NUMBER_PART2+"')";
		EPASSInputControl noticeReferenceNumberPart2= new EPASSInputControl("TEXT",bean.fieldNameNoticeReferenceNumberPart2,bean.getFieldValueNoticeReferenceNumberPart2());
		noticeReferenceNumberPart2.setSize(1);
		noticeReferenceNumberPart2.setMaxLength(3);
		noticeReferenceNumberPart2.setAttribute("ONKEYPRESS",onKeyPress);
		noticeReferenceNumberPart2.setAttribute("ONBLUR",onBlurPart2Control);		
		ccS.add(noticeReferenceNumberPart2);
		ccS.add( new com.avinamart.WebInterface.Utility.HTML.EPASSInputGenericString(" - ") );
		
		String onBlurPart3Control = "return validateNumberField(this,'','&gt;=','"+OJEUConstants.MIN_NUMBER_PART3+"','&lt;=','"+OJEUConstants.MAX_NUMBER_PART3+"')";
		EPASSInputControl noticeReferenceNumberPart3=new EPASSInputControl("TEXT",bean.fieldNameNoticeReferenceNumberPart3,bean.getFieldValueNoticeReferenceNumberPart3());
		noticeReferenceNumberPart3.setSize(3);
		noticeReferenceNumberPart3.setMaxLength(6);
		noticeReferenceNumberPart3.setAttribute("ONKEYPRESS",onKeyPress);
		noticeReferenceNumberPart3.setAttribute("ONBLUR",onBlurPart3Control);

		ccS.add(noticeReferenceNumberPart3);
		ccS.setEnabled(canUpdateNoticeReferenceNumber);
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.reference.number"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.reference.number"), ccS);
		
		EPASSInputControlDateTime inputCtrldatehtml = new EPASSInputControlDateTime( bean.fieldNameDateOfPublication, bean.getFieldValueDateOfPublication(), ref);
		inputCtrldatehtml.setEnabled(canUpdateNoticeReferenceNumber);
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.date.of.publication"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.date.of.publication"), inputCtrldatehtml);
	}
	
	
	//This code will remove the Save button when the page is readonly
    out.write(TreeWizUtility.getNavHideSaveButtonJs(!(canUpdate || canUpdateNoticeReferenceNumber)));
	//-----------------------------------------------------------------------------------
	
	editForm.addSeparator(ref.convertLiteral("form.wiz_contracting_authority.header.notice.name.address.and.contact.point"));
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameOrganizationTitle, EPASSQPretty.UQ( bean.getFieldValueOrganizationTitle(), ref),
						30,300, canUpdate);
	inputCTRL.setRequired(true);
	
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"), inputCTRL);
		
	//-----------------------------------------------------------------------------------	
	
	EPASSInputControl nationalRegistrationNumber = new EPASSInputControl("TEXT", bean.fieldNameNationalRegistrationNumber, EPASSQPretty.UQ( bean.getFieldValueNationalRegistrationNumber(), ref),
					30,100, canUpdate);

	nationalRegistrationNumber.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"), nationalRegistrationNumber);
    				
    //-----------------------------------------------------------------------------------	
    
	EPASSTextAreaControl stdTxt = new EPASSTextAreaControl(bean.fieldNamePostalAddress, EPASSQPretty.UQ( bean.getFieldValuePostalAddress(), ref), 
						EPASSTextAreaControl.DEFAULT_ROWS, EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
	stdTxt.setAttribute("COLS",70);
	stdTxt.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"), stdTxt);
		
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameTown, EPASSQPretty.UQ( bean.getFieldValueTown(), ref),
						30,100, canUpdate);
	
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"), inputCTRL);
		
	//-----------------------------------------------------------------------------------
	
	String[] availCountryCode = NoticeHelper.getInstance().getAvailableCountryCodesForNotice();
	
	EPASSInputControlInterface country = new EPASSInputSimpleSelect (
												bean.fieldNameCountry,
									            availCountryCode,
									            ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
									            EPASSQPretty.UQ( bean.getFieldValueCountry(), ref) );
	
	country.setAttribute("onClick","if (this.selectedIndex >=0) clearError(this);");
	
	( (EPASSInputSimpleSelect)country ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
	
	( (EPASSInputSimpleSelect)country ).sortByDisplay ( ref.getCollator (), true );
	
	country.setEnabled(canUpdate);
	
	editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.country"), country );
													
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNamePostalCode, EPASSQPretty.UQ( bean.getFieldValuePostalCode(), ref),
						30,20, canUpdate);
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code") , inputCTRL);
	//-----------------------------------------------------------------------------------
	
	
	EPASSInputCompoundControl ccS = new EPASSInputCompoundControl(ref);
	EPASSInputControl nutCodectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsCode, EPASSQPretty.UQ(bean.getFieldValueNutsCode(), ref), 10, EPASSInputControl.MAXLENGTH_LONG, false);
	nutCodectrl.setAttribute("disabled", true);
	ccS.add(nutCodectrl);
	nutCodectrl.setMonitored(true);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	EPASSInputControl nutNamectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsName, EPASSQPretty.UQ(bean.getFieldValueNutsName(), ref), 30, EPASSInputControl.MAXLENGTH_LONG, false);
	nutNamectrl.setAttribute("disabled", true);
	nutNamectrl.setMonitored(true);
	ccS.add(nutNamectrl);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.nuts"), ref.convertLiteral("form.wiz_contracting_authority.header.nuts"), ccS);		
	
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameContactPoint, EPASSQPretty.UQ( bean.getFieldValueContactPoint(), ref),
						30,300, canUpdate);
						
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points") , inputCTRL);
		
	//-----------------------------------------------------------------------------------	 
	EPASSInputControl eMailCtrl = new EPASSInputControl("TEXT", bean.fieldNameEMail, EPASSQPretty.UQ( bean.getFieldValueEMail(), ref),
						30,200, canUpdate);
	eMailCtrl.setOnBlurValidation(AttributeDefValidation.EMAIL);		

	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"),
    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"), eMailCtrl);		
	//-----------------------------------------------------------------------------------
	
	EPASSInputControl phone = new EPASSInputControl("TEXT", bean.fieldNameAddrPhone, EPASSQPretty.UQ( bean.getFieldValueAddrPhone(), ref),
						30,100, canUpdate);
	
	String phoneHarryHelpShort = "  " +  ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.short");	
	
	EPASSImageControl helpButton =  new EPASSImageControl(
			ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
			"showTelephoneHelp()",
			ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
	helpButton.setAttribute("align", "absmiddle");
	String spaceCtrl = "&nbsp;&nbsp;&nbsp;";
	String extendedText = "";
	if( canUpdate ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	phone.setExtendedText( extendedText );

	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone") , phone);
		
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameAddrFax, EPASSQPretty.UQ( bean.getFieldValueAddrFax(), ref),
						30,100, canUpdate);
	
	extendedText = "";
	if( canUpdate ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	inputCTRL.setExtendedText( extendedText );
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax") , inputCTRL);
	
	//-----------------------------------------------------------------------------------
	
	EPASSInputControl generalAddressURL = new EPASSInputControl("TEXT", bean.fieldNameURL, EPASSQPretty.UQ( bean.getFieldValueURL(), ref),
						30,200, canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority"), generalAddressURL);
	
	//-----------------------------------------------------------------------------------	
		
	EPASSInputControl buyerProfileURL = new EPASSInputControl("TEXT", bean.fieldNameAddressOfBuyerProfile, EPASSQPretty.UQ( bean.getFieldValueAddressOfBuyerProfile(), ref),
						30,200, canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile") , buyerProfileURL);
	
	
	List<ContactStruct> contactStructs = bean.getContactStructs();
	
	if(contactStructs != null && contactStructs.size() > 0) {
		for(int i = 0; i < contactStructs.size(); i++) {
			ContactStruct contactStruct = (ContactStruct)contactStructs.get(i);
		

		
			editForm.addSeparator(ref.convertLiteral("form.wiz_contracting_authority.header.notice.name.address.and.contact.point"));
			
			//-----------------------------------------------------------------------------------
			
			inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameOrganizationTitle, EPASSQPretty.UQ( contactStruct.getOrganizationTitle(), ref),
								30,300, canUpdate);
			inputCTRL.setRequired(true);
			
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"), inputCTRL);
				
			//-----------------------------------------------------------------------------------	
			
			 nationalRegistrationNumber = new EPASSInputControl("TEXT", bean.fieldNameNationalRegistrationNumber, EPASSQPretty.UQ( contactStruct.getNationalRegistrationNumber(), ref),
							30,100, canUpdate);
		
			nationalRegistrationNumber.setEnabled(canUpdate);
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"),
		    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.national.registration.number"), nationalRegistrationNumber);
		    				
		    //-----------------------------------------------------------------------------------	
		    
			stdTxt = new EPASSTextAreaControl(bean.fieldNamePostalAddress, EPASSQPretty.UQ( contactStruct.getPostalAddress(), ref), 
								EPASSTextAreaControl.DEFAULT_ROWS, EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
			stdTxt.setAttribute("COLS",70);
			stdTxt.setEnabled(canUpdate);
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"),
		    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"), stdTxt);
				
			//-----------------------------------------------------------------------------------
			
			inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameTown, EPASSQPretty.UQ( contactStruct.getTown(), ref),
								30,100, canUpdate);
			
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"), inputCTRL);
				
			//-----------------------------------------------------------------------------------
			
			availCountryCode = NoticeHelper.getInstance().getAvailableCountryCodesForNotice();
			
			country = new EPASSInputSimpleSelect (
														bean.fieldNameCountry,
											            availCountryCode,
											            ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
											            EPASSQPretty.UQ( contactStruct.getCountry(), ref) );
			
			country.setAttribute("onClick","if (this.selectedIndex >=0) clearError(this);");
			
			( (EPASSInputSimpleSelect)country ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
			
			( (EPASSInputSimpleSelect)country ).sortByDisplay ( ref.getCollator (), true );
			
			country.setEnabled(canUpdate);
			
			editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.country"), country );
															
			//-----------------------------------------------------------------------------------
			
			inputCTRL = new EPASSInputControl("TEXT", bean.fieldNamePostalCode, EPASSQPretty.UQ( contactStruct.getPostalCode(), ref),
								30,20, canUpdate);
								
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code") , inputCTRL);
			//-----------------------------------------------------------------------------------
			
			
			ccS = new EPASSInputCompoundControl(ref);
			nutCodectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsCode, EPASSQPretty.UQ(contactStruct.getNutsCode(), ref), 10, EPASSInputControl.MAXLENGTH_LONG, false);
			nutCodectrl.setAttribute("disabled", true);
			ccS.add(nutCodectrl);
			nutCodectrl.setMonitored(true);
			ccS.add(new EPASSInputGenericString("&nbsp;" ));
			nutNamectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsName, EPASSQPretty.UQ(contactStruct.getNutsName(), ref), 30, EPASSInputControl.MAXLENGTH_LONG, false);
			nutNamectrl.setAttribute("disabled", true);
			nutNamectrl.setMonitored(true);
			ccS.add(nutNamectrl);
			ccS.add(new EPASSInputGenericString("&nbsp;" ));
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.nuts"), ref.convertLiteral("form.wiz_contracting_authority.header.nuts"), ccS);		
			
			
			//-----------------------------------------------------------------------------------
			
			inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameContactPoint, EPASSQPretty.UQ( contactStruct.getContactPoint(), ref),
								30,300, canUpdate);
								
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.contact.points") , inputCTRL);
				
			//-----------------------------------------------------------------------------------	 
			eMailCtrl = new EPASSInputControl("TEXT", bean.fieldNameEMail, EPASSQPretty.UQ( contactStruct.getEMail(), ref),
								30,200, canUpdate);
			eMailCtrl.setOnBlurValidation(AttributeDefValidation.EMAIL);		

			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"),
		    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"), eMailCtrl);		
			//-----------------------------------------------------------------------------------

			phone = new EPASSInputControl("TEXT", bean.fieldNameAddrPhone, EPASSQPretty.UQ( contactStruct.getAddrPhone(), ref),
								30,100, canUpdate);
			
			phoneHarryHelpShort = "  " +  ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.short");	
			
			helpButton =  new EPASSImageControl(
					ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
					"showTelephoneHelp()",
					ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
			helpButton.setAttribute("align", "absmiddle");
			spaceCtrl = "&nbsp;&nbsp;&nbsp;";
			extendedText = "";
			if( canUpdate ){
				extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
			}
			phone.setExtendedText( extendedText );

			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone") , phone);
				
			//-----------------------------------------------------------------------------------
			
			inputCTRL = new EPASSInputControl("TEXT", bean.fieldNameAddrFax, EPASSQPretty.UQ( contactStruct.getAddrFax(), ref),
								30,100, canUpdate);
			
			extendedText = "";
			if( canUpdate ){
				extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
			}
			inputCTRL.setExtendedText( extendedText );
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax") , inputCTRL);
			
			//-----------------------------------------------------------------------------------
			
			generalAddressURL = new EPASSInputControl("TEXT", bean.fieldNameURL, EPASSQPretty.UQ( contactStruct.getUrl(), ref),
								30,200, canUpdate);
				
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.general.address.of.the.contracting.authority"), generalAddressURL);
			
			//-----------------------------------------------------------------------------------	
				
			buyerProfileURL = new EPASSInputControl("TEXT", bean.fieldNameAddressOfBuyerProfile, EPASSQPretty.UQ( contactStruct.getAddressOfBuyerProfile(), ref),
								30,200, canUpdate);
			editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile"),
				ref.convertLiteral("form.wiz_contracting_authority.header.notice.address.buyer.profile") , buyerProfileURL);
		
		}
	}

	//-----------------------------------------------------------------------------------
	
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + bean.getNextAction());
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY", "");
	// END HIDDEN FIELDS

	// End Table Form===========================================================
	Object actionBarButtons = toolbarItems.toString();
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setUserInputClass("OJEU_FORM_INPUT");
	editForm.setAddSeparatorColumn(false);
	editForm.setAddSizerTDs(false);
%>


	<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>

<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<%
    if( !ref.isErrorMessage() )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>


<SCRIPT>
var NAV_LIST='';
var NAV_DEP = '<%=ContextCodes.EVENT%>';
var isNavBlocked = false;


	function resetHiddens()
	{
	}
	

    /**
     *
     * @return
     */
	function onClickSaveForm() 
	{
		document.<%=formName %>.submit();
	}
	//-----------------------------------------------------------------------------------
	//This function is called to refresh the page when the attributes list page closes
	function refreshWithNewAttributes(){
		NAV_Reload(this);
	}
	//-----------------------------------------------------------------------------------


	function validateData()
	{
		if (!validateEMailField(document.<%=formName%>.<%=bean.fieldNameEMail%>)) {
			return false;
		}
		return true;
	}

	function setCpvDirty( oldValue, newValue)
	{		
			if( oldValue != newValue)
			{
				document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
			}	
	}
	
	function refresh(){
		document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.REFRESH_PAGE%>';	
		document.<%= formName%>.submit();
	}
	
	function NAV_HandleEvent(var1, var2)
	{		
		if( var1=='selectCpvVocNuts')
		{
			//alert(var2);
			var tmpArray = new Array();
			tmpArray =  var2.split(";;");

			if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
			{
				setCpvDirty( document.<%= formName%>.<%=bean.fieldNameNutsCode%>.value, tmpArray[1]);		
				document.<%= formName%>.<%=bean.fieldNameNutsId%>.value=tmpArray[0];
				document.<%= formName%>.<%=bean.fieldNameNutsCode%>.value=tmpArray[1];
				document.<%= formName%>.<%=bean.fieldNameNutsName%>.value=tmpArray[2];
			}
			else
			{
				document.<%= formName%>.IS_FORM_DIRTY.value = '';
			}

			return;
		}
		else if( var1 == "<%=EPassTree._sNavigationEvent%>"  )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
   			var goToParam = (splitted.length == 2)? splitted[1]: "";

   			if( goToDir.indexOf( '<%=EPassTree._sTreeNavResetCmd%>' ) == 0 ){

   				if( confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral( "form.wizConfigSchedule.message.reset" ))%>' ) ){
   					document.<%=formName%>.reset();
                    <%=editForm.getInitMonitorJS()%>
                    NAV_Reload(this);
                    document.<%=formName%>.<%=EPASSJSPActions.ACTION%>.value='<%=EPASSJSPActions.DEFAULT_VIEW%>';
                    document.<%=formName %>.submit();
	        	}
   			}
	        else if( goToDir.indexOf( '<%=EPassTree._sTreeNavCloseCmd%>' ) == 0 ){
   					document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value =
																 '<%=EPassTree._sTreeNavCloseCmd%>';
   					onClickSaveForm();
	   		}else if (<%= editForm.getIsFormDirtyJS() %> 
			   			|| var2 == "<%=EPassTree._sTreeNavSaveCmd%>" 
		   				|| document.<%=formName%>.IS_FORM_DIRTY.value == 'true')
				{	
        			if (var2 == "<%=EPassTree._sTreeNavSaveCmd%>" ||  confirm( '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizConfig.message.save"))%>' ) )
        			{        		
        				document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
						if(checkNoticeReferenceNumber() && isSavingForPublication())
						{
							onClickSaveForm();
						}
					}
       				else
       				{       				
						document.<%=formName%>.reset();
	                	<%=editForm.getInitMonitorJS()%>
	                	NAV_FireEvent( top, '<%=EPassTree._sNavigationEvent%>', var2 );
					}
				}
				else
				{					
 	             if( goToDir.indexOf( '<%=EPassTree._sTreeNavBackCmd%>' ) == 0
                       ||
                       goToDir.indexOf( '<%=EPassTree._sTreeNavNextCmd%>' ) == 0
                     ) {
                       <%=EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
                   	} else {
                       <%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
                   	}
    					
				}

		}
	}

	function isSavingForPublication()
	{
		//alert(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value == "");
        if(<%= bean.getNoticeStatus() == StatusType.submitted %>)
        {

	        if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>.value == "")
                
            {
	        	//alert('<%= ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing")%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}else if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>.value == ""){
        		showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>,'<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}else if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>.value == ""){
        		showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>,'<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}else if(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value == ""){
        		showError(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.reference.no.or.date.missing"))%>');
	        	return false;
        	}
        	else if(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>.value != ""
	                && document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>.value != ""
	                && document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>.value != ""
	                && document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value != "")
	        {
	    	    var confirmString = '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.changed.to.published")) %>';
				return confirm ( confirmString );
	        }else
		    {
		        return true;
	        }
        }else if(<%= bean.getNoticeStatus() == StatusType.published %>)
        {
	        if(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>.value == "")
        	{
	        	//alert('<%= ref.convertLiteral("form.wiz_ca.please.enter.publication.date")%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameDateOfPublication%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.please.enter.publication.date"))%>');
	        	return false;
        	}else
           	{
               	return true;
           	}
			
        }else
        {
            return true;
        }
		
	}

	function checkNoticeReferenceNumber()
	{
        if(<%= bean.getNoticeStatus() == StatusType.submitted || bean.getNoticeStatus() == StatusType.published %>)
        {
			var noticeReferenceNumberPart1 = document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>.value;
			var noticeReferenceNumberPart2 = document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart2%>.value;
			var noticeReferenceNumberPart3 = document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart3%>.value;
			
	        if(!((noticeReferenceNumberPart1 >= 2000 && noticeReferenceNumberPart1 <= 2099) 
	    	        && (noticeReferenceNumberPart2 >= 1 && noticeReferenceNumberPart2 <= 999)
	    	        && (noticeReferenceNumberPart3 >= 1 && noticeReferenceNumberPart3 <= 999999)))
        	{
	        	//alert('<%= ref.convertLiteral("form.wiz_ca.notice.number.is.invalid")%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.number.is.invalid"))%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.number.is.invalid"))%>');
	        	showError(document.<%=formName%>.<%=bean.fieldNameNoticeReferenceNumberPart1%>,'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_ca.notice.number.is.invalid"))%>');
	        	return false;
        	}
			
        }

        return true;
	}
	

	function saveNotice()
	{
	if ( checkSelectionVer_2 () )
		{	
	    document.<%=formName%>.action = "ojeu/jsp/list_notice.jsp?jspAction=5";

		document.<%=formName%>.submit();
		}
		}
		
	function initializeFields()
	{
	}	
	

	
    function showTelephoneHelp()
    { 
       	  var helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.detail"))%>"; 
       	  //PR63022 fix start ->
       	  var close = '<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizrfxstart.button.close"))%>'; 
       	  //PR63022 fix suspend <-
          var url = "<%= ref.encodeURLwUP( "blank.html?") %>";
	   	  var helpReport = window.open(url,'','height=360,width=450');
		  helpReport.document.write('<title>Number Format Help</title></head><body bgcolor="#FFFFE1"><form><font style="font-family:arial;font-size:12px;">');
		  helpReport.document.write( helpMessage ); 
		  //helpReport.document.write(unescape(helpMessage.replace(/\+/g, " ")).replace("<","&lt;"));
		  //PR63022 fix resume ->
		  helpReport.document.write('</font><p><center><input type="button" value="'+ close +'" onclick="self.close()"></p>');
		  //PR63022 fix end <-
		  helpReport.document.write('</form></body></html>'); 
    }
	
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

// Function to add a custom even listener to listen to changes to an Emptoris multi-select
// input control.
 //FIXME- Hardcoding the element id??
 
</SCRIPT>
</HEAD>



<body onload="init();initializeFields();resetHiddens();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="0" rightmargin="10" topmargin="0" leftmargin="0">

<%@ include file="../../include/inc_actionbar_spacer.inc" %>
<% //Will print the error message, if one exist. Uses a stylesheet format
System.out.println(ref.isErrorMessage());
System.out.println(ref.getRawMessage());%>
<%

%>
<%@ include file="../../include/inc_action_bar.inc" %>
<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<TR>
  	<TD>
		<%		
		if ( ref.getMessage() != null && ref.getMessage() != "" )
		{
			System.out.println(ref.getMessage());
			out.println( ref.getMessage() );
			ref.sessionTracker.setValue(ref.req, "dataSaved", "");
		}
		%>
  	</TD>
</TR>

<TR>
  	<TD>
	<%= editForm%>
  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
