<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page
	import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean,com.emptoris.app.ojeu.webClient.action.ObjectOfContractUIBean"%>
<%@page import="com.avinamart.WebInterface.Constants.Javascript"%>
<%@page
	import="com.avinamart.WebInterface.Constants.Dir,java.rmi.RemoteException"%>
<%@page import="com.avinamart.WebInterface.EPASSReferences"%>
<%@page import="com.avinamart.WebInterface.Constants.*"%>
<%@page
	import="com.avinamart.WebInterface.*,com.emptoris.app.ojeu.dataAccess.internal.bean.*"%>
<%@page
	import="com.avinamart.WebInterface.Utility.HTML.EPASSDHTMLSelect,com.avinamart.Utility.Exception.EPASSApplicationException,com.emptoris.app.ojeu.common.constant.*"%>
<%@page import="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLForm"%>
<%@page
	import="com.avinamart.WebInterface.Utility.HTML.EPASSInputControl,com.avinamart.WebInterface.Utility.HTML.*,com.avinamart.WebInterface.EPASSReferences.*"%>
<%@page import="com.avinamart.WebInterface.Utility.HTML.EPASSQPretty"%>
<%@page
	import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl,com.emptoris.app.ojeu.common.struct.ObjectOfContractStruct,com.emptoris.framework.currency.common.CurrencyUtility,com.emptoris.app.ojeu.dataAccess.internal.bean.DurationUnit"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@page import="com.emptoris.base.constant.ObjectType"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@page import="com.emptoris.app.ojeu.common.struct.VOCCPVMap"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.Set"%>
<%@page import="java.text.DecimalFormat"%>
<%@page import="com.avinamart.Utility.EPASSLocales"%>
<%@page import="com.avinamart.Utility.I18NFormats"%>
<%@ page import="org.owasp.esapi.ESAPI" %>

<%@ include file="../../include/simple_head.inc"%>

<%!
	String statusMsg = null;
	String TEXT_CONTROL = "text";
	String PRO_VOCABULARY = "ojeu.form.detail.lot.title.procu_vocabulary";
	String MAIN_VOCABULARY = "ojeu.form.detail.lot.hdr.main_vocabulary";
	String SUPP_VOCABULARY = "ojeu.form.detail.lot.hdr.supp_vocabulary";
	String VOC_DESC = "ojeu.form.detail.lot.hdr.voc_description";

	//Method to print a button%>
<%
	String actionBarTitle = ref.convertLiteral("form.wiz_object_of_contract.header");
	ObjectOfContractUIBean bean = (ObjectOfContractUIBean) request
			.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	Object actionBarButtons = toolbarItems;
	final String formName = bean.FORM_NAME;
	
	bean.getOocForm().addHidden( "_uda_id", "" + bean.getStruct().getId() );
	bean.getOocForm().addHidden("NUTSCODE",
			bean.getStruct().getNutsId()); 
	bean.getOocForm().addHidden("NUTS", bean.getStruct().getNutSCode());
	bean.getOocForm().addHidden("NUTSNAME",
			bean.getStruct().getNutsName());
	bean.getOocForm().addHidden("CPVCODE",
			bean.getStruct().getMainCPVCode());
	bean.getOocForm().addHidden("CPVDESC",
			bean.getStruct().getMainCPVDesc());
	bean.getOocForm().addHidden("MAIN_VOC_CODES",
			bean.getStruct().getMainVOCCodes());
	bean.getOocForm().addHidden("MAIN_VOC_DESC",
			bean.getStruct().getMainVOCDesc());
	bean.getOocForm().addHidden("ADDITIONAL_CPV_CODES",
			bean.getStruct().getAddCPVCode());
	bean.getOocForm().addHidden("ADDITIONAL_CPV_DESC",
			bean.getStruct().getAddCPVDesc());
	bean.getOocForm().addHidden("ADDITIONAL_VOC_CODE",
			bean.getStruct().getAddVOCCodes());
	bean.getOocForm().addHidden("ADDITIONAL_VOC_DESC",
			bean.getStruct().getAddVOCDesc());
	bean.getOocForm().addHidden("NO_ADDITIONAL_CPV_SELECTED",
			bean.getStruct().getAddCPVCode());
	bean.getOocForm().addHidden("CPVVOCCODES", "");
	bean.getOocForm().addHidden(ObjectOfContractStruct.NUTS_ID,
			bean.getStruct().getNutsId());
	bean.getOocForm().addHidden("IS_FORM_DIRTY",ref.req.getParameter("IS_FORM_DIRTY")); 
	
	bean
			.getOocForm()
			.addHidden(
					EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ADDITIONAL_CPV_CODES),
					bean.getStruct().getAddCPVCode());
	bean
			.getOocForm()
			.addHidden(
					EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ADDITIONAL_CPV_DESC),
					bean.getStruct().getAddCPVDesc());
	bean
			.getOocForm()
			.addHidden(
					EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ADDITIONAL_VOC_CODE),
					bean.getStruct().getAddVOCCodes());
	bean
			.getOocForm()
			.addHidden(
					EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ADDITIONAL_VOC_DESC),
					bean.getStruct().getAddVOCDesc());

	boolean update = bean.canUpdateOOC();
	
	//Based on the user's preferences get the character that serves as grouping separator for number and currency fields
	EPASSLocales userLocale = ref.sessionService.getEPASSLocales();
	DecimalFormat decimalFormat = I18NFormats.getDecimalFormat(userLocale);
	String groupSeparator = new Character(decimalFormat.getDecimalFormatSymbols().getGroupingSeparator()).toString();
	if( ".".equals(groupSeparator) ) {
		groupSeparator = "\\"+groupSeparator;
	}
%>

<%@page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@page import="com.emptoris.base.constant.ObjectType"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%><html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS
					+ Javascript.EPASS_CHECKBOX%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS
					+ Javascript.EPASS_FORMVALIDATION%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS
							+ Javascript.EPASS_SELECT%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js"%>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js"%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript"
	SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js"%>'></SCRIPT>
<script type="text/javascript">
function doFormSave(){
	isNavBlocked = true;
	document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_NEW%>';
	document.<%= formName%>.submit();
}

function refresh(){
	document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.REFRESH_PAGE%>';
	document.<%= formName%>.submit();

}

function hideTimeTable(){
	var isOp=document.getElementById('<esapi:js><%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTIONS_AVAILABLE) %></esapi:js>');
	alert(isOp.value);
	
}

function setFormDirtyOnRBtnChange( oldValue )
{
	if( typeof(oldValue) == 'undefined')
	{
		document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
	}
}

function onWorksChangeSetDirty(){	
	setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.WORK_SUB_TYPE) %></esapi:js>'] );	
}

function onSuppliesChangeSetDirty(){
	setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.SUPPLIES_SUB_TYPE) %></esapi:js>'] );
}

function onFmwkChangeSetDirty(){
	setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS_TYPE) %></esapi:js>'] );
}

function onGpaChangeSetDirty(){
	setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.COVERED_BY_GPA) %></esapi:js>'] );
}
function onVariantChangeSetDirty(){
	setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.VARIANTS_ACCEPTED) %></esapi:js>'] );
}


function setCpvDirty( oldValue, newValue)
{	
		if( oldValue != newValue)
		{
			document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
		}	
}

var isNavBlocked = false;
function NAV_HandleEvent(var1, var2)
{
	if( var1=='selectCpvVocNuts')
	{
		//alert(var2);
		var tmpArray = new Array();
		tmpArray =  var2.split(";;");
		if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
		{
			setCpvDirty( document.<%= formName%>.NUTS.value, tmpArray[1]);		
			document.<%= formName%>.NUTSCODE.value=tmpArray[0];
			document.<%= formName%>.NUTS.value=tmpArray[1];
			document.<%= formName%>.NUTSNAME.value=tmpArray[2];
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.BASIC_CPV_SEARCH%>') != -1){
			setCpvDirty( document.<%= formName%>.CPVCODE.value, tmpArray[1]);
			document.<%= formName%>.CPVCODE.value=tmpArray[1];
			document.<%= formName%>.CPVDESC.value=tmpArray[2];	
		}
		else if (tmpArray[3].indexOf('<%= SearchManager.BASIC_VOC_SEARCH%>')!=-1)
		{
			setCpvDirty( document.<%= formName%>.MAIN_VOC_CODES.value, tmpArray[1]);
			document.<%= formName%>.MAIN_VOC_CODES.value= tmpArray[1];
			document.<%= formName%>.MAIN_VOC_DESC.value= tmpArray[2];
			var oldValue = document.<%= formName%>.CPVDESC.value;
			 var voccode=tmpArray[3].substring(0,tmpArray[3].indexOf('_'));
			 if(voccode!=''){
			 }
			 document.<%= formName%>.CPVVOCCODES.value=voccode;
		
		}
		else if (tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_VOC_SEARCH%>')!=-1)
		{
			document.<%= formName%>.ADDITIONAL_VOC_CODE.value= tmpArray[1];
			document.<%= formName%>.ADDITIONAL_VOC_DESC.value= tmpArray[2];
			
			//if(document.<%--formName--%>.ADDITIONAL_VOC_CODE.value!=''){

			var oldValue = document.<%= formName%>.CPVDESC.value;
			
			
			 var voccode=tmpArray[3].substring(0,tmpArray[3].indexOf('_'));
			 if(voccode!=''){
				 
			 }
			 document.<%= formName%>.CPVVOCCODES.value=voccode;
			 var vocFieldName = '<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ADDITIONAL_VOC_CODE) %></esapi:js>';
			vocFieldName += voccode
			var oldVocValue = eval( 'document.<esapi:js><%= formName %></esapi:js>.'+vocFieldName+'.value');			
			setCpvDirty( oldVocValue, tmpArray[1]);
		
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_CPV_SEARCH%>') != -1){
		
			setCpvDirty( document.<%= formName%>.ADDITIONAL_CPV_CODES.value, tmpArray[1]);
	
			if( tmpArray[1].length == 0)
			{
				document.<%= formName%>.NO_ADDITIONAL_CPV_SELECTED.value= 'true';
			}
			document.<%= formName%>.ADDITIONAL_CPV_CODES.value=tmpArray[1];
			document.<%= formName%>.ADDITIONAL_CPV_DESC.value=tmpArray[2];
		}
		else
		{
			document.<%= formName%>.IS_FORM_DIRTY.value = '';
		}
		
		
		refresh();
		return;
	}
	else if(var1=='GET_ITEM_DESC'){
	}

	else if( var1 == "<%= EPassTree._sNavigationEvent%>"  )
	{
		 if( var1 == "<%= EPassTree._sNavigationEvent%>" && !isNavBlocked ) {
	            var splitted  = var2.split( ";" );
	            var goToDir   = splitted[0];
	            var goToParam = (splitted.length == 2)? splitted[1]: "";

	            if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 ) {
	                if( confirm( '<esapi:js><%= ref
									.convertLiteral("form.wizConfigSchedule.message.reset") %></esapi:js>' ) ) {
	                    document.<%= formName%>.reset();
	                    refresh();
	                    <%= bean.getOocForm().getInitMonitorJS()%>
	                }
	            }
	             else if( <%= bean.getOocForm().getIsFormDirtyJS()%> 
	             				|| var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
	             				|| document.<%= formName%>.IS_FORM_DIRTY.value == 'true') {
	                if( validateData( ) ) {
	                    if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
	                                              ||  confirm( '<%= ref.convertLiteral("form.wizConfig.message.save")%>' ) ) {
	                        document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
	                        doFormSave();	                        
	                        
	                    } else {
	                        document.<%= formName%>.reset();
	                        <%= bean.getOocForm().getInitMonitorJS()%>
	                        document.<%= formName%>.IS_FORM_DIRTY.value = '';
	                        NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
	                    }
	                }
	            } else {
	                if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
	                    ||
	                    goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
	                  ) {
	                    <%= EPassTree.getInstance(bean.getRef(),
							bean.getRef().userDataContext.getWizTreeName())
							.getReRenderTreeJS("goToDir", "goToParam")%>
	                } else {
	                    <%= EPassTree.getNotificationEventJSFunctionCall(
							EPassTree._sOnNodeExternalySelectedEvent,
							"goToDir", "goToParam")%>
	                }
	            }
	        }
	}
}

function validateData()
{
	
		var estimatedValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>;
		if(!validateSpecialCharacters(estimatedValue.value)){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.focus();
			return false;
		}
				
		if(!vaildateMaxNumberOfLotsAwdToOneTenderer()){
			return false;
		}
		if(!vaildateContractAuthToAward()){
			return false;
		}
		if(!validateMaxNumberOfLots()){
			return false;
		}
	return true;
}

function validateSpecialCharacters(input){
	var iChars = "!@#$%^&*()+=-[]\\\';/{}|\":<>?";
	for (var i = 0; i < input.length; i++) {
	    if (iChars.indexOf(input.charAt(i)) != -1) {
	        return false;
	    }
	}
	return true;
}

function validateRenewals(){
	var rangeOrEstimatedValue = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_RANGE_OR_ESTIMATED)%>.value;
	
       if ( rangeOrEstimatedValue != '-1')
	          {
                   if (rangeOrEstimatedValue == '1')
	                   {

	                             var estiamteMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.enter_value_for_renewal") %></esapi:js>';

	                             

	                             if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NUM_RENEWALS)%>,estiamteMsg ))

	                             {

	                                      return false;

	                             }
								
	                             	                   }

	                   else if ( rangeOrEstimatedValue == '2')

	                   {

	                             var minValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.range_min_value") %></esapi:js>';

	                             var maxValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.range_max_value") %></esapi:js>';

	                             

	                             var maxGretorThanMinMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.range_max_value_gretor_than_min_value") %></esapi:js>';

	                             if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MIN_RENEWALS)%>,minValueMsg ))

	                             {

	                                      return false;

	                             }

	                             if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>,maxValueMsg ))

	                             {

	                                      return false;

	                             }

	                             var minValue=0;

	                             minValue = parseInt(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MIN_RENEWALS)%>.value);
	                             
	                             var maxValue=0;
	                             clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>);
	                             maxValue = parseInt(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>.value);

	                          

	                             if ( maxValue <= minValue)

	                             {

	                                      showError(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>,maxGretorThanMinMsg);

	                                      return false;

	                             }

	                   }

	                   

	          }

	          

	          return true;

	}

function vaildateEstimatedValue(){
	
	var estimatedValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>;
	var estimatedValueCurrency = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE_CURRENCY)%>;
	if(estimatedValue.value != ''){
		estimatedValueCurrency.disabled = false;
	}
	else{
		estimatedValueCurrency.disabled = true;
	}
	var estiamteMsg = '<%=  ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_estimate"))%>';
	var estimtateCurrMsg = '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_currency_estimate"))%>';
	if (EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>,estiamteMsg ))
	{
		var currency = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE_CURRENCY)%>.value;
		if (currency == '-1')
		{
				alert(estimtateCurrMsg);
				return false;
		}
		return true;
	}
	return false;

	}

	 

function validateOption(){
	var rangeOrEstimatedValue = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTION_RANGE_OR_ESTIMATED)%>.value;
	
       if ( rangeOrEstimatedValue != '-1')
	          {
                   if (rangeOrEstimatedValue == '2')
	                   {

	                             var estiamteMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.enter_value_for_estimate") %></esapi:js>';

	                             var estimtateCurrMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.enter_value_for_currency_estimate") %></esapi:js>';

	                             if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>,estiamteMsg ))

	                             {

	                                      return false;

	                             }

	                             var currency = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.EST_OPT_CURRENCY)%>.value;
	                             clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.EST_OPT_CURRENCY)%>);

	                             if (currency == '-1')

	                             {

	                                                showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.EST_OPT_CURRENCY)%>,estimtateCurrMsg);

	                                                return false;

	                             }

	                   }

	                   else if ( rangeOrEstimatedValue == '1')

	                   {

	                             var minValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.range_min_value") %></esapi:js>';

	                             var maxValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.range_max_value") %></esapi:js>';

	                             var minMaxCurrValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.range_currency_value") %></esapi:js>';

	                             var maxGretorThanMinMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.detail.lot.range_max_value_gretor_than_min_value") %></esapi:js>';

	                             if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>,minValueMsg ))

	                             {

	                                      return false;

	                             }

	                             if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>,maxValueMsg ))

	                             {

	                                      return false;

	                             }
	                             clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_OPT_CURRENCY)%>);

	                             if (document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_OPT_CURRENCY)%>.value== '-1')

	                             {

	                                                showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_OPT_CURRENCY)%>,minMaxCurrValueMsg);

	                                                return false;

	                             }

	                             var minValue = document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.value;

	                             var maxValue = document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.value;
							clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>);
	                             if ( parseFloat(maxValue.replace(/<%=  groupSeparator %>/g,"").replace(/,/g,"")) <= parseFloat(minValue.replace(/<%=  groupSeparator %>/g,"").replace(/,/g,"")))

	                             {

	                                      showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>,maxGretorThanMinMsg);

	                                      return false;

	                             }

	                   }

	                   

	          }

	          

	          return true;

	}

	 


function validateOptionalValue(){
	



    if(typeof document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>!='undefined' && 
       typeof document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%> != 'undefined')
				
           {
		       	 
         	  var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>.selectedIndex;
				if(index==null)
					return true;
          	
                 if(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.value == '' &&

                       document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>[index].value == '-1')

                 {
                     return true

                 }

                 else

                 {
                 	//alert('in validate estimated2');
                       var found = false;
                       clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>);

                       if(  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>[index].value == '-1')                          

                       {

                             found = true;

                             document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.focus();

                       }

                       else if(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.value=='')

                       {

                             found = true;

                             document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.focus();

                       }

                       

                       if(found)

                       {

                    	   showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>,'<%= ref.convertLiteral("form.wiz_object_of_contract.alert_valid_price")%>');

                             return false;

                       }     

                 }                 

           }

	clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>);
	if(
 		   typeof document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%> != 'undefined'&&
            typeof document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%> != 'undefined'){
 	   var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>.selectedIndex;
				    //alert(document.<%--formName--%>.<%--EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)--%>.value);
				    //alert(document.<%--formName--%>.<%--EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)--%>[index].value);
 	   	if(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.value == '' &&
 			   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>[index].value == '-1'&&document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.value=='')
 	   {
      	   //alert('1');
				return true;
     	   }
 	   	else if( document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>[index].value == '-1'||document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.value == ''||document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.value == ''){
 	   	
 	   	 showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>,'<%= ref.convertLiteral("form.wiz_object_of_contract.alert_valid_price")%>');
     	   	return false;
 	   	}
 	   
 	   
 
        
    }
	return true;
}
function validateOptionDuration(){

	
	clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>);
	if(typeof document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>!= 'undefined'&&document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_UNIT)%>!=null){
	{
		var index = document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_UNIT)%>.selectedIndex
if(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.value == '' &&

            document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>[index].value != -1)

{

      

      showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>,'<%= ref.convertLiteral("form.wiz_object_of_contract.alert_duration")%>');

      return false;

}

else if(document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.value != '' &&

        document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_UNIT)%>[index].value == -1)

{                 

	

      showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>,'<%= ref.convertLiteral("form.wiz_object_of_contract.alert_valid_duration")%>');

      return false;                 

}
}
	
}
	return true;
}
function validateNumberOfOperators(){
	
	clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>);

	if(typeof document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>!= 'undefined' &&document.getElementById('<%= ObjectOfContractStruct.NUMBER_OF_OPERATORS_TYPE%>').style.display=='table-row')
	{
		if(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>.value==''){
				showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>,'<esapi:js><%= ref
									.convertLiteral("form.wiz_object_of_contract.noOfOperators.validation.message") %></esapi:js>');
			
		
		return false;
		}
		else{
			return true;
		}
	

		
	}
	else{
		return true;
	}

	
		
}
function showjustiFicationOfFrameWork(){
	 var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION_UNIT)%>.selectedIndex
	
	var durationUnit = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION_UNIT)%>[index].value;
	 var duration=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION)%>.value;
	 var frameworkJust=    document.getElementById('<%= ObjectOfContractStruct.FRAMEWORK_DURATION_JUSTIFICATION%>');   
	
	 if((durationUnit==1&&duration>4)|| (durationUnit==2&&duration>48)){
		 frameworkJust.style.display='table-row';
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION_JUSTIFICATION)%>.disabled=false;
	 }
	 else{
		 frameworkJust.style.display='none';
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION_JUSTIFICATION)%>.disabled=true;
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION_JUSTIFICATION)%>.value="";
	 }
	
}

function showOptionInformation( i){

	setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTIONS_AVAILABLE) %></esapi:js>'] );
	var divInLots=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTIONS_AVAILABLE)%>;
	var optionDescription=   document.getElementById('<%= ObjectOfContractStruct.OPTIONS_DECRIPTION%>');  
	var timeTable=   document.getElementById('<%= ObjectOfContractStruct.PROVISIONAL_UNIT%>');  
	var timeTableSpacer=   document.getElementById('<%= ObjectOfContractStruct.PROVISIONAL_UNIT_SPACER%>');  
	var renewal=document.getElementById('<%= ObjectOfContractStruct.NUM_RENEWALS%>'); 
	var subs=document.getElementById('<%= ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION%>'); 
	 
	if(getCheckedValue(divInLots)=='true'){
		
		optionDescription.style.display='table-row';
		//alert(timeTable);
		timeTable.style.display='table-row';
		timeTableSpacer.style.display='table-row';
		renewal.style.display='table-row';
	document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTIONS_DECRIPTION)%>.disabled=false;
		document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_UNIT)%>.disabled=false;
		document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_VALUE)%>.disabled=false;
		if(i=='1'){	
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.disabled=false;
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>.disabled=false;
			subs.style.display='table-row'; 
		}
	}
	else{
		optionDescription.style.display='none';
		timeTableSpacer.style.display='none';
		timeTable.style.display='none';
		renewal.style.display='none';
		document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTIONS_DECRIPTION)%>.disabled=true;
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTIONS_DECRIPTION)%>.value="";
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_UNIT)%>.disabled=true;
		document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_VALUE)%>.disabled=true;
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_UNIT)%>.value="-1";
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_VALUE)%>.value="";
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_RANGE_OR_ESTIMATED)%>.value="-1";
		 if(i=='1'){	
				subs.style.display='none'; 
				document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.disabled=true;
				document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>.disabled=true;
				document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.value="";
				document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>.value="-1"
			}
		 showRenewals();
			
	}
}
function showLotInformation(){
	
	 setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS) %></esapi:js>'] );
	 var divInLots=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
	 var lotsubmitType=    document.getElementById('<%= ObjectOfContractStruct.LOT_SUBMISSION_TYPE%>'); 
	 var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
		 
	 var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
		
	var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
	var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
	
	var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
	var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
	
	var notes = document.getElementById("infoAboutLots");
	notes.style.display = "";
	var tags = notes.getElementsByTagName("td");
	
	 if(getCheckedValue(divInLots)=='true'){
		 tags[0].innerText = "<%= ref.convertLiteral( "form.wiz_object_of_contract.lotsdivision.yes.informationAboutLots" )%>";
		 enableTendersSubmittedFor[0].disabled  = false;
		 enableTendersSubmittedFor[1].disabled  = false;
		 enableTendersSubmittedFor[2].disabled  = false;
		 isNumLotsToOneTenderer.disabled = false;
		 isContractAuthToAward.disabled = false;
	 }
	 else{
		 tags[0].innerText = "<%= ref.convertLiteral( "form.wiz_object_of_contract.lotsdivision.no.description" )%>";
		 enableTendersSubmittedFor[0].disabled  = true;
		 enableTendersSubmittedFor[1].disabled  = true;
		 enableTendersSubmittedFor[2].disabled  = true;
		 enableTendersSubmittedFor[0].checked = false;
		 enableTendersSubmittedFor[1].checked = false;
		 enableTendersSubmittedFor[2].checked = false;
		 maxNumLotsTenderSubmit.disabled = true;
		 maxNumLotsTenderSubmit.value = "";
		 isNumLotsToOneTenderer.disabled = true;
		 maxNumLotsToOneTenderer.disabled = true;
		 isNumLotsToOneTenderer.checked = false;
		 maxNumLotsToOneTenderer.value = "";
		 isContractAuthToAward.disabled = true;
		 contractAuthToAward.disabled = true;
		 isContractAuthToAward.checked = false;
		 contractAuthToAward.value = "";
	 }
}
function enableMaxNumLotsTextBox(){
	var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName
	.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
	var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName
	.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
	if(enableTendersSubmittedFor[2].checked && !enableTendersSubmittedFor[2].disabled){
		maxNumLotsTenderSubmit.disabled = false;
	}
	else{
		clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>);
		maxNumLotsTenderSubmit.disabled = true;
		maxNumLotsTenderSubmit.value = "";
	}
	
}

function onClickIsMaxNumOfLotsAwardedToOne(){ 
	var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
	var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
	
	if(isNumLotsToOneTenderer.checked){
		maxNumLotsToOneTenderer.disabled = false;
		vaildateMaxNumberOfLotsAwdToOneTenderer();
	}
	else{
		<%-- clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>); --%>
		maxNumLotsToOneTenderer.disabled = true;
		maxNumLotsToOneTenderer.value = "";
	}
	
}

function vaildateMaxNumberOfLotsAwdToOneTenderer(){
	var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
	var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
	if(isNumLotsToOneTenderer.checked){
		if(maxNumLotsToOneTenderer.value==""){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus();
            //return false;									
		}
		else if(maxNumLotsToOneTenderer.value < 0 || maxNumLotsToOneTenderer.value> 1000){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.notinrange.message") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus();
            return false;
		}
		else if(isNaN(maxNumLotsToOneTenderer.value)){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus();
			return false;
		}
	}
	return true;
}

function onClickIsContractAuthToAward(){
	var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
	var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
	if(isContractAuthToAward.checked){
		contractAuthToAward.disabled = false;
		if(!vaildateContractAuthToAward()){
			return false;
		}
	}
	else{
		contractAuthToAward.disabled = true;
		contractAuthToAward.value = "";
	}
}

function vaildateContractAuthToAward(){
	var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
	var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
	if(isContractAuthToAward.checked){
		if(contractAuthToAward.value==""){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>.focus();
            //return false;									
		}
	}
	return true;
}

function validateMaxNumberOfLots(){
	var divInLots=document.<%= formName%>.<%= EPASSFieldName
	.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
	if(getCheckedValue(divInLots)=='true'){
		var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
		var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
		if(typeof(enableTendersSubmittedFor) != 'undefined'){
			if(enableTendersSubmittedFor[2].checked){
				if(maxNumLotsTenderSubmit.value == ""){
					<%-- showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>'); --%>
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>.focus();
		            //return false;
				}
				else if(maxNumLotsTenderSubmit.value < 1 || maxNumLotsTenderSubmit.value > 1000){
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.notinrange.message") %></esapi:js>');
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>.focus();
					return false;	
				}
				else if(isNaN(maxNumLotsTenderSubmit.value)){
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>.focus();
					return false;											
				}
			}
		}
	}
	return true;
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function onClickParticularConditions()

{
     var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MULTIPLE_FRAMEWORK_OPERATORS)%>.selectedIndex
   
	var frameworkoption=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MULTIPLE_FRAMEWORK_OPERATORS)%>[index].value;
      var otherCPCS = document.getElementById('<%= ObjectOfContractStruct.NUMBER_OF_OPERATORS_TYPE%>');
      var numOperator=    document.getElementById('<%= ObjectOfContractStruct.NUMBER_OF_OPERATORS%>');   
   
     if(frameworkoption=='true')
     {
        otherCPCS.style.display = 'table-row';
        numOperator.style.display='table-row';
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>.disabled=false;
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS_TYPE)%>.disabled=false;
        
        
     }
     else
     {
   	  //alert(frameworkoption);
        otherCPCS.style.display = 'none';
        numOperator.style.display='none';
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>.disabled=true;
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>.value="";
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS_TYPE)%>.disabled=true;
       document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS_TYPE)%>.value=<%= NumberValueType.FIXED.toString()%>;
        
     }
}


function onClickNoticeInvolves(){
var index = document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NOTICE_INVOLVES)%>.selectedIndex;
var noticeinvolves=document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NOTICE_INVOLVES)%>[index].value;
var isMultipleOperators=    document.getElementById('<%= ObjectOfContractStruct.MULTIPLE_FRAMEWORK_OPERATORS%>');  
var isMultipleOperatorsSpacer=    document.getElementById('<%= ObjectOfContractStruct.MAX_NUMBER_OF_OPERATORS_SPACER%>');  
var fDuration=    document.getElementById('<%= ObjectOfContractStruct.FRAMEWORK_DURATION_UNIT%>');  
var otherCPCS = document.getElementById('<%= ObjectOfContractStruct.NUMBER_OF_OPERATORS_TYPE%>');
var numOperator=    document.getElementById('<%= ObjectOfContractStruct.NUMBER_OF_OPERATORS%>');   
var frameworkJust=    document.getElementById('<%= ObjectOfContractStruct.FRAMEWORK_DURATION_JUSTIFICATION%>');   
var estimatedValue =document.getElementById('<%= ObjectOfContractStruct.RANGE_OR_ESTIMATED%>');
var estimate =document.getElementById('<%= ObjectOfContractStruct.ESTIMATED_VALUE%>');
var estimateMin= document.getElementById('<%= ObjectOfContractStruct.ESTIMATED_MIN_VALUE%>');  
var frequency= document.getElementById('<%= ObjectOfContractStruct.FREQUENCY_AND_VALUE%>');  
 

if(noticeinvolves=='3')
{

		 isMultipleOperators.style.display = 'table-row';
		 isMultipleOperatorsSpacer.style.display='table-row';
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MULTIPLE_FRAMEWORK_OPERATORS)%>.disabled=false;
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION)%>.disabled=false;
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION_UNIT)%>.disabled=false;
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_OR_ESTIMATED)%>.disabled=false; 
		 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FREQUENCY_AND_VALUE)%>.disabled=false;
		 fDuration.style.display='table-row';

        estimatedValue.style.display='table-row';

        frequency.style.display='table-row';
}
else
{

   isMultipleOperators.style.display = 'none';
   isMultipleOperatorsSpacer.style.display='none';
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MULTIPLE_FRAMEWORK_OPERATORS)%>.disabled=true;
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MULTIPLE_FRAMEWORK_OPERATORS)%>.value="-1";
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION)%>.disabled=true;
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION)%>.value="";
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FRAMEWORK_DURATION_UNIT)%>.value="-1";
   document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.disabled=true;
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_OR_ESTIMATED)%>.value="-1";
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FREQUENCY_AND_VALUE)%>.value="";
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.FREQUENCY_AND_VALUE)%>.disabled=true;
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>.disabled=true;
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUMBER_OF_OPERATORS)%>.value="";
   rangeEstimatedValue();   
   fDuration.style.display='none';
   otherCPCS.style.display = 'none';
   numOperator.style.display='none';
   frameworkJust.style.display='none';
   estimatedValue.style.display='none';
  frequency.style.display='none';
 

}
}
function rangeEstimatedValue(hasChanged){
    
	  var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_OR_ESTIMATED)%>.selectedIndex
	  var rangeOrEstimated=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_OR_ESTIMATED)%>[index].value;
	  var estimate =document.getElementById('<%= ObjectOfContractStruct.ESTIMATED_VALUE%>');
	  var estimateMin= document.getElementById('<%= ObjectOfContractStruct.ESTIMATED_MIN_VALUE%>');  
	if(rangeOrEstimated=='1'){
		 estimate.style.display='none';
        estimateMin.style.display='table-row';
        if(!hasChanged)
        document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_VALUE_CURRENCY)%>.selectedIndex="0";
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATE_VALUE_CURRENCY)%>.disabled=true;
        document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.disabled=true;
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_MIN_VALUE)%>.disabled=false;
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_MAX_VALUE)%>.disabled=false;
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_VALUE_CURRENCY)%>.disabled=false;
       
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_MIN_VALUE)%>.value="";
        document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_MAX_VALUE)%>.value="";
        
        
	}
	else if(rangeOrEstimated=='2'){
		estimate.style.display='table-row';
       estimateMin.style.display='none';
      
       document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATE_VALUE_CURRENCY)%>.disabled=false;
       document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.disabled=false;
		if(!hasChanged)
		     document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATE_VALUE_CURRENCY)%>.selectedIndex="0";
       document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.value="";
       document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_MIN_VALUE)%>.disabled=true;
       document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_MAX_VALUE)%>.disabled=true;
       document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_VALUE_CURRENCY)%>.disabled=true;
	}
	else{
		estimate.style.display='none';
       estimateMin.style.display='none';
       document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.ESTIMATED_MIN_VALUE)%>.disabled=true;
document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.ESTIMATED_MAX_VALUE)%>.disabled=true;
document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.RANGE_VALUE_CURRENCY)%>.disabled=true;
		document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.ESTIMATE_VALUE_CURRENCY)%>.disabled=true;
document.<%= formName%>.<%= EPASSFieldName
.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.disabled=true;
	}
		
	  
}




function optionRangeOrEstimated(currChanged){
	  var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTION_RANGE_OR_ESTIMATED)%>.selectedIndex
	  var rangeOrEstimated=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTION_RANGE_OR_ESTIMATED)%>[index].value;
	  var estimate =document.getElementById('<%= ObjectOfContractStruct.OPTION_VALUE%>');
	  var estimateMin= document.getElementById('<%= ObjectOfContractStruct.OPT_MIN_VALUE%>');  
	 
	if(rangeOrEstimated=='1'){
		 estimate.style.display='none';
      estimateMin.style.display='table-row';
      document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.EST_OPT_CURRENCY)%>.disabled=true;
      document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.disabled=true;
      document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled=false;
      document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled=false;
	if(!currChanged)				
	document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_OPT_CURRENCY)%>.selectedIndex="0";
      document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_OPT_CURRENCY)%>.disabled=false;
      
    	     document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.value="";
    	     document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.value="";
	}
	else if(rangeOrEstimated=='2'){
		estimate.style.display='table-row';
     estimateMin.style.display='none';
     document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.EST_OPT_CURRENCY)%>.disabled=false;
	if(!currChanged)
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.EST_OPT_CURRENCY)%>.selectedIndex="0"	;
     document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.disabled=false;
    
     document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.value="";
     document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled=true;
     document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled=true;
     document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_OPT_CURRENCY)%>.disabled=true;
	}
	else{
		estimate.style.display='none';
     estimateMin.style.display='none';
     
	document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.EST_OPT_CURRENCY)%>.disabled=true;
    document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.disabled=true;    
	document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.value="";							
    document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.value="";
    document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.value="";		
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.RANGE_OPT_CURRENCY)%>.disabled=true;							
	}
		
	  
}
function showRenewals(){
	  var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_RANGE_OR_ESTIMATED)%>.selectedIndex
	  var rangeOrEstimated=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_RANGE_OR_ESTIMATED)%>[index].value;
	  var estimate =document.getElementById('<%= ObjectOfContractStruct.NUM_MIN_RENEWALS%>');
	  var estimateMin= document.getElementById('<%= ObjectOfContractStruct.NUM_MAX_RENEWALS%>'); 
	  //alert(rangeOrEstimated); 
	if(rangeOrEstimated=='1'){
		 
		 estimate.style.display='none';
    estimateMin.style.display='table-row';
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>.disabled=true;
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MIN_RENEWALS)%>.disabled=true;
    document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NUM_RENEWALS)%>.disabled=false;
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>.value="";
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MIN_RENEWALS)%>.value="";
    
	}
	else if(rangeOrEstimated=='2'){
		estimate.style.display='table-row';
   estimateMin.style.display='none';
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>.disabled=false;
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MIN_RENEWALS)%>.disabled=false;
   document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NUM_RENEWALS)%>.disabled=true;
   document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NUM_RENEWALS)%>.value="";
  
	}
	else{
		estimate.style.display='none';
   estimateMin.style.display='none';
   document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>.disabled=true;
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MIN_RENEWALS)%>.disabled=true;
    document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NUM_RENEWALS)%>.disabled=true;
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MAX_RENEWALS)%>.value="";
    document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.NUM_MIN_RENEWALS)%>.value="";
									  document.<%= formName%>.<%= EPASSFieldName
							.addPrefix(ObjectOfContractStruct.NUM_RENEWALS)%>.value="";
	}
		
	  
}
	
function showcontractTime(){
	  var index = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_RANGE_OR_ESTIMATED)%>.selectedIndex
	  var rangeOrEstimated=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_RANGE_OR_ESTIMATED)%>[index].value;
	  var estimate =document.getElementById('<%= ObjectOfContractStruct.CONTRACT_TIME_DURATION%>');
	  var estimateMin= document.getElementById('<%= ObjectOfContractStruct.CONTRACT_TIME_STARTING%>'); 
	  //alert(rangeOrEstimated); 
	if(rangeOrEstimated=='1'){
		 
		 estimate.style.display='table-row';
  estimateMin.style.display='none';
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.disabled=false;
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.disabled=false;
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.disabled=true;
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.disabled=true;
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.value="";
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.value="-1";
  
  
	}
	else if(rangeOrEstimated=='2'){
		estimate.style.display='none';
 estimateMin.style.display='table-row';
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.disabled=true;
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.disabled=true;
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.disabled=false;
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.disabled=false;
  document.getElementsByName('dom_uda_contractTimeStarting_textDate')[0].value='';
  document.getElementsByName('dom_uda_contractTimeEnding_textDate')[0].value=''
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.value="";
  document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.value="";
  
	}
	else{
		document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.value="";
document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.value="";

		estimate.style.display='none';
 estimateMin.style.display='none';
 document.getElementsByName('dom_uda_contractTimeStarting_textDate')[0].value='';
 document.getElementsByName('dom_uda_contractTimeEnding_textDate')[0].value='';
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.value="";
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.value="-1";
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.disabled=true;
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.disabled=true;
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.disabled=true;
 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.disabled=true;
	}
		
	  
}

function validateOptionTimeTable(){
	clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.PROVISIONAL_VALUE)%>);
	if( document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_UNIT)%>[document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_UNIT)%>.selectedIndex].value==2&&document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_VALUE)%>.value.length>2){
		 var minValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.ooc.duration.contract_month_less_100") %></esapi:js>';
		showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.PROVISIONAL_VALUE)%>,minValueMsg);
		document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.PROVISIONAL_VALUE)%>.focus();
		//document.<%--formName--%>._uda_frameWorkDuration.focus();
		return false;
	}
	else{
		return true;
	}
}
function validateSubsequentDuration(){
	var subsContract=document.getElementById('<%= ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION%>')
	clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>);
	if(subsContract.style.display=='table-row'){
		if( document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>[document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>.selectedIndex].value==2&&document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.value.length>2){
			 var minValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.ooc.duration.contract_month_less_100") %></esapi:js>';
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>,minValueMsg);
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.focus();
					return false;
		}
		else if(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>[document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>.selectedIndex].value==-1&&document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.value!=''){
			
			 var minValueMsg = '<esapi:js><%= ref
									.convertLiteral("form.wiz_object_of_contract.enter_value_for_duration_unit") %></esapi:js>';
			 showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>,minValueMsg);
				document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.focus();
						return false;
		}
		else if(document.<%= formName%>.<%= EPASSFieldName
				.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>[document.<%= formName%>.<%= EPASSFieldName
				.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION_UNIT)%>.selectedIndex].value!=-1&&document.<%= formName%>.<%= EPASSFieldName
				.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.value==''){

var minValueMsg = '<esapi:js><%= ref
				.convertLiteral("form.wiz_object_of_contract.enter_value_for_duration_unit") %></esapi:js>';
showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>,minValueMsg);
document.<%= formName%>.<%= EPASSFieldName
				.addPrefix(ObjectOfContractStruct.SUBSEQUENT_CONTRACT_DURATION)%>.focus();
	return false;
}
		else{
			return true;
			
		}
	}
	else{
		return true;
	}
}
function vaildateDurationValue(){
	clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>);
	var durationValue = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_RANGE_OR_ESTIMATED)%>.value;
		if ( durationValue != '-1')
		{
			if ( durationValue == '1')
			{
				var durationMsg = '<esapi:js><%= ref
									.convertLiteral("form.wiz_object_of_contract.enter_value_for_duration") %></esapi:js>';	
				var durationUnitMsg = '<esapi:js><%= ref
									.convertLiteral("form.wiz_object_of_contract.enter_value_for_duration_unit") %></esapi:js>';	
				
				if (document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>[document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.selectedIndex].value==-1&&document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.value!='')
				{
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>,durationUnitMsg);
					
					return false;
					
				}

				if (document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>[document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.selectedIndex].value==-1&&document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.value=='')
				{
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>,durationUnitMsg);
					document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.focus();
					return false;
					
				}
				else if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>,durationMsg ))
				{
					return false;
				}
				else if( document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>[document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.selectedIndex].value==2&&document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.value.length>3){
					<%//ESP-46481:Increased 'Months' field validation from 99 to 999%>
					 var minValueMsg = '<esapi:js><%= ref
									.convertLiteral("ojeu.form.ooc.duration.contract_month_less_1000") %></esapi:js>';
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>,minValueMsg);
					document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.focus();
					//document.<%--formName--%>._uda_frameWorkDuration.focus();
					return false;
				}
			}
			else if ( durationValue == '2')
			{
				
				clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%> );
				clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%> );
				var startingMsg = '<esapi:js><%= ref
									.convertLiteral("form.wiz_object_of_contract.enter_value_for_starting_time") %></esapi:js>';
				var completingMsg = '<esapi:js><%= ref
									.convertLiteral("form.wiz_object_of_contract.enter_value_for_completing_time") %></esapi:js>';			
				var maxGretorThanMinMsg = '<esapi:js><%= ref
									.convertLiteral("form.wiz_object_of_contract.range_completing_time_gretor_than_starting_time") %></esapi:js>';
				
				 if( EPASSText.getValue( document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%> ) == '' )
				 {
				 	showError( document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>,startingMsg );
				 	document.<%= formName%>.dom_uda_contractTimeStarting_textDate.focus();
				 	return false;
				 }
				 if( EPASSText.getValue( document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%> ) == '' )
				 {
				 	showError( document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>,completingMsg );
				 	document.<%= formName%>.dom_uda_contractTimeEnding_textDate.focus();
				 	return false;
				 }
				
				var startingDate = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.value;
				var completingDate = document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.value;
				var format='<esapi:js><%= ((java.text.SimpleDateFormat)com.avinamart.Utility.I18NFormats.getDateFormat(ref.getLocale())).toPattern() %></esapi:js>'
					//var end= Date.parseDate(completingDate,format);
		
				clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>);
					
				if ( Date.parse(completingDate,format) <= Date.parse(startingDate,format))
				{
					showError(document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>, maxGretorThanMinMsg );
					return false;
				}	
			
			}
		}		

		return true;
	}


</script>
<LINK REL="stylesheet"
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
</head>
<body onload="init()" onResize="nsResize();" marginleft="0"
	marginheight="0" marginwidth="1" rightmargin="2" topmargin="0"
	leftmargin="0">
<%
	if (true) {
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if (!StringUtility.isEmpty(res)) {
			out.write("<script>");
			out.write(res);
			out.write("</script>");
			out.flush();

			return;
		}
	}

	EPASSHTMLForm form = bean.getOocForm();
	form.addHidden(EPASSJSPActions.ACTION, EPASSJSPActions.SAVE_NEW);
	form.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	form.setFieldsMonitored(true);
	form.setUserLabelClass("OJEU_FORM_LABEL");
	form.setAddSeparatorColumn(false);
	form.setUserInputClass("OJEU_FORM_INPUT");
	form.setAddSizerTDs(false);
	out.write(TreeWizUtility.getNavHideSaveButtonJs(!bean
			.canUpdateOOC()));
%>
<%@ include file="../../include/inc_actionbar_spacer.inc"%>
<%@ include file="../../include/inc_action_bar.inc"%>
<p>
<p>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0"
	CLASS="POPFORMBODY">
	<%
		if (statusMsg != null) {
	%>
	<TR CLASS='POPFORMHIGH'>
		<TD>
		<P CLASS=ERRORMSG><%= ref.convertLiteral(statusMsg)%></P>
		</TD>
	</TR>
	<%
		}
	%>

	<TR>
		<TD><%= bean.getOocForm()%></TD>
	</TR>
</TABLE>
<script>

		var divInLots=document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
		var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
		var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
		var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
		var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
		var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
		var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
		var notes = document.getElementById("infoAboutLots");
		
		if(typeof(divInLots) != 'undefined' && !(getCheckedValue(divInLots)=='true')){
			notes.style.display = "none";
			if(typeof(enableTendersSubmittedFor) != 'undefined'){					
				enableTendersSubmittedFor[0].disabled = true;
				enableTendersSubmittedFor[1].disabled = true;
				enableTendersSubmittedFor[2].disabled = true;
				maxNumLotsTenderSubmit.disabled = true;
			}
			
			isNumLotsToOneTenderer.disabled = true;
			maxNumLotsToOneTenderer.disabled = true;
			isContractAuthToAward.disabled = true;
			contractAuthToAward.disabled = true;
		}
		else{
			notes.style.display = "";
			if(typeof(enableTendersSubmittedFor) != 'undefined'){					
				enableTendersSubmittedFor[0].disabled = false;
				enableTendersSubmittedFor[1].disabled = false;
				enableTendersSubmittedFor[2].disabled = false;
				if(enableTendersSubmittedFor[2].checked){
					maxNumLotsTenderSubmit.disabled = false;
					if(maxNumLotsTenderSubmit.value == ""){
						<%-- showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>,'<esapi:js><%= ref
								.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
						document.<%= formName%>.<%= EPASSFieldName
												.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>.focus(); --%>						
					}
				}
				else{
					maxNumLotsTenderSubmit.disabled = true;
				}
			}
			isNumLotsToOneTenderer.disabled = false;
			if(isNumLotsToOneTenderer.checked){
				maxNumLotsToOneTenderer.disabled = false;
				if(maxNumLotsToOneTenderer.value==""){
					<%-- showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus(); --%>
		            									
				}
			}
			else{
				maxNumLotsToOneTenderer.disabled = true;
			}
			isContractAuthToAward.disabled = false;
			if(isContractAuthToAward.checked){
				contractAuthToAward.disabled = false;
				if(contractAuthToAward.value==""){
					<%-- showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>.focus(); --%>
		            //return false;									
				}
			}
			else{
				contractAuthToAward.disabled = true;
			}
		}
		
	//}
	
		function validateOjeuCostField(field){
			isErrorOccured=false;
			clearError(field);
			
			var theString = field.value;

			if(theString.length == 0){
				return true;
			}
			var errMsg;
			errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.lot.invalidCostFormat")%>";
			var valid = false;
			if (!isOjeuCost(theString)){
				return  _validationFailure(field, errMsg);
			}

			return true;
		}

		var OJEU_COST_REGEX = new Array(
		  "^\\d{1,13}(\\.\\d{1,2})?$");

		function isOjeuCost(str){

			return _matchFormat(OJEU_COST_REGEX, isOjeuCost.arguments) && isValueZero(str);
		}

		function isValueZero(str) {
			for (var i=0; i<str.length; i++) {
				if(str.charAt(i) != '.' && str.charAt(i) != '0') {
					return true;
				}
			}
			return false;
		}
		
</script>


</body>

</html>
<%@ include file="../../include/simple_tail.inc"%>
