<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean,com.emptoris.app.ojeu.webClient.action.ObjectOfContractPinUIBean"%>
<%@page import="com.avinamart.WebInterface.Constants.Javascript"%>
<%@page import="com.avinamart.WebInterface.Constants.Dir,java.rmi.RemoteException"%>
<%@page import="com.avinamart.WebInterface.EPASSReferences"%>
<%@page import="com.avinamart.WebInterface.Constants.*"%>
<%@page import="com.avinamart.WebInterface.*,com.emptoris.app.ojeu.dataAccess.internal.bean.*"%>
<%@page import ="com.avinamart.WebInterface.Utility.HTML.EPASSDHTMLSelect,com.avinamart.Utility.Exception.EPASSApplicationException,com.emptoris.app.ojeu.common.constant.*"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLForm"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSInputControl,com.avinamart.WebInterface.Utility.HTML.*,com.avinamart.WebInterface.EPASSReferences.*"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSQPretty"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl,com.emptoris.app.ojeu.common.struct.ObjectOfContractStruct,com.emptoris.framework.currency.common.CurrencyUtility,com.emptoris.app.ojeu.dataAccess.internal.bean.DurationUnit"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@page import="com.emptoris.base.constant.ObjectType"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@page import="com.emptoris.app.ojeu.common.struct.VOCCPVMap"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.Set"%>
<%@page import="java.text.DecimalFormat"%>
<%@page import="com.avinamart.Utility.EPASSLocales"%>
<%@page import="com.avinamart.Utility.I18NFormats"%>
<%@ page import="org.owasp.esapi.ESAPI" %>

<%@ include file="../../include/simple_head.inc" %>

<%!
String statusMsg=null;
String TEXT_CONTROL="text";
String PRO_VOCABULARY= "ojeu.form.detail.lot.title.procu_vocabulary";
String MAIN_VOCABULARY= "ojeu.form.detail.lot.hdr.main_vocabulary";
String SUPP_VOCABULARY= "ojeu.form.detail.lot.hdr.supp_vocabulary"; 
String VOC_DESC= "ojeu.form.detail.lot.hdr.voc_description";


//Method to print a button

%>
<%

String actionBarTitle = ref.convertLiteral("form.wiz_object_of_contract.header") ;
ObjectOfContractPinUIBean bean = (ObjectOfContractPinUIBean)
request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
Object actionBarButtons = toolbarItems;
final String formName=bean.FORM_NAME;
//bean.getOocForm().setFieldsMonitored(true);

	//Based on the user's preferences get the character that serves as grouping separator for number and currency fields
	EPASSLocales userLocale = ref.getLocale();
	DecimalFormat decimalFormat = I18NFormats.getDecimalFormat(userLocale);
	String groupSeparator = new Character(decimalFormat.getDecimalFormatSymbols().getGroupingSeparator()).toString();
	if( ".".equals(groupSeparator) ) {
		groupSeparator = "\\"+groupSeparator;
	}


%>

<%
if(bean.isNotifyOfUpdate())
{
%>	
	<%=  NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE,ref.userDataContext.getNoticeId(), null, ref) %>
<%
}
%>

<%@page import="com.avinamart.Utility.StringUtility"%>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>

	<TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>

<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>
<script type="text/javascript">

function doSave()
{
	if( ! validateData() )
	{
		return false;
	} 
	isNavBlocked = true;
	document.<%= formName%>.IS_FORM_DIRTY.value = 'false';
	document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_NEW%>';
	document.<%= formName%>.submit();	
}

function doSaveAddNext()
{
	if( ! validateData() )
	{
		return false;
	}
	isNavBlocked = true;
	document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_CREATE_NEW%>';
	document.<%= formName%>.submit();	
}

function validateFormReqdFields( frm )
{
	
	return validateRequiredFields( frm,
		
		"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.TITLE) %></esapi:js>", "",
		"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAIN_CPV_CODE) %></esapi:js>", "",
		"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.SHORT_DESCRIPTION) %></esapi:js>", "",
		"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS) %></esapi:js>", "",
		"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.PROCEDURE_START_DATE) %></esapi:js>", "" 
		);
}

function doCancel(){

	parent.close();
}

function refresh(){
//	alert('refreshing');
	
	document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.REFRESH_PAGE%>';	
	document.<%= formName%>.submit();

}

function hideTimeTable(){
	var isOp=document.getElementById('<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTIONS_AVAILABLE) %></esapi:js>');
	alert(isOp.value);
	
}

var isNavBlocked = false;

function NAV_HandleEvent(var1, var2)
{
	//alert(var1);

	if( var1=='selectCpvVocNuts')
	{
		//alert(var2);
		var tmpArray = new Array();
		tmpArray =  var2.split(";;");
		if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
		{
			setFormDirty( document.<%= formName%>.NUTS.value, tmpArray[1]);
			document.<%= formName%>.NUTSCODE.value=tmpArray[0];
			document.<%= formName%>.NUTS.value=tmpArray[1];
			document.<%= formName%>.NUTSNAME.value=tmpArray[2];
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.BASIC_CPV_SEARCH%>') != -1){
			setFormDirty( document.<%= formName%>.CPVCODE.value, tmpArray[1]);
			document.<%= formName%>.CPVCODE.value=tmpArray[1];
			document.<%= formName%>.CPVDESC.value=tmpArray[2];	
		}
		else if (tmpArray[3].indexOf('<%= SearchManager.BASIC_VOC_SEARCH%>')!=-1)
		{
			setFormDirty( document.<%= formName%>.MAIN_VOC_CODES.value, tmpArray[1]);
			document.<%= formName%>.MAIN_VOC_CODES.value= tmpArray[1];
			document.<%= formName%>.MAIN_VOC_DESC.value= tmpArray[2];
			var oldValue = document.<%= formName%>.CPVDESC.value;
			 //document.<%--formName--%>..value= oldValue +','+ tmpArray[2];
			 var voccode=tmpArray[3].substring(0,tmpArray[3].indexOf('_'));
			 if(voccode!=''){
			 }
			 document.<%= formName%>.CPVVOCCODES.value=voccode;

		}
		else if (tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_VOC_SEARCH%>')!=-1)
		{
			
			document.<%= formName%>.ADDITIONAL_VOC_CODE.value= tmpArray[1];
			document.<%= formName%>.ADDITIONAL_VOC_DESC.value= tmpArray[2];

			var oldValue = document.<%= formName%>.CPVDESC.value;
			 var voccode=tmpArray[3].substring(0,tmpArray[3].indexOf('_'));
			 if(voccode!=''){
			 }
			 document.<%= formName%>.CPVVOCCODES.value=voccode;
			 var vocFieldName = '<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ADDITIONAL_VOC_CODE) %></esapi:js>';
				vocFieldName += voccode
			 var oldVocValue = eval( 'document.<esapi:js><%= formName %></esapi:js>.'+vocFieldName+'.value');			
				setFormDirty( oldVocValue, tmpArray[1]);
		
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_CPV_SEARCH%>') != -1){
			setFormDirty( document.<%= formName%>.ADDITIONAL_CPV_CODES.value, tmpArray[1]);
			if( tmpArray[1].length == 0)
			{
				document.<%= formName%>.NO_ADDITIONAL_CPV_SELECTED.value= 'true';
			}
			document.<%= formName%>.ADDITIONAL_CPV_CODES.value=tmpArray[1];
			document.<%= formName%>.ADDITIONAL_CPV_DESC.value=tmpArray[2];
		}

		refresh();
		return;
	}
	else if(var1=='GET_ITEM_DESC'){
	}

	else if( var1 == "<%= EPassTree._sNavigationEvent%>"  )
	{
		 if( var1 == "<%= EPassTree._sNavigationEvent%>" && !isNavBlocked ) {
	            var splitted  = var2.split( ";" );
	            var goToDir   = splitted[0];
	            var goToParam = (splitted.length == 2)? splitted[1]: "";

	            if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 ) {
	                if( confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral( "form.wizConfigSchedule.message.reset" ))%>' ) ) {
	                    document.<%= formName%>.reset();
	                    <%= bean.getOocForm().getInitMonitorJS()%>
	                }
	            }
	             else if( <%= bean.getOocForm().getIsFormDirtyJS()%> || var2 == "<%= EPassTree._sTreeNavSaveCmd%>") {
	                if( validateData( ) ) {
	                    if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
	                                              ||  confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizConfig.message.save"))%>' ) ) {
	                        document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
	                        doSave();	                        
	                        
	                    } else {
	                        document.<%= formName%>.reset();
	                        <%= bean.getOocForm().getInitMonitorJS()%>
	                        NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
	                    }
	                }
	            } else {
	                if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
	                    ||
	                    goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
	                  ) {
	                    <%= EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
	                } else {
	                    <%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
	                }
	            }
	        }
	}
}

function validateData()
{	
	if( ! validateFormReqdFields( document.<%= formName%>) )
	{
		return false;
	}
	var estimatedValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>;
	if(estimatedValue.value != ''){
		if((!validateSpecialCharacters(estimatedValue.value))){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.focus();
			return false;
		}
	}
	
	var divInLots=document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
	if(getCheckedValue(divInLots)==''){
		var divInLotslMsg = "<%=ref.convertLiteral("form.wiz_object_of_contract.notice.validation.divisionInToLots.message")%>";
		showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>,divInLotslMsg);
		return false;
	}
	else if(getCheckedValue(divInLots)=='true'){
		var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
		var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
		var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
		var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
		var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
		var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
		
		if(typeof(enableTendersSubmittedFor) != 'undefined'){
			if(enableTendersSubmittedFor[2].checked){
				validateRequiredFields(document.<%= formName%>,"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT) %></esapi:js>", "");
			}
		}
		
		if(isNumLotsToOneTenderer.checked){
			validateRequiredFields(document.<%= formName%>,"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER) %></esapi:js>", "");
		}
		if(isContractAuthToAward.checked){
			validateRequiredFields(document.<%= formName%>,"<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD) %></esapi:js>", "");
		}
	}
	if(!validateMaxNumberOfLots()){
		return false;
	}
	if(!vaildateMaxNumberOfLotsAwdToOneTenderer()){
		return false;
	}
	if(!vaildateContractAuthToAward()){
		return false;
	}
	if(!validateProcedureDate()){
		return false;
	} 
	
	<%
	Integer tenderContractType = bean.getContractType();
	if( ContractType.Works.equals(tenderContractType) )
	{
	%>

			
	<%
	}
	%>
	
	return true;
}

function validateProcedureDate(){
	var procedureDatelMsg = "<%=ref.convertLiteral("form.wiz_object_of_contract.notice.validation.estimatedDateOfpublication.message")%>";
	var currentDate = new Date();
	
	var format='<%=((java.text.SimpleDateFormat)com.avinamart.Utility.I18NFormats.getDateFormat(ref.getLocale())).toPattern()%>'
	if(typeof(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.PROCEDURE_START_DATE)%>) != 'undefined'){
		var procedureDateValue = i18n.textToDate(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.PROCEDURE_START_DATE)%>.value);
		if( Date.parse( procedureDateValue, format) <= Date.parse( currentDate, format)){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.PROCEDURE_START_DATE)%>,procedureDatelMsg);
			return false;
		}
	}
	return true;
}

function vaildateEstimatedValue(){
	var estimatedValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>;
	var estimatedValueCurrency = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE_CURRENCY)%>;
	if(estimatedValue.value != ''){
		estimatedValueCurrency.disabled = false;
	}
	else{
		estimatedValueCurrency.disabled = true;
	}

	
	var estiamteMsg = '<%=  ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_estimate"))%>';
	var estimtateCurrMsg = '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("ojeu.form.detail.lot.enter_value_for_currency_estimate"))%>';
	if (EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>,estiamteMsg ))
	{
		var currency = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE_CURRENCY)%>.value;
		if (currency == '-1')
		{
				alert(estimtateCurrMsg);
				return false;
		}
		return true;
	}
	return false;
	
	
}

function setFormDirtyOnRBtnChange( oldValue )
{
	if( typeof(oldValue) == 'undefined')
	{
		document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
	}
}

function validateSpecialCharacters(input){
	var iChars = "!@#$%^&*()+=-[]\\\';/{}|\":<>?";
	for (var i = 0; i < input.length; i++) {
	    if (iChars.indexOf(input.charAt(i)) != -1) {
	        return false;
	    }
	}
	return true;
}

function showLotInformation(){
	<%-- setFormDirtyOnRBtnChange( monitoredFields['<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS) %></esapi:js>'] ); --%>
	 //var index = document.<%--formName--%>.<%--EPASSFieldName
									.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)--%>.selectedIndex;
	 var divInLots=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
	 var lotsubmitType=    document.getElementById('<%= ObjectOfContractStruct.LOT_SUBMISSION_TYPE%>'); 
	 var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
		 
	 var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
		
	var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
	var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
	
	var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
	var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
	
	var notes = document.getElementById("infoAboutLots");
	notes.style.display = ""; 
	var tags = notes.getElementsByTagName("td");
	 
	if(getCheckedValue(divInLots)=='true'){
		 tags[0].innerText = "<%= ref.convertLiteral( "form.wiz_object_of_contract.lotsdivision.yes.informationAboutLots" )%>";
		 if(typeof(enableTendersSubmittedFor) != 'undefined'){
			 enableTendersSubmittedFor[0].disabled  = false;
			 enableTendersSubmittedFor[1].disabled  = false;
			 enableTendersSubmittedFor[2].disabled  = false;
		 }
		 isNumLotsToOneTenderer.disabled = false;
		 isContractAuthToAward.disabled = false;
	 }
	 else{
		tags[0].innerText = "<%= ref.convertLiteral( "form.wiz_object_of_contract.lotsdivision.no.description" )%>";
		if(typeof(enableTendersSubmittedFor) != 'undefined'){
			 enableTendersSubmittedFor[0].disabled  = true;
			 enableTendersSubmittedFor[1].disabled  = true;
			 enableTendersSubmittedFor[2].disabled  = true;
			 enableTendersSubmittedFor[0].checked = false;
			 enableTendersSubmittedFor[1].checked = false;
			 enableTendersSubmittedFor[2].checked = false;
			 maxNumLotsTenderSubmit.disabled = true;
			 maxNumLotsTenderSubmit.value = "";
		}
		 
		 isNumLotsToOneTenderer.disabled = true;
		 maxNumLotsToOneTenderer.disabled = true;
		 isNumLotsToOneTenderer.checked = false;
		 maxNumLotsToOneTenderer.value = "";
		 isContractAuthToAward.disabled = true;
		 isContractAuthToAward.checked = false;
		 contractAuthToAward.disabled = true;
		 contractAuthToAward.value = "";
	 }
}
function enableMaxNumLotsTextBox(){
	var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName
	.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
	var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName
	.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
	if(enableTendersSubmittedFor[2].checked && !enableTendersSubmittedFor[2].disabled){
		maxNumLotsTenderSubmit.disabled = false;
	}
	else{
		maxNumLotsTenderSubmit.disabled = true;
		maxNumLotsTenderSubmit.value = "";
	}
	
}

function onClickIsMaxNumOfLotsAwardedToOne(){ 
	var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
	var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
	
	if(isNumLotsToOneTenderer.checked){
		maxNumLotsToOneTenderer.disabled = false;
		vaildateMaxNumberOfLotsAwdToOneTenderer();
	}
	else{
		clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>);
		maxNumLotsToOneTenderer.disabled = true;
		maxNumLotsToOneTenderer.value = "";
	}
	
}
function vaildateMaxNumberOfLotsAwdToOneTenderer(){
	var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
	var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
	if(isNumLotsToOneTenderer.checked){
		if(maxNumLotsToOneTenderer.value==""){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus();
            return false;									
		}
		else if(maxNumLotsToOneTenderer.value> 1000){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.notinrange.message") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus();
			return false;						
		}
		else if(maxNumLotsToOneTenderer.value<1){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.notinrange.message") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus();
			return false;			
		}
		else if(!validateSpecialCharacters(maxNumLotsToOneTenderer.value)){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>.focus();
			return false;
		}
	}
	return true;
}

function validateMaxNumberOfLots(){
	var divInLots=document.<%= formName%>.<%= EPASSFieldName
	.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
	if(getCheckedValue(divInLots)=='true'){
		var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
		var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName
		.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
		
		if(typeof(enableTendersSubmittedFor) != 'undefined'){
			if(enableTendersSubmittedFor[2].checked){
				if(maxNumLotsTenderSubmit.value == ""){
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>.focus();
		            return false;
				}
				else if(maxNumLotsTenderSubmit.value < 1 || maxNumLotsTenderSubmit.value > 1000){
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.notinrange.message") %></esapi:js>');
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>.focus();
					return false;	
				}
				else if(!validateSpecialCharacters(maxNumLotsTenderSubmit.value)){
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
					document.<%= formName%>.<%= EPASSFieldName
											.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>.focus();
					return false;
				}
			}
		}
	}
	return true;
}

function onClickIsContractAuthToAward(){
	var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
	var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
	if(isContractAuthToAward.checked){
		contractAuthToAward.disabled = false;
	}
	else{
		contractAuthToAward.disabled = true;
		contractAuthToAward.value = "";
	}
}

function vaildateContractAuthToAward(){
	var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
	var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
	if(isContractAuthToAward.checked){
		if(contractAuthToAward.value==""){
			showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>,'<esapi:js><%= ref
					.convertLiteral("form.wiz_object_of_contract.notice.validation.MaxNumberOfLots.empty.message") %></esapi:js>');
			document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>.focus();
            return false;									
		}
	}
	return true;
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function vaildateDurationValue(){

var durationValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_RANGE_OR_ESTIMATED)%>.value;

	if ( durationValue != '-1')
	{
		if ( durationValue == '1')
		{
			var durationMsg = '<%=  ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_object_of_contract.enter_value_for_duration"))%>';			
			if (!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>,durationMsg ))
			{
				return false;
			}
			var durationUnitMsg = '<%=  ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_object_of_contract.enter_unit_for_duration"))%>';
			var durationUnitValue = EPASSText.getValue( document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%> );
			var durationValue = EPASSText.getValue( document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%> );
			if(  durationUnitValue == '-1' )
			{
				alert( durationUnitMsg );
				return false;
			}
			var daysMinValueMsg = '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("ojeu.form.ooc.duration.contract_month_less_1000"))%>';
			<%//ESP-46481:Increased 'Months' field validation from 99 to 999%>
			if( durationUnitValue == <%= DurationUnit.MONTH.toString()%> && parseInt(durationValue.replace(/,/g,"")) > 999 )
			{
				alert( daysMinValueMsg );
				document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.focus();
				return false;
			}

		}
		else if ( durationValue == '2')
		{
			var startingMsg = '<%=  ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_object_of_contract.enter_value_for_starting_time"))%>';
			var completingMsg = '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_object_of_contract.enter_value_for_completing_time"))%>';			
			var maxGretorThanMinMsg = '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_object_of_contract.range_completing_time_gretor_than_starting_time"))%>';
			
			 if( EPASSText.getValue( document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%> ) == '' )
			 {
			 	alert( startingMsg );
			 	document.<%= formName%>.dom_uda_contractTimeStarting_textDate.focus();
			 	return false;
			 }
			 if( EPASSText.getValue( document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%> ) == '' )
			 {
			 	alert( completingMsg );
			 	document.<%= formName%>.dom_uda_contractTimeEnding_textDate.focus();
			 	return false;
			 }
			
			var startingDate = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.value;
			var completingDate = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.value;
			
			var format='<%=((java.text.SimpleDateFormat)com.avinamart.Utility.I18NFormats.getDateFormat(ref.getLocale())).toPattern()%>'
			if( Date.parse( completingDate, format) <= Date.parse( startingDate, format) )
			{
				alert( maxGretorThanMinMsg );
				return false;
			}	
		
		}
	}		

	return true;
}

function validateTitle()
{

	if(typeof document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.TITLE)%>!= 'undefined' )
	{
		if(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.TITLE)%>.value=='')
		{
			
			alert('<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_object_of_contract.pin.title.validation.message"))%>');			
			document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.TITLE)%>.focus();
			return false;
		}
		else
		{
			return true;
		}		
	}
	else
	{
		return true;
	}
		
}
function onDurationChange()
{
	//alert('onContractRangeOrEstimatedChange, rangeOrEstimatedValue : '+rangeOrEstimatedValue);
	var rangeOrEstimatedValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_RANGE_OR_ESTIMATED)%>.value;

	if(rangeOrEstimatedValue == -1)
	{
		document.getElementById('durationRow').style.display = 'none';
		document.getElementById('timeLimitRow').style.display = 'none';
	}	
	else if(rangeOrEstimatedValue == 1)
	{
		document.getElementById('durationRow').style.display = '';
		document.getElementById('timeLimitRow').style.display = 'none';
		
		//alert('starting : '+document.<%--formName--%>.<%--EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)--%>.value);
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.value='';
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.value='-1';
	}
	else if(rangeOrEstimatedValue == 2)
	{
		document.getElementById('durationRow').style.display = 'none';
		document.getElementById('timeLimitRow').style.display = '';
		document.<%= formName%>.dom_uda_contractTimeStarting_textDate.value='';
		document.<%= formName%>.dom_uda_contractTimeEnding_textDate.value='';
  		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_STARTING)%>.value="";
  		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_ENDING)%>.value="";		
	}
}
function onValueBasisChange(hasDefaultCurrency)
{

	
	var rangeOrEstimatedValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_OR_ESTIMATED)%>.value;
	
	if( rangeOrEstimatedValue == -1)
    	{	
    		document.getElementById('estimatedValueRow').style.display = 'none';
		document.getElementById('rangeValueRow').style.display = 'none';
	}
	else if( rangeOrEstimatedValue ==<%= ValueBasisType.Range%>)
    	{	
    		document.getElementById('estimatedValueRow').style.display = '';
		document.getElementById('rangeValueRow').style.display = 'none';
		
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_MIN_VALUE)%>.value='';
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_MAX_VALUE)%>.value='';
		if(!hasDefaultCurrency)		
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE_CURRENCY)%>.value='-1';
	}
	else if( rangeOrEstimatedValue ==<%= ValueBasisType.Estimated_value%>)
	{	
		document.getElementById('estimatedValueRow').style.display = 'none';
    		document.getElementById('rangeValueRow').style.display = '';
    		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.value='';  
    		if(!hasDefaultCurrency) 		
    		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_VALUE_CURRENCY)%>.value='-1';
	}
}

function initializeFields()
{
	//alert('initializeFields , rangeOrEst : <%--bean.getStruct().getRangeOrEst()--%>');
	//alert('initializeFields , conRangeOrEst : <%--bean.getStruct().getConRangeOrEst()--%>');
	var canUpdate = '<%= bean.canUpdateOOC()%>';
	//var canUpdate = 'false';
	
	//alert(' canUpdate : '+canUpdate);
	if( canUpdate == 'false')
	{
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_OR_ESTIMATED)%>.disabled = canUpdate;		
	}
	
	<%
		Integer rangeOrEst = bean.getStruct().getRangeOrEst();
		if( rangeOrEst == null)
		{
	%>
			document.getElementById('estimatedValueRow').style.display = 'none';
			document.getElementById('rangeValueRow').style.display = 'none';
	<%
    		}
		else if( rangeOrEst != null && rangeOrEst.equals( -1 ))
    		{
	%>			
			document.getElementById('estimatedValueRow').style.display = 'none';
			document.getElementById('rangeValueRow').style.display = 'none';
	<%
    		}
		else if( rangeOrEst != null && rangeOrEst.equals(ValueBasisType.Estimated_value))
    		{
	%>
			document.getElementById('estimatedValueRow').style.display = 'none';		
			
			if( canUpdate == 'false')
			{
				document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_MIN_VALUE)%>.disabled = canUpdate;
	    			document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_MAX_VALUE)%>.disabled = canUpdate;		
	    			document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.RANGE_VALUE_CURRENCY)%>.disabled = canUpdate;	
			}
			
	<%
    		}
		else if( rangeOrEst != null && rangeOrEst.equals(ValueBasisType.Range))
    		{
	%>
			document.getElementById('rangeValueRow').style.display = 'none';
			
			if( canUpdate == 'false')
			{
				document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE)%>.disabled = canUpdate;
	    			document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ESTIMATED_VALUE_CURRENCY)%>.disabled = canUpdate;
	    		}
	<%
    		}
		tenderContractType = bean.getContractType();
		if( ContractType.Works.equals(tenderContractType) )
		{
				Integer conRangeOrEst = bean.getStruct().getConRangeOrEst();
				if( conRangeOrEst == null)
				{
					
			%>	
					document.getElementById('durationRow').style.display = 'none';
					document.getElementById('timeLimitRow').style.display = 'none';
			<%
		    		}
				else if( conRangeOrEst != null && conRangeOrEst.equals( -1 ))
		    		{
			%>
					document.getElementById('durationRow').style.display = 'none';
					document.getElementById('timeLimitRow').style.display = 'none';
			<%
		    		}
				else if( conRangeOrEst != null && conRangeOrEst.equals( 1 ))
		    		{
			%>			
					document.getElementById('durationRow').style.display = 'table-row';
					document.getElementById('timeLimitRow').style.display = 'none';
					
					if( canUpdate == 'false')
					{
						document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION)%>.disabled = canUpdate;
						document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_TIME_DURATION_UNIT)%>.disabled = canUpdate;
						
					}
			<%
		    		}
				else if( conRangeOrEst != null && conRangeOrEst.equals( 2 ))
		    		{
			%>			
					
					document.getElementById('durationRow').style.display = 'none';
					document.getElementById('timeLimitRow').style.display = 'table-row';
					
					if( canUpdate == 'false')
					{
						//hide calender icon	
						document.getElementById('_uda_contractTimeStarting_calendarIcon').style.display = 'none';
						document.getElementById('_uda_contractTimeEnding_calendarIcon').style.display = 'none';
						//disable text fields
						document.<%= formName%>.dom_uda_contractTimeStarting_textDate.disabled = canUpdate;
						document.<%= formName%>.dom_uda_contractTimeEnding_textDate.disabled = canUpdate;
					}	
			<%
		    		}	
			%>
				if( canUpdate == 'false')
				{				
					document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_RANGE_OR_ESTIMATED)%>.disabled = canUpdate;
				}
			<%
		}
			%>
}

function onClose(){
	if(<%= bean.getOocForm().getIsFormDirtyJS()%> 
	
				|| document.<%= formName%>.IS_FORM_DIRTY.value == 'true' ) 
	  {
		//PR#76718# Giving message any time user clicks on close button
        if( confirm( '<esapi:js><%=  ref.convertLiteral("Form_Dirty")%></esapi:js>' ) ) 
        {
             top.window.close();
        } 
        else
        {
             return false;
        }
	}
	else 
	{
       top.window.close();
	}

}
function setFormDirty( oldValue, newValue)
{		//alert('oldValue : '+oldValue+', newValue : '+newValue+', oldValue != newValue : '+(oldValue != newValue));
		if( oldValue != newValue)
		{
			document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
		}	
}

	<%--
	 ESP-46227 : Whenever 'Division in lots' value is updated, backend tree wizard does not toggle 'Annex B' link properly
	So refresh notice tree is called after the document gets ready
	 --%>
	$(document).ready(function(){
		var canUpdate = '<%= bean.canUpdateOOC()%>';
		if( canUpdate == 'true')
		{
			NAV_FireEvent(top,'NAV_HandleQuery_wiz_notice_tree','','NAV_HandleQuery_wiz_notice_tree');
		}
	});

	function validateOjeuCostField(field){
		isErrorOccured=false;
		clearError(field);
		
		var theString = field.value;

		if(theString.length == 0){
			return true;
		}
		var errMsg;
		errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.lot.invalidCostFormat")%>";
		var valid = false;
		if (!isOjeuCost(theString)){
			return  _validationFailure(field, errMsg);
		}

		return true;
	}

	var OJEU_COST_REGEX = new Array(
	  "^\\d{1,13}(\\.\\d{1,2})?$");

	function isOjeuCost(str){

		return _matchFormat(OJEU_COST_REGEX, isOjeuCost.arguments) && isValueZero(str);
	}

	function isValueZero(str) {
		for (var i=0; i<str.length; i++) {
			if(str.charAt(i) != '.' && str.charAt(i) != '0') {
				return true;
			}
		}
		return false;
	}

	
</script>

</head>
<!-- <body onload="init();initializeFields()" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0"> -->
<body onload="init();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">
<%popupImage = ref.getUserPath()+Image.OBJECT_OF_CONTRACT;%>
<%@ include file="../../include/inc_popup_top.inc" %>
<%if(true)
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}

	bean.getOocForm().addHidden(EPASSJSPActions.ACTION,EPASSJSPActions.SAVE_NEW);
	bean.getOocForm().addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER ,"");
	bean.getOocForm().addHidden("isPopup" ,"true");
	bean.getOocForm().setFieldsMonitored(true);
	bean.getOocForm().addHidden( "_uda_id", "" + bean.getStruct().getId() );
	bean.getOocForm().setUserLabelClass("OJEU_FORM_LABEL");
	bean.getOocForm().setAddSeparatorColumn(false);
	bean.getOocForm().setUserInputClass("OJEU_FORM_INPUT");
	bean.getOocForm().setAddSizerTDs(false);	
	bean.getOocForm().addHidden("IS_FORM_DIRTY",ref.req.getParameter("IS_FORM_DIRTY"));
	//bean.getOocForm().setReadOnly( !bean.canUpdateOOC() );
	
	 if( bean.canUpdateOOC() ) 
	 {
		 bean.getOocForm().addButton(EPASSInputButton.createButton(
				 "button", 
				 "oocSave"  ,
				 ref.convertLiteral("form.wiz_object_of_contract.btn.save"),
				 "doSave();"));
		 //if( !ContractType.Works.equals(bean.getContractType()) && bean.getStruct().getId() == null ) shantanu
		 if(bean.getStruct().getId() == null && bean.getNoticeStruct().getPinNoticeType().equals(1))
		 {
			 bean.getOocForm().addButton(EPASSInputButton.createButton(
					 "button", 
					 "oocSaveAddNext",
					 ref.convertLiteral("form.wiz_object_of_contract.btn.save_add_next"),
					 "doSaveAddNext();"));
		 }
	 }
	 bean.getOocForm().addCloseButton("oocClose","javascript:onClose();");
%>


<p>
<p>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<TR>
  	<TD>
		<%		
		if ( ref.getSaveMessage() != null && ref.getSaveMessage() != "" )
		{
			out.println( ref.getSaveMessage() );
			ref.setSaveMessage(false);
		}%>
  	</TD>
</TR>
		
<TR>
  	<TD>
	<%=  bean.getOocForm()%>
  	</TD>
</TR>



</TABLE>

<script>

	var divInLots=document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
	var enableTendersSubmittedFor = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_ALL_LOTS_OR_ONE_OR_MAX)%>;
	var maxNumLotsTenderSubmit = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TENDER_SUBMIT)%>;
	var isNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_MAX_NUM_LOTS_TO_ONE_TENDRER)%>;
	var maxNumLotsToOneTenderer = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.MAX_NUM_LOTS_TO_ONE_TENDERER)%>;
	var isContractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_CONTRACT_AUTH_TO_AWARD)%>;
	var contractAuthToAward = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_AUTH_TO_AWARD)%>;
	var notes = document.getElementById("infoAboutLots");
	
	if(typeof(divInLots) != 'undefined' && !(getCheckedValue(divInLots)=='true')){
		notes.style.display = "none";
		if(typeof(enableTendersSubmittedFor) != 'undefined'){					
			enableTendersSubmittedFor[0].disabled = true;
			enableTendersSubmittedFor[1].disabled = true;
			enableTendersSubmittedFor[2].disabled = true;
			maxNumLotsTenderSubmit.disabled = true;
		}
		
		isNumLotsToOneTenderer.disabled = true;
		maxNumLotsToOneTenderer.disabled = true;
		isContractAuthToAward.disabled = true;
		contractAuthToAward.disabled = true;
	}
	else{
		notes.style.display = "";
		if(typeof(enableTendersSubmittedFor) != 'undefined'){					
			enableTendersSubmittedFor[0].disabled = false;
			enableTendersSubmittedFor[1].disabled = false;
			enableTendersSubmittedFor[2].disabled = false;
			maxNumLotsTenderSubmit.disabled = false;
			if(enableTendersSubmittedFor[2].checked){
				maxNumLotsTenderSubmit.disabled = false;
			}
			else{
				maxNumLotsTenderSubmit.disabled = true;
			}
		}
		isNumLotsToOneTenderer.disabled = false;
		if(isNumLotsToOneTenderer.checked){
			maxNumLotsToOneTenderer.disabled = false;
		}
		else{
			maxNumLotsToOneTenderer.disabled = true;
		}
		isContractAuthToAward.disabled = false;
		if(isContractAuthToAward.checked){
			contractAuthToAward.disabled = false;
		}
		else{
			contractAuthToAward.disabled = true;
		}
	}
</script>

</body>

</html>
<%@ include file="../../include/simple_tail.inc"%>
