<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.ApplicationServices.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.BusinessLogic.Constant.*" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Authorization.*" %>
<%@ page import="com.avinamart.WebInterface.forms.ia.ialists.IAListPageManager" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Utility.Exception.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.emptoris.app.ojeu.common.struct.*" %>
<%@ page import="java.text.Collator" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@page import="com.emptoris.app.ojeu.dataAccess.query.NoticeQuery" %>
<%@page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.avinamart.BusinessLogic.Bean.Common.ObjectCopyHelper" %>
<%@ page import="com.avinamart.Utility.StringUtility" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.LegalFinancialTechInfoPageBean" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>

<%@ page import="com.emptoris.app.ojeu.dataAccess.internal.bean.Notice" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@ page import="com.emptoris.framework.workflow.common.struct.*" %>
<%@ page import="com.emptoris.framework.workflow.common.key.*" %>
<%@ page import="com.emptoris.app.partner.common.struct.PartnerProfileStruct" %>
<%@ page import="com.emptoris.framework.organization.common.struct.OrganizationStruct" %>
<%@ page import="com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSDHTMLSelect" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSButtonDivControl" %>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.ProjectManagement.ProjectManagementUiBusinessRules" %>
<%@ page import="com.avinamart.BusinessLogic.Bean.AuthorizationService.ModuleAuthorizationHelper" %>
<%@ include file="../../include/simple_head.inc" %>

<% 
	LegalFinancialTechInfoPageBean bean = (LegalFinancialTechInfoPageBean)
        		request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	NoticeStruct noticeStruct = bean.getNoticeStruct();
	Integer noticeType = null;
	if(noticeStruct != null){
		noticeType = bean.getNoticeStruct().getTenderFormType();
	}


	//******************************************************************************
	//      Initialize table control field values from struct
	//******************************************************************************
	
	String actionBarTitle = null;
	String statusMsg = null;
	
	boolean canUpdate = true;
	boolean isEditable = true; 
	actionBarTitle = ref.convertLiteral("form.wiz.ojeu.lefti.title");
	
	// create the buttons, after read only is set // may be need in future
	EPASSInputButton buttonSubmit = null;

	EPASSInputButton buttonCancel = EPASSInputButton.createButton("button", "cancelButton" ,
									ref.isReadOnly() ? ref.convertLiteral("form.wizConfigStart.button.done")
					 								 : ref.convertLiteral("form.wizConfigStart.button.cancel"),
									"self.close();");


	//******************************************************************************
	//	Build Form Table
	//******************************************************************************
	
	EPASSHTMLForm editForm = null;
	final String formName        = "LegalFinancialTechInfoForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
				ref.getUserPath() + "ojeu/jsp/wiz_legal_financial_tech_info.jsp", true );
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );
	// Set the read only flag on the form
	//editForm.setReadOnly( !canUpdate || !isEditable);

    EPASSImageControl addBtn=null;
	EPASSHTMLSelect inputCTRLSelect = null;
	
	EPASSInputControlInterface icInterface1 = null;	
	EPASSDHTMLSelect inputCTRLTemplateSelect = null;
	EPASSDHTMLSelect inputCtrlDHTMLSelect = null;
	EPASSInputControlDate inputCtrldate = null;
	EPASSInputControl inputCTRL = null;
	EPASSTextAreaControl stdTxt = null;
	EPASSInputSingleCheckBox checkBox = null;
	Object[] sectionNo = null;
	EPASSDetailViewRowBase lastRow = null;
	String displayStatus = "";
	NoticeStruct notice = bean.getNoticeStruct();
	//-------------LegalFinancialTechInfo Starts--------------------
	
	//----------------------------------Start of Section: Conditions for participation--------------------------------------	
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation"));
	//-----------------------------------------------------------------------------------
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.suitability.professional.activity"));
	//-----------------------------------------------------------------------------------
	stdTxt = new EPASSTextAreaControl(  bean.fieldNameOperatorsPersonalSituation, 
											bean.getFieldValueOperatorsPersonalSituation(), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 1000);
		stdTxt.setAttribute("COLS",70);
		stdTxt.setEnabled(bean.canUpdateLefti());
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.list.brief.description.conditions"),
				ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.list.brief.description.conditions"), stdTxt);
	//-----------------------------------------------------------------------------------
	
	//------------------------------------Start-------------------------------------------
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.economic.and.financial.standing"));

	checkBox = new EPASSInputSingleCheckBox(
		bean.fieldNameEconomicFinancialProDocuments,
		"true",
		bean.getFieldValueEconomicFinancialProDocuments(),
		"",
		"showHideEcoFinStanding()",
		ref);
	checkBox.setEnabled(true);
	checkBox.setEnabled(bean.canUpdateLefti());
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.selection.criteria.procurement.documents"), 
		ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.selection.criteria.procurement.documents"), checkBox);

	stdTxt = new EPASSTextAreaControl(  bean.fieldNameEconomicFinancialSituationInfo, 
											bean.getFieldValueEconomicFinancialSituationInfo(), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 1000);
	stdTxt.setAttribute("COLS",70);
	stdTxt.setEnabled(bean.canUpdateLefti());
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.Economic.financial.standing.list.brief.description.selection.criteria"),
		ref.convertLiteral("form.wiz.ojeu.lefti.Economic.financial.standing.list.brief.description.selection.criteria"), stdTxt);

	stdTxt = new EPASSTextAreaControl(  bean.fieldNameEconomicFinancialSituationStandardsReqd, 
											bean.getFieldValueEconomicFinancialSituationStandardsReqd(), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 1000);
	stdTxt.setAttribute("COLS",70);
	stdTxt.setEnabled(bean.canUpdateLefti());
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.minimum.standards.possibly.required"),
		ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.minimum.standards.possibly.required"), stdTxt);				
	//------------------------------------End--------------------------------------------
	//------------------------------------Start-------------------------------------------
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.technical.professional.ability"));

	checkBox = new EPASSInputSingleCheckBox(
		bean.fieldNameTechnicalProfessionalProDocuments,
		"true",
		bean.getFieldValueTechnicalProfessionalProDocuments(),
		"",
		"showHideTechProfAbility()",
		ref);
	checkBox.setEnabled(true);
	checkBox.setEnabled(bean.canUpdateLefti());
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.selection.criteria.procurement.documents"), 
		ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.selection.criteria.procurement.documents"), checkBox);

	stdTxt = new EPASSTextAreaControl(  bean.fieldNameTechnicalCapabilityInfo, 
											bean.getFieldValueTechnicalCapabilityInfo(), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 1000);
		stdTxt.setAttribute("COLS",70);
		stdTxt.setEnabled(bean.canUpdateLefti());
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.Economic.financial.standing.list.brief.description.selection.criteria"),
				ref.convertLiteral("form.wiz.ojeu.lefti.Economic.financial.standing.list.brief.description.selection.criteria"), stdTxt);

	stdTxt = new EPASSTextAreaControl(  bean.fieldNameTechnicalCapabilityStandardsReqd, 
											bean.getFieldValueTechnicalCapabilityStandardsReqd(), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 1000);
		stdTxt.setAttribute("COLS",70);
		stdTxt.setEnabled(bean.canUpdateLefti());
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.minimum.standards.possibly.required"),
				ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.minimum.standards.possibly.required"), stdTxt);				
	//------------------------------------End--------------------------------------------
	//------------------------------------Start------------------------------------------
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.information.reserved.contracts"));

	checkBox = new EPASSInputSingleCheckBox(
		bean.fieldNameRestrictedToSWs,
		"true",
		bean.getFieldValueRestrictedToSWs(),
		"",
		ref);
	checkBox.setEnabled(true);
	checkBox.setEnabled(bean.canUpdateLefti());
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.the.contract.is.restricted"), 
		ref.convertLiteral("form.wiz.ojeu.lefti.the.contract.is.restricted"), checkBox);
		
	checkBox = new EPASSInputSingleCheckBox(
		bean.fieldNameRestrictedToFSEPs,
		"true",
		bean.getFieldValueRestrictedToFSEPs(),
		"",
		ref);
	checkBox.setEnabled(true);
	checkBox.setEnabled(bean.canUpdateLefti());
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.the.execution.of.the.contract"), 
		ref.convertLiteral("form.wiz.ojeu.lefti.the.execution.of.the.contract"), checkBox);
	//------------------------------------End--------------------------------------------
	
	//------------------------------------Start----------------------------------------
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.relating.to.contract"));
	
	if(noticeStruct != null && NoticeType.PriorInformationNotice.equals(noticeType)
			&& ContractType.Services.equals(noticeStruct.getTenderContractType())){
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.information.particular.profession"));
		
		checkBox = new EPASSInputSingleCheckBox(
			bean.fieldNameExecutionServiceParticularProfession,
			"true",
			bean.getFieldValueExecutionServiceParticularProfession(),
			"",
			"showHideFinancialCondition()",
			ref);
		checkBox.setEnabled(true);
		checkBox.setEnabled(bean.canUpdateLefti());
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.execution.particular.profession"), 
			ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.execution.particular.profession"), checkBox);
		
		stdTxt = new EPASSTextAreaControl(  bean.fieldNameFinancingConditions, 
												bean.getFieldValueFinancingConditions(), 
												EPASSTextAreaControl.DEFAULT_ROWS, 
												EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
			stdTxt.setAttribute("COLS",70);
			stdTxt.setEnabled(bean.canUpdateLefti());
			editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.main.financing.conditions"),
					ref.convertLiteral("form.wiz.ojeu.lefti.main.financing.conditions"), stdTxt);	
	}
				
	sectionNo = new Object[]{"III.2.2"};
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.contract.performance.conditions", sectionNo));
	
	stdTxt = new EPASSTextAreaControl(  bean.fieldNameOtherContractPerformanceConditions, 
											bean.getFieldValueOtherContractPerformanceConditions(), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 1000);
		stdTxt.setAttribute("COLS",70);
		stdTxt.setEnabled(bean.canUpdateLefti());
		sectionNo = new Object[]{""};
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.contract.performance.conditions", sectionNo),
				ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.contract.performance.conditions", sectionNo), stdTxt);
				
	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.information.responsible.performance.contract"));
	
	checkBox = new EPASSInputSingleCheckBox(
		bean.fieldNameObligationPerformingContract,
		"true",
		bean.getFieldValueObligationPerformingContract(),
		"",
		ref);
	checkBox.setEnabled(true);
	checkBox.setEnabled(bean.canUpdateLefti());
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.professional.qualifications.performing.contract"), 
		ref.convertLiteral("form.wiz.ojeu.lefti.conditions.for.participation.professional.qualifications.performing.contract"), checkBox);		
		
	
	//--------------------------------------End----------------------------------------
    
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + EPASSJSPActions.SAVE_NEW );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY", "");
	
	out.write(TreeWizUtility.getNavHideSaveButtonJs(!bean.canUpdateLefti()));
	// END HIDDEN FIELDS
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
	editForm.setUserInputClass("OJEU_FORM_INPUT");	
	editForm.setAddSizerTDs(false);

	// End Table Form===========================================================
	Object actionBarButtons = toolbarItems.toString();
%>


	<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />


<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<%
	//old if( bean.isUpdateTree() )
    if( true )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>


<SCRIPT>
function showHideEcoFinStanding(){
	var checkBox = document.getElementsByName('<esapi:js><%= bean.fieldNameEconomicFinancialProDocuments %></esapi:js>');
	if(checkBox[0].checked){
		document.getElementsByName('<esapi:js><%= bean.fieldNameEconomicFinancialSituationInfo %></esapi:js>')[0].value="";
		document.getElementsByName('<esapi:js><%= bean.fieldNameEconomicFinancialSituationStandardsReqd %></esapi:js>')[0].value="";
		document.getElementsByName('<esapi:js><%= bean.fieldNameEconomicFinancialSituationInfo %></esapi:js>')[0].disabled=true;
		document.getElementsByName('<esapi:js><%= bean.fieldNameEconomicFinancialSituationStandardsReqd %></esapi:js>')[0].disabled=true;
	}else{
		document.getElementsByName('<esapi:js><%= bean.fieldNameEconomicFinancialSituationInfo %></esapi:js>')[0].disabled=false;
		document.getElementsByName('<esapi:js><%= bean.fieldNameEconomicFinancialSituationStandardsReqd %></esapi:js>')[0].disabled=false;
	}
}
function showHideTechProfAbility(){
	var checkBox = document.getElementsByName('<esapi:js><%= bean.fieldNameTechnicalProfessionalProDocuments %></esapi:js>');
	if(checkBox[0].checked){
		document.getElementsByName('<esapi:js><%= bean.fieldNameTechnicalCapabilityInfo %></esapi:js>')[0].value="";
		document.getElementsByName('<esapi:js><%= bean.fieldNameTechnicalCapabilityStandardsReqd %></esapi:js>')[0].value="";	
		document.getElementsByName('<esapi:js><%= bean.fieldNameTechnicalCapabilityInfo %></esapi:js>')[0].disabled=true;
		document.getElementsByName('<esapi:js><%= bean.fieldNameTechnicalCapabilityStandardsReqd %></esapi:js>')[0].disabled=true;
	}else{
		document.getElementsByName('<esapi:js><%= bean.fieldNameTechnicalCapabilityInfo %></esapi:js>')[0].disabled=false;
		document.getElementsByName('<esapi:js><%= bean.fieldNameTechnicalCapabilityStandardsReqd %></esapi:js>')[0].disabled=false;
	}
}
function showHideFinancialCondition(){
	var checkBox = document.getElementsByName('<esapi:js><%= bean.fieldNameExecutionServiceParticularProfession %></esapi:js>');
	if(checkBox[0].checked){
		document.getElementsByName('<esapi:js><%= bean.fieldNameFinancingConditions %></esapi:js>')[0].disabled=false;
	}else{
		document.getElementsByName('<esapi:js><%= bean.fieldNameFinancingConditions %></esapi:js>')[0].value="";
		document.getElementsByName('<esapi:js><%= bean.fieldNameFinancingConditions %></esapi:js>')[0].disabled=true;
	}
}

function intiFields(){
	showHideEcoFinStanding();
	showHideTechProfAbility();
	showHideFinancialCondition();
}
<!--
var NAV_LIST='';
var NAV_DEP = '<%=ContextCodes.EVENT%>';
var isNavBlocked = false;


	function selectType()
	{
	}
	
	function resetHiddens()
	{
	}

    /**
     *
     * @return
     */
	function onClickSaveForm() {
		document.<%=formName %>.submit();
	}

	/**
	* After selecting of radio button fieldNameOtherContractPerformanceConditionsSpecified
	*/
	function refresh(){

			document.<%=formName%>.<%=EPASSJSPActions.ACTION%>.value='<%=EPASSJSPActions.REFRESH_PAGE%>';      
			document.<%=formName%>.submit();
	}

	function onClickResvedContracts()
	{
	 	var radioButton = document.getElementsByName('<%= bean.fieldNameReservedContracts%>');
        var restrictedToFSEPs = document.getElementById('restrictedToFSEPs');     
        var restrictedToSWs = document.getElementById('restrictedToSWs');

        setDirtyRadioBt('<%= bean.fieldNameReservedContracts%>');
        
        if(radioButton[0].checked)
        {
			restrictedToFSEPs.style.display = 'table-row';
			restrictedToSWs.style.display = 'table-row';
			document.<%=formName%>.<%=bean.fieldNameRestrictedToSWs%>.value = null;
			document.<%=formName%>.<%=bean.fieldNameRestrictedToFSEPs%>.value = null;
        }
        else
        {
            restrictedToFSEPs.style.display = 'none';
            restrictedToSWs.style.display = 'none';
        }

	}
    
	function setDirtyRadioBt(oldValue)
	{          
	    if( typeof(monitoredFields[oldValue]) == 'undefined')
	    {
	             document.<%=formName%>.IS_FORM_DIRTY.value = 'true';
	    }
	}

    
	function NAV_HandleEvent(var1, var2)
	{
	
		if( var1 == "<%=EPassTree._sNavigationEvent%>"  )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
   			var goToParam = (splitted.length == 2)? splitted[1]: "";
			//alert('1 var2 = ' + var2 + ', goToDir = ' + goToDir + ', goToParam = ' + goToParam)

   			if( goToDir.indexOf( '<%=EPassTree._sTreeNavResetCmd%>' ) == 0 ){

   				if( confirm("<%=ref.convertLiteral( "form.wizConfigSchedule.message.reset" )%>") ){
   					document.<%=formName%>.reset();
                    <%=editForm.getInitMonitorJS()%>
                    NAV_Reload(this);
	        	}
   			}
	        else if( goToDir.indexOf( '<%=EPassTree._sTreeNavCloseCmd%>' ) == 0 ){
   					document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value =
																 '<%=EPassTree._sTreeNavCloseCmd%>';
   					onClickSaveForm();
	   		}else if (<%= editForm.getIsFormDirtyJS() %> 
									   		|| var2 == "<%=EPassTree._sTreeNavSaveCmd%>" 
								   			|| document.<%=formName%>.IS_FORM_DIRTY.value == 'true')
				{	
        			if (var2 == "<%=EPassTree._sTreeNavSaveCmd%>" ||  confirm("<%=ref.convertLiteral("form.wizConfig.message.save")%>") )
        			{        		
        				document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
						onClickSaveForm();
					}
       				else
       				{       				
						document.<%=formName%>.reset();
	                	<%=editForm.getInitMonitorJS()%>
	                	NAV_FireEvent( top, '<%=EPassTree._sNavigationEvent%>', var2 );
					}
				}
				else
				{					
 	             if( goToDir.indexOf( '<%=EPassTree._sTreeNavBackCmd%>' ) == 0
                       ||
                       goToDir.indexOf( '<%=EPassTree._sTreeNavNextCmd%>' ) == 0
                     ) {
                       <%=EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
                   	} else {
                       <%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
                   	}
    					
				}

		}
	}


// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

--></SCRIPT>
</HEAD>
<body onload="init(); resetHiddens(); intiFields();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">

<%@ include file="../../include/inc_actionbar_spacer.inc" %>

<%
//
// Will print the error message, if one exist. Uses a stylesheet format
//
if( ref.isMessage() )
{%>
		<%= ref.getMessage()%>
<%}

//if (bean.isNotifyOfUpdate()) {
	if (true) {
// if page is updated successfully, send a context update to nav, and let the tree control, refresh.
		//NavSupport.sendUpdateAndCtx(ContextCodes.ASSESSMENT, pass_notice_id, null, ref)%>
	<%//ESP-55729: Need to pass current notice id while updating Nav context %>
	<%= NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE, bean.getRef().userDataContext.getNoticeId(), null, ref)%>
<%} %>

<%

	if(true )
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}

%>

<%@ include file="../../include/inc_action_bar.inc" %>
<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<%
	
if ( statusMsg != null )
  {%>
	<TR CLASS='POPFORMHIGH' >
		<TD>
		<P CLASS=ERRORMSG>
		<%= ref.convertLiteral(statusMsg)%>
		</P>
		</TD>
	</TR>
<%}%>

<TR>
  	<TD>
	<%= editForm%>
  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
