<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.app.rfxkernel.webClient.bean.DetailBidTheaterBean"%>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSDHTMLTable" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSToolbarItems" %>
<%@ page import="com.avinamart.Struct.BidStruct" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.AuctionType" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.AuctionStatus" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.DiscountType" %>
<%@ page import="com.metaparadigm.jsonrpc.JSONRPCBridge" %>
<%@ page import="com.emptoris.app.rfxkernel.webClient.ajax.BidHelper" %>
<%@ page import="com.emptoris.app.rfxkernel.webClient.action.DetailBidTheater" %>
<%@ page import="com.emptoris.app.rfxkernel.webClient.action.ListTheaterBid" %>
<%@ page import="com.emptoris.app.itembasedrfxkernel.service.model.kernel.LineItemObject" %>
<%@ page import="com.emptoris.app.itembasedrfxkernel.common.struct.RFxItemStruct" %>
<%@ page import="com.emptoris.app.itembasedrfxkernel.common.struct.RFxBidStruct" %>
<%@ page import="com.emptoris.app.rfxkernel.common.struct.RFxStruct"%>
<%@ page import="java.util.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSFieldName" %>
<%@ page import="com.avinamart.WebInterface.Constants.Dir" %>
<%@ page import="com.avinamart.ApplicationServices.SessionService" %>
<%@ page import="com.avinamart.BusinessLogic.Bean.BiddingService.BiddingService" %>
<%@ page import="com.avinamart.ApplicationServices.ServiceManager" %>
<%@ page import="com.emptoris.framework.organization.common.key.OrganizationKeyImpl" %>
<%@ page import="com.avinamart.BusinessLogic.Key.BusinessUserKeyImpl" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.AttributeDefDataType" %>
<%@ page import="com.avinamart.WebInterface.forms.bidding.quickbid.QuickBidPageConstructor" %>
<%@ page import="com.avinamart.Struct.AuctionStruct" %>
<%@ page import="com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct" %>
<%@ page import="com.emptoris.app.bidding.service.extensions.attribute.BiddingIAHelper" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="org.owasp.esapi.ESAPI" %>
<%@ taglib prefix="emp" uri="/WEB-INF/emp.tld" %>
<%@ taglib prefix="c" uri="/WEB-INF/c.tld"%>
<%@include file="../../include/simple_head.inc"%>
<%@ page import="com.emptoris.framework.ui.controller.internal.CSRFHelper" %>
<%
    JSONRPCBridge bridge = (JSONRPCBridge) session.getAttribute("JSONRPCBridge");
    if (bridge == null) {
        bridge = new JSONRPCBridge();
        session.setAttribute("JSONRPCBridge", bridge);
    }

    DetailBidTheaterBean bean = (DetailBidTheaterBean) request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
    String actionBarTitle = ref.convertLiteral("form.detail_bid_theater.title");

    if(bean.isUpdateBundleBid()){
		// add bundle bid name here...
        actionBarTitle = actionBarTitle + ": " + bean.getBundleBid().getName();
    }

     //changes

    EPASSToolbarItems actionBarButtons = (bean.getGlobals()!=null)?bean.getGlobals().getToolbarItems():null;

    BidHelper bidHelper = new BidHelper(bean.getRef().sessionService, bean.getRfx().getId(), bean.getRef().getOrgKey().getId(), bean.isForcedLot() );
    bridge.registerObject("bidHelper", bidHelper);

    String userPath = ref.getUserPath();

    Collection<LineItemObject> items = bean.getItems();
    Collection<LineItemObject> takeLeadItems = bean.getTakeLeadItems();
    Integer auctionId = bean.getRfx().getId();
    EPASSAttributeDefStruct ppuStruct = BiddingIAHelper.getBidAttributeDef(auctionId, BidStruct.BASEVARIABLECOST);
%>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>

<style type="text/css">
ainput, aselect {
    border: 1px solid #99f;
}

.TBL_CELL nobr {
    white-space: normal;
}

.buttonUp ,.buttonOver{
	width:auto!important
}

</style>

<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/i18n.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epass.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epass_checkbox.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epass_dtable.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/dimensions_utility.js"></script>
<SCRIPT type="text/javascript" SRC="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/dragDrop3.js"></SCRIPT>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epass_formValidation.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epToolbar.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/functionEvaluator.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/supportedFunctions.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epass_multi_currency.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epass_tree_util.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/epass_select.js"></script>
<link REL="stylesheet" HREF='<%= request.getContextPath()%>/dhtml_lib/css/default.css' />
<link REL="stylesheet" HREF='<%= request.getContextPath()%>/dhtml_lib/css/infoWindow.css' />
<link REL="stylesheet" HREF='<%= request.getContextPath()%>/dhtml_lib/css/XPWindow.css' />
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/browser.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/compat.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/util.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/dynamicIncludes.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/reflectionObject.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/gui/events/mouseDragProcessor.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/gui/events/moveProcessor.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/gui/events/iframeLayoutResizeProcessor.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/gui/events/eventManager.js"></script>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/gui/window.js"></script>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/fixSelectOverlayBug.js"></script>

<%-- JSON-RPC Integration --%>
<script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/jsonrpc.js"></script>

<SCRIPT type="text/javascript">

	 <c:if test="${bean.submitBundleBid}">
		parent.loadBidAndHistoryFrames('${bean.reloadUpdateBundleBidLink}');
	</c:if> 

    //
    // Terms and conditions
    // 1 no surrogate or prelim
    // 2 tnc required
    // 3 organization accepts once
    //
    var needsTnC = <%=  (!bean.isSurrogate() && !bean.isPreliminary())
        && bean.getRef().sessionService.isSupplierPreviewSimulatedTNA() == false
        && false
        &&  !ServiceManager.getOrganizationService().isTermsAndConditionsAccepted(ref.sessionService,
                                     new OrganizationKeyImpl(bean.getSupplierOrgId()),
                                     new BusinessUserKeyImpl(ref.userDataContext.getUserId()) ) %>;

    var TnCUrl = '<%=  ref.encodeURLwUP ( "detail_nda.jsp?" ) %>';

    var sId = <%=  bean.getRef().userDataContext.getUserId() %>;
    var sm = null;
    var message = "";
    var topWinDimensions = null;
    var i18n = new I18N();
    var NAFields = '<esapi:js><%= bean.getNAfields().toString() %></esapi:js>'
    var proxyShowing = true;
    var proxyWidth = 275;
    var NAFieldsArray = NAFields.split(",");
    var epass_frm_name = "BidForm";
    var frm = null;
    var isMultiCurrencyEnabled = <%=  bean.getRfx().isMultiCurrencyEnabled() %>;
    var isPreliminary = <%= bean.isPreliminary()%>;
    var isAccepted = <%= EPASSUiRFQServices.isRFQAccepted(ref, bean.getRFxStruct().getId() )%>
    var loadDetailBidId = <esapi:js><%=  ref.getReq().getParameter("load_detail_bid_id")%></esapi:js>;
    var isDiscountBiddingEnabled = <%= bean.isDiscountBiddingEnabled()%>;
    var isAuctionPaused = <%= ((RFxStruct)bean.getRfx().getStruct()).isAuctionPaused()%>;
    var isAuctionPending = <%= ((RFxStruct)bean.getRfx().getStruct()).isRFxPending()%>;
    var String_NA = '<esapi:js><%= bean.getRef().convertLiteral("Misc.NA") %></esapi:js>';
    var precision =  <%= ((RFxStruct)bean.getRfx().getStruct()).getDecimalPlaces()%>;
    var discountItemView = <%= bean.isDiscountItemView()%>;
    var showBaseCost = <%= bean.isShowBaseCost()%>;
    var ppuFormulaWithoutMinValue = ${bean.ppuFormulaWithoutMinValue};
    var currentBiddingObjectId = <%=  (bean.getCurrentBiddingObjectId()!=null) ? bean.getCurrentBiddingObjectId() : -1 %>;
    var auctionHelpUrl = "${bean.ref.userPath}help_auction_bid.jsp";
    var beanLineItemId = "${bean.lineItemId}";
    var beanLotId = "${bean.lotId}";
    var currentOrgId = ${bean.ref.orgID};
    var isSurrogate = <%= bean.isSurrogate()%>;
    var isBundleBid = <%= bean.isBundleBid()%>;
    var isUpdateBundleBid = ${bean.updateBundleBid};
    var docBidFormBundleBidName = null;
    var isAcceptMode = ${bean.acceptMode};

	var submitButtonEnabled = ${bean.submitButtonEnabled};

    var primaryCurCode = '${bean.rfx.primaryCurrencyCode}';
    var flCurCode = primaryCurCode;
    var userPrefCurCode = '<esapi:js><%=  bean.getUserStruct().getPreferredCurrency() %></esapi:js>';

    var sUserPath = '<esapi:js><%= bean.getRef().getUserPath()  %></esapi:js>';

    var VARIABLECOSTDISCOUNTVALUE = "_<%= BidStruct.VARIABLECOSTDISCOUNTVALUE%>";
    var VARIABLECOST = "_<%= RFxBidStruct.VARIABLECOST%>";
    var BASECOST = "_<%= RFxBidStruct.BASECOST%>";
    var HIDDEN_BASECOST = "_hidden<%= RFxBidStruct.BASECOST%>";
    var VARIABLECOSTDISCOUNTTYPE = "_<%= BidStruct.VARIABLECOSTDISCOUNTTYPE%>";
    var PREFIX_LINEITEMID = "<esapi:js><%= EPASSFieldName.addPrefix(BidStruct.LINEITEMID) %></esapi:js>";
    var PREFIX_LOT_ID = "<esapi:js><%= EPASSFieldName.addPrefix("LOT_ID") %></esapi:js>";
    var BASEVARIABLECOST = "_<%= RFxBidStruct.BASEVARIABLECOST%>";
    var BASEFIXEDCOST = "_<%= RFxBidStruct.BASEFIXEDCOST%>";
    var PREFIX_CURRENCYCODE = "_<esapi:js><%= EPASSFieldName.addPrefix(BidStruct.CURRENCYCODE) %></esapi:js>";
    var MINQUANTITY = "_<%= RFxItemStruct.MINQUANTITY%>";
    var MAXCAPACITY = "_<%= BidStruct.MAXCAPACITY%>";

    var isSupplierPreviewMode = <%= bean.getRef().isSupplierPreviewMode()%>;
    var auctionStatusOpen = <%= AuctionStatus.open%>;
    var auctionOpen = ('${bean.rfx.state}' == '<%= AuctionStatus.open%>');

    var itemArray = new Array();

    var beanItemCount = <%= (bean.getItems()!=null) ? bean.getItems().size() : 0%>;

    var dicountTypePercent = <%= DiscountType.PERCENTAGE%>;
    var SELECTED_ID = '<%=  ListTheaterBid.SELECTED_ID%>';

    var JSON_RPC_SERVLET = "<%= request.getContextPath() + EPASSConfig.getInstance().getStringParameter(EPASSConfig.SERVLET_PATH) %>JSON-RPC";
    var sDate = '<%=  new Date().getTime()%>';

    var jspActionUpdateBundleBid = <%=  EPASSJSPActions.UPDATE_BUNDLE_BID %>;
    var jspActionDelete = <%=  EPASSJSPActions.DELETE %>;
    var jspActionEditView = <%=  EPASSJSPActions.EDIT_VIEW%>;
    var jspActionSaveProxyBids = <%= EPASSJSPActions.SAVE_PROXY_BIDS%>;
    var currenctJspActionElem = null;

    var sUserPath = '<esapi:js><%= bean.getRef().getUserPath() %></esapi:js>';

    var BUNDLE_BID_NAME = '<esapi:js><%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_NAME)  %></esapi:js>';
    var BUNDLE_BID_ITEM_IDS = '<esapi:js><%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_ITEM_IDS)  %></esapi:js>';
    var NO_PRELIM_BIDS_SELECTED = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.error.no_preliminary_bid_selected")%></esapi:js>';
    var ERROR_BUDLENAME_REQUIRED = '<esapi:js><%= ref.convertLiteral("epass.auction_bundle_bid.error.bundlename_required") %></esapi:js>';
    var BUNDLE_ERROR_SELECT = '<esapi:js><%= ref.convertLiteral("epass.auction_bundle_bid.error.select_required") %></esapi:js>';
    var CONFIRM_DELETE_PRELIM_BIDS = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.confirm.delete_preliminary_bid")%></esapi:js>';
    var BUNDLE_BID_ERROR = '<esapi:js><%= ref.convertLiteral("epass.auction_bundle_bid.error.atleast_two")%></esapi:js>';
    var INVALID_CURRENCY_SELECTION = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.error.invalid_currency_selection")%></esapi:js>';
    var PROXY_DISABLE_ALL = '<esapi:js><%= bean.getRef().convertLiteral("form.detail.bid.theater.proxy.disable_all") %></esapi:js>';
    var PROXY_ENABLE_ALL = '<esapi:js><%= bean.getRef().convertLiteral("form.detail.bid.theater.proxy.enable_all") %></esapi:js>';
    //var theTable = null; document.<%-- EPASSDHTMLTable.DEFAULT_ID --%>;
    var DEFINE_PROXY_RULES = '<esapi:js><%= bean.getRef().convertLiteral("bidSubmit.button.define_proxy_rules") %></esapi:js>';
    var HIDE_PROXY_RULES = '<esapi:js><%= bean.getRef().convertLiteral("bidSubmit.button.hide_proxy_rules") %></esapi:js>';
    var TAKE_LEAD_NEGATIVE_ERROR = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.suggested_bid.take_lead.negative_error")%></esapi:js>';
    var SUGGESTED_BID_TAKE_LEAD = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.suggested_bid.take_lead")%></esapi:js>';
    var TAKE_LEAD = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.take_lead")%></esapi:js>';
    var MIN_CHANGE = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.min_change")%></esapi:js>';
    var SUGGESTED_MIND_BID_CHANGE = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.suggested_bid.min_change")%></esapi:js>';
    var ERROR_NO_CHANGE_ROW = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.error.no_change_row")%></esapi:js>'; 
    var ERROR_NO_FLOOR_FOR_PROXY_ITEMS = '<esapi:js><%= ref.convertLiteral("form.detailbidtheater.error.no_floor_for_proxy_items")%></esapi:js>';
    var firstClickProxyNoteMessage = "<esapi:js><%=  bean.getFirstClickProxyNote()  %></esapi:js>";
    var closeMessage = "<center><table><tr><td align='center'><input type='button' onclick='closeSm(sm)' value='<%=  ref.convertLiteral("form.bid.bids_error_close")%>'></td></tr></table></center>";
    var expandTip = "<esapi:js><%= ref.convertLiteral("form.EPASSHTMLForm.button.expand") %></esapi:js>"; //"Expand";
    var collapseTip = "<esapi:js><%= ref.convertLiteral("form.EPASSHTMLForm.button.collapse") %></esapi:js>"; //"Collapse";
    var headerAltClear = "<esapi:js><%= ref.convertLiteral( "epass.multi_bid.column_button.clear.txt")%></esapi:js>";
    var headerAltSet = "<esapi:js><%= ref.convertLiteral( "epass.multi_bid.column_button.set.txt")%></esapi:js>";
    var headerAltDiscount = "<esapi:js><%= ref.convertLiteral( "epass.multi_bid.column_button.discount.txt")%></esapi:js>";
    var textareaWarning = "<esapi:js><%= ref.convertLiteral( "form.detailbidtheater.error.textarea_warning") %></esapi:js>";


    var JS_CURRENCY_SELECTOR_PREFIX = '<%= DetailBidTheater.JS_CURRENCY_SELECTOR_PREFIX%>_';
    var NO_CHANGES_TO_SUBMIT = "<esapi:js><%= ref.convertLiteral("bidSubmit.alert.no_changes_to_submit")%></esapi:js>";

    var hasProxyNoteBeenShown = <%=  Boolean.TRUE.equals(session.getAttribute("PROXY_NOTE_SHOWN")) %>;
    var auctionTypeAsc = <%= AuctionType.ASCENDING_PRICE%>;
    var auctionTypeDesc = <%= AuctionType.DESCENDING_PRICE%>;
    var showIconColumn = ${bean.showIconColumn};
    var isReverseAuction = ${bean.RFxStruct.reverseAuction};
    var isForwardAuction = ${bean.RFxStruct.forwardAuction};
    var isForcedLot = <%=  (bean.isForcedLot()) %>;
    var rfxDecimalPlaces = ${bean.rfx.decimalPlaces};
    var showingForcedLotRequirement = ${bean.showingForcedLotRequirement};
    var origRequiredTotal = null;
	var windowTitle = "<esapi:js><%= ref.convertLiteral( "epass.title") %></esapi:js>";
	var errorMessage="<%= ref.convertLiteral( "form.formula.failed.calc.errormessage") %>";
	var statusColPos=0;

    var hasAdvButtons = <%=  bean.hasAdvButtons() %>;
	var isPreviewMode = <%=  bean.getRef().isSupplierPreviewMode()%>;
	var isShowingForcedLotRequirement = <%=  bean.isShowingForcedLotRequirement() %>;
    function formulaCalc(itemId, fldName){
        ${bean.formulaCalculationJS}
    }

    //Write the fomual messages data (used by messagesCalc method in list_theater_bid.js)
     <%=  bean.getMessageFormulasJS() %>

<%
    if ( bean.getRfx().isMultiCurrencyEnabled() ) {
        out.println( DetailBidTheater.createJSExchangeRateCurrencyMap(bean) );
    }

    if ( bean.getJsData() != null ) {
        for ( String data : bean.getJsData() ) {
            out.println(data);
        }
    }

    if ( bean.getItems() != null ) {
        for( LineItemObject item : bean.getItems() ) {
            out.println("itemArray[itemArray.length] = " +  item.getObjectId() );
        }
    }

%>

var advToggle = false || window.parent.advToggle;
function toggleAdvMode(){
    var btn = Util.byId("adv_mode_btn");

    if ( advToggle ) {

        btn.innerHTML = '<esapi:html><%=  ref.convertLiteral("bidSubmit.button.show_advanced_mode")%></esapi:html>';
        btn.title = '<esapi:js><%=  ref.convertLiteral("bidSubmit.button.show_advanced_mode")%></esapi:js>';
		Util.hideAll(ColumnHeaderButtonGenerator.columnButtons);
        //alert( ColumnHeaderButtonGenerator.columnButtons.length );
    } else {

        if ( ColumnHeaderButtonGenerator.columnButtons.length == 0 ) {
            initColumnButtons();
        }

        btn.innerHTML = '<esapi:html><%=  ref.convertLiteral("bidSubmit.button.hide_advanced_mode")%></esapi:html>';
        btn.title = '<esapi:js><%=  ref.convertLiteral("bidSubmit.button.hide_advanced_mode")%></esapi:js>';

        Util.showAll(ColumnHeaderButtonGenerator.columnButtons, "inline");
        //alert( ColumnHeaderButtonGenerator.columnButtons.length );
    }

    advToggle = !advToggle;
    window.parent.advToggle = advToggle;
}


</SCRIPT>


<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/page/detail_bid_theater.js" ></script>

<% if ( bean.hasAdvButtons() ) { %>

    <script type="text/javascript">
        var enabledControls = <%=  bean.getJSONEnabledControls() %>;
    </script>

    <script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/oo.js"></script>
    <script type="text/javascript" src="<esapi:htmlatt><%=  userPath %></esapi:htmlatt>js/advanced_mode_detail_bid_theater.js"></script>

<% } %>

<SCRIPT type="text/javascript">
    function onLoad() {
	    hideWait();

	 	// ESP-46164
	    $('input[name^="_display__"]').attr("disabled","true");
		 //$('#effectivebid').attr("disabled","true");
		 
        if ( typeof startTable != 'undefined' ){

            // advanced column header buttons
            if ( hasAdvButtons && Util.objExists('enabledControls')  ) {
                initColumnButtons();
            }

            // setup dhtml table
            startTable();

            //sinbar, PR71466, add to all the enabled inputs in the data section an onfocus event to manage the scroll.
           //If an onfocus handler is already defined for the cell, this will be added on top of it.
            //WARNING - this is a temporary hack until a better framework solution can be created.  
           var inputs = document.tbl.scrlDataDiv.getElementsByTagName('INPUT');
           for(var i = 0; i < inputs.length; i++){
               if(!inputs[i].disabled && inputs[i].type != 'hidden'){
                   if ( window.addEventListener != undefined )
                       inputs[i].addEventListener("focus",onFcs, false);
                   if ( document.attachEvent != undefined )
                       inputs[i].attachEvent("onfocus",onFcs);
               }
           }

            if (  hasAdvButtons && Tools.objExists('enabledControls')  ) {
                if ( typeof (window.parent.advToggle) == 'undefined' || window.parent.advToggle == false) {
                    Tools.hideAll(ColumnHeaderButtonGenerator.columnButtons);
                } else {
                    var btn = Tools.byId("adv_mode_btn");
                    btn.innerHTML = '<esapi:html><%=  ref.convertLiteral("bidSubmit.button.hide_advanced_mode")%></esapi:html>';
                    btn.title = '<esapi:js><%=  ref.convertLiteral("bidSubmit.button.hide_advanced_mode")%></esapi:js>';
                }
            }
        }

        jsonrpc = new JSONRpcClient(JSON_RPC_SERVLET);
        try {
            if ( document.BidForm ) {
                frm = document.BidForm;
                currenctJspActionElem = document.BidForm.<%= EPASSJSPActions.ACTION%>;
                docBidFormBundleBidName = (isBundleBid || isUpdateBundleBid) ? document.BidForm.<%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_NAME) %>:null;
            }
            topWinDimensions = getVisualDimensions(window.top);

            /* replace with synchrounous call
            setSubmitButtonEnabled();
            */
            getRFxState();
            checkExpanded();
            highlightCurrentRow();
            setTimeout( tabIndexInputs, 2000 );

            <% if ( bean.getMessage() != null && bean.getMessage().equals("form.bid.bids_submit_successful") ) { %>
                <% if ( bean.isAcceptMode() ) {%>
                    sm = createSubmitResultMessage("<%=  ref.convertLiteral("form.bid.bids_submit_successful_modified")%>");
                <% } else { %>
                    sm = createSubmitResultMessage("<%=  ref.convertLiteral("form.bid.bids_submit_successful")%>");
                <% } %>
                sm.onclick = createCloseSm(sm);
                setTimeout( createCloseSm(sm), 10000 );

            <% } else if(bean.isSubmissionError() && bean.getLotId()!=null) { %>
	                message = "<%=  ref.convertLiteral("form.bid.bids_error_lot")%>" + "<br>" + closeMessage;
	                sm = createSubmitResultMessage(message);
	        <% } else if(bean.isSubmissionError()) { %>
	                message = "<%=  ref.convertLiteral("form.bid.bids_error_item")%>" + "<br>" + closeMessage;
	                sm = createSubmitResultMessage(message);
	        <% } %>

	        <% if ( bean.isShowingForcedLotRequirement()  ) {  %>
	            // if all bids in same currency init forced lot required total
	            origRequiredTotal = initFLRequiredTotal();

	            // user prefered currency not allowed in auction then use primary
	            if( isMultiCurrencyEnabled) {
	                if (exchangeRateMap[userPrefCurCode] == undefined) {
	                    userPrefCurCode = primaryCurCode;
	                }
	            } else {
	                userPrefCurCode = primaryCurCode;
	            }
	        <% } %>

	        addEventHandlerToWindow(window,"load",tabIndexInputs);

            setProxyToggleLabel();

        } catch(e) {console.log(e);}

        <%=  bean.getOnLoadScript() %>
        if (<%= bean.isCalcPPUOnLoad()%>) {
            calcPPUsForNewBid();
        }
        
		var bidFrameMaximized  = window.parent.pageLayout.isExpanded(1);
    	
        <%=  bean.getJsCommandsString() %>
        setHelpAction();

        // fix
        if ( !Util.isIE && Util.byId("proxy_button_table_head") ) {
            Util.byId("proxy_button_table_head").style.marginTop = "-15px";
        }

        var hds = $('#frzHeader').find('*')
		for(k = 0; k<hds.length;k++)
		{
			
			var code = $("#"+hds[k].id).attr('code');
			if(code=='STATUS'){
				statusColPos = hds[k].id.split('_')[1];
				break;
			}
		}
        
    	$(document.body).addClass("claro"); //for tooltip, ESP-58373
    }

    	//sinbar, PR71466, the function is called when an enabled input cell gets focus and manges the scrolling of the headers
    	//and the data section together.
   	//WARNING - this is a temporary hack until a better framework solution can be created.  Some hard coding is involved here
   	//make sure  to test properly if changes are made to the table
    	function onFcs(evt){

        	//Notice that this is hard coded. This is the first column of the table with an enabled input. It should be
        	//updated if more disabled columns are added in front of it.
         	var firstTabable = 4;
		var scrolledRight = getElemScrollLeft(document.tbl.scrlDataContainerDiv);
		
		var curLeft = parseInt(document.tbl.scrlDataDiv.style.left)
		
		if(scrolledRight > 0){
			setElemScrollLeft(document.tbl.scrlDataContainerDiv, 0);
			document.tbl.scrlHeaderDiv.style.left = curLeft - scrolledRight
			document.tbl.scrlDataDiv.style.left = curLeft  - scrolledRight
			document.tbl.hScrollerManager.scroller.style.left = parseInt(document.tbl.hScrollerManager.scroller.style.left) + scrolledRight*document.tbl.hRatio
		}
		
		var inpt = getEventSource(evt);
		var parentDiv = inpt.parentNode;
		while(parentDiv.id.indexOf('TD_') != 0) parentDiv = parentDiv.parentNode;
		var parentDivId = parentDiv.id;
		
		//
		if(parentDivId.substring(parentDivId.length-2, parentDivId.length) == '_' + firstTabable){
			document.tbl.scrlHeaderDiv.style.left = 0;
			document.tbl.scrlDataDiv.style.left = 0;
			document.tbl.hScrollerManager.scroller.style.left = 17;
			
		}
		
		
		var scrolledDown = getElemScrollTop(document.tbl.scrlDataContainerDiv);
		
		var curTop = parseInt(document.tbl.scrlDataDiv.style.top)
		
		if(scrolledDown > 0){
			setElemScrollTop(document.tbl.scrlDataContainerDiv, 0);
			document.tbl.frzDataDiv.style.top = curTop - scrolledDown
			document.tbl.scrlDataDiv.style.top = curTop  - scrolledDown
			document.tbl.vScrollerManager.scroller.style.top = parseInt(document.tbl.vScrollerManager.scroller.style.top) + scrolledDown*document.tbl.vRatio
		}


	}

</script>

<style type="text/css">
.save_message {
    padding:3px;
    position: absolute;
    border: 1px black solid;
    background-color: yellow;
    color: black;
    font-size:12pt;
    white-space: nowrap;
}
<%-- ESP- 46163 --%>
input[type="text"] { 
	width: 95px!important;
} 
</style>

<LINK REL="stylesheet" HREF='<%= request.getContextPath()%>/css/epass.css' />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
</head>

<% if ( bean.getRenderedTable() != null ) { %>

<body onload="onLoad();"  style="overflow:hidden;height:auto;" onscroll="if (document.selection) document.selection.empty(); scrollTo(0,0);">

<form action="detail_bid_theater.jsp" method="POST" name="BidForm" onReset="clearText()">
<%
	CSRFHelper csrfHelper = CSRFHelper.getInstance();
	String hmaCode = csrfHelper.getHMACode(ref.req);
%>
	<INPUT type="HIDDEN" name="<%= CSRFHelper.HMA_CODE%>" value="<esapi:htmlatt><%= hmaCode %></esapi:htmlatt>">
    <input type="hidden" name="<%= EPASSJSPActions.ACTION%>" value="${bean.action}"/>
    <input type="hidden" name="submittedIds" value=""/>
    <input type="hidden" name="<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>" value=""/>
    <input type="hidden" name="skipCodes" value="<%=bean.getSkipCodes()%>">
    <% if ( bean.getRef().isUserBuyer() ) { %><input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix( BidStruct.ORGANIZATIONID ) %></esapi:htmlatt>" value="${bean.supplierOrgId}"/><% } %>
    <% if ( bean.getLineItemId() != null ) { %><input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix(BidStruct.LINEITEMID) %></esapi:htmlatt>" value="${bean.lineItemId}"/><% } %>
    <% if ( bean.getLotId() != null ) { %><input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix("LOT_ID") %></esapi:htmlatt>" value="${bean.lotId}"/><% } %>
    <% if ( bean.isSurrogate() ) { %>
    	<input type="hidden" name="SUPPLIER_ORG_ID" value="${bean.supplierOrgId}"/>
    	<input type="hidden" name="SUPPLIER_USER_ID" value="<%= ref.getBusinessUserKeyImpl().getId()%>" />
    <% } %>
    <% if (bean.isAcceptMode()){ %><input type="hidden" name="<%= DetailBidTheater.PRELIM_ACCEPT_MODE %>" value="true"/><% } %>
    <% if ( bean.isPreliminary() ) { %><input type="hidden" name="fPreliminary" value="true"/><% } %>
    <% if (bean.isBundleBid()) { %>
        <input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_ITEM_IDS) %></esapi:htmlatt>" value="${bean.bundleBidItemIds}"/>
        <input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_NAME) %></esapi:htmlatt>" value=""/>
    <% } %>

    <% if (bean.isUpdateBundleBid()) { %>
        <input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_ITEM_IDS) %></esapi:htmlatt>" value="${bean.bundleBidItemIds}"/>
        <input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_NAME) %></esapi:htmlatt>" value="<esapi:htmlatt><%= bean.getBundleBid().getName() %></esapi:htmlatt>"/>
        <input type="hidden" name="<esapi:htmlatt><%= EPASSFieldName.addPrefix(DetailBidTheater.BUNDLE_BID_ID) %></esapi:htmlatt>" value="<%= bean.getBundleBid().getId()%>"/>
    <% } %>

    <% bean.getRenderedTable().stream(out); %>

</form>

<%@ include file="../../include/inc_action_bar.inc" %>
<% } else { %>

<body style="overflow:hidden;" onload="onLoad();">
<div style="font-family:arial,helvetica;font-size:10pt;">${bean.message}</div>

<% } %>

<div id="textAreaPopup" style="position:absolute;display:none;border:1px black solid">
    <textarea rows="6" cols="40" name="tempTextArea" id="tempTextArea" onBlur="hideTextArea();"></textarea>
</div>
<div id="multiSelectPopup" align="center" style="position:absolute;display:none;border:1px black solid;background:#FFFFFF;overflow:auto;">
<center><table >
    <tr>
        <td rowspan="3">
            <select name="tempMultiSelectAvail" id="tempMultiSelectAvail" size="8" multiple="true">
            </select>
        </td>
        <td align="center"><input type="button" value="-->" onClick="selectMultiSelectValue('tempMultiSelect');"/></td>
        <td rowspan="3">
            <select name="tempMultiSelectSelected" id="tempMultiSelectSelected" size="8" multiple="true">
            </select>
        </td>
    </tr>
    <tr>
        <td align="center"><input type="button" value="<--" onClick="deselectMultiSelectValue('tempMultiSelect');"/></td>
    </tr>
    <tr>
        <td><input type="button" value="<esapi:htmlatt><%= ref.convertLiteral("form.detail_bid_theater.button.done")%></esapi:htmlatt>" onClick="hideMultiSelect()"/></td>
    </tr>
</table></center>
</div>

<div id="readOnlyMultiSelectPopup" align="center" style="position:absolute;display:none;border:1px black solid;background:#FFFFFF;overflow:auto;width:10%;">
<center><table >
    <tr width="100%">       
        <td rowspan="3" align="center">
            <select name="tempReadOnlyMultiSelectSelected" id="tempReadOnlyMultiSelectSelected" size="8" multiple="true" onclick="this.selectedIndex = -1">
            </select>
        </td>
    </tr>
    <tr>
        <td  rowspan="3" align="center"><input type="button" value="<esapi:htmlatt><%= ref.convertLiteral("form.detail_bid_theater.button.done")%></esapi:htmlatt>" onClick="hideReadOnlyMultiSelect()"/></td>
    </tr>
</table></center>
</div>

<%
    //
    // Inlcude inner popup dialog for take lead and minimum decrements
    //
    //EPASSButtonDivControl dialogOkActionButton = EPASSButtonDivControl.getSingleTaskTextButton(
    //    bean.getRef(), "bulk_window_action", "OK", "bulkTakeLeadWindow.dialogOkAction();", "Ok");
    //EPASSButtonDivControl dialogCancelActionButton = EPASSButtonDivControl.getSingleTaskTextButton(
    //    bean.getRef(), "bulk_window_cancel", "Cancel", "bulkTakeLeadWindow.close();", "Cancel");

    String dialogTopImage = (bean.isForcedLot()) ? "img/title/quotes/forced_lot_data.gif" : "img/title/quotes/take_lead.gif";
    String chkTip = ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.list_usr.apply_all_tooltip"));
    String unChkTip = ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.list.uncheck_all_tooltip"));
    String chkAllImg = bean.getRef().getUserPath() + Dir.IMG+"chkbxs_select.gif";
    String unChkAllImg =bean.getRef().getUserPath() + Dir.IMG+"chkbxs_deselect.gif";
    String checkBoxName ="EPASS_SEL_OBJ";
    String selectAllWithArgs ="bulkTakeLeadWindow.selectAll('"+chkTip+"','"+unChkTip+"','"+chkAllImg+"','"+unChkAllImg+"','"+checkBoxName+"')";
    String toolTip = ref.convertLiteral("form.detail_bid_theater.checboxes");
    EPASSImageControl selectAllBtn = new EPASSImageControl(bean.getRef().getUserPath() + Dir.IMG + Image.CHECK_BOX_HDR,
    				selectAllWithArgs,
    				toolTip);
    selectAllBtn.setImageName("checkAllImageName");
%>
<%@include file="dialog_take_lead.inc" %>

<% if ( bean.hasAdvButtons() ) { %>
    <%@include file="advanced_mode_detail_bid_theater.inc"%>
<% } %>

<%
    //
    // Inlcude inner popup dialog for bid submission confirmation
    //
    String dialogSubmitBidsAction = (bean.getRef().isSupplierPreviewMode()?"doSupplierPreviewMode()":"bidConfirmationWindow.submitBids();");
    String dialogCancelSubmitAction = "bidConfirmationWindow.close();";
    String otcInTotalBidFormula = (bean.isOTCVisible() && !bean.getRFxStruct().isForwardAuction()) ? "  + " + ref.convertLiteral("term.oneTimeCharge") : "";

%>
<%@include file="dialog_bid_submit_confirm.inc" %>

<c:if test="${bean.showingForcedLotRequirement}">
    <%@include file="dialog_force_lot_requirement.inc" %>

    <script>
	    <c:forEach var="variable" items="${bean.hiddenBaseCost}">
    		${variable}
    	</c:forEach>
    </script>
</c:if>


</body>
</html>
<%@include file="../../include/simple_tail.inc"%>
<script type="text/javascript">

if ( navigator.appName.indexOf("Netscape") != -1 ) {
    initDTableHeaders = function(){
        for(var i = 0; i < hDivs.length; i++){
           console.log( hDivs[i].tagName );
           if(hDivs[i].tagName == 'DIV'){
             var w = tbl_colWidths[i];
             hDivs[i].style.width = w;
             //  console.log( hDivs[i].offsetHeight );
             //if(w > 5 && hDivs[i].offsetHeight > tbl_initialHeadersHeight ) tbl_initialHeadersHeight = hDivs[i].offsetHeight;
             tbl_initialHeadersHeight = 35;
           }
        }
    }
}

</script>
