<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.framework.messaging.common.constant.MessageContextType,
                 com.emptoris.framework.messaging.webClient.EPASSUiMessageServices,
                 com.emptoris.base.constant.ObjectType" %>
<%@ page import="com.emptoris.framework.messaging.common.constant.MessageRecipientGroupType" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.avinamart.ApplicationServices.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.*" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.*" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Utility.Exception.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.WebInterface.Authorization.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.emptoris.app.rfxkernel.common.struct.RFxStruct"%>
<%@ page import="org.owasp.esapi.ESAPI" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">



<%@ include file="../../include/head.inc" %>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
	<title><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html> : <%=ref.convertLiteral("form.detailRfq.title.basic_config")%></title>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
	<%-- Navigation utility that supply all frame services --%>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
   <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
   <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>

<script LANGUAGE="JavaScript">
function NAV_HandleEvent(var1, var2){
		if (var1 == "updateAttachmentsNumber"){
			// location.href = location.href;
			NAV_Reload(this);
		}
		if( var1 == "<%=EPassTree._sNavigationEvent%>" )
		{
			<%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "var2", "''" )%>
		}
	}


</SCRIPT>

<%
	final String formName = "detailRfq";

	int currentAction = ref.getAction().intValue();
	int nextAction;
	if ( currentAction == EPASSJSPActions.DEFAULT_VIEW ) {
		nextAction = EPASSJSPActions.READ_VIEW;
	} else {
		nextAction = currentAction;
	}

	// main rfx id for this page
	Integer rfxId = ref.userDataContext.getRfqId();
    boolean inviteForRFI = StringUtility.isEmpty(ref.req.getParameter(EPASSUiJSPServices.INVITE_FOR_RFI))?
                          false : true;
	// Determine if the list page was called from the wizard
	boolean isWizard = TreeWizUtility.getIsWizardParam(ref);
	String wizardParam = "";
	if (isWizard)
	{
		wizardParam = "?" + TreeWizUtility.IS_RFX_WIZ_PARAM + "=1";
	}

    // Get the parameter that determines if we are displaying archived data
    boolean isFromArchive =
            (("true").equals(ref.req.getParameter(EPASSUiRFQServices.IN_ARCHIVE)))
            ? true :false;

	//CHILD_RFQ:
	//Get the action. If read-only:
	// 	1. do not show the message
	//	2. do not show the edit buttons
	//	3. do not set the context
	boolean isReadOnly = (currentAction == EPASSJSPActions.READ_VIEW) || (currentAction == EPASSJSPActions.DEFAULT_VIEW)  || isFromArchive
						? true
						: false;

    // The Copy To Template button can be omitted by passing the following parameter
    boolean isShowCopyToTemplateButton =
            ((EPASSUiRFQServices.SHOW_PARAMETER_FALSE).equals(ref.req.getParameter(EPASSUiRFQServices.SHOW_COPY_TO_TEMPLATE)))
            ? false :true;

	boolean wasContextChangedForRfq = false;
	boolean bEnableSendInvitationButtonForCohost = false;
    boolean bEnableSendInvitationButtonForSupplier = false;

	if ( ( rfxId != null )
		 && rfxId.equals( ref.getCurId() ) )
	{
		// FIXME: do what? Yeeesh!
	} else {
		if (ref.getCurId() != null)
		{
            if ( ! isReadOnly )
            {
			    wasContextChangedForRfq = true;
			    ref.userDataContext.setRfqId(ref, ref.getCurId() );
                rfxId = ref.userDataContext.getRfqId();
            }
            else
            {
                rfxId = ref.getCurId();
            }
		}
	}

	// 7/5/02 - tac -- pr6754 hotspot. Limit the print button to this config flag setting
	int itemPrintLimit = EPASSConfig.getInstance().getIntParameter("epass.detail_rfq.print.item_limit");
	int itemCount = 0;
	// Get the item count: AuctionDataService.getItemCountsForAuctions does not honor authorization. Do we care?
	if (rfxId != null && !isFromArchive) {
		itemCount = EPASSUiRFQServices.getItemCount(ref, rfxId);
	}

    int questionnaireCount = 0;
    // Get the questionnaireCount count
    if (rfxId != null && !isFromArchive) {
        questionnaireCount = EPASSUiRFQServices.getQuestionnaireCount(ref, rfxId);
    }

%>
<%=NavSupport.requireContext( ContextCodes.RFQ, ref ) %>

</head>

<%
    RFxStruct auction = null;
    if (isFromArchive) {
        auction = (RFxStruct)EPASSUiRFQServices.getArchiveRFQ(ref, new AuctionKeyImpl ( rfxId ) );
    } else {
        auction = (RFxStruct)EPASSUiRFQServices.getCurrentRFQ(ref, new AuctionKeyImpl ( rfxId ) );
    }

    // The Send invitaion buttons will be displayed when below request parameter is 1 and event notifications are enabled 
    boolean isShowResendInvitationButton =
            !((EPASSUiRFQServices.SHOW_PARAMETER_FALSE).equals(ref.req.getParameter(EPASSUiRFQServices.SHOW_RESEND_INVITATIONS))) && auction.isEventNotificationsEnabled()
            ? true :false;
    
    ref.setRfxLiteralSub(auction);

    String aggId = request.getParameter( "aggregatedId" );
   	String popupTitle = ref.convertLiteral("form.detailRfq.title.basic_config");
   	String popupColor = ref.getArea().getAttribute( EPassArea.AREA_BGCOLOR );

	if ( EPASSUiJSPServices.stringNotEmpty( aggId ) ) {
		popupImage = "img/title/rfqs/original_summary.gif";
	} else {
        if ( auction.isBuyerRFI() ) {
            popupImage = "img/title/rfqs/survey_survey_summary.gif";
        } else {
		    if(	auction.isRFI() ) {
			    popupImage = "img/title/rfi/rfi_summary_results_view.gif";
		    } else {
			    popupImage = "img/title/rfqs/summary_results_view.gif";
		    }
        }
	}

	//Checking if the RFQ is Demand Aggregate
	if ( auction != null ) {
		if ( auction.getAggregationOriginalAuction() != null ) {
			popupImage = "img/title/rfqs/aggregated_rfq_summary.gif";
		}
		bEnableSendInvitationButtonForCohost = EPASSUiInvitationServices.enableSendInvitationButton(ref, auction.getInvitationMode(), auction);
        bEnableSendInvitationButtonForSupplier = EPASSUiInvitationServices.enableSendInvitationButton(ref, auction.getInvitationMode(), auction);
	}
%>

<body style="background-color:<%=popupColor%>;" marginwidth="15" marginheight="15" leftmargin="15" topmargin="15">

<%@ include file="../../include/top.inc" %>

<%if (!isWizard){ %>
<%@ include file="../../include/inc_popup_top.inc" %>
<%}%>
<%-- Outside Table --%>

<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="1" BORDER="0" bgcolor="#B5B4B4">
<tr>
<td align="center">

<%@ include file="../../include/inc_rfx_detail.inc" %>

</td>
</tr>
<tr>
<td bgcolor="ffffff" align="center"><br><br>

<form name="<%=formName%>">

<%
if (!isFromArchive) {

    boolean canPerformCreateMessage = EPASSUiMessageServices.getMessagingUiBusinessRules().canPerformCreateMessage(ref, ObjectType.Message);
	EPASSLink invitationLink = new EPASSLink( ref.getUserPath() + JSP.SEND_INVITATION_PAGE, ref );
	if ( wasContextChangedForRfq && !isReadOnly ) {
		out.println( NavSupport.sendUpdateAndCtx(
								ContextCodes.RFQ, ref.getCurId(),
								ContextCodes.REQ + "," +
								ContextCodes.REQ_ITM + "," +
								ContextCodes.BID + "," +  ContextCodes.SCENARIO,
								ref ) );
	}


	EPASSLink composeLink = new EPASSLink( ref.getUserPath()
		+ JSP.MESSAGE_CREATE_PAGE, ref );
	composeLink.setParameter( EPASSJSPActions.ACTION,
		EPASSJSPActions.CREATE_VIEW + "" );
	composeLink.setParameter( EPASSUiMessageServices.MSG_CREATE_CONTEXTTYPE,
		MessageContextType.AUCTION + "" );
	if (rfxId != null)
	{
		composeLink.setParameter( EPASSUiMessageServices.MSG_CREATE_CONTEXTID,
			rfxId + "" );
	}

	if ( EPASSUiRFQServices.getAuctionUiBusinessRules().canUpdateRFx ( ref ) )
	{
		composeLink.setParameter( EPASSUiMessageServices.MSG_CREATE_RECIP_GROUP,
			MessageRecipientGroupType.BIDDERS + "" );
		String editRFQUrl = ref.encodeURLwUP(JSP.WIZ_RFQ_CONFIG_ROUTER) +
									  "&" + EPASSJSPActions.ACTION +
									  "=" + EPASSJSPActions.EDIT_VIEW;

		//Checking if the RFQ is Template , if it is then don't show the message button
		Boolean bRFQTemplate = new Boolean(false);
		if ( auction != null ) {
			bRFQTemplate = auction.isTemplate();
		}
%>



<%
		if( !bRFQTemplate.booleanValue() && !isReadOnly &&
                canPerformCreateMessage)
		{ //CHILD_RFQ:
%>
		<input type=button
			   value="<%=ref.convertLiteral("form.detailRfq.button.message")%>"
	    	   onClick="javascript:NAV_Popup( top, -1, '<%=composeLink%>', 470 , 500);" >

<%
		}

			if( !isReadOnly )
			{ //CHILD_RFQ:
				String strJS = NavSupport.createNewWorkAndCtxAndUpdate(
						ContextCodes.RFQ + ref.getCurId() + "," + ContextCodes.RFQ_ID2,
						"wiz_tree_frames.jsp?" +
						EPASSJSPActions.ACTION + "=" + EPASSJSPActions.EDIT_VIEW + "&" +
						TreeWizUtility.REQ_TREE_NAME + "=" + TreeWizUtility.WIZ_RFX_TREE + "&" +
						TreeWizUtility.REQ_TREE_CODEBASE + "=" + TreeWizUtility.WIZ_RFX_TREE_XML_CODEBASE,
	                    EPassArea.RFX_CREATE,
	                    ref );
	%>
			<input  type=button
					value="<%=ref.convertLiteral("form.detailRfq.button.edit")%>"
				    onClick="javascript:<%=strJS%>; window.close();" >
	<%
			}
    }
    if (isShowCopyToTemplateButton && !inviteForRFI && !(currentAction == EPASSJSPActions.DEFAULT_VIEW) &&
        EPASSUiRFQServices.getAuctionUiBusinessRules().canCopyRFxToTemplate(ref, auction)) { %>
                <input  type=button
                <% if (auction.isTemplate().booleanValue()){%>
                value="<%=ref.convertLiteral("form.detailRfq.button.copy_from_template")%>"
                <% } else {%>
                value="<%=ref.convertLiteral("form.detailRfq.button.copy")%>"
                <% }%>
                onClick="javascript:<%= NavSupport.createNewWork(
                        "wiz_tree_frames.jsp?" +
                        EPASSJSPActions.ACTION + "=" + EPASSJSPActions.CREATE_FROM_RFX + "&" +
                        TreeWizUtility.REQ_TREE_NAME + "=" + TreeWizUtility.WIZ_RFX_TREE + "&" +
                        TreeWizUtility.REQ_TREE_CODEBASE + "=" + TreeWizUtility.WIZ_RFX_TREE_XML_CODEBASE,
                        EPassArea.RFX_CREATE,
                        ref)%>;setTimeout(NAV_Reload(top.frames['controlPanel']),100);<% if (!isWizard) {%> window.close();<%}%>" >
<%		// a hack: when the copy button fires up the wizard, i need an indicator so the tree xml will filter nodes
        // 		Set this alternate rfq id, and reset it on the create rfx page
        ref.userDataContext.setRfq2Id(rfxId);
        ref.userDataContext.setRfqId(ref, rfxId);
    }

    // Create Clone RFx button
    if (!inviteForRFI && !(currentAction == EPASSJSPActions.DEFAULT_VIEW) && EPASSUiRFQServices.getAuctionUiBusinessRules().canCreateCloneRfx(ref, auction)) {%>
        <input  type=button
                value="<%= (null != auction && auction.isTemplate().booleanValue())
                            ? ref.convertLiteral("form.detailRfq.button.create_clone_rfx_template")
                            : ref.convertLiteral("form.detailRfq.button.create_clone_rfx")%>"
                onClick="javascript:if (confirm('<%= (null != auction && auction.isTemplate().booleanValue())
                                                    ? ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.detailRfq.message.create_clone_rfx_template"))
                                                    : ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.detailRfq.message.create_clone_rfx"))%>')) {
                <%= NavSupport.createNewWork(
                "wiz_tree_frames.jsp?" +
                EPASSJSPActions.ACTION + "=" + EPASSJSPActions.CREATE_CLONE_RFX + "&" +
                TreeWizUtility.REQ_TREE_NAME + "=" + TreeWizUtility.WIZ_RFX_TREE + "&" +
                TreeWizUtility.REQ_TREE_CODEBASE + "=" + TreeWizUtility.WIZ_RFX_TREE_XML_CODEBASE,
                EPassArea.RFX_CREATE,
                ref)%>;setTimeout(NAV_Reload(top.frames['controlPanel']),100);<% if (!isWizard) {%> window.close();<%}%> }" >
<%      ref.userDataContext.setRfq2Id(rfxId);
        ref.userDataContext.setRfqId(ref, rfxId);
    }

    if ((! EPASSUiRFQServices.getAuctionUiBusinessRules().canUpdateRFx ( ref ) ) &&
            ( EPASSUiRFQServices.getAuctionUiBusinessRules().canSendRFxMessage ( ref )) &&
            (canPerformCreateMessage))
	{
		composeLink.setParameter(
		 EPASSUiMessageServices.MSG_CREATE_RECIP_GROUP,MessageRecipientGroupType.AUCTIONHOST + "" );
%>
 		<input type=button value="<esapi:htmlatt><%=ref.convertLiteral("form.detailRfq.button.message")%></esapi:htmlatt>"
		onClick="javascript:NAV_Popup( top, -1, '<%=composeLink%>', 470 , 500);">
<%
	}
%>


<%
    if (isWizard && isShowResendInvitationButton) {
		EPASSInputButton sendInvitationButtonForCohost = EPASSUiInvitationServices.addSendInvitationButtonForCohost(ref, auction);
        EPASSInputButton sendInvitationButtonForSupplier = EPASSUiInvitationServices.addSendInvitationButtonForSupplier(ref, auction);
		if ((sendInvitationButtonForCohost != null)|| (sendInvitationButtonForSupplier != null)){
			out.println(sendInvitationButtonForCohost.toString());
            out.println(sendInvitationButtonForSupplier.toString());
	 	}
    }
%>

<%if (itemCount <= itemPrintLimit)
{
    if (EPASSUiRFQServices.getAuctionUiBusinessRules().canViewDetails(ref, auction)) {
        if (isWizard){ %>
        <input type=button value="<esapi:htmlatt><%=ref.convertLiteral("form.detailRfq.button.report")%></esapi:htmlatt>" onClick="javascript:NAV_Popup( top, -1, '<%=ref.encodeURLwUP(JSP.REPORT_RFQ + wizardParam)%>&cur_id=<%=rfxId%>&jspAction=<%=nextAction%>&SORT_ON=<%=EPASSUiJSPServices.TMP_SECTION_NAME %>', 750 , 575);">
        <%} else {%>
        <input type=button value="<esapi:htmlatt><%=ref.convertLiteral("form.detailRfq.button.report")%></esapi:htmlatt>" onClick="javascript:window.location='<%=ref.encodeURLwUP(JSP.REPORT_RFQ + wizardParam)%>&cur_id=<%=rfxId%>&jspAction=<%=nextAction%>&SORT_ON=<%=EPASSUiJSPServices.TMP_SECTION_NAME %>';">
        <%}//end isWizard
    }

    if (auction != null) {
        String sButtonCaption = ref.convertLiteral("form.detailRfq.button.print");
        if (auction.isRFP()) {
            sButtonCaption = ref.convertLiteral("form.detailRfq.button.print_item");
        }
        //PR-22241:Providing supplier side Print Item detail Option
        //if (EPASSUiRFQServices.isHost(ref, auction.getKey())) {
            if (EPASSUiRFQServices.getAuctionUiBusinessRules().canViewPrintPreview(ref, auction)) {
                if (isWizard){ %>
                <input type=button value="<%=sButtonCaption%>" onClick="javascript:NAV_Popup( top, -1, '<%=ref.encodeURLwUP(JSP.PRINT_RFQ + wizardParam)%>&cur_id=<%=ref.getCurId()%>&jspAction=<%=nextAction%>&SORT_ON=<%=EPASSUiJSPServices.TMP_SECTION_NAME %><%if(inviteForRFI){%>&<%=EPASSUiJSPServices.INVITE_FOR_RFI%>=Y<%}%>', 750 , 575);">
                <%} else {%>
                <input type=button value="<%=sButtonCaption%>" onClick="javascript:window.location='<%=ref.encodeURLwUP(JSP.PRINT_RFQ + wizardParam)%>&cur_id=<%=ref.getCurId()%>&jspAction=<%=nextAction%>&SORT_ON=<%=EPASSUiJSPServices.TMP_SECTION_NAME %><%if(inviteForRFI){%>&<%=EPASSUiJSPServices.INVITE_FOR_RFI%>=Y<%}%>';">
                <%}//end isWizard
            }
        //}
    }
}
%>

<%
	//PR77062-start
	if (auction != null ) {
		if (EPASSUiRFQServices.getAuctionUiBusinessRules().canShowExportButtonSummaryPage(ref) && !(currentAction == EPASSJSPActions.DEFAULT_VIEW) ) {
%>
				<input type=button value="<%=ref.convertLiteral("form.detailRfq.button.export")%>" onClick="javascript:popupExport();">
<%			
		}
	}
	//PR77062-end
	if (EPASSUiRFQServices.getAuctionUiBusinessRules().canShowActivityLotReportLink(ref,auction) && !(currentAction == EPASSJSPActions.DEFAULT_VIEW) ){
%>
			<input type=button value="<esapi:htmlatt><%=ref.convertLiteral("form.detailRfq.button.run_activity_log_rpt")%></esapi:htmlatt>" onClick="javascript:runActivityLogReport();">
<%
		}
	if (auction != null && auction.isRFP() && questionnaireCount <= itemPrintLimit)
	{   //PR 23323 : Suppliers should also see the question print preview button
	    //if (EPASSUiRFQServices.isHost(ref, auction.getKey())) {
	        if (EPASSUiRFQServices.getAuctionUiBusinessRules().canViewPrintPreview(ref, auction)) {
	            if (isWizard){ 
%>
	            <input type=button value="<esapi:htmlatt><%=ref.convertLiteral("form.detailRfq.button.print_question")%></esapi:htmlatt>" onClick="javascript:NAV_Popup( top, -1, '<%=ref.encodeURLwUP(JSP.PRINT_RFQ + wizardParam)%>&cur_id=<%=ref.getCurId()%>&jspAction=<%=nextAction%>&SORT_ON=<%=EPASSUiJSPServices.TMP_SECTION_NAME %>&QuestionChosen=true', 750 , 575);">
<%				} else {
%>	            <input type=button value="<esapi:htmlatt><%=ref.convertLiteral("form.detailRfq.button.print_question")%></esapi:htmlatt>" onClick="javascript:window.location='<%=ref.encodeURLwUP(JSP.PRINT_RFQ + wizardParam)%>&cur_id=<%=ref.getCurId()%>&jspAction=<%=nextAction%>&SORT_ON=<%=EPASSUiJSPServices.TMP_SECTION_NAME %>&QuestionChosen=true';">
<%
				}//end isWizard
	        }
	    //}
	}
	} // end isFromArchive
%>

<%if (!isWizard){ %>
<input type="button" value="<esapi:htmlatt><%=ref.convertLiteral("form.detailRfq.button.close")%></esapi:htmlatt>"  onclick="javascript: self.close()" >
<%}%>

</form>

		</td>
	</tr>
</table>

<script>
// Note: Done after the page so that the initial context change doesnt double submit this page
var NAV_LIST='<%= ContextCodes.RFQ%>'; 	// I list rfq's on this page
// enable/disable the send/resend invitation button
<% if (!isFromArchive && EPASSUiRFQServices.getAuctionUiBusinessRules().canShowSendInvitationButton(ref, auction)) {%>
setSendInvitationButtonState(<%=bEnableSendInvitationButtonForCohost%>);
setSendInvitationButtonState(<%=bEnableSendInvitationButtonForSupplier%>);
//change for PR RTC 35354
<%=EPASSUiInvitationServices.writeJSOnClickSendInvitationButton(ref, formName, rfxId)%>
<%=EPASSUiInvitationServices.writeJSSetSendInvitationButtonState(ref, formName)%>
<% } %>
//PR77062-start
function popupExport(){
	var exportUrl = 'rfx_export_validator.jsp?' + 'EPASS_SEL_OBJ=' + <%=rfxId%> ;
	NAV_Popup( top, -1, exportUrl, 550, 500 );
}
function runActivityLogReport(){
	var activityLogURL = '<%=ReportLinkService.getActivityLogReportLink(ref, auction)%>' 
	NAV_Popup( top, -1, activityLogURL, 550, 500 );
}
//PR77062-end
</script>
<%if (!isWizard){ %>
<%@ include file="../../include/inc_popup_bottom.inc" %>
<%}%>
<%@ include file="../../include/bottom.inc" %>
</body>
</html>
<%@ include file="../../include/tail.inc" %>

