<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.app.rfxkernel.webClient.bean.ListTheaterBidBean"%>
<%@ page import="com.emptoris.app.rfxkernel.webClient.action.DetailBundleBid"%>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean"%>
<%@ page import="com.avinamart.WebInterface.EPASSJSPActions"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiBiddingServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiRFQServices"%>
<%@ page import="com.avinamart.WebInterface.forms.auction.ItemListPageProcessor"%>
<%@ page import="com.avinamart.WebInterface.Constants.Dir"%>
<%@ page import="com.avinamart.WebInterface.Constants.Javascript"%>
<%@ page import="com.avinamart.WebInterface.Constants.Misc"%>
<%@ page import="com.avinamart.WebInterface.auctionMonitor.*"%>
<%@ page import="com.avinamart.BusinessLogic.Constant.AuctionStatus"%>
<%@ page import="com.avinamart.Utility.EPASSConfig"%>
<%@ taglib prefix="c" uri="/WEB-INF/c.tld"%>

<%@ include file="../../include/simple_head.inc" %>

<%
/*
    if ( ref.getReq().getParameter("supplier_preview") != null ) {
        ref.setSupplierPreviewMode(true);
    }
*/

	ListTheaterBidBean bean = (ListTheaterBidBean) request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
%>

<% if ( bean.getSecurityMessage() != null ) { %>
    <script type="text/javascript">
            // alert( '${bean.securityMessage}' );
            NAV_ExecuteMenu( window.parent, 'supplierViewRFxs' );
    </script>
<% } %>

<% if(bean.isAuctionRejected()){ %>
	<script type="text/javascript">
		//location.href = 'list_rfq_seller.jsp';
		NAV_ExecuteMenu(top, 'supplierViewRFxs');
    </script>
<% } %>

<%
    if ( bean.getSecurityMessage() != null ) {
        response.flushBuffer();
        return;
    }
%>


<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>

    <title><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></title>

    <STYLE>
        select
        {
            MARGIN: 0px
        }
    </STYLE>

    <link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
    <link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>

    <%-- Navigation utility that supply all frame services --%>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_LIST_SEARCH%>'></SCRIPT>

    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "dtable.js" %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "eProcess_TimeSince.js" %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "eProcess_TimedIcon.js" %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_dtable.js"%>'></SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "dragDrop3.js"%>'></SCRIPT>
	<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/compat.js"></script>
	<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/dynamicIncludes.js"></script>
	<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/ext/jquery/jquery.js"></script>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "listTheaterBid.js"%>'></SCRIPT>

    <c:if test="${bean.filterValue==4 && bean.buyer}">
	    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "MatrixAuction.js"%>'></SCRIPT>
    </c:if>

    <script>
        ${bean.notifyUpdateScript}
    </script>

	<c:if test='${bean.stagger}'>
		<script>
		
		var staggerBidView = ${bean.staggerBidView};
		var schedulerDelayInterval = <%= EPASSConfig.getInstance().getIntParameter(EPASSConfig.TASK_SCHEDULER_SLEEP_INTERVAL) %>;
		<c:if test="${bean.staggerBidView}">
			var nextStaggerBidLink = '${bean.nextStaggerBidLink}';
			var currentViewingItemId = ${bean.currentViewingItemId};
			var staggerViewCurrentItemId = ${bean.staggerViewCurrentItemId};
			
			<% if(bean.getStaggerFilter() != null){ %>
				var staggerFilter = new Array();
				<% for(Integer id : bean.getStaggerFilter().keySet()){ %>
					staggerFilter[<%= id %>] = '<esapi:js><%=  bean.getStaggerFilter().get(id)  %></esapi:js>';
				<% } %>
			<% } %>
			<% if(bean.getBidUrls() != null){ %>
				var bidUrls = new Array();
				<% for(Integer id : bean.getBidUrls().keySet()){ %>
					bidUrls[<%= id %>] = '<esapi:js><%=  bean.getBidUrls().get(id)  %></esapi:js>';
				<% } %>
				
				function syncStaggerFrames(){
					if(window.parent.getCurrentBiddingObjectId){
						if(window.parent.getCurrentBiddingObjectId() == -1 || currentViewingItemId != window.parent.getCurrentBiddingObjectId()){
							if(window.parent.loadBidAndHistoryFrames){
								if(bidUrls && bidUrls[currentViewingItemId]){
									window.parent.loadBidAndHistoryFrames(bidUrls[currentViewingItemId]);
								}
							}
						}
					} 
				}
				syncStaggerFrames();
				
			<% } %>
			
			<% if(bean.getStaggerViewStyles() != null && !bean.getStaggerViewStyles().equals("")){ %>
			
				<% if(bean.getRFxStruct().isItemLevelStaggeredAuction()){ %>
					var staggerViewStyles_ITEMFILT_ = ${bean.staggerViewStyles};
					var staggerViewFilterName = '_ITEMFILT_';
				<% } else { %>
					var staggerViewStyles_LOTFILT_ = ${bean.staggerViewStyles};
					var staggerViewFilterName = '_LOTFILT_';
				<% } %>
				<c:if test="${!bean.showChart && bean.table!=null}">
					function colorSelected(){
						var opt = Util.byId(staggerViewFilterName+"_ctrl_SeLdIv");
					    colorOption(opt);
					} 
				
					function colorIt(){
					    var selFrm = Util.byId( "optBoxIframe" );
					
					    // selected option
					    colorSelected();
					    
					    var opt = selFrm.contentWindow.$(".DSEL_OPT_SELECTED")[0];
					    colorOption(opt);
					
					    // other options
					    $.each(selFrm.contentWindow.$(".DSEL_OPT"), function() {
					        opt = this;
					        colorOption(opt);
					    })
					    
					}
					
					function strip123(txt){
					    var len = (txt.indexOf('. ') == -1 )? txt.length : txt.indexOf('. '); 
					    return txt.substr(0,len)
					}
					 
					function colorOption(opt){try{
					    var txt = opt.innerHTML;
					    Util.each( eval("staggerViewStyles"+staggerViewFilterName), function(obj) { // <<<<<<----- unique name
					        var v1 = strip123( txt );
					        var v2 = strip123( obj.name );
					        if (v2 == v1) {
					            $(opt).css("color", obj.color);
					        }
					     });
					}catch(e){}}
					
					function includeJS(elem, filePath) {
					    var scriptNode;
					    scriptNode = elem.document.createElement("script");
					    scriptNode.setAttribute("type", "text/javascript");
					    scriptNode.setAttribute("src", filePath);
					    try{
						    var hd = elem.document.documentElement.getElementsByTagName("head")[0];
						    hd.appendChild(scriptNode);
						}catch(e){
							elem.document.appendChild(scriptNode);
						}
					}
					
					function addSelectColors() {
					    var dselTop = Util.byId( staggerViewFilterName + "_SeLdIv"); // <<<<<<----- unique name. may need loop here if you want mulitple select boxes
					    var selFrm = Util.byId( "optBoxIframe" );
					    //includeJS(selFrm.contentWindow,"<%= request.getContextPath()%>/dhtml_lib/js/ext/jquery/jquery.js");
					    Util.addEvent( dselTop, "click", function(){
					        setTimeout( colorIt, 200 );
					    } );
					}
					
					Util.addEvent( window, "load", function(){
					    var opt = Util.byId(staggerViewFilterName+"_ctrl_SeLdIv");
					    colorOption(opt);
					    setTimeout( addSelectColors, 100 )
					} );
				</c:if>
				
			<% } %>
			
		</c:if>
		
		
		var isBuyer = ${bean.buyer};
		<c:if test="${!bean.buyer}">

	   		var hasNext = ${bean.nextBidHistoryLink != null && bean.nextBidHistoryLink != "" && bean.nextBidFrameLink != null && bean.nextBidFrameLink != ''};

			<c:if test="${bean.currentLotItems!=null}">
				var currentLotItems = new Array();

				<c:forEach var="id" items="${bean.currentLotItems}">
					currentLotItems[currentLotItems.length] = '${bean.rowIds[id]}';
				</c:forEach>
			</c:if>

			var isCurrentLotItemsNull = ${bean.currentLotItems==null};
			var nextBidFrameLink = '${bean.nextBidFrameLink}';
		</c:if>
		var nonCurrentItemIds = new Array();
		<c:forEach var="id" items="${bean.nonCurrentItemIds}">
			var closetime_${bean.rowIds[id]} = ${bean.nonCurrentCloseTime[id]};
			nonCurrentItemIds[nonCurrentItemIds.length] = '${bean.rowIds[id]}';
		</c:forEach>

		function appendSequenceNumbers(){
			var itemLabelDiv = null;
			<c:forEach var="id" items="${bean.allItemIds}">
				itemLabelDiv = document.getElementById('TD_${bean.rowIds[id]}' + columnSuffix);
				if(itemLabelDiv!=null && isNotFormatted('${bean.rowIds[id]}')){				
					itemLabelDiv.innerHTML = '<nobr>' + insertInFrontOfName('${bean.sequenceNumbers[id]}' + '. ', itemLabelDiv.innerHTML) + '</nobr>';
					formatted('${bean.rowIds[id]}');
				}
			</c:forEach>
		}

		var runStaggeringClock = ${bean.runStaggeringClock};

		var closedItemList = new Array();
		<c:forEach var="id" items="${bean.closedLineItemIds}">
			closedItemList[closedItemList.length] = '${id}';
		</c:forEach>

			<c:choose>
				<c:when test="${bean.filterValue==3 && bean.buyer}">
					var columnSuffix = '_1';
				</c:when>
				<c:when test="${bean.filterValue==5 && bean.buyer}">
					<c:if test="${bean.itemLevelStaggering}">
						var columnSuffix = '_1';
					</c:if>
					<c:if test="${!bean.itemLevelStaggering}">
						var columnSuffix = '_0';
					</c:if>
				</c:when>
				<c:when test="${bean.filterValue==5 && !bean.buyer}">
					<c:if test="${bean.itemLevelStaggering}">
						var columnSuffix = '_1';
					</c:if>
					<c:if test="${!bean.itemLevelStaggering}">
						var columnSuffix = '_0';
					</c:if>
				</c:when>

				<c:otherwise>
					var columnSuffix = '_0';
				</c:otherwise>
			</c:choose>

			var currentItemId = '${bean.rowIds[bean.currentItemId]}';
			<c:if test="${bean.filterValue==5 && !bean.buyer}">
				<c:choose> 
					<c:when test="${bean.currentItemType == 9}">
						currentItemId = 'I' + '${bean.currentItemId}' + 'O' + '<%= ref.getOrgID() %>';
					</c:when>
					<c:otherwise>
						currentItemId = 'L' + '${bean.currentItemId}' + 'O' + '<%= ref.getOrgID() %>';					
					</c:otherwise>
				</c:choose>
			</c:if>

			var current_close_time = ${bean.currentItemCloseTime};
			var isCurrentItemExtended = ${bean.currentItemExtended};
			var isItemLevelStaggering = ${bean.itemLevelStaggering};

		</script>
	    <SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "StaggerAuction.js"%>'></SCRIPT>
	</c:if>
 
	<script>
		
		var formName = '${bean.formName}';
		var selectedObject = '<%= Misc.SELECTED_OBJECT %>';
		var bundleBiddingLink = '${bean.bundleBiddingLink}';

		var current_close_time = ${bean.currentItemCloseTime};
		var NA = "<%=ref.convertLiteral("Misc.NA")%>";
		var stagger = ${bean.stagger};
		var isOpen = ('${bean.RFxStruct.status}' == '<%=AuctionStatus.open%>');
		var separator = '<%=EPASSConfig.EPASS_LIST_SEPARATOR%>';

        var isAcceptMode = <%= request.getParameter("prelim_accept_override") != null %>;
        var loadDetailBidId = "<esapi:js><%=  ref.getReq().getParameter("load_detail_bid_id") %></esapi:js>";

        function preloadBid(){

            if ( parent.preloadBidIsDone ) {
                return;    
            }

            if ( isAcceptMode && loadDetailBidId != null && Util.byId(loadDetailBidId) ) {
                Util.fireEventOnElement("click", Util.byId(loadDetailBidId) );
            }

            parent.preloadBidIsDone = true;
        }

        function init(){

			var windowHeight = getWindowHeight();

			if(windowHeight > 10){
				displayWaitScreenCSSDefault();
			}
			
		    <c:if test='${!bean.showChart}'>
		    	if ( typeof(startTable) != 'undefined'   ) startTable();
		    	<c:if test="${bean.filterValue==4 && bean.buyer}">
		    		eProcess.doProcess();
		    	</c:if>

		    	<c:if test='${bean.stagger}'>
		    		initStaggering();
		    	</c:if>
		    	<c:if test="${(!bean.buyer && bean.auctionAccepted) || bean.surrogate}">
		    		highlightCurrentRow();
			    </c:if>
		    </c:if>
		    <c:if test="${bean.displayMatrixConfig}">
		    	if(!isMatrixDefinePopupExist()){
		    		popupMatrixDefine();
		    	}
		    </c:if>
		    <c:if test="${bean.showChart}">
		    	initChart();
		    	document.body.onresize = initChart;
		    </c:if>
		    <c:if test="${bean.messageImageName!=null}">
				// ESP-48810 : Invoked the initMsgButton() after 500 ms so that setMsgButton()which gets 
				// called by initMsgButton() gets loaded through detail_auction_message.jsp.Also added the try catch 
		    	try{
			    	setTimeout("initMsgButton()",500);
			    }catch(e){}
			</c:if>
		    updateCurrentCloseTime();

            // set expand button
            try{ if ( window.parent && window.parent.EXPAND_FRAME == true ) {
                expandMonitorFrame();
            } else if ( window.parent && window.parent.EXPAND_FRAME == false ) {
                restoreFrames();
            } }catch(e){}
            
            if(windowHeight > 10){
				hideWaitScreenCSS();
			}

            preloadBid();
        }

	    <c:if test="${bean.messageImageName!=null}">
	    	var messageImageName = '${bean.messageImageName}';
	    </c:if>
	</script>
	<%-- ESP-44741 --%>
	<style type="text/css">
	.actiontitlerow
	{
	    VERTICAL-ALIGN: middle;
	    height: 30;
	}</style>

	<c:if test="${!bean.showChart}">
	    <script>
	        var NAV_DYNAMIC_POSITION_NAME = 'LIST_THEATER_BID_${bean.filterValue}';
	    </script>
	</c:if>
</head>
<%-- PR#7882 --%>
<%-- body onload="init();setAutoRefreshFlag()" onResize="ieResize();" marginleft="0" marginheight="0" --%>
<body onload="init();" style="overflow:hidden" marginleft="0" marginheight="0"
      marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0" onscroll="if (document.selection) document.selection.empty(); scrollTo(0,0);">

<%@ include file="../../include/top.inc" %>
<% AuctionStruct rfq = EPASSUiRFQServices.getCurrentRFQ(ref); %>
<c:if test="${bean.showChart}">
	<div id="chart" style="position: absolute; top: 30px; left: 0px; visibility: visible; width: 100%; height: 100%;
	        border: gray 1pt solid; font: bold 18pt/18pt helvetica; zIndex: 100; overflow-x: auto; overflow-y: auto;">
	    <% if(bean.getChartName().equals("list_std_chart_sup_detail_inc.inc")){ %>
	    		<%@ include file="../../include/list_std_chart_sup_detail_inc.inc" %>
    	<% }else if (bean.getChartName().equals("list_theater_chart_rank_inc.jsp")) {  %>
			    <%@ include file="../../include/list_theater_chart_rank_inc.inc" %>
    	<% } else if(bean.getChartName().equals("list_theater_chart_sup_detail_inc.jsp")){  %>
			    <%@ include file="../../include/list_theater_chart_sup_detail_inc.inc" %>
		<% }else if(bean.getChartName().equals("list_theater_chart_summary_inc.jsp")){  %>
				<%@ include file="../../include/list_theater_chart_summary_inc.inc" %>
		<% } %>
	</div>
</c:if>

<c:if test="${!bean.showChart && bean.table!=null}">
<script language='javascript'>
    // array of RULER_IMG names
    <%= bean.getTable().getJSArrayOfRulerImageNames() %>
    // array of contents to place into cells
    <%= bean.getTable().getJSArrayOfHeaderContents() %>
</script>
<%@ include file="../../include/inc_actionbar_spacer.inc" %>
<form name=${bean.formName} METHOD=POST ACTION='<%= ref.encodeURL("list_theater_bid.jsp") %>' >
    <input type=hidden name="<%= EPASSJSPActions.ACTION %>" >
    <input type=hidden name="<%= EPASSUiBiddingServices.DELETE_BID_ID %>" >
    <input type=hidden name="INVALIDATE_BID_MODE" >
    <input type=hidden name="<%= ItemListPageProcessor.PAGE_MODE%>" value='<%= ItemListPageProcessor.getRFPPageMode(ref)%>' >
    <input type=hidden name="<%= EPASSUiRFQServices.RFQ_SUBSCRIBE_PARAMETER%>" >

    <%-- PR# ESP-50467 - We need to retain the Sort order (if any), so that when a new incoming bid causes the page 
    to refresh automatically, the sorting is not lost --%>
    <input type=hidden name="<%=Context.SORT_FIELD %>" value="<esapi:htmlatt><%=request.getParameter(Context.SORT_FIELD)%></esapi:htmlatt>">
    <input type=hidden name="<%=Context.ASC_SORT %>" value="<esapi:htmlatt><%=request.getParameter(Context.ASC_SORT)%></esapi:htmlatt>">

    <c:if test="${bean.supFilter!=null && bean.supFilter!=''}">
	    <input type=hidden name='_SUPFILT_' value='<%=EPASSQPretty.toUQString(bean.getSupFilter())%>'>
    </c:if>
    <c:if test="${bean.lotFilter!=null && bean.lotFilter!=''}">
    	<input type=hidden name=_LOTFILT_ value='<%=EPASSQPretty.toUQString(bean.getLotFilter())%>'>
    </c:if>
    <c:if test="${bean.itemFilter!=null && bean.itemFilter!=''}">
    	<input type=hidden name=_ITEMFILT_ value='<%=EPASSQPretty.toUQString(bean.getItemFilter())%>'>
    </c:if>
    <c:if test="${bean.costViewFilter!=null && bean.costViewFilter!=''}">
	    <input type=hidden name='_COSTVIEWFILT_' value='<%=EPASSQPretty.toUQString(bean.getCostViewFilter())%>'>
	</c:if>
    <c:if test="${bean.savingsViewFilter!=null && bean.savingsViewFilter!=''}">
	    <input type=hidden name='_SAVINGSVIEWFILT_' value='<%=EPASSQPretty.toUQString(bean.getSavingsViewFilter())%>'>
	</c:if>
    <tr><td>
        <% bean.getTable().stream(out); %>
        ${bean.table.selectedRowScript}
    </td></tr>
</form>
</c:if>

<%-- TODO - Change this later - vfong --%>
<%
	// Set up variables needed by inc_action_bar.inc - btw this is so messy...
	String actionBarTitle = "";
	Object actionBarButtons = bean.getToolbar();

	if(!bean.isShowChart() && bean.getTable() != null )
		pageContext.setAttribute(Misc.ADD_ACTIONBAR, bean.getTable().getUserActionBarRows());

%>
<%@ include file="../../include/inc_action_bar.inc" %>
<%-- END OF TODO --%>

<SCRIPT>
    var auto_refresh = true;
    var pollRefreshMode = 'submit';
    function submitAutoRefresh()
    {
        try
        {
            // Defect fix 80776. IE 8 hangs when we try to refresh the page which is not in visible state.
	    	// Refreshing the pages only when the frame is visible. -- Srinivasa Rao Ch 
        	var bidFrameMaximized  = false;
        	if (window.parent != null && window.parent.pageLayout != null && window.parent != 'undefined' && window.parent.pageLayout != 'undefined')
        	bidFrameMaximized = window.parent.pageLayout.isExpanded(1);
        	        
            if ( NAV_IsTheatreReloadOn(this) && !bidFrameMaximized) {
                NAV_SetDynamicPageReposition( this );	// For reposition on load
                NAV_SERVER_CTX="";
                EPASS_POLL_COMMANDS = "";		// So it wont get poll again

				NAV_FireEvent(window.top, 'theater_monitor_reload');

                // PL reload
                // NAV_Reload doesn't work here because sometimes this.location is empty
                // NAV_Reload( this );

                // Charts dont have a form
                //PR 44384 -- If the page is for surrogate bidding then system should reload the page instead of submitting the 
                //form with REFRESH_PAGE action. Incase of submit supplier org and user info is getting lost because of re-submit.
                //So to avoid that reloading the page.
                if ( typeof(document.${bean.formName}) == "undefined" || ${bean.surrogate}){
                    NAV_Reload( this );
                    return;
                }

                document.${bean.formName}.<%= EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.REFRESH_PAGE %>;
                document.${bean.formName}.submit();
            }
        }
        catch( e )
        {} // fixMe -- not handled -- here because detail_bid_reverse in Sur. bid view does not yet have form built (timing) when method called
    }
    
    function reloadOnEvent(var2){
    	
                NAV_SetDynamicPageReposition( this );

                // Charts dont have a form
                //PR 44384 -- If the page is for surrogate bidding then system should reload the page instead of submitting the 
                //form with REFRESH_PAGE action. Incase of submit supplier org and user info is getting lost because of re-submit.
                //So to avoid that reloading the page.
                if ( typeof(document.${bean.formName}) == "undefined"  || ${bean.surrogate}){
                    NAV_Reload( this );
                    return;
                }

                document.${bean.formName}.<%= EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.REFRESH_PAGE %>;
                document.${bean.formName}.submit();
    }

    /*
    */
    function NAV_HandleEvent( var1, var2 )
    {
        // Defect fix 80776. IE 8 hangs when we try to refresh the page which is not in visible state.
    	// Refreshing the pages only when the frame is visible. -- Srinivasa Rao Ch 
    	var bidFrameMaximized  = false;
    	if (window.parent != null && window.parent.pageLayout != null && window.parent != 'undefined' && window.parent.pageLayout != 'undefined')
    	bidFrameMaximized = window.parent.pageLayout.isExpanded(1);

    	// ESP-46236
        if(var1=="refresh_detail_rfq_cap"){
        	var args = new Array();
            args[ 0 ] = var1;
        	NAV_Reload(top.frames["mainMenu"], args);
        }
    	
    	
    	
    	if (!bidFrameMaximized){    	
    	if(var1 == "theater_monitor_reload" && ${bean.surrogate}){
    		reloadOnEvent(var2);
        }else if( var1 == "UPDATE_THEATER_PAGES" ) {
        	if ( NAV_IsTheatreReloadOn(this) || var2 == "BTN_CLICK" ){
	        	reloadOnEvent(var2);
	        }
        } else if( var1 == "invalidate_bid_action" ) {
            var bidIds      = "";
            var selList = EPASSCheckbox.getValues( document.${bean.formName}.<%= Misc.SELECTED_OBJECT %> );
            for( var i=0; i < selList.length; i++ ) {
                bidIds += selList[i] + ",";
            }

            document.${bean.formName}.<%= EPASSUiBiddingServices.DELETE_BID_ID %>.value = bidIds;
            document.${bean.formName}.<%= EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.INVALIDATE_BID %>;
            document.${bean.formName}.INVALIDATE_BID_MODE.value = var2;
            document.${bean.formName}.submit();
        }
    }
    }

    function popupBidOff() {
		NAV_Popup(top, -1, '${bean.bidOffLink}', 550, 500);
    }

    function popupMatrixDefine() {
        NAV_Popup(top, -1, '${bean.popMatrixDefineLink}', 700, 900);
    }

</SCRIPT>


<c:if test="${bean.table.tableData!=null && !bean.showChart}">
<SCRIPT>
    //
    // Begin Javascript
    //
    /**
	 * function onClickDelete( )
	 */
    function onClickDelete() {
        selList = EPASSCheckbox.getValues(document.${bean.formName}.<%= Misc.SELECTED_OBJECT %>);
        if ( selList.length == 0 ){
            alert("<esapi:js><%= ref.convertLiteral("form.listRfq.message.none_selected")%></esapi:js>" );
            return;
        }
        var confirmUrl = "<%= ref.encodeURLwUP( "confirm_invalidate_bid_action.jsp?") %>" + "&isBundleAllowed=" + <%=bean.getRFxStruct().getUseBundleBid()%>;
        popUpTipWindow = window.open( confirmUrl, 'toolTipDisplay', 'width=550,height=180,left=240,top=280');
    }

    /**
	 * Javascript handler for managing of BVDs
	 */
    function doManageBVD() {

        NAV_Popup( top, 1, '<%=ref.encodeURL (ref.getUserPath() + JSP.LIST_BVD)%>', 480, 640 );

    }
</SCRIPT>

<SCRIPT>
    var NAV_LIST='<%=ContextCodes.BID + "," + ContextCodes.RFQ%>';
    var NAV_DEP='<%=ContextCodes.BID%><c:if test="${bean.stagger}">,<%=ContextCodes.RFQ%></c:if>';	// I am dependent on bids
</SCRIPT>
</c:if>

<c:if test="${!bean.surrogate}">
${bean.pollScript}
</c:if>

<%@ include file="../../include/bottom.inc" %>

<SCRIPT>
	var userPath = '<%= ref.getUserPath() %>';
	var bundleBidId = '<%=DetailBundleBid.BUNDLE_BID_ID%>';
</SCRIPT>


<script type="text/javascript">
    <% if ( "true".equals( bean.getRef().getReq().getParameter("expand_frame") ) ) { %>
        updatePageLinks("<esapi:js><%= bean.getRef().getReq().getParameter("expand_frame") %></esapi:js>");
    <% } %>
</script>

${bean.pageRefresh}
</body>
</html>

<%@ include file="../../include/simple_tail.inc" %>
