<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.framework.workflow.common.struct.WorkflowTaskStruct" %>
<%@ page import="com.emptoris.framework.job.common.key.JobKeyImpl" %>
<%@ page import="com.emptoris.framework.organization.common.key.OrganizationKeyImpl" %>
<%@ page import="com.emptoris.framework.organization.common.struct.OrganizationStruct" %>
<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ page import="com.avinamart.ApplicationServices.ServiceManager,
                 com.avinamart.BusinessLogic.Bean.AuthorizationService.ModuleAuthorizationHelper,
                 com.avinamart.BusinessLogic.Bean.Common.ObjectCopyHelper,
                 com.avinamart.BusinessLogic.BusinessRules.Component.ProjectManagement.ProjectManagementBusinessRules,
                 com.avinamart.BusinessLogic.Constant.AuctionType,
                 com.emptoris.app.rfxkernel.common.constant.RFxStyle" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.SupplierBidViewScope" %>
<%@ page import="com.avinamart.BusinessLogic.Helper.AttributeDefHelper" %>
<%@ page import="com.avinamart.BusinessLogic.Key.ItemKeyImpl" %>
<%@ page import="com.avinamart.BusinessLogic.Key.ProductKeyImpl" %>
<%@ page import="com.avinamart.Struct.AuctionPolicyStruct" %>
<%@ page import="com.avinamart.Struct.StructSchemaManager" %>
<%@ page import="com.avinamart.Struct.WrapperObjectStruct" %>
<%@ page import="com.avinamart.Utility.EPASSConfig" %>
<%@ page import="com.avinamart.Utility.Exception.EPASSApplicationException" %>
<%@ page import="com.avinamart.Utility.SystemException" %>
<%@ page import="com.avinamart.WebInterface.AuctionMode" %>
<%@ page import="com.avinamart.WebInterface.Authorization.ModuleAuth" %>
<%@ page import="com.avinamart.WebInterface.Constants.ContextCodes" %>
<%@ page import="com.avinamart.WebInterface.Constants.Header"%>
<%@ page import="com.avinamart.WebInterface.Constants.JSP"%>
<%@ page import="com.avinamart.WebInterface.Constants.Javascript"%>
<%@ page import="com.avinamart.WebInterface.Constants.Message"%>
<%@ page import="com.avinamart.WebInterface.Constants.UniqueIDMode"%>
<%@ page import="com.avinamart.WebInterface.EPASSJSPActions"%>
<%@ page import="com.avinamart.WebInterface.EPASSReferences"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiAdminServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiAttributeDefServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiHelpServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiJSPServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiPJMServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiRFQServices"%>
<%@ page import="com.avinamart.WebInterface.ListJobControllerHelper"%>
<%@ page import="com.avinamart.WebInterface.NavSupport"%>
<%@ page import="com.avinamart.WebInterface.RequestUtility"%>
<%@ page import="com.avinamart.WebInterface.ServletBase"%>
<%@ page import="com.avinamart.WebInterface.TreeWizUtility"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSFieldName"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLForm"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLSelect"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSImageControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputButton"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputControlInterface"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputGenericString"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputRadioButtons"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputSimpleSelect"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputSingleCheckBox"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl"%>
<%@ page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@ page import="java.rmi.RemoteException"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Collection"%>
<%@ page import="java.util.HashMap"%>
<%@ page import="java.util.List"%>
<%@ page import="com.avinamart.Struct.AuctionStruct"%>
<%@ page import="com.avinamart.BusinessLogic.Key.AuctionKeyImpl"%>
<%@ page import="com.avinamart.BusinessLogic.Constant.AuctionStatus"%>
<%@ page import="com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct"%>
<%@ page import="com.emptoris.app.rfxkernel.common.struct.RFxStruct"%>
<%@ page import="com.emptoris.base.key.BaseKeyImpl"%>
<%@ page import="com.emptoris.app.rfxkernel.service.internal.bean.RFxServiceManager"%>
<%@ page import="com.emptoris.app.auctionkernel.service.model.AuctionSetup"%>
<%@ page import="com.emptoris.framework.currency.common.CurrencyUtility"%>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.ProjectManagement.ProjectManagementUiBusinessRules"%>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.Auction.AuctionUiBusinessRules"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="com.emptoris.framework.translation.util.TranslationUtility" %>
<%@ page import="com.emptoris.framework.translation.service.impl.TranslationService" %>
<%@ page import="org.owasp.esapi.ESAPI" %>

<%-- +---------------------------------------------------------------------------
	Include Head
		- This file is used for initalizing an object called EPASSReference
		  which (among other things) holds references to the user data context
		  information and service wrappers used in this page.
---------------------------------------------------------------------------+ --%>
<%@ include file="../../include/head.inc" %>
<script type="text/javascript">
    // override search results width for this page
    zmResultWidth = 306;
</script>
<%@ include file="../../include/zissou_mini.inc" %>
<LINK REL="stylesheet" HREF="<%= request.getContextPath()%>/dhtml_lib/css/feature/zissou_mini_clean.css">

<script type="text/javascript">

a_list_or_url = "zissou_mini_find.jsp?projectSearch=true";
var templateSearchUrl;

ZissouMiniFormatter.getDataAction = function( dataObject ) {
    return {
        execute : function(){
            var projectId = dataObject.id;
            var projectName = this.specialText;

            var idx = projectName.indexOf("&nbsp;("); // clean it up
            projectName = projectName.substr( 0, (idx == -1)? projectName.length : idx );
	        updateProjectName(projectId, projectName);
      }
    };
}
var selectedProjectName;
var selectedRFxOrTemplateName;

function updateProjectName(projectId, projectName){
		var projectWrapper = document.getElementById('zissou_mini_input');
		selectedProjectName = projectName;
        projectWrapper.value = projectName;
        var projectInput = document.getElementsByName("project_id")[0];
        projectInput.value = projectId;
}

function updateTemplateName(templateId, templateName){
        var templateWrapper = document.getElementById('zissou_mini_input2');
        <%-- If ESP-46639 if no control available not required to update the template name it is already set --%>
        if(templateWrapper!=null){
	        selectedRFxOrTemplateName = templateName;
	        templateWrapper.value = templateName;
	        var templateInput = document.getElementsByName("_uda_auctionTemplateField")[0];
	        templateInput.value = templateId;
        }
}
</script>

<%
// Form variables defined here

//
//******************************************************************************
//	EPASSFieldName DECLARATIONS
//		This section should declare string variables for the the names
//		of the controls used on the jsp form. Used with the RequestUtility,
//		in order to convert the data in the Request into a struct object
//******************************************************************************
//
final String fieldNameORGANIZATIONID = EPASSFieldName.addPrefix( AuctionStruct.ORGANIZATIONID);
final String fieldNameCODE = EPASSFieldName.addPrefix( AuctionStruct.CODE);
final String fieldNameDESCRIPTION = EPASSFieldName.addPrefix( AuctionStruct.DESCRIPTION);
final String fieldNameID = EPASSFieldName.addPrefix( AuctionStruct.ID);
final String fieldNameNAME = EPASSFieldName.addPrefix( AuctionStruct.NAME);
final String fieldNameTEMPLATE = EPASSFieldName.addPrefix( AuctionStruct.TEMPLATE);
final String fieldNameTYPE = EPASSFieldName.addPrefix( AuctionStruct.TYPE);
final String fieldNameSTYLE = EPASSFieldName.addPrefix( RFxStruct.STYLE);
final String fieldNameTemplateSelect 	= EPASSFieldName.addPrefix(EPASSUiRFQServices.TEMPLATE_SELECT_LIST);
final String fieldNameDECIMALPLACES = EPASSFieldName.addPrefix( AuctionStruct.DECIMALPLACES);
final String fieldNameBusinessUnit = EPASSFieldName.addPrefix(AuctionStruct.BUSINESSUNITID);
final String fieldNameCURRENTROUNDID = EPASSFieldName.addPrefix( AuctionStruct.RFX_CURRENT_ROUND_ID);
final String fieldNameStatus = EPASSFieldName.addPrefix( AuctionStruct.STATUS);
final String fieldNameIsProduction = EPASSFieldName.addPrefix(AuctionStruct.ISPRODUCTION); //PR#43188
final String fieldNameIsCubeLoadable = EPASSFieldName.addPrefix(AuctionStruct.ISCUBELOADABLE);
final String fieldNameARCHIVESTATUS = EPASSFieldName.addPrefix( AuctionStruct.ARCHIVESTATUS );
String JSP_ORIGINAL_ACTION = "OriginalJSPFormAction";

final String fieldNameCATEGORYNAME = "CategoryName";
final String IS_RFX_CATEGORY_DIRTY = "IS_RFX_CATEGORY_DIRTY";
final String fieldNameCATEGORY = EPASSFieldName.addPrefix(AuctionStruct.CATEGORYID);
String fieldValueCATEGORYNAME = null ;
String templateFlagName = "flag";
String mainCategoryExisted = "flag1";

String isRFXCatDirty = "false";

if(ref.req.getParameter(IS_RFX_CATEGORY_DIRTY)!=null){
	isRFXCatDirty = ref.req.getParameter(IS_RFX_CATEGORY_DIRTY);
}	

Integer fieldValueCATEGORY = null ;

boolean categoryLinkingFlag = EPASSUiRFQServices.getAuctionUiBusinessRules().isShowCategoriesLinkedToUser(ref);


boolean catRequireFlag = EPASSConfig.getInstance().getBooleanParameter(AuctionUiBusinessRules.RFX_CATEGORY_REQUIRED);

// project management
final String fieldNamePROJECTID 	= EPASSUiRFQServices.PROJECT_ID;
final String fieldNameALLOWPARTIALQTY = EPASSFieldName.addPrefix( AuctionStruct.ALLOWPARTIALBID);

//Set to true when an rfx copy is too long and it is sent to the queue
boolean isBatchCopyJob = false;
//
//******************************************************************************
// JSP FORM VALUE DECLARATIONS. Declare the variables that will
// 		be used to get data from request and put into jsp form
//******************************************************************************
//
java.lang.String 		fieldValueCODE = null;
java.lang.String 		fieldValueDESCRIPTION = null;
java.lang.Integer 		fieldValueID = null;
java.lang.String 		fieldValueNAME = null;
java.lang.Integer 		fieldValueSTATUS = null;
java.lang.Boolean 		fieldValueTEMPLATE = new Boolean(false);
java.lang.Integer 		fieldValueTYPE = null;
java.lang.Integer 		fieldValueSTYLE = null;
java.lang.Boolean 		fieldValueDELETEITEMS = null;
java.lang.Integer		fieldValueDECIMALPLACES = null;
java.lang.Boolean       fieldValueARCHIVESTATUS = null;
java.lang.Boolean       fieldValueALLOWPARTIALQTY = null;
java.lang.Integer       fieldValueCURRENTROUNDID = null;
//PR#43188
java.lang.Boolean       fieldValueISPRODUCTION = null; 
java.lang.Boolean       fieldValueISCUBELOADABLE = null;
boolean 				productionAlert = false;

Integer fieldValueBusinessUnit = null;
boolean isCreateFromRFP = false;

boolean isPopup = stringNotEmpty(ref.req.getParameter(EPASSUiJSPServices.IS_CALLED_AS_POPUP))? true : false;

if ( isPopup ) {
	ref.userDataContext.setRfqId( ref, new Integer(ref.req.getParameter(ServletBase.CURRENT_ID) ) );
}


// Var to print the status of an action, on the form, for the user
String statusMsg = null;

// Used when the page is called from menu "create from template", user must select from select list
AuctionStruct[] fieldValueTmpltArray = null;

// Common key var, used throughout page
AuctionKeyImpl rfqKey = null;

// Common var, used to hold the rfq id
Integer rfqId = null;

// Var used to hold the selected template id, that the new rfq will be copied from
Integer tmpltRfqId = null;

// Var used to hold the selected residual rfx id, that the new rfq (theatre) will be copied from
// 		This is typical when creating a theatre auction, based on a prior RFP
Integer residualId = null;


// Common auction struct initialization
ref.structs.auctionStruct = new AuctionStruct();

// Auction indicator object, used to store create and edit mode info
AuctionMode rfqMode = new AuctionMode();

// An indicator that will determine if the form is creating a new auction
boolean isNewAuction = false;

// An indicator that we are copying an auction into a template auction. Some tweaking required.
boolean isCopyIntoTemplate = false;

// An indicator from the request that determines if the COPY_FROM_RFX action is copying from a template
boolean isCopyFromTemplate = false;


boolean isReplaceRFI = false;

//PR63582
// Aggregate RFQ vars
ArrayList rfqKeys = null;
ArrayList prodKeys = null;

//An array list and string message used when copying sealed to a reverse type rfq. It includes the
//names of the formulas affected by the copy and is displayed as a javascrip message when the copy
//is successful
ArrayList affectedFormulaNames = new ArrayList();
String formulaAffectedMessage = null;


// indicates if any of the ui needs updating (context items)
boolean bNotifyOfUpdate = false;
boolean bUpdateTree 	= false;

// Load the system mode for handling Unique IDs.
UniqueIDMode uniqueIDMode = new UniqueIDMode();


// Determines if the page was called from the type page as a new rfx. This is used to
//		decide if we should try saving, when the user clicks the "create new rfx" link in the tree

// Get the auction policy struct, for all auctions new or edit.
// 		Based on the auction in context.

// Var used to set the next action, when a submit occurs
int nextAction = EPASSJSPActions.SAVE_NEW;

String actionBarTitle = null;
Object actionBarButtons = toolbarItems.toString();

// Get flag concerning external approval for award.

EPASSConfig theConfig = EPASSConfig.getInstance();
boolean awardApprovalRequiredFlag = theConfig.getBooleanParameter(
                        EPASSConfig.EXTERNAL_APPROVAL_REQUIRED_FOR_AWARD_NOTIFICATION, false);

// default from organization profile.
boolean orgRequiresAwardApproval = false;
if ((awardApprovalRequiredFlag) && (null != ref))
{
    OrganizationStruct organizationStruct = ref.getOrganizationStruct();
    if (null != organizationStruct)
    {
        String fieldValueExternalApproval =
                            (String) organizationStruct.getAttribute( OrganizationStruct.EXTERNALAPPROVALFORAWARDS );
		if (null != fieldValueExternalApproval)
		{
			orgRequiresAwardApproval = fieldValueExternalApproval.equalsIgnoreCase("true");
		}
	}
}



//******************************************************************************
//	Auction Detail Action Block
//******************************************************************************
int formAction = ref.getAction().intValue();
    boolean isCubeLoadableEditable = true;
    boolean cubeLoadStateChanged = false;
    boolean isProdStateRefreshed = false;
    int formOriginalAction = formAction;
// PR-24153
if (formAction == EPASSJSPActions.REFRESH_PAGE) {
	try {
		formAction = Integer.parseInt(ref.req.getParameter(JSP_ORIGINAL_ACTION));
		//PR 68490
		if(formAction == EPASSJSPActions.SAVE_NEW)
			formAction = EPASSJSPActions.CREATE_VIEW;
		//PR 68490
		fieldValueTYPE = new Integer(ref.req.getParameter(fieldNameTYPE));
		fieldValueSTYLE = new Integer(ref.req.getParameter(fieldNameSTYLE));

        // if refreshing while creating or while changing isProduction flag, handle the fieldValueISCUBELOADABLE state
        if (ref.req.getParameter("isProductionChanged") != null &&
                (new Boolean(ref.req.getParameter("isProductionChanged")))) {
            fieldValueISPRODUCTION = new Boolean(ref.req.getParameter(fieldNameIsProduction));
            if (!fieldValueISPRODUCTION) {
                fieldValueISCUBELOADABLE = false;
                cubeLoadStateChanged = true;
            }
            isProdStateRefreshed = true;
        }
	}
	catch (NumberFormatException nfe) {
	}
}

if ( ref.req.getParameter( fieldNameALLOWPARTIALQTY ) != null ) {
    fieldValueALLOWPARTIALQTY = new Boolean(ref.req.getParameter( fieldNameALLOWPARTIALQTY ));
}


Integer rfqIdLocal = null;
AuctionStruct template = null;
String eventName = "";
switch( formAction )
{
	case EPASSJSPActions.REFRESH_CREATE_FROM_RFP:
	
		RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct ); 
		try {
				tmpltRfqId = getTemplateId(ref, fieldNameTemplateSelect);
				if(tmpltRfqId != null && tmpltRfqId != -1){
					template = EPASSUiRFQServices.getRFQ(ref, tmpltRfqId);
					ref.structs.auctionStruct.setTemplate(false);
					ref.structs.auctionStruct.setCategoryId(template.getCategoryId());
				}
		} catch (EPASSApplicationException e) {	
			ref.setErrorMessage(e);
		}
		
		nextAction = EPASSJSPActions.SAVE_FROM_RFP;
		formAction = EPASSJSPActions.CREATE_FROM_RFP;
		isCreateFromRFP = true;
		break;

    case EPASSJSPActions.REFRESH_FROM_SELECTLIST_TEMPLATE:

        /* RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
                                    ref.req,
                                    ref.structs.auctionStruct ); */ 
        try {
            tmpltRfqId = getTemplateId(ref, fieldNameTemplateSelect);
            if(tmpltRfqId != null && tmpltRfqId != -1){
            	ref.structs.auctionStruct = EPASSUiRFQServices.getRFQ(ref, tmpltRfqId);
                ref.structs.auctionStruct.setTemplate(false);
                ref.structs.auctionStruct.setCode(request.getParameter(fieldNameCODE));
                ref.structs.auctionStruct.setName(request.getParameter(fieldNameNAME));           	
            }
          	//Added by Ashok for ESP-48700
           	if(formOriginalAction == EPASSJSPActions.REFRESH_PAGE)//PR 81753
           	{
           		RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
						ref.req,
						ref.structs.auctionStruct );
           	}
        } catch (EPASSApplicationException e) {
        	ref.setErrorMessage(e);
        }
        nextAction = EPASSJSPActions.SAVE_FROM_TEMPLATE;
        formAction = EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE;
        break;

	case EPASSJSPActions.CREATE_VIEW:
		// Put the request parameters into the ref auction struct
        ref.structs.auctionStruct.setOrganizationId( ref.getOrgID() );  // Prep the struct becuase org id is needed
		RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );
		nextAction = EPASSJSPActions.SAVE_NEW;
		break;
	case EPASSJSPActions.SAVE_NEW:
		isNewAuction = checkIfNewAuction(ref);
        if ( isNewAuction ){
            ref.structs.auctionStruct.setOrganizationId( ref.getOrgID() );  // Prep the struct becuase org id is needed
        }
		if ( saveAuction(ref) )
		{
			statusMsg = Message.CHANGES_SAVED;
			bNotifyOfUpdate = true;
		}
		nextAction = EPASSJSPActions.SAVE_NEW;

		// Set the edit flags for all the type of auctions
		setAuctionEditFlags(ref, rfqMode);
		break;
	case EPASSJSPActions.READ_VIEW:
 		// - Read view is used when an existing item is to be viewed,
		//   but not modified.
		ref.structs.auctionStruct = null;// before getting, set to null or comparitor fails inside
		rfqId = ref.userDataContext.getRfqId();
		ref.structs.auctionStruct =
			EPASSUiRFQServices.getCurrentRFQ( ref, rfqId );
		nextAction = EPASSJSPActions.READ_VIEW;
		break;
	case EPASSJSPActions.EDIT_VIEW:
		ref.structs.auctionStruct = null;// before getting, set to null or comparitor fails inside
		ref.structs.auctionStruct = EPASSUiRFQServices.getCurrentRFQ( ref );
		/*
		 * PR 81753
		 * if form acution is EDIT_VIEW and formOriginalAction is REFRESH_PAGE means user has changed
		 * For Test Use value so first get the auction struct from backend and override with request values.
		 * By doing this we are retaining the user modified values in UI and getting remaining values from DB. 
		 */
		if(formOriginalAction == EPASSJSPActions.REFRESH_PAGE)
		{
			RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
					ref.req,
					ref.structs.auctionStruct );
		}
        // Set the edit flags for all the type of auctions, and get the correct image
		setAuctionEditFlags(ref, rfqMode);

		setRefReadOnlyFlag(ref);
		nextAction = EPASSJSPActions.SAVE_NEW;
        bUpdateTree	= true;

		break;
	case EPASSJSPActions.CREATE_FROM_REF_CONTEXT_TEMPLATE:

		Integer templateRfqIdLocal = null;
		if ( EPASSUiJSPServices.stringNotEmpty( request.getParameter( "template_id" ) ) ) {
			templateRfqIdLocal = new Integer( request.getParameter( "template_id" ) );
		} else if ( ref.userDataContext.getRfqId() != null ) {
			templateRfqIdLocal = ref.userDataContext.getRfqId();
		}

		if ( templateRfqIdLocal != null ) {
			ref.structs.auctionStruct = null;// before getting, set to null or comparitor fails inside
			ref.structs.auctionStruct = EPASSUiRFQServices.getCurrentRFQ( ref, new AuctionKeyImpl( templateRfqIdLocal ) );
			// Get the id of the auction in context, so we can default the list of templates
			if ( ref.structs.auctionStruct != null ) {
				tmpltRfqId = ref.structs.auctionStruct.getId();
			}
		}
		nextAction = EPASSJSPActions.SAVE_FROM_TEMPLATE;
		break;
	case EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE:
		// Put the request parameters into the ref auction struct
		RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );
									
		try {
            tmpltRfqId = getTemplateId(ref, fieldNameTemplateSelect);
            if(tmpltRfqId != null && tmpltRfqId != -1)
            {
            	template = EPASSUiRFQServices.getRFQ(ref, tmpltRfqId);
            	ref.structs.auctionStruct.setType(template.getType());
		    }
        } catch (EPASSApplicationException e) {
        	ref.setErrorMessage(e);
        }
									
		nextAction = EPASSJSPActions.SAVE_FROM_TEMPLATE;
		break;
	case EPASSJSPActions.SAVE_FROM_TEMPLATE:
		// This id should come from the request
		tmpltRfqId = getTemplateId(ref, fieldNameTemplateSelect);

		isCopyFromTemplate = !StringUtility.isEmpty(ref.req.getParameter(IS_TMPLT_IN_CONTEXT));

		if ( tmpltRfqId != null )
		{
			
            BaseKeyImpl objKey = saveAuctionFromTemplate(ref, tmpltRfqId);

            //Copy was done successfully and is complete
			if ( objKey instanceof AuctionKeyImpl)
			{
				statusMsg = Message.CHANGES_SAVED;
				bNotifyOfUpdate = true;
				isNewAuction = true;
				nextAction = EPASSJSPActions.SAVE_NEW;
			}
            //Copy was sent to job queue
            else if (objKey instanceof JobKeyImpl) {
                isBatchCopyJob = true;
                //"Clean" the struct
                // Put the request parameters into the ref auction struct
		        ref.structs.auctionStruct  = new AuctionStruct();
		        nextAction = EPASSJSPActions.SAVE_FROM_TEMPLATE;
				formAction = EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE;
            }
            //Copy failed
            else { // reset the old action
				if (isCopyFromTemplate)
				{
					formAction = EPASSJSPActions.CREATE_FROM_RFX;
				} else {
					formAction = EPASSJSPActions.REFRESH_FROM_SELECTLIST_TEMPLATE;
				}
				nextAction = EPASSJSPActions.SAVE_FROM_TEMPLATE;
			}
		}
		break;
    case EPASSJSPActions.CREATE_AGGREGATE_RFQ:
        rfqKeys = getAggregationRFQIds(ref);// comes from request
        prodKeys = getAggregationProductIds(ref);// comes from request
        // Put the request parameters into the ref auction struct
        RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
                                    ref.req,
                                    ref.structs.auctionStruct );
        rfqMode.isCreateAggregateRfq = true;
        nextAction = EPASSJSPActions.SAVE_AGGREGATE_RFQ;
        break;
    case EPASSJSPActions.SAVE_AGGREGATE_RFQ:
        rfqMode.isCreateAggregateRfq = true;
        rfqKeys = getAggregationRFQIds(ref);// comes from request
        prodKeys = getAggregationProductIds(ref);// comes from request

        if ( ref.req.getParameter( EPASSUiRFQServices.DEMAND_AGG_DELETE_ITEMS ) != null ) {
                fieldValueDELETEITEMS = new Boolean(ref.req.getParameter( EPASSUiRFQServices.DEMAND_AGG_DELETE_ITEMS ));
        }

            if (saveAggregateAuction(ref, rfqKeys, prodKeys))//, auctionPolicy))
            {
            statusMsg = Message.CHANGES_SAVED;
            bNotifyOfUpdate = true;
            isNewAuction = true;
            nextAction = EPASSJSPActions.SAVE_NEW;
            bUpdateTree	= true;
        } else { // reset the old action
            nextAction = EPASSJSPActions.CREATE_AGGREGATE_RFQ;
        }
        break;
	case EPASSJSPActions.CREATE_FROM_RFX:
		rfqIdLocal = ref.userDataContext.getRfqId();
		isCopyIntoTemplate = true;

		if ( rfqIdLocal != null ) {
			ref.structs.auctionStruct = null;// before getting, set to null or comparitor fails inside
			ref.structs.auctionStruct = EPASSUiRFQServices.getCurrentRFQ( ref, new AuctionKeyImpl( rfqIdLocal ) );
			// Get the id of the auction in context, so we can default the list of templates
			if ( ref.structs.auctionStruct != null ) {
				isCopyFromTemplate = ref.structs.auctionStruct.isTemplate().booleanValue();
				tmpltRfqId = ref.structs.auctionStruct.getId();
			}
		}
		// modify the terminology a bit
		actionBarTitle = isCopyFromTemplate
							? ref.convertLiteral("form.wizrfxtype.actionlabel.copy_from_template")
							: ref.convertLiteral("form.wizrfxtype.actionlabel_copy");
							

		eventName = ref.structs.auctionStruct.getName();
		/*
		 * PR 81753
		 * if form acution is CREATE_FROM_RFX and formOriginalAction is REFRESH_PAGE means user has changed
		 * For Test Use value so first get the auction struct from backend and override with request values.
		 * By doing this we are retaining the user modified values in UI and getting remaining values from DB. 
		 */
		if(formOriginalAction == EPASSJSPActions.REFRESH_PAGE)
		{
			RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
					ref.req,
					ref.structs.auctionStruct );
		}
		if ( isCopyFromTemplate )
		{
			nextAction = EPASSJSPActions.SAVE_FROM_TEMPLATE;
		} else {
			nextAction = EPASSJSPActions.SAVE_FROM_RFX;
		}
		break;
	case EPASSJSPActions.SAVE_FROM_RFX:
		// This id should come from the request
		isCopyIntoTemplate = true;
		tmpltRfqId = ref.userDataContext.getRfqId();
		if( tmpltRfqId != null )
		{
			BaseKeyImpl copyKey = copyAuctionAsTemplate(ref, tmpltRfqId);
            if (copyKey instanceof AuctionKeyImpl)
			{
				statusMsg = Message.CHANGES_SAVED;
				bNotifyOfUpdate = true;
				isNewAuction = true;
				// a hack: when the copy button from the detail_rfq.jsp fires up the wizard, i need an indicator so the tree xml will filter nodes
				// 		Set this alternate rfq id, and reset it on the create rfx page, so the edit nodes will appear and the requires arg is satisfied.
				ref.userDataContext.setRfq2Id(null);
				nextAction = EPASSJSPActions.SAVE_NEW;
				bUpdateTree	= true;
			}
            else if (copyKey instanceof JobKeyImpl)
            {
                isBatchCopyJob = true;
                //"Clean" the struct
                // Put the request parameters into the ref auction struct
		        ref.structs.auctionStruct  = new AuctionStruct();
		        nextAction = EPASSJSPActions.SAVE_FROM_RFX;
				formAction = EPASSJSPActions.CREATE_FROM_RFX;
            }
			else
			{ // reset the old action
				rfqIdLocal 	       = ref.userDataContext.getRfqId();
				isCopyIntoTemplate = true;

				if( rfqIdLocal != null )
				{
						// Get the id of the auction in context, so we can default the list of templates
						if( ref.structs.auctionStruct != null )
						{
							tmpltRfqId = ref.structs.auctionStruct.getId();
						}
				}

                nextAction = EPASSJSPActions.SAVE_FROM_RFX;
				//nextAction = EPASSJSPActions.CREATE_FROM_RFX;
			}
		}
		break;
	case EPASSJSPActions.CREATE_FROM_RESIDUAL:
		actionBarTitle 	= ref.convertLiteral("form.wizrfxtype.actionlabel_residual_copy");
		rfqIdLocal 		= ref.userDataContext.getRfqId();

		if( rfqIdLocal != null )
		{
			ref.structs.auctionStruct = null;// before getting, set to null or comparitor fails inside
			ref.structs.auctionStruct = EPASSUiRFQServices.getCurrentRFQ( ref, new AuctionKeyImpl( rfqIdLocal ) );
		}
		eventName = ref.structs.auctionStruct.getName();
        /*
   		 * PR 81753
   		 * if form acution is CREATE_FROM_RESIDUAL and formOriginalAction is REFRESH_PAGE means user has changed
   		 * For Test Use value so first get the auction struct from backend and override with request values.
   		 * By doing this we are retaining the user modified values in UI and getting remaining values from DB. 
   		 */
   		if(formOriginalAction == EPASSJSPActions.REFRESH_PAGE)
   		{
   			RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
   					ref.req,
   					ref.structs.auctionStruct );
   		}
		nextAction = EPASSJSPActions.SAVE_FROM_RESIDUAL;
		break;
	case EPASSJSPActions.SAVE_FROM_RESIDUAL:
		// Used to create another rfq from an awarded one
		// 		a. the rfq must be an awarded state
		//		b. the wrapper method has the ref change the rfq context if successful
        BaseKeyImpl copyKey = saveAuctionFromResidual( ref);
		
        if (copyKey instanceof AuctionKeyImpl)
		{
			statusMsg = Message.CHANGES_SAVED;
			bNotifyOfUpdate = true;
			isNewAuction = true;
			nextAction = EPASSJSPActions.SAVE_NEW;
			// 		Set this alternate rfq id, and reset it on the create rfx page, so the edit nodes will appear and the requires arg is satisfied.
			ref.userDataContext.setRfq2Id(null);
			bUpdateTree	= true;
		}
        else if (copyKey instanceof JobKeyImpl)
        {
            isBatchCopyJob = true;
            //"Clean" the struct
            // Put the request parameters into the ref auction struct
            ref.structs.auctionStruct  = new AuctionStruct();
            nextAction = EPASSJSPActions.SAVE_FROM_RESIDUAL;
			formAction = EPASSJSPActions.CREATE_FROM_RESIDUAL;
        }
		else
		{ // reset the old action
			rfqIdLocal 		= ref.userDataContext.getRfqId();

            nextAction = EPASSJSPActions.SAVE_FROM_RESIDUAL;
			//nextAction = EPASSJSPActions.CREATE_FROM_RESIDUAL;
		}
		break;
	case EPASSJSPActions.CREATE_FROM_RFP:
		// Put the request parameters into the ref auction struct
		RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );
		nextAction = EPASSJSPActions.SAVE_FROM_RFP;
        isCreateFromRFP = true;
		break;
	case EPASSJSPActions.SAVE_FROM_RFP:
        isCreateFromRFP = true;
		residualId = getTemplateId(ref, fieldNameTemplateSelect);
		// in case we are returning from an error, reset the select list rfq value
		tmpltRfqId = residualId;
		copyKey = saveAuctionFromRFP(ref, residualId, affectedFormulaNames, fieldNameTYPE);
        if (copyKey instanceof AuctionKeyImpl)
		{
			statusMsg = Message.CHANGES_SAVED;
			bNotifyOfUpdate = true;
			isNewAuction = true;
			nextAction = EPASSJSPActions.SAVE_NEW;
            //If there were affected formulas, create a message
			if(affectedFormulaNames.size() > 0){
				StringBuffer sb = new StringBuffer();
				sb.append(ref.convertLiteral("form.wizrfxstart.message.affected_formulas1"))
				  .append(":\\n\\n    ");
				for(int i = 0; i < affectedFormulaNames.size(); i++){
					sb.append(affectedFormulaNames.get(i).toString());
					if( i < affectedFormulaNames.size() - 1){
						sb.append(" ,");
					}
				}
				sb.append("\\n\\n")
				  .append(ref.convertLiteral("form.wizrfxstart.message.affected_formulas2"));
				formulaAffectedMessage = sb.toString();
			}
		}
        else if (copyKey instanceof JobKeyImpl)
        {
            isBatchCopyJob = true;
            //"Clean" the struct
            // Put the request parameters into the ref auction struct
            ref.structs.auctionStruct  = new AuctionStruct();
            nextAction = EPASSJSPActions.SAVE_FROM_RFP;
			formAction = EPASSJSPActions.CREATE_FROM_RFP;
        }
        else { // reset the old action
			formAction = EPASSJSPActions.CREATE_FROM_RFP;
			nextAction = EPASSJSPActions.SAVE_FROM_RFP;
		}
		break;
    case EPASSJSPActions.CREATE_STANDARD_FROM_RFP:
        // Put the request parameters into the ref auction struct
        RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
                                    ref.req,
                                    ref.structs.auctionStruct );
        nextAction = EPASSJSPActions.SAVE_FROM_RFP;
        isCreateFromRFP = true;
        break;

    case EPASSJSPActions.CREATE_CLONE_RFX:
        Integer cloneRfqId = ref.userDataContext.getRfqId();

        if ( cloneRfqId != null ) {
            ref.structs.auctionStruct = null;// before getting, set to null or comparitor fails inside
            ref.structs.auctionStruct = EPASSUiRFQServices.getCurrentRFQ( ref, new AuctionKeyImpl( cloneRfqId ) );
        }
        
        eventName = ref.structs.auctionStruct.getName();
        /*
		 * PR 81753
		 * if form acution is CREATE_CLONE_RFX and formOriginalAction is REFRESH_PAGE means user has changed
		 * For Test Use value so first get the auction struct from backend and override with request values.
		 * By doing this we are retaining the user modified values in UI and getting remaining values from DB. 
		 */
		if(formOriginalAction == EPASSJSPActions.REFRESH_PAGE)
		{
			RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
					ref.req,
					ref.structs.auctionStruct );
		}
        actionBarTitle = ref.convertLiteral("form.wizrfxstart.actionlabel.create_clone_rfx");
        nextAction = EPASSJSPActions.SAVE_CLONE_RFX;
        break;
    case EPASSJSPActions.SAVE_CLONE_RFX:
        copyKey = cloneAuctionFromRFx(ref);

        if (copyKey instanceof AuctionKeyImpl)
        {
            statusMsg = Message.CHANGES_SAVED;
            bNotifyOfUpdate = true;
            isNewAuction = true;
            ref.userDataContext.setRfq2Id(null);
            nextAction = EPASSJSPActions.SAVE_NEW;
            bUpdateTree	= true;
        }
        else if (copyKey instanceof JobKeyImpl)
        {
            isBatchCopyJob = true;
            //"Clean" the struct
            // Put the request parameters into the ref auction struct
            ref.structs.auctionStruct  = new AuctionStruct();
            nextAction = EPASSJSPActions.SAVE_CLONE_RFX;
			formAction = EPASSJSPActions.CREATE_CLONE_RFX;
        }
        else
        { // reset the old action
            rfqIdLocal 	       = ref.userDataContext.getRfqId();

            if( rfqIdLocal != null )
            {
                ref.structs.auctionStruct.setId(rfqIdLocal);
            }
            nextAction = EPASSJSPActions.SAVE_CLONE_RFX;
        }
        break;
	default:
 		// TODO: MESSAGE HANDLER FOR NO/UNKNOWN ACTION
		throw new SystemException("Invalid parameters: missing jspAction: " +
			request.getRequestURI() + "?" +
			request.getQueryString());
}// end Switch

// END ACTION CONTROL BLOCK=================================================
//PR#43188-
if( (formAction == EPASSJSPActions.CREATE_CLONE_RFX || formAction == EPASSJSPActions.CREATE_FROM_RFX)
 && (ref.structs.auctionStruct.isReverseAuction()))
 {
 	productionAlert = true;
 } 


//******************************************************************************
//      Initialize table control field values from struct
//******************************************************************************
if (actionBarTitle == null) {
	actionBarTitle = ref.convertLiteral("form.wizrfxstart.actionlabel");
}

if ( ref.structs.auctionStruct  != null )
{
   fieldValueCODE = (java.lang.String) ref.structs.auctionStruct.getAttribute( AuctionStruct.CODE);
   fieldValueDESCRIPTION = TranslationUtility.getInstance().getDefaultValue(ref.structs.auctionStruct, (java.lang.String) ref.structs.auctionStruct.getAttribute( AuctionStruct.DESCRIPTION));
   fieldValueID = (java.lang.Integer) ref.structs.auctionStruct.getAttribute( AuctionStruct.ID);
   fieldValueNAME = (java.lang.String) ref.structs.auctionStruct.getAttribute( AuctionStruct.NAME);
   fieldValueSTATUS = (java.lang.Integer) ref.structs.auctionStruct.getAttribute( AuctionStruct.STATUS);
   fieldValueTEMPLATE = (java.lang.Boolean) ref.structs.auctionStruct.getAttribute( AuctionStruct.TEMPLATE);
   fieldValueTYPE = (java.lang.Integer) ref.structs.auctionStruct.getAttribute( AuctionStruct.TYPE);
   fieldValueSTYLE = (java.lang.Integer) ref.structs.auctionStruct.getAttribute( RFxStruct.STYLE);
   fieldValueDECIMALPLACES = ref.structs.auctionStruct.getDecimalPlaces();
   fieldValueBusinessUnit = (Integer) ref.structs.auctionStruct.getBusinessUnitId();
   
   fieldValueCATEGORY = (Integer)ref.structs.auctionStruct.getAttribute( AuctionStruct.CATEGORYID);

	if(fieldValueCATEGORY !=null){
		fieldValueCATEGORYNAME = EPASSUiProjectServices.getCategory(ref,fieldValueCATEGORY);
		
		//If the RFX main Category updated through quick search then mark it as last visited category and gets display as default category in Item creation
		//When user uses advanced search,the category selection page itself mark as last visited category
		if("true".equalsIgnoreCase(isRFXCatDirty)){
			ref.userDataContext.setCategoryId(fieldValueCATEGORY);
		}

	}


    // if cubeLoadState has not changed, then load it from struct
    if (!cubeLoadStateChanged) {
        fieldValueISCUBELOADABLE = ref.structs.auctionStruct.isCubeLoadable();
    }
    if (!isProdStateRefreshed) {
         fieldValueISPRODUCTION = ref.structs.auctionStruct.isProduction();//PR#43188 Note: UI and DB values are opposite.
     }
     // if not refreshing, assume that fieldValueISCUBELOADABLE is correct & just set the isCubeLoadableEditable to false if needed
     if (!fieldValueISPRODUCTION) {
         isCubeLoadableEditable = false;
     }

   fieldValueARCHIVESTATUS = ref.structs.auctionStruct.isArchivable();    
   if (fieldValueALLOWPARTIALQTY != null) {
    fieldValueALLOWPARTIALQTY = ref.structs.auctionStruct.isAllowPartialBid();
   }
   fieldValueCURRENTROUNDID = (java.lang.Integer) ref.structs.auctionStruct.getAttribute( AuctionStruct.RFX_CURRENT_ROUND_ID);
  fieldValueARCHIVESTATUS =  ref.structs.auctionStruct.getArchiveStatus();
   if ( ref.structs.auctionStruct.getAttribute( AuctionStruct.DEMAND_AGG_DELETE_ORIGINAL_ITEMS ) != null ) {
   		fieldValueDELETEITEMS = new Boolean (
			(String) ref.structs.auctionStruct.getAttribute( AuctionStruct.DEMAND_AGG_DELETE_ORIGINAL_ITEMS ) );
	}

   // Hack in a default. Why doesn't the back end do this????????????????????????????? fixMe
   if (fieldValueTEMPLATE == null) fieldValueTEMPLATE = Boolean.FALSE;

   // If this is called as a copy from existing auction, we should clear the name and code and id, so we can save a new one
   if (isCopyIntoTemplate)
   {
	   if(!(formOriginalAction == EPASSJSPActions.REFRESH_PAGE))//PR 81753
   		{
		  fieldValueNAME = null;
          fieldValueCODE  = null;	
   		}     
   		fieldValueID = null;		
		fieldValueSTATUS = null;
		fieldValueTEMPLATE = Boolean.TRUE;
        fieldValueCURRENTROUNDID = null;
    }

    // since this is a copy from a template, the result will be an rfx.  The template setting was causing problems with the
    // project selection box.  pr17316
    if (isCopyFromTemplate) {
        fieldValueTEMPLATE = Boolean.FALSE;
        ref.structs.auctionStruct.setTemplate(Boolean.FALSE);
    }
}
// DEFAULT ANY FORM VALUES HERE:

	// If this is a create from template, based on context, we should take out the name
	// 			and code field, before sending this struct to the form fields. That is because
	//			we want to default everything else on the form, based on the context auction.
	if (formAction == EPASSJSPActions.CREATE_FROM_REF_CONTEXT_TEMPLATE
		|| formAction == EPASSJSPActions.CREATE_FROM_RESIDUAL)
	{
		if(!(formOriginalAction == EPASSJSPActions.REFRESH_PAGE))//PR 81753
		{
			fieldValueNAME = null;
			fieldValueCODE  = null;
		}
		fieldValueSTATUS = null;
		fieldValueID = null;
		fieldValueTEMPLATE = null;
        fieldValueCURRENTROUNDID = null;
    }

    if (formAction == EPASSJSPActions.CREATE_CLONE_RFX && !(formOriginalAction == EPASSJSPActions.REFRESH_PAGE))
    {
    	if(!(formOriginalAction == EPASSJSPActions.REFRESH_PAGE))//PR 81753
    	{
	        fieldValueNAME = null;
	        fieldValueCODE  = null;
    	}
        fieldValueSTATUS = null;
        fieldValueID = null;
        fieldValueCURRENTROUNDID = null;
    }

	// RFQ TYPE field. Default to none selected
	if (fieldValueTYPE == null) fieldValueTYPE = new Integer(0);

	// RFQ SAVE AS TEMPLATE. Default the "save as template" checkbox
	String isCheck = fieldValueTEMPLATE == null ? "false" : fieldValueTEMPLATE.toString();
//
// create the buttons, after read only is set
//
EPASSInputButton buttonSubmit = null;

Integer projectIdForDisplay = null;
String projectName = null;

EPASSInputButton buttonCancel = EPASSInputButton.createButton("button", "cancelButton" ,
	ref.isReadOnly() ? ref.convertLiteral("form.wizConfigStart.button.done")
					 : ref.convertLiteral("form.wizConfigStart.button.cancel"),
	"return onClickCloseForm();");

//******************************************************************************
//	Build Form Table
//******************************************************************************
	// If creating a new RFQ (except create advanced), we will show the basic configuration screen only
	EPASSHTMLForm editForm = null;
	final String formName        = "auctionForm";
	// Always forward to the router page, and suppress tabs there
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
		ref.getUserPath() + "wiz_rfx_start.jsp", true );
	editForm.setAttribute("ONSUBMIT","return onSumbitFunction()"); //PR75168
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );	

	// flag to determine, if rfq is "created" mode. Should allow name and code field editable
	boolean isEditable = false;
	if (fieldValueSTATUS == null
		|| fieldValueSTATUS.equals(AuctionStatus.CREATED)
		|| fieldValueSTATUS.equals(AuctionStatus.CLOSED)
		|| fieldValueSTATUS.equals(AuctionStatus.PENDING)
        || fieldValueSTATUS.equals(AuctionStatus.PENDING_INVITATION)
		|| fieldValueSTATUS.equals(AuctionStatus.PAUSED))
	{
		isEditable = true;
	}

	// Set the read only flag on the form
	editForm.setReadOnly( !isEditable || ref.isReadOnly());	


    //-----------------------------------------------------------------------------------------------------
// a hack: when the copy button from the detail_rfq.jsp fires up the wizard, i need an indicator so the tree xml will filter nodes
// 		Set this alternate rfq id, and reset it on the create rfx page, so the edit nodes will appear and the requires arg is satisfied.
    String _SpecialCreateField = "_SpecialCreateField_";
    String tmpStr = ref.req.getParameter(_SpecialCreateField);
    boolean bSpecialCaseCreate = (tmpStr != null && tmpStr.equals("true"));

    // PR 18897: RFx>WIZ: Get bad error message, can't leave Basic Info (first) node of wizard nav tree of open, awarded or cancelled RFx(s).
    // If page is readonly, then prevent it from being considered the Special Case
    if (!bSpecialCaseCreate && !editForm.getReadOnly()) {
        bSpecialCaseCreate = ref.userDataContext.getRfqId2() != null;
    }

    ref.userDataContext.setRfq2Id(null);
//-----------------------------------------------------------------------------------------------------


	// if this is a copy into template, we need for info for the user. Use the separator:
	if( formAction == EPASSJSPActions.CREATE_FROM_RFX )
	{
		String name = "&nbsp;&nbsp;(" + eventName + ")";
		if (isCopyFromTemplate)
		{
			editForm.addSeparator( ref.convertLiteral("form.wizrfxtype.label.create_rfx_from_tmplt", isReplaceRFI) + name);
		} else {
            if (ref.structs.auctionStruct != null && ref.structs.auctionStruct.isBuyerRFI()) {
			    editForm.addSeparator( ref.convertLiteral("form.wizrfxtype.label.create_new_tmplt_copy_survey", isReplaceRFI) + name);
            } else {
			    editForm.addSeparator( ref.convertLiteral("form.wizrfxtype.label.create_new_tmplt_copy", isReplaceRFI) + name);
            }
		}
	}
	else if( formAction == EPASSJSPActions.CREATE_FROM_RESIDUAL )
	{
		String name = "&nbsp;&nbsp;(" + eventName + ")";
		editForm.addSeparator( ref.convertLiteral("form.wizrfxtype.label.create_residual", isReplaceRFI) + name);
	}
    else if( formAction == EPASSJSPActions.CREATE_CLONE_RFX )
    {
        String name = "&nbsp;&nbsp;(" + eventName + ")";
        if (ref.structs.auctionStruct != null && ref.structs.auctionStruct.isBuyerRFI()) {
            editForm.addSeparator( ref.convertLiteral("form.wizrfxstart.actionlabel.create_clone_buyer_survey", isReplaceRFI) + name);
        } else {
            editForm.addSeparator( ref.convertLiteral("form.wizrfxstart.actionlabel.create_clone_rfx", isReplaceRFI) + name);
        }
    }

    // Creates the "Add" event button
	String ADD_BTN = "add_btn_cntrl";
//	EPASSImageControl addBtn = new EPASSImageControl(ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_add_up.gif",
//															 0, 0, 0, 0, 0,
//															 EPASSUiPJMServices.areBestPracticesEnabled()?
//															 ref.convertLiteral("form.wizrfxstart.button.tooltip.create_project" ):
//															 ref.convertLiteral("form.list_Event.button.tooltip.create_Event" ));

	EPASSButtonDivControl addBtn = EPASSButtonDivControl.getSingleTaskTextButton( ref
                                                              , "addId"
                                                              , ref.convertLiteral("form.wizrfxstart.button.button.create_project")
                                                              , ""
                                                              , EPASSUiPJMServices.areBestPracticesEnabled()?
															 ref.convertLiteral("form.wizrfxstart.button.tooltip.create_project" ):
															 ref.convertLiteral("form.list_Event.button.tooltip.create_Event" ));
	

	// Adds the event list box to the form. It uses the field name as the id for the form, used below for html
	// Don't create the "Add" event button if form is readonly or not authorized to add event
	if (EPASSUiPJMServices.areBestPracticesEnabled()) {
        if ( ModuleAuthorizationHelper.canAccessProject( ref.sessionService  ) ){
            boolean canCreateProject = EPASSUiPJMServices.getProjectManagementUiBusinessRules().canCreateProject(ref);

            //
            AuctionKeyImpl auctionKey = ref.structs.auctionStruct.getKey();
            WorkflowTaskStruct parent = null;
            boolean canUnlinkProject = false;
               
            String newProjectId = ref.req.getParameter(EPASSUiRFQServices.NEW_PROJECT_ID);
            if (null != auctionKey && StringUtility.isEmpty(newProjectId)) {
                parent = EPASSUiPJMServices.getProjectForAuction(ref, auctionKey,false);
                canUnlinkProject = isEditable;
            }else if(!StringUtility.isEmpty(newProjectId)){//Added else if block for PR ESP-44108
				parent = EPASSUiPJMServices.getProject(ref, new Integer(newProjectId));
				canUnlinkProject = isEditable;
			}

            boolean isProjectNameReadOnly = false;
            //pr 38296 while doing copy from template, need the project to be editable as the project coming from the template will be a template project
            if(!isCopyFromTemplate){
                isProjectNameReadOnly = ((editForm.getReadOnly()) || ((parent != null) && !canUnlinkProject));
            }
            addBtn.setAttribute("ONCLICK", "creatProject()");// calls menu code, through javascript

            if (parent != null && (formAction == EPASSJSPActions.CREATE_CLONE_RFX || formAction == EPASSJSPActions.CREATE_FROM_RFX 
            													|| formAction == EPASSJSPActions.CREATE_FROM_RESIDUAL))
            {
            	// PR ESP-56887 - When copying, clonning RFx linked to Project, the existing Project link should not be copied
                parent = null;
            }

	if (!isProjectNameReadOnly) {
	  EPASSInputControl ic1 = new EPASSInputControl("HIDDEN", fieldNamePROJECTID, fieldValueTEMPLATE == null?"":fieldValueTEMPLATE.toString(), 20, Misc.MAXLENGTH_LONG, false);
    
      String searchImage = "<img class=\"zissou_mini_search_icon\" src=\"" +
      	request.getContextPath() + "/dhtml_lib/img/search.gif\" border=\"0\" />";

      
      String projectTemplateFieldLabel = null;
	  if(ref.structs.auctionStruct.isTemplate())		      		
		projectTemplateFieldLabel = "form.listRfq.header.template_project";
	  else 
	  	projectTemplateFieldLabel = "form.wizConfigStart.header.project_name";
      
	  //PR# ESP-53601, ESP-53646 - Show Project fields only if a project exists
	  if (parent != null){
		projectIdForDisplay = parent.getId();
	    projectName = EPASSQPretty.escapeSingleQuote(parent.getName());

	    EPASSInputCompoundControl cc = new EPASSInputCompoundControl ( ref );
		
	    // start control wrapper
	    cc.add( new EPASSInputGenericString("<div id=\"project_name\" ></div>") );
	      
	    editForm.addHidden(fieldNamePROJECTID, "");
	    //String projectSearch = "<img class=\"zissou_mini_search_icon\" src=\"/dhtml_lib/img/1x1_trans.gif\" border=\"0\" /><span style=\"margin-left:-8px;margin-top:2px\" id=\"zissou_mini_container\" class=\"simple\" ><img src=\"/dhtml_lib/img/1x1_trans.gif\" width=\"108\" height=\"1\"/></span>";
	    
		cc.add( new EPASSInputGenericString("<div id=\"select_project_wrapper\" >") );
	    cc.add( new EPASSInputGenericString(projectName + "&nbsp;&nbsp;") );

		if (!editForm.getReadOnly() && canCreateProject){
	    	cc.add(addBtn);
	    }
	    cc.add( new EPASSInputGenericString("</div>") );
      	
	    editForm.addControl( ref.convertLiteral(projectTemplateFieldLabel) , cc);
	  }
	  
%>
<script>
a_list_or_url += "&isTemplate=<%= ref.structs.auctionStruct.isTemplate()%>"; 
</script>
<%
    } else {
  	  //PR# ESP-53601, ESP-53646 - Show Project fields only if a project exists
	  if (parent != null){
		EPASSInputCompoundControl cc = new EPASSInputCompoundControl ( ref );
		cc.add( new EPASSInputGenericString(parent.getName()) );
		editForm.addControl( ref.convertLiteral("form.wizConfigStart.header.project_name"), cc);
      }
    }  
    }
        // the else block is for pR18079 when PM is turned off RFX should be able to link to a binder
	}

	// Input control, used to define all inputs on the form
	EPASSInputControl ic = null;

	// RFQ TYPE field. If copy from template, and the rfq is not created yet, we display
	//		"Will be copied from template" for type and policy
	if ( formAction == EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE ) {
		editForm.addControl(ref.convertLiteral("form.wizConfigStart.header.rfq_type", isReplaceRFI),
		 	new EPASSInputGenericString( ref.convertLiteral("form.wizConfigStart.message.copied_from_temp", isReplaceRFI )) );
	} else {
		boolean istempl = false;
		if (ref.structs.auctionStruct.isTemplate() != null
			&& ref.structs.auctionStruct.isTemplate().booleanValue() == true)
		{
			istempl = true;
		}

        EPASSInputSimpleSelect typeCntrl = getTypeControl(ref,isCreateFromRFP, fieldNameTYPE, fieldValueTYPE,
                istempl, isCopyFromTemplate, fieldValueID, formAction, isCopyIntoTemplate, rfqMode.isCreateAggregateRfq);

        editForm.addControl( fieldNameTYPE , ref.convertLiteral( "form.wizrfxstart.header.type")+  Header.REQUIRED_FIELD, typeCntrl );

		if(canShowStyleControl(fieldValueTYPE))
		{
			EPASSInputSimpleSelect styleCntrl = getStyleControl(ref,fieldValueTYPE,fieldNameSTYLE, fieldValueSTYLE,fieldValueID, formAction, isCopyIntoTemplate);
			String harryHelp = "  "+EPASSUiHelpServices.getHappyHelpIcon(ref) +  ref.convertLiteral("form.wizrfxstart.help.style_cannot_changed");
			styleCntrl.setExtendedText(harryHelp);//Add for PR 74831
			editForm.addControl( fieldNameSTYLE , ref.convertLiteral( "form.wizrfxstart.header.style")+  Header.REQUIRED_FIELD, styleCntrl );
		}
	}
	//Add the child's parent rfq information. Name, code, and org
	// start RTC-40175
	// present the copy from template list, if the correct mode of rfq create is called
	if ( formAction == EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE
			|| formAction == EPASSJSPActions.CREATE_FROM_REF_CONTEXT_TEMPLATE
			|| formAction == EPASSJSPActions.CREATE_FROM_RFP
            || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP
			|| isCopyFromTemplate)
	{

		// COPY FROM TEMPLATE SAVE BUTTON AND TEMPLATE LIST OR A LIST OF RFX FROM AN EVENT
		// Get the Auction Templates
		// Creates the "View" event button
		String tooltip = (formAction == EPASSJSPActions.CREATE_FROM_RFP || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP)
						? ref.convertLiteral("form.wizrfxstart.tooltip.view_rfx", isReplaceRFI)
						: ref.convertLiteral("form.wizrfxstart.tooltip.view_template", isReplaceRFI);
		String fieldLabel = (formAction == EPASSJSPActions.CREATE_FROM_RFP || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP)
						? ref.convertLiteral("form.wizrfxstart.label.event_rfx", isReplaceRFI)
						: ref.convertLiteral("form.wizrfxstart.label.template", isReplaceRFI)+Header.REQUIRED_FIELD;

	EPASSButtonDivControl viewBtn = EPASSButtonDivControl.getSingleTaskTextButton( ref
                                                              , "viewId"
                                                              , ref.convertLiteral("form.wizrfxstart.button.view_rfx")
                                                              , ""
                                                              , tooltip);

		String rfxId = isCopyFromTemplate
						? ref.userDataContext.getRfqId().toString()
						: "";
		viewBtn.setAttribute("ONCLICK", "popupRfqDetail('" + rfxId + "')");

		if (EPASSJSPActions.CREATE_FROM_REF_CONTEXT_TEMPLATE == formAction || isCopyFromTemplate) {
            EPASSInputCompoundControl cc = new EPASSInputCompoundControl ( ref );
            if (tmpltRfqId != null){
            	template = EPASSUiRFQServices.getRFQ(ref, tmpltRfqId);
            }
      		editForm.addControl( fieldLabel, cc);
      		if (template != null){
      			cc.add( new EPASSInputGenericString(template.getName()) );
   			}
      		editForm.addHidden(fieldNameTemplateSelect, tmpltRfqId);
      	} else {		
	  EPASSInputControl ic1 = new EPASSInputControl("HIDDEN", fieldNameTemplateSelect, "", 20, Misc.MAXLENGTH_LONG, false);
    
      EPASSInputCompoundControl cc = new EPASSInputCompoundControl ( ref );
      
      String searchImage1 = "<img class=\"zissou_mini_search_icon\" src=\"" + request.getContextPath() + "/dhtml_lib/img/search.gif\" border=\"0\" />";
      editForm.addControl( fieldLabel + searchImage1, cc);

      cc.add( new EPASSInputGenericString("<div id=\"template_name\" ></div>") );
      
      editForm.addHidden(fieldNameTemplateSelect, "");
      String templateSearch = "<img class=\"zissou_mini_search_icon\" src=\"" + request.getContextPath() + "/dhtml_lib/img/1x1_trans.gif\" border=\"0\" /><span style=\"margin-left:-8px;\" id=\"zissou_mini_container2\" class=\"simple\" ><img src=\"" + request.getContextPath() + "/dhtml_lib/img/1x1_trans.gif\" width=\"108\" height=\"1\"/></span>";

      cc.add( new EPASSInputGenericString("<div id=\"select_template_wrapper\" >") );
      cc.add( new EPASSInputGenericString(templateSearch) );

	  cc.add( new EPASSInputGenericString("&nbsp;&nbsp;") );
	  cc.add(viewBtn);
	  cc.add( new EPASSInputGenericString("</div>") );
%>
<script>
templateSearchUrl = "zissou_mini_find.jsp?templateSearch=true&formAction=<%= formAction%>";
</script>
<%		
	}
	}
// end RTC-40175
	// RFQ NAME field
	int fieldNameSize = EPASSInputControl.MAXLENGTH_VERY_LONG;
	ic = new EPASSInputControl("TEXT", fieldNameNAME, UQ( ref, fieldValueNAME), 45,fieldNameSize, isEditable);
	editForm.addControl(ref.convertLiteral("form.wizrfxstart.header.name", isReplaceRFI) + Header.REQUIRED_FIELD, ic);


	// RFQ CODE field
    String codeLabel = ref.convertLiteral( "form.wizrfxstart.header.unique_id", isReplaceRFI );
    boolean codeIsEditable = uniqueIDMode.isEditable(isEditable);
    if (uniqueIDMode.isRequired(isEditable)){
        codeLabel += Header.REQUIRED_FIELD;
    }
	ic = new EPASSInputControl( "TEXT", fieldNameCODE, UQ( ref, fieldValueCODE ), 45,fieldNameSize, codeIsEditable );
    editForm.addControl( codeLabel, ic);

	// Description Textarea
	editForm.addControl(ref.convertLiteral("form.wizrfxstart.header.notes"),
		ic = new EPASSTextAreaControl (
		fieldNameDESCRIPTION, UQ( ref, fieldValueDESCRIPTION), 5, 50 ));
		ic.setEnabled(isEditable);
        ic.setMaxLength(EPASSInputControl.MAXLENGTH_VERY_LONG);

    // Business Unit Field
    EPASSHTMLSelect sel = EPASSUiAdminServices.createBusinessUnitListForAssignmentToObjects(ref, fieldNameBusinessUnit, fieldValueBusinessUnit);
    if (null != sel) {
        editForm.addControl(ref.convertLiteral("form.wizrfxstart.header.bu"), sel);
    }

	// This value is copied from the template
	/*if ( formAction == EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE) {
		editForm.addControl(ref.convertLiteral("form.wizConfigStart.label.decimal_places", isReplaceRFI),
		 	new EPASSInputGenericString( ref.convertLiteral("form.wizConfigStart.message.copied_from_temp", isReplaceRFI )) );
	} else*/ if ( formAction == EPASSJSPActions.CREATE_FROM_RFP || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP) {
		editForm.addControl(ref.convertLiteral("form.wizConfigStart.label.decimal_places", isReplaceRFI),
		 	new EPASSInputGenericString( ref.convertLiteral("form.wizConfigStart.message.copied_from_previous", isReplaceRFI )));
	} else {

	// RFQ DECIMAL PLACES (PR8303 - externalize values)
	int max_decimal = EPASSConfig.getInstance().getIntParameter("epass.currency.decimalplaces.max");
	int min_decimal = EPASSConfig.getInstance().getIntParameter(CurrencyUtility.EPASS_CURRENCY_DECIMALPLACES_MIN);
	String[] decimalPlaceChoices = new String[max_decimal-min_decimal+1];
	for (int i=0, cnt=min_decimal; i < decimalPlaceChoices.length; i++) {
		decimalPlaceChoices[i] = String.valueOf(cnt++);
	}

	//String[] decimalPlaceChoices = {"0","1", "2","3","4","5","6","7","8"}; // fixMe -- calculate from config file
    EPASSInputSimpleSelect iss = new EPASSInputSimpleSelect( fieldNameDECIMALPLACES,
															 decimalPlaceChoices,
															 fieldValueDECIMALPLACES.toString(),
															 ""
							  							   );
	editForm.addControl( ref.convertLiteral( "form.wizConfigStart.label.decimal_places"), iss );

    iss.setEnabled( isEditable );
    }
	
	
	//Main Category start 
	
				editForm.addHidden(fieldNameCATEGORY, UQ( (ref),  fieldValueCATEGORY));
				editForm.addHidden( IS_RFX_CATEGORY_DIRTY, isRFXCatDirty);
				String searchImage1_ = "<img class=\"zissou_mini_search_icon\" src=\"" + request.getContextPath() + "/dhtml_lib/img/search.gif\" border=\"0\" />";
				
				ic = new EPASSInputControl("TEXT", fieldNameCATEGORYNAME, fieldValueCATEGORYNAME,35, EPASSInputControl.MAXLENGTH_LONG, false);
				ic.setAttribute("disabled", "true");
	
				    EPASSInputCompoundControl cc_ = new EPASSInputCompoundControl ( ref );
			    //This is for whether the category field is required or not
				
					if(!catRequireFlag){
						editForm.addControl( ref.convertLiteral("form.wizpjmstart.maincategory") +searchImage1_, cc_ );
					}else{
						editForm.addControl( ref.convertLiteral("form.wizpjmstart.maincategory") + Header.REQUIRED_FIELD+searchImage1_, cc_ );
						 }
			    
			    //Added separate Div element for selCatElem as for validation error gets displayed in category_wrapper div
			    cc_.add( new EPASSInputGenericString("<div id=\"category_wrapper\" ><div id=\"selCatElem\">"));
			    cc_.add(	ic );
			    cc_.add( new EPASSInputGenericString("&nbsp;&nbsp;") );
			    cc_.setEnabled(false);
			    cc_.add( new EPASSInputGenericString("</div></div> <br>") );
			    String catalogButton = ref.getUserPath() + Dir.IMG_BTNS_OVR  + Image.CAT_PROD_SEARCH;
			    
			    if(!ref.isReadOnly()){
			    	String catSearch = "<img class=\"zissou_mini_search_icon\" src=\"" + request.getContextPath() + "/dhtml_lib/img/1x1_trans.gif\" border=\"0\" /><span style=\"margin-left:-8px;\" id=\"zissou_mini_container_MainCat\" class=\"simple\" ><img src=\"" + request.getContextPath() + "/dhtml_lib/img/1x1_trans.gif\" width=\"108\" height=\"1\"/></span>";
			    	cc_.add( new EPASSInputGenericString("<div id=\"select_category_wrapper\" >") );
			    	cc_.add( new EPASSInputGenericString(catSearch) );
			    	EPASSImageControl  imageControl = new EPASSImageControl( catalogButton );
			    	imageControl.setAttribute("ONCLICK","onClickSelectCategoryProduct()");
			    	cc_.add( new EPASSPointerLink( ref.convertLiteral("form.wizpjmstart.button.select_cat") , "onClickSelectCategoryProduct()" , ref ) );
					if(!catRequireFlag){
						cc_.add(new EPASSInputGenericString(getClearButton(ref, "clearCategory()", ref.convertLiteral("form.detailQuestionnaire.tooltip.clear_cat"))));
					}
				}
		    cc_.add( new EPASSInputGenericString("</div>") );
		    
		  //Main Category End		    
		    
		  //Main Category End		    
	
	
    
    //PR#43188
	if(EPASSUiRFQServices.getAuctionUiBusinessRules().canShowTestUseFlag(ref)
	&& ref.structs.auctionStruct.isAuction()
	&& (formAction != EPASSJSPActions.CREATE_FROM_RFP ))
	{
        //Add to the right of the control a short statement and a help button
        EPASSImageControl helpButton =  new EPASSImageControl(
    								ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
    								"showReportHelp('for_test_use')",
    								ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
		helpButton.setAttribute("align", "absmiddle");
		
       // Add the radio buttons
        String[] isProduction_values = {"false","true"}; // This is because UI and DB are opposite.
        String[] isProduction_descriptions = { ref.convertLiteral( "Misc.YES"), ref.convertLiteral( "Misc.NO") };

        EPASSInputRadioButtons rIsProduction = new EPASSInputRadioButtons( fieldNameIsProduction,
                                                             fieldValueISPRODUCTION.toString(),
                                                             isProduction_values,
                                                             isProduction_descriptions,
                                                             EPASSInputRadioButtons.HORIZONTAL,
                                                             "onChangeType('prod')");
        rIsProduction.setEnabled( isEditable );
        editForm.addControl( ref.convertLiteral( "form.wizrfxstart.label.for_test_use" ), 
                             new EPASSInputGenericString(rIsProduction.toString() +  "&nbsp;&nbsp;&nbsp;" + helpButton.toString()));        
	}
    
    if( EPASSUiRFQServices.getAuctionUiBusinessRules().canShowIsCubeLoadableFlag(ref)) {
        //Add to the right of the control a short statement and a help button
        EPASSImageControl helpButton =  new EPASSImageControl(
                                    ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
                                    "showReportHelp('load_into_cube')",
                                    ref.convertLiteral("form.wizrfxstart.tooltip.load_into_cube") );
        helpButton.setAttribute("align", "absmiddle");

        EPASSInputRadioButtons rIsCubeLoadable = new EPASSInputRadioButtons(fieldNameIsCubeLoadable,
                                                             fieldValueISCUBELOADABLE.toString(),
                                                             new String[] {"true","false"},
                                                             new String[] {ref.convertLiteral( "Misc.YES"), ref.convertLiteral( "Misc.NO")},
                                                             EPASSInputRadioButtons.HORIZONTAL);
        rIsCubeLoadable.setEnabled(isEditable && isCubeLoadableEditable);
        editForm.addControl(ref.convertLiteral("form.wizrfxstart.label.load_into_cube" ),
                             new EPASSInputGenericString(rIsCubeLoadable.toString() +  "&nbsp;&nbsp;&nbsp;" + helpButton.toString()));
    }
    
    
    

    if (EPASSUiRFQServices.getAuctionUiBusinessRules().canShowAllowArchive(ref, ref.structs.auctionStruct) ) {

        String[] ArchiveStatus_values = {"true","false"};
        String[] ArchiveStatus_descriptions = { ref.convertLiteral( "Misc.YES"), ref.convertLiteral( "Misc.NO") };

        EPASSInputRadioButtons rbc = new EPASSInputRadioButtons( fieldNameARCHIVESTATUS,
                                                             fieldValueARCHIVESTATUS.toString(),
                                                             ArchiveStatus_values,
                                                             ArchiveStatus_descriptions,
                                                             EPASSInputRadioButtons.HORIZONTAL );
        rbc.setEnabled( isEditable );
        editForm.addControl( ref.convertLiteral( "form.wizrfxstart.header.allow_archiving" ), rbc );
    }

    

    if (formAction == EPASSJSPActions.CREATE_FROM_RFP)
    {
        // create from RFP, add allow partial quantity bid
        EPASSInputControlInterface partialBidControl = new EPASSInputSingleCheckBox(fieldNameALLOWPARTIALQTY, "true", false, "", ref);
        editForm.addControl(ref.convertLiteral("form.wizrfxreverse.allow_partial_bid"), partialBidControl);
    }

	if ( isPopup ) {
		popupImage = "img/title/rfqs/rfx_view_basic_configuration.gif";
		editForm.addOKClose();
	}

	//Add the user defined attributes
	EPASSAttributeDefStruct[] rfxUDAs =
		EPASSUiAttributeDefServices.getRfqAttributeDefs(ref,ref.getOrgKey().getID());
    // PR 18221 - no need for system defined attributes yet
    List rfxUDAsList = WrapperObjectStruct.filterAttributes (
            rfxUDAs, EPASSAttributeDefStruct.SYSTEM, Boolean.TRUE, false );

    //Remove the price transformation (shown in the bidding rules page);
    rfxUDAsList = WrapperObjectStruct.filterRemoveAttributes (
            rfxUDAsList, EPASSAttributeDefStruct.CODE, AuctionStruct.TRANSFORMPRICE );

    rfxUDAs = (EPASSAttributeDefStruct[])rfxUDAsList.toArray ( new EPASSAttributeDefStruct [ 0 ] );
    rfxUDAs = AttributeDefHelper.sortAttributeDefs(rfxUDAs);
    // ESP-58149 - Commented the IF condition. This IF condition was added for fixing ESP-40853.
    // But that fix was incorrect. Hence, this won't reopen ESP-40853 
    /*if (formAction == EPASSJSPActions.REFRESH_FROM_SELECTLIST_TEMPLATE && template != null) {
        EPASSUiAttributeDefServices.addUDAControlsToForm(
                                ref,rfxUDAs,template,editForm,false, 20, null, ref.structs.auctionStruct);
                                
    } else {*/
        EPASSUiAttributeDefServices.addUDAControlsToForm(
                                ref,rfxUDAs,ref.structs.auctionStruct,editForm,20);
    //}

// HIDDEN FORM FIELDS ADDED HERE

	// The next action is defined in the action block
	editForm.addHidden(fieldNameORGANIZATIONID, "" + ref.getOrgKey().getID());
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + nextAction );
	editForm.addHidden( JSP_ORIGINAL_ACTION, "" + formAction );
	editForm.addHidden( fieldNameTEMPLATE,  "" + fieldValueTEMPLATE );
	editForm.addHidden( fieldNameID, ref.structs.auctionStruct.getId() == null
						? ""
						: "" + ref.structs.auctionStruct.getId() );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("actionRefresh", ""+nextAction);
	String newProjectId = ref.req.getParameter(EPASSUiRFQServices.NEW_PROJECT_ID);//Added else if block for PR ESP-44108
	editForm.addHidden(EPASSUiRFQServices.NEW_PROJECT_ID,"" + (!StringUtility.isEmpty(newProjectId) ? newProjectId : ""));
    if ( formAction != EPASSJSPActions.CREATE_FROM_RFP  && fieldValueALLOWPARTIALQTY != null) {
        editForm.addHidden(fieldNameALLOWPARTIALQTY, "" + fieldValueALLOWPARTIALQTY);
    }

    editForm.addHidden(fieldNameCURRENTROUNDID, "" + ref.structs.auctionStruct.getRfxCurrentRoundId() == null
                       ? ""
                       : "" + ref.structs.auctionStruct.getRfxCurrentRoundId());
    editForm.addHidden( fieldNameStatus, "" + fieldValueSTATUS );
    if ( isCopyFromTemplate )
	{
		editForm.addHidden(IS_TMPLT_IN_CONTEXT, "true");
	}
    editForm.addHidden( _SpecialCreateField, ""+bSpecialCaseCreate );


	// This will look at the request, and add a hidden field, to turn the tabs/advanced option
	// off in the router page.
	addAdvancedTabIndicatorField(ref, editForm);
    editForm.addHidden("isProductionChanged", "false");

// END HIDDEN FIELDS


	// End Table Form===========================================================
	
	
%>


	<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>


<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>

<%

	// Set the context codes, for system refreshing
	String contextCodes = ContextCodes.REQ + "," +
							 ContextCodes.REQ_ITM + "," +
							 ContextCodes.BID + "," +
							 ContextCodes.SCENARIO+ "," +
                             ContextCodes.REQ_ITM_2
            ;
%>

<SCRIPT>
<% if (!EPASSUiPJMServices.areBestPracticesEnabled()) {%>
var NAV_LIST='<%= ContextCodes.EVENT%>';
<%}%>
var NAV_DEP = '';
var isNavBlocked = false;

	var initData_isCreateRfq = <%=  ref.getAction().intValue() == EPASSJSPActions.CREATE_VIEW ||
									ref.getAction().intValue() == EPASSJSPActions.CREATE_CHILD_RFQ ||
									ref.getAction().intValue() == EPASSJSPActions.CREATE_AGGREGATE_RFQ %>;
	<%  // Note: The template value expected is true/false, do not wrap with Q()
		if (ref.structs.auctionStruct.getAttribute( AuctionStruct.TEMPLATE) != null) { %>
			var initData_Template = <%=  ref.structs.auctionStruct.getAttribute( AuctionStruct.TEMPLATE)  %>;
	<% 	} else { %>
			var initData_Template = null;
	<%	} %>
	
	function onClickSelectCategoryProduct() {
		var sourceName="<%=ref.getUserPath() %>frames_cat_popup_pm.jsp?_eps_=Y&jspAction=1&objectType=<%=ObjectType.AUCTION%>";
		if(catFlag){
			sourceName +="&selectedCat="+document.<%= formName%>.<%=  fieldNameCATEGORY%>.value;
		}
		NAV_Popup( top, -1,sourceName, 550, 800 );
	}

	 function clearCategory(){
		var catWrapper = document.getElementById('zissou_mini_input_MainCat');
        catWrapper.value = "";
        var categoryInput = document.getElementsByName("_uda_categoryId")[0];
		categoryInput.value = "";
		document.getElementById("selCatElem").innerHTML ="";
	}

	function validateData()
	{
	  clearError(document.auctionForm.<%= fieldNameTYPE%>);
        //Check whether an rfx type was selected (the control is a SELECT box, with Please Select as first option)
        if (typeof document.auctionForm.<%= fieldNameTYPE%> != 'undefined' &&
				document.auctionForm.<%= fieldNameTYPE%>.selectedIndex == 0){
			showError(document.auctionForm.<%= fieldNameTYPE%>,"<%= ref.convertLiteral("form.wizConfigStart.message.type_required")%>")
			return false;
		}

		if (!EPASSText.checkRequired(document.auctionForm.<%=  fieldNameNAME%>,
						"<%=  ref.convertLiteral("form.wizConfigStart.message.name_required")%>"))
		{
			return false;
		}

	    <%if (uniqueIDMode.isRequired(isEditable)){%>
			if (!EPASSText.checkRequired(document.auctionForm.<%=  fieldNameCODE%>,
							"<%=  ref.convertLiteral("form.wizConfigStart.message.id_required")%>"))
			{
				return false;
			}
	    <%}%>

		//PR#43188
		if(<%= productionAlert%>)
		{
			if(document.<%= formName%>.<%= fieldNameIsProduction%>[0].checked)
			{
				if(!confirm( '<esapi:js><%= ref.convertLiteral( "form.wizrfxstart.message.production_alert" )%></esapi:js>' ) )
				{
					return false;		
				}
			}
		}
		var projectName = document.getElementById('zissou_mini_input');
		var templateOrRFxNAme = document.getElementById('zissou_mini_input2');
		if (projectName != null){
			clearError(projectName);
			if (projectName.value != '' && projectName.value != "<%=ref.convertLiteral("form.searchForm.button.submit")%>" && projectName.value != selectedProjectName){
				showError(projectName,"<%=ref.convertLiteral( "form.EPASSHTMLForm.message.ProjectNameInvalid" )%>");
				return false;
			}
		}
		
		if (templateOrRFxNAme != null){
		clearError(templateOrRFxNAme);
			if (templateOrRFxNAme.value != '' && templateOrRFxNAme.value != "<%=ref.convertLiteral("form.searchForm.button.submit")%>" && templateOrRFxNAme.value != selectedRFxOrTemplateName){
			<%if (formAction == EPASSJSPActions.CREATE_FROM_RFP || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP) {%>
				showError(templateOrRFxNAme,"<%=ref.convertLiteral( "form.EPASSHTMLForm.message.RFxInvalid" )%>");
			<%} else {%>
				showError(templateOrRFxNAme,"<%=ref.convertLiteral( "form.EPASSHTMLForm.message.TemplateInvalid" )%>");
			<%}%>
				return false;
			}
		}
		//ESP#43125#project name is blank, set project id to blank. Assumption project name would not be 'search'
		if (projectName.value == '' || projectName.value == "<%= ref.convertLiteral("form.searchForm.button.submit")%>"){
			var projectInput = document.getElementsByName("project_id")[0];
			if(typeof projectInput != 'undefined')//PR ESP-43581 
				projectInput.value = '';
		}
		
		<% if(EPASSConfig.getInstance().getBooleanParameter(AuctionUiBusinessRules.RFX_CATEGORY_REQUIRED)){ %>
		if (document.<%= formName%>.<%=  fieldNameCATEGORY%>.value == "" ){
			showError_zissou(document.getElementById('selCatElem'),"<%= ref.convertLiteral("form.wizConfigStart.message.category_required")%>")
			return false;
		}
		<%}%>

		//#ESP-54453#Check any errors of the page before validating translations.		
		if(isErrorField()){
         	return false;
        }
   		// perform translation validation if validation object is defined. 
   		if(typeof(TranslationValidationUtility) != 'undefined'){
   			return TranslationValidationUtility.validate();
   		}
   		
		return true;
	}

	function onChangeType(cntrl)
	{
        if (cntrl == "prod") {
            document.auctionForm.isProductionChanged.value = 'true';
        }
		document.auctionForm.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.REFRESH_PAGE%>';
		isNavBlocked = true;
		document.auctionForm.submit();
	}

	function onChangeStyle()
	{
		document.auctionForm.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.REFRESH_PAGE%>';
		isNavBlocked = true;
		document.auctionForm.submit();
	}

    function refreshFromTemplateSelect()
    {
        document.auctionForm.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.REFRESH_FROM_SELECTLIST_TEMPLATE%>';
        isNavBlocked = true;
        document.auctionForm.submit();
    }

    function refreshForm()
	{
		<%if (formAction == EPASSJSPActions.CREATE_FROM_RFP || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP) {%>
			document.auctionForm.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.REFRESH_CREATE_FROM_RFP%>';
            isNavBlocked = true;
            document.auctionForm.submit();
		<%} else if (formAction == EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE) {%>
            document.auctionForm.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.REFRESH_FROM_SELECTLIST_TEMPLATE%>';
            isNavBlocked = true;
            document.auctionForm.submit();
        <%}%>
	}

	function onClickCopyTemplate()
	{
		if (validateData())
		{
			<%if (EPASSJSPActions.CREATE_FROM_REF_CONTEXT_TEMPLATE != formAction)
			{%>
				var templatesList = document.auctionForm.<%= fieldNameTemplateSelect%>;
				clearError(templatesList);
				if (templatesList.value ==
				  <%=  EPASSHTMLSelect.NONE%>)
				{
					showError(templatesList,"<%= ref.convertLiteral("form.wizConfigStart.message.choose_template", isReplaceRFI)%>");
					return false;
				}
			<%}%>
		} else {
			return false;
		}

        isNavBlocked = true;
        showWait();
		document.auctionForm.submit();
	}

    function showWait()
    {
        hideSelectLists();
        displayWaitScreenCSSDefault();
    }

	function onClickCloseForm()
	{
		close();
	}

	function onClickCopyResidual()
	{
		//alert("onClickCopyResidual() called");
		if (validateData())
		{
			isNavBlocked = true;
            showWait();
			document.auctionForm.submit();
		}
	}

	function onClickSaveForm()
	{
		
		
		if (validateData())
		{
			if (isSelectSelected())
			{
				isNavBlocked = true;
                showWait();
				document.auctionForm.submit();
			}
		}
	}

	function onClickAdvanced()
	{
  			var url = "<%=  ref.encodeURLwUP(JSP.WIZ_RFQ_CONFIG_ROUTER)%>" + "&" +
		"<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.EDIT_VIEW %>";
		NAV_Popup( top, -1, url, 400, 600  );
		top.close();
	}

	function onClickNotes()
	{
  			var url = "<%=  ref.encodeURLwUP(JSP.WIZ_RFQ_CONFIG_NOTES)%>" + "&" +
		"<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.EDIT_VIEW %>";
		NAV_Popup( top, -1, url, 400, 600  );
	}

	function isSelectSelected()
	{
		var rfqId = '';
		var templatesList = document.auctionForm.<%=  fieldNameTemplateSelect%>;
        var msg;

        <%if ( formAction == EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE ) {%>
            msg = "<%=  ref.convertLiteral("form.wizrfxstart.alert.select_a_template")%>";
        <% } else {%>
            msg = "<%=  ref.convertLiteral("form.wizrfxstart.alert.select_a_rfx")%>";
        <% } %>

		<%if ( formAction == EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE
				|| formAction == EPASSJSPActions.CREATE_FROM_RFP || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP)
		{%>
			if (templatesList != "undefined")
			{
				rfqId = templatesList.value;
				clearError(templatesList);
				
			}
			var selectedText = document.getElementById('zissou_mini_input2').value;
			// make sure we still do not have '-1' Or user has not cleared the text area
			if (rfqId == '' || selectedText == null || selectedText == undefined || selectedText == '')
			{
				showError(document.getElementById("zissou_mini_input2"),msg);	
				return false;
			}
		<%}%>

		return true;
	}

	function popupRfqDetail(rfxContextId)
	{
		var rfxId = rfxContextId;
		var url = "";
		if (rfxId == null || rfxId == "")
		{
			var templatesList = document.auctionForm.<%=  fieldNameTemplateSelect%>;
			if (isSelectSelected())
			{
				rfxId = templatesList.value;
				// make sure we still do not have '-1'
				if (rfxId != '<%=  EPASSHTMLSelect.NONE%>')
				{
			  			url = "<%=  ref.encodeURLwUP(JSP.DETAIL_RFQ)%>" + "&" +
					"<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.READ_VIEW %>" +
					"&" + "<%=  ServletBase.CURRENT_ID%>" + "=" + rfxId;

					NAV_Popup(top, 1, url, 800, 640);
				}
			}
		} else {
	  			url = "<%=  ref.encodeURLwUP(JSP.DETAIL_RFQ)%>" + "&" +
			"<%=  EPASSJSPActions.ACTION %>" + "=" + "<%=  EPASSJSPActions.READ_VIEW %>" +
			"&" + "<%=  ServletBase.CURRENT_ID%>" + "=" + rfxId;

			NAV_Popup(top, 1, url, 800, 640);
		}
	}




//PR75168
function onAnyKeyPress(evt) {
    evt = (typeof evt != 'undefined') ? evt : event;
    var key = (navigator.appName == "Netscape") ? evt.which : evt.keyCode;
    if ( key == 13 ) {
        NAV_FireEvent( top, '_NavigationEvent_', '_save_')
    }
}

Util.addEvent( document, "keypress", keyOpenZissou );
function onSumbitFunction() //PR75168
	{
		return false;
	}
	
function isMonitoredFieldsDirty( frm, isIgnoreHidden){
var res 		   = false;
var currFieldValue = "";
for( var ct in monitoredFields ){
if( typeof( monitoredFields[ ct ] ) != 'undefined' && typeof( frm.elements[ct] ) != 'undefined' ){
if( isIgnoreHidden && (getControlType( frm.elements[ct] ) == 'hidden' && !frm.elements[ct].name =='project_id') )continue;
currFieldValue = "" + getControlValue( frm.elements[ct], 'value',ct);
if( "" + currFieldValue !=  "" + monitoredFields[ ct ] ){
res = true;
break;
}
}
}
if(typeof isMonitoredFieldsDirty2 != 'undefined'){
res = res || isMonitoredFieldsDirty2();
}
return res;
}
	
	function NAV_HandleEvent(var1, var2)
	{			
	if (var1 == "pjm_created")
    {
        // A new project is just created on the fly. To avoid using another
        // hidden field, just make use of the project dropdown list.
        // Add the new project id value to the list so we can select it, and for the text portion,
        // just set it to whatever is displayed on the screen, before the screen refreshes to
        // reflect the new project name.
       /* 
       Commented this block for PR ESP-44108
       var numberOfProjects = document.forms[0].<%=fieldNamePROJECTID%>.options.length;
        var currentDisplay = document.forms[0].<%=fieldNamePROJECTID%>.options[document.forms[0].<%=fieldNamePROJECTID%>.selectedIndex].text;
        document.forms[0].<%=fieldNamePROJECTID%>.options.length = document.forms[0].<%=fieldNamePROJECTID%>.options.length + 1;
        document.forms[0].<%=fieldNamePROJECTID%>.options[numberOfProjects] =
            new Option(currentDisplay, var2);
        document.forms[0].<%=fieldNamePROJECTID%>.selectedIndex=numberOfProjects;*/
	    document.forms[0].<%=EPASSJSPActions.ACTION %>.value = <%=formAction%>;
	    document.auctionForm.<%=EPASSUiRFQServices.NEW_PROJECT_ID%>.value=var2;
	    document.auctionForm.submit();
    }

		if( var1 == "<%= EPassTree._sNavigationEvent%>" && !isNavBlocked )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
   			var goToParam = (splitted.length == 2)? splitted[1]: "";

   			if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 )
	   		{
   				if( confirm( '<esapi:js><%= ref.convertLiteral( "form.wizConfigSchedule.message.reset" )%></esapi:js>' ) )
   				{
   					document.<%=formName%>.reset();
   					
   					removeAllError();
   					<% if (projectIdForDisplay != null) {%>
   					updateProjectName('<%= projectIdForDisplay%>', '<esapi:js><%= projectName %></esapi:js>');
   					<% }%>
                    <%= editForm.getInitMonitorJS()%>
	        	}
   			}
	        else if( goToDir.indexOf( '<%= EPassTree._sTreeNavCloseCmd%>' ) == 0 )
   			{
   					document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = '<%= EPassTree._sTreeNavCloseCmd%>';
   					onClickSaveForm();
	   		}
	   		else if( <%= ref.userDataContext.getRfqId() == null%>
                    || <%= bSpecialCaseCreate%>
                    || var2 == "<%= EPassTree._sTreeNavSaveCmd%>")
	   		{
	   			document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
				onClickSaveForm();
	   		}
			else if( <%= ref.userDataContext.getRfqId() != null%>
					 &&
					 (<%= editForm.getIsFormDirtyJS()%>||document.<%= formName%>.<%=IS_RFX_CATEGORY_DIRTY%>.value=="true")
					 /*isMonitoredFieldsDirty( document.<%--formName--%> )*/
                     /*
					 &&
                     <%--formAction != EPASSJSPActions.CREATE_FROM_RESIDUAL --%>
                     &&
                     <%--formAction != EPASSJSPActions.CREATE_FROM_RFX --%>
                     */
				   )
			{
        if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
        ||  confirm( '<esapi:js><%= ref.convertLiteral("form.wizConfig.message.save")%></esapi:js>' ) )
				{
    	    		document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
					onClickSaveForm();
				}
       			else
				{
					document.<%= formName%>.reset();
					document.<%= formName%>.<%=IS_RFX_CATEGORY_DIRTY%>.value="false";
					<% if (projectIdForDisplay != null) {%>
   						updateProjectName('<%= projectIdForDisplay%>', '<esapi:js><%= projectName %></esapi:js>');
   					<% }%>
                	<%= editForm.getInitMonitorJS()%>

                	NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
				}
			}
<% if ( !isPopup ) { %>

			else
			{
    	    	if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
	            	||
					goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
				  )
    	   	    {
	           	    <%= EPassTree.getInstance( ref, ref.userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
    	        }
				else
				{
					<%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
	            }
			}
<% } %>
	}
		else if(var1 == "CategoryLinkingWithProject")
		{
		    var arrayOfStrings = var2.split("|");
			var catId = arrayOfStrings[0];
			var catName = arrayOfStrings[1];
			updateMainCategory(catId,catName);
		}

	}


	function creatEvent()
	{
		<%=  NavSupport.createExecuteMenu ( "createEvent", ref)%>
	}

	function creatProject()
	{
		var isTemplate = false;

		<% if (fieldValueTEMPLATE != null) {%>
			isTemplate = <%= fieldValueTEMPLATE%>;
		<% } %>

		if (isTemplate == true) {
			action = <%= EPASSJSPActions.CREATE_PJM_TEMPLATE%>;
		} else {
			action = <%= EPASSJSPActions.CREATE_VIEW%>;
		}

		var url = "<%= JSP.WIZ_PJM_START%>?" +
				"<%= EPASSJSPActions.ACTION%>" + "=" + action + "&" +
				"<%= EPASSUiJSPServices.IS_CALLED_AS_POPUP%>" + "=1";

 		NAV_Popup( top, -1, url, 570 , 800);
	}
	

    //PR#43188
    function showReportHelp(type)
    { 
       	  var helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizrfxstart.message.for_test_use"))%>"; 
        if (type == "load_into_cube") {
            helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizrfxstart.message.load_into_cube"))%>";
        }
       	  //PR63022 fix start ->
       	  var close = "<%= ref.convertLiteral("form.wizrfxstart.button.close")%>"; 
       	  //PR63022 fix suspend <-
          var url = "<%=  ref.encodeURLwUP( "blank.html?") %>";
	   	  var helpReport = window.open(url,'','height=200,width=250');
		  helpReport.document.write('</head><body bgcolor="#FFFFE1"><form><font style="font-family:arial;font-size:12px;">'); 
		  helpReport.document.write(unescape(helpMessage.replace(/\+/g, " ")).replace("<","&lt;"));
		  //PR63022 fix resume ->
		  helpReport.document.write('</font><p><center><input type="button" value="'+ close +'" onclick="self.close()"></p>');
		  //PR63022 fix end <-
		  helpReport.document.write('</form></body></html>'); 
    }
    

// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

</SCRIPT>
<%
//This page is also being used as an inner page in the RFQ wizard router. A parameter set in head.jsp
//marks this fact and is used here to eliminate redundant tags
%>

<%--added by dyy: for IA --%>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/translation.js"></script>
<script type="text/javascript">

function addEvtHandler() {
	//alert(" in event handler");
	var objField = document.getElementById("_uda_name");
	objField.onchange = function () {
		_validateRequiredField(this,'');
	}
}

function initTranslation(){
	
	addEvtHandler();
	
	var localeIDs = <%= TranslationUtility.getInstance().getJSONAvailableLocaleIDs(false) %>;
	var availableLocales = <%= TranslationUtility.getInstance().getJSONAvailableLocales(ref) %>;
	<% TranslationService.getInstance().loadTranslations(ref.structs.auctionStruct); %>
	var translations = <%= TranslationUtility.getInstance().getJSONTranslations(ref.structs.auctionStruct) %>;
	var translationEnabled = <%= TranslationUtility.getInstance().isTranslationEnabled() %> && <%=!editForm.getReadOnly()%>;
	var translationButtonEnabled = <%= TranslationUtility.getInstance().isTranslationEnabled() %>;
    var currentLocale = '<%= ref.getLocale().getLanguage()%>';
    
   	//do not display translation button in kpi module
    <%
    String descKey = null; 	
	if(ref != null && ref.structs != null && ref.structs.auctionStruct != null){
		if(ref.structs.auctionStruct.getAttribute(AuctionStruct.DESCRIPTION) != null){
			descKey = ref.structs.auctionStruct.getAttribute(AuctionStruct.DESCRIPTION).toString();
		}
	}
	if (!TranslationUtility.isTranslationKey(descKey) ){
		descKey = "";
	}
	%>
	new TranslationWidget($('[name=' + '<%=fieldNameDESCRIPTION%>' + ']'), localeIDs, availableLocales, translations, translationEnabled, translationButtonEnabled, currentLocale, "<%=descKey%>",
			"<%=ref.convertLiteral("form.translateButton.tooltip.translate") %>", "<%=ref.convertLiteral("form.translateButton.tooltip.hide_translate") %>");
}
</script>

</HEAD>
<%--original onload is init(); --%>
<body onload="initTranslation();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">

<% if (!isPopup) { %>
<%@ include file="../../include/inc_actionbar_spacer.inc" %>
<% } else { %>
<%@ include file="../../include/inc_popup_top.inc" %>
<% } %>
<%@ include file="../../include/zissou_mini_box.inc" %>


<%
//
// Will print the error message, if one exist. Uses a stylesheet format
//
if( ref.isMessage() )
{%>
		<%=  ref.getMessage()%>
<%}
else if (isBatchCopyJob)
{%>
    <span class="WARNINGMSG"><%= ref.convertLiteral("epass_listJobs.copy_message1")%> <a href = '#' style = 'font-size:16;font-weight:bold;color:red' onclick = "gotoTasksPage()">
    <span EPTooltip = "<%= ref.convertLiteral("epass_listJobs.copy_tooltip")%>"
    onmouseover = "ePassTooltip.show(event,50)" onmouseout = "ePassTooltip.hide(event)" >
    <%= ref.convertLiteral("epass_listJobs.page_name")%></span></a>  </span>
 <script>
 (new EPASSTooltip()).create();
 function gotoTasksPage(){

   var jobsPageUrl =  '<%= ref.getUserPath()%>frames_job_list.jsp?eps=Y&<%= ListJobControllerHelper.TYPE_FILTER %>=<%= ListJobControllerHelper.TAB_SELECT_CLONING %>';
    NAV_Popup ( top, -1,  jobsPageUrl, 650, 850 );
 }
 </script>
 <%}

// if page is updated successfully, send a context update to nav, and let the tree control, refresh.
if( bNotifyOfUpdate )
{%>
	<%=  NavSupport.sendUpdateAndCtx( ContextCodes.RFQ, ref.userDataContext.getRfqId(), contextCodes, ref)%>
<%}%>

<%
	if( bNotifyOfUpdate || bUpdateTree )
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);

		if( !StringUtility.isEmpty( res ) )
		{
			//PR#14259
			ServletBase.getSessionTracker().removeValue( ref.req, "_SpecialCreate_" );
			//PR#14259

			out.write("<script>");
            if(formulaAffectedMessage != null){
				out.write("alert('" + formulaAffectedMessage + "');");
			}
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}
%>

<p>
<p><center>
<TABLE WIDTH="80%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<%if ( statusMsg != null )
  {%>
	<TR CLASS='POPFORMHIGH' >
		<TD>
		<P CLASS=ERRORMSG>
		<%=  ref.convertLiteral(statusMsg)%>
		</P>
		</TD>
	</TR>
<%}%>

<TR>
  	<TD>
	<%=  editForm%>
  	</TD>
</TR>
<TR>
  	<TD>
	<br><br>
	<p class="DIRECTIONS">
    <% if(!ref.isReadOnly()) {
            if(ref.structs.auctionStruct!= null && ref.structs.auctionStruct.isBuyerRFI()) {  %>
	                <%=  EPASSUiHelpServices.getHappyHelpIcon(ref) +  ref.convertLiteral("form.wizrfxstart.direction_survey")%>
                <% } else if(ref.structs.auctionStruct!= null && ref.structs.auctionStruct.isAuction()){ %>
                	<%=  EPASSUiHelpServices.getHappyHelpIcon(ref) +  ref.convertLiteral("form.wizrfxstart.direction_auction")%>
                <% } else { %>
	                <%=  EPASSUiHelpServices.getHappyHelpIcon(ref) +  ref.convertLiteral("form.wizrfxstart.direction")%>
            <% } %>
	<%}%>
    </TD>
</TR>
</TABLE></center>

<% if (!isPopup) { %>
<%@ include file="../../include/inc_action_bar.inc" %>
<% } else {%>
<%@ include file="../../include/inc_popup_bottom.inc" %>
<% } %>


<script>

// Turn off the maximize and the toggle button button
top.showmaxbtn = "true";
top.showScrollBtn = "true";
</script>
</BODY>
</HTML>

<% //This code will remove the Save button when the page is readonly
    out.write(TreeWizUtility.getNavHideSaveButtonJs(ref.isReadOnly()));%>
<%!
/******************************************************************************

                      DECLARATION SECTION

******************************************************************************/
//CHILD_RFQ: Used to create a child rfq, based on selected items
Collection getItemKeyCollection(EPASSReferences ref, String[] itemList)
          throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	 // create newList
	 HashMap newItems = new HashMap();

	 // Create Item keys
	 for ( int i = 0; i < itemList.length; i++ )
	 {
	     if (itemList[i] != null)
		 {
		 	try{
	         ItemKeyImpl rfqKey = new ItemKeyImpl(new Integer(itemList[i]));
	         newItems.put(itemList[i], rfqKey );
			 }catch(NumberFormatException e)
			 {}
	     }
	 }

	 // convert arraylist to struct[]
	 Collection retItems = newItems.values();

	 return retItems;

}
//------------------------------------------------------------------------------
String[] getParentRfqInfo(EPASSReferences ref, Integer parentId)
          throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	String[] ret = new String[3];
	AuctionStruct parent = EPASSUiRFQServices.getRFQ(ref, parentId);

	try
	{
		if (parent != null)
		{
			ret[0] = parent.getName();
			ret[1] = parent.getCode();
			Integer orgId = parent.getOrganizationId();
			OrganizationStruct org = ref.serviceRef.getOrganizationService(ref).
												getOrganization(ref.sessionService,
													new OrganizationKeyImpl(orgId)
													);
			ret[2] = org.getName();
		}
	} catch (EPASSApplicationException e){
		ref.setErrorMessage(e);
		ref.setReadOnly(false);
	}

	return ret;
}
//---------------------------------------------------------------------------------------------
// Get the rfq ids for the demand aggregation
ArrayList getAggregationRFQIds(EPASSReferences ref)
{
	// Get RFQ ids to create new aggregate RFQ
	String[] sRfqIds = EPassTree.getInstance(ref, ref.userDataContext.getWizTreeName())
								.getPersistedQueryParamValues( EPASSUiRFQServices.RFQ_ID_PARAMETER );
	ArrayList rfqKeys = new ArrayList();

	if ( sRfqIds != null )
	{
		for ( int i = 0; i < sRfqIds.length; i++ )
		{
			if ( EPASSUiJSPServices.stringNotEmpty( sRfqIds[i] ) )
			{
				rfqKeys.add( new AuctionKeyImpl( new Integer( sRfqIds[i] ) ) );
			}
		}
	}

	return rfqKeys;
}
//---------------------------------------------------------------------------------------------
// Get the Product ids for the demand aggregation
ArrayList getAggregationProductIds(EPASSReferences ref)
{
	// Get product ids to create new aggregate RFQ
	String[] sProdIds = EPassTree.getInstance(ref, ref.userDataContext.getWizTreeName())
								.getPersistedQueryParamValues( EPASSUiRFQServices.PRODUCT_ID_PARAMETER );

	ArrayList prodKeys = new ArrayList();

	if ( sProdIds != null )
	{
		for ( int i = 0; i < sProdIds.length; i++ )
		{
			if ( EPASSUiJSPServices.stringNotEmpty( sProdIds[i] ) )
			{
				prodKeys.add( new ProductKeyImpl( new Integer( sProdIds[i] ) ) );
			}
		}
	}

	return prodKeys;
}
//-----------------------------------------------------------------------------------------------
// Determine if the rfq is a demand agg type
boolean isRFQAggregate(ArrayList rfqKeys, ArrayList prodKeys)
{
	return ( ( rfqKeys.size() > 0 ) && ( prodKeys.size() > 0) );
}

//------------------------------------------------------------------------------------
// Gets a list of item ids for multi tier rfqs
String[] getChildIds(EPASSReferences ref)
{

	return (String[]) ref.req.getParameterValues(EPASSUiRFQServices.PARAM_CHILD_ITEM_IDS);

}
//--------------------------------------------------------------------------------------

// defaults the parameters for the auction
void defaultAuctionParameter(EPASSReferences ref, boolean isCreateFromRFP)
{
	// If creating a new rfq, default enforce bidding parameters to true.
	if ( ref.structs.auctionStruct.getId() == null )
	{

		if (ref.structs.auctionStruct.getType() != null)
		{	// For reverse bid, we want to default tie breaker 2 to capacity
			// and tie breaker 3 to timestamp.
			if (ref.structs.auctionStruct.isEnglishAuction())
			{
				// Default the grace period and extension period
				ref.structs.auctionStruct.setExtensionSecs(new Integer(EPASSConfig.getInstance().
												getIntParameter(EPASSConfig.AUCTION_SOFTCLOSE_EXTENDED_TIME,300)));
				ref.structs.auctionStruct.setGracePeriodSecs(new Integer(EPASSConfig.getInstance().
												getIntParameter(EPASSConfig.AUCTION_SOFTCLOSE_GRACE_PERIOD,300)));

                // Default the Allow Proxy Bids flag
                boolean boolParam = EPASSConfig.getInstance().getBooleanParameter (EPASSUiRFQServices.EPASS_AUCTION_PROXY_BID_ENABLE_DEFAULT);
                ref.structs.auctionStruct.setProxyBidEnable(new Boolean(boolParam));

                // Default whether ties are allowed on leading bids
                //PR#41051#
                boolParam = ref.structs.auctionStruct.isForwardAuction()?
                    EPASSConfig.getInstance().getBooleanParameter ("epass.forwardauction.tieOnLeadingBidAllowed.default"):
                						EPASSConfig.getInstance().getBooleanParameter (AuctionSetup.EPASS_AUCTION_TIE_ON_LEADING_BID_ALLOWED_DEFAULT, false);
                ref.structs.auctionStruct.setTieBreakerStatus(boolParam
                        ? AuctionType.TieBreaker.NONSEALED_TIES_ALLOWED
                        : AuctionType.TieBreaker.NONSEALED_TIES_NOT_ALLOWED);

                // Set default Minimum Bid Change Percentage or Amount if specified.
                // Since the Percent and Amount are mutually exclusive, the setMinBidChangePercent and setMinBidChangeAmount
                // methods set the Type and clear the other value (percent or amount).
                String minPercent = EPASSConfig.getInstance().getStringParameter("epass.auction.minBidChangePercentage.default", "");
                String minAmount  = EPASSConfig.getInstance().getStringParameter(EPASSUiRFQServices.EPASS_AUCTION_MIN_BID_CHANGE_AMOUNT_DEFAULT, "");
                if ( !minPercent.equals("") ) {
                    try {
                        ref.structs.auctionStruct.setMinBidChangeValue(new Double(minPercent));
                    } catch (NumberFormatException e) {
                    //PR#43014
                        error("Invalid value for epass.auction.minBidChangePercentage.default: " + minPercent, e);
                    }
                }
                else if ( !minAmount.equals("") ) {
                    try {
                        ref.structs.auctionStruct.setMinBidChangeValue(new Double(minAmount));
                    } catch (NumberFormatException e) {
                    //PR#43014
                        error("Invalid value for epass.auction.minBidChangeAmount.default: " + minAmount, e);
                    }
                }

                // Default whether price transformations are enabled
                boolParam = EPASSConfig.getInstance().getBooleanParameter (EPASSUiRFQServices.EPASS_AUCTION_TRANSFORM_PRICE_ENABLE_DEFAULT);
                ref.structs.auctionStruct.setTransformPrice(new Boolean(boolParam));

                // Defaults for Payment Terms - This feature is probably no longer used
				boolean bPaymentTermsAllowedReverse = EPASSConfig.getInstance().
												getBooleanParameter ( "epass.paymentTermsAllowedReverse" );

				boolean bPaymentTermsUsedDefault = EPASSConfig.getInstance().
												getBooleanParameter(EPASSUiRFQServices.EPASS_AUCTION_PAYMENT_TERMS_ALLOWED_REVERSE_RFX_DEFAULT);

                // Default for SupplierBidViewScope
                Integer supplierBidViewScope =
                   new Integer( EPASSConfig.getInstance().getIntParameter(EPASSConfig.SUPPLIER_BID_VIEW_SCOPE_DEFAULT, SupplierBidViewScope.allBids));
                ref.structs.auctionStruct.setSupplierBidViewScope(supplierBidViewScope);

                ref.structs.auctionStruct.setPostedAwardsFlag(Boolean.FALSE);
                ref.structs.auctionStruct.setPendingAwardsFlag(Boolean.FALSE);
            }
            if(ref.structs.auctionStruct.isAuction())
            {
            	// Default Use Item Set PR#41051#
                if(!isCreateFromRFP){
                    Boolean boolParam = ref.structs.auctionStruct.isForwardAuction() ? Boolean.FALSE :
                                            EPASSConfig.getInstance().getBooleanParameter ("epass.auction.useItemSetEnable.default");
                    ref.structs.auctionStruct.setUseItemSet(new Boolean(boolParam));
                }
            }
		}
	}
}
//--------------------------------------------------------------------------------------
// Saves the aggregate rfq
boolean saveAggregateAuction(EPASSReferences ref,
							ArrayList rfqKeys,
							ArrayList prodKeys)//, //PR#32969
							//AuctionPolicyStruct auctionPolicy)
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	boolean ret = false;

	String sDelItems = ref.req.getParameter( EPASSUiRFQServices.DEMAND_AGG_DELETE_ITEMS );
	boolean bDelItems = false;
	if ( sDelItems != null ) {
		bDelItems = "true".equalsIgnoreCase( sDelItems );
	}

	//default the template flag
	ref.structs.auctionStruct.setTemplate(new Boolean(false));

	// Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(
		StructSchemaManager.getSchema(AuctionStruct.class),
		ref.req,
		ref.structs.auctionStruct );

	// Default any parameters
	defaultAuctionParameter(ref, false);

	if (ref.structs.auctionStruct != null)
	{
		try
		{
			// Call service to save item here.
			AuctionKeyImpl rfqKey = ref.serviceRef.getAuctionConfigureService( ref )
				.createAggregatedAuction( ref.sessionService, (AuctionStruct) ref.structs.auctionStruct,
					/*auctionPolicy, */ rfqKeys, prodKeys, bDelItems ); //PR#32969
			if (rfqKey != null) {
				// Get the new auction
				ref.structs.auctionStruct = ref.serviceRef.getAuctionDataService( ref )
                	.getAuction( ref.sessionService, rfqKey );
				ref.userDataContext.setRfqId(ref, rfqKey.getID() );

				ret = true;
			}
		} catch( EPASSApplicationException e ) {
			ref.setErrorMessage(e);
			ref.setReadOnly(false);
		}
	}

	return ret;
}
//------------------------------------------------------------------------------------
// Saves the child rfq
boolean saveChildAuction(EPASSReferences ref,
						String[] childItemIds)//,
						//AuctionPolicyStruct auctionPolicy) //PR#32969
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	boolean ret = false;

	//default the template flag
	ref.structs.auctionStruct.setTemplate(new Boolean(false));

	// Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );
	// Default any parameters
	defaultAuctionParameter(ref, false);

	if (ref.structs.auctionStruct != null)
	{
		try
		{
			// Get the collection of items that will be copied to the tiered rfq
			Collection itemKeys = new ArrayList( getItemKeyCollection(ref, childItemIds) );
			// Call the application child save
			AuctionKeyImpl rfqKey = EPASSUiRFQServices.createChildAuction(ref, /*auctionPolicy,*/ itemKeys); //PR#32969
			if (rfqKey != null)
			{
				// Get the new auction
				ref.structs.auctionStruct = ref.serviceRef.getAuctionDataService(ref)
                       							.getAuction(ref.sessionService, rfqKey);

				// Update the context, with new rfq
				ref.userDataContext.setRfqId(ref,rfqKey.getID());
				ret = true;// success
			}
		} catch(EPASSApplicationException e){
			ref.setErrorMessage(e);
			ref.setReadOnly(false);
		}
	}
	return ret;
}
//---------------------------------------------------------------------------------------------
// Saves the reverse or sealed rfq
boolean saveAuction(EPASSReferences ref)
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	boolean ret = false;

	// Default the template flag
	ref.structs.auctionStruct.setTemplate(new Boolean(false));

    // Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );
	// Default any parameters
	defaultAuctionParameter(ref, false);

	if (ref.structs.auctionStruct != null)
	{
		RFxStruct rfxStruct = new RFxStruct(ref.structs.auctionStruct);
		try
		{
			// Call the application Save
			//AuctionKeyImpl rfqKey = EPASSUiRFQServices.saveAuction(ref, auctionPolicy );
           
            Integer projectId = null;
            if (EPASSUiPJMServices.areBestPracticesEnabled()) {
                if (!ref.isUserEventManager()) {
                    String strProjectId = ref.req.getParameter(EPASSUiRFQServices.PROJECT_ID);
                    projectId = (strProjectId != null && strProjectId.length() > 0) ? Integer.valueOf(strProjectId) : null;
                }
            }
            AuctionKeyImpl rfqKey = new AuctionKeyImpl(RFxServiceManager.getRFxConfigurationService().saveRFxAndLinkToProject(ref.sessionService, rfxStruct, projectId));
			// update the ref auction, with the new one
			if (rfqKey != null)
			{
				// Get the new auction
				ref.structs.auctionStruct = ref.serviceRef.getAuctionDataService(ref)
                       							.getAuction(ref.sessionService, rfqKey);

				// Update the context, with new rfq
				ref.userDataContext.setRfqId(ref,rfqKey.getID());
				ret = true;// success
			}
		} catch(EPASSApplicationException e){
			ref.setErrorMessage(e);
			ref.setReadOnly(false);
		}
	}

	return ret;
}
//--------------------------------------------------------------------------------------------
//The function can return the following values:
//An AuctionKeyImpl object if saved successfully.
//A JobKeyImpl if the copy was sent to the jobs queue
//null if an error occured.
BaseKeyImpl saveAuctionFromTemplate(EPASSReferences ref,
								Integer templateId)
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException{

	BaseKeyImpl returnedKey = null;

	// Default the "save as template" checkbox to false
	ref.structs.auctionStruct.setTemplate(new Boolean(false));

	// Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );

	if (ref.structs.auctionStruct != null && templateId != null)
	{
		try
		{
			AuctionKeyImpl templateKey = new AuctionKeyImpl(templateId);

            if (EPASSUiPJMServices.areBestPracticesEnabled()) {
                String projectId = ref.req.getParameter(EPASSUiRFQServices.PROJECT_ID);
                if (projectId != null && projectId.length() > 0) {
                    ref.structs.auctionStruct.setAttribute("LINK_TO_PROJECT", new Integer(projectId));
                }
            }
				// Create a new auction, based on the template. Policy is NOT saved here
            returnedKey =  EPASSUiRFQServices.createFromTemplate(ref,templateKey);
             //TODO Otherwise, sent to queue, the auction policy is ignored. The auction policy should be
            //added as an argument to the createFromTemplate and the back end service should resolve this issue

            //If copied successfully and copy completed, re save with the auction policy
            if (returnedKey != null && returnedKey instanceof AuctionKeyImpl)
				{
                AuctionKeyImpl rfqKey = (AuctionKeyImpl) returnedKey;
					// Get the new auction that was created

					// Update the context, with new rfq
					ref.userDataContext.setRfqId(ref,rfqKey.getID());
			}


		} catch(EPASSApplicationException e){
			ref.setErrorMessage(e);
			ref.setReadOnly(false);
			AuctionStruct template = EPASSUiRFQServices.getRFQ(ref, templateId);
			ref.structs.auctionStruct.setType(template.getType());			
		}
	}

	return returnedKey;
}
//--------------------------------------------------------------------------------------------
BaseKeyImpl copyAuctionAsTemplate(EPASSReferences ref,// ref will have the new auction when done
								Integer templateId)// auction to copy from
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
    BaseKeyImpl ret = null;

	// Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );

    ref.structs.auctionStruct.removeAttribute(AuctionStruct.ID);

	if (ref.structs.auctionStruct != null && templateId != null)
	{
		try
		{
            if (EPASSUiPJMServices.areBestPracticesEnabled()) {
                String projectId = ref.req.getParameter(EPASSUiRFQServices.PROJECT_ID);
                if (projectId != null && projectId.length() > 0) {
                    ref.structs.auctionStruct.setAttribute("LINK_TO_PROJECT", new Integer(projectId));
                }
            }

			AuctionKeyImpl templateKey = new AuctionKeyImpl(templateId);
			if (templateKey != null)
			{
				// Create a new auction, based on the template. Policy is NOT saved here
				ret = ref.serviceRef.getAuctionConfigureService(ref).createCopyWithTimeout(
									ref.sessionService,
                                    ObjectCopyHelper.COPY_TEMPLATE_FROM_RFX,
									templateKey,
									ref.structs.auctionStruct );
									
				if (ret != null && ret instanceof AuctionKeyImpl)
				{
                    AuctionKeyImpl rfqKey = (AuctionKeyImpl)ret;

					// Update the context, with new rfq
					ref.userDataContext.setRfqId(ref,rfqKey.getID());
				}
			}
		} catch(EPASSApplicationException e){
			ref.setErrorMessage(e);
			ref.setReadOnly(false);
		}
	}

	return ret;
}

//------------------------------------------------------------------------------------------
BaseKeyImpl saveAuctionFromResidual(EPASSReferences ref)
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	BaseKeyImpl ret = null;

	// Default the "save as template" checkbox to false
	ref.structs.auctionStruct.setTemplate(new Boolean(false));

	// Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );
	Integer residualId = ref.userDataContext.getRfqId();
	if (residualId != null)// this is the residual id
	{
		try
		{
			AuctionKeyImpl auctionKey = new AuctionKeyImpl(residualId);

            if (EPASSUiPJMServices.areBestPracticesEnabled()) {
                String projectId = ref.req.getParameter(EPASSUiRFQServices.PROJECT_ID);
                if (projectId != null && projectId.length() > 0) {
                    ref.structs.auctionStruct.setAttribute("LINK_TO_PROJECT", new Integer(projectId));
                }
            }
			// Call the application safe residual api
            ref.structs.auctionStruct.removeAttribute(AuctionStruct.ID);
			ret = EPASSUiRFQServices.createFromResidual( ref,
																		auctionKey,
																		ref.structs.auctionStruct );
            if (ret instanceof AuctionKeyImpl)
            {
                AuctionKeyImpl rfqKey = (AuctionKeyImpl)ret;
				// Update the context, with new rfq
				ref.userDataContext.setRfqId(ref,rfqKey.getID());
            }
		} catch(EPASSApplicationException e) {
			ref.setErrorMessage(e);
			ref.setReadOnly(false);
		}
	}

	return ret;
}

BaseKeyImpl cloneAuctionFromRFx(EPASSReferences ref)
    throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
    BaseKeyImpl ret = null;
    // Put the request parameters into the ref auction struct
    RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
                                    ref.req,
                                    ref.structs.auctionStruct );
    Integer clonedId = ref.userDataContext.getRfqId();
    if (clonedId != null)
    {
        try
        {
            if (EPASSUiPJMServices.areBestPracticesEnabled()) {
                String projectId = ref.req.getParameter(EPASSUiRFQServices.PROJECT_ID);
                if (projectId != null && projectId.length() > 0) {
                    ref.structs.auctionStruct.setAttribute("LINK_TO_PROJECT", new Integer(projectId));
                }
            }
            AuctionKeyImpl auctionKey = new AuctionKeyImpl(clonedId);

            ref.structs.auctionStruct.removeAttribute(AuctionStruct.ID);
            // Call the application safe residual api
            ret = ref.serviceRef.getAuctionConfigureService(ref).createCopyWithTimeout( ref.sessionService,
                    ObjectCopyHelper.COPY_RFX_FROM_RFX,
                                                                        auctionKey,
                                                                        ref.structs.auctionStruct );
            if (ret != null && ret instanceof AuctionKeyImpl)
            {
                AuctionKeyImpl rfqKey = (AuctionKeyImpl)ret;
	            // Update the context, with new rfq
            	ref.userDataContext.setRfqId(ref,rfqKey.getID());
            }
        } catch(EPASSApplicationException e) {
            ref.setErrorMessage(e);
            ref.setReadOnly(false);
        }
    }

    return ret;
}
//--------------------------------------------------------------------------------------------------
BaseKeyImpl saveAuctionFromRFP(EPASSReferences ref,
							Integer residualId,
                            ArrayList affectedFormulaNames,
                            String typeFieldName)
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	BaseKeyImpl ret = null;

	// Default the "save as template" checkbox to false
	ref.structs.auctionStruct.setTemplate(new Boolean(false));
    ref.structs.auctionStruct.setAllowPartialBid(new Boolean(false));

	// Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );

    if (EPASSUiPJMServices.areBestPracticesEnabled()) {
        String projectId = ref.req.getParameter(EPASSUiRFQServices.PROJECT_ID);
        if (projectId != null && projectId.length() > 0) {
            ref.structs.auctionStruct.setAttribute("LINK_TO_PROJECT", new Integer(projectId));
        }
    }
	// Default any parameters
	defaultAuctionParameter(ref, true);

	try
	{
		if (residualId != null)// this is the residual id
		{
            AuctionKeyImpl auctionKey = new AuctionKeyImpl(residualId);
            Integer type = new Integer(ref.req.getParameter(typeFieldName));
            if (AuctionType.DESCENDING_PRICE_ADVANCED.equals(type))// can not change this to use isMethods
            {
                ret = ref.serviceRef.getAuctionConfigureService( ref )
                                            .createCopyWithTimeout( ref.sessionService,
                                                    ObjectCopyHelper.COPY_THEARTER_AUCTION_FROM_RFP,
                                                                            auctionKey,
                                                                            ref.structs.auctionStruct);
            } else {
                ret = ref.serviceRef.getAuctionConfigureService( ref )
                                        .createCopyWithTimeout( ref.sessionService,
                                                ObjectCopyHelper.COPY_STANDARD_AUCTION_FROM_RFP,
                                                                            auctionKey,
                                                                            ref.structs.auctionStruct);
            }
		} else { // create a theatre, without a prior auction
			ret = ref.serviceRef.getAuctionConfigureService( ref )
													.createTheaterAuction( ref.sessionService,
																		ref.structs.auctionStruct );
		}

        if (ret instanceof AuctionKeyImpl)
        {
            AuctionKeyImpl rfqKey = (AuctionKeyImpl)ret;
			// Update the context, with new rfq
			ref.userDataContext.setRfqId(ref,rfqKey.getID());
        }
	} catch(EPASSApplicationException e) {
		ref.setErrorMessage(e);
		ref.setReadOnly(false);
	}

	return ret;
}
//--------------------------------------------------------------------------------------------------
boolean saveStandardAuctionFromRFP(EPASSReferences ref, 
							/*AuctionPolicyStruct auctionPolicy,*/ //PR#32969
							Integer residualId,
                            ArrayList affectedFormulaNames)
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	boolean ret = false;
	AuctionKeyImpl rfqKey = null;

	// Default the "save as template" checkbox to false
	ref.structs.auctionStruct.setTemplate(new Boolean(false));

	// Put the request parameters into the ref auction struct
	RequestUtility.convertToStruct(StructSchemaManager.getSchema(AuctionStruct.class),
									ref.req,
									ref.structs.auctionStruct );

	// Default any parameters
	defaultAuctionParameter(ref, true);

	try
	{
		if (residualId != null)// this is the residual id
		{
			AuctionKeyImpl auctionKey = new AuctionKeyImpl(residualId);
			rfqKey = ref.serviceRef.getAuctionConfigureService( ref )
									.createStandardAuctionFromSealed( ref.sessionService,
																		auctionKey,
																		ref.structs.auctionStruct);
		}
		// Get the new auction that was created
		ref.structs.auctionStruct = ref.serviceRef.getAuctionDataService(ref)
										.getAuction(ref.sessionService, rfqKey);
		// Need to get a copy of the immutable struct, before saving policy
		ref.structs.auctionStruct = (AuctionStruct)
									WrapperObjectStruct
									.makeCopy(ref.structs.auctionStruct);
		// Update the policy of new auction
		EPASSUiRFQServices.saveAuction(ref);//, auctionPolicy );

		// Update the context, with new rfq
		ref.userDataContext.setRfqId(ref,rfqKey.getID());
		ret = true;// success
	} catch(EPASSApplicationException e) {
		ref.setErrorMessage(e);
		ref.setReadOnly(false);
	}

	return ret;
}//-----------------------------------------------------------------------------------------
/**
 */
void setRefReadOnlyFlag(EPASSReferences ref)
	throws EPASSApplicationException, java.rmi.RemoteException, SystemException
{
	try
	{
		if (!EPASSUiRFQServices.getAuctionUiBusinessRules().canUpdateRFQ(ref, ref.structs.auctionStruct.getKey()))
		{
			ref.setReadOnly ( true ); // show uneditable results
		}
		else
		{
			Integer intStatus = ref.structs.auctionStruct.getStatus();
			if ( intStatus.equals ( AuctionStatus.CANCELED )
				 || intStatus.equals ( AuctionStatus.AWARDED ) )
			{
				ref.setReadOnly ( true ); // show uneditable results
			}
		}
	}
	catch (EPASSApplicationException e)
	{
		ref.setErrorMessage(e);
		ref.setReadOnly(false);
	}
}

/**
 */
Integer getTemplateId(EPASSReferences ref, final String fieldNameTemplateSelect)
{
	String templateIdString = ref.req.getParameter(fieldNameTemplateSelect);
	Integer templateId = null;
	if (templateIdString != null && !StringUtility.isEmpty(templateIdString))
	{
		templateId = new Integer(templateIdString);
	}

	return templateId;
}
//------------------------------------------------------------------------------------
/**
 */
void setAuctionEditFlags(EPASSReferences ref, AuctionMode edit)
{
	if (ref.structs.auctionStruct != null)
	{
		if ( ref.structs.auctionStruct.isRFI() == true )
		{
			edit.isEditRFI = true;
			edit.isCreateRFI = true;
		}

		if (ref.structs.auctionStruct.getAggregationOriginalAuction() != null)
		{
			edit.isEditAggregateRfq = true;
		}

	}

}
//------------------------------------------------------------------------------------
/**

 */
void addAggregateDeleteItemsField( EPASSReferences ref, EPASSHTMLForm editForm, boolean isReadOnly,
	Boolean defValue, Integer fieldValueID )
	throws EPASSApplicationException, RemoteException
{
	String[] itemListCodes = { "true", "false" };
	String[] itemListValues = { "demand_aggregation.delete_items_yes",
								"demand_aggregation.delete_items_no" };

	String sDefValue = "false";
	if ( defValue != null ) {
		sDefValue = defValue.toString();
	}

	EPASSInputSimpleSelect ic = new EPASSInputSimpleSelect ( EPASSUiRFQServices.DEMAND_AGG_DELETE_ITEMS,
										itemListCodes,
										ref.convertServicesLiteral( itemListValues ),
										sDefValue,
										"" );
	if ( isReadOnly == true || fieldValueID != null ) {
		ic.setEnabled( false );
	}
	editForm.addControl( ref.convertLiteral("form.wizConfigStart.header.delete_items"), ic );
}
//-----------------------------------------------------------------------------------------
/**

 */
void addAggregateHiddenFields(EPASSHTMLForm editForm,
								ArrayList rfqKeys,
								ArrayList prodKeys)
{
	for ( int i = 0; i < rfqKeys.size(); i++ ) {
		Integer templateRfqIdLocal = ( (AuctionKeyImpl) rfqKeys.get(i) ).getID();
		editForm.addHidden( EPASSUiRFQServices.RFQ_ID_PARAMETER, templateRfqIdLocal );
	}

	for ( int i = 0; i < prodKeys.size(); i++ ) {
		Integer tmpProdId = ( (ProductKeyImpl) prodKeys.get(i) ).getID();
		editForm.addHidden( EPASSUiRFQServices.PRODUCT_ID_PARAMETER, tmpProdId );
	}
}
//------------------------------------------------------------------------------------------
/**
 */
void addChildHiddenFields( EPASSHTMLForm editForm, String[] childItemIds )
{
	for (int x = 0; x < childItemIds.length; x++)
	{
		editForm.addHidden(EPASSUiRFQServices.PARAM_CHILD_ITEM_IDS, childItemIds[x]);
	}
}
//------------------------------------------------------------------------------------------------
/**
 */
String getSaveAsTemplateLabel(EPASSReferences ref,
								Integer fieldValueSTATUS,
								AuctionMode rfqMode)
{
	String tmpltLabel = null;
    boolean isReplaceRFI = false;
	try
	{
		tmpltLabel = ref.convertLiteral("form.wizConfigStart.checkbox.save_template", isReplaceRFI);
		if (fieldValueSTATUS != null)
		{
			if(fieldValueSTATUS.equals(AuctionStatus.OPEN) ||
				fieldValueSTATUS.equals(AuctionStatus.PENDING) ||
				fieldValueSTATUS.equals(AuctionStatus.AWARDED))

			{
				tmpltLabel = ref.convertLiteral("form.wizConfigStart.checkbox.no_template", isReplaceRFI);
			}
		}
	} catch(EPASSApplicationException e) {
		ref.setErrorMessage(e);
		ref.setReadOnly(false);
	}
	return tmpltLabel;
}
//---------------------------------------------------------------------------------------------
/**
 */
boolean isSaveAsTemplateDisabled(EPASSReferences ref,
								Integer fieldValueSTATUS)
{
	// Only allowed to change to/from Template while status=created,
	// null status means new RFQ so allow template.
	return ( fieldValueSTATUS == null || fieldValueSTATUS.equals(AuctionStatus.CREATED));
}
//--------------------------------------------------------------------------------------------
/**
 */
void addAdvancedTabIndicatorField(EPASSReferences ref,
								EPASSHTMLForm editForm)
{
	String notShowTab = ref.req.getParameter(EPASSUiRFQServices.DISABLE_TAB_PARAMETER);
	if (notShowTab != null)
	{
		editForm.addHidden(EPASSUiRFQServices.DISABLE_TAB_PARAMETER, notShowTab );
	}

}
//---------------------------------------------------------------------------------------
/**
 */
boolean checkIfNewAuction(EPASSReferences ref)
{
	boolean ret = false;


	if (ref.userDataContext.getRfqId() == null)
	{
		ret = true;
	} else {// check if the id's are the same
		String id = ref.req.getParameter(AuctionStruct.ID);
		if (id != null)
		{
			ret = !ref.userDataContext.getRfqId().equals(id);
		} else {
			ret = true;
		}
	}

	return ret;
}

%>
<%
	if ( formAction == EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE
			|| formAction == EPASSJSPActions.CREATE_FROM_RFP
            || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP) {
%>
<span id="zissou_mini_box2">
    <input type="text" id="zissou_mini_input2" autocomplete="off" value="<%= ref.convertLiteral("form.searchForm.button.submit")%>"
        onkeydown="if (this.value == '<esapi:js><%= ref.convertLiteral("form.searchForm.button.submit")%></esapi:js>' ) this.value = '';"
        onclick="if (this.value == '<esapi:js><%= ref.convertLiteral("form.searchForm.button.submit")%></esapi:js>' ) this.value = '';"
     />
</span>
<%
}

boolean isReadOnly = !isEditable || ref.isReadOnly();

if(!isReadOnly){
%>
	<span id="zissou_mini_box_MainCat">
		<input type="text" id="zissou_mini_input_MainCat" autocomplete="off" value="<%= ref.convertLiteral("form.searchForm.button.submit")%>"
			onkeydown="if (this.value == '<esapi:js><%= ref.convertLiteral("form.searchForm.button.submit")%></esapi:js>' ) this.value = '';"
			onclick="if (this.value == '<esapi:js><%= ref.convertLiteral("form.searchForm.button.submit")%></esapi:js>' ) this.value = '';this.select();"
			onfoucs="this.select();"        
		 />
	</span>
<%
}

	Integer templateId = null;
	String templateName = null; 
      try {
       		templateId = getTemplateId(ref, fieldNameTemplateSelect);
       		if (templateId != null) {
		       	AuctionStruct templateFromBackend = (AuctionStruct)EPASSUiRFQServices.getRFQ(ref, templateId);
		       	templateName = EPASSQPretty.escapeSingleQuote(templateFromBackend.getName());
		     }
      } catch (NumberFormatException nfe){
      }
      if (templateId != null && templateName != null) {
%>
<script>
	updateTemplateName('<%= templateId%>', '<esapi:js><%= templateName %></esapi:js>');
</script>

<%
		}
      Integer projectId = null; 
      WorkflowTaskStruct project = null;
      try {
      	projectId = new Integer(ref.req.getParameter(fieldNamePROJECTID));
      } catch (NumberFormatException nfe){
      }
      
      if ( projectId != null){

	      WorkflowTaskStruct projectFromBackend = (WorkflowTaskStruct)EPASSUiPJMServices.getProject(ref, projectId,false);
	      projectIdForDisplay = projectId;
	      projectName = EPASSQPretty.escapeSingleQuote(projectFromBackend.getName());
      }
      
      if (projectIdForDisplay != null && projectName != null) {
      	editForm.addHidden("originalProjectId",projectIdForDisplay);
%>
<script>
	updateProjectName('<%= projectIdForDisplay%>', '<esapi:js><%= projectName %></esapi:js>');
</script>
<%
	} else {
		editForm.addHidden("originalProjectId","");
	}
%>
<script>
function clearProject(){
	updateProjectName('', '');
}

var ZissouMini2 = null;
var ZissouMiniFormatter2 = {
    getDataAction : function(dataObject) {
        return {
            execute : function() {
                var data;
                var templateId = dataObject.id;
                var templateName = this.specialText;

                updateTemplateName(templateId, templateName.substring(0,templateName.indexOf('&nbsp;')));
                refreshForm();
            }
        };
    }
};



var ZissouMini_MainCat = null;
var ZissouMiniFormatter_MainCat = {
    getDataAction : function(dataObject) {
        return {
            execute : function() {
					var data;
					var catId = dataObject.id;
					var catName = this.specialText;
					updateMainCategory(catId,catName);
            }
        };
    }
};

var selectedCategoryName;

function updateMainCategory(categoryId, categoryName){
		if(document.<%= formName%>.<%=  fieldNameCATEGORY%>.value!=categoryId){
			document.<%= formName%>.<%=  fieldNameCATEGORY%>.value=categoryId;
			document.auctionForm.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.REFRESH_PAGE%>';
			isNavBlocked = true;
			document.<%= formName%>.<%=IS_RFX_CATEGORY_DIRTY%>.value = "true";
			document.<%= formName%>.submit();
		}		
}



var catFlag=<%= categoryLinkingFlag%>;

a_list_or_url_maincategory =[];

//user is linked few categories and category flag is true
if(catFlag){
	a_list_or_url_maincategory = "zissou_mini_find.jsp?catSearchForUserLink=true&USERID="+<%= ref.userDataContext.getUserId()%>;
}else{
	a_list_or_url_maincategory = "zissou_mini_find.jsp?catSearch=true";
}

var ZissouMini2 = null;
var ZissouMini_MainCat = null;

    function addSecondZissouSearch(){
        ZissouMini2 = clone( ZissouMini );

        ZissouMini2.start("zissou_mini_container2", "zissou_mini_input2", ZissouMiniFormatter2, templateSearchUrl);
		
        ZissouMini_MainCat = clone( ZissouMini );

        ZissouMini_MainCat.start("zissou_mini_container_MainCat", "zissou_mini_input_MainCat", ZissouMiniFormatter_MainCat, a_list_or_url_maincategory);
		
    }
    Util.addEvent( window, "load", addSecondZissouSearch );

</script>
<%-- ************************************************************************************************************** --%>
<%-- Locked Bid Helper Methods --%>


<%!

public final String IS_TMPLT_IN_CONTEXT = "is_tmplt_context";

  /**
  *	Check the config file to see if the current RFx can be locked -- considers RFQ and RFI differently.
  *	As an RFQ, only sealed RFQ's have the option of being locked.
  *	Logic does not consider the current state of the RFx.  For that, use canLockRFxNow().
  *	@param AuctionStruct used to determine if current auction is RFQ or RFI and then looks at the
  *		appropriate seting in the config file.  If AuctionStruct is null, then return true if either
  *		RFQ or RFI can be locked.
  *	@return boolean stating whether or not current RFx can be locked (independent of state)
  *	|bwilly
  */

  /**
  *	@param ref to find current RFx
  *	@return AuctionStruct of current RFx, or null
  */
  AuctionStruct getCurrentRFx( EPASSReferences ref )
  {
  	AuctionStruct rfx = null;

	try
	{
		Integer myRFxID = ref.userDataContext.getRfqId();
		AuctionKeyImpl myRFxKey	= new AuctionKeyImpl(myRFxID);
		rfx = ServiceManager.getAuctionDataService().getAuction( ref.sessionService, myRFxKey );
	}
	catch( Exception e )
	{
		try
		{
	  		rfx = EPASSUiRFQServices.getCurrentRFQ(ref);
		}catch( Exception e1 ){}
	}

	return rfx;
  }

	/**
    *     Consider the award approval value only if the RFx has previously existed. i.e., not on first creation screen.
    *     If the RFx is being created (id=null), then take the default value from the organization profile.
    */
    boolean getAwardApprovalValueFromStructOrDefault( EPASSReferences ref, AuctionStruct rfx, boolean orgAwardApproval )
    {
		// Check if this value has been saved.
        if( null != rfx.getAttribute( AuctionStruct.RFQ_EXTERNAL_AWARD_APPROVAL_REQUIRED) ) {
            return rfx.isRfqExternalAwardApprovalRequired().booleanValue();
        }
		return orgAwardApproval;
    }

ArrayList removeATA ( String [] arrTypeCodes, String [] arrTypeNames )
{
	ArrayList lstRetVal = new ArrayList ();
	// codes
	ArrayList lstTypeCodes = new ArrayList ();
	for ( int i = 0; i < arrTypeCodes.length; i++ )
	{
		if ( ! AuctionType.DESCENDING_PRICE_ADVANCED.toString ().equals ( arrTypeCodes [ i ] ) )
		{
			lstTypeCodes.add ( arrTypeCodes [ i ] );
		}
	}
	arrTypeCodes = (String [])lstTypeCodes.toArray ( new String [ 0 ] );
	lstRetVal.add ( arrTypeCodes );
	// names
	ArrayList lstTypeNames = new ArrayList ();
	for ( int i = 0; i < arrTypeNames.length; i++ )
	{
		if ( ! "AuctionType.descending_price_advanced".equals ( arrTypeNames [ i ] ) )
		{
			lstTypeNames.add ( arrTypeNames [ i ] );
		}
	}
	arrTypeNames = (String [])lstTypeNames.toArray ( new String [ 0 ] );
	lstRetVal.add ( arrTypeNames );

	return lstRetVal;
}

boolean getParamInd(EPASSReferences ref)
{
	boolean ret = false;

	if (!StringUtility.isEmpty(ref.req.getParameter(IS_TMPLT_IN_CONTEXT)))
	{
		ret = true;
	}

	return ret;
}

	boolean canShowStyleControl(Integer fieldValueTYPE)
	{
		return (AuctionType.DESCENDING_PRICE.equals(fieldValueTYPE) || AuctionType.ASCENDING_PRICE.equals(fieldValueTYPE) ||
		 AuctionType.DUTCH_REVERSE_AUCTION.equals(fieldValueTYPE) || AuctionType.DUTCH_FORWARD_AUCTION.equals(fieldValueTYPE) ||
		 AuctionType.JAPANESE_REVERSE_AUCTION.equals(fieldValueTYPE) || AuctionType.JAPANESE_FORWARD_AUCTION.equals(fieldValueTYPE));
	}

	/**
     * Display Auction Styles based on module visibility and authorization.
     */
    EPASSInputSimpleSelect getStyleControl(EPASSReferences ref,
    													  Integer fieldValueTYPE,
                                                          final String fieldNameSTYLE,
                                                          Integer fieldValueSTYLE,
                                                          Integer fieldValueID,
                                                          int formAction,
                                                          boolean isCopyIntoTemplate)
            throws RemoteException, EPASSApplicationException
    {
    	String[] rfxStylesDefined = {RFxStyle.NONE.toString(),
    											RFxStyle.ENGLISH.toString(),
    											RFxStyle.DUTCH.toString(),
    											RFxStyle.JAPANESE.toString()};//RFxStyle.displayCodes;
    	ArrayList values = new ArrayList ();
   		ArrayList displays = new ArrayList ();
    	for (int i = 0; i < rfxStylesDefined.length; i++) 
    	{    		 
    		boolean canAdd = false;
    		Integer style = new Integer(rfxStylesDefined[i]);
    		if(AuctionType.DESCENDING_PRICE.equals(fieldValueTYPE) || AuctionType.DUTCH_REVERSE_AUCTION.equals(fieldValueTYPE) 
    				|| AuctionType.JAPANESE_REVERSE_AUCTION.equals(fieldValueTYPE))
    		{
    			 switch(style)
	    		 {
	    		 	case RFxStyle.English:
	    		 			if (ModuleAuth.isModuleAdvancedAuctionValid(ref)) 
	    		 			{
	                            canAdd = true;
	                        }
	    		 			break;
	    		 	case RFxStyle.Dutch:
	    		 			if ( (formAction != EPASSJSPActions.CREATE_FROM_RFP )&& ModuleAuth.isModuleDutchReverseAuctionValid(ref)) 
	    		 			{	    		 				
	    		 				canAdd = true;
	                        }
	    		 			break;
	    		 	case RFxStyle.Japanese:
	    		 			if ((formAction != EPASSJSPActions.CREATE_FROM_RFP )&& ModuleAuth.isModuleJapaneseReverseAuctionValid(ref)) 
	    		 			{	    		 				
	    		 				canAdd = true;
	                        }
	    		 			break;
	    		 }
    		}
    		else
    		{
    			 switch(style)
	    		 {
	    		 	case RFxStyle.English:
	    		 			if (ModuleAuth.isModuleForwardAuctionValid(ref)) 
	    		 			{
	                            canAdd = true;
	                        }
	    		 			break;
	    		 	case RFxStyle.Dutch:
	    		 			if (ModuleAuth.isModuleDutchForwardAuctionValid(ref)) 
	    		 			{
	                            canAdd = true;
	                        }
	    		 			break;
	    		 	case RFxStyle.Japanese:
	    		 			if (ModuleAuth.isModuleJapaneseForwardAuctionValid(ref)) 
	    		 			{
	                            canAdd = true;
	                        }
	    		 			break;
	    		 }
    		}
    		
    		 if(canAdd)
    		 {
    		 	values.add(rfxStylesDefined[i]);
	             displays.add(RFxStyle.getDisplayCode(Integer.valueOf(rfxStylesDefined[i])));            
    		 }     		 
    	}
    	 String[] auctionStyleNames = ref.convertServicesLiteral((String[])displays.toArray(new String[0]));

         EPASSInputSimpleSelect styleCntrl = new EPASSInputSimpleSelect( fieldNameSTYLE,(String[])values.toArray(new String[0]),
								                                        auctionStyleNames,
								                                        fieldValueSTYLE == null ? RFxStyle.ENGLISH.toString() :  fieldValueSTYLE.toString(),
								                                        "onChangeStyle()" );
        if (fieldValueID != null
            || isCopyIntoTemplate
            || formAction == EPASSJSPActions.CREATE_CLONE_RFX
            || formAction == EPASSJSPActions.CREATE_FROM_RESIDUAL
            || formAction == EPASSJSPActions.REFRESH_FROM_SELECTLIST_TEMPLATE)
        {
            styleCntrl.setEnabled(false);
        }       
                               
		return styleCntrl;                                    
	}
	
    /**
     * Display rfx types based on module visibility and authorization.
     */
    EPASSInputSimpleSelect getTypeControl(EPASSReferences ref,
                                                          boolean isCreateFromRFP,
                                                          final String fieldNameTYPE,
                                                          Integer fieldValueTYPE,
                                                          boolean istempl,
                                                          boolean isCopyFromTemplate,
                                                          Integer fieldValueID,
                                                          int formAction,
                                                          boolean isCopyIntoTemplate,
                                                          boolean isCreateAggregateRfq)
            throws RemoteException, EPASSApplicationException
    {
        boolean bCanCreateReverse = ModuleAuth.isModuleReverseAuctionValid(ref);
        ArrayList values = new ArrayList ();
        ArrayList displays = new ArrayList ();

        if (isCreateFromRFP)
        {


            if (ModuleAuth.isModuleReverseAuctionValid(ref)) {
                values.add(AuctionType.DESCENDING_PRICE_ADVANCED.toString());
                displays.add(AuctionType.getAuctionTypeResource(AuctionType.DESCENDING_PRICE_ADVANCED));
            }
        } else {
            String[] auctionTypesDefined = AuctionType.displayCodeValues;
            boolean bAdd = false;
            for (int i = 0; i < auctionTypesDefined.length; i++) {
                bAdd = false;
                switch (Integer.parseInt(auctionTypesDefined[i])) {
                    case AuctionType.sealed:
                        if (ModuleAuth.isModuleSealedBidAuctionValid(ref)) {
                            bAdd = true;
                        }
                        break;

                    case AuctionType.descending_price:
                    	/*
                    	 * PR 41501
                        if (ModuleAuth.isModuleStandardAuctionValid(ref)) {
                            bAdd = true;
                        }
                    	*/
                        break;

                    case AuctionType.rfi:
                        if (ModuleAuth.isModuleRfiValid(ref) && !isCreateAggregateRfq) {
                            bAdd = true;
                        }
                        break;

                    case AuctionType.descending_price_advanced:
                    case AuctionType.japanese_reverse_auction:
                    case AuctionType.dutch_reverse_auction:
                        if (ModuleAuth.isModuleReverseAuctionValid(ref)) {
                            bAdd = true;
                        }
                        break;

                    case AuctionType.buyer_rfi:
                        if (ModuleAuth.isModuleBuyerSurveyValid(ref) && !isCreateAggregateRfq) {
                            bAdd = true;
                        }
                        break;

                    case AuctionType.rfp:
                        // FIXME: do we need ModuleAuth.isModuleRFPValid?
                        if (ModuleAuth.isModuleRfpValid(ref)) {
                            bAdd = true;
                        }
                        break;
                    case AuctionType.ascending_price:
                    case AuctionType.japanese_forward_auction:
                    case AuctionType.dutch_forward_auction:
						if (ModuleAuth.isForwardAuctionValid(ref) && !isCreateAggregateRfq)
						{
                            bAdd = true;
                        }
                        break;    

                    default:
                        break;
                }
                if (bAdd) {
                    values.add(auctionTypesDefined[i]);
                    displays.add(AuctionType.getAuctionTypeResource(Integer.valueOf(auctionTypesDefined[i])));
                }
            }
        }

        String[] auctionTypeNames = ref.convertServicesLiteral((String[])displays.toArray(new String[0]));
        String[] displaysWithNoneSelected = new String[auctionTypeNames.length+1];
        displaysWithNoneSelected[0] = ref.convertLiteral("form.terminology.select.no_selection_please_select");
        for(int i = 0; i < auctionTypeNames.length; i++){
            displaysWithNoneSelected[i+1] = auctionTypeNames[i];
        }
        values.add(0, "-1") ;

        displays.add(0,ref.convertLiteral("form.terminology.select.no_selection_please_select"));

		String selectedValue = null;
		if(bCanCreateReverse && (ref.structs.auctionStruct.isReverseAuction() || ref.structs.auctionStruct.isDutchReverseAuction() || ref.structs.auctionStruct.isJapaneseReverseAuction()))
		{
			selectedValue = new String ( AuctionType.DESCENDING_PRICE_ADVANCED.toString() );
		}
		else if((ref.structs.auctionStruct.isForwardAuction() || ref.structs.auctionStruct.isDutchForwardAuction() || ref.structs.auctionStruct.isJapaneseForwardAuction()))
		{
			selectedValue = new String ( AuctionType.ASCENDING_PRICE.toString() );
		}
		else
		{
			selectedValue = new String ( fieldValueTYPE.toString() );
		}
		
        EPASSInputSimpleSelect typeCntrl = new EPASSInputSimpleSelect( fieldNameTYPE,
                                            (String[])values.toArray(new String[0]),
                                            displaysWithNoneSelected,
                                            selectedValue,
                                            "onChangeType('type')" );

        typeCntrl.setExtendedText((istempl && !isCopyFromTemplate)
                            ? " " + ref.convertLiteral("form.inc_rfqDetail.header.template")
                            : "");
        // If an update, do not allow editing of type field
        if (fieldValueID != null
            || isCopyIntoTemplate
            || formAction == EPASSJSPActions.CREATE_CLONE_RFX
            || formAction == EPASSJSPActions.CREATE_FROM_RESIDUAL
            || formAction == EPASSJSPActions.REFRESH_FROM_SELECTLIST_TEMPLATE)
        {
            typeCntrl.setEnabled(false);
        }
        return typeCntrl;
    }
	
    public String getClearButton(EPASSReferences ref, String jsFunction, String alt)
    	    throws EPASSApplicationException
    	{
    	    String buttonPath = ref.getUserPath() + Dir.IMG_BTNS_UP + "clear_icon_up.gif";
    	    String ret = EPASSUiJSPServices.makeButton(
    	                                 ref,
    	                                 jsFunction,
    	                                 false,
    	                                 buttonPath,
    	                                 alt);

    	    return ret+"&nbsp;&nbsp;&nbsp;&nbsp;";
    	    //return "&nbsp;&nbsp;&nbsp;&nbsp;"+ret;
    	}	
%>
<script>
monitoredFields['project_id'] = getControlValue( document.auctionForm.project_id, 'value' );
monitoredFields['zissou_mini_input'] = getControlValue( document.getElementById('zissou_mini_input'), 'value' );
</script>
<%@ include file="../../include/tail.inc"%>
