<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.framework.messaging.common.constant.MessageRecipientGroupType" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.bs.service.extenssion.event.application.BuyerSurveyEvent" %>
<%@ page import="com.avinamart.Framework.Event.Application.EPASSApplicationEvent" %>
<%@ page import="com.avinamart.Framework.Event.Application.ActivityEvent" %>
<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ page import="com.avinamart.Utility.EPASSResourceBundle,
                 com.avinamart.Utility.Exception.EPASSApplicationException" %>
<%@ page import="com.avinamart.Utility.literalman.RfxStringSub" %>
<%@ page import="com.avinamart.WebInterface.Constants.Javascript" %>
<%@ page import="com.avinamart.WebInterface.Constants.Message" %>
<%@ page import="com.avinamart.WebInterface.EPASSJSPActions" %>
<%@ page import="com.avinamart.WebInterface.EPASSReferences" %>
<%@ page import="com.avinamart.WebInterface.EPASSUiHelpServices" %>
<%@ page import="com.avinamart.WebInterface.EPASSUiRFQServices" %>
<%@ page import="com.avinamart.WebInterface.EPassUIException" %>
<%@ page import="com.avinamart.WebInterface.TreeWizUtility" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLForm" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputControl" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl"%>
<%@ page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@ page import="java.text.MessageFormat"%>
<%@ page import="com.emptoris.app.rfxkernel.service.extensions.event.application.AuctionWorkflowEvent" %>
<%@ page import="com.avinamart.Framework.Event.Application.ActivityEventData" %>
<%@ page import="com.emptoris.framework.notification.common.constant.NotificationConstant" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.ActivityType" %>
<%@ page import="com.emptoris.framework.organization.common.key.OrganizationKeyImpl" %>
<%@ page import="com.emptoris.framework.notification.valueObject.FormattedNotification" %>
<%@ page import="com.emptoris.framework.notification.service.renderer.FormattedNotificationCreator" %>
<%@ page import="com.emptoris.app.rfxkernel.service.extensions.event.application.SupplierApprovedEvent" %>
<%@ page import="com.avinamart.BusinessLogic.Key.BusinessUserKeyImpl" %>
<%@ page import="com.avinamart.Struct.BusinessUserStruct" %>
<%@ page import="com.emptoris.framework.authorization.common.constant.ParticipantSide" %>
<%@ page import="com.emptoris.app.rfxkernel.service.extensions.event.application.SuppliersideEvent" %>
<%@ page import="com.emptoris.app.rfxkernel.service.extensions.event.application.BuyersideEvent" %>
<%@ page import="com.emptoris.app.rfxkernel.common.helper.SupplierFilter" %>
<%@ page import="com.avinamart.BusinessLogic.Helper.EventHelper" %>
<%@ page import="com.emptoris.framework.notification.webClient.processor.MessageTemplateDetailContentPageProcessor" %>
<%@ page import="java.rmi.RemoteException" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLFilterSelect"%>
<%@ page import="com.emptoris.framework.organization.common.struct.OrganizationStruct"%>
<%@ page import="org.owasp.esapi.ESAPI" %>

<%@ page import="com.emptoris.framework.notification.common.struct.NotificationStruct" %>
<%@ page import="com.emptoris.framework.notification.common.constant.NotificationLanguageType" %>
<%@ page import="com.emptoris.framework.notification.webClient.EPASSUiNotificationServices"%>
<%@ page import=" com.emptoris.framework.notification.common.util.NotificationUtility" %>



<%-- +---------------------------------------------------------------------------
	Include Head
		- This file is used for initalizing an object called EPASSReference
		  which (among other things) holds references to the user data context
		  information and service wrappers used in this page.
---------------------------------------------------------------------------+ --%>

<%@ include file="include/head.inc" %>
<%!
    // Class level data
    public static final int pageModeUnknown        = 0;  // should never occur
    public static final int pageModeSupplierInvite = 1;
    public static final int pageModeHostInvite     = 2;
    EPASSHTMLFilterSelect invitationFilter = null; 
    //added new edit invitation tab for so users.(applicable for buyer survey only,not other  rfx)
    //pageModeSOUserInvite this new page mode is added ,and few code clean clean up is done
    public static final int pageModeSOUserInvite     = 3;
        // values correspond to index into arrays

    public static final String[] directionsArray = new String[] {
        "unspecified",
        "form.wizrfxinvitationletter.direction",
        "form.wizrfxinvitationletter.direction_host",
        "form.wizrfxinvitationletter.direction_survey",
        "form.wizrfxinvitationletter.direction_so_user"
    };

    public static final String[] actionBarTitlesArray = new String[] {
        "unspecified",
        "form.wizrfxinvitationletter.actionlabel",
        "form.wizrfxinvitationletter.actionlabel_host",
        "form.wizrfxinvitationletter.actionlabel_survey",
        "form.wizrfxinvitationletter.actionlabel_so_user"
    };

    //survey only user ,added MessageRecipientGroupType.SO_USERS
    public static final Integer[] recipientGroupTypeArray = new Integer[] {
        new Integer(-1),                              // unspecified
        MessageRecipientGroupType.BIDDERS,
        MessageRecipientGroupType.AUCTIONHOST,
        MessageRecipientGroupType.SO_USERS
    };
    
    String unFormattedInvitationLink = "";
    String formattedInvitationLink = "" ;
    
    EPASSApplicationEvent setParametersToEventObject(EPASSApplicationEvent event , EPASSReferences ref,
    		int actor_side , int target_side)
    throws RemoteException,EPASSApplicationException
    {
    	AuctionKeyImpl auctionKey = new AuctionKeyImpl(ref.structs.auctionStruct.getId());
    	BusinessUserKeyImpl actorKey = ref.sessionService.getBusinessUserKey();
    	
    	event.setObject(NotificationConstant.AUCTION, auctionKey);
    	event.setObject(NotificationConstant.ORGANIZATION, new OrganizationKeyImpl(ref.structs.auctionStruct.getOrganizationId()));
    	event.setCurrentOrganization(new OrganizationKeyImpl(ref.structs.auctionStruct.getOrganizationId())); 
    	event.setObject(NotificationConstant.USER_LIST, SupplierFilter.filterSuspendedBidders(auctionKey, new ArrayList()));
    	event.setObject(NotificationConstant.BUSINESS_USER, actorKey);
    	event.setObject(NotificationConstant.ACTOR, actorKey);
    	//below two params are send as -1 from caller ,to indicate that these are 
    	//not needed to be set in event object
    	if(actor_side != -1)
    		event.setObject(NotificationConstant.ACTOR_SIDE, actor_side);
    	if(target_side != -1)
    		event.setObject(NotificationConstant.TARGET_SIDE, target_side);	    	
	    	
    	return event;
    }
    
    EPASSHTMLFilterSelect buildActionBarTabs(EPASSReferences ref , int FilterValue)
    throws RemoteException,EPASSApplicationException 
    {
    		String regUsertabLabel = ref.convertLiteral("form.wizrfxinvitationletter.registereduser_tab");
    		String non_RegUsertabLabel = ref.convertLiteral("form.wizrfxinvitationletter.non_registereduser_tab");
    		
    		EPASSAttribute registeredUser = new EPASSAttribute (regUsertabLabel, 1);
    		EPASSAttribute nonRegisteredUser = new EPASSAttribute (non_RegUsertabLabel , 3 );
    		
    		ArrayList arrStatus = new ArrayList(); 
    		arrStatus.add(registeredUser);
    		arrStatus.add(nonRegisteredUser);
    		EPASSLink lnk = new EPASSLink ( "wiz_rfx_invitation_letter.jsp", ref );
    		
    		
    	EPASSHTMLFilterSelect invitationFilter = new EPASSHTMLFilterSelect (
    			ref.req,
    			"Edit_invitation_tab",
    			EPASSFieldName.addPrefix("edit_invitation_Filter"),
    			arrStatus,
    			new Integer(1),
    			lnk.toString (),
    			"wiz_rfx_invitation_letter_11",
    			ref.getCollator (),
    			true,
    			null,
    			true ,
    			 false ,
                 false,
                 true );

    	Map viewUrlsMap = new HashMap();
    	viewUrlsMap.put(1,"wiz_rfx_invitation_letter.jsp?rfx_invite_mode=1&jspAction=2&trackingNodeID=82&TreeNameField=wiz_rfx_tree");
    	viewUrlsMap.put(3 ,"wiz_rfx_invitation_letter.jsp?rfx_invite_mode=3&jspAction=2&trackingNodeID=82&TreeNameField=wiz_rfx_tree");
    	
    	invitationFilter.setAltLinkMap((HashMap)viewUrlsMap);
    	invitationFilter.constructView(ref.getCollator(),false,"",1);
    	return invitationFilter ;
    }
    
    
%>

<%
//debug("========= wiz_rfx_invitation_letter");
//ServletBase.dumpParameters(request, response);
final String formName = "wiz_rfx_invitation_letter";
String statusMsg = null;
AuctionKeyImpl rfqKey = ref.userDataContext.getRFQKey();

if ( rfqKey != null  ) {
    ref.structs.auctionStruct = EPASSUiRFQServices.getCurrentRFQ(ref, rfqKey);
}

boolean showTabs = false;
boolean canViewExtInvitation = false ;
boolean canEditExtInvitation = false ;

canViewExtInvitation = EPASSUiRFQServices.getAuctionUiBusinessRules()
							.canViewExternalInvitation( ref, ref.structs.auctionStruct);
canEditExtInvitation = EPASSUiRFQServices.getAuctionUiBusinessRules()
						    .canUpdateExternalInvitation(ref, ref.structs.auctionStruct);

showTabs = ( ref.structs.auctionStruct.isBuyerRFI() && 
			 ref.getOrganizationStruct().isAllowExternalInvitation() && 
			 canViewExtInvitation &&  canEditExtInvitation);


//
//******************************************************************************
//	EPASSFieldName DECLARATIONS
//		This section should declare string variables for the the names
//		of the controls used on the jsp form. Used with the RequestUtility,
//		in order to convert the data in the Request into a struct object
//******************************************************************************
//
final String fieldNameSUBJECT        = "subject";
final String fieldNameDESCRIPTION    = "description";
final String fieldNameSTANDARDTEXT   = "fixedText";


//
//******************************************************************************
// JSP FORM VALUE DECLARATIONS. Declare the variables that will
// 		be used to get data from request and put into jsp form
//******************************************************************************
//
java.lang.String	 	fieldValueSUBJECT        = null;
java.lang.String 		fieldValueDESCRIPTION    = null;
java.lang.String        fieldValueSTANDARDTEXT   = null;

unFormattedInvitationLink = ref.convertLiteral("notification.invitation.externaluser.Link");
formattedInvitationLink = "<FONT color=blue><U>"+unFormattedInvitationLink+"</U></FONT>" ;


// pageMode corresponds to the MessageRecipientGroupType that this request is for.
// It is used as an index into the arrays for appropriate resources and method calls.


int     pageMode          = pageModeSupplierInvite;    // default
String eventCode = "";
String eventSubCode = "";
{
    String reqPageMode = request.getParameter(EPASSUiRFQServices.RFX_INVITE_MODE);

    if ( !StringUtility.isEmpty( reqPageMode ) )
    {   
    	// If mode was requested, then use it else use default
        int reqMode = (new Integer(reqPageMode)).intValue();        
        pageMode = reqMode;
        
        if (reqMode == MessageRecipientGroupType.auctionhost)
        {
            pageMode = pageModeHostInvite;
            showTabs = false;
        }
    }    
}

if(showTabs)
{
	invitationFilter = buildActionBarTabs(ref ,pageMode );
	Integer tempFiltrvalue = invitationFilter.getFilterValue();

	if( tempFiltrvalue != null && (pageMode != tempFiltrvalue ) )
		pageMode = tempFiltrvalue;
}


boolean bNotifyOfUpdate = false;
int tempDisplayPageMode = pageMode != pageModeSOUserInvite ? pageMode : pageMode + 1;
String actionBarTitle    = ref.convertLiteral( actionBarTitlesArray[tempDisplayPageMode]);
String directions        = ref.convertLiteral( directionsArray     [tempDisplayPageMode]);
fieldValueSTANDARDTEXT   = "This is the standard text portion.";    // default

Object actionBarButtons = toolbarItems.toString();

//******************************************************************************
//	Auction Detail Action Block
//******************************************************************************

// ****************************************************************************************************************
		
		Map additionalData = new HashMap();
        additionalData.put("EntityName", ref.structs.auctionStruct.getName());
        

        ActivityEventData activityData =
            EventHelper.createApprovalActivityData(ref.sessionService, ref.structs.auctionStruct,
                                        true, 1, 2, additionalData);
		Integer subType = activityData == null ? null : activityData.getSubType();
		
		
		
		List suppliers = new ArrayList();
        
        
        AuctionKeyImpl auctionKey = new AuctionKeyImpl(ref.structs.auctionStruct.getId());
        SupplierApprovedEvent supplierApprovedEvent1 = null;
        EPASSApplicationEvent buyerSurveyEvent = null;
        
        //buyer survey 
        //survey only user ,refoctored common code to  setParametersToEventObject
        if (pageMode == pageModeSupplierInvite)
        {
	        supplierApprovedEvent1 = new SuppliersideEvent(ref.structs.auctionStruct, true, 1, 2, ParticipantSide.HOST,  activityData);
	        supplierApprovedEvent1.setInvitation(true);
	        supplierApprovedEvent1 = (SuppliersideEvent)setParametersToEventObject(supplierApprovedEvent1 ,ref ,1 , 2);
	    }
        else if(pageMode == pageModeHostInvite)
	    {
	    	supplierApprovedEvent1 = new BuyersideEvent(ref.structs.auctionStruct, true, 1, 2, ParticipantSide.BIDDER, activityData);
			supplierApprovedEvent1.setInvitation(true);
			supplierApprovedEvent1 = (BuyersideEvent)setParametersToEventObject(supplierApprovedEvent1 ,ref ,1 , 2);
	    }
        else if(pageMode == pageModeSOUserInvite)
	    {
    		BusinessUserStruct senderStruct = null;
    	    ActivityEventData activityData1 = new ActivityEventData( null, null, senderStruct, null, null,
    	    														 null,new HashMap());
    	    List recipientsList = new ArrayList();
    	    
    	    buyerSurveyEvent = new BuyerSurveyEvent( recipientsList, auctionKey,true, null, 
    	    										 null, activityData1);
    	    
    	    buyerSurveyEvent = (BuyerSurveyEvent)setParametersToEventObject(buyerSurveyEvent ,ref , -1 , -1);
	    }
	   
        
   FormattedNotification formattedNotification = null;
    
  	if(pageMode == pageModeSOUserInvite){
	   formattedNotification = FormattedNotificationCreator.getFormattedNotification(buyerSurveyEvent,ref.sessionService);
	   eventCode = buyerSurveyEvent.getNotificationCode();
	   eventSubCode = buyerSurveyEvent.getNotificationSubcode();
  	}else{
	   formattedNotification = FormattedNotificationCreator.getFormattedNotification(supplierApprovedEvent1,ref.sessionService);
	   eventCode = supplierApprovedEvent1.getNotificationCode();
	   eventSubCode = supplierApprovedEvent1.getNotificationSubcode();
  	}
  	
   

   String originalSubject = formattedNotification.getSubject();
   String originalStandardTextMessage =  formattedNotification.getStandardText();
   //String originalBodyMessage = formattedNotification.getBody();
   //ESP-42623
   //construct the notification struct to support the tag  
   /*Integer language = ServletBase.getIntegerParameter(ref.req,
   Context.FILTER_VALUE , NotificationLanguageType.getIntegerValue(ref.getLocale().getLanguage()));*/
   Integer language = NotificationLanguageType.getIntegerValue(ref.getLocale().getLanguage());
   Integer organizationId = ref.structs.auctionStruct.getOrganizationId();
   NotificationStruct notificationStruct = EPASSUiNotificationServices.getNotificationContentData(ref, organizationId,
   eventCode, eventSubCode, language);
   String originalBodyMessage =notificationStruct.getBody();    
   
   if(showTabs && pageMode == pageModeSOUserInvite)
	   originalBodyMessage = originalBodyMessage.replaceFirst(unFormattedInvitationLink, formattedInvitationLink);
   
// ****************************************************************************************************************

  	switch( ref.getAction().intValue() ) {

	 case EPASSJSPActions.SAVE_NEW:
			if (rfqKey != null){
				
				try {
					fieldValueDESCRIPTION = request.getParameter(fieldNameDESCRIPTION) == null?
							"" : request.getParameter(fieldNameDESCRIPTION);
					
					//ESP-42623
					fieldValueDESCRIPTION = NotificationUtility.replaceImgWithParam(fieldValueDESCRIPTION);
					
					if(pageMode == pageModeSOUserInvite && showTabs)
					fieldValueDESCRIPTION = fieldValueDESCRIPTION.replaceFirst(formattedInvitationLink,unFormattedInvitationLink);
					
					ref.serviceRef.getAuctionDataService(ref).
                          saveAuctionInvitation( ref.sessionService, rfqKey, fieldValueDESCRIPTION, recipientGroupTypeArray[pageMode]);
					
					statusMsg = Message.CHANGES_SAVED;
					bNotifyOfUpdate = true;
				} catch(EPASSApplicationException e){
					ref.setErrorMessage(e);
					ref.setReadOnly(false);
				}
			} else {
				ref.setErrorMessage(Message.ERR_AUCTION_STRUCT);
				ref.setReadOnly(false);
			}
			break;

	 case EPASSJSPActions.READ_VIEW:
			if (rfqKey != null) {
				
             fieldValueDESCRIPTION = ref.serviceRef.getAuctionDataService(ref).
	                    getAuctionInvitation( ref.sessionService, rfqKey,
	                        recipientGroupTypeArray[pageMode] );
             fieldValueDESCRIPTION  = NotificationUtility.replaceParamWithImg(fieldValueDESCRIPTION, eventCode, eventSubCode);//convert the parameters to tags
					
			}
			break;

	 case EPASSJSPActions.EDIT_VIEW:

            if (rfqKey != null) {
            	
          		fieldValueDESCRIPTION = ref.serviceRef.getAuctionDataService(ref).
                    						getAuctionInvitation( ref.sessionService, rfqKey,
                    								recipientGroupTypeArray[pageMode] );
            	
                if (fieldValueDESCRIPTION == null) {        
                	fieldValueDESCRIPTION = originalBodyMessage;
                }
                //Fix for PR # ESP-44729:
                else if(fieldValueDESCRIPTION != null && showTabs && pageMode == pageModeSOUserInvite) {
                	fieldValueDESCRIPTION = fieldValueDESCRIPTION.replaceFirst(unFormattedInvitationLink, formattedInvitationLink);
                }
                
                if (pageMode == pageModeSupplierInvite )
                {
	                    if (!EPASSUiRFQServices.getAuctionUiBusinessRules().canUpdateSupplierInvitation(ref, ref.structs.auctionStruct))
	                    {
	                        ref.setReadOnly(true);
	                    }
                } 
                else if (pageMode == pageModeSOUserInvite )
                {
                    if (!EPASSUiRFQServices.getAuctionUiBusinessRules().canUpdateSOUserInvitation(ref, ref.structs.auctionStruct))
                         ref.setReadOnly(true);
                    
                } 
                else
                {
                    if (!EPASSUiRFQServices.getAuctionUiBusinessRules().canUpdateHostInvitation(ref, ref.structs.auctionStruct))
                        ref.setReadOnly(true);                    
                }
                
                fieldValueDESCRIPTION  = NotificationUtility.replaceParamWithImg(fieldValueDESCRIPTION, eventCode, eventSubCode);//convert the parameters to tags
                
                
                
			}
			break;

	 default:
	 		// TODO: MESSAGE HANDLER FOR NO/UNKNOWN ACTION
			throw new EPassUIException("Invalid parameters: missing jspAction: " +
				request.getRequestURI() + "?" +
				request.getQueryString());
	}

  	//if(showTabs && pageMode == pageModeSOUserInvite)
  	//	fieldValueDESCRIPTION =  fieldValueDESCRIPTION.replaceFirst(unFormattedInvitationLink,
  	//																	formattedInvitationLink);
  	
// END ACTION CONTROL BLOCK=================================================
%>


<%
    //******************************************************************************
//      Initialize table control field values from struct
//******************************************************************************
    if (rfqKey != null) {
        String auctionName = new String(ref.structs.auctionStruct.getName());
        // standard text based on participant side from notification messages line 1 and 5

        fieldValueSUBJECT = originalSubject;
        fieldValueSTANDARDTEXT = originalStandardTextMessage;

        // adjust the action bar and directions if this is a buyer survey and this is the bidder view
        if (ref.structs.auctionStruct.isBuyerRFI() && pageMode == pageModeSupplierInvite) {
            actionBarTitle = ref.convertLiteral(actionBarTitlesArray[pageMode + 2]);
            directions = ref.convertLiteral(directionsArray[pageMode + 2]);
        }
    }



int actionBarCurrentTab = 0;
String actionBarTabs[] 	= new String[1];				// For action bar tabs include
if(showTabs)
	actionBarTabs[0] = "<div id='tabs' style=\"visibility: visible;\">"
					+ invitationFilter	+ "</div>";
else
	actionBarTabs[0] = actionBarTitle;

//******************************************************************************
//	Build Form Table
//******************************************************************************
    int textWidth = 75;
    EPASSHTMLForm editForm
            = new EPASSHTMLForm(ref, formName, EPASSHTMLForm.PUT,
            ref.getUserPath() + "wiz_rfx_invitation_letter.jsp",
            false
    );//form name, submit method, name of page, Additional Edits

    editForm.setFieldsMonitored(true);
    editForm.setReadOnly(ref.getReadOnly());
    EPASSInputControl ic = null;

    // Subject
    editForm.addControl(ref.convertLiteral("form.wizrfxinvitationletter.label.subject"),
            ic = new EPASSInputControl("TEXT", fieldNameSUBJECT,  fieldValueSUBJECT,
                                            MessageTemplateDetailContentPageProcessor.SUBJECT_MAXIMUM_LENGTH, true));
    ic.setAttribute("disabled", "true");

    // Standard (unmodifiable) portion: Textarea
    EPASSHTMLAreaControl stdTxt = new EPASSHTMLAreaControl(ref, fieldNameSTANDARDTEXT, fieldValueSTANDARDTEXT, 4,
                                                textWidth, MessageTemplateDetailContentPageProcessor.STANDARD_TEXT_MAXIMUM_LENGTH);
    String stdTitle = ref.convertLiteral("form.wizrfxinvitationletter.label.standard_text");
    editForm.addControl(stdTitle, stdTxt);
    //Set the title as an attribute on the control, make it available to javascript validation
    stdTxt.setAttribute(EPASSInputControl.CONTROL_TITLE, stdTitle);
    stdTxt.setXSSEscapeRequired(false);//Fix for ESP-49025.
    stdTxt.setEnabled(false);

    //Description Textarea
    int BODY_MAXIMUM_LENGTH = EPASSConfig.getInstance().getIntParameter(MessageTemplateDetailContentPageProcessor.FORM_DETAIL_MESSAGE_TEMPLATE_CONTENT_BODY_LENGTH);
    EPASSHTMLAreaControl descTxt = new EPASSHTMLAreaControl(ref, fieldNameDESCRIPTION,  fieldValueDESCRIPTION, 17,
                                                    textWidth,  BODY_MAXIMUM_LENGTH);
    descTxt.addImageButton("restoreBody",
            "img/doc/htmlarea/ed_default_message.gif",
            ref.convertLiteral("form.wizrfxinvitationletter.restore_original_alt"),
            "restoreOriginalBodyMessage");
    descTxt.setButtonSpacers("restoreBody", 6);    
    //ESP-42623:should support tag
    descTxt.setTemplatesCode(eventCode,eventSubCode);    
    
    descTxt.setXSSEscapeRequired(!ref.getReadOnly());//Fix for ESP-48664.
    String descTitle = ref.convertLiteral("form.wizrfxinvitationletter.label.description");
    editForm.addControl(descTitle, descTxt);
    //Set the title as an attribute on the control, make it available to javascript validation
    descTxt.setAttribute(EPASSInputControl.CONTROL_TITLE, descTitle);


    editForm.addHidden(EPASSJSPActions.ACTION, "" + EPASSJSPActions.SAVE_NEW);
    editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
    
    editForm.addHidden(EPASSUiRFQServices.RFX_INVITE_MODE, pageMode);
    

    // End Table Form===========================================================
%>


<%-- +---------------------------------------------------------------------------
 Include Stylesheet includes and JavaScript includes here
---------------------------------------------------------------------------+ --%>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<HEAD>
<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn    = "false";
top.showScrollBtn = "false";

var isNavBlocked  = false;


<%//Function called by the restore button added to the html area. It restores the original ESP seeded text message %>       
function restoreOriginalBodyMessage(editor){
   if(confirm("<esapi:js><%=ref.convertLiteral("form.wizrfxinvitationletter.restore_original_confirm")%></esapi:js>")){
	editor.setHTML(document.getElementById('origMsg').innerHTML);
   }
}

displayWaitScreenCSSDefault();

function initWaitImage(){
	Util.addEvent(window, "load", hideWaitScreenCSS);
}



function validate_size_limitation(frm) {


<%
	String msg = ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.detail_message_template.size_error"));
%>
    subjectMaximumLength = <%=MessageTemplateDetailContentPageProcessor.SUBJECT_MAXIMUM_LENGTH%>;
    standardTextMaximumLength = <%=MessageTemplateDetailContentPageProcessor.STANDARD_TEXT_MAXIMUM_LENGTH%>;
    bodyMaximumLength = <%=BODY_MAXIMUM_LENGTH%>;


    bodyLength =htmlAreadescription.getHTML().length;
    if (bodyLength > bodyMaximumLength) {
		//alert (i18n.formatMessage('<%=msg%>',bodyMaximumLength,'"<%=ref.convertLiteral("form.detail_message_template.body") %>"') );
		showError(document.getElementById( '<%=fieldNameDESCRIPTION%>' ),i18n.formatMessage('<%=msg%>',bodyMaximumLength,'"<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.detail_message_template.body")) %>"') );
        return false;
    } else {
		clearError(document.getElementById( '<%=fieldNameDESCRIPTION%>' ));
    }
    return true;
}
</script>
</HEAD>

<body onload="hideWaitScreenCSS();init();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">

<br><br>
<%
//
// Display the EPASS form table created above
//
//Everything processed Ok
if( bNotifyOfUpdate )
{
	String res = TreeWizUtility.getTreeFireEventJs(ref);

    if( !StringUtility.isEmpty( res ) )
	{
		out.write("<script>");
   		out.write( res );
		out.write("</script>");
		out.flush();

       	return;
	}
}
%>

<p><center>
<TABLE WIDTH="80%" CELLPADDING="2" CELLSPACING="0" BORDER="0">
  <% if (ref.isMessage())
{%>
  <TR class='POPFORMBODY'>
		<TD CLASS='POPFORMHIGH'>
		<%= ref.getMessage()%>
		</TD>
		</TR>
<%}

if (statusMsg != null)
	{%>
		<TR CLASS='POPFORMHIGH'>
		<TD>
		<P CLASS=ERRORMSG>
		<%= statusMsg%>
		</P>
		</TD>
		</TR>
	<%}%>
 <TR CLASS='POPFORMBODY'>
  <TH CLASS='STANDARD_BUTTON'>
	<%= editForm%>
  </TH>
 </TR>
<TR>
  	<TD>
	<br>
        <p class="DIRECTIONS">
	<%= EPASSUiHelpServices.getHappyHelpIcon(ref) + directions %>
	</TD>
</TR>
</TABLE>
</center>

<%@ include file="include/inc_action_bar_tabs.inc" %>

<SCRIPT>
	function onClickSaveForm()
	{
	validate_size_limitation(document.<%=formName%>);
		// No validation required here
		if(isErrorField()){
			return false;
			}
        isNavBlocked = true;
		document.<%=formName%>.<%=fieldNameDESCRIPTION %>.value = trim(htmlAreadescription.getHTML());
		submitForm(document.<%=formName%>);
	}

	function NAV_HandleEvent(var1, var2)
	{

		if( var1 == "<%=EPassTree._sNavigationEvent%>" && !isNavBlocked )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
	   		var goToParam = (splitted.length == 2)? splitted[1]: "";

	   		if( goToDir.indexOf( '<%=EPassTree._sTreeNavResetCmd%>' ) == 0 )
   			{
   				if( confirm( "<esapi:js><%=ref.convertLiteral( "form.wizConfig.message.reset" )%></esapi:js>" ) )
	   			{
   					document.<%=formName%>.reset();

                	<%=editForm.getInitMonitorJS()%>
        		}
   			}
        	else if( goToDir.indexOf( '<%=EPassTree._sTreeNavCloseCmd%>' ) == 0 )
   			{
   				document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = '<%=EPassTree._sTreeNavCloseCmd%>';
   				onClickSaveForm();
   			}
			else if( <%=editForm.getIsFormDirtyJS()%>
                    || var2 == "<%=EPassTree._sTreeNavSaveCmd%>")
			{
                if (var2 == "<%=EPassTree._sTreeNavSaveCmd%>"
                    ||  confirm( "<esapi:js><%=ref.convertLiteral("form.wizConfig.message.save")%></esapi:js>" ) )
				{
        			document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
					onClickSaveForm();
				}
				else
				{
		
					document.<%=formName%>.reset();
        	        <%=editForm.getInitMonitorJS()%>
                	NAV_FireEvent( top, '<%=EPassTree._sNavigationEvent%>', var2 );
				}
			}
			else
			{
               	if( goToDir.indexOf( '<%=EPassTree._sTreeNavBackCmd%>' ) == 0
            		||
					goToDir.indexOf( '<%=EPassTree._sTreeNavNextCmd%>' ) == 0
			  	  )
       	    	{
           	    	<%=EPassTree.getInstance( ref, ref.userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
            	}
				else
				{
					<%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
            	}
			}
		}
	}
// Turn on the maximize and the toggle button button
top.showmaxbtn = "true";
top.showScrollBtn = "true";
</SCRIPT>
<div id = 'origMsg' style = 'visibility:hidden;display:none'><%=originalBodyMessage%></div> 
</BODY>
</HTML>

<%
//
// tail.jsp used by every page in system. Gives closure and cleanup.
//
%>
<%@ include file="include/tail.inc"%>
