<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@page import="org.apache.commons.lang.StringUtils"%>
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.ItemType" %>
<%@ page import="org.owasp.esapi.ESAPI" %>
<%@ page import="java.net.*,
    com.avinamart.Utility.Query.EPASSQuery,
    com.avinamart.Struct.StructComparator,
    java.util.*,
    com.avinamart.Utility.AttributeFilter,
    com.avinamart.Utility.Query.EPASSExpression,
    com.avinamart.Utility.Query.EPASSLogicalOperator,
    com.avinamart.Utility.Exception.EPASSApplicationException,
    java.rmi.RemoteException,
    com.avinamart.WebInterface.*,
    com.emptoris.framework.catalog.common.struct.CategoryStruct,
    com.emptoris.app.binder.common.struct.BinderStruct,
    com.emptoris.base.constant.ActionType,
    com.emptoris.app.binder.service.internal.BinderAuthorizationHelper,
    com.emptoris.base.constant.ObjectType,
    com.emptoris.app.partner.common.struct.PartnerProfileStruct,
    com.avinamart.Struct.BusinessUserStruct,
    com.avinamart.Struct.WrapperObjectStruct,
    com.avinamart.BusinessLogic.Constant.BusinessUserType,
    com.avinamart.WebInterface.menus.ZissouCommands,
    com.avinamart.BusinessLogic.Bean.OrganizationService.OrganizationHelper,
    com.emptoris.framework.organization.common.struct.OrganizationStruct,
    com.avinamart.WebInterface.Constants.EnumType,
    com.avinamart.ApplicationServices.AuctionWorkflowServiceIntf,
    com.avinamart.BusinessLogic.Key.ApprovableObjectKey,
    com.avinamart.BusinessLogic.Bean.AuctionWorkflowService.AuctionWorkflowApprovalHelper,
    com.emptoris.framework.workflow.common.struct.WorkflowTaskStruct,
    com.avinamart.BusinessLogic.Helper.TaskCriteria,
    com.emptoris.framework.workflow.common.constant.WorkflowActionType,
    com.emptoris.framework.workflow.common.constant.WorkflowTaskStatus,
    com.avinamart.ApplicationServices.ServiceManager,
    com.emptoris.framework.authorization.common.struct.PrivilegeStruct,
    com.emptoris.framework.authorization.common.constant.RoleType,
    com.avinamart.Utility.Utility,
    com.avinamart.BusinessLogic.BusinessRules.Component.ProjectManagement.ProjectManagementBusinessRules,
    com.avinamart.BusinessLogic.Key.AuctionKeyImpl,
    com.avinamart.Struct.AuctionStruct,
    com.avinamart.WebInterface.EPASSJSPActions,
    com.emptoris.app.ojeu.service.componentinterface.OjeuPojoDelegateIntf,
    com.emptoris.app.ojeu.service.componentinterface.OjeuDelegateFactory,
    com.emptoris.app.ojeu.dataAccess.internal.bean.Notice,
    com.avinamart.Struct.ItemStruct,
    com.avinamart.Struct.RequisitionStruct,
    com.avinamart.WebInterface.Utility.HTML.EPASSQPretty,
    com.emptoris.app.scenario.common.struct.ScenarioStruct,
    com.avinamart.WebInterface.EPASSUiFactorServices,
    com.avinamart.WebInterface.EPASSUiCategoryServices,
    com.emptoris.framework.catalog.common.key.CategoryKeyImpl,
    com.emptoris.app.partner.common.key.PartnerProfileKeyImpl,
    com.emptoris.framework.translation.util.TranslationUtility"%>
<%@ page import="com.avinamart.BusinessLogic.Constant.ProfileStatus" %>
<%@ page import="org.apache.log4j.*" %>
<%@ page import="com.ibm.emptoris.performance.profiler.*" %>
<%@ page import="com.avinamart.Utility.EPASSQPrettyBase" %> 
<%!
   private static final org.apache.log4j.Logger LOG = org.apache.log4j.Logger.getLogger(ZissouSearch.class);
	
   public static final List<Integer> _itemTypeList = new ArrayList<Integer>();
   static {
		_itemTypeList.add(ItemType.ALL_OR_NONE);
		_itemTypeList.add(ItemType.SUBSTITUTION);
	}
%>
<%
    /*
      - Need literal keyword text (e.g auction name or menu name as shown on ui; no db codes etc)
      - show be DATA based or epass COMMAND based
      - need action type
        - optional action url
        - optional action id
        - option javascript command
    */

    //
    // This request should come from an ajax call
    //
    request.setCharacterEncoding( "UTF-8" );
	response.setContentType( "text/plain; charset=UTF-8" );

    EPASSReferences ref = new EPASSReferences(request, response, ServletBase.getSessionTracker().getSessionService(request));
    if (ref.userDataContext == null) {
        ref.userDataContext = new UserDataContext(null);
    }

    String q = request.getParameter("q"); //the query
    q=ZissouSearch.replaceAllAsterix(q);
    if(LOG.isDebugEnabled()){
    	LOG.debug("q>>>>>>>>>>>>>>>"+q);
    }
    if ( request.getParameter("rfq") != null ) {
        ref.userDataContext.setRfqId(ref,new Integer(request.getParameter("rfq")) );
        //ref.userDataContext.setgetRFQKey(new Integer(request.getParameter("rfq")) );
    }


    StringBuffer data = new StringBuffer("");
    ZissouMini z = new ZissouMini(ref, 5);

    if ( request.getParameter("suppliers_for_org") != null ) {
        z.setSuppliersForOrgData(data,new Integer(request.getParameter("suppliers_for_org")).intValue() );			
    } else {

        if ( request.getParameter("catSearch") != null ) {
//				PU pu = new PU("z.setCategoriesData");
				try {
            		z.setCategoriesData(data,q);				
			    } finally {
//			    	pu.end();
			    }			
        }else if(request.getParameter("catSearchForUserLink") != null){
        	z.setCategoriesDataLinkedWithUser(data, q);         	
        }else if ( request.getParameter("binderSearch") != null ) {
            z.setBindersData(data,q);
        } else if ( request.getParameter("projectSearch") != null ) {
        	Boolean isTemplate = new Boolean(request.getParameter("isTemplate"));
			z.setProjectsData(data, q, isTemplate);
        } else if ( request.getParameter("noticetemplateSearch") != null ) {
			z.setNoticeTemplatesData(data, q);
		} else if ( request.getParameter("originalNoticeSearch") != null ) {
			z.setOriginalNoticesData(data, q);
		}else if ( request.getParameter("itemSearch") != null ) {
			Integer rfxId = null;
			
			try {
				rfxId = (new Integer(request.getParameter("rfxId"))).intValue(); 
			} catch (NumberFormatException nfe){
			}
			if (rfxId != null) {
				z.setItemsData(data, q, rfxId);
			}
		} else if ( request.getParameter("itemSetSearch") != null ) {
			Integer rfxId = null;
			
			try {
				rfxId = (new Integer(request.getParameter("rfxId"))).intValue(); 
			} catch (NumberFormatException nfe){
			}
			if (rfxId != null) {
				z.setItemSetsData(data, q, rfxId);
			}
		} else if ( request.getParameter("itemLotsSearch") != null ) { //added by dyy, #esp 52449, item lot search
			Integer rfxId = null;
			
			try {
				rfxId = (new Integer(request.getParameter("rfxId"))).intValue(); 
			} catch (NumberFormatException nfe){
			}
			if (rfxId != null){
			    z.setItemsData(data, q, rfxId);	                   
			    z.setItemLotsData(data, q, rfxId);
			}//end of adding by dyy
		} else if ( request.getParameter("userSearch") != null ) {
			Integer rfxId = null;
			try {
				rfxId = (new Integer(request.getParameter("rfxId"))).intValue(); 
			} catch (NumberFormatException nfe){
			}
			Boolean withLinking = new Boolean (request.getParameter("withLinking"));
			if (rfxId != null) {
//				PU pu = new PU("z.setTeamMembersData");
				try {
			        z.setTeamMembersData(data, q, rfxId, withLinking);						
			    } finally {
//			    	pu.end();
			    }			
			}
		} else if (request.getParameter("teamMemberSearch") != null){ // #esp 52448, added by dyy, define team quick search
			Integer rfxId = null;
			try {
				rfxId = (new Integer(request.getParameter("rfxId"))).intValue(); 
			} catch (NumberFormatException nfe){
			}
			//Boolean withLinking = new Boolean (request.getParameter("withLinking"));
			if (rfxId != null) {
//				PU pu = new PU("z.setTeamMembersData1");
				try {
			    	z.setTeamMembersData1(data, q, rfxId);// why false? not know--
			    } finally {
//			    	pu.end();
			    }			
			}
		} else if ( request.getParameter("templateSearch") != null ) {
        	int formAction = (new Integer(request.getParameter("formAction"))).intValue();
			z.setTemplatesData(data, q, formAction);
        } else {
            if ( ref.req.getParameter("return_org_id") != null ) {
                z.setParnterData(data,q);					
            }
            else if(ref.req.getParameter("scenarioSearch") != null ){
    			z.setScenariosData(data,q);					
            }
            //pr 83161 : added for enhancement pr 83161 to add omni search :
            else if(ref.req.getParameter("supplierSearchNotLinkedToCategory") != null ){
    			z.setSupplierNotLinkedToCategoryData(data,q);					
            }
            else if(ref.req.getParameter("CategorySearchNotLinkedToSupplier") != null ){
    			z.setCategoryNotLinkedToSupplierData(data,q);					
            }
            //pr 83161 : added for enhancement pr 83161 to add omni search :
            
            //pr 83304 : added for enhancement pr 83304 to add omni search :
            else if(ref.req.getParameter("select_ParentSupplier") != null ){
    			z.setSelectParentSupplierData(data,q);					
            }
            else {
                z.setSuppliersData(data,q);
                z.setOrganizationData(data,q);					
            }
        }
		
        // no results
        if (data.length() == 0 ) {

            // help
            String helpAlt = ref.convertLiteral("zissou.mini.search.help_alt").replace("{0}", "");
            data.append((q != null && q.length() > 2) ? ref.convertLiteral("zissou.search.help_fewer_char") : helpAlt );

            // no results message
            data.append(":").append(ESAPI.encoder().encodeForHTML(ref.convertLiteral("zissou.search.no_data"))).append(ZissouSearch.delimiter).append("{ id : '0', section: '")
            	.append(ESAPI.encoder().encodeForHTML(ref.convertLiteral("zissou.search.no_data")))
            	.append("', legend: '<img src=\"").append(request.getContextPath()).append("/dhtml_lib/img/happy_help_icon.gif\" style=\"margin-top:0px;\"align=\"top\" border=\"0\" />', className: 'no_data' }");
        }
    }
    
    out.print(data.toString()); //show the result here! commented by dyy
%><%!
    class ZissouMini {

        EPASSReferences ref;
        int max = 10;

        public ZissouMini(EPASSReferences ref, int max) {
            this.ref = ref;
            this.max = max; //items shown altogether
        }
		
        public void setCategoriesData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {
            EPASSQuery query = new EPASSQuery();
            AttributeFilter columnFilter = new AttributeFilter();
			/*
            Commented for PR 47071
            String myLanguage = EPASSUiCategoryServices.getPreferredLanguage(this.ref.sessionService);
			String catColumnName = com.avinamart.Utility.EPASSLocaleSupport.getCategoryNameFieldByLanguage(myLanguage); */
            columnFilter.includeAttributes(new String[]{CategoryStruct.ID, CategoryStruct.NAME, CategoryStruct.CODE});
            query.setAttributeFilter(columnFilter);
            query.setUseAuctionListCache(true);
            query.setMaximumRowcount(max + 1);
            query.addToFilter(new EPASSExpression(CategoryStruct.NAME, EPASSLogicalOperator.LIKE, q + "%"));

	    	//find categories match by name
            CategoryStruct[] matchByName = EPASSUiCategoryServices.findCategories(ref, query);

	    	query.removeFilter(CategoryStruct.NAME); 
            query.addToFilter(new EPASSExpression(CategoryStruct.CODE, EPASSLogicalOperator.LIKE, q + "%"));
            
            //find categories match by code
            CategoryStruct[] matchByCode = EPASSUiCategoryServices.findCategories(ref, query);
            
            //eliminate duplicate entries
            Set<CategoryStruct> matchingSet = new HashSet<CategoryStruct>();
            matchingSet.addAll(Arrays.asList(matchByName));
            matchingSet.addAll(Arrays.asList(matchByCode));
            
            List<CategoryStruct> sortedList = new ArrayList<CategoryStruct>(matchingSet);
                        
            Comparator<CategoryStruct> categoryComparator = new StructComparator<CategoryStruct>(CategoryStruct.NAME, true);
            Collections.sort(sortedList, categoryComparator);

            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_category"));
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                String code = EPASSQPretty.toUQString((String) sortedList.get(i).getCode());
                data.append(EPASSQPretty.toUQString(sortedList.get(i).getName()) + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }

            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
            }

        }

        
        //Categories link with User        
        public void setCategoriesDataLinkedWithUser(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {
        	
        	String myLanguage = EPASSUiCategoryServices.getPreferredLanguage(this.ref.sessionService);
        	String catColumnName = com.avinamart.Utility.EPASSLocaleSupport.getCategoryNameFieldByLanguage(myLanguage);
        	
            CategoryStruct[] structs = EPASSUiProjectServices.getCategoriesDataLinkedWithUser(ref, q);
            List<CategoryStruct> sortedList = new ArrayList<CategoryStruct>();
            for (int i = 0; i < structs.length; i++) {
                sortedList.add(structs[i]);
            }
            
            Comparator comparator = new StructComparator(catColumnName, true);
            Collections.sort(sortedList, comparator);

            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_category"));
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                String code = EPASSQPretty.toUQString((String) sortedList.get(i).getCode());
                
                data.append(EPASSQPretty.toUQString(sortedList.get(i).getName()) + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }

            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
            }
        }
        
        

       public void setNoticeTemplatesData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {

          
          int orgId = ref.sessionService.getUserContext().orgId;
          OjeuPojoDelegateIntf ojeuPojoDelegate = OjeuDelegateFactory.getInstance().getPojoDelegate();
          List<Notice> sortedList = ojeuPojoDelegate.getNoticeTemplateCollectionStartsWith(orgId, q + "%");

            Collections.sort(sortedList);

            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_noticetemplate"));
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                String code = (String) sortedList.get(i).getCode();
                data.append(sortedList.get(i).getName() + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
            }
        } 

       public void setOriginalNoticesData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {

           
           int orgId = ref.sessionService.getUserContext().orgId;
           OjeuPojoDelegateIntf ojeuPojoDelegate = OjeuDelegateFactory.getInstance().getPojoDelegate();
           List<Notice> sortedList = ojeuPojoDelegate.getOriginalNoticeCollectionStartsWith(orgId, q + "%");

             Collections.sort(sortedList);

             String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_notice"));
             int z = 0;
             for (int i = 0; i < sortedList.size() && z < max; i++) {
                 String code = (String) sortedList.get(i).getCode();
                 data.append(sortedList.get(i).getName() + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                 z++;
             }
             if (z < sortedList.size()) {
                 StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                 String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                 String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                 data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
             }
         }
       
        public void setBindersData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {
          Integer parentId = null;
          BinderStruct parent = null;
          BinderStruct[] binders = null;

          binders = ref.serviceRef.getBinderService( ref ).getBindersForOrganizationStartswith(ref.sessionService, q);

            List<BinderStruct> sortedList = new ArrayList<BinderStruct>();
            for (int i = 0; i < binders.length; i++) {
                sortedList.add(binders[i]);
            }
            Comparator comparator = new StructComparator(BinderStruct.NAME, true);
            Collections.sort(sortedList, comparator);

            String section =ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_binder"));
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                
            	String code = EPASSQPretty.toUQString((String) sortedList.get(i).getCode());
                String name = EPASSQPretty.toUQString((String) sortedList.get(i).getName());
                                
                data.append(name + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
            }
        }
        
        //modified by dyy
        //#esp 52448
      public void setTeamMembersData(StringBuffer data, String q, Integer rfxId, Boolean withLinking) throws EPASSApplicationException, RemoteException {

		  BusinessUserStruct[] unassigned = null;
		  
			if( !withLinking)
			{
		       unassigned = ref.serviceRef.getAuctionWorkflowService(ref)
		       		.getUninvitedUsers(ref.sessionService,new AuctionKeyImpl(rfxId));
		    }
			else {
		        unassigned = ref.serviceRef.getAuctionWorkflowService(ref)
		        	.getUnInvitedUsersWithLinking(ref.sessionService,new AuctionKeyImpl(rfxId));
		    }
    
    		List<BusinessUserStruct> filteredUnassigned = new ArrayList<BusinessUserStruct>();
    		java.util.regex.Pattern p=ZissouSearch.getPattern(q.toLowerCase());
			for (int iter = 0; iter < unassigned.length; iter ++){
				//
				
				if (ZissouSearch.matchData(unassigned[iter].getFirstName().toLowerCase(),p) 
						|| ZissouSearch.matchData(unassigned[iter].getLastName().toLowerCase(),p)
						||ZissouSearch.matchData(unassigned[iter].getEmailAddress().toLowerCase(),p)){
						filteredUnassigned.add(unassigned[iter]);
				}
			}
    		
            List<BusinessUserStruct> sortedList = new ArrayList<BusinessUserStruct>();
            for (int i = 0; i < filteredUnassigned.size(); i++) {
                sortedList.add(filteredUnassigned.get(i));
            }
            Comparator comparator = new StructComparator(BusinessUserStruct.FIRSTNAME, true);
            Collections.sort(sortedList, comparator);    		
		  
            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.section.select_teammember"));
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
            	String code = sortedList.get(i).getFirstName() + "&nbsp;" + sortedList.get(i).getLastName()+"&nbsp;/" + sortedList.get(i).getEmailAddress();
                data.append(sortedList.get(i).getFirstName() + "&nbsp;" + sortedList.get(i).getLastName() + "&nbsp;/&nbsp;" + sortedList.get(i).getEmailAddress()).append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
            }
            if(LOG.isDebugEnabled()){
            	LOG.debug("data"+data);
            }
        }       

      /**
       #esp 52448
       added by dyy
       search team members by name and email
       still don't know what the param withLinking is for
      **/
      public void setTeamMembersData1(StringBuffer data, String q, Integer rfxId) throws EPASSApplicationException, RemoteException {

    	 //search from back end
       //	List<BusinessUserStruct> sortedList = ref.serviceRef.getAuctionWorkflowService(ref).getUninvitedUsersForQuickSearch(ref, rfxId,q + "%",max + 1);
		 
    	 
    	 BusinessUserStruct[] unassigned = null;
		 // 
		  unassigned = ref.serviceRef.getAuctionWorkflowService(ref)
		       		.getUninvitedUsers(ref.sessionService,new AuctionKeyImpl(rfxId));
		 
		   
		  List<BusinessUserStruct> filteredUnassigned = new ArrayList<BusinessUserStruct>();
		  java.util.regex.Pattern p=ZissouSearch.getPattern(q.toLowerCase());
			for (int iter = 0; iter < unassigned.length; iter ++){
				if (ZissouSearch.matchData(unassigned[iter].getFirstName().toLowerCase(),p) || ZissouSearch.matchData(unassigned[iter].getLastName().toLowerCase(),p)
						|| ZissouSearch.matchData(unassigned[iter].getEmailAddress().toLowerCase(),p)){ //added by dyy: to search mail
					filteredUnassigned.add(unassigned[iter]);
				}
			}
    		
            List<BusinessUserStruct> sortedList = new ArrayList<BusinessUserStruct>();
            for (int i = 0; i < filteredUnassigned.size(); i++) {
                sortedList.add(filteredUnassigned.get(i));
            }
            Comparator comparator = new StructComparator(BusinessUserStruct.FIRSTNAME, true);
            Collections.sort(sortedList, comparator); 
            
            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.section.select_teammember"));
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                String code = sortedList.get(i).getFirstName() + "&nbsp;" + sortedList.get(i).getLastName()+"&nbsp;/" + sortedList.get(i).getEmailAddress();
                data.append(sortedList.get(i).getFirstName() + "&nbsp;" + sortedList.get(i).getLastName() + "&nbsp;/&nbsp;" + sortedList.get(i).getEmailAddress()).append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
            }
            
            if(LOG.isDebugEnabled()){
            	LOG.debug("data"+data);
            }
        } 
      //end of dyy adding
      
	   public void setItemsData(StringBuffer data, String q, Integer rfxId) throws EPASSApplicationException, RemoteException {

		  ItemStruct[] items = null;
		  
		  EPASSQuery query = new EPASSQuery();
          AttributeFilter columnFilter = new AttributeFilter();
          columnFilter.includeAttributes(new String[]{ItemStruct.ID, ItemStruct.NAME, ItemStruct.CODE});
          query.setAttributeFilter(columnFilter);
          query.addToFilter(new EPASSExpression(ItemStruct.NAME, EPASSLogicalOperator.LIKE, q + "%"));
		  
		  items = EPASSUiRFQServices.findItemsWithUDA(ref, new AuctionKeyImpl(rfxId), query);
		  

            List<ItemStruct> sortedList = new ArrayList<ItemStruct>();
            for (int i = 0; i < items.length; i++) {
                sortedList.add(items[i]);
            }
            Comparator comparator = new StructComparator(ItemStruct.NAME, true);
            Collections.sort(sortedList, comparator);

            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.section.select_itemname"));
            
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                String code = EPASSQPretty.toUQString((String) sortedList.get(i).getCode());
                String itemName = sortedList.get(i).getName();
                if (itemName != null && TranslationUtility.isTranslationKey(itemName)) {
                    itemName = ref.convertLiteral(itemName);
                }
                data.append(itemName + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
            }
            if(LOG.isDebugEnabled()){
            	LOG.debug("data"+data);
            }
        }        
		
      	public void setItemSetsData(StringBuffer data, String q, Integer rfxId) throws EPASSApplicationException, RemoteException {

		    ItemStruct[] items = null;
		  
		    //Get the list of sets
		    EPASSQuery query = new EPASSQuery();
            AttributeFilter columnFilter = new AttributeFilter();
            columnFilter.includeAttributes(new String[]{ItemStruct.ID, ItemStruct.NAME, ItemStruct.CODE});
            query.setAttributeFilter(columnFilter);
            query.addToFilter(new EPASSExpression(ItemStruct.NAME, EPASSLogicalOperator.LIKE, q + "%"));
           
            query.addToFilter(new EPASSExpression(ItemStruct.ITEMTYPE, EPASSLogicalOperator.IN, _itemTypeList));
            
		    items = EPASSUiRFQServices.findItemsWithUDA(ref, new AuctionKeyImpl(rfxId), query);

			for (ItemStruct itemStruct: items) {
				String itemName = itemStruct.getName();
                if (itemName != null && TranslationUtility.isTranslationKey(itemName)) {
                    itemName = ref.convertLiteral(itemName);
                    itemStruct.setName(itemName);
                }
			}
			
            List<ItemStruct> sortedList = new ArrayList<ItemStruct>(Arrays.asList(items));
           
            Comparator comparator = new StructComparator(ItemStruct.NAME, true);
            Collections.sort(sortedList, comparator);
			
            StringBuilder sectionBuilder = new StringBuilder();
            sectionBuilder.append(ref.txt("form.detailItem.header.item_name")).append(" (").append(ref.txt("form.detailItem.header.item_type")).append(')');
            String section =  sectionBuilder.toString();
            int z = 0;
			
            for (int i = 0; i < sortedList.size() && z < max; i++) {
			    String code = EPASSQPretty.toUQString((String) sortedList.get(i).getCode());
                data.append(sortedList.get(i).getName() + "&nbsp;(" + ref.convertLiteral(ItemType._NAME[sortedList.get(i).getItemType().intValue()]) + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: \"").append(section).append("\" }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
            }
            if(LOG.isDebugEnabled()){
            	LOG.debug("data"+data);
            }
        }        
        
        public void setProjectsData(StringBuffer data, String q, Boolean isTemplate) throws RemoteException, EPASSApplicationException {
        	WorkflowTaskStruct[] projects = EPASSUiRFQServices.searchProjects(ref, isTemplate, q);
        	
            List<WorkflowTaskStruct> sortedList = new ArrayList<WorkflowTaskStruct>();
            for (int i = 0; i < projects.length; i++) {
                sortedList.add(projects[i]);
            }
            Comparator comparator = new StructComparator(WorkflowTaskStruct.NAME, true);
            Collections.sort(sortedList, comparator);

            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_project"));
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                String code = (String) sortedList.get(i).getCode();
                data.append(sortedList.get(i).getName() + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
            }
        }
        
        /**
        *added by dyy : for search lot
        ** requsition is item lot
        **/
       
        public void setItemLotsData(StringBuffer data, String q, Integer rfxId) throws EPASSApplicationException, RemoteException {

            RequisitionStruct[] lots = null;
    		  
  	    	EPASSQuery query = new EPASSQuery();
            AttributeFilter columnFilter = new AttributeFilter();
            columnFilter.includeAttributes(new String[]{RequisitionStruct.ID, RequisitionStruct.NAME, RequisitionStruct.CODE});
            query.setAttributeFilter(columnFilter);
            query.addToFilter(new EPASSExpression(RequisitionStruct.NAME, EPASSLogicalOperator.LIKE, q + "%"));//start with?
  		  
  		    lots = EPASSUiRFQServices.findLotsWithUDA(ref, new AuctionKeyImpl(rfxId), query);

              List<RequisitionStruct> sortedList = new ArrayList<RequisitionStruct>();
              for (int i = 0; i < lots.length; i++) {
                  sortedList.add(lots[i]);
              }
              Comparator comparator = new StructComparator(RequisitionStruct.NAME, true);
              Collections.sort(sortedList, comparator);

              // commented by dyy: String section = ref.txt("zissou_mini.search.select_itemname");
              String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.section.select_lotname"));
            
              //end of dyy added
              
              int z = 0;
              for (int i = 0; i < sortedList.size() && z < max; i++) {
                  String code = EPASSQPretty.toUQString((String) sortedList.get(i).getCode());
                  String lotName = sortedList.get(i).getName();
                  if (lotName != null && TranslationUtility.isTranslationKey(lotName)) {
                      lotName = ref.convertLiteral(lotName);
                  }
                  data.append(lotName).append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                  z++;
              }
              if (z < sortedList.size()) {
                  StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
                  String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                  String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                  data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
              }
              if(LOG.isDebugEnabled()){
              	LOG.debug("data"+data);
              }

          }        
          
      public void setTemplatesData(StringBuffer data, String q, int formAction) throws RemoteException, EPASSApplicationException {
        AuctionStruct[] templates = null;

		String section = null;
      	if (formAction == EPASSJSPActions.CREATE_FROM_RFP || formAction == EPASSJSPActions.CREATE_STANDARD_FROM_RFP) {
			templates = EPASSUiRFQServices.getRollableSealedRfxStartsWith( ref, q+"%");
			section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_rfx"));
		} else {
			templates = EPASSUiRFQServices.getAuctionTemplatesStartsWith(ref, q+"%");
			section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_template"));
		}
		
        List<AuctionStruct> sortedList = new ArrayList<AuctionStruct>();
        for (int i = 0; i < templates.length; i++) {
            sortedList.add(templates[i]);
        }
        Comparator comparator = new StructComparator(AuctionStruct.NAME, true);
        Collections.sort(sortedList, comparator);

        
        int z = 0;
        for (int i = 0; i < sortedList.size() && z < max; i++) {
            String code = (String) sortedList.get(i).getCode();
            data.append(sortedList.get(i).getName() + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
            z++;
        }
        if (z < sortedList.size()) {
            StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
            String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
            String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
            data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
        }
    }

        // "org"
        public void setOrganizationData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {
            //OrganizationStruct[] structs = ref.serviceRef.getOrganizationService(ref).findOrganizationsByNamePrefix(ref.sessionService, q + "%");

            EPASSQuery query = new EPASSQuery();
            AttributeFilter columnFilter = new AttributeFilter();
            query.addToFilter(new EPASSExpression(PartnerProfileStruct.PARTNERNAME, EPASSLogicalOperator.LIKE, q + "%"));

            //PR ESP-46013
            PartnerProfileStruct[] structs = ref.serviceRef.getPartnerServiceIntf(ref).getInvitablePartnerProfilesToAuctionForQuickSearch(ref.sessionService,q + "%",50);
            
            List<PartnerProfileStruct> sortedList = (List<PartnerProfileStruct>)Arrays.asList(structs);

            Comparator comparator = new StructComparator(PartnerProfileStruct.PARTNERNAME, true);
            Collections.sort(sortedList, comparator);

            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_result_by_organization"));
            int z = 0;
            int sortedList_size=sortedList.size();
            for (int i = 0; i < sortedList_size && z < max; i++) {
                data.append(EPASSQPretty.toUQString(sortedList.get(i).getPartnerName()+"&nbsp;("+sortedList.get(i).getVsmInternalId()+")")).append(":").append(section).append(ZissouSearch.delimiter).append(createOrgParam(sortedList.get(i), section)).append("\n");
                z++;
            }

            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
            }

        }

        public void setSuppliersData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {
        	
        	Integer sessionOrgId = ref.sessionService.getOrganizationKey().getID();
        	Integer auctionId = ref.userDataContext.getRFQKey().getId();        	
        	//PR ESP-46013
        	//ESP-50976 : changed first parameter to EPASSReferences instead of RFQ id, as we need ref object for filtering local suppliers
        	List<BusinessUserStruct> sortedList = AuctionWorkflowApprovalHelper.getInvitableSupplierUsersToAuctionForQuickSearch(sessionOrgId,auctionId, q + "%",max + 1);

            Comparator comparator = new StructComparator(BusinessUserStruct.FIRSTNAME, true);
            Collections.sort(sortedList, comparator);
            String section = ref.txt("zissou_mini.search.select_result_by_supplier");
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                data.append(getSupplierDisplay(sortedList.get(i)))
                        .append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }

            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
            }

        }


        public void setSuppliersForOrgData(StringBuffer data, int orgId) throws EPASSApplicationException, RemoteException {
            
        	Integer sessionOrgId = ref.sessionService.getOrganizationKey().getID();
        	Integer auctionId = ref.userDataContext.getRFQKey().getId();
        	//PR ESP-46013
        	List<BusinessUserStruct> sortedList = AuctionWorkflowApprovalHelper.getInvitableSupplierUsersOfOrgToAuctionForQuickSearch( sessionOrgId, auctionId, orgId);

            Comparator comparator = new StructComparator(BusinessUserStruct.FIRSTNAME, true);
            Collections.sort(sortedList, comparator);
            int z = 0;
            data.append("[");
            for (int i = 0; i < sortedList.size(); i++) {//Removed  condition z < max  for PR 82714
            	String fullName = sortedList.get(i).getFullName();
            	fullName = EPASSQPretty.toUQString(fullName);
            	fullName = EPASSQPretty.escapeJavaScript(fullName);
            	Integer id = sortedList.get(i).getId();
                data.append("{ name : '").append(fullName).append("' , id : ").append(id).append("}");
                if (i + 1 != sortedList.size()) data.append(",");
               // z++;
            }
            data.append("]");
        }

//                 //pr 83161 : added for enhancement pr 83161 to add omni search :
//- It searchs supplier to be approve with category. 
        public void setSupplierNotLinkedToCategoryData(StringBuffer data, String nameSearchString) throws EPASSApplicationException, RemoteException
        {   
        	String catIdStr = ref.req.getParameter("catId");
        	Integer catId = Integer.parseInt(catIdStr);
        	CategoryKeyImpl _categoryKey = new CategoryKeyImpl(catId);
        	boolean _isGlobalProfile = ref.isUserSystem();
        	boolean bDoMerge = !ref.isUserSystem();
        	
			PartnerProfileStruct[] structs = EPASSUiFactorServices.getPartnerProfilesUnlinkedFromCategoryByName (
								ref, _categoryKey, _isGlobalProfile, nameSearchString+ "%", -1);

            List<PartnerProfileStruct> sortedList = new ArrayList<PartnerProfileStruct>();
            for (int i = 0; i < structs.length; i++) 
            {
                sortedList.add(structs[i]);
            }
            
            Comparator comparator = new StructComparator(PartnerProfileStruct.PARTNERNAME, true);
            Collections.sort(sortedList, comparator);

            String section = ESAPI.encoder().encodeForHTML(ref.txt("zissou_mini.search.select_supplier_not_linked_to_category"));
            int z = 0;
            int sortedList_size=sortedList.size();
            for (int i = 0; i < sortedList_size && z < max; i++)
            {   
                data.append(EPASSQPretty.toUQString(sortedList.get(i).getPartnerName()+"&nbsp;("+sortedList.get(i).getVsmInternalId()+")") + "&nbsp;" ).append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
            }
        }
        
        //pr 83161 : added for enhancement pr 83161 to add omni search :
        public void setCategoryNotLinkedToSupplierData(StringBuffer data, String nameSearchString) throws EPASSApplicationException, RemoteException
	    {
        	EPASSQuery query = new EPASSQuery();
	        AttributeFilter columnFilter = new AttributeFilter();
	        columnFilter.includeAttributes(new String[]{CategoryStruct.ID, CategoryStruct.NAME, CategoryStruct.CODE});
	        query.setAttributeFilter(columnFilter);
	        query.setUseAuctionListCache(true);
	        query.setMaximumRowcount(max + 1);
	        query.addToFilter(new EPASSExpression(CategoryStruct.NAME, EPASSLogicalOperator.LIKE, nameSearchString + "%"));
	        
	        String partnerIdStr = ref.req.getParameter("partnerId");
        	Integer partnerId = Integer.parseInt(partnerIdStr);
        	PartnerProfileKeyImpl _profileKey = new PartnerProfileKeyImpl(partnerId);
        	
	        CategoryStruct[] structs = EPASSUiFactorServices.getCategoiesUnlinkedToProfileByName(ref,_profileKey, query);
	
	        List<CategoryStruct> sortedList = new ArrayList<CategoryStruct>();
	        for (int i = 0; i < structs.length; i++) {
	            sortedList.add(structs[i]);
	        }
	
	        Comparator comparator = new StructComparator(CategoryStruct.NAME, true);
	        Collections.sort(sortedList, comparator);
	
	        String section = ref.txt("zissou_mini.search.select_category");
	        int z = 0;
	        for (int i = 0; i < sortedList.size() && z < max; i++) {
	            String code = EPASSQPretty.toUQString((String) sortedList.get(i).getCode());
	            data.append(EPASSQPretty.toUQString(sortedList.get(i).getName()) + "&nbsp;(" + code + ")").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
	            z++;
	        }
	
	        if (z < sortedList.size()) {
	            StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
	            String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
	            String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
	            data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
	        }
        }
        //pr 83304 : added for enhancement pr 83304 to add omni search :
        public void setSelectParentSupplierData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException
        {
        	EPASSQuery query = new EPASSQuery();
        	AttributeFilter columnFilter = new AttributeFilter();
        	query.addToFilter(new EPASSExpression(PartnerProfileStruct.PARTNERNAME, EPASSLogicalOperator.LIKE, q + "%"));
        	query.addToFilter(new EPASSExpression(PartnerProfileStruct.APPROVEDSTATUS, EPASSLogicalOperator.EQ, ProfileStatus.APPROVED));
        	PartnerProfileStruct[] structs = EPASSUiFactorServices.findPartnerProfiles(ref.sessionService, query,true);
        	List<PartnerProfileStruct> sortedList = new ArrayList<PartnerProfileStruct>();
            for (int i = 0; i < structs.length; i++)
            {
                sortedList.add(structs[i]);
            }
            Comparator comparator = new StructComparator(PartnerProfileStruct.PARTNERNAME, true);
            Collections.sort(sortedList, comparator);
            String section = ref.txt("zissou_mini.search.select_parent_to_supplier");
            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                
                data.append(EPASSQPretty.toUQString(sortedList.get(i).getPartnerName()) + "&nbsp;").append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
                z++;
            }
            
            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
                String moreRes = ESAPI.encoder().encodeForHTML(ref.txt("zissou.search.more_results"));
                String typeMore = ESAPI.encoder().encodeForHTMLAttribute(ref.txt("zissou.search.please_type_more"));
                data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
            }
        }
        
        

        public String getSupplierDisplay(BusinessUserStruct struct) throws EPASSApplicationException, RemoteException {
           
            StringBuffer sb = new StringBuffer();
            sb.append(struct.getFullName())
                    .append("&nbsp;/&nbsp;").append(struct.getEmailAddress())
                     .append("&nbsp;/&nbsp;").append(struct.getOrganizationName());//PR ESP-46013
            return EPASSQPretty.toUQString(sb.toString());
        }

        public boolean isQueryInString(String s, String q) {
            return s.toUpperCase().indexOf(q.toUpperCase()) == 0;
        }

        public boolean isSupplier(BusinessUserStruct struct) {
            return BusinessUserType.SUPPLIER.equals(struct.getUserType());
        }

        // "Partners"
        public void setParnterData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException {
            EPASSQuery query = new EPASSQuery();
            AttributeFilter columnFilter = new AttributeFilter();
            query.addToFilter(new EPASSExpression(PartnerProfileStruct.PARTNERNAME, EPASSLogicalOperator.LIKE, q + "%"));
            PartnerProfileStruct[] structs = ref.serviceRef.getPartnerServiceIntf(ref).findPartnerProfiles(ref.sessionService, query, false);
            //System.out.println("parts " + structs.length);

            setData(data, structs, PartnerProfileStruct.PARTNERNAME, ZissouCommands.Suppliers);
        }

        /**
         * createParam
         * @param struct
         * @param sectionName
         * @return
         */
        public String createParam(WrapperObjectStruct struct, String sectionName) {
            int id = struct.getId();

            StringBuffer ret = new StringBuffer("{ id : '").append(id).append("', section: '").append(sectionName).append("' }");
            return ret.toString();
        }

        public String createParam(Notice notice, String sectionName) {
            int id = notice.getId();

            StringBuffer ret = new StringBuffer("{ id : '").append( id ).append("', section: \"").append(sectionName).append("\" }");
            return ret.toString();
        }
        

        public String createOrgParam(PartnerProfileStruct struct, String sectionName) {
            int id = struct.getPartnerId();

            if(LOG.isDebugEnabled()){
            	LOG.debug("------------------------------" + id);
            }

            StringBuffer ret = new StringBuffer("{ id : '").append(id).append("', section: \"").append(sectionName).append("\" }");
            return ret.toString();
        }

        public void setData(StringBuffer data, WrapperObjectStruct[] structs, String nameAttr, String sectionKey)
                throws EPASSApplicationException, RemoteException {
            // get section literal from legend key
            String section = ref.convertLiteral(ZissouCommands.getLiteral(sectionKey, ref.getOrganizationType()));

            List<WrapperObjectStruct> sortedList = new ArrayList<WrapperObjectStruct>();
            for (int i = 0; i < structs.length; i++) {
                sortedList.add(structs[i]);
            }

            Comparator comparator = new StructComparator(nameAttr, true);
            Collections.sort(sortedList, comparator);

            int z = 0;
            for (int i = 0; i < sortedList.size() && z < max; i++) {
                String name = (String) "" + sortedList.get(i).getAttribute(nameAttr);

                //name = name.replaceAll(":", ""); //commented by dyy for pr #41629
                data.append(name).append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), sectionKey)).append("\n");
                z++;
            }

            if (z < sortedList.size()) {
                StringBuffer param = new StringBuffer("{ id : '").append("none").append("', section: '").append(section).append("' }");
                String moreRes = ref.txt("zissou.search.more_results");
                String typeMore = ref.txt("zissou.search.please_type_more");
                data.append("<span class='zissou_mini_more_results' title='" + typeMore + "' >" + moreRes + "</span>").append(":").append(section).append(ZissouSearch.delimiter).append(param).append("\n");
            }
        }

        public void addViewAllResults(StringBuffer data, String sectionName, String sectionKey, String nameAttr)
                throws EPASSApplicationException, RemoteException {

            String section;
            if (sectionName.equals(ZissouCommands.getLiteral(ZissouCommands.Commands, ref.getOrganizationType()))) {
                section = ref.convertLiteral("zissou.search.view_all_menu_commands");
            } else {
                String subSection = ref.convertLiteral(ZissouCommands.getLiteral(sectionKey, ref.getOrganizationType()));
                section = ref.convertLiteral("zissou.search.view_all", new String[]{"<u><i>" + subSection + "</i></u>"});
            }

            // e.g. "View All <u><i>" + section + "</i></u> Search Results"

            // place query data in code field
            data.append(section).append(":").append(sectionName).append(ZissouSearch.delimiter).append(createViewAllParam(sectionName, sectionKey, nameAttr)).append("\n");
        }

        public String createViewAllParam(String sectionName, String sectionKey, String nameAttr)
                throws EPASSApplicationException, RemoteException {
            StringBuffer ret = new StringBuffer("{ section: '").append(sectionName)
                    .append("', command: '").append("view_all")
                    .append("', jspPage: '").append(ZissouCommands.getSearchJsp(sectionKey, ref.getOrganizationType()))
                    .append("', qryField: '").append(nameAttr)
                    .append("', legend: '").append(ZissouCommands.getMenuAreaLegend("view_all"))
                    .append("', className: '").append("view_all")
                    .append("' }");

            return ret.toString();
        }

        public void setScenariosData(StringBuffer data, String q) throws EPASSApplicationException, RemoteException 
		{
			ScenarioStruct[] scenarioStructs = EPASSUiScenarioServices.getBuyerScenarios( ref );
			if(scenarioStructs != null && scenarioStructs.length > 0 )
			{
				 List<ScenarioStruct> sortedList = new ArrayList<ScenarioStruct>();
				 for (int i = 0; i < scenarioStructs.length; i++) 
				 {
					ScenarioStruct struct =  scenarioStructs[i];
					if ((isQueryInString(struct.getName(), q)))
					{
						sortedList.add(struct);
					}
				 }
			
				Comparator comparator = new StructComparator(ScenarioStruct.NAME, true);
				Collections.sort(sortedList, comparator);

				String section = ref.txt("zissou_mini.search.select_scenario");
				int z = 0;
				for (int i = 0; i < sortedList.size() && z < max; i++) {
					String name = sortedList.get(i).getName();
					//name = name.replaceAll(":","");  //commented by dyy for ESP-41629
					name = EPASSQPrettyBase.escapeForXSS( name );//added by dyy: to convert the < >
					data.append(name).append(":").append(section).append(ZissouSearch.delimiter).append(createParam(sortedList.get(i), section)).append("\n");
					z++;
				}

				if (z < sortedList.size()) {
					StringBuffer param = new StringBuffer("{ id : '").append( "none" ).append("', section: '").append(section).append("' }");
					String moreRes = ref.txt("zissou.search.more_results");
					String typeMore = ref.txt("zissou.search.please_type_more");
					data.append("<span class='zissou_mini_more_results' title='"+typeMore+"' >"+moreRes+"</span>").append(":").append(section ).append(ZissouSearch.delimiter).append(param).append("\n");
				}
			}
		}


    }

%>