/** 
 * (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */ 

/**
* Javascript time since renderer
*/

/**
* Constructor
*/
function EPASSProcess_TimeSince( structId, cNum, timeSince ){
    this.structId = structId;
    this.colNum = cNum;
    this.timeSince = timeSince * 1;
    this.isTableColumnProcessor = true;
	this.count = 0;
}


EPASSProcess_TimeSince.prototype.getDisplayInt = function( vl ){
	if ( vl < 10 ){
		return "0"+vl;
	}
	return vl;
}

EPASSProcess_TimeSince.prototype.getDisplayTime = function( millis ){
	
	var rslt="";


		var seconds = 0;
        var minutes = 0;
        var hours = 0;
        var days = 0;
        var month = 0;
        var year = 0;
		var x = 0;
		
		seconds = millis/1000;
		
		if(seconds >59)
            {
                minutes = seconds/60 ;

                if(minutes > 59)
                {
                    hours = minutes/60;

                    if(hours > 23)
                    {
                        days = hours/24 ;

                        if(days > 30)
                        {
                            month = days/30;

                            if(month > 11)
                            {
                                year = month/12;  
								
								rslt = rslt + Math.floor(year) +i18var.formatMessage("~~epass.timesince.last.bid.year~~");
								rslt = rslt + Math.floor(month%12) +i18var.formatMessage("~~epass.timesince.last.bid.month~~");
								rslt = rslt + Math.floor(days%30) +i18var.formatMessage("~~epass.timesince.last.bid.days~~");
								rslt = rslt + Math.floor(hours%24) +i18var.formatMessage("~~epass.timesince.last.bid.hour~~");
								rslt = rslt + Math.floor(minutes %60) +i18var.formatMessage("~~epass.timesince.last.bid.mins~~");
								rslt = rslt + Math.floor(seconds%60) +i18var.formatMessage("~~epass.timesince.last.bid.secs~~");
								
                                
                            }
                            else
                            {
								rslt = rslt + Math.floor(month) +i18var.formatMessage("~~epass.timesince.last.bid.month~~");
								rslt = rslt + Math.floor(days%30) +i18var.formatMessage("~~epass.timesince.last.bid.days~~");
								rslt = rslt + Math.floor(hours%24) +i18var.formatMessage("~~epass.timesince.last.bid.hour~~");
								rslt = rslt + Math.floor(minutes %60) +i18var.formatMessage("~~epass.timesince.last.bid.mins~~");
								rslt = rslt + Math.floor(seconds%60) +i18var.formatMessage("~~epass.timesince.last.bid.secs~~");
                            }

                        }
                        else
                        {	
								rslt = rslt + Math.floor(days) +i18var.formatMessage("~~epass.timesince.last.bid.days~~");
								rslt = rslt + Math.floor(hours%24) +i18var.formatMessage("~~epass.timesince.last.bid.hour~~");
								rslt = rslt + Math.floor(minutes %60) +i18var.formatMessage("~~epass.timesince.last.bid.mins~~");
								rslt = rslt + Math.floor(seconds%60) +i18var.formatMessage("~~epass.timesince.last.bid.secs~~");
                            
                        }

                    }
                    else
                    {
					
								rslt = rslt + Math.floor(hours) +i18var.formatMessage("~~epass.timesince.last.bid.hour~~");
								rslt = rslt + Math.floor(minutes %60) +i18var.formatMessage("~~epass.timesince.last.bid.mins~~");
								rslt = rslt + Math.floor(seconds%60) +i18var.formatMessage("~~epass.timesince.last.bid.secs~~");

                    }
                }
                else
                {
					rslt = rslt + Math.floor(minutes) +i18var.formatMessage("~~epass.timesince.last.bid.mins~~");
					rslt = rslt + Math.floor(seconds%60) +i18var.formatMessage("~~epass.timesince.last.bid.secs~~");
                }
            }
            else
            {
                rslt = rslt + Math.floor(seconds) +i18var.formatMessage("~~epass.timesince.last.bid.secs~~");
                //alert ( " Seconds "+Math.floor(seconds));
            }
			return rslt;
	
	
}


/**
* Add something to do every x seconds
*/
EPASSProcess_TimeSince.prototype.processTable = function( ){
	
    var cellObj = ec.GetElementById('TD_' + this.structId + '_' + this.colNum);
    if (cellObj != null)
    {
	    var ts = ec.GetAttribute( cellObj, "TIMESINCE" );
	    if(!ts)
	        ts = this.timeSince;
	    if ( ts ){
			cellObj.innerHTML = this.getDisplayTime(  NAV_getServerTime() - ts);
		}
	}
}

/**
* Add something to do every x seconds
*/
EPASSProcess_TimeSince.prototype.process = function(  ){
}



