<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%-- +---------------------------------------------------------------------------
  Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ page import="com.avinamart.ApplicationServices.ServiceManager,
                 com.avinamart.BusinessLogic.Bean.AuctionWorkflowService.AuctionWorkflowApprovalHelper,
                 com.emptoris.framework.attribute.common.constant.AttributeDefVisibility,
                 com.emptoris.base.constant.ObjectType,
                 com.emptoris.app.rfxkernel.service.extensions.message.RFxMessageHelper,
                 com.emptoris.framework.messaging.service.registry.MessageContextFactory" %>
<%@ page import="com.emptoris.framework.authorization.common.constant.ParticipantSide" %>
<%@ page import="com.emptoris.framework.messaging.common.constant.RecipientType" %>
<%@ page import="com.avinamart.BusinessLogic.Helper.TaskCriteria" %>
<%@ page import="com.avinamart.BusinessLogic.Key.ItemKeyImpl" %>
<%@ page import="com.avinamart.BusinessLogic.Key.QuestionKeyImpl" %>
<%@ page import="com.avinamart.Utility.Exception.EPASSApplicationException" %>
<%@ page import="com.avinamart.WebInterface.Constants.ContextCodes" %>
<%@ page import="com.avinamart.WebInterface.Constants.Dir"%>
<%@ page import="com.avinamart.WebInterface.Constants.EnumType"%>
<%@ page import="com.avinamart.WebInterface.Constants.JSP"%>
<%@ page import="com.avinamart.WebInterface.Constants.Javascript"%>
<%@ page import="com.avinamart.WebInterface.Constants.Misc"%>

<%@ page import="com.avinamart.WebInterface.EPASSJSPActions"%>
<%@ page import="com.avinamart.WebInterface.EPASSReferences"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiApprovalHelpServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiAttachmentServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiBiddingServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiHelpServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiJSPServices"%>
<%@ page import="com.emptoris.framework.messaging.webClient.EPASSUiMessageServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiPJMServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiRFQServices"%>
<%@ page import="com.avinamart.WebInterface.EPassArea"%>
<%@ page import="com.avinamart.WebInterface.EPassUIException"%>
<%@ page import="com.avinamart.WebInterface.NavSupport"%>
<%@ page import="com.avinamart.WebInterface.RequestUtility"%>
<%@ page import="com.avinamart.WebInterface.ServletBase"%>
<%@ page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@ page import="com.emptoris.framework.messaging.common.constant.MessageContextType"%>
<%@ page import="com.emptoris.framework.messaging.common.constant.MessageRecipientGroupType"%>
<%@ page import="com.emptoris.framework.messaging.common.constant.MessageType"%>
<%@ page import="com.emptoris.framework.messaging.common.key.MessageKeyImpl"%>
<%@ page import="com.emptoris.framework.messaging.common.struct.MessageStruct"%>
<%@ page import="com.emptoris.framework.messaging.common.struct.MessageTemplateStruct"%>
<%@ page import="com.emptoris.framework.messaging.service.MessagingHelper"%>
<%@ page import="com.emptoris.framework.organization.common.key.OrganizationKeyImpl"%>
<%@ page import="com.emptoris.framework.organization.common.struct.OrganizationStruct"%>
<%@ page import="com.emptoris.framework.workflow.common.key.WorkflowTaskKeyImpl"%>
<%@ page import="com.emptoris.framework.workflow.common.struct.WorkflowTaskStruct"%>
<%@ page import="java.rmi.RemoteException"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Arrays"%>
<%@ page import="java.util.Collection"%>
<%@ page import="java.util.HashSet"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.Map"%>
<%@ page import="java.util.Set"%>
<%@ page import="java.util.Map.Entry"%>
<%@ page import="com.emptoris.framework.authorization.common.struct.AssignmentStruct"%>
<%@ page import="com.emptoris.framework.messaging.common.struct.RecipientStruct"%>
<%@ page import="com.emptoris.app.rfxkernel.service.extensions.message.RFxMessageHelper"%>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.AuctionKeyImpl" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.AuctionType"%>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.Auction.AuctionUiBusinessRules" %>
<%@ page import="com.emptoris.app.ojeu.service.internal.bean.NoticePojoFacade" %>
<%@ page import="org.owasp.esapi.ESAPI" %>


<%-- +---------------------------------------------------------------------------
  Include Head
    - This file is used for initalizing an object called EPASSReference
      which (among other things) holds references to the user data context
      information and service wrappers used in this page.
---------------------------------------------------------------------------+ --%>

<%@ include file="include/head.inc" %>
<%!
boolean isUserWithDuplicateNamePresent = false;
    /**
     * MF (Message Formatter), functions used to display notification resources, copied from notification_head.jsp
     * Message formatter with varying number of arguments
     *
     * @param ref EPASSReferences. It should not be null
     * @param id is key in resource bundle. It should not be null.
     * @param parms is array of object to be append in message
     */
    String MF(EPASSReferences ref, String id, Object[] parms)
            throws EPASSApplicationException, RemoteException
	{
        MessageFormat messageFormat = new MessageFormat("");
        messageFormat.setLocale(ref.getLocale().getLanguageLocale());

        // Get the resource string pattern
        EPASSResourceBundle resourceBundle =
                EPASSResourceBundle.getBundle("EPASS_Resource",
                        ref.getLocale().getLanguageLocale());
        String pattern = resourceBundle.getString(id);
        return messageFormat.format(pattern, parms);
    }

    /**
     * Literal translation
     * @param ref EPASSReferences
     * @param id is key in resource bundle
     * @return
     * @throws com.avinamart.Utility.Exception.EPASSApplicationException
     * @throws java.rmi.RemoteException
     */
    String MF(EPASSReferences ref, String id)
            throws com.avinamart.Utility.Exception.EPASSApplicationException,
            java.rmi.RemoteException
	{
        // Get the resource string pattern
        EPASSResourceBundle resourceBundle =
                EPASSResourceBundle.getBundle("EPASS_Resource",
                        ref.getLocale().getLanguageLocale());
        return resourceBundle.getString(id);
    }

    Map findOrgIdNameMapFromUserStructs(EPASSReferences ref, Collection users)
            throws EPASSApplicationException, RemoteException
	{
        Set orgIds = Utility.getValueSetFromStructs(
                users, BusinessUserStruct.ORGANIZATION);
        List orgKeys = new ArrayList();
        for (Iterator it = orgIds.iterator(); it.hasNext();)
		{
            Integer orgId = (Integer) it.next();
            orgKeys.add(new OrganizationKeyImpl(orgId));
        }

        List orgs = ServiceManager.getOrganizationService().findOrganizationsByKeys(ref.sessionService, orgKeys);
        Map orgIdNameMap = Utility.getValueMapFromStructCollectin(orgs,
                OrganizationStruct.ID, OrganizationStruct.NAME);
        return orgIdNameMap;
    }

    Map findUserIdOrgNameMapFromUserIds(EPASSReferences ref, Collection userIds)
            throws EPASSApplicationException, RemoteException
	{
        Collection userKeys = Utility.getUserKeysFromIds(userIds);
        List userStructs = ServiceManager.getOrganizationService().findBusinessUsersByKeys(
                ref.sessionService, new ArrayList(userKeys));
        Map userIdOrgIdMap = Utility.getValueMapFromStructCollectin(
                userStructs, BusinessUserStruct.ORGANIZATION);
        Map orgIdOrgNameMap = findOrgIdNameMapFromUserStructs(ref, userStructs);
        Map result = new HashMap();
        for (Iterator it = userIdOrgIdMap.keySet().iterator(); it.hasNext();)
		{
            Integer userId = (Integer) it.next();
            Integer orgId = (Integer) userIdOrgIdMap.get(userId);
            Object orgName = orgIdOrgNameMap.get(orgId);
            result.put(userId, orgName);
        }
        return result;
    }
%>
<%
//debug("========= detail_message_create");

    //PR15371: bug became feature, all RFx type will see create target msg page
    boolean canSendTargettedMsg = true;
//PR15371: check owner_id and owner_type first, then RFx context to display consistent create message page
/*
boolean canSendTargettedMsg = false;
if ( EPASSUiJSPServices.stringNotEmpty ( ref.req.getParameter ( Misc.OWNER_TYPE ) )
	&& ("" + Misc.OWNER_AUCTION).equals ( ref.req.getParameter ( Misc.OWNER_TYPE ) )
	&& EPASSUiJSPServices.stringNotEmpty ( ref.req.getParameter ( Misc.OWNER_ID ) ) )
{
	canSendTargettedMsg = EPASSUiMessageServices.getMessagingUiBusinessRules().canSendTargettedMsg(ref,
		new AuctionKeyImpl(new Integer ( ref.req.getParameter ( Misc.OWNER_ID ) )) );
} else if (ref.userDataContext.getRfqId() != null) {
	canSendTargettedMsg = EPASSUiMessageServices.getMessagingUiBusinessRules().canSendTargettedMsg(ref,
		new AuctionKeyImpl(ref.userDataContext.getRfqId()) );
}
*/

    boolean allowMultipleLeads = EPASSUiPJMServices.ALLOW_MULTIPLE_LEADS;
//    debug( "Query String "+ request.getQueryString());
// Get the type of message from the request
    String msgType = request.getParameter(EPASSUiMessageServices.MESSAGE_TYPE) == null ?
            "" : request.getParameter(EPASSUiMessageServices.MESSAGE_TYPE);
// Populate the message struct based on the type, into the ref. Used everywhere!
    ref.structs.messageStruct = createMsgStruct(ref, msgType);

//In TargetMessage Context
//PR 18605
    String targetMsgContextParam = "TARGET_MESSGE";
    boolean isTargetMsgContext = "true".equalsIgnoreCase(request.getParameter(targetMsgContextParam));

    String hideSubjectParam = "HIDE_SUBJECT";
    boolean isHiddenSubject = "true".equalsIgnoreCase(request.getParameter(hideSubjectParam));

    String PREFORMATTED_MSG = "preformatted_msg";
    String SELECTED_SUPPLIERS = "selected_suppliers";
    final String GROUP_PREFIX = "group_";
//******************************************************************************
//  EPASSFieldName DECLARATIONS
//    This section should declare string variables for the the names
//    of the controls used on the jsp form. Used with the RequestUtility,
//    in order to convert the data in the Request into a struct object
//******************************************************************************
    final String fieldNamereferenceId = EPASSFieldName.addPrefix(MessageStruct.REFERENCEID);
    final String fieldNamecontextType = EPASSFieldName.addPrefix(MessageStruct.CONTEXTTYPE);
    final String fieldNameSubContextType = EPASSFieldName.addPrefix(MessageStruct.SUBCONTEXTTYPE);
    final String fieldNamesourceType = EPASSFieldName.addPrefix(MessageStruct.SOURCETYPE);
    final String fieldNamebody = EPASSFieldName.addPrefix(MessageStruct.BODY);
    final String fieldNamecontextId = EPASSFieldName.addPrefix(MessageStruct.CONTEXTID);
    final String fieldNameSubContextId = EPASSFieldName.addPrefix(MessageStruct.SUBCONTEXTID);
    final String fieldNameid = EPASSFieldName.addPrefix(MessageStruct.ID);
    final String fieldNamemessageType = EPASSFieldName.addPrefix(MessageStruct.MESSAGETYPE);
    final String fieldNamecontextName = EPASSFieldName.addPrefix(MessageStruct.CONTEXTNAME);
    final String fieldNamesubject = EPASSFieldName.addPrefix(MessageStruct.SUBJECT);
    final String fieldNamesendDate = EPASSFieldName.addPrefix(MessageStruct.SENDDATE);
    final String fieldNamesenderId = EPASSFieldName.addPrefix(MessageStruct.SENDERID);
    final String fieldNamesenderName = EPASSFieldName.addPrefix(EPASSUiMessageServices.ATTR_SENDER_NAME);
//final String fieldNamerecipientGroupId = EPASSFieldName.addPrefix ( MessageStruct.RECIPIENTGROUPID );
// Cannot use the recipient group id tag since it is integer and we are using the 'group_' prefix
    final String fieldNamerecipientGroupId = EPASSFieldName.addPrefix("recipientGroupId2");
    final String fieldNamepreformattedMsg = EPASSFieldName.addPrefix(PREFORMATTED_MSG);
    final String fieldNameReplyReferenceId = "reply_reference_id";

// selectedRecipientsArray is used to re-selected selected recipients when the screen does a
// refresh, either as a result of attachment changes, or as a result of server error.

    String[] selectedRecipientsArray = request.getParameterValues(fieldNamerecipientGroupId);
    if (selectedRecipientsArray != null)
	{
        out.println("<script> var selectedRecipientsArray = new Array();");
        for (int i = 0; i < selectedRecipientsArray.length; i++)
		{
        	//Santosh - XSS fix
        	//ESP-46068 FIXME: Need to use ESAPI to escape XSS instead of homegrown API.
			out.print("selectedRecipientsArray[" + i + "] = '" + EPASSQPrettyBase.escapeForXSS(selectedRecipientsArray[i]) + "';");
        }
        out.println("</script>");
    }

  	//Santosh - XSS fix
	//RK - ESP-46068. The escapeForXSS API has been taken off because this data is being escaped in it's usage
	// using esapi:js tag.
    String selectedTemplate = request.getParameter(fieldNamepreformattedMsg) == null ?
            "" : request.getParameter(fieldNamepreformattedMsg);

//
//******************************************************************************
// JSP FORM VALUE DECLARATIONS. Declare the variables that will
//     be used to get data from request and put into jsp form
//******************************************************************************
//
    Integer fieldValuereferenceId = null;
    Integer fieldValuecontextType = null;
    Integer fieldValueSubContextType = null;
    Integer fieldValuesourceType = null;
    String fieldValuebody = null;
    Integer fieldValuecontextId = null;
    Integer fieldValueSubContextId =null;
    Integer fieldValueid = null;
    Integer fieldValuemessageType = null;
    String fieldValuecontextName = null;
    String fieldValuesubject = null;
    java.util.Date fieldValuesendDate = null;
    Integer fieldValuesenderId = null;
    String fieldValuesenderName = null;
    Integer fieldValuerecipientGroupId = null;

    String[] preformattedMsgsIds = null;
    String[] preformattedMsgs = null;

// Image for title header
    popupImage = "img/title/messages/create_new.gif";

// Default the title on the tab
    String sTitle = "New Message";

// Determines if the message page is a reply to an existing message
    boolean isReply = false;
    Integer replyMessageId = null;

    boolean isProject = false;
    boolean isTask = false;

// If called from the list, as a link, we will use the cur_id value
    if (ref.getCurId() != null)
	{
        isReply = true;
        sTitle = "form.detailMessageCreate.title.reply";
        String fieldValueReplyReferenceId = request.getParameter(fieldNameReplyReferenceId);
        if (fieldValueReplyReferenceId != null)
		{
            replyMessageId = new Integer(fieldValueReplyReferenceId);
        }
    }

    EPASSLink lnkToDetailPage = null;
    boolean bPresetContext = false;
    boolean bPresetContextId = false;
    boolean bPresetRecType = false;
    Integer cxtCreate = EPASSUiMessageServices.getMessageContextParam(ref);
    Integer itemCategory = null;
    Integer rfxId = null;

    String sContextType = null;
    MessageKeyImpl msgKeyImpl = null;
    Integer msgKey = null;
    MessageTemplateStruct[] msgTmpltStructs = null;
    boolean isSubEntity = false;
// This list is used for the Rfx scope invitation list
//PR 11407: get recipients after you set the context and contextId based on action,
//because the apis depend on what is set in ref.structs.messageStruct
    BusinessUserStruct[] supplierRfxRecipients = null; //getRfxOrgList(ref);
// This list is used for the Item scope invitation list. tac - pr10729 Message sent to org not approved for an item...
    AssignmentStruct[] supplierItemRecipients = null; //getItemOrgList(ref);
    BusinessUserStruct[] cohostRfxRecipients = null; //getRfxCohostUserList(ref);
    BusinessUserStruct[] projectTeamRecipients = null; //getRfxCohostUserList(ref);
    BusinessUserStruct[] taskTeamRecipients = null;
    BusinessUserStruct[] rfxLeadRecipients = null;


    BusinessUserStruct[] supplierNoticeRecipients = null;

    BidStruct bid = null;
    boolean bDraftBidInContext = false;
    boolean bLockedOpenRfxInContext = false;

    if (MessageType.BULLETIN_BOARD.toString().equals(msgType))
	{
		bPresetContext = true;
	}
    Integer auctionId = null;
    AuctionStruct auction = null;
    boolean allowToSendMsgToSuppliers = false;
    if (!ref.isUserSeller())
	{
    	boolean isAuction = false;	
//PR 9816 - show preformatted msg only if RFx type is Standard or Advanced auction
    	if(EPASSUiJSPServices.stringNotEmpty(ref.req.getParameter(Misc.OWNER_TYPE))
    			&& ("" + Misc.OWNER_AUCTION).equals(ref.req.getParameter(Misc.OWNER_TYPE))
    			&& EPASSUiJSPServices.stringNotEmpty(ref.req.getParameter(Misc.OWNER_ID)))
    	{
    		auctionId = new Integer(ref.req.getParameter(Misc.OWNER_ID));
    		auction = EPASSUiRFQServices.getCurrentRFQ(ref,auctionId);
    		isAuction = auction.isReverseAuction();
    	}
		//commented for PR 70931 and moved inside if condition
        //boolean isAuction = EPASSUiRFQServices.isRfqReverse(ref);
    	// pr 80148    ==========================================================
    	if(auction == null)
    	{
    	    auctionId = ref.userDataContext.getRfqId();
    	    if(auctionId != null)
    	    	auction = EPASSUiRFQServices.getCurrentRFQ(ref,auctionId);
    	}   
        // pr 80148    ==========================================================

        if (auction!=null)
        {
        	allowToSendMsgToSuppliers = EPASSUiRFQServices.getAuctionUiBusinessRules().canSendMessageToSuppliers(ref,auction);
        }
        if (isAuction)
		{
            msgTmpltStructs = ref.serviceRef.getMessageServiceIntf(ref).
            getAllPreformattedMessages(ref.sessionService);
        }
    }

    if (msgTmpltStructs != null && msgTmpltStructs.length > 0)
	{
        preformattedMsgsIds = new String[msgTmpltStructs.length];
        preformattedMsgs = new String[msgTmpltStructs.length];
        for (int i = 0; i < msgTmpltStructs.length; i++)
		{
            preformattedMsgsIds[i] = msgTmpltStructs[i].getId().toString();
            preformattedMsgs[i] = msgTmpltStructs[i].getSubject();
        }
    }

//******************************************************************************
// Message Detail Action Block.
//******************************************************************************
	boolean wasMsgCleaned = true;
    Integer intAction = ref.getAction();
// debug("intAction"+intAction);
    switch (intAction)
	{
        case EPASSJSPActions.SAVE_NEW:
// Converts the current request parameters into a Struct
            RequestUtility.convertToStruct(StructSchemaManager.getSchema(MessageStruct.class),
                    request,
                    ref.structs.messageStruct);
			//ESP-45559: HMRC -  XSS fix
            wasMsgCleaned = EPASSUiMessageServices.cleanMsgIfRequired( ref.structs.messageStruct );

// send the message
            try {
                String suppliersSelected = request.getParameter(SELECTED_SUPPLIERS) == null ?
                        "" : request.getParameter(SELECTED_SUPPLIERS);
                String[] supplierArray = null;

// debug(" suppliersSelected = " + suppliersSelected);
                if (canSendTargettedMsg && suppliersSelected.length() > 0)
				{
                    supplierArray = StringUtility.stringToArray(suppliersSelected, EPASSConfig.EPASS_LIST_SEPARATOR);
                    if (supplierArray.length > 0)
					{
                        ArrayList recipientStructs = new ArrayList();
                        for (int i = 0; i < supplierArray.length; i++)
						{
                            String recipient = supplierArray[i];
                            String groupId = null;
//							debug("recipient"+recipient);
							if (recipient == null)
							{
                                continue;
                            }
                            if (recipient.indexOf(GROUP_PREFIX) == -1)
							{
                                RecipientStruct rs = new RecipientStruct();
                                rs.setRecipientType(RecipientType.TO);
                                rs.setRecipientId(new Integer(supplierArray[i]));
                                recipientStructs.add(rs);
                            }
							else
							{
                                groupId = recipient.substring(GROUP_PREFIX.length());
                                ref.structs.messageStruct.setRecipientGroupId(new Integer(groupId));
//                                debug("recepientList1");
                                EPASSUiMessageServices.sendMessage(ref, isReply, ref.structs.messageStruct.getId());
                            }
                        }

                        if (recipientStructs.size() > 0)
						{
//                            debug("recepientList2");
                            ref.structs.messageStruct.setRecipientGroupId(null);
                            ref.structs.messageStruct.setRecipientList(recipientStructs);
                            EPASSUiMessageServices.sendMessage(ref, isReply, ref.structs.messageStruct.getId());
                        }
                    }
                }
				else
				{
                    EPASSUiMessageServices.sendMessage(ref, isReply, ref.structs.messageStruct.getId());
                }
                // Update everyone interested in the message change event
                // First remove this page from the list to avoid a race condition that
                // causes a javascript error.
%>
      <script>
      var idx = NAV_GetIndexOfPopup( top );
      NAV_RemoveWindowFromOpenList( top , idx );
      
		//ESP-45559: HMRC -  XSS fix
      <% 	if( wasMsgCleaned ){  %>
      		alert( "<esapi:js><%=ref.convertLiteral("form.detail_message_create.xss_vulnerable_data_cleaned")%></esapi:js>");
      <% } %>      
      </script>
      <%=  NavSupport.sendUpdateAndClose (ContextCodes.MESSAGE, ref ) %>
      <%
				  out.flush();
				  return;
			  }
			  catch (EPASSApplicationException ex) {
				  ref.setErrorMessage(ex);
				  bPresetContextId = true;
			  }
               break;

              case EPASSJSPActions.DEFAULT_VIEW:
              case EPASSJSPActions.CREATE_VIEW:
                  if (isReply)
				  {
                      try
					  {
                          ref.structs.messageStruct = EPASSUiMessageServices.createReply(ref);
                          if (ref.structs.messageStruct.getSubContextType()!=null)
                        	  isSubEntity= true;
                          if (replyMessageId == null)
						  {
                              msgKeyImpl = EPASSUiMessageServices.createDraftMessage(ref);
                              // Create a clean message on the DB and save the ID in our reply version of the struct
                              if (msgKeyImpl != null)
							  {
                                  msgKey = msgKeyImpl.getID();
                                  ref.structs.messageStruct.setId(msgKey);
                                  replyMessageId = msgKey;

                                  // Prepend some blank lines into the message body
                                  String sBody = ref.structs.messageStruct.getBody();
                                  ref.structs.messageStruct.setBody("\n\n\n\n" + sBody);
                              }
                          }
						  else
						  {
                              ref.structs.messageStruct.setId(replyMessageId);
                          }
                      }
                      catch (EPASSApplicationException ex)
					  {
                          ref.setErrorMessage(ex);
                      }
                  }
				  else
				  {
                      try
						  {
                          msgKeyImpl = EPASSUiMessageServices.createDraftMessage(ref);

                          // get a clean message struct
                          if (msgKeyImpl != null) {
                              msgKey = msgKeyImpl.getID();                              
                              ref.structs.messageStruct.setId(msgKey);
                          }

                          String s = null;
                          s = request.getParameter(EPASSUiMessageServices.MSG_CREATE_CONTEXTTYPE);
                          System.out.println("*********** context type is"+s);
                          if (s != null)
						  {
                              bPresetContext = true;
                              ref.structs.messageStruct.setContextType(new Integer(s));
                          }
						  else
						  {
                              if (cxtCreate != null)
							  {
                                  Integer contextType = MessageContextFactory.getInstance()
                                          .getContextType(cxtCreate, ref, request);
                                  if (contextType != null)
								  {
                                	  if (contextType.equals(MessageContextType.ITEM) || contextType.equals(MessageContextType.LOT)
                                			 || contextType.equals(MessageContextType.BID))
                                	  {
                                		  isSubEntity = true;
                                		  ref.structs.messageStruct.setSubContextType(contextType);
                                	  }
                                	  else
                                		  ref.structs.messageStruct.setContextType(contextType);
                                  }

                              }
                          }

                          if (EPASSUiJSPServices.stringNotEmpty(request.getParameter(Misc.OWNER_ID)))
						  {
                        	  if(isSubEntity)
                        	  {
                        		  ref.structs.messageStruct.setSubContextId(new Integer(request.getParameter(Misc.OWNER_ID)));
                        	  }
                        	  else
                        		  ref.structs.messageStruct.setContextId(new Integer(request.getParameter(Misc.OWNER_ID)));
                              bPresetContextId = true;
                          }
						  else
						  {
                              s = request.getParameter(EPASSUiMessageServices.MSG_CREATE_CONTEXTID);
                              if (s != null)
							  {
                                  Integer contextType = ref.structs.messageStruct.getContextType();
                                  Integer intId = null;
                                  if (contextType != null)
								  {
                                      intId = MessageContextFactory.getInstance()
                                              .getContextManager(contextType).getContextIdFromRef(ref);
                                  }
                                  if (intId != null)
								  {
                                      bPresetContextId = true;
                                      ref.structs.messageStruct.setContextId(intId);
                                  }
                              }
                          }
                          s = request.getParameter(EPASSUiMessageServices.MSG_CREATE_RECIP_GROUP);
                          if (s != null)
						  {
                              bPresetRecType = true;
                              ref.structs.messageStruct.setRecipientGroupId(new Integer(s));
                          }

                      }
                      catch (EPASSApplicationException ex)
					  {
                          ref.setErrorMessage(ex);
                      }

//debug ( "++++++++++++++++++++++++new message created" );
                  }
                  break;
              case EPASSJSPActions.REFRESH_PAGE:
                  // Converts the current request into a Struct
                  RequestUtility.convertToStruct(
                          StructSchemaManager.getSchema(MessageStruct.class),
                          request,
                          ref.structs.messageStruct);
                  if (EPASSUiJSPServices.stringNotEmpty(request.getParameter("pre_context_id_indicator")))
				  {
                      bPresetContextId = true;
                  }
                  break;

              case EPASSJSPActions.DELETE:
                  // Converts the current request into a Struct
                  RequestUtility.convertToStruct(
                          StructSchemaManager.getSchema(MessageStruct.class),
                          request,
                          ref.structs.messageStruct);
                  try
				  {
                      EPASSUiMessageServices.deleteDraftMessage
                              (ref, new MessageKeyImpl(ref.structs.messageStruct.getId()));
                  } catch (EPASSApplicationException e)
				  {
                      // ignore...who cares
                  }

                  out.println(NavSupport.sendClose(null,false,ref));
                  out.flush();
                  return;
//  break;

              default:
//debug ( "++++++++++++++++++++++++UNKNOWN ACTION" );
// DO MESSAGE HANDLER FOR NO/UNKNOWN ACTION
                  throw new EPassUIException(ref.convertLiteral("form.detailMessageCreate.error.msg_action_param_error") +
                          request.getRequestURI() + "?" +
                          ref.getQueryString()
                  );
          }
          if (ref.isUserSeller())
		  {
              if (EPASSUiJSPServices.stringNotEmpty(ref.req.getParameter(Misc.OWNER_TYPE))
                      && ("" + Misc.OWNER_BID).equals(ref.req.getParameter(Misc.OWNER_TYPE))
                      && EPASSUiJSPServices.stringNotEmpty(ref.req.getParameter(Misc.OWNER_ID)))
			  {
                  bid = EPASSUiBiddingServices.getBid(ref, new Integer(ref.req.getParameter(Misc.OWNER_ID)));
              }
			  else
			  {
                  bid = EPASSUiBiddingServices.getCurrentBid(ref);
              }
              bDraftBidInContext = bid == null ? false : bid.isDraftBid();
//PR9899 retrieve auction from contextId, if no RFx is selected yet.
              if (isReply && ref.structs.messageStruct != null)
			  {
                  Integer contextId = ref.structs.messageStruct.getContextId();
                  if (ref.structs.messageStruct.getSubContextId()!=null)
                	  isSubEntity = true;
                  if (contextId != null &&
                          ref.structs.messageStruct.getContextType().intValue() == MessageContextType.auction)
				  {
                      auction = EPASSUiRFQServices.getCurrentRFQ(ref, new AuctionKeyImpl(contextId));
                  }
              }
			  else
			  {
                  try
				  {
                	  
                	  if (auctionId !=null)
                	  {
                		  auction = EPASSUiRFQServices.getCurrentRFQ(ref, auctionId);
                      }else
                      {
                    	  auction = EPASSUiRFQServices.getCurrentRFQ(ref);
                      }
                  }
                  catch (Exception e) {
                      //error(e.getMessage(),e);
                      auction = null;
                  }
              }

              bLockedOpenRfxInContext = auction == null ? false : auction.isAuctionLocked() && EPASSUiRFQServices.isRfqOpen(ref);
          }
//******************************************************************************
//******************************************************************************
//  Initialize table control field values from struct
//******************************************************************************
          if (ref.structs.messageStruct != null)
		  {
              fieldValuereferenceId = ref.structs.messageStruct.getReferenceId();
              fieldValuecontextType = ref.structs.messageStruct.getContextType();
              fieldValueSubContextType = ref.structs.messageStruct.getSubContextType();
              if (isReply || bPresetContextId)
			  {
                  sContextType = isSubEntity ? fieldValueSubContextType.toString() : fieldValuecontextType.toString();
              }
              fieldValuesourceType = ref.structs.messageStruct.getSourceType();
            //ESP-45559: HMRC -  XSS fix
              EPASSUiMessageServices.cleanMsgIfRequired( ref.structs.messageStruct );
              fieldValuebody = ref.structs.messageStruct.getBody();
              fieldValuecontextId = ref.structs.messageStruct.getContextId();
              fieldValueSubContextId = ref.structs.messageStruct.getSubContextId();
              fieldValueid = ref.structs.messageStruct.getId();
              fieldValuemessageType = ref.structs.messageStruct.getMessageType();
              fieldValuecontextName = ref.structs.messageStruct.getContextName();
              fieldValuesubject = ref.structs.messageStruct.getSubject();
              fieldValuesenderId = ref.structs.messageStruct.getSenderId();
              fieldValuesenderName = (java.lang.String) ref.structs.messageStruct.getAttribute(EPASSUiMessageServices.ATTR_SENDER_NAME);
              fieldValuerecipientGroupId = ref.structs.messageStruct.getRecipientGroupId();
          }
//******************************************************************************
//  Build Form Table
//******************************************************************************
          EPASSHTMLForm editForm = new EPASSHTMLForm(ref, "editMessageStruct", EPASSHTMLForm.PUT,
                  ref.getUserPath() + JSP.MESSAGE_CREATE_PAGE,
                  false // Make true if additional editing is required (javascript validate2)
          );//form name, submit method, name of page, addition javascript

//debug ( "++++++++++++++++++++++++form created" );

          EPASSInputControl ic = null;  // Refernce to input control
          EPASSInputSimpleSelect isc = null;

          // editForm.setReadOnly ( ref.isReadOnly () );

          // Form fields follow -------------------
          // Note: editForm.addColumn ();  Will cause a new coulmn of fields to appear


          boolean isBuyerOnlyRFIQuestion = false;
          // ----- Select input form control for: context type
          if (fieldValuecontextType == null)
		  {
              if (MessageType.BULLETIN_BOARD.toString().equals(msgType))
			  {
                  fieldValuecontextType = MessageContextType.AUCTION;
              } 
              //Added for PR 66856
              else if(cxtCreate != null)
              {
            	  fieldValuecontextType = MessageContextFactory.getInstance()
                  .getContextType(cxtCreate, ref, request);
              }             
              else
			  {
                  fieldValuecontextType = new Integer(-1);
              }
          }
          if (isReply || bPresetContextId) {
              String sName = "";
              Integer contextType = isSubEntity ? fieldValueSubContextType : fieldValuecontextType;
              switch (contextType.intValue()) {
                  case MessageContextType.organization:
                      sName = "form.detailMessageCreate.title.organization";
                      lnkToDetailPage = new EPASSLink(JSP.ADMIN_ORG_DETAIL_PAGE, ref);
                      break;
                  case MessageContextType.auction:
                      sName = "form.detailMessageCreate.title.rfq";
                      lnkToDetailPage = new EPASSLink(JSP.DETAIL_RFQ, ref);
                      rfxId = fieldValuecontextId;
                      break;
				  case MessageContextType.notice:
                      sName = "form.detailMessageCreate.title.notice";
                      lnkToDetailPage = new EPASSLink(JSP.WIZ_NOTICE_SUMMARY+"?jspAction=-1", ref);
                      break;                    
                  case MessageContextType.item:
                      ItemKeyImpl itemKey = new ItemKeyImpl(fieldValueSubContextId);
                      ref.userDataContext.setRfqItemId(itemKey.getID());
                      rfxId = EPASSUiRFQServices.getItem(ref, itemKey).getAuctionId();
                      fieldValuecontextId = rfxId;
                      ref.structs.messageStruct.setContextId(rfxId);
                      ref.structs.messageStruct.setContextType(MessageContextType.AUCTION);
                      fieldValuecontextType = MessageContextType.AUCTION;
                      ref.userDataContext.setRfqId(ref, rfxId);
                      itemCategory = EPASSUiRFQServices.getItemCategory(ref, itemKey.getID());

                      if (EPASSUiRFQServices.ITEM_QUESTIONNAIRE.equals(itemCategory)) {
                          sName = "form.detailMessageCreate.title.questionnaire";
                          lnkToDetailPage = new EPASSLink(JSP.DETAIL_QUESTIONNAIRE, ref);
                      } else if (EPASSUiRFQServices.ITEM_QUESTION.equals(itemCategory)) {
                          sName = "form.detailMessageCreate.title.question";
                          lnkToDetailPage = new EPASSLink(JSP.DETAIL_QUESTION, ref);
                          // by Nesta - for ESP-54107 : here owner_id should be questionnaire id not rfx id.
                          QuestionStruct question = ref.serviceRef.getRFIService(ref).getQuestion(ref.sessionService, new QuestionKeyImpl(itemKey.getID()));
                          lnkToDetailPage.setParameter(Misc.OWNER_ID, question.getQuestionnaire());
                          isBuyerOnlyRFIQuestion = checkIsBuyerOnlyQuestion(ref);
                      } else {
                          sName = "form.detailMessageCreate.title.item";
                          lnkToDetailPage = new EPASSLink(JSP.DETAIL_ITEM, ref);
                      }
                      break;
                 case MessageContextType.lot:
                      ref.userDataContext.setRfqRequisitionId(fieldValueSubContextId);
                      rfxId = EPASSUiRFQServices.getRequisitionStruct(ref, fieldValueSubContextId).getAuction();
                      fieldValuecontextId = rfxId;
                      ref.structs.messageStruct.setContextId(rfxId);
                      fieldValuecontextType = MessageContextType.AUCTION;
                      ref.structs.messageStruct.setContextType(MessageContextType.AUCTION);
                      ref.userDataContext.setRfqId(ref, rfxId);
                      sName = "form.detailMessageCreate.title.lot";
                      lnkToDetailPage = new EPASSLink(JSP.DETAIL_LOT, ref);
                      break;
                  case MessageContextType.bid:
                	  bid = EPASSUiBiddingServices.getBid(ref, fieldValueSubContextId);
                      Integer rfxId2 = bid.getAuction();
                      ref.structs.messageStruct.setContextId(rfxId2);
                      ref.structs.messageStruct.setContextType(MessageContextType.AUCTION);
                      fieldValuecontextType = MessageContextType.AUCTION;
                      fieldValuecontextId = rfxId2;
                      if (EPASSUiRFQServices.isRFI(ref, rfxId2)) {
                          sName = "form.detailMessageCreate.title.response";
                          lnkToDetailPage = new EPASSLink(JSP.DETAIL_RESPONSE, ref);
                      } else {
                          sName = "form.detailMessageCreate.title.bid";
                          lnkToDetailPage = new EPASSLink(JSP.BID_ROUTER_PAGE, ref);
                      }
                      break;
                  case MessageContextType.workflow_task:
                      // could be a project or a task
                      TaskCriteria taskCriteria = new TaskCriteria();
                      WorkflowTaskStruct wfTaskStruct = ref.serviceRef.getProjectManagementServiceIntf(ref).
                              getSubTask(ref.sessionService, new WorkflowTaskKeyImpl(fieldValuecontextId), taskCriteria);
                      if (wfTaskStruct != null && wfTaskStruct.isProject()) {
                          isProject = true;
                          isTask = false;
                          sName = "form.detailMessageCreate.title.project";
                          lnkToDetailPage = new EPASSLink(JSP.WIZ_PJM_SUMMARY, ref);
                      } else {
                          isProject = false;
                          isTask = true;
                          sName = "form.detailMessageCreate.title.task";
                          lnkToDetailPage = new EPASSLink(JSP.DETAIL_TASK, ref);
                      }
                      break;
              }
              String sContextName = EPASSUiMessageServices.getContextName(ref);
              System.out.println("************** link before "+lnkToDetailPage);
              if (lnkToDetailPage != null && sContextName.indexOf("epass.Not_Determined") < 0) {
                  lnkToDetailPage.setParameter(ServletBase.CURRENT_ID, isSubEntity? fieldValueSubContextId : fieldValuecontextId);
                  //Added by mrg
                  if(fieldValuecontextType.intValue()==MessageContextType.notice)
                  lnkToDetailPage.setParameter(EPASSJSPActions.ACTION, "" + EPASSJSPActions.DEFAULT_VIEW);
                  else
                  lnkToDetailPage.setParameter(EPASSJSPActions.ACTION, "" + EPASSJSPActions.READ_VIEW);
                  lnkToDetailPage.setParameter(EPASSUiMessageServices.PARAM_FROM_MESSAGE, "1");
                  System.out.println("************** link after "+lnkToDetailPage);
                  if (EPASSUiRFQServices.ITEM_QUESTION.equals(itemCategory)) {
                      sName = ref.convertLiteral(sName);
                  } else {
                      sName = ref.convertLiteral(sName) + "  " + ref.convertLiteral(sContextName);
                  }
                  String sLink = sName;
                  // If bidder and message is for a question, don't create the detail link
                  if (!(ref.isUserBidder(ref, rfxId) && EPASSUiRFQServices.ITEM_QUESTION.equals(itemCategory))) {
                      sLink = NavSupport.createNavPopupAnchor(
                    		  EPASSQPrettyBase.escapeForXSS(sName),
                              1,
                              lnkToDetailPage.toString(), 400, 400, true, null, ref);
                  }
                  editForm.addControl(
                          ref.convertLiteral("form.detailMessageCreate.header.context"),
                          ic = new EPASSInputGenericString(sLink));
                  editForm.addHidden(fieldNamecontextType, fieldValuecontextType);
              } else
              {
                   sName = ref.convertLiteral(sName) + " - " + ref.convertLiteral(sContextName);
                  editForm.addControl(
                          ref.convertLiteral("form.detailMessageCreate.header.context"),
                          ic = new EPASSInputControl("TEXT", fieldNamecontextType, sName, 30, 12));
                  editForm.addHidden(fieldNamecontextType, fieldValuecontextType);
              }
              ic.setEnabled(false);
          } else {
              editForm.addControl(ref.convertLiteral("form.detailMessageCreate.header.context"),
                      ic = new EPASSInputSimpleSelect(fieldNamecontextType,
                              EPASSUiMessageServices.getMsgContextListId(ref),
                              EPASSUiMessageServices.getMsgContextList(ref),
                              fieldValuecontextType.toString(),
                              "selectRecipientInContext()")
              );
              if (bPresetContext) {
                  ic.setEnabled(false);
              }
          }
          if (isReply) {
              // ----- String input form control for: Recipient name
              editForm.addControl(
                      ref.convertLiteral("form.detailMessageCreate.header.to"),
                      ic = new EPASSInputControl("TEXT", fieldNamesenderName, UQ((ref), fieldValuesenderName), 30, 12));
              ic.setEnabled(false);

//debug ( "++++++++++++++++++++++++from created" );

          } else {
              // ----- Select input form control for: recipient type
              if (fieldValuerecipientGroupId == null) {
                  fieldValuerecipientGroupId = new Integer(-1);
              }
              String[] arrRecipients = ref.isUserSeller()
                      ? ref.convertLiteral(EPASSUiMessageServices.RECIPIENT_TYPES, "form.detailMessageCreate.header.seller")
                      : ref.convertLiteral(EPASSUiMessageServices.RECIPIENT_TYPES, "form.detailMessageCreate.header");
              editForm.addControl(ref.convertLiteral("form.detailMessageCreate.header.to"),
                      ic = new EPASSInputSimpleSelect(fieldNamerecipientGroupId,
                              EPASSUiMessageServices.RECIPIENT_TYPES_ID,
                              arrRecipients,
                              fieldValuerecipientGroupId.toString()));
              ic.setAttribute("help_msg", "{south}" + ref.convertLiteral("tutorial.supplier.msg.step4b.bubble"));
              ic.setAttribute("id", "bubble_msg_select");
              
              //editForm.addControl( ref.convertLiteral ( "form.detailMessageCreate.header.to" ), ic);
              if (!ref.isUserSeller()) {
                  ((EPASSInputSimpleSelect) ic).setMultiple(ref.convertLiteral("Multi_Select_Text"));
              }
              if (bPresetRecType && !bPresetContextId) {
                  ic.setEnabled(false);
              }
              
              // by nesta for ESP-47365
              EPASSMultipleSelectControl toListControl = new EPASSMultipleSelectControl(ref, "toList", "-1", new Object[0], new Object[0]);
              toListControl.setAttribute("id", "toList");
              toListControl.setMaxSelected(100);
              toListControl.setMaxMove(100);
              toListControl.setRows(10);
              toListControl.setSelectedTitle(ref.convertLiteral("form.detailCMRule2.label.selected"));
              editForm.addControl("", toListControl);
          }

          // ----- String input form control for: subject
          if (isHiddenSubject) {
              editForm.addHidden(hideSubjectParam, "true");
          } else {
              ic = new EPASSInputControl("TEXT", fieldNamesubject, UQ((ref), fieldValuesubject), 39, 254);
              ic.setAttribute("help_msg", "{east}" + ref.convertLiteral("tutorial.supplier.msg.step5b.bubble"));
              ic.setAttribute("id", "bubble_msg_subject");
              editForm.addControl(
                      ref.convertLiteral("form.detailMessageCreate.header.subject"), ic);  // Field name, Value, Max Chars Allowed, Screen Width
              if (isReply) {
                  ic.setEnabled(false);
              }
          }
          // no preformatted msg and not a test
          if (preformattedMsgsIds == null || preformattedMsgsIds.length == 0) {
              preformattedMsgsIds = new String[1];
              preformattedMsgs = new String[1];
              preformattedMsgsIds[0] = "0";
              preformattedMsgs[0] = "N/A";
          }

          if (!ref.isUserSeller()) {
              isc = new EPASSInputSimpleSelect(fieldNamepreformattedMsg,
                      preformattedMsgsIds,
                      preformattedMsgs,
                      "",
                      "onClickPreformattedMsg()");
              editForm.addControl(ref.convertLiteral("form.detailMessageCreate.header.use_preformatted_msg"), isc);
              //debug ( "++++++++++++++++++++++++preformatted msg created" );
          }
          // get default message length
          int messageLength = 5000;
          if (isTargetMsgContext) {
              messageLength = EPASSConfig.getInstance().getIntParameter(EPASSConfig.MESSAGE_DEFAULT_LENGTH_BB, 255);
          } else {
              messageLength = EPASSConfig.getInstance().getIntParameter(EPASSConfig.MESSAGE_DEFAULT_LENGTH_ALL, 5000);
          }
          // ----- String input form control for: body
          editForm.addControl(
                  ref.convertLiteral("form.detailMessageCreate.header.body"),
                  ic = new EPASSTextAreaControl(fieldNamebody, UQ((ref), fieldValuebody), 12, 70, messageLength));  // Field name, Value, Max Chars Allowed, Screen Width

//debug ( "++++++++++++++++++++++++body created" );
          Pair ctrlData = EPASSUiAttachmentServices.getAttachmentButton(ref, Misc.OWNER_MESSAGE,
                      ref.structs.messageStruct.getId(), null, "form.detail_message_create.MESSAGEATTACHMENTS", new Integer(480), new Integer(800));


          EPASSInputControlInterface ib = (EPASSInputControlInterface) ctrlData.getSecond();
          ib.setEnabled(true);
          ib.lockEnabledFlag();  // Dont let form override
          editForm.addControl((String) ctrlData.getFirst(), ib);

          // Adds a save and cancel button.  Cancel closs the window
          // ----- Button control for: reply
          
           if(!ref.isSupplierPreviewMode()){
          
          editForm.addButton(new EPASSInputButton("button",
                  "btnSend",
                  ref.convertLiteral("form.detailMessageCreate.button.send"),
                  "javascript:doSend();"));
                  
                  }

          // ----- Button control for: cancel
          editForm.addButton(EPASSInputButton.createButton("BUTTON", "Cancel",
                  ref.convertLiteral("form.detail_message_create.Cancel"),
                  "onClickCancel();")
          );
          //editForm.addCloseButton();

          editForm.addHidden(EPASSJSPActions.ACTION, "" + EPASSJSPActions.SAVE_NEW);
          if (isReply) {
              editForm.addHidden(fieldNameReplyReferenceId, "" + replyMessageId);
          }
          editForm.addHidden(ServletBase.CURRENT_ID, "" + ref.getCurId());
          editForm.addHidden(fieldNamereferenceId, "" + fieldValuereferenceId);
          editForm.addHidden(fieldNamesourceType, "" + fieldValuesourceType);
          editForm.addHidden(fieldNamemessageType, "" + fieldValuemessageType);
          editForm.addHidden(fieldNamecontextName, "" + fieldValuecontextName);
          editForm.addHidden(fieldNamesendDate, "" + fieldValuesendDate);
          editForm.addHidden(fieldNamesenderId, "" + fieldValuesenderId);
          editForm.addHidden(fieldNamecontextId, "" + fieldValuecontextId);
          editForm.addHidden(fieldNameSubContextId, "" + fieldValueSubContextId);
          editForm.addHidden(fieldNameSubContextType, "" + fieldValueSubContextType);
          editForm.addHidden(fieldNameid, "" + fieldValueid);
          editForm.addHidden("preselectedRecGroupId", "" + fieldValuerecipientGroupId);
          editForm.addHidden(Misc.OWNER_ID, "" + ref.structs.messageStruct.getContextId());
          editForm.addHidden(EPASSUiMessageServices.MSG_VIEW_CONTEXT, "" + cxtCreate);
          editForm.addHidden(EPASSUiMessageServices.MESSAGE_TYPE, "" + msgType);
          editForm.addHidden(SELECTED_SUPPLIERS, "");
          if (bPresetContextId)
          {
              editForm.addHidden("pre_context_id_indicator", "true");
          }
          //Added for PR 70931
          editForm.addHidden(Misc.OWNER_TYPE,ref.req.getParameter(Misc.OWNER_TYPE));
          editForm.addHidden(Misc.OWNER_ID,ref.req.getParameter(Misc.OWNER_ID));
          //PR 70931
          // End Table Form===========================================================

//debug ( "++++++++++++++++++++++++end form created" );

      %>

<%
  String popupTitle = ref.convertLiteral (sTitle);
  String popupColor = EPassArea.getAreaInstance(EPassArea.MESSAGE, ref).getBGColor();
 %>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
<%-- +---------------------------------------------------------------------------
 Include Stylesheet includes and JavaScript includes here
---------------------------------------------------------------------------+ --%>
<TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>

<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/ext/jquery/jquery-1.3.2.min.js"></script>
<link type="text/css" href="<%= request.getContextPath()%>/dhtml_lib/css/ext/jquery/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<%-- +---------------------------------------------------------------------------
 Add Custom JavaScript for page
---------------------------------------------------------------------------+ --%>

<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/ext/jquery/jquery-ui-1.7.2.custom.min.js"></script>

<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>

<SCRIPT>
<%
String separator = ref.convertLiteral("form.detailMessageCreate.org_cohost_separator");
boolean canPerformDeleteDraft = EPASSUiMessageServices.getMessagingUiBusinessRules().canPerformDeleteMessage(ref, ObjectType.DraftMessage);

    //Show supplier list for all the times except if you yourselves are Bidder and if you are in CreateTagret message then don't show the supplier list
    //PR 18605: Bidder should not be able to see /send other supplier agents while creating target messages
    //while not in target context we should be able to send the messages to all suppliers
    if (! (isTargetMsgContext && ref.isUserBidder(ref)) && allowToSendMsgToSuppliers )
    {
        supplierRfxRecipients = getRfxUserList(ref);
    }
// generate supplier recipients for rfx targetted msg
if (supplierRfxRecipients != null && supplierRfxRecipients.length > 0 && !isBuyerOnlyRFIQuestion)
{
	Map fullNameIdMap = new HashMap();
	for ( int i = 0; i < supplierRfxRecipients.length; i++ )
	{
	     String orgName = (String) supplierRfxRecipients[i].getAttribute("ORGANIZATION_NAME");
		//debug("debug: supplierRfxRecipients = " + supplierRfxRecipients[i]);
		String fullName;
        if (StringUtility.isEmpty(orgName))
        {
	        fullName = supplierRfxRecipients[i].getFirstName()
                       + " "
                       + supplierRfxRecipients[i].getLastName();
        }
        else
        {
	         fullName = orgName
	                   + " "
	                   + separator
	                   + " "
			           +supplierRfxRecipients[i].getFirstName()
			           + " "
			           + supplierRfxRecipients[i].getLastName()
				       + " ("
				       + supplierRfxRecipients[i].getLoginName()
				       + ")" ;
	            //PR 18715 - adding OrgName with Suppliers while creating target messages
        }
  		fullNameIdMap.put(fullName, supplierRfxRecipients[i].getId());
   	}
   	List fullNames = new ArrayList(fullNameIdMap.keySet());
   	Collections.sort(fullNames);
   	int i = 0;
    for ( Iterator it = fullNames.iterator();it.hasNext();)
    {
    	String fullName = (String) it.next();
	   	out.println("var tmp_" + i + "_userNameX = \"" +  ESAPI.encoder().encodeForJavaScript(fullName) +  "\";");

    	out.println("var tmp_" + i + "_userIdX = \"" + fullNameIdMap.get(fullName).toString() + "\";");
		i++;
	}
}
//pr16604 begin
cohostRfxRecipients = getRfxCohostUserList(ref);
// generate cohost recipients for rfx targetted msg
    //allRecipients.addAll(Arrays.asList(cohostRfxRecipients));
//    debug("found " + cohostRfxRecipients.length + " cohost recipients\n\n");

if (cohostRfxRecipients != null && cohostRfxRecipients.length > 0)
{
    Map orgIdNameMap =findOrgIdNameMapFromUserStructs(ref, Arrays.asList(cohostRfxRecipients));
    Map<Integer,String> userIdFullNameMap  = new HashMap<Integer,String>();
    String fullName_ ="";
    for ( int i = 0; i < cohostRfxRecipients.length; i++ )
    {
        String   coHostOrgName = (String) orgIdNameMap.get(cohostRfxRecipients[i].getOrganization());
         Pair duplicateHost = new Pair(cohostRfxRecipients[i].getFirstName(),cohostRfxRecipients[i].getLastName());
         // ESP-50570. append email id iff duplicate user present. 
         if(isUserWithDuplicateNamePresent)
         {
        	 fullName_ = coHostOrgName
        					+ " "
        					+ separator
        					+ " "
        					+ cohostRfxRecipients[i].getFirstName()
        	                + " "
             						+ cohostRfxRecipients[i].getLastName() + " ("+cohostRfxRecipients[i].getEmailAddress()+")";
         }else{
             fullName_ = coHostOrgName
									+ " "
									+ separator
									+ " "
									+ cohostRfxRecipients[i].getFirstName()
             						+ " "
        	                + cohostRfxRecipients[i].getLastName();
        	                
			}
         userIdFullNameMap.put(cohostRfxRecipients[i].getId(),fullName_);
   	}

	// Sorting the Hashmap by Value( Names)
	Set<Entry<Integer, String>> set = userIdFullNameMap.entrySet();         
	List<Entry<Integer, String>> list = new ArrayList<Entry<Integer, String>>(set);         
	Collections.sort( list, new Comparator<Map.Entry<Integer, String>>()         
				{             public int compare( Map.Entry<Integer, String> o1, Map.Entry<Integer, String> o2 )             
								{                 
									return (o1.getValue()).compareTo( o2.getValue() );             
								}         
				} 
	);         
	
	int i = 0;
	for(Map.Entry<Integer, String> entry:list){
		out.println( "var tmp_" + i + "_userNameH = \"" + ESAPI.encoder().encodeForJavaScript(entry.getValue()) 
         + "\";");
    	out.println("var tmp_" + i + "_userIdH = \"" + entry.getKey() + "\";");
    	i++;
	}
	
}
projectTeamRecipients = getProjectTeamRecipientsList(ref);
// generate projectTeam recipients for rfx targetted msg

if (projectTeamRecipients != null && projectTeamRecipients.length > 0)
{
  for ( int i = 0; i < projectTeamRecipients.length; i++ ) {
    out.println( "var tmp_" + i + "_userNameP = \""
          + ESAPI.encoder().encodeForJavaScript(projectTeamRecipients[i].getFirstName() + " " + projectTeamRecipients[i].getLastName()) + "\";");
    out.println("var tmp_" + i + "_userIdP = \"" +projectTeamRecipients[i].getId() + "\";");
  }
}
//pr16525 end

supplierNoticeRecipients = getNoticeTeamRecipientsList(ref);

if (supplierNoticeRecipients != null && supplierNoticeRecipients.length > 0)
{
  for ( int i = 0; i < supplierNoticeRecipients.length; i++ ) {
    out.println( "var tmp_" + i + "_userNameA = \""
          + ESAPI.encoder().encodeForJavaScript(supplierNoticeRecipients[i].getFirstName() + " " + supplierNoticeRecipients[i].getLastName()) + "\";");
    out.println("var tmp_" + i + "_userIdA = \"" + supplierNoticeRecipients[i].getId() + "\";");
  }
}
 taskTeamRecipients = getTaskTeamRecipientsList(ref);
// generate taskTeam recipients for rfx targetted msg

if (taskTeamRecipients != null && taskTeamRecipients.length > 0)
{
  for ( int i = 0; i < projectTeamRecipients.length; i++ ) {
    out.println( "var tmp_" + i + "_userNameT = \""
          + ESAPI.encoder().encodeForJavaScript(taskTeamRecipients[i].getFirstName() + " " + taskTeamRecipients[i].getLastName()) + "\";");
    out.println("var tmp_" + i + "_userIdT = \"" + taskTeamRecipients[i].getId() + "\";");
  }
}

    //pr16525 end
// generate supplier recipients for item targetted msg
if (! (isTargetMsgContext && ref.isUserBidder(ref)) && allowToSendMsgToSuppliers )
{
    supplierItemRecipients = getItemUserList(ref);
}
if (supplierItemRecipients != null && supplierItemRecipients.length > 0 && !isBuyerOnlyRFIQuestion)
{
    List assignments = Arrays.asList(supplierItemRecipients);
    Collection userIds = Utility.getValueCollectionFromStructs(assignments, AssignmentStruct.ASSIGNEEID);
    Map userIdOrgNameMap =findUserIdOrgNameMapFromUserIds(ref, userIds);
    Map<Integer,String> userIdFullNameMap  = new HashMap<Integer,String>();
  for ( int i = 0; i < supplierItemRecipients.length; i++ ) {
         String orgName = (String) userIdOrgNameMap.get(supplierItemRecipients[i].getAssigneeId());
        //debug("debug: supplierRfxRecipients = " + supplierRfxRecipients[i]);
        String fullName;
//        debug("org name = " + orgName);
          if (StringUtility.isEmpty(orgName))
          {
              fullName = Utility.parseDoubleQuote(
              (String)supplierItemRecipients[i].getAttribute("second_label") + " "
        + (String)supplierItemRecipients[i].getAttribute("first_label"));
              }
              else {
                   fullName = orgName + " "+ "("
                      + (String)supplierItemRecipients[i].getAttribute("second_label")
                      + " " + (String)supplierItemRecipients[i].getAttribute("first_label")
                      + " )";
                      //PR 18715 - adding OrgName with Suppliers while creating target messages
              }
          if(isUserWithDuplicateNamePresent){
        	  fullName = fullName+ "("+supplierItemRecipients[i].getAttribute(AuctionWorkflowApprovalHelper.SEVENTH_LABEL_ATTRIBUTE)+")";
          }else{
        	  fullName = fullName;
          }
          userIdFullNameMap.put(supplierItemRecipients[i].getAssigneeId(),fullName);
   	}
	//Sorting the Hashmap by Value( Names)
		Set<Entry<Integer, String>> set = userIdFullNameMap.entrySet();         
		List<Entry<Integer, String>> list = new ArrayList<Entry<Integer, String>>(set);         
		Collections.sort( list, new Comparator<Map.Entry<Integer, String>>()         
				{             public int compare( Map.Entry<Integer, String> o1, Map.Entry<Integer, String> o2 )             
								{                 
									return (o1.getValue()).compareTo( o2.getValue() );             
								}         
				} 
		);         

		int i = 0;
		for(Map.Entry<Integer, String> entry:list){
			out.println( "var tmp_" + i + "_userNameI = \"" + ESAPI.encoder().encodeForJavaScript(entry.getValue()) 
             + "\";");
  		out.println("var tmp_" + i + "_userIdI = \"" + entry.getKey() + "\";");
        i++;
  }
}
// generate msg body javascript variables for each msg template
if (msgTmpltStructs != null && msgTmpltStructs.length > 0)
{
  for ( int i = 0; i < msgTmpltStructs.length; i++ ) {
    out.println("var tmp_" + i + "_name = \"" + msgTmpltStructs[i].getSubject() + "\";");
    out.println("var tmp_" + i + "_body = \"" + msgTmpltStructs[i].getBody() + "\";");
  }
}

boolean isTheatre = false;
boolean isBuyerSurvey = false;
if (ref.structs.messageStruct != null)
{

  Integer contextId = ref.structs.messageStruct.getContextId();
  if (contextId != null)
  {
	  int conType = isSubEntity ? ref.structs.messageStruct.getSubContextType() : ref.structs.messageStruct.getContextType(); 
    switch ( conType)
    {
	    case MessageContextType.auction:
		      auction = EPASSUiRFQServices.getCurrentRFQ(ref, new AuctionKeyImpl(contextId));
		      isTheatre = auction.isTheaterAuction();
		      isBuyerSurvey = auction.isBuyerRFI();
		      break;
	    case MessageContextType.item:
	    case MessageContextType.bid:
	    	isTheatre = EPASSUiRFQServices.isTheaterAuction( ref );
	    	isBuyerSurvey = EPASSUiRFQServices.isBuyerRFI( ref );
    }
  }
}
%>

   var allowMultipleLeads = <%= allowMultipleLeads%>;

  //------------------------------------------------------------------------------
  function doSend ()
  {
    if (<%= canSendTargettedMsg%>)
    {
      if (!setsupplierRfxRecipients())
      {
        return;
      }
    }
    if (getControlValue(document.forms[0].<%= fieldNamecontextType%>,'value') == <%= MessageContextType.ORGANIZATION %> &&
    	getControlValue(document.forms[0].<%= fieldNamerecipientGroupId%>,'value') == <%= MessageRecipientGroupType.RECIPIENT %> &&
        !confirm("<esapi:js><%=  ref.convertLiteral("form.detail_message_create.ConfirmAllUsersInOrganization") %></esapi:js>" ))
    {
      return;
    }

<%    if (EPASSUiMessageServices.getMessagingUiBusinessRules().canBroadcastMessage(ref)) { %>
      if (getControlValue(document.forms[0].<%= fieldNamecontextType%>,'value') == <%= MessageContextType.ALL_ORGANIZATIONS %> &&
          !confirm("<esapi:js><%=  ref.convertLiteral("form.detail_message_create.ConfirmAllOrganizations") %></esapi:js>" ))
      {
        return;
      }
<%    } %>

<%     if ( isReply )
  {
    String s = "document.forms[0]." + fieldNamecontextType + ".value=" + sContextType + ";";
%>
    <%= s %>
<%   }
%>
    document.EPASS_FromSubmit=true;
    validate( document.forms[0] );
    // document.forms[0].submit ();
  }
  // Called by the context drop down list.
  // This function re-creates a recipient list based on the context.
  function selectRecipientInContext ()
  {
    var si;
    var contextId = "";
    var strLead = "";    

    if (typeof(document.forms[0].<%= fieldNamecontextType%>) != "undefined"
      && typeof(document.forms[0].<%= fieldNamerecipientGroupId%>) != "undefined")
    {
      var recGroupId = document.forms[0].preselectedRecGroupId.value;
      document.forms[0].preselectedRecGroupId.value=-1;
      <%
      if (lnkToDetailPage == null)
      {%>
        contextId = getControlValue(document.forms[0].<%=  fieldNamecontextType%>,'value');
      <%} else {%>
      	contextId = '<%=  isSubEntity ? fieldValueSubContextType : fieldValuecontextType%>';
      <%}%>
	
      // Wipe out the recipient list and build it from scratch based on the Message Context.
      switch (contextId) {
        case "<%= MessageContextType.ALL_ORGANIZATIONS%>":
        case "<%= MessageContextType.ORGANIZATION%>":
          document.forms[0].<%= fieldNamerecipientGroupId%>.multiple=false;
          document.forms[0].<%= fieldNamerecipientGroupId%>.options.length=0;
          document.forms[0].<%= fieldNamerecipientGroupId%>.options[0] =
            new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.Recipients" )%>",
                  <%= MessageRecipientGroupType.RECIPIENT%>);
          document.forms[0].<%= fieldNamerecipientGroupId%>.selectedIndex=0;
          break;

  // Added by sameer for Notice
        case "<%= MessageContextType.NOTICE%>":
        	document.forms[0].<%= fieldNamerecipientGroupId%>.multiple=false;
            document.forms[0].<%= fieldNamerecipientGroupId%>.options.length=0;
            document.forms[0].<%= fieldNamerecipientGroupId%>.options[0] =
              new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.Host" )%>",
                    <%= MessageRecipientGroupType.RECIPIENT%>);
            document.forms[0].<%= fieldNamerecipientGroupId%>.selectedIndex=0; 
            document.forms[0].<%= fieldNamerecipientGroupId%>.options[0].value= <%= MessageRecipientGroupType.RECIPIENT%>;
              <%
              String[] userIds=null;
               // String sipplierIds[] = null;
               //supplierNoticeRecipients
                if (supplierNoticeRecipients != null && supplierNoticeRecipients.length > 0)
                {
                    String noticeAry = request.getParameter(Misc.SELECTED_OBJECT);
                    if(noticeAry!=null)
                    {
                    	userIds = noticeAry.split(",");
                    }
                 }
              %>
               for (var i = 0; i < <%= supplierNoticeRecipients.length%>; i++)
               {
                  document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex1++] =
                  new Option(eval("tmp_" + i + "_userNameA"), eval("tmp_" + i + "_userIdA"));
               }
               for(var i=0;i<document.forms[0].<%= fieldNamerecipientGroupId%>.options.length;i++)
              {
                  <%
                     for (int j=0; userIds!=null && j<userIds.length; j++ )
                    {
                    %>
                        if(document.forms[0].<%= fieldNamerecipientGroupId%>.options[i].value == "<esapi:js><%= userIds[j]%></esapi:js>")
                        {
                          document.forms[0].<%= fieldNamerecipientGroupId%>.options[i].selected = true;
                        }
                    <%
                    }
                   %>
              }
              if (typeof(selectedRecipientsArray) != "undefined")
              {
                if (selectedRecipientsArray.length > 0)
                {
                  for (var i = 0; i < selectedRecipientsArray.length; i++)
                  {
                    var selectedValue = selectedRecipientsArray[i];
                    for (var j = 0; j < document.forms[0].<%= fieldNamerecipientGroupId%>.options.length; j++)
                    {
                      if (document.forms[0].<%= fieldNamerecipientGroupId%>.options[j].value == selectedValue)
                      {
                        document.forms[0].<%= fieldNamerecipientGroupId%>.options[j].selected = true;
                      }
                    }
                  }
                }
              }
            
         break;
        case "<%= MessageContextType.WORKFLOWTASK%>":
          document.forms[0].<%= fieldNamerecipientGroupId%>.multiple=true;
          document.forms[0].<%= fieldNamerecipientGroupId%>.options.length=0;
          var optionIndex1 = 1;
          <% if (isProject) { %>
            document.forms[0].<%= fieldNamerecipientGroupId%>.options[0] =
              new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.entire_team" )%>",
                    '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.ENTIRE_TEAM%>);
                    <% if (projectTeamRecipients != null && projectTeamRecipients.length > 0) {%>

                      for (var i = 0; i < <%= projectTeamRecipients.length%>; i++)
                      {
                        document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex1++] =
                          new Option(eval("tmp_" + i + "_userNameP"), eval("tmp_" + i + "_userIdP"));
                      }
                    <% }%>

            if (allowMultipleLeads) {
                strLead = "<%= ref.convertLiteral ( "form.detailMessageCreate.header.all_project_leads" )%>";
            } else {
                strLead = "<%= ref.convertLiteral ( "form.detailMessageCreate.header.project_lead" )%>";
            }
            document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex1++] =
              new Option(strLead,
                    '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.PROJECT_LEADS%>);
            document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex1++] =
              new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.all_task_leads" )%>",
                    '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.PROJECT_TASK_LEADS%>);


          <% } else { %>
            document.forms[0].<%= fieldNamerecipientGroupId%>.options[0] =
              new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.task_team" )%>",
                    '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.TASK_TEAM%>);

                    <% if (taskTeamRecipients != null && taskTeamRecipients.length > 0) {%>

                      for (var i = 0; i < <%= taskTeamRecipients.length%>; i++)
                      {
                        document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex1++] =
                          new Option(eval("tmp_" + i + "_userNameT"), eval("tmp_" + i + "_userIdT"));
                      }
                    <% }%>
            document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex1++] =
              new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.task_lead" )%>",
                    '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.TASK_LEADS%>);
          <% } %>
          document.forms[0].<%= fieldNamerecipientGroupId%>.selectedIndex=0;
          break;

        case "<%= MessageContextType.AUCTION%>":
        case "<%= MessageContextType.ITEM%>":
        case "<%= MessageContextType.BID%>":

          <%-- PR# ESP-47221 - Added boolean flag to decide if the team contact info needs to be hidden --%>
          <% boolean hideTeamContactInfo = EPASSConfig.getInstance().getBooleanParameter(EPASSUiRFQServices.EPASS_HIDE_TEAM_CONTACT_INFO) &&
        		  							ref.isUserSeller(); %>	
          if(document.forms[0].<%= fieldNamerecipientGroupId%>.type != 'hidden')
          {
            if( (contextId == "<%= MessageContextType.AUCTION%>" || contextId == "<%= MessageContextType.ITEM%>" )
                &&
                <%= canSendTargettedMsg%>
              )
            {
              document.forms[0].<%= fieldNamerecipientGroupId%>.multiple=true;
              document.forms[0].<%= fieldNamerecipientGroupId%>.options.length=0;
              var optionIndex = 0;
                    document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex++] =
                    new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.Host" )%>",
                    '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.AUCTIONHOST%>);
                    <% if (cohostRfxRecipients != null && cohostRfxRecipients.length > 0 && ! hideTeamContactInfo) {%>

                        for (var i = 0; i < <%= cohostRfxRecipients.length%>; i++)
                        {
                        document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex++] =
                          new Option(eval("tmp_" + i + "_userNameH"), eval("tmp_" + i + "_userIdH"));
                        }
                    <% }%>

              <% String allInvited = (isBuyerSurvey)
                     ? ref.convertLiteral("form.detailMessageCreate.header.All_RFI")
                     : ref.convertLiteral("form.detailMessageCreate.header.All");
                String allCohosts = ref.convertLiteral("form.detailMessageCreate.header.All_cohosts");
                  boolean displayIndividualCohosts = EPASSConfig.getInstance().getBooleanParameter(
                        EPASSConfig.DETAIL_MESSAGE_CREATE_DISPLY_INDIVIDUAL_COHOSTS, false);
              %>

 			 <%if( ! hideTeamContactInfo ) {%>
              // When in an item context, we limit the list to the item level approval list

              if (contextId == "<%= MessageContextType.ITEM%>")
              {
                <% if (supplierItemRecipients != null && supplierItemRecipients.length > 0 && !isBuyerOnlyRFIQuestion) {%>
                  <% if (!ref.isUserSeller()) { // not theater seller %>
                    document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex++] =
                        new Option("<esapi:js><%=  allInvited  %></esapi:js>", '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.BIDDERS%>);
                  <% } // not theater seller - end if %>
                  for (var i = 0; i < <%= supplierItemRecipients.length%>; i++)
                  {
                    document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex++] =
                      new Option(eval("tmp_" + i + "_userNameI"), eval("tmp_" + i + "_userIdI"));
                  }
                  <% }%>
              } else {
                <% if (supplierRfxRecipients != null && supplierRfxRecipients.length > 0 && !isBuyerOnlyRFIQuestion) {%>
                  <% if (!ref.isUserSeller()) { // not theater seller %>
                    document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex++] =
                        new Option("<esapi:js><%=  allInvited  %></esapi:js>", '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.BIDDERS%>);
                  <% } // not theater seller - end if %>

                  for (var i = 0; i < <%= supplierRfxRecipients.length%>; i++)
                  {
                    document.forms[0].<%= fieldNamerecipientGroupId%>.options[optionIndex++] =
                      new Option(eval("tmp_" + i + "_userNameX"), eval("tmp_" + i + "_userIdX"));
                  }
                  <% }%>

              }// end contextId == item type
             <%}// end of if( ! hideTeamContactInfo )%>
            }
            else
            {
              document.forms[0].<%= fieldNamerecipientGroupId%>.multiple=true;
              document.forms[0].<%= fieldNamerecipientGroupId%>.options.length=0;
              document.forms[0].<%= fieldNamerecipientGroupId%>.options[0] =
                new Option("<%= ref.isUserSeller() ? ref.convertLiteral ( "form.detailMessageCreate.header.seller.Bidders" )
                 : ref.convertLiteral ( "form.detailMessageCreate.header.Bidders" )%>",
                      '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.BIDDERS%>);
              if ( ! ( <%= ref.isUserSeller() %> && <%= MessageContextType.BID%> == contextId && <%=  bDraftBidInContext %> )
                && ! ( <%= ref.isUserSeller() %> && <%=  bLockedOpenRfxInContext %> && <%= MessageContextType.BID%> == contextId) )
              {
                document.forms[0].<%= fieldNamerecipientGroupId%>.options[1] =
                  new Option("<%= ref.convertLiteral ( "form.detailMessageCreate.header.Host" )%>",
                        '<%= GROUP_PREFIX%>' + <%= MessageRecipientGroupType.AUCTIONHOST%>);
              }
              if ( recGroupId == null || recGroupId == -1 || recGroupId == <%= MessageRecipientGroupType.BIDDERS%>)
              {
                document.forms[0].<%= fieldNamerecipientGroupId%>.selectedIndex=0;
              }
              else
              {
                document.forms[0].<%= fieldNamerecipientGroupId%>.selectedIndex=1;
              }
            }
            if (typeof(selectedRecipientsArray) != "undefined")
            {
              if (selectedRecipientsArray.length > 0)
              {
                for (var i = 0; i < selectedRecipientsArray.length; i++)
                {
                  var selectedValue = selectedRecipientsArray[i];
                  for (var j = 0; j < document.forms[0].<%= fieldNamerecipientGroupId%>.options.length; j++)
                  {
                    if (document.forms[0].<%= fieldNamerecipientGroupId%>.options[j].value == selectedValue)
                    {
                      document.forms[0].<%= fieldNamerecipientGroupId%>.options[j].selected = true;
                    }
                  }
                }
              }
            }
          }
          break;
        default:
          document.forms[0].btnSend.disabled = true;
          document.forms[0].<%= fieldNamerecipientGroupId%>.multiple=false;
          document.forms[0].<%= fieldNamerecipientGroupId%>.options.length=0;
          alert( "<esapi:js><%=  ref.convertLiteral("form.detail_message_create.noContext") %></esapi:js>" );
          onClickCancel();
          break;
      }
    }
    if ( typeof(document.forms[0].<%= fieldNamerecipientGroupId%>) != "undefined" && document.forms[0].<%= fieldNamerecipientGroupId%>.length == 1 ) {
        document.forms[0].<%= fieldNamerecipientGroupId%>.options[0].selected = true;
    }

    selectPreformattedMsg();

    // by nesta for ESP-47365
    adaptToMultiSelect();
  }

  function selectPreformattedMsg ()
  {
    var si;
    var contextId = "";
    if (typeof(document.forms[0].<%= fieldNamecontextType%>) != "undefined"
       && typeof(document.forms[0].<%= fieldNamepreformattedMsg%>) != "undefined")
    {
      <% if (lnkToDetailPage == null)
      {%>
        contextId = getControlValue(document.forms[0].<%= fieldNamecontextType%>,'value');
      <%} else {%>
        contextId = '<%=  fieldValuecontextType.intValue()%>';
      <%}%>

      if( (contextId == "<%= MessageContextType.AUCTION%>" || contextId == "<%= MessageContextType.ITEM%>")
        &&
        <%= canSendTargettedMsg%>
        &&
        <%= preformattedMsgsIds.length%> > 1
        )
      {
        var saveIndex = 0;
        if ("<esapi:js><%= selectedTemplate  %></esapi:js>" != "")
        {
          saveIndex = '<esapi:js><%= selectedTemplate  %></esapi:js>';
        }
        document.forms[0].<%= fieldNamepreformattedMsg%>.options[0] =
          new Option("<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.detailMessageCreate.header.select_msg"))%>", "0");
        for (var i = 0; i < <%= preformattedMsgsIds.length%>; i++)
        {
          document.forms[0].<%= fieldNamepreformattedMsg%>.options[i+1] =
            new Option(eval("tmp_" + i + "_name"), i+1);
        }
        document.forms[0].<%= fieldNamepreformattedMsg%>.selectedIndex=saveIndex;
      }
      else
      {
          document.forms[0].<%= fieldNamepreformattedMsg%>.options.length=0;
          document.forms[0].<%= fieldNamepreformattedMsg%>.options[0] =
              new Option('<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("Misc.NA"))%>', "0");
          document.forms[0].<%= fieldNamepreformattedMsg%>.selectedIndex=0;
      }
    }
  }

  function onClickPreformattedMsg() {
    var index = document.forms[0].<%= fieldNamepreformattedMsg%>.selectedIndex;
    var isReply = <%= isReply %>;

    if (isReply)
    {
      if (index > 0)
      {
        document.forms[0].<%= fieldNamebody%>.value =
          eval("tmp_" + (index-1) + "_body") + "\n" +
          document.forms[0].<%= fieldNamebody%>.value;
      }
    }
    else
    {
      if (index > 0)
      {
        document.forms[0].<%= fieldNamebody%>.value = eval("tmp_" + (index-1) + "_body");
      }
    }
  }

  function onClickCancel () {
        if ( <%=  isReply%> )
        {
            window.close();
        } else {
        <% if (canPerformDeleteDraft) {%>
      NAV_FireEvent (top, "deleteDraftMessage");
        <% } else {%>
        window.close();
        <% } %>
    }
  }

  function NAV_HandleEvent(var1, var2) {
    if (var1 == "updateAttachmentsNumber") {
      document.forms[0].<%=  EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.REFRESH_PAGE%>;
      document.forms[0].submit();
    }
    else if (var1 == "deleteDraftMessage") {
      document.forms[0].<%=  EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.DELETE%>;
      document.forms[0].submit();
    }

        <% if ( "true".equalsIgnoreCase( ref.req.getParameter( EPASSUiHelpServices.IS_TUTORIAL_PARAM ) ) ) { %>
            else if( var1 == "<%= EPassTree._sNavigationEvent%>" ) {
                var splitted  = var2.split( ";" );
                var goToDir   = splitted[0];
                var goToParam = (splitted.length == 2)? splitted[1]: "";

                if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
                    ||
                    goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
                  )
                {
                    <%= EPassTree.getInstance( ref, ref.userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
                }
                else
                {
                    <%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
                }
            }
        <% } %>
  }

  function setsupplierRfxRecipients()
  {
    var si;
    var contextId = "";
    var suppliersSelected = "";
    var tmp = "";

    clearError(document.forms[0].<%= fieldNamerecipientGroupId%>);    
    if (typeof(document.forms[0].<%= fieldNamecontextType%>) != "undefined"
       && typeof(document.forms[0].<%= fieldNamerecipientGroupId%>) != "undefined")
    {
      <% if (lnkToDetailPage == null)
      {%>
        contextId = getControlValue(document.forms[0].<%= fieldNamecontextType%>,'value');
      <%} else {%>
        contextId = '<%=  fieldValuecontextType.intValue()%>';
      <%}%>
        //PR 16912: when targetted messages are sent through create recipient list for individual user is done through here so set this for Project / Task
      if( contextId == "<%= MessageContextType.AUCTION%>" || contextId == "<%= MessageContextType.ITEM%>"  || contextId == "<%= MessageContextType.BID%>" || contextId == "<%= MessageContextType.WORKFLOWTASK%>" )
      {
        if (document.forms[0].<%= fieldNamerecipientGroupId%>.type != 'hidden')
        {
          var selectedCount = 0;
          for(var i=0; i < document.forms[0].<%= fieldNamerecipientGroupId%>.options.length; i++)
          {
            if (document.forms[0].<%= fieldNamerecipientGroupId%>.options[i].selected)
            {
              tmp = document.forms[0].<%= fieldNamerecipientGroupId%>.options[i].value + '<%= EPASSConfig.EPASS_LIST_SEPARATOR%>';
              suppliersSelected = suppliersSelected + tmp;
              selectedCount = selectedCount + 1;
            }
          }
          if (suppliersSelected != "")
          {
            if (selectedCount > 1)
            {
              if (suppliersSelected.indexOf('<%= GROUP_PREFIX%>') > -1)
              {
                //alert('<%= ref.convertLiteral("form.detailMessageCreate.error.msg_invalid_recipient_selection")%>');
                clearError(document.forms[0].<%= fieldNamerecipientGroupId%>);
                showError(document.forms[0].<%= fieldNamerecipientGroupId%>,"<%= ref.convertLiteral("form.detailMessageCreate.error.msg_invalid_recipient_selection")%>");
                return false;
              }
            }
          }
          // ESP-58007: SELECTED_SUPPLIERS assignment is moved out of the if statement as this was not updated if none of the suppliers is selected. 
          document.forms[0].<%= SELECTED_SUPPLIERS%>.value = suppliersSelected;
        }
      }
    }
    return true;
  }

</SCRIPT>
<style>
    #toTable td {
        overflow: hidden;
    }
</style>
<SCRIPT LANGUAGE="JavaScript">
    // by nesta for ESP-47365
    
    // show recipients info in table
    var supplierRecipients = <%=MessagingHelper.convertBusinessUserToJSON(ref.sessionService, supplierRfxRecipients, cohostRfxRecipients, projectTeamRecipients, taskTeamRecipients, rfxLeadRecipients, supplierNoticeRecipients)%>;

    // adapt single select to multi select
    var adapted = false;

	function copySelectedOptionsAndShowTable() {
        // set selected attr
        var selectedVals = [];
	    $('#toList_SELECTED option[value!=""]').each(function() {
            var v = $(this).val();
            selectedVals.push(v);
	    });
        $('#bubble_msg_select option').each(function() {
            var v = $(this).val();
            if ($.inArray(v, selectedVals) != -1) {
                $(this).attr('selected', 'selected');
            } else {
                $(this).removeAttr('selected');
            }
        });
        // recipients is shown in table with email and organization
        $('#toTable').remove();
        var hasSelected = $('#bubble_msg_select option:selected').length != 0;
        if (hasSelected) {
            $('#bubble_msg_select').after(
            '<table id="toTable" border="1px" style="table-layout:fixed; border-collapse: collapse" width="95%">' +
                '<col width="40%"/>' +
                '<col width="20%"/>' +
                '<col width="40%"/>' +
                '<tr>' +
                    "<th><%=ref.convertLiteral("form.detailMessageCreate.header.to")%></th>" +
                    "<th><%=ref.convertLiteral("form.detailMessageView.column.email")%></th>" +
                    "<th><%=ref.convertLiteral("form.detailMessageCreate.title.organization")%></th>" +
                '</tr>' +
            '</table>');
            // sort by orgnization name
            var selected = [];
	        $('#bubble_msg_select option:selected').each(function() {
	            var recipient = supplierRecipients[$(this).val()];
                
	            if (recipient != undefined) {
                    selected.push(recipient);
	            } else {
	                $('#toTable').append('<tr><td>' + $(this).text() + '</td><td></td><td></td></tr>');
	            }
	        });
            selected.sort(function(a, b) {
                var orgA = a.organizationName.toLowerCase(), orgB = b.organizationName.toLowerCase();
                if (orgA < orgB) {
                    return -1;
                }
                if (orgA > orgB) {
                    return 1;
                }
                return 0;
            });
            $.each(selected, function(index, recipient) {
                $('#toTable').append('<tr><td>' + recipient.fullName + '</td><td>' + recipient.emailAddress + '</td><td>' + recipient.organizationName + '</td></tr>');
            });
            $('#toTable td').each(function() {
                $(this).attr('title', $(this).text()); 
            });
        }
        setsupplierRfxRecipients();	
	}

    function revertSelect() {
        var selectedVals = [];
        $('#bubble_msg_select option:selected').each(function() {
            var v = $(this).val();
            selectedVals.push(v);
        });
        $('#toList_SOURCE option').each(function() {
            var v = $(this).val();
            if ($.inArray(v, selectedVals) != -1) {
                $(this).attr('selected', 'selected');
            }
        });
        $('#toList_SOURCE').parents('table').find('img.HAND:first').click();
        $('#toList_SELECTED option').each(function() {
            var v = $(this).val();
            if ($.inArray(v, selectedVals) == -1) {
                $(this).attr('selected', 'selected');
            }
        });
        $('#toList_SOURCE').parents('table').find('img.HAND:last').click();
    }

    function adaptToMultiSelect() {

        // hide multi-select table row
        var td_toList = $('#toList').parent();
        var tr_toList = td_toList.parent();
        var tr_toList_sibling = tr_toList.next();
        tr_toList.hide();
        tr_toList_sibling.hide();

		var isMulti = $('#bubble_msg_select[multiple]').length != 0;
		if (isMulti) {
            $('#bubble_msg_select').css('width', '0px').css('height', '0px');
            // only need to adapt once
            if (!adapted) {

                // dialog
                $('#toListDialog').prepend(td_toList.find('table')); // multi-select 
                $('#toListDialog').dialog({
                    autoOpen: false, 
                    modal: true,
                    resizable: false,
                    width: 550,
                    closeOnEscape: false
                }); 
                $('.ui-dialog-titlebar').hide(); // hide header
                $('#toListOKButton').click(function() {
					copySelectedOptionsAndShowTable();
					
                    $('#toListDialog').dialog('close'); 
                });
                $('#toListCancelButton').click(function() {
                    revertSelect();

                    $('#toListDialog').dialog('close'); 
                });

                // set options to multi-select control
                $('#bubble_msg_select option').each(function() {
                    $(this).clone(true).appendTo($('#toList_SOURCE'));
                    var o = {dsply:$(this).text(), val:$(this).val(), linked:[]};
                    // This variable is used by multi-select control
                    toList_srce.push(o);
                });
                $('#bubble_msg_select option:selected').each(function() {
                    var v = $(this).val();
                    $('#toList_SOURCE option').each(function() {
                        if ($(this).val() == v) {
                            $(this).attr('selected', 'selected');
                        }
                    });
                });
                $('#toList_SOURCE option[value=""]').appendTo($('#toList_SOURCE'));

                // tooltip
                $('#toList_SOURCE').hover(function() {
                    $(this).find('option').each(function() {
                        $(this).attr('title', $(this).text());
                    });
                });
                $('#toList_SELECTED').hover(function() {
                    $(this).find('option').each(function() {
                        $(this).attr('title', $(this).text());
                    });
                });

                // copy selected options from source to selected
                $('#toList_SOURCE').parents('table').find('img.HAND:first').click();
                
                // UI layout
                $('#toList_SOURCE').css('width', '230px');
                $('#toList_SELECTED').css('width', '230px');

                // add select button
                $('#bubble_msg_select').after('<input id="toButton" type="button" value="<%=ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.terminology.select.no_selection_please_select"))%>"/>');
                $('#toButton').click(function() {
                    $('#toListDialog').dialog('open'); 
                });

                adapted = true;
            } else {
                // from single to multi select, show table info and Select button.
                $('#toButton').show();
            }
            copySelectedOptionsAndShowTable();
        } else {
            // from multi to single select, hide the button.
            $('#toButton').hide();
            $('#toTable').hide();
            $('#bubble_msg_select').css('width', '200px').css('height', '20px');
        }
    }
</SCRIPT>

</head>

<%-- configure the "recipient" list according to context of message with selectRecipientInContext();
  need to do this in onLoad() for selection to display correctly --%>
<body style="background-color:<esapi:htmlatt><%= popupColor %></esapi:htmlatt>;" onLoad="selectRecipientInContext();" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">
<%@ include file="include/top.inc"%>


<%@ include file="include/inc_popup_top.inc" %>

<%
// Will print the error message, if one exist. Uses a stylesheet format
  if ( ref.isMessage () )
  {
%>
    <%=  ref.getMessage () %>
<%  }
%>
<%-- +--------- TODO create title, if needed -------------+ --%>
<%
// Display the EPASS form table created above
%>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
  <TR CLASS="POPFORMBODY">
    <TD><%=  editForm %></TD>
  </TR>
</TABLE>
<DIV id="toListDialog" style="display: none">
    <input id='toListOKButton' type='button' value="<%=ref.convertLiteral("form.terminology.button.ok")%>" style='margin-left: 180px; font-family:arial, helvetica, sans-serif; font-size: 12px; width: 60px'/>
    <input id='toListCancelButton' type='button' value="<%=ref.convertLiteral("form.terminology.button.cancel")%>" style='margin-left: 10px; font-family:arial, helvetica, sans-serif; font-size: 12px; width: 60px'/>
</DIV>
<SCRIPT LANGUAGE="JavaScript">
	// by nesta for ESP-47365: hide multi-select after it is rendered.
    var td_toList = $('#toList').parent();
    var tr_toList = td_toList.parent();
    var tr_toList_sibling = tr_toList.next();
    tr_toList.hide();
    tr_toList_sibling.hide();
	var isMulti = $('#bubble_msg_select[multiple]').length != 0;
	if (isMulti) {
        $('#bubble_msg_select').css('width', '0px').css('height', '0px');
    }
</SCRIPT>

<%=  EPASSUiHelpServices.getTutorialDirections(ref)%>


<%-- Gets the initial tutorial help bubble, when form is loaded --%>
<%=  EPASSUiHelpServices.getBubbleInitScript(ref)%>

<%@ include file="include/inc_bubble_tooltip.inc" %>

<%@ include file="include/inc_popup_bottom.inc" %>



<%
// Stub file used for future inserts
%>
<%@ include file="include/bottom.inc"%>

</body>
</html>
<%
// tail.jsp used by every page in system. Gives closure and cleanup.
%>
<%@ include file="include/tail.inc"%>

<%!
MessageStruct createMsgStruct(EPASSReferences ref, String msgType)
throws EPASSApplicationException
{
  if (MessageType.BULLETIN_BOARD.toString().equals(msgType)) {
    return EPASSUiRFQServices.createBulletinBoardMessage ( ref, new AuctionKeyImpl(ref.userDataContext.getRfqId()) );
  } else {
    return EPASSUiMessageServices.createMessage ( ref );
  }
}
%>

<%!


    public BusinessUserStruct[] getRfxUserList(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException {
        // Find proper recipients for the targetted message for the RFx in context.
        // Use Rfx in message context, if applicable.  Otherwise use Rfx in user data context.
        AuctionKeyImpl auctionKey = ref.userDataContext.getRFQKey();
        if (MessageContextType.AUCTION.equals(ref.structs.messageStruct.getContextType())) {
            Integer contextId = ref.structs.messageStruct.getContextId();
            if (contextId != null) {
                auctionKey = new AuctionKeyImpl(contextId);
            }
        }
        if (auctionKey == null) {
            return null;
        }

        // what's better? calling usint a
        BusinessUserStruct[] supplierRfxRecipients = null;
        // what's better? calling usint a
        if (ref.isUserBidder(ref, auctionKey.getID())) {
            //For bidders should only show suppliers from the same org
            Integer bidderOrgId = ref.sessionService.getOrganizationKey().getID();
            supplierRfxRecipients = AuctionWorkflowApprovalHelper.getParticipantBidders(ref.sessionService, auctionKey, bidderOrgId);
        } else {
            supplierRfxRecipients = AuctionWorkflowApprovalHelper.getParticipantBidders(ref.sessionService, auctionKey, null);
        }

        // filter out sender
        Integer userID = new Integer(ref.getUserContext().userId);
        ArrayList tmp = new ArrayList();
        Set userKeys = new HashSet();
        int len = (supplierRfxRecipients == null) ? 0 : supplierRfxRecipients.length;
        for (int i = 0; i < len; i++) {
            userKeys.add(supplierRfxRecipients[i].getKey());
            if (!userID.equals(supplierRfxRecipients[i].getId())) {
                tmp.add(supplierRfxRecipients[i]);
            }
        }

        //add Organization names
        //PR 18715 - adding OrgName with Suppliers while creating target messages
        boolean getOrgName = true;
        if (getOrgName) {
            Map userKeyOrgStructMap = ref.serviceRef.getOrganizationService(ref).getOrganizationsForUserKeys(ref.sessionService, userKeys);
            if (tmp != null && tmp.size() > 0) {
                for (Iterator it = tmp.iterator(); it.hasNext();) {
                    BusinessUserStruct bu = (BusinessUserStruct) it.next();
                    OrganizationStruct orgStruct = (OrganizationStruct) userKeyOrgStructMap.get(bu.getKey());
                    if (orgStruct != null) {
                        String orgName = orgStruct.getName();
                        bu.setAttribute("ORGANIZATION_NAME", orgName);
                    }
                }
            }
        }
        return (tmp.size() == 0) ? null : (BusinessUserStruct[]) tmp.toArray(new BusinessUserStruct[0]);
    }

    //pr16604 begin
    public BusinessUserStruct[] getRfxCohostUserList(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException {
        // Find proper recipients for the targetted message for the RFx in context.
        // Use Rfx in message context, if applicable.  Otherwise use Rfx in user data context.
        AuctionKeyImpl auctionKey = ref.userDataContext.getRFQKey();
        if (MessageContextType.AUCTION.equals(ref.structs.messageStruct.getContextType())) {
            Integer contextId = ref.structs.messageStruct.getContextId();
            if (contextId != null) {
                auctionKey = new AuctionKeyImpl(contextId);
            }
        }
        if (auctionKey == null) {
            return null;
        }
               
        Boolean isUserSeller = ref.isUserSeller();
	    // PR17129 call getInvitedUsers() to display all the invited both explicit and implicit users
     	// PR 75182 added boolean parameter to exclude BuyerObservers
        BusinessUserStruct[] cohostRfxRecipients = RFxMessageHelper.getParticipantHosts(ref.sessionService, auctionKey,isUserSeller);

        // filter out sender
        Integer userID = new Integer(ref.getUserContext().userId);
        ArrayList tmp = new ArrayList();
        int len = (cohostRfxRecipients == null) ? 0 : cohostRfxRecipients.length;
        //ESP-50570. figure out duplicate host names, if first name and last name is same then its a duplicate user
        Map duplicateHosts = new HashMap();
        isUserWithDuplicateNamePresent = false;
        for (int i = 0; i < len; i++) {
        	Pair duplicateHost = new Pair(cohostRfxRecipients[i].getFirstName(),cohostRfxRecipients[i].getLastName());
        	duplicateHost.setCompareMode(Pair.COMPARE_BOTH);
        	if(duplicateHosts.put(duplicateHost,cohostRfxRecipients[i].getId()) != null)
        	{
        		isUserWithDuplicateNamePresent = true;
        	}
            if (!userID.equals(cohostRfxRecipients[i].getId())) {
                tmp.add(cohostRfxRecipients[i]);
            }
        }

        return (tmp.size() == 0) ? null : (BusinessUserStruct[]) tmp.toArray(new BusinessUserStruct[0]);
    }

    // pr16604 end

    public BusinessUserStruct[] getRfxLeadersList(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException {
        // Find proper recipients for the targetted message for the RFx in context.
        // Use Rfx in message context, if applicable.  Otherwise use Rfx in user data context.
        AuctionKeyImpl auctionKey = ref.userDataContext.getRFQKey();
        if (MessageContextType.AUCTION.equals(ref.structs.messageStruct.getContextType())) {
            Integer contextId = ref.structs.messageStruct.getContextId();
            if (contextId != null) {
                auctionKey = new AuctionKeyImpl(contextId);
            }
        }
        if (auctionKey == null) {
            return null;
        }
        // PR17129 call getInvitedUsers() to display all the invited both explicit and implicit users
        final int RfxLeader = EPASSConfig.getInstance().getIntParameter(EPASSConfig.ROLE_ID_RFX_LEAD);
        final Integer RFX_LEADER = new Integer(RfxLeader);
        BusinessUserStruct[] rfxLeadRecipients = RFxMessageHelper.getParticipantHosts(ref.sessionService, auctionKey, RFX_LEADER);

        // filter out sender
        Integer userID = new Integer(ref.getUserContext().userId);
        ArrayList tmp = new ArrayList();
        int len = (rfxLeadRecipients == null) ? 0 : rfxLeadRecipients.length;
        for (int i = 0; i < len; i++) {
            if (!userID.equals(rfxLeadRecipients[i].getId())) {
                tmp.add(rfxLeadRecipients[i]);
            }
        }

        return (tmp.size() == 0) ? null : (BusinessUserStruct[]) tmp.toArray(new BusinessUserStruct[0]);
    }


    public BusinessUserStruct[] getProjectTeamRecipientsList(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException {
        // Find proper recipients for the targetted message for the RFx in context.
        // Use Rfx in message context, if applicable.  Otherwise use Rfx in user data context.
        WorkflowTaskKeyImpl projectKey = null;
        //WorkflowTaskKeyImpl projectKey = new WorkflowTaskKeyImpl(ref.userDataContext.getProjectId()) ;
        if (MessageContextType.WORKFLOWTASK.equals(ref.structs.messageStruct.getContextType())) {
            Integer contextId = ref.structs.messageStruct.getContextId();
            if (contextId != null) {
                projectKey = new WorkflowTaskKeyImpl(contextId);
            }
        }
        if (projectKey == null) {
            return null;
        }


        BusinessUserStruct[] projectTeamRecipients = ServiceManager.getProjectManagementService()
                .getAssignedUsersForProject(ref.sessionService, projectKey);

        // filter out sender
        Integer userID = new Integer(ref.getUserContext().userId);
        ArrayList tmp = new ArrayList();
        int len = (projectTeamRecipients == null) ? 0 : projectTeamRecipients.length;
        for (int i = 0; i < len; i++) {
            if (!userID.equals(projectTeamRecipients[i].getId())) {
                tmp.add(projectTeamRecipients[i]);
            }
        }

        return (tmp.size() == 0) ? null : (BusinessUserStruct[]) tmp.toArray(new BusinessUserStruct[0]);
    }
    // pr16525 end

    public BusinessUserStruct[] getTaskTeamRecipientsList(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException {
        // Find proper recipients for the targetted message for the RFx in context.
        // Use Rfx in message context, if applicable.  Otherwise use Rfx in user data context.
        WorkflowTaskKeyImpl taskKey = null;

        if (MessageContextType.WORKFLOWTASK.equals(ref.structs.messageStruct.getContextType())) {
            Integer contextId = ref.structs.messageStruct.getContextId();
            if (contextId != null) {
                taskKey = new WorkflowTaskKeyImpl(contextId);
            }
        }
        if (taskKey == null) {
            return null;
        }


        BusinessUserStruct[] taskTeamRecipients = ServiceManager.getProjectManagementService()
                .getAssignedUsersForSubTask(ref.sessionService, taskKey, false);

        // filter out sender
        Integer userID = new Integer(ref.getUserContext().userId);
        ArrayList tmp = new ArrayList();
        int len = (taskTeamRecipients == null) ? 0 : taskTeamRecipients.length;
        for (int i = 0; i < len; i++) {
            if (!userID.equals(taskTeamRecipients[i].getId())) {
                tmp.add(taskTeamRecipients[i]);
            }
        }

        return (tmp.size() == 0) ? null : (BusinessUserStruct[]) tmp.toArray(new BusinessUserStruct[0]);
    }

    // pr16525 end
    public AssignmentStruct[] getItemUserList(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException {
        ItemKeyImpl itemKey = ref.userDataContext.getRfqItemKey();
        if (itemKey == null) {
            return null;
        }

        ArrayList supplierItemRecipients = (ArrayList) EPASSUiApprovalHelpServices.getPartnerOrHostList(
                ref, ParticipantSide.BIDDER, EnumType.ApprovalScope.ITEM, false, true);

        // filter out sender
        Integer userID = new Integer(ref.getUserContext().userId);
        ArrayList tmp = new ArrayList();
        int len = (supplierItemRecipients == null) ? 0 : supplierItemRecipients.size();
        //ESP-50570. figure out duplicate user names, if first name and last name is same then its a duplicate user
        Map duplicateHosts = new HashMap();
        isUserWithDuplicateNamePresent = false;
        for (int i = 0; i < len; i++) {
            AssignmentStruct supplierItemRecipient = (AssignmentStruct) supplierItemRecipients.get(i);
            Pair duplicateHost = new Pair(supplierItemRecipient.getAttribute("second_label"),supplierItemRecipient.getAttribute("first_label"));
        	duplicateHost.setCompareMode(Pair.COMPARE_BOTH);
        	if(duplicateHosts.put(duplicateHost,supplierItemRecipient.getAssigneeId()) != null)
        	{
        		isUserWithDuplicateNamePresent = true;
        	}
            if (!userID.equals(supplierItemRecipient.getAssigneeId())) {
                tmp.add(supplierItemRecipient);
            }
        }

        return (tmp.size() == 0) ? null : (AssignmentStruct[]) tmp.toArray(new AssignmentStruct[0]);
    }

    // get notice recepient
    
      public BusinessUserStruct[] getNoticeTeamRecipientsList(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException
	{
    	BusinessUserStruct[] supplierNoticeRecipients = new BusinessUserStruct[0]; 
    	if (!MessageContextType.NOTICE.equals(ref.structs.messageStruct.getContextType()))
    		 return supplierNoticeRecipients;
        Integer contextId = ref.structs.messageStruct.getContextId();
        if( contextId == null ) return supplierNoticeRecipients;

        List entries = new ArrayList();
        
        NoticePojoFacade pojoDelegate = (NoticePojoFacade)NoticePojoFacade.getInstance();
        supplierNoticeRecipients = pojoDelegate.getInvitedUsers(ref.sessionService,contextId,true,true);

        return supplierNoticeRecipients;
    }

    /**
     * Returns true if the current question is not visible to the suppliers, false otherwise.
     *
     * It is the responsibility of the caller to ensure that the item in context is in fact an
     * RFI question
     *
     * @param ref
     * @return
     * @throws EPASSApplicationException
     * @throws java.rmi.RemoteException
     */
    public boolean checkIsBuyerOnlyQuestion(EPASSReferences ref)
            throws EPASSApplicationException, java.rmi.RemoteException {
        ItemKeyImpl itemKey = ref.userDataContext.getRfqItemKey();
        if (null == itemKey) {
            return false;
        }
        QuestionStruct question = ref.serviceRef.getRFIService(ref).getQuestion(
                ref.sessionService, new QuestionKeyImpl(itemKey.getID()));
        Integer supplierVisibility = AttributeDefVisibility.getVisibilityForSide(
                question.getEpassAttributeDefStruct().getHiddenType(), true);
        if (AttributeDefVisibility.ABSENT.equals(supplierVisibility) || AttributeDefVisibility.HIDDEN.equals(supplierVisibility)) {
            return true;
        }
        return false;
    }
    
%>
