<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.util.*,
                 com.avinamart.WebInterface.forms.auction.ItemListPageProcessor,
                 com.avinamart.WebInterface.forms.bidding.quickbid.QuickBidPageConstructor,
                 com.avinamart.WebInterface.forms.bidding.quickbid.QuickBidServices,
				 com.avinamart.WebInterface.forms.search.SearchManager,
                 com.emptoris.framework.attribute.common.constant.AttributeDefDataType" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.DHTML.*" %>
<%@ page import="com.emptoris.framework.configuration.configclient.BrandingPropertiesReader"%>

<%@ include file="include/head.inc"%>
<%
	BrandingPropertiesReader instance = BrandingPropertiesReader.getInstance();
	String appMenuBackground = instance.getAppMenuBackground();
	
    bverboseTail = false; //defined in head.inc

    QuickBidPageConstructor pageConstructor = new QuickBidPageConstructor(ref);
    pageConstructor.constructQuickBidPage();

    ItemStruct[] itemStructs = pageConstructor.getIemsOnPage();
    final String formName = pageConstructor.getFormName();
    SpreadSheet sp = pageConstructor.getSreadSheet();

    StringBuffer listTitle = new StringBuffer("");
    listTitle.append(ref.convertLiteral( "form.listItem.title.item") ).append (" (")
             .append( itemStructs != null? String.valueOf(itemStructs.length) : "0" ).append(")") ;

    String actionBarTitle = ref.convertLiteral( "epass.multi_bid.page.title" );;
    Object actionBarButtons = toolbarItems.toString();
    int action_bar_h = 23;
%>


<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
<TITLE><esapi:html><%= actionBarTitle %></esapi:html></TITLE>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<SCRIPT LANGUAGE="JavaScript" SRC ='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC ='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC ='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC ='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "functionEvaluator.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "supportedFunctions.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "rollover.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "SpreadSheetCellSelect.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "SpreadSheet_faster.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "QuickBid.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>

<script type="text/javascript" src="<%= request.getContextPath()%>/dhtml_lib/js/util/compat.js"></script>

</head>

<body  bgcolor="#BABABA" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0" >


<div id=actionsDiv class=DIV_SELECT  ></div>

<div id=bidsApproval class=QBAPPROVEDIV ><form name = 'approveForm' ><span id='approvalContents'></span><br>
<%-- PR 23250 --%>
<input type = 'button' value = "&nbsp;&nbsp;<%=  ref.convertLiteral("form.terminology.button.ok") %>&nbsp;&nbsp;" onclick = "<%= (ref.isSupplierPreviewMode())?"doSupplierPreviewMode()":"approveBids(this.form, true)"%>">&nbsp;&nbsp;<input type = 'button' value = "<%=  ref.convertLiteral("form.terminology.button.cancel")%>" onclick = "approveBids(this.form, false)"></form><span id = 'approvalComment'  style='font-size:10;text-align:left'></span></div>
<div id=bidsTotals class=QBTOTALSDIV ><span id='totalsContents'></span><br>
<input type = 'button' value = "<%=  ref.convertLiteral("form.terminology.button.close") %>" onclick="this.parentNode.style.visibility='hidden';"><br><span id = 'TotalsComment' style='font-size:10'></span></div>
<div id=save_banner class=QB_SAVE_BANNER><span id='saveBannerContents'></span><div id = 'instructions'></div><p>
<input id=sb_but_id type=button name=ok value="<%=  ref.convertLiteral("form.terminology.button.ok") %>" onclick="this.parentNode.parentNode.style.visibility='hidden';"></div>

<script>
var bidsApprovalDiv = document.getElementById("bidsApproval");
var approvalContentDiv = document.getElementById("approvalContents");
bidsApprovalDiv.style.top = 50;
bidsApprovalDiv.style.left = 50;
bidsApprovalDiv.style.width = 400;
var approvalCommentSpan = document.getElementById("approvalComment");

var bannerElem = document.getElementById( "save_banner" );
bannerElem.style.top = 50;
bannerElem.style.left = 50;
bannerElem.style.width = 400;
var bannerElemContents = document.getElementById( "saveBannerContents");
var bannerInstructions = document.getElementById( "instructions");

$(function(){
var inps = $("input[type='text']").each(function(i){
	if($(this).attr('max__length')!= null && $(this).attr('max__length') == 255){	
		$(this).attr('maxlength','256')
		$(this).keyup(function (){
			if($(this).val().length > 255)
			{
				showError(this,'<%=ref.convertLiteral("form.detailUda.message.max_char_exceeded")%>');
			}else
			{
				clearError(this);
			}
		});
			
	}
})
});

</script>

<script>
//
// show hiding canvas until sp is rendered
//
//document.getElementsByTagName( "BODY" ).item(0).style.cursor = "progress";
var hider = document.createElement( "div" );
hider.style.position = "absolute";
hider.style.textAlign = "center";
hider.style.top = 0;
hider.style.left = 0;
hider.style.width = SpreadSheet.prototype.getVisPageW();
hider.style.height = SpreadSheet.prototype.getVisPageH()+700;
hider.style.backgroundColor = "white";
hider.style.zIndex = 2000;
hider.innerHTML = "<center>"+waitGif+"<br>"+waitHtml+"</center>";
document.getElementsByTagName( "body").item(0).appendChild( hider );

</script>

<div id=ab style="margin:2;position:absolute;top:0;left:0;background-color:<%=appMenuBackground%>;height:<%= action_bar_h%>;" >
<form name="actionbar_form" >
<div align=left><%=  pageConstructor.getTopBarButtons() %></div>
</form>
</div>

<div id=ab_ext style="position:absolute;margin:2;top:0;left:800;background-color:<%=appMenuBackground%>;height:<%= action_bar_h%>;" >&nbsp;</div>

<script>
var ab1 = document.getElementById( "ab" );
ab1.style.width = SpreadSheet.prototype.getVisPageW()-5;

</script>

<%
//PR# ESP-44442 - Santosh added request for CSRF Protection
sp.renderAll( out, request );
%>

<% if ( (pageConstructor.getPageScroller() !=null) ) { %>


   <span id="sc1"  cellspacing=0 cellpadding=0 border=0 style ='position:absolute;top:0;left:600'>
   <%=  pageConstructor.getPageScroller().toHTMLString(true) %>
    </span>

<% } %>

<SCRIPT>

var isReverse = <%=  pageConstructor.isAdvanced() %>;
var rfqDecimals =  <%= pageConstructor.getRfqDecimals()%> ;
var statusCol_JS = <%=  pageConstructor.getVisibleColumnsCount() %> -1;
var isDraftEnabled = <%= pageConstructor.isDraftsEnabled() %>;

<%= pageConstructor.getExchangeRatesMap()%>
<%= pageConstructor.getItemsJSArrays()%>
<%= pageConstructor.getRequiredIBAsArrays()%>
<%= pageConstructor.getItemBidsJSArrays()%>

var isIE = navigator.appName != "Netscape";
sp.isIE5 = isIE;
sp.isNS6 = !isIE;

// remove hiding canvas
document.getElementsByTagName( "body").item(0).removeChild( hider );

// Extend Actionbar
var ab_ext = document.getElementById( "ab_ext" );
var newWidth = <%= sp.PARENT_WIDTH%> - parseInt( ab1.style.width );
ab_ext.style.width = (newWidth > 0)?newWidth:0;
ab_ext.style.left = ab1.style.width;

sp.PARENT_ELEM.style.top = <%= action_bar_h%>;
sp.PARENT_ELEM.style.zIndex = 0;
sp.PARENT_ELEM.style.height = sp.SP_HEIGHT;

sp.createToolbar();

sp.FIRST_CELL_COL = 2;
sp.LAST_CELL_COL = <%=  sp.COLS %>;

<%//Variable used for caching the item id when the Bid_Action cell or arrow is clicked %>
var sel_item_id;

<%
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//              		Toolbar buttons and their event handlers
//
// This section adds buttons to the toolbar and define their event handlers:
//The buttons are added to the right of the tabs (items, lots and multi currency)
//////////////////////////////////////////////////////////////////////////////////////////////////////////
%>
//----------------------------------------------------------------------------------------------
<%//Two general purpose functions used by the handlers to induce delays for starting the handlers %>
function startProgressEvent( func ) {
    setTimeout( func, 500 );
    return;
}

//PR 82662-Start
function displayWaitScreenCSSDefault( ) {

}

function displayWaitScreenCSSDefaultAfterConfirm( ) {
displayWaitScreenCSS( "<center>"+waitGif+"<br>"+waitHtml+"</center>" );
}
//PR 82662-End

//----------------------------------------------------------------------------------------------
function endProgressEvent( ) {
    setTimeout( qbTimer, 100 );
    return;
}
//------------------------------------------------------------------------------------------------
function doFitToScreen() {
    startProgressEvent( doFitToScreen2 );
    return;
}
//----------------------------------------------------------------------------------------------
<%//Event handler for the "Show Legend" button %>
function showLegend( ){
  NAV_Popup( top, 1,'<%=  ref.getUserPath() %>quickbid_legend.jsp' ,700 ,750 );
  return false;
}
//----------------------------------------------------------------------------------------------------
<%//Get the frame's height. Used by the savequickbid frame to determine max height of the bid approval div%>
function getMyHeight(){
	return getWindowHeight();
}
//------------------------------------------------------------------------------------------------
<%//Event handlers for the "Show Advanced Buttons" button. They toggle between the Advanced mode, where
//the buttons are unhidden, and the Basic mode, where they are hidden %>
var QB_ADV_MODE = false;

function toggleAdvancedMode () {

	var text1 = document.getElementById( "TOOL_BAR_BTN_2_sp" );

	<% // Change the button text to basic%>
	if ( QB_ADV_MODE == true ) {
	    text1.innerHTML = "<%=  ref.convertLiteral( "epass.multi_bid.sp_toolbar.button.show_advance_mode" ) %>";
        QB_ADV_MODE = false;
	}
	<%// Change the button text to Advanced%>
	else {
        text1.innerHTML = "<%=  ref.convertLiteral( "epass.multi_bid.sp_toolbar.button.show_basic_mode" ) %>";
        QB_ADV_MODE = true;
	}
	<%//Hide/Unhide the sizing buttons on the toolbar and the column header buttons %>
	toggleToolbarIcons();
    toggleColumnIcons();
}

//-----------------------------------------------------------------------------------------
<%//The method get the total width of the tabs drawn on the spreadsheet toolbar. Thses are (optionally)
//the item list, the lots and the multi currency selection. It is used when drawControls() is called to
//add icons to the toolbar so they will be added to the right of the tabs and not under them.%>
function getTabsWidth(){

	var itemListTab = document.getElementsByName('<%= ItemListPageProcessor.ITEM_LIST_TAB_NAME %>').item(0);
    var lotsTab =document.getElementsByName('<%= pageConstructor.LOT_PARAM%>').item(0);

    var tabsWidth = 0;
    if(itemListTab != null) tabsWidth += itemListTab.offsetWidth;
    if(lotsTab != null) tabsWidth += lotsTab.offsetWidth;
    return tabsWidth;
}
//-----------------------------------------------------------------------------------------
<%//After the event handlers are defined, this workflow code adds the buttons to the toolbar section of the quick bid page:%>
var toolbarIcons = new Array();

var bidTotalBtnId;
var helpBtnId;
var showAdvBtnId;

var toolBtns = new Array();

var scrollTimer = null;
function fixScrollStart() {
    //$("#SP_TOOLBAR_sp" ).children("div").css({ "z-index" : 10000, top: document.body.scrollTop+31 });
    if ( scrollTimer == null ) {
        Util.each( toolBtns, function(id) {
            $("#"+id ).hide();
        });
        scrollTimer = setTimeout( fixScroll, 500 );
    } else {
        Util.each( toolBtns, function(id) {
            $("#"+id ).hide();
        });
        window.clearTimeout( scrollTimer );
        scrollTimer = setTimeout( fixScroll, 500 );
    }
}

function fixScroll(){
    Util.each( toolBtns, function(id) {
        $("#"+id ).css({ "z-index" : 10000, top: document.body.scrollTop+31 }).show();
    });
    scrollTimer = null;
}


Util.addEvent( window, "scroll", fixScrollStart );
Util.addEvent( window, "load", function(){
    Util.each( toolBtns, function(id) {
        $("#"+id ).appendTo("body");
    });

    fixScroll();
});

if ( sp.bCreateToolbar == true ) {

	var btn;

    var firstBtn;

    <%//------Show bid Totals button, text button (visible) %>
    firstBtn = sp.createUserBtn( "<%=  ref.convertLiteral( "epass.multi_bid.sp_toolbar.button.totals" ) %>", showBidTotals );
    sp.TOOL_BAR_OBJ.addControl(firstBtn);
    toolBtns.push(firstBtn.id);

	<%//------Show legend button, text button (visible) %>
    btn = sp.createUserBtn( "<%=  ref.convertLiteral( "epass.multi_bid.sp_toolbar.button.legend" ) %>", showLegend );
    sp.TOOL_BAR_OBJ.addControl(btn);
    toolBtns.push(btn.id);

	<%//------Show advanced buttons, text button (visible) %>
	btn = sp.createUserBtn( "<%=  ref.convertLiteral( "epass.multi_bid.sp_toolbar.button.show_advance_mode" ) %>",
							 toggleAdvancedMode );
 	sp.TOOL_BAR_OBJ.addControl(btn);
    toolBtns.push(btn.id);


    <%//------Fit To Screen, icon button (invisible)%>
    var btnImg = document.createElement( "img" );
    btnImg.src = 'img/btns/up/maximize_quickbid_icon_up.gif';
    btnImg.height = 14;
    btn = sp.createBtnWithImg(
		"<%= ref.convertLiteral( "epass.multi_bid.column.widths.fit_to_screen")%>" ,btnImg,doFitToScreen, "USER" );
    sp.TOOL_BAR_OBJ.addControl(btn);
    btn.style.visibility = 'hidden';
	toolbarIcons[0] = btn;
    toolBtns.push(btn.id);

    <%//-----Bigger Column Width%>
    btnImg = document.createElement( "img" );
    btnImg.src = 'img/btns/up/enlarge_columns_icon_up.gif';
    btnImg.height = 14;
    btn = sp.createBtnWithImg(
			" <%= ref.convertLiteral( "epass.multi_bid.column.widths.bigger")%> ", btnImg, doBiggerColW, "USER" );
    sp.TOOL_BAR_OBJ.addControl(btn);
    btn.style.visibility = 'hidden';
    toolbarIcons[1] = btn;
    toolBtns.push(btn.id);

    <%//-----Smaller Column Width%>
    btnImg = document.createElement( "img" );
    btnImg.src = 'img/btns/up/reduce_columns_icon_up.gif ';
    btnImg.height = 14;
    btn = sp.createBtnWithImg(
			" <%= ref.convertLiteral( "epass.multi_bid.column.widths.smaller")%> ", btnImg, doSmallerColW, "USER" );
    sp.TOOL_BAR_OBJ.addControl(btn);
    btn.style.visibility = 'hidden';
    toolbarIcons[2] = btn;
    toolBtns.push(btn.id);

    <%//----Autoformat Column Width%>
	/*
    btn  = sp.createUserBtn(
		" <%--ref.convertLiteral( "epass.multi_bid.column.widths.autoformat")--%> ", doAutoColW );
    sp.TOOL_BAR_OBJ.addControl(btn);
	*/

    <%//----Uniform Column Width%>
    btnImg = document.createElement( "img" );
    btnImg.src = 'img/btns/up/equal_columns_icon_up.gif ';
    btnImg.height = 14;
    btn = sp.createBtnWithImg(
		"<%= ref.convertLiteral( "epass.multi_bid.column.widths.uniform")%> ", btnImg, doUniformColW, "USER" );
    sp.TOOL_BAR_OBJ.addControl(btn);
    btn.style.visibility = 'hidden';
    toolbarIcons[3] = btn;
    toolBtns.push(btn.id);

    <% //------Create Scroll Control%>
	<% if ( (pageConstructor.getPageScroller() !=null) ) { %>
        btn  = document.getElementById( "sc1" );
        btn.id = "sc11";
        sp.TOOL_BAR_OBJ.addControl( btn );
        toolBtns.push(btn.id);
    <% } %>

	<%//All buttons were added to the toolbar. Now draw it on the page %>
    sp.TOOL_BAR_OBJ.drawControls(getTabsWidth()+10);

    if (document.getElementsByName("_LOT_") && document.getElementsByName("_LOT_").length > 0) {
        // FIX LOT DROPDOWN FOR IE7 and FF
        var lots = document.getElementsByName("_LOT_").item(0);
        lots.style.position = "absolute";
        lots.style.top = sp.PARENT_ELEM.offsetTop;
        lots.style.left = sp.TOOL_BAR_OBJ.CONTAINER.offsetLeft;
        lots.style.zIndex = 2;
        lots.offsetParent.style.zIndex=500;
        //alert(lots.offsetParent.offsetParent);
    }

}<%//End if ( sp.bCreateToolbar == true ) { %>

<%////////////////////////End toolbar buttons section /////////////////////////////////////// %>



<%
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//                   Column Header buttons and their event handlers
//
// This section adds column header buttons (unhidden by the "Show Advanced Mode" button on the
// toolbar) and define their event handlers:
//
// Clear All 	- Clear all values from the column's rows (Text, Integer, Real,Date)
// Set Value	- Set the same value in all the column's rows (Text, Integer, Real, Boolean, Date)
// Set Discount - Applies same % discount to all column's row (real, Currency)
//
//The buttons are added in the header above relevant columns
//////////////////////////////////////////////////////////////////////////////////////////////////////////

%>
//----------------------------------------------------------------------------------------------
<%//Declarations of constants for the data types of the columns used in the quick bid form%>
var NTYPES=8;
var INT_FIELD_TYPE = <%= QuickBidPageConstructor.INT_FIELD_TYPE.toString()%>;
var REAL_FIELD_TYPE = <%= QuickBidPageConstructor.REAL_FIELD_TYPE.toString()%>;
var BOOL_FIELD_TYPE = <%= QuickBidPageConstructor.BOOL_FIELD_TYPE.toString()%>;
var TEXT_FIELD_TYPE = <%= QuickBidPageConstructor.TEXT_FIELD_TYPE.toString()%>;
var DATE_FIELD_TYPE = <%= QuickBidPageConstructor.DATE_FIELD_TYPE.toString()%>;
var SINGLE_SELECTION_FIELD_TYPE = <%= QuickBidPageConstructor.SINGLE_SELECTION_FIELD_TYPE.toString()%>;
var MULTI_SELECTION_FIELD_TYPE = <%= QuickBidPageConstructor.MULTI_SELECTION_FIELD_TYPE.toString()%>;
var CURRENCY_SELECTION_FIELD_TYPE = <%= QuickBidPageConstructor.CURRENCY_SELECTION_FIELD_TYPE.toString()%>;

<%// This code generates the functions that Generate are called by the 'Set Value' buttons in
// the individual columns, according to the data type of the column. The i argument determines
// what kind of input is generated in the dialog box that setDialog( evt, iType ) generates.%>
for ( var i = 1; i < NTYPES+1; i++ ) {
	eval( "function set"+ i+"ColAction( evt ) { return setDialog( evt, "+i+" ); }");
}
<%//Write the arrays of header types and header names. %>
<%= pageConstructor.getHeadersJSArrays()%>

<%//Flag for locking the totals cells. Set to true while changing values in the entire column%>
var LOCK_CALC_COL_TOTALS = false;


//----------------------------------------------------------------------------------------------
<%//Event handler for Clear All button, includes confirmation %>
function clearColumnAction( evt ) {

    try {
        var evtElem = sp.getEvtObj(evt);
        var col = evtElem.getAttribute('column');
        
        var inputs = $("input[type='text']");
	 	for ( j=0; j< inputs.length; j++)
		{
				var element1 = inputs.eq(j);
				var col_ = parseInt($(element1).attr('col_number'));
			if($(element1).attr('READONLY')!= null && col_ == col)
			{
				//alert (" Action cannot be performed on ReadOnly Field");
				alert("<esapi:js><%= ref.convertLiteral("epass.multibid.readonly.field") %></esapi:js>");
				return false;
			}
		}
        
        if ( confirm( "<esapi:js><%= ref.convertLiteral( "epass.multi_bid.sp_toolbar.button.confirm.clear")%></esapi:js>" ) )

        for ( var i = 0; i < sp.ROWS; i++ ) {
            var cell = sp.getCellSpecial( col, i, sp.ID, false );
            if ( cell == null ) continue;

			<%//The currency selector DHTML dropdown needs a different handling %>
			if( cell.elem.getAttribute('DHTMLSelectCode') != null){
				var curSelCtrl = eval('document.' + cell.elem.getAttribute('DHTMLSelectCode'));
				curSelCtrl.setSelectedIndex(-1);
			}
			<%//If the cell has a value, clear it. Also clear accompanying hidden cells (for compound controls)
			//and trigger the Change event. %>
			else if (  typeof cell.elem.value != 'undefined'){

				if(cell.elem.value != ''){
		            cell.elem.value = '';
		            <%//Compound controls such as Date and textarea have a hidden cell accompanying the
		            //visible cell. The hidden cell must also be cleared. The visible cell has an attribute
		            //that carries the name of the hidden cell%>
					if(cell.elem.getAttribute("<%= SpreadSheetCell.IBA_CONTROL_NAME%>") != null){
						document.getElementById(cell.elem.getAttribute("<%= SpreadSheetCell.IBA_CONTROL_NAME%>")).value = '';
					}
		            <%//If the deleted cell had a previous value, need also to trigger the change event %>
					fireEventOnElement( "change", cell.elem );
				}
			}
        }
    } catch( e ) {
		//alert(e.message);
    }
}
//----------------------------------------------------------------------------------------------
<%//Event handler for the "Set Value" column header button. The handler pops up a dialog box that
//lets the user enter a value. The dialog box also includes information about the column and event
//handlers that set the values in the column below when the OK is clicked.%>
function setDialog( evt, iType ) {
    <%//This get the object (column's Set Value button) that generated the event, browser dependent. %>
    var evtElem = sp.getEvtObj(evt);

<%//When the buttons are created they are loaded with attributes to store column's info. Retirieve it here %>
    var colCode = evtElem.getAttribute('input_id');
    var colNumber = evtElem.getAttribute('column');
    
    var inputs = $("input[type='text']"); 
	 for ( j=0; j< inputs.length; j++)
	{
			var element1 = inputs.eq(j);
			var col_ = parseInt($(element1).attr('col_number'));
		if($(element1).attr('READONLY')!= null && col_ == colNumber)
		{
				//alert (" Action cannot be performed on ReadOnly Field"); 
				alert("<esapi:js><%= ref.convertLiteral("epass.multibid.readonly.field") %></esapi:js>");
				return false;
		}
	}

    var iaDataType = hdrDataTypes[parseInt(colNumber)];

	if(iaDataType == <%= AttributeDefDataType.DATE_TYPE %>){
		showQBDateAll(evt,colNumber,getHdrTitle(colNumber));
	}
	else if(iaDataType == <%= AttributeDefDataType.BOOLEAN_TYPE %> ){
		showQBListAll(evt,colNumber,'b_O_o_L_e_A_n',getHdrTitle(colNumber));
	}
	else if(iaDataType == <%= AttributeDefDataType.ENUMERATION_TYPE %> ){
		showQBListAll(evt,colNumber,colCode,getHdrTitle(colNumber));
	}
	else if(iaDataType == <%= AttributeDefDataType.ENUMERATION_TYPE_MULTI %>  ){
		showQBMultiAll(evt,colNumber,colCode,getHdrTitle(colNumber));
	}
	else if(iaDataType == <%= pageConstructor.TEXTAREA_DATA_TYPE %>){
		showQBTextareaAll(evt,colNumber,getHdrTitle(colNumber));
	}
    else if(iaDataType == <%= pageConstructor.CURRENCY_SELECTION_DATA_TYPE %>){
        showQBCurrencySelectionAll( evt, colNumber, getHdrTitle(colNumber) );
	}
    else{
		showQBTextAll(evt,colNumber,getHdrTitle(colNumber));
	}
	return;
}

//-------------------------------------------------------------------------------------------
<% // Now all supporting functions were defined. Generate Idividual Column Header Action Buttons%>

var columnIcons = new Array();
var colCntr = 0;

for ( var jj = 0; jj < hdrTypes.length; jj++ ) {

	var i = 0;
    var appendToCol = document.getElementById( jj + "_0_COLHEAD_sp" );
    var btnImg = document.createElement( "img" );
    btnImg.src = 'img/btns/up/clear_icon_up.gif';
    var btn = sp.createBtnWithImg( "<%= ref.convertLiteral( "epass.multi_bid.column_button.clear.txt")%>", btnImg, clearColumnAction, "SYS" );

	if ( appendToCol != null ) {

        if ( hdrTypes[jj] == INT_FIELD_TYPE
             || hdrTypes[jj] == REAL_FIELD_TYPE
             || hdrTypes[jj] == TEXT_FIELD_TYPE
             || hdrTypes[jj] == DATE_FIELD_TYPE
             || hdrTypes[jj] == BOOL_FIELD_TYPE
			 || hdrTypes[jj] == SINGLE_SELECTION_FIELD_TYPE
             || hdrTypes[jj] == MULTI_SELECTION_FIELD_TYPE
			 || hdrTypes[jj] == CURRENCY_SELECTION_FIELD_TYPE)
        {

            btn.setAttribute( 'column', jj );
            btn.id = "clr_col_but_" + jj;
            appendToCol.appendChild( document.createElement("BR") );
            appendToCol.appendChild( btn );
            btn.style.left = 3;
            var newLeft = btn.offsetWidth + parseInt( btn.style.left )+ 3 ;
            btn.style.top = parseInt( appendToCol.style.height) - (btn.offsetHeight+1);
            btn.style.visibility = 'hidden';
			columnIcons[colCntr++] = btn;
        }

        if ( hdrTypes[jj] == REAL_FIELD_TYPE )
        {
            i++;

            btnImg = document.createElement( "img" );
            btnImg.src = 'img/btns/up/discount_icon_up.gif';
            btn = sp.createBtnWithImg( "<%= ref.convertLiteral( "epass.multi_bid.column_button.discount.txt")%>", btnImg, discountDialog, "SYS" );
            btn.setAttribute( 'input_id', hdrNames[jj] );
            btn.setAttribute( 'input_type', hdrTypes[jj] );
            btn.setAttribute( 'column', jj );
            btn.id = "dis_col_but_" + jj;
            appendToCol = document.getElementById( jj + "_0_COLHEAD_sp" );
            appendToCol.appendChild( document.createElement("BR") );
            appendToCol.appendChild( btn );
            btn.style.left = newLeft;
            newLeft = btn.offsetWidth + parseInt( btn.style.left )+ 3 ;
            btn.style.top = parseInt( appendToCol.style.height) - (btn.offsetHeight+1);
            btn.style.visibility = 'hidden';
            columnIcons[colCntr++] = btn;
        }

        if ( hdrTypes[jj] == INT_FIELD_TYPE
             || hdrTypes[jj] == REAL_FIELD_TYPE
             || hdrTypes[jj] == BOOL_FIELD_TYPE
             || hdrTypes[jj] == TEXT_FIELD_TYPE
             || hdrTypes[jj] == DATE_FIELD_TYPE
			 || hdrTypes[jj] == SINGLE_SELECTION_FIELD_TYPE
             || hdrTypes[jj] == MULTI_SELECTION_FIELD_TYPE
			 || hdrTypes[jj] == CURRENCY_SELECTION_FIELD_TYPE)
        {
            i++;

            btnImg = document.createElement( "img" );
            btnImg.src = 'img/btns/up/set_value_icon_up.gif';
            btn = sp.createBtnWithImg( "<%= ref.convertLiteral( "epass.multi_bid.column_button.set.txt")%>", btnImg , "set"+ hdrTypes[jj]+"ColAction", "SYS" );
            btn.setAttribute( 'input_id', hdrNames[jj] );
            btn.setAttribute( 'column', jj );
            btn.id = "set_col_but_" + jj;
            appendToCol = document.getElementById( jj + "_0_COLHEAD_sp" );
            appendToCol.appendChild( document.createElement("BR") );
            appendToCol.appendChild( btn );
            btn.style.left = newLeft;
            newLeft = btn.offsetWidth + parseInt( btn.style.left )+ 3 ;
            btn.style.top = parseInt( appendToCol.style.height) - (btn.offsetHeight+1);
            btn.style.visibility = 'hidden';
            columnIcons[colCntr++] = btn;
        }

	} // no column
}


 <%
///////////////////////////////////////////////////////////////////////////////
// 					Quickbid validation and calculation methods
///////////////////////////////////////////////////////////////////////////////
%>

var BA_CREATE_NEW = 0;
var BA_EDIT_LAST = 1;
var BA_NO_BID = 2;
//------------------------------------------------------------------------------------------------------
<%//The function is called when one of the tabs on the topbar is clicked. In case there are changes pending, it
//warns the user about changing them before exiting the page. %>
function confirmSaveQBChanges(){
	return NAV_ReloadVeto();
}
//-------------------------------------------------------------------------------------
function NAV_ReloadVeto(){

	<%//if the page is empty (can happen in search mode) or no changes made, no need to confirm the reloading %>
	if(<%= !pageConstructor.hasItems() %> || !isChangesPending()) return true;

    if (SUBMIT_PROCESSING)return false;
    // Confirm data may be lost
	var isConfirm = confirm( i18n.formatMessage(
            "<%=  ref.convertLiteral( "epass.list_quick_bid.areYouSure3" ) %>" ) );

	//PR 82662-Start
	if(isConfirm)
		displayWaitScreenCSSDefaultAfterConfirm();
	//PR 82662-End
	
    return isConfirm;
}
//-----------------------------------------------------------------------------------------------------
<%//The method scans the rows and returns true if there are any pending changes that has not been saved.
//It is used whenever the page is modified or exited in order to warn the user about lost changes
%>
function isChangesPending(){
	var changed = false;
	var itemsOnPageArray = document.<%= pageConstructor.getFormName() %>.<%= QuickBidServices.IDS_IN_FORM %>.value.split(',');
	for(var i = 0; i < itemsOnPageArray.length; i++){
		var actionDiv = document.getElementById('sel_' + itemsOnPageArray[i] + '_vis');
		if(actionDiv.getAttribute('changed') == 'true' && actionDiv.getAttribute('value') != 2){
			changed =true;
			break;
		}
	}
	return changed;
}
//-------------------------------------------------------------------------------------
<% //Called on every element change in row. It examines the action cell status.
//If the row action is not "None", it marks the row as changed by setting an attribute
//by that name (changed=true) on the action cell and changes the color of the first and
//last column in the row to AntiqueWhite.
%>
function ckRow( itemId ) {
	var actionDiv = document.getElementById('sel_' + itemId + '_vis');
	var actionType = actionDiv.getAttribute('value');
	if(actionType != BA_NO_BID){
		actionDiv.setAttribute('changed','true');
		var row = actionDiv.getAttribute('sel_row');
		sp.getCell( sp.COLS-1, row, 'sp' ).elem.style.backgroundColor='AntiqueWhite';
        sp.getCell( 0, row, 'sp' ).elem.style.backgroundColor='AntiqueWhite';
	}
	
	var frm = document.item_quickbid;
	var fldName = typeof fld != 'undefined' ? fld.name : '';
	<%= pageConstructor.createFormulasCalculationJS() %>
}
//-------------------------------------------------------------------------------------
function hasPrefix( str, prefix ) {
	return  parseInt(str.indexOf(prefix)) == 0;
}
//-------------------------------------------------------------------------------------
function calculateFormulas() {alert('calculateFormulas was called');}

<% if (pageConstructor.getIemsOnPage() != null && pageConstructor.getIemsOnPage().length > 0 ) { %>
    <%= pageConstructor.getMessageFormulasJSObject() %>
<% } %>
//-------------------------------------------------------------------------------------
<% //-special method to only allow calculation on current row%>
function calcRow( itemId, fld ) {
   var frm = document.<%=  formName %>;
   var fldName = typeof fld != 'undefined' ? fld.name : '';
   <%//Get the row's currency code and its exchange rate. %>
    var rowCurrencySelector = eval('frm._' + itemId + '_<%= BidStruct.CURRENCYCODE%>');
    var rowCurrency = getControlValue(rowCurrencySelector, 'value');
    <%//Set the page's global variable to the row's exchange rate before calculating the row's formulas%>
    exchangeRate = exchangeRatesMap.get(rowCurrency);
    if(exchangeRate == null) exchangeRate = 1;

	// if fld is undefined means function is called from the onload of the page , and on load there is no need to evaluate formula except message formulas
    if(fld !== undefined){
    <%=  pageConstructor.createFormulasCalculationJS() %>
    }
	calculateMessageFormulas(frm,itemId, fldName);

}

//-------------------------------------------------------------------------------------
function showItem( v ){
  NAV_Popup( top, 1,'<%=  ref.getUserPath() %>detail_item.jsp?_eps_=Y&jspAction=1' + '&' + 'cur_id=' + v,700,550);
  return false;
}
//-------------------------------------------------------------------------------------
function createBidNoId( sAction, sItemId ) {
<%    if ( pageConstructor.isAdvanced() )  { %>
    var bidUrl = "<%=  ref.encodeURLwUP("detail_advanced_reverse_bid.jsp?") %>" + "&" +
<% } else { %>
    var bidUrl = "<%=  ref.encodeURLwUP("detail_simple_bid.jsp?") %>" + "&" +
<% } %>

     "<%=  EPASSJSPActions.ACTION %>" + "=" + sAction
     + "&" + "<esapi:js><%=  EPASSFieldName.addPrefix( BidStruct.LINEITEMID )  %></esapi:js>" + "=" + sItemId;
    NAV_Popup( top, -1, bidUrl, 370 , 500);
}
//-------------------------------------------------------------------------------------
function createBid( sAction, sItemId, sBidId ) {
    if ( sBidId == null || sBidId == "" ) {
        createBidNoId( sAction, sItemId );
        return;
    }

    var bidUrl = "<%=  ref.encodeURLwUP("detail_bid_router.jsp?") %>" + "&" +
     "<%=  EPASSJSPActions.ACTION %>" + "=" + sAction
     + "&" + "<%=  ServletBase.CURRENT_ID %>" + "=" + sBidId
     + "&" + "<esapi:js><%=  EPASSFieldName.addPrefix( BidStruct.LINEITEMID )  %></esapi:js>" + "=" + sItemId;
    NAV_Popup( top, -1, bidUrl, 370 , 500);
}
//-------------------------------------------------------------------------------------
var SUBMIT_PROCESSING = false;
function doListBid( itemId ) {
<%
 String strAddPopUrl 	= ref.encodeURLwUP ( "frames_bid_history.jsp" + "?" )
                            + "&" + EPASSJSPActions.ACTION + "=" + EPASSJSPActions.EDIT_VIEW;
%>

	NAV_Popup( top, -1, '<esapi:js><%=  strAddPopUrl  %></esapi:js>' + '&<%=  ServletBase.CURRENT_ID %>' + '=' + itemId, 600 , 1024);
}
//-------------------------------------------------------------------------------------
function NAV_HandleEvent( var1, var2 ) {
    if( var1 == "<%= EPASSUiBiddingServices.DRAFTBID_SUBMITTED_MESSAGE %>" ) {
        location = "list_quick_bid.jsp?START=<%= pageConstructor.getScrollStart()%>&SIZE=<%= pageConstructor.getScrollSize()%>";
    } else if ( var1 == "UPDATE_THEATER_PAGES" ) {
        if ( confirm ( "<esapi:js><%= ref.convertLiteral("epass.list_quick_bid.refresh_confirm") %></esapi:js>" ) ) {
            parent.location = "frames_quick_bid_reverse.jsp";
        }
    } else if ( var1 == "updateAttachmentsNumberQB" ) {
    	var attachFields = var2.split( "|" );
		//PR# ESP-44661 - Once a bid is submitted, there exist 2 SPAN elements with the same ID and Name.
		//Hence, we need to get both the elements and replace the attachment count in a for loop.
        var elements = document.getElementsByName( "ATTACH_" + attachFields[1] + "_" + attachFields[0] );
		if( elements != null ){
	        for(i=0; i<elements.length; i++){
	        	if( elements[i] != null ){
	        		elements[i].innerHTML = "(" + attachFields[2] + ")";
	        	}
	        }
		}
    } else if (var1 == "QB_CHECK_WHETHER_TO_SHOW_SAVE_BUTTON") {
        if (<%= pageConstructor.hasItems()%>) {
            NAV_FireEvent( top, 'QB_SHOW_SAVE_BUTTON', '');
        } else {
            NAV_FireEvent( top, 'QB_HIDE_SAVE_BUTTON', '');
        }
    }
}
//------------------------------------------------------------------------------------
<%
 //Method to update the enabled proxy status of the items on the page. This message is
 //called periodically by the list_quick_bid_proxy_monitor.jsp page, located in the iframe
 //proxyMonitor in this page. The monitor passes to this method an array of the id's of the
 //currently proxy enabled. The method scans all the items on this page, it turns on the
 //visibility of the proxy indicator when the item id is found in the proxy enabled array,
 //otherwise it sets the visibility to 'hidden'
%>
function upateProxyStatus(proxyEnabledItemIds){

    for(var i = 0; i < itemsIdsOnPage.length; i++){
         var iconIndicator = document.getElementById('enabledProxy' + itemsIdsOnPage[i]);
        if(_isInArray(proxyEnabledItemIds, itemsIdsOnPage[i])){
            iconIndicator.style.visibility = 'visible';
        }
        else{
            iconIndicator.style.visibility = 'hidden';
        }
    }
}
//--------------------------------------------------------------------------------------
function bidAttachIconClick(itemId,ownerType){

	<%//The last bid id for the item is stored in the hidden field named  _itemId_id.
	//See if there is such bid%>
	var lastBidIdField = eval('document.<esapi:js><%= pageConstructor.getFormName()  %></esapi:js>._' + itemId + '_id');
	var lastBidId = lastBidIdField.value;
	if(lastBidId == '' || lastBidId == 'null'){
		alert("<esapi:js><%= ref.convertLiteral("epass.list_quick_bid.error.bid_attachment_error") %></esapi:js>");
	}
	else{
		var popupURL = 'list_attachment_frame.jsp?OWNER_TYPE=' + ownerType + '&OWNER_ID=' + lastBidId ;
		NAV_Popup(top, -1, popupURL ,500, 800 );
	}
	return false;
}
//-------------------------------------------------------------------------------------
function qbTimer() {
    NAV_FireEvent( top,  "HIDE_REFRESH_BUTTON", null );
    setTimeout( qbTimer, 1500 );
}

<%=  SearchManager.captureSearchEventFunction(ref, false) %>

function cancelSearch (){
	var addedArgs = new Array();
	addedArgs[0] = '<%=  ItemListPageProcessor.LIST_ITEMS_CANCEL_SEARCH%>,true';
	NAV_Reload( this, addedArgs );
}

<%//This variable is set for the row's exchange rate before calculating a row. The functionEvaluator ises this variable
//when calculating formulas containing currencies. It defaults to the primary currency (1.0)%>
var exchangeRate = 1.0;

<%
if ( ref.isPrintPage() == false ){
%>
setTimeout( qbTimer, 1500 );
<%
}
%>
</script>

<%//Ihe rest from here is rendered only if items exist (it can happen in Search mode ) %>

<%if(pageConstructor.hasItems()){ %>

	<%if(pageConstructor.isProxyEnabled()){%>
	    <iframe id="proxy_monitor" src="list_quick_bid_proxy_monitor.jsp" style="border-width:0;width:0;height:0"></iframe>
	<%}%>

	<form name = 'headersInput'>
	<%=  pageConstructor.getHeadersInputControls() %>
	</form>
	<div id=col_dialog class=QB_COL_INPUT_DIALOG style="position:absolute;z-index:1500;visibility:hidden;">
	</div>

	<div id="SP_TOOLTIP_sp" class="SP_TOOLTIP">&nbsp;</div>

	<script>
////
/*
	if (<%--!pageConstructor.hasBids() --%> && <%--!pageConstructor.isSingleCurrency()--%> && <%--!pageConstructor.isAdvanced()--%>) {
	    alert( "<%--ref.convertLiteral("epass.list_quick_bid.message.no_previous_bids") --%>" );
	    var elemMagic = document.getElementsByName( '_uda_currencyCode').item(0);
		elemMagic.style.backgroundColor = "lightgreen";
	}
*/
	sp.setFocusFirstCell();

	</script>

	<%//This part is the common popup used by all multi select cells on the page. It is rendered only if
	// the page has multi select attributes
	if(pageConstructor.hasMultiSelectIBAs()){
	//As default, do not limit the number of moved items
	int maxMove = 10000;

	// PR 9638: Moving more than 5 entries causes IE to crash with IE 5.0 & Windows 98
	if ( ref.userDataContext.getBrowserAppVersion() != null &&
	    ref.userDataContext.getBrowserAppVersion().lastIndexOf("MSIE 5.0; Windows 98;") >= 0 ){
		maxMove=5;
	}

	String limitMessage = ref.formatMessage (ref.convertLiteral("epass.multislectcontrol.message.limit_move_exceeded"),
											 new String[] { String.valueOf(maxMove) } );
	%>

	<div class='COMPOUND_POPUP' id="QBMulti" style="width:300" onmousedown = " dragHeaderDialog('QBMulti',event)" >
	<div  class = 'INPUT_DIV_HEADER' id = 'QBMulti_title'></div>
	<table>
	<tr><td><%= ref.convertLiteral("epass.multiselectcontrol.header.source_title") %></td><td></td><td><%= ref.convertLiteral("epass.multiselectcontrol.header.selected_title") %></td></tr><tr><form name = 'QBMultiForm'>
	<td><select  name="QBMulti_SOURCE" MULTIPLE="" SIZE="5" id="QBMulti_SOURCE" style="visibility=:hidden" ONCHANGE="unselectLastOption(this)">
	  <option value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>
	</select></td>
	<td>
	<IMG SRC="<%= ref.getUserPath() + Dir.IMG %>btns/up/btn_move_listright_up.gif" ALT="<%= ref.convertLiteral("epass.multiselectcontrol.alt.arrow_toright") %>" title='<%= ref.convertLiteral("epass.multiselectcontrol.alt.arrow_toright") %>'
	ONCLICK="move_multipleSelect(QBMulti_srceBox,QBMulti_slctdBox,QBMulti_srce,QBMulti_slctd,true,<%= maxMove %>, '<esapi:htmlatt><%= ref.convertLiteral("epass.multislectcontrol.message.limit_exceeded")%></esapi:htmlatt>.',<%= maxMove %>, '<esapi:htmlatt><%= limitMessage  %></esapi:htmlatt>',true); multipleSelectWriteHidden(QBMulti_slctdBox,QBMulti_val); "
	onMouseOut="RestoreImg()" onMouseOver="SwitchImg('document.IMG72','document.IMG72','<%= ref.getUserPath() + Dir.IMG_BTNS_OVR %>btn_move_listright_ovr.gif')"
	NAME="IMG72" CLASS="FINGER" BORDER="0">
	 <br><br>
	<IMG SRC="<%= ref.getUserPath() + Dir.IMG_BTNS_UP %>btn_move_listleft_up.gif" ALT="<%= ref.convertLiteral("epass.multiselectcontrol.alt.arrow_toleft") %>" title="<%= ref.convertLiteral("epass.multiselectcontrol.alt.arrow_toleft") %>"
	ONCLICK="move_multipleSelect(QBMulti_srceBox,QBMulti_slctdBox,QBMulti_srce,QBMulti_slctd,false,<%= maxMove %> ,'<esapi:htmlatt><%= ref.convertLiteral("epass.multislectcontrol.message.limit_exceeded")%></esapi:htmlatt>.',<%= maxMove %> ,'<esapi:htmlatt><%= limitMessage  %></esapi:htmlatt>',true); multipleSelectWriteHidden(QBMulti_slctdBox,QBMulti_val); "
	onMouseOut="RestoreImg()" onMouseOver="SwitchImg('document.IMG73','document.IMG73','<%= ref.getUserPath() + Dir.IMG_BTNS_OVR %>btn_move_listleft_ovr.gif')" NAME="IMG73" CLASS="FINGER" BORDER="0"></td>
	<td><select  name="QBMulti_SELECTED" MULTIPLE="" SIZE="5" style="visibility:hidden" id="QBMulti_SELECTED" ONCHANGE="unselectLastOption(this)">
	  <option value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>
	</select></td></tr><tr><td><span id = 'multiOverride'></span></td></tr>
	<tr><td colspan = '3' align = 'center'><input type = 'button' value = "&nbsp;&nbsp;<%= ref.convertLiteral("form.terminology.button.ok") %>&nbsp;&nbsp;" onclick='OKMulti()'>&nbsp;&nbsp;<input type = 'button' value = "<%= ref.convertLiteral("form.terminology.button.cancel") %>" onclick='closeMulti()'></td></tr>
	</table><input id="QBMulti_value" type ="hidden" name="div" value = "" >
	</form>
	</div>

	<%} //End if(pageConstructor.hasMultiSelectIBAs()) %>


	<%//This part is the common popup used by all date cells on the page. It is rendered only if
	// the page has date attributes
	if(pageConstructor.hasDateIBAs()){
	%>

	<div class='COMPOUND_POPUP' id="QBDateDiv" style="width:300" onmousedown = " dragHeaderDialog('QBDateDiv',event)" >
	<div  class = 'INPUT_DIV_HEADER' id = 'QBDate_title'></div>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS %>epass_calendar.js'></SCRIPT>
	<form name = 'QBDateForm'>
	<table  align = 'center'><tr><td>
	<INPUT type="HIDDEN" name="QBDate" value="" id="QBDate">
	<INPUT type="TEXT" name="domQBDate_textDate" value="" autocomplete="off" ONBLUR="return EPASSInputControlDate(this,'QBDate')" id="domQBDate_textDate" SIZE="10" ONCHANGE=" EPASSInputControlDate(this,'QBDate')">&nbsp;<INPUT type="TEXT" value="0:00"  MAXLENGTH="5" SIZE="5" autocomplete="off" name="domQBDate_listHourMinute" id="domQBDate_listHourMinute" ONCHANGE=" EPASSInputControlDate(this,'QBDate')" ONBLUR="return EPASSInputControlDate(this,'QBDate')">&nbsp;<esapi:html><%= ref.getTimeZoneDisplay()  %></esapi:html>&nbsp;<A id = "QBDate_calendar" HREF="javascript:void 0" onClick="javascript: EPASSInputControlDatePopup('domQBDate_textDate'); return false; "><IMG SRC="<%= ref.getUserPath() + Dir.IMG %>calendar_ico.gif" BORDER="0" ID="QBDate_calendarIcon" align="absmiddle"></A></td></tr>
	<tr><td><span id = 'dateOverride'></span></td></tr><tr><td colspan = '3' align = 'center'><input type = 'button' value = "&nbsp;&nbsp;<%= ref.convertLiteral("form.terminology.button.ok") %>&nbsp;&nbsp;" onclick="OKQBDate()">&nbsp;&nbsp;<input type = 'button' value = "<%= ref.convertLiteral("form.terminology.button.cancel") %>" onclick="closeDiv('QBDateDiv')"></td></tr>
	</table></form></div>

	<%}//if(pageConstructor.hasDateIBAs()) %>

	<%//This part is the common popup used by all textareas on the page. It is rendered only if
	// the page has textarea attributes
	if(pageConstructor.hasTextareaIBAs()){
	%>

	<div class='COMPOUND_POPUP' id="QBTextareaDiv" style="width:320" onmousedown = " dragHeaderDialog('QBTextareaDiv',event)" >
	<div  class = 'INPUT_DIV_HEADER' id = 'QBTextarea_title'></div>
	<form name = 'QBTextareaForm'>
	<%-- PR 43417 , changed maxlength of below textarea  from 255 to 2000 --%>
	<table  align = 'center'><tr><td><textarea rows = '6' cols = '40' name = 'QBTextarea' id = 'QBTextarea' style = 'font-size:12px' max__length="2000" onkeyup="validateTextareaCount(this,2000,event)" onblur="hideTextAreaCounter(this)"></textarea><div id = 'QBTextarea_counter' class = 'CHARCOUNTER' ></div></td></tr>
	<tr><td><span id = 'textAreaOverride'></span></td></tr>
	<tr><td align = 'center'><input type = 'button' value = "&nbsp;&nbsp;<%= ref.convertLiteral("form.terminology.button.ok") %>&nbsp;&nbsp;" onclick="OKQBTextarea();document.getElementById('QBTextarea_counter').style.visibility = 'hidden';">&nbsp;&nbsp;<input type = 'button' value = "<%= ref.convertLiteral("form.terminology.button.cancel") %>" onclick="closeDiv('QBTextareaDiv');document.getElementById('QBTextarea_counter').style.visibility = 'hidden';"></td></tr>
	</table></form></div>

	<%}//End of if(pageConstructor.hasTextareaIBAs()) %>


	<div class='COMPOUND_POPUP' id="QBTextDiv" style="width:300" onmousedown = " dragHeaderDialog('QBTextDiv',event)" >
	<div  class = 'INPUT_DIV_HEADER' id = 'QBText_title'></div>
	<table  align = 'center'><tr><td>&nbsp;</td></tr><tr><td>
	<form name = 'QBTextForm'><span id = 'QBTextSpan'></span>
	</td></tr>
	<tr><td><input type = 'checkbox' name = 'override'>&nbsp;<%= ref.convertLiteral("epass.list_quick_bid.popup.override")%></td></tr><tr><td align = 'center' colspan = '3'><input type = 'button' value = '&nbsp;&nbsp;<%= ref.convertLiteral("form.terminology.button.ok") %>&nbsp;&nbsp;' onclick="OKQBText()">&nbsp;&nbsp;<input type = 'button' value = '<%= ref.convertLiteral("form.terminology.button.cancel") %>' onclick="closeDiv('QBTextDiv')"></td></tr></form>
	</table></div>


	<div class='COMPOUND_POPUP' id="QBListDiv" style="width:300" onmousedown = " dragHeaderDialog('QBListDiv',event)" >
	<div  class = 'INPUT_DIV_HEADER' id = 'QBList_title'></div>
	<table  align = 'center'><tr><td>&nbsp;</td></tr><tr><td >
	<form name = 'QBListForm'><select name = 'QBList'></select>
	</td></tr>
	<tr><td><input type = 'checkbox' name = 'override'>&nbsp;<%= ref.convertLiteral("epass.list_quick_bid.popup.override")%></td></tr><tr><td align = 'center' colspan = '3'><input type = 'button' value = '&nbsp;&nbsp;<%= ref.convertLiteral("form.terminology.button.ok") %>&nbsp;&nbsp;' onclick="OKQBList()">&nbsp;&nbsp;<input type = 'button' value = '<%= ref.convertLiteral("form.terminology.button.cancel") %>' onclick="closeDiv('QBListDiv')"></td></tr></form>
	</table></div>


    <div class='COMPOUND_POPUP' id="QBCurSelDiv" style="width:300" onmousedown = " dragHeaderDialog('QBCurSelDiv',event)" >
	<div  class = 'INPUT_DIV_HEADER' id = 'QBCurSel_title'></div>
	<table  align = 'center'><tr><td>&nbsp;</td></tr><tr><td >
	<form name = 'QBCurSelForm'>
    <%= pageConstructor.getColumnAllCurrencySelector()%>
    </td></tr>
	<tr><td><input type = 'checkbox' name = 'override'>&nbsp;Override existing values</td></tr><tr><td align = 'center' colspan = '3'><input type = 'button' value = '&nbsp;&nbsp;OK&nbsp;&nbsp;' onclick="OKQBCurSel()">&nbsp;&nbsp;<input type = 'button' value = 'Cancel' onclick="closeDiv('QBCurSelDiv')"></td></tr></form>
	</table></div>

    <div class='COMPOUND_POPUP' id="QBDiscountDiv" style="width:300" onmousedown = " dragHeaderDialog('QBDiscountDiv',event)" >
	<div  class = 'INPUT_DIV_HEADER' id = 'QBDiscount_title'>Apply Column Discount</div>
	<table  align = 'center'><tr><td>&nbsp;</td></tr>
	<form name = 'QBDiscountForm'>
	<tr><td><input type = 'text' name = 'QBDiscount' ></td></tr>
	<tr><td ><%= ref.convertLiteral("epass.list_quick_bid.discount_type") %>&nbsp;&nbsp;&nbsp;&nbsp;<input type = 'radio' name = 'QBDiscountType' checked>&nbsp;<%= ref.convertLiteral("epass.list_quick_bid.discount_percent") %><input type = 'radio' name = 'QBDiscountType'>&nbsp;<%= ref.convertLiteral("epass.list_quick_bid.discount_amount") %></td></tr>
	<tr><td>&nbsp;</td></tr><tr><td align = 'center' colspan = '3'><input type = 'button' value = "&nbsp;&nbsp;<%= ref.convertLiteral("form.terminology.button.ok") %>&nbsp;&nbsp;" onclick="applyQBDiscount(this.form.QBDiscountType[1].checked, this.form.QBDiscount.value)">&nbsp;&nbsp;<input type = 'button' value = '<%= ref.convertLiteral("form.terminology.button.cancel") %>' onclick="closeDiv('QBDiscountDiv')"></td></tr>
	</form>
	</table></div>
<%} //End of if(pageConstructor.hasItems())
//Otherwise, provide a screen that hide the items area and present the message that no items were found
else{ %>

	<script>

	var noItemsScreen = document.createElement( "div" );
	noItemsScreen.style.position = "absolute";
	noItemsScreen.style.textAlign = "center";
	noItemsScreen.style.top = 50;
	noItemsScreen.style.left = 0;
	noItemsScreen.style.width = SpreadSheet.prototype.getVisPageW();
	noItemsScreen.style.height = SpreadSheet.prototype.getVisPageH()+650;
	noItemsScreen.style.backgroundColor = "white";
	noItemsScreen.style.zIndex = 2000;
	//The if condition below has been added to fix PR 55783
	<% if (pageConstructor.canShowBids()) {%>
		noItemsScreen.innerHTML = "<br><br><P CLASS =\"STATUS_MESSAGE\"><%= ref.convertLiteral("form.listBid.message.no_data_available") %></P>";
	<% } else {%>
		noItemsScreen.innerHTML = "<br><br><P CLASS =\"STATUS_MESSAGE\"><%= ref.convertLiteral("form.listBid.locked") %></P>";
	<% }%>
	
	document.getElementsByTagName( "body").item(0).appendChild( noItemsScreen );
	</script>
<%} %>

<script>
// PR 44737. This function notifies list_quick_bid_bottom.jsp whether to display the save button.
// Invoked from onload() function.
function sendVisibilityStatus() {
    if (<%= pageConstructor.hasItems()%>) {
        NAV_FireEvent( top, 'QB_SHOW_SAVE_BUTTON', '');
    } else {
        NAV_FireEvent( top, 'QB_HIDE_SAVE_BUTTON', '');
    }
}

//
// no delivery dates from the past: pr 43415
//
function patchDeliveryDates(){try{
    var inpts = document.getElementsByTagName("input");
    for ( var i=0; i<inpts.length;i++ ) {
        var cName = inpts[i].getAttribute('IBA_CONTROL');
        if ( cName ) {
            for ( var k in hiddenDeliveryDates ) {
                if ( cName == "_"+hiddenDeliveryDates[k]+"_deliveryDate" ) {
                    inpts[i].className = "STATIC_CELL";
                    inpts[i].setAttribute( "DISABLED", true );
                    inpts[i].onclick=function (){this.blur();};
                    inpts[i].value = "<%=  ref.convertLiteral("Misc.NA")%>";
                    var elem = document.getElementById(cName);
                    if ( elem ) elem.setAttribute( "DISABLED", true );

                }
            }
        }
    }
}catch(e){}}

Util.addEvent(window, "load", patchDeliveryDates );

</script>
<%-- Following gives different results depending on pageConstructor.hasItems() --%>
<%= pageConstructor.getOnloadFunction()%>
</body>
</html>

<%@ include file="include/tail.inc"%>
