<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.framework.watchList.common.struct.WatchListStruct" %>
<%@ page import="com.emptoris.app.partner.service.legacyInterface.PartnerServiceIntf,
                 com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct" %>
<%@ page import="com.emptoris.framework.organization.common.constant.OrganizationType" %>
<%@ page import="com.emptoris.app.partner.common.key.PartnerProfileKeyImpl" %>
<%@ page import="com.emptoris.app.partner.common.struct.PartnerProfileStruct" %>
<%@ page import="com.avinamart.BusinessLogic.Helper.Authorization.SystemAuthorizationHelper" %>
<%@ page import="java.text.Collator,
                 com.avinamart.WebInterface.forms.search.SearchManager,
                 com.avinamart.WebInterface.EPASSReferences,
                 com.avinamart.Utility.Query.EPASSQueryContext,
                 com.avinamart.Utility.Query.factory.FieldInfoProvider,
                 com.avinamart.Utility.Query.EPASSQuery,
                 com.avinamart.WebInterface.forms.search.queryprocessor.CategoryLinkQueryElementProcessor,
                 com.avinamart.WebInterface.Utility.ColumnCustomizerHelper,
                 com.avinamart.BusinessLogic.Constant.*" %>
<%@ page import="com.emptoris.base.constant.*" %>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.Partner.PartnerUiBusinessRules" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.ApplicationServices.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.*" %>

<%@ page import="com.avinamart.BusinessLogic.Helper.AttributeDefHelper" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.Utility.Exception.*" %>
<%@ page import="java.util.*" %>

<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputButton" %>
<%@ page import="com.emptoris.app.partner.service.component.hierarchy.accessor.*" %>
<%@ page import="com.emptoris.framework.organization.common.struct.OrganizationStruct" %>
<%@ page import="com.emptoris.framework.organization.common.key.OrganizationKeyImpl"%>
<%@ page import="com.emptoris.framework.organization.service.legacyInterface.OrganizationServiceIntf"%>
<%@ page import="com.emptoris.app.partner.service.component.hierarchy.manager.SHHierarchyManager"%>
<%@ page import="com.emptoris.app.partner.common.constant.SHConstantWrapper.GeneralConstants"%>
<%@ page import="com.emptoris.app.partner.common.constant.SHConstantWrapper.AssemblerConstants"%>
<%@ page import="com.emptoris.framework.attribute.common.constant.AttributeDefVisibility" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.emptoris.framework.ui.controller.internal.CSRFHelper" %>
<%@ page import="com.avinamart.Utility.EPASSQPrettyBase" %>
<%@ page import="com.avinamart.WebInterface.EPASSUiSLMHelpServices" %>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.Organization.OrganizationUiBusinessRules"%>
<%@ page import="com.ibm.sourcing.rest.util.CriteriaBuilder"%>
<%@ page import="com.ibm.sourcing.objects.PaginatedObjectCollection"%>
<%@ page import="com.ibm.sourcing.objects.Organization"%>
<%@ page import="com.ibm.sourcing.objects.SupplierOrganization"%>

<%-- +---------------------------------------------------------------------------
 	JSP Head
---------------------------------------------------------------------------+ --%>
<%@ include file="include/headCtxMenu.inc" %>
<%
    boolean showContractCount = false;
    //Enhancement to use Webservice API for list pages
	int totalRecords = -1; 
    // Disabling contract column as the data is not populated and always shows 0.  Need webservice
    //  enhancement in ECM to get the data
    //showContractCount = EPASSUiContractServices.getContractManagementUiBusinessRules().canListContracts(ref);
    boolean bPerformanceEnhancementEnabled = EPASSUiFactorServices.bPerformanceEnhancementEnabled;
    OrganizationUiBusinessRules organizationUiBusinessRules = new OrganizationUiBusinessRules();    
%>

<%!

//-----------------------------------------------------------------------------
// This static method builds table model for the current table view
//-----------------------------------------------------------------------------
ArrayList createPartnerTableModel ( EPASSReferences ref, boolean showContractCount, boolean bShowCounts)
    throws EPASSApplicationException ,java.rmi.RemoteException
{
    ArrayList result               = new ArrayList ();
    EPASSTableColumnModel column   = null;
    EPASSTableColumnModel columnID = null;
	
    //----------- checkbox column
    columnID = new EPASSTableColumnModel ( Nav.SPACE
                                        , EPASSTableColumnModel.CHECK_BOX
                                        , PartnerProfileStruct.ID );
    columnID.setWidth( "5%" );
    columnID.setLabel ( ref.convertLiteral("form.terminology.column.headers.checkbox"));////DYNAMIC TABLE MODIFICATION
    columnID.setRequiredColumn(Boolean.TRUE);	////DYNAMIC TABLE MODIFICATION

    column = new EPASSTableColumnModel (ref.convertLiteral ("form.list_supplier.header.supplier" )
                                        , EPASSTableColumnModel.PLAIN_HTML
                                        , EPASSUiFactorServices.FIELD_NAME_ORGANIZATION );
    column.setRequiredColumn(Boolean.TRUE);	////DYNAMIC TABLE MODIFICATION
    column.setColumnToSortOn(PartnerProfileStruct.PARTNERNAME);
    result.add ( column );

    //----------- Supplier Name (detail link column)
    /*column = new EPASSTableColumnModel (ref.convertLiteral ("form.list_supplier.header.summary")
                                        , EPASSTableColumnModel.DETAIL_LINK
                                        , PartnerProfileStruct.PARTNERNAME);
    // Detail column needs additional data source for ID of row
    column.setDetailLinkIDSource( columnID );
    column.setDetailLinkImageSrc(ref.getUserPath() + "img/icon_rfx_summary.gif", ref.convertLiteral("form.list_supplier.tooltip.summary"));
    column.setAllowNBSPName(false);
    column.setContextWindowName( Nav.TOP );
    column.setPopupType( new Integer( 1 ) );
    column.setPopupWidth( new Integer( 700 ) );
    column.setPopupHeight( new Integer( 600 ) );
    column.setDetailLinkTruncation(36);
    column.setCanSortColumn ( false );
    column.setRequiredColumn(Boolean.TRUE);	////DYNAMIC TABLE MODIFICATION
    result.add ( column );*/  // ESP-50111 Now 'summary icon' need not be shown on supplier list page

	//parent profile name
   if( EPASSUiFactorServices.isParentProfileNameUDAVisible(ref) )
	{
    	column = new EPASSTableColumnModel ( ref.convertLiteral( "term.ipa.parent_profile_name"),
                                         EPASSTableColumnModel.STRING_LABEL,
                                         PartnerProfileStruct.PARENTPROFILENAME );
		column.setCanSortColumn ( true );                                      
	    result.add ( column );
    }
    //----------- partner URL column
    column = new EPASSTableColumnModel ( ref.convertLiteral ( "term.ipa.url" ),
                                         EPASSTableColumnModel.STRING_LABEL,
                                         PartnerProfileStruct.PARTNERURL );
    result.add ( column );
    
    //SLM-Integration
    if (EPASSUiSLMHelpServices.isSLMEnabledForUser(ref.getBusinessUserStruct())) {
        
 	   //----------- Performance Score column
 	    column = new EPASSTableColumnModel ( ref.convertLiteral ( "form.list_supplier.header.slm_performance_score_no_line_break" ),
 	                                         EPASSTableColumnModel.PLAIN_HTML,
 	                                         EPASSUiFactorServices.FIELD_NAME_PERFORMANCE_SCORE );
 	    column.setCanSortColumn ( false );
 	    column.setAttribute("CLASS", "LIST_CURRENCY_RIGHT_PAD");
	    column.setWidth("10%");
 	    result.add ( column );
 	    
 	   //----------- Risk Score column
 	   column = new EPASSTableColumnModel ( ref.convertLiteral ( "form.list_supplier.header.slm_risk_score" ),
 	                                         EPASSTableColumnModel.PLAIN_HTML,
 	                                         EPASSUiFactorServices.FIELD_NAME_RISK_SCORE );
 	   column.setCanSortColumn ( false );
 	   column.setAttribute("CLASS", "LIST_CURRENCY_RIGHT_PAD");
	   column.setWidth("6%");
 	   result.add ( column );
     }
    //End SLM-Integration

    if ( bShowCounts )
    {
        //----------- # of contracts column
        column = new EPASSTableColumnModel ( ref.convertLiteral ( "form.list_supplier.header.num_contract" ),
                                             EPASSTableColumnModel.STRING_LABEL,
                                             PartnerProfileStruct.CONTRACTCOUNT );
        column.setCanSortColumn ( false );
        //PR 20748
        if (showContractCount)
        {
            result.add ( column );
        }

        //----------- # of categories column
        column = new EPASSTableColumnModel ( ref.convertLiteral ( "form.list_supplier.header.num_categories" ),
                                             EPASSTableColumnModel.STRING_LABEL,
                                             PartnerProfileStruct.CATEGORYCOUNT );
        column.setCanSortColumn ( false );
        result.add ( column );
    }

    //----------- status column
    column = new EPASSTableColumnModel ( ref.convertLiteral ( "form.list_supplier.header.status" ),
                                         EPASSTableColumnModel.STRING_LABEL,
                                         EPASSUiFactorServices.FIELD_NAME_APPROVEDSTATUS );
    column.setColumnToSortOn ( PartnerProfileStruct.APPROVEDSTATUS );
    result.add ( column );
    
    // Add checkbox now
    result.add ( columnID );

    return result;
}
    public class PostScrollProcessor implements EPASSTablePostScrollCallback
    {
        EPASSReferences _ref = null;
        boolean _bShowCounts = true;

        public PostScrollProcessor ( EPASSReferences ref, boolean bShowCounts )
        {        	
            _ref = ref;
            _bShowCounts = bShowCounts;
        }
        //--------------------------------------------------------------------------------------
        public WrapperObjectStruct[] postScrollProcess ( EPASSReferences ref
                                                         , WrapperObjectStruct[] displayedRows, List tableColumnModel )
            throws EPASSApplicationException, java.rmi.RemoteException, java.lang.Exception
        {
            PartnerProfileStruct [] partners = null;
            if ( displayedRows != null && displayedRows.length > 0 )
            {
                partners = new PartnerProfileStruct [ displayedRows.length ];
                for ( int i = 0; i < displayedRows.length; i++ )
                {
                    partners[i] = (PartnerProfileStruct) displayedRows[i];
                }

                // Hotspot 83731: Pass table column model. 
                partners = EPASSUiFactorServices.populateProfilesForListView ( ref, partners, tableColumnModel, _bShowCounts );

            }
            return partners == null ? new PartnerProfileStruct [ 0 ] : partners;
        }// end postScrollProcess
    }// end public class PostScrollProcessor implements EPASSTablePostScrollCallback {
        
%>

<%-- +---------------------------------------------------------------------------
 	Declarations
---------------------------------------------------------------------------+ --%>
<%

	if( request.getParameter(EPASSUiFactorServices.SWITCHED_TO_FLAT_VIEW) == null )
	{
			if(ref.userDataContext.isTreeView())
			ref.res.sendRedirect(ref.res.encodeRedirectURL(JSP.LIST_SUPPLIER_TREE_VIEW+"?"+ref.getQueryString()));
	}
	else
	{
		String switchedToFlatViewStr = request.getParameter(EPASSUiFactorServices.SWITCHED_TO_FLAT_VIEW);
		boolean isTreePage = "true".equals(switchedToFlatViewStr) ? false : true;
		ref.userDataContext.setTreeView(isTreePage);
		if(isTreePage)
		ref.res.sendRedirect(ref.res.encodeRedirectURL(JSP.LIST_SUPPLIER_TREE_VIEW+"?"+ref.getQueryString()));
	}
%>
<%    EPASSQuery query	= null;
    final String strFormName  = "partner_list";
    String strListTitle = ref.convertLiteral ( "form.list_supplier.title.suppliers" );
    PartnerProfileStruct [] arrPartners = null;
	WatchListStruct myWatchList = null;
	Collection result = new ArrayList();
    String strPageUrl = JSP.PARTNER_LIST_PAGE;
   	ref.userDataContext.setTreeView(false);
	/*
	 * Supplier Hierarchy : The "IS_PARENT_LINK_ACTION" attribute is useful when "Parent Profile Name" profile field
	 * allowed for registration page. Because in this case, parent profile search is available in both page 
	 * i.e. this list Page and popuped up create supplier page.
	 * It will indicate whether the selected supplier profile from search framework is for this Parent linking action in this page. 
	 */
	String IS_PARENT_LINK_ACTION = "IS_PARENT_LINK_ACTION";
	/*
	 * PR 64529, Anand - Added Ored condition. When control comes here from search page, the
	 * request paramter is absent. To distinguish if search is being made in SPM context
	 * custom parameter is set in search manager.
	 */
    if ( stringNotEmpty ( ref.req.getParameter ( EPASSUiFactorServices.PARAM_SPM ) ) ||
		!StringUtility.isEmpty(SearchManager.getCustomParameter(ref, EPASSUiFactorServices.PARAM_SPM)) )
    {
        strPageUrl += "?" + EPASSUiFactorServices.PARAM_SPM + "=1";
    }
    //Filter Select List box. Set specific parameters according to the view type
    EPASSHTMLFilterSelect fsMode = EPASSUiFactorServices.getFilterSelect ( ref
                                        , EPASSUiFactorServices.SUPPLIER_FILTER_PARAM
                                        , ref.encodeURL ( strPageUrl ));
    // Get the cached value for the selection criteria
    Integer intMode = fsMode.getFilterValue ();


    EPASSTableViewControl partnerTable = null;
    boolean bCurrentItemDeleted = false;
    PartnerUiBusinessRules rules = EPASSUiFactorServices.getPartnerUiBusinessRules();
    boolean bCanRequestProfile = rules.canRequestPartnerProfileGlobal( ref );
//    boolean bCanDeleteProfile = rules.canDeletePartnerProfile ( ref );
    boolean bCanDeleteProfile = false;
    boolean bCanManageFavorites = rules.canManageFavoritesList ( ref );
    boolean bCanManageMySupplierList = rules.canManageMySupplierList ( ref );
    boolean bCanManageSupplier = rules.canManageSupplier ( ref );
    boolean bClearCheckBoxes = false;
    boolean bHideOPS = !rules.canSearchSupplierByOPS(ref);
    //Enhancement to use Webservice API for list pages
    CriteriaBuilder criteriaBuilder = CriteriaBuilder.constructCriteriaBuilder(CriteriaBuilder.ServiceType.ORGANIZATION_SERVICE, ref);
    criteriaBuilder.setFilter(CriteriaBuilder.FILTER.SUPPLIER_LIST);
%>

<%-- +---------------------------------------------------------------------------
 	Action Control Block
---------------------------------------------------------------------------+ --%>
<%
    // this page will refresh itself, if asked to delete profiles. It does it
    // through EPASSJSPActions.ACTION's defined on page.
    // BEGIN ACTION CONTROL BLOCK-----------------------------------------------
    Integer intAction = null;
    if ( stringNotEmpty ( request.getParameter ( EPASSJSPActions.ACTION ) ) )
    {
        intAction = new Integer ( request.getParameter ( EPASSJSPActions.ACTION ) );
    }
    else
    {
        intAction = new Integer ( -1 );
    }

    switch ( intAction.intValue () )
    {
        case EPASSJSPActions.ADD_MY_FAVORITE:
            try
            {
                String [] arrToApprove = request.getParameterValues ( Misc.SELECTED_OBJECT );
                PartnerProfileKeyImpl[] arrKey = new PartnerProfileKeyImpl [ arrToApprove.length ];
                for ( int i = 0; i < arrToApprove.length; i = i + 1 )
                {
                    arrKey [ i ] = new PartnerProfileKeyImpl ( new Integer ( arrToApprove [ i ] ) );
                }
                EPASSUiFactorServices.addToFavorites ( ref, arrKey );
                bClearCheckBoxes = true;
            }
            catch ( EPASSApplicationException e )
            {
                error(e.getMessage(),e);
                ref.setErrorMessage ( e );
                ref.setReadOnly ( false );
            }
            break;

        case EPASSJSPActions.REMOVE_MY_FAVORITE:
            try
            {
                String [] arrToApprove = request.getParameterValues ( Misc.SELECTED_OBJECT );
                PartnerProfileKeyImpl[] arrKey = new PartnerProfileKeyImpl [ arrToApprove.length ];
                for ( int i = 0; i < arrToApprove.length; i = i + 1 )
                {
                    arrKey [ i ] = new PartnerProfileKeyImpl ( new Integer ( arrToApprove [ i ] ) );
                }
                EPASSUiFactorServices.removeFavorites( ref, arrKey );
                bClearCheckBoxes = true;
            }
            catch ( EPASSApplicationException e )
            {
                error(e.getMessage(),e);
                ref.setErrorMessage ( e );
                ref.setReadOnly ( false );
            }
            break;

        case EPASSJSPActions.ADD_MY_LIST:
		    try {
		        EPASSUiWatchListServices.AddMyList(ref, ObjectType.MYSUPPLIER);
		    } catch (EPASSApplicationException e ){
		        ref.setErrorMessage(e);
		    }
              break;

        case EPASSJSPActions.REMOVE_MY_LIST:
            try
            {
		        EPASSUiWatchListServices.RemoveFromMyList(ref, ObjectType.MYSUPPLIER);
		        }		        
            catch ( EPASSApplicationException e )
            {
                ref.setErrorMessage ( e );
            }
            break;

        case EPASSJSPActions.DELETE:
            // Deletes partner from database
            try
            {
                String [] deletionArray = request.getParameterValues ( Misc.SELECTED_OBJECT );
                Integer intPartnerID = ref.userDataContext.getPartnerId ();
                if ( intPartnerID != null )
                {
                    for ( int i = 0; i < deletionArray.length; i = i + 1 )
                    {
                        if ( intPartnerID.equals ( new Integer ( deletionArray [ i ] ) ) )
                        {
                            bCurrentItemDeleted = true;
                            break;
                        }
                    }
                }
                EPASSUiFactorServices.deletePartners ( ref, deletionArray );
            }
            catch ( EPASSApplicationException e )
            {
                error(e.getMessage(),e);
                ref.setErrorMessage ( e );
                ref.setReadOnly ( false );
            }
            break;

        case EPASSJSPActions.SELF_PROFILE:
            try
            {
                PartnerProfileStruct profileSelf = ref.serviceRef
                        .getPartnerServiceIntf ( ref )
                            .getGlobalPartnerProfile ( ref.sessionService );
                StringBuffer sb = new StringBuffer ();
                sb.append ( "<html lang="+ (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") +"><head><script>" );
                String str = NavSupport.createNewWorkAndCtx ( ContextCodes.PARTNER + profileSelf.getId ()
                                                              , EPASSUiFactorServices.getEditProfileUrl ( ref )
                                                              , EPassArea.SP_CAP
                                                              , ref );
                sb.append ( str );
                sb.append ( "</script></head><body></body></html>");
%>
    <%= sb %>
<%
                return;
            }
            catch ( Exception e )
            {
                error(e.getMessage(),e);
            }
            break;

        //-------------------------------------------------------------------------------------//
        //--------------                    VIEW_QUERY_RESULTS             --------------------//
        // This is an entry call, the page is called from the seearch form page and is shown   //
        // as the bottom frame of the search results frames set. In this view the sort order   //
        // is determined in the serach form and the filter SELECT box is omitted from the      //
        // action bar.
        //-------------------------------------------------------------------------------------//
        case EPASSJSPActions.VIEW_QUERY_RESULTS:
			//Enhancement to use Webservice API for list pages        	
            query = SearchManager.getRequestQuery( ref, new CategoryLinkQueryElementProcessor(), null, criteriaBuilder);
        break;      

        default:
            break;
    }
   // END ACTION CONTROL BLOCK-------------------------------------------------

    
    // Get the table model
    ArrayList partnerTableModel = createPartnerTableModel ( ref, showContractCount, ! bPerformanceEnhancementEnabled);

    // Get the custom column control
    ColumnCustomizerHelper colCustomizer = new ColumnCustomizerHelper(ref, Misc.OWNER_SUPPLIER_PROFILE_WITH_GLOBAL, ref.getOrgID());
    ArrayList alColumnModel = colCustomizer.getCustomColumnModel ( partnerTableModel );
    
    
    String strDefaultSortColumn = PartnerProfileStruct.PARTNERNAME;
    String strPageContextKey = Context.PARTNER_VIEW_CONTEXT;
    //Enhancement to use Webservice API for list pages
    PaginatedObjectCollection<Organization> paginatedObjectCollection = null;
    
    %><%=   colCustomizer.getRefreshScriptHandler()%><%


    if( intAction.intValue() != EPASSJSPActions.VIEW_QUERY_RESULTS
        && !EPASSUiFactorServices.SCOPE_NOTHING.equals(intMode))// if the filter is set to nothing, don't even make the query.
    {
        try
        {
            switch ( intMode.intValue() )
            {
                case EPASSUiFactorServices.scope_approved:
//                    arrPartners = EPASSUiFactorServices.getApprovedPartnerProfiles ( ref );
					//arrPartners = EPASSUiFactorServices.getApprovedIncompletePartnerProfiles ( ref, alColumnModel, strDefaultSortColumn, strPageContextKey );
					//Enhancement to use Webservice API for list pages
					paginatedObjectCollection = EPASSUiFactorServices.getPartnerProfilesList( ref, true, alColumnModel, strDefaultSortColumn, strPageContextKey, criteriaBuilder);
					totalRecords = criteriaBuilder.getTotalCount(paginatedObjectCollection);
					arrPartners = criteriaBuilder.convertBaseObjectsToStructsArray(paginatedObjectCollection);
					arrPartners = arrPartners != null ? arrPartners : new PartnerProfileStruct[0];
                    break;
                case EPASSUiFactorServices.scope_unapproved:
//                    arrPartners = EPASSUiFactorServices.getUnapprovedPartnerProfiles ( ref );
                    //arrPartners = EPASSUiFactorServices.getUnapprovedIncompletePartnerProfiles ( ref, alColumnModel, strDefaultSortColumn, strPageContextKey );
                    //Enhancement to use Webservice API for list pages
                    paginatedObjectCollection = EPASSUiFactorServices.getPartnerProfilesList( ref, false, alColumnModel, strDefaultSortColumn, strPageContextKey, criteriaBuilder);
                    totalRecords = criteriaBuilder.getTotalCount(paginatedObjectCollection);
					arrPartners = criteriaBuilder.convertBaseObjectsToStructsArray(paginatedObjectCollection);
					arrPartners = arrPartners != null ? arrPartners : new PartnerProfileStruct[0];
					break;
                /*case EPASSUiFactorServices.scope_linked_g:
                    arrPartners = EPASSUiFactorServices.getPartnerProfilesLinkedGlobaly ( ref , false);
                    break;
                case EPASSUiFactorServices.scope_linked_l:
                    arrPartners = EPASSUiFactorServices.getFavoritePartnerProfilesLinkedLocally ( ref, false );
                    break;*/
                case EPASSUiFactorServices.scope_favorites:
//                    arrPartners = EPASSUiFactorServices.getFavoritePartnerProfiles ( ref );
					//arrPartners = EPASSUiFactorServices.getFavoriteIncompletePartnerProfiles ( ref, alColumnModel, strDefaultSortColumn, strPageContextKey );
					//Enhancement to use Webservice API for list pages
					criteriaBuilder.setFilter(CriteriaBuilder.FILTER.SUPPLIER_ORGLIST);
					paginatedObjectCollection = EPASSUiFactorServices.getMyOrgPartnerProfilesList( ref, alColumnModel, strDefaultSortColumn, strPageContextKey, criteriaBuilder);
					totalRecords = criteriaBuilder.getTotalCount(paginatedObjectCollection);
					arrPartners = criteriaBuilder.convertBaseObjectsToStructsArray(paginatedObjectCollection);
					arrPartners = arrPartners != null ? arrPartners : new PartnerProfileStruct[0];
                    break;
                case EPASSUiFactorServices.scope_mysupplierlist:
					//result = EPASSUiWatchListServices.getMyWatchList ( ref, alColumnModel, ObjectType.MYSUPPLIER );
					//arrPartners = (PartnerProfileStruct [])result.toArray(new PartnerProfileStruct[0]);
					//Enhancement to use Webservice API for list pages
					criteriaBuilder.setFilter(CriteriaBuilder.FILTER.SUPPLIER_MYLIST);
					paginatedObjectCollection = EPASSUiFactorServices.getMySupplierPartnerProfilesList( ref, alColumnModel, strDefaultSortColumn, strPageContextKey, criteriaBuilder);
					totalRecords = criteriaBuilder.getTotalCount(paginatedObjectCollection);
					arrPartners = criteriaBuilder.convertBaseObjectsToStructsArray(paginatedObjectCollection);
					arrPartners = arrPartners != null ? arrPartners : new PartnerProfileStruct[0];
                    break;
                case EPASSUiFactorServices.scope_all:
                default:
//                    arrPartners = EPASSUiFactorServices.getPartnerProfiles ( ref );
//					arrPartners = EPASSUiFactorServices.getIncompletePartnerProfiles ( ref, alColumnModel );
					//arrPartners = EPASSUiFactorServices.getAllIncompletePartnerProfiles ( ref, alColumnModel, strDefaultSortColumn, strPageContextKey );
					//Enhancement to use Webservice API for list pages
					paginatedObjectCollection = EPASSUiFactorServices.getPartnerProfilesList( ref, null, alColumnModel, strDefaultSortColumn, strPageContextKey, criteriaBuilder);
					totalRecords = criteriaBuilder.getTotalCount(paginatedObjectCollection);
					arrPartners = criteriaBuilder.convertBaseObjectsToStructsArray(paginatedObjectCollection);
					arrPartners = arrPartners != null ? arrPartners : new PartnerProfileStruct[0];
					break;
            }
        }
        catch ( EPASSApplicationException e )
        {
            error(e.getMessage(),e);
            ref.setErrorMessage ( e );
            ref.setReadOnly ( false );
        }
    } else if (intAction.intValue() == EPASSJSPActions.VIEW_QUERY_RESULTS) {
        int maxSearchResults = EPASSUiFactorServices.supplierProfileSearchMaxResults;
        query.setMaximumRowcount(maxSearchResults + 1);
        try {
			//Enhancement to use Webservice API for list pages        	
            /*arrPartners =
                ServiceManager.getPartnerService()
                              .findPartnerProfiles( ref.sessionService, query, true );*/
            paginatedObjectCollection = EPASSUiFactorServices.findPartnerProfiles( ref.sessionService, true, maxSearchResults + 1, criteriaBuilder);
        	totalRecords = criteriaBuilder.getTotalCount(paginatedObjectCollection);
			arrPartners = criteriaBuilder.convertBaseObjectsToStructsArray(paginatedObjectCollection); 
        } catch (EPASSApplicationException e) {
            out.println("<script>alert('"
                + e.getLocalizedMessage(ref.getLocale().getLanguageLocale() )
                + "')</script>");
        }
    }


    ////***** DYNAMIC TABLE MODIFICATION*  end block of change ***************
	

    boolean bReadOnly = ! ( bCanDeleteProfile
                            || bCanManageFavorites
                            || bCanManageMySupplierList
                            || bCanManageSupplier ) ;
    partnerTable = new EPASSTableViewControl ( ref,
                              null,                                   // form name not
                                                                      // used in the
                                                                      // current version
                              ref.getUserPath () + JSP.PARTNER_LIST_PAGE, // current JSP name
                              "detail_supplier_create.jsp",
                              bReadOnly ,       		        // indicate if table is read only
                              alColumnModel,
                              arrPartners,               		// table data
                              strPageContextKey,                // key for the saving current
                                                                // table view context in to the
                                                                // SessionTracker
                              null,                             // with no buttons (create/delete)
                              strDefaultSortColumn,             // default column for sort
                              ref.getCollator(),                // collator for sorting
                              true,                             // ascending sort order
                              true,                             // late building
                              true,                             // without scroller
                              true,                             // headers are clickable
                              false,
                              true,								// Call to New Data access API
                              criteriaBuilder				   	// Current Search Criteria
                            );
	//Enhancement to use Webservice API for list pages                            		  
	//Set the following 2 attributes '_totalRecords' and '_isUsingWebServiceAPI' of EPASSTableViewControl 
	//when using new webservice API to fetch Supplier List
	if( totalRecords > -1){
		partnerTable.setTotalRecords(totalRecords);
    	//partnerTable.setUsingWebServiceAPI(true);
	}
	// Sets the Table Header Truncation
	partnerTable.setHeadersTruncation(65);
	//Create a post scroll processing callback object and register it with the table
    PostScrollProcessor postScroll = new PostScrollProcessor ( ref, ! bPerformanceEnhancementEnabled );
    partnerTable.setEPASSTablePostScrollCallback ( postScroll );

    partnerTable.setROModeForDetailLink(true);
    partnerTable.setSelectedRowID ( ref.userDataContext.getPartnerId() );
    if (null != fsMode && EPASSUiFactorServices.SCOPE_NOTHING.equals(fsMode.getFilterValue())
            && intAction.intValue() != EPASSJSPActions.VIEW_QUERY_RESULTS)
    {
        partnerTable.setNoDataAvailMessage(ref.convertLiteral("form.list_supplier.message.select_supplier_view"));
    }
    
    partnerTable.constructTable ();
    String strHtml = "";
    strHtml = partnerTable.toString ();
%>
	<script language='javascript'>
	// array of RULER_IMG names
	<%=  partnerTable.getJSArrayOfRulerImageNames()%>
	// array of contents to place into cells
	<%=  partnerTable.getJSArrayOfHeaderContents()%>
	</script>
<%
    EPASSButtonDivControl ic = null;
    
    EPASSButtonDivControl multiTaskButton = EPASSButtonDivControl.getMultiTaskingButtonHeader(ref,"_multiTaskButton",
												    		ref.convertLiteral("form.supplier_list_pages_actions_button"),
												    		ref.convertLiteral("form.supplier_list_pages_actions_button_tooltip") );    
    multiTaskButton.setExtendedText("&nbsp;&nbsp;");
    toolbarItems.addControl ( multiTaskButton );    
        
    //Remove "Tree View" option
    /*multiTaskButton.addTextButton("SwitchBtnId"
			        , ref.convertLiteral("form.list_supplier.button.tree_view")
        			, "javascript:onclickSwitchBtn();"
        			, ref.convertLiteral("form.list_supplier.button.tooltip.tree_view"));*/
        			
    if( fsMode != null && intAction.intValue() != EPASSJSPActions.VIEW_QUERY_RESULTS )
    {
        toolbarItems.addControl ( fsMode + "" );
    }
//-------------------------------------------------------------------------------------//
//--------------                Search Buttons                     --------------------//
//-------------------------------------------------------------------------------------//
//--------------Search Button
    SearchManager searchManager = new SearchManager( ObjectType.PartnerProfile.getIntegerValue(),
                                                     SearchManager.DETAIL_SEARCH_FORM,
                                                     JSP.PARTNER_LIST_PAGE );
    searchManager.setCachedSearchId( SearchManager.BASIC_PROFILE_SEARCH );
	
	// Supplier Hierarchy : Set up parent profile Search Manager.
    SearchManager parentProfileSearchMgr = EPASSUiFactorServices.getProfileSearchManager(ref);

	/*
	 * PR 64529, Anand - It is necessary to distinguish if search is being made in SPM context.
	 * It is not possible to maintain it as request parameter, hence set it as custom parameter.
	 */
	if(!StringUtility.isEmpty(ref.req.getParameter (EPASSUiFactorServices.PARAM_SPM)))
	{
		searchManager.setCustomParameter(EPASSUiFactorServices.PARAM_SPM, ref.req.getParameter (EPASSUiFactorServices.PARAM_SPM));
   		parentProfileSearchMgr.setCustomParameter(EPASSUiFactorServices.PARAM_SPM,ref.req.getParameter(EPASSUiFactorServices.PARAM_SPM) );
	}

    EPASSQueryContext context = new EPASSQueryContext();
    context.setContext( FieldInfoProvider.ORG, ref.getOrgKey() );
    // make the approval status required pr28165
    if ( EPASSUiFactorServices.bSearchFieldApprovedStatusRequired )
    {
        searchManager.setRequiredField ( PartnerProfileStruct.APPROVEDSTATUS );
    }

    searchManager.setQueryContext( ref,
                                   SearchManager.QUERY_CONTEXT + SearchManager.BASIC_PROFILE_SEARCH,
                                   context );

    // system organization uses only global profile
    if( OrganizationType.SYSTEM.equals( ref.getOrganizationType() ) )
    {
        searchManager.presetMatchField( FieldInfoProvider.CAT_LINK_TYPE,
                                        FieldInfoProvider.CAT_LINK_TYPE_GLOBAL );
        searchManager.presetMatchField( FieldInfoProvider.GLOBAL_PROFILES_FIELD_CODE,
                                        Boolean.TRUE );
    }
	if (bHideOPS)
	{
		searchManager.omitField(FieldInfoProvider.OVERALL_OPS);
	}
    searchManager.addButtonToToolbar(ref,toolbarItems);
    //--------------Cancel Search Button
    if( intAction.intValue() == EPASSJSPActions.VIEW_QUERY_RESULTS )
    {
        toolbarItems.addControl(
                    SearchManager.getCancelButton( ref,
                                                   "void submitReset()",
                                                   ref.convertLiteral( "form.list_supplier.button.tooltip.reset_list" ) )
                                    );
    }


	if ( bCanRequestProfile ) {
        multiTaskButton.addTextButton("RequestNewSupplierId"
		        , ref.convertLiteral("form.list_supplier.button.button.request_new_suppllier")
    			, "javascript:doRequest();"
    			, ref.convertLiteral("form.list_supplier.button.tooltip.request_new_suppllier") );
   	}

    // manage suppliers
    if ( bCanManageSupplier )
    {
		  multiTaskButton.addTextButton("ManageSupplierId"
			        , ref.convertLiteral("form.list_supplier.button.button.manage_supplliers")
        			, "javascript:manageProfiles ();"
        			, ref.convertLiteral("form.list_supplier.button.tooltip.manage_supplliers") );
    }

    if ( bCanDeleteProfile )
    {


        	ic = EPASSButtonDivControl.getSingleTaskImageButton( ref 
    			, "DeleteSupplierId"
    			, ref.getUserPath () + Dir.IMG_BTNS_UP + Image.DELETE_ITEM_UP_BUTTON
    			, "javascript:submitFormToDelete ();"
    			, ref.convertLiteral("form.list_supplier.button.tooltip.delete_suppllier") );

        toolbarItems.addControl ( ic );
    }

    if ( bCanManageFavorites )
    {
        EPASSButtonDivControl ic2 = null;
        String manageSupplierBtnID = null;
        String manageSupplierHandler = null;
        String manageSupplierHeader = null;
        String manageSupplierTTip = null;
        if ( EPASSUiFactorServices.SCOPE_FAVORITES.equals ( intMode ) )
        {    			
	    	 manageSupplierBtnID = "RemoveToFavouriteId";
	         manageSupplierHeader = ref.convertLiteral("form.list_supplier.button.button.remove_to_favourite");
	         manageSupplierHandler = "javascript:submitFormRemoveFavorites();";
	         manageSupplierTTip = ref.convertLiteral("form.list_supplier.button.tooltip.remove_to_favourite");
        }
        if (EPASSJSPActions.VIEW_QUERY_RESULTS == intAction.intValue()
            || (EPASSJSPActions.VIEW_QUERY_RESULTS != intAction.intValue())
                && !EPASSUiFactorServices.SCOPE_FAVORITES.equals ( intMode ))
        {		
	    	 manageSupplierBtnID = "AddToFavouriteId";
	 		 manageSupplierHeader = ref.convertLiteral("form.list_supplier.button.button.add_to_favourite");
	         manageSupplierHandler = "javascript:submitFormToAddToFavorites();";
	         manageSupplierTTip = ref.convertLiteral("form.list_supplier.button.tooltip.add_to_favourite");
        }
        if (null != manageSupplierBtnID)
        {                   
             multiTaskButton.addTextButton(manageSupplierBtnID
			        , manageSupplierHeader
        			, manageSupplierHandler
        			, manageSupplierTTip );
        }
    }

    if ( bCanManageMySupplierList )
    {
       EPASSButtonDivControl ic2 = null;       
        String manageSupplierListBtnID = null;
        String manageSupplierListHandler = null;
        String manageSupplierListHeader = null;
        String manageSupplierListTTip = null;
        if ( EPASSUiFactorServices.SCOPE_MYSUPPLIERLIST.equals ( intMode ) )
        {	
	    	 manageSupplierListBtnID = "RemoveFromMysuppliersId";
	         manageSupplierListHandler = "javascript:submitFormRemoveSuppliers();";
	         manageSupplierListHeader =  ref.convertLiteral("form.list_supplier.button.button.remove_from_mysuppliers");
	         manageSupplierListTTip = ref.convertLiteral("form.list_supplier.button.tooltip.remove_from_mysuppliers");
        }
        if (EPASSJSPActions.VIEW_QUERY_RESULTS == intAction.intValue()
            || (EPASSJSPActions.VIEW_QUERY_RESULTS != intAction.intValue())
                && !EPASSUiFactorServices.SCOPE_MYSUPPLIERLIST.equals ( intMode ))
        {	
	    	 manageSupplierListBtnID = "AddToMysuppliersId";
	         manageSupplierListHandler = "javascript:submitFormToAddToSuppliers();";
	         manageSupplierListHeader =  ref.convertLiteral("form.list_supplier.button.button.add_to_mysuppliers");
	         manageSupplierListTTip = ref.convertLiteral("form.list_supplier.button.tooltip.add_to_mysuppliers");
        }
        if (null != manageSupplierListBtnID)
        {
        	   multiTaskButton.addTextButton(manageSupplierListBtnID
			        , manageSupplierListHeader
        			, manageSupplierListHandler
        			, manageSupplierListTTip );
        }
    }

	//Add 'Export' button to allow selective export of profiles    
    if(EPASSUiFactorServices.canExport(ref))
    {
        multiTaskButton.addTextButton("ExportId"
			        , ref.convertLiteral("form.list_supplier.button.button.export_supplier")
        			, "javascript:popupExport();"
        			,ref.convertLiteral("form.list_supplier.button.tooltip.export_suppliers") );
    }
    
%>
<%=  SearchManager.captureSearchEventFunction( ref, true) %>

<script>
//-------------------------------------------------------------------------------
function submitReset ()
{
		document.<%=  strFormName%>.<%=  EPASSJSPActions.ACTION%>.value='';
		document.<%=  strFormName%>.submit ();
}

function submitFormToAddToFavorites ()
{
    if ( checkSelection ( "<%=   ref.convertLiteral ( "form.list_supplier.message.add_confirm" )%>" ) )
    {
        document.<%=  strFormName%>.<%=  EPASSJSPActions.ACTION%>.value=<%=  EPASSJSPActions.ADD_MY_FAVORITE%>;
        document.<%=  strFormName%>.submit ();
    }
}
function submitFormRemoveFavorites ()
{
    if ( checkSelection ( "<%=   ref.convertLiteral ( "form.list_supplier.message.remove_confirm" )%>" ) )
    {
        document.<%=  strFormName%>.<%=  EPASSJSPActions.ACTION%>.value=<%=  EPASSJSPActions.REMOVE_MY_FAVORITE%>;
        document.<%=  strFormName%>.submit ();
    }
}

function submitFormToAddToSuppliers ()
{
    if ( checkSelection ( "<%=   ref.convertLiteral ( "form.list_supplier.message.add_mylist_confirm" )%>" ) )
    {
        document.<%=  strFormName%>.<%=  EPASSJSPActions.ACTION%>.value=<%=  EPASSJSPActions.ADD_MY_LIST%>;
        document.<%=  strFormName%>.submit ();
    }
}

function submitFormRemoveSuppliers ()
{
    if ( checkSelection ( "<%=   ref.convertLiteral ( "form.list_supplier.message.remove_mylist_confirm" )%>" ) )
    {
        document.<%=  strFormName%>.<%=  EPASSJSPActions.ACTION%>.value=<%=  EPASSJSPActions.REMOVE_MY_LIST%>;
        document.<%=  strFormName%>.submit ();
    }
}


</script>
<%
	//    if ( ! bPerformanceEnhancementEnabled )
    {
        toolbarItems.addControl(colCustomizer.getColumnMgrButton());
    }

	Integer profileCount = ( arrPartners != null ) ? arrPartners.length: 0;
    String actionBarTitle = strListTitle
                            + " ("
                            //Enhancement to use Webservice API for list pages
                            + ( totalRecords > -1 ? totalRecords : profileCount )
                            + ")";
    // PR# 84878: Restrict list_supplier.jsp print feature to 500 suppliers.
    if(!EPASSUiFactorServices.canPrintSuppliers(profileCount))
    {
    	toolbarItems.setPrintable(false);
    }
    // End PR#84878
    Object actionBarButtons = toolbarItems;
%>

<%-- +--------------------------------------------------------------------------
 	StyleSheets and Javascript
--------------------------------------------------------------------------+ --%>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
<TITLE><esapi:html><%=   ref.convertLiteral("epass.title")%></esapi:html></TITLE>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>

<SCRIPT LANGUAGE="JavaScript" SRC='<%=   ref.getUserPath () + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=   ref.getUserPath () + Dir.JS + Javascript.EPASSTREEUTIL %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=   ref.getUserPath () + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=   ref.getUserPath () + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=   ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=   ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>

<script>
// Special page dependant context block. It describes what page lists and on what
// page depends. In this case page lists Partners and depends on no other pages
var NAV_LIST='<%=   ContextCodes.PARTNER + ","+ ContextCodes.ATTACHMENT%>';
var NAV_DEP="";
//------------------------------------------------------------------------
function popupExport(){
		if ( EPASSCheckbox.checkRequired (
	        document.<%=  strFormName%>.<%=   Misc.SELECTED_OBJECT %>,
	        "<%=   ref.convertLiteral ( "form.list_supplier.message.delete_select" )%>" ) )
	    {
      		var checkBoxes = new Array();
			var popupExport_SelectedObject = getSelectedObject();
			checkBoxes = EPASSCheckbox.getValues(popupExport_SelectedObject);
			if (checkBoxes.length > 0) {
				//added for ESP-54175
				<%if(!organizationUiBusinessRules.canShowExportSupplierProfileMenu(ref)){ %>
					var max_export_limit = <%=EPASSConfig.getInstance().getIntParameter(EPASSConfig.EPASS_SUPPLIER_PROFILE_EXPORT_MAX_ALLOWED_RECORDS)%>;
					if(checkBoxes.length > max_export_limit){ 
						var msg = '<%=ref.convertLiteral ("form.list_supplier.message.max_export_limit_alert", new Object[]{EPASSConfig.getInstance().getIntParameter(EPASSConfig.EPASS_SUPPLIER_PROFILE_EXPORT_MAX_ALLOWED_RECORDS)})%>';
						alert(msg);
					}else{
						var exportUrl = 'detail_export.jsp?' + '<%=  EPASSJSPActions.ACTION%>' + '=' + <%=  EPASSJSPActions.EXPORT_PARTNERPROFILES_SELECTIVE%> + '&listIDs=' + checkBoxes;
						NAV_Popup( top, -1, exportUrl, 550, 500 );
					}
				<%} else {%>
					var exportUrl = 'detail_export.jsp?' + '<%=  EPASSJSPActions.ACTION%>' + '=' + <%=  EPASSJSPActions.EXPORT_PARTNERPROFILES_SELECTIVE%> + '&listIDs=' + checkBoxes;
					NAV_Popup( top, -1, exportUrl, 550, 500 );
				<%}%>
				//end
			} 
	    }
}
//------------------------------------------------------------------------
function getSelectedObject(){
	return document.<%=  strFormName%>.<%=  Misc.SELECTED_OBJECT%>;
}
//------------------------------------------------------------------------
//

//------------------------------------------------------------------------------
function checkSelection (are_you_sure)
{
    if ( EPASSCheckbox.checkRequired (
        document.<%=  strFormName%>.<%=   Misc.SELECTED_OBJECT %>,
        "<%=   ref.convertLiteral ( "form.list_supplier.message.delete_select" )%>" ) )
    {
        var conf = ( typeof ( are_you_sure ) == "undefined" ? true : confirm ( are_you_sure ) );
        return conf;
    }
    else
    {
        return false;
    }
}

//------------------------------------------------------------------------------
function submitFormToDelete ()
{
    if ( checkSelection ( "<%=   ref.convertLiteral ( "form.list_supplier.message.delete_confirm" )%>" ) )
    {
        document.<%=  strFormName%>.<%=  EPASSJSPActions.ACTION%>.value=<%=  EPASSJSPActions.DELETE%>;
        document.<%=  strFormName%>.submit ();
    }
}

//------------------------------------------------------------------------------
function manageProfiles ()
{
    if ( checkSelection () )
    {
<%
	/*
	 * PR 64529, Anand - Added Ored condition. When control comes here from search page, the
	 * request paramter is absent. To distinguish if search is being made in SPM context
	 * custom parameter is set in search manager.
	 */
        String strAreaNum = "" + (EPassArea.SP_CAP );
        String strUrl = EPASSUiFactorServices.getEditProfileUrl ( ref ); 
        EPassArea area = EPassArea.getAreaInstance ( strAreaNum, ref );
        String areaColor = area.getAttribute ( EPassArea.AREA_BGCOLOR );
        String areaImage = area.getAttribute ( EPassArea.AREA_BGIMAGE );
%>
        var arrValues = EPASSCheckbox.getValues ( document.<%=  strFormName%>.<%=   Misc.SELECTED_OBJECT %> );
        var selectedId = "";
        var strProfileIds = "";
        for ( var i = 0; i < arrValues.length; i++ )
        {
            if ( i == 0 )
            {
                selectedId = arrValues [ i ];
            }
            else
            {
                strProfileIds = strProfileIds + "~";
            }
            strProfileIds = strProfileIds + arrValues [ i ];
        }
        NAV_NewWorkAndCtx ( top,'<%= ContextCodes.PARTNER%>'+ selectedId,'<%=  strUrl  %>&<%= "pp_ids"%>='+strProfileIds,'<esapi:js><%= strAreaNum %></esapi:js>','*','<esapi:js><%= areaColor %></esapi:js>','<esapi:js><%= areaImage+"?pp_ids=" %></esapi:js>'+strProfileIds);
    }
}

function onclickSwitchBtn()
{	
	
	     var composeLink = '<%=  JSP.LIST_SUPPLIER_TREE_VIEW%>?';
	    var titleImage = 'img/title/suppliers/view_manage_suppliers.gif' ;
	    	    
	    if (<%=  stringNotEmpty ( ref.req.getParameter ( EPASSUiFactorServices.PARAM_SPM ) ) ||
		!StringUtility.isEmpty(SearchManager.getCustomParameter(ref, EPASSUiFactorServices.PARAM_SPM)) %> )
		{
   			//Santosh - XSS fix for UBS
			//composeLink = escape('<%--JSP.LIST_SUPPLIER_TREE_VIEW--%>?' + '<%--EPASSUiFactorServices.PARAM_SPM--%>' + '=Y'); //PR ESP-44794
   			composeLink = '<%=  JSP.LIST_SUPPLIER_TREE_VIEW%>?' + '<%=  EPASSUiFactorServices.PARAM_SPM%>' + '=Y';
			titleImage = 'img/title/spm/select_supplier.gif' ;
		}		
	
    NAV_NewWork( top, composeLink, '<esapi:js><%= strAreaNum %></esapi:js>', '*' , '<esapi:js><%= areaColor %></esapi:js>', titleImage );
}
//------------------------------------------------------------------------------


<%
if  ( bCurrentItemDeleted )
{
%>
    <%=   NavSupport.getContextClearJavascript ( ref
                                                ,ContextCodes.PARTNER
                                                 + ","
                                                 + ContextCodes.PARTNER_CATEGORY_RATING
                                               )
    %>
<%
}
%>

	function clearCheckBoxes ()
    {

<%
    if ( bClearCheckBoxes )
    {
%>
        var controls = document.<%=  strFormName%>.<%=  Misc.SELECTED_OBJECT %>;
        if ( typeof controls == "undefined" )
        {
            return;
        }
        else if ( typeof controls.length != "undefined" )
        {
            for ( var i = 0; i < controls.length; i++ )
            {
                if ( controls[i].type != "hidden" && controls[i].checked == true )
                {
                    controls[i].checked = false;
                }
            }
        } else {// there is only on checkbox and not an array
            controls.checked = false;
        }
<%
    }// end bClearhCheckBoxes
%>
    }
    
// Supplier Hierarchy - This is triggered when user selects parent profile for linking.
function NAV_HandleEvent(var1, var2){

 var isParentLinkAction = document.<%=  strFormName%>.<%=  IS_PARENT_LINK_ACTION%>.value;
 
 if("1" == isParentLinkAction)
 {
 	if (var1 == '<%=   com.avinamart.WebInterface.Constants.Cookie.SUPPL_SEARCH_RES_UPDATE_COOKIE%>')
 	{	
		document.<%=  strFormName%>.<%=  EPASSJSPActions.ACTION%>.value=<%=  EPASSJSPActions.LINK_SUPPLIER%>;
        document.<%=  strFormName%>.submit ();
 	}
 }
		
}    
 
</script>
</head>

<body onload="init();clearCheckBoxes();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">

<%@ include file="include/inc_actionbar_spacer.inc" %>

<table width="100%" cellpadding=0 cellspacing=0 border=0 >
<FORM name="<%=  strFormName%>" METHOD="POST" ACTION="<%=  JSP.PARTNER_LIST_PAGE %>" ONSUBMIT="">
<input type="hidden" name=<%=  EPASSJSPActions.ACTION%> value=<%=  EPASSJSPActions.DELETE%> >
<%-- Supplier Hierarchy : --%>
<%
	CSRFHelper csrfHelper = CSRFHelper.getInstance();
	String hmaCode = csrfHelper.getHMACode(ref.req); 
%>
<input type="hidden" name="<%= CSRFHelper.HMA_CODE%>" value="<%= hmaCode %>" >
<input type="hidden" name=<esapi:htmlatt><%= IS_PARENT_LINK_ACTION %></esapi:htmlatt> value="0" >


<%
	/*
     * PR 64529, Anand - Added this scriplet. A hidden control EPASSUiFactorServices.PARAM_SPM is required 
     * when list is displayed in SPM context. It was being set when corresponding request parameter was 
     * found. However, the request parameter would be absent when control comes here from search page. To 
     * take care of this the same parameter is also set as custom parameter insearch manager.
     */
	String strValue = "";
	if(!StringUtility.isEmpty(ref.req.getParameter(EPASSUiFactorServices.PARAM_SPM )))
		strValue = ref.req.getParameter(EPASSUiFactorServices.PARAM_SPM );
	else if(!StringUtility.isEmpty(SearchManager.getCustomParameter(ref, EPASSUiFactorServices.PARAM_SPM)))
		strValue = SearchManager.getCustomParameter(ref, EPASSUiFactorServices.PARAM_SPM);
%>
<%-- PR#44615 - Santosh - XSS fix for UBS - Added double quotes around value --%>
<input type="hidden" name=<%=  EPASSUiFactorServices.PARAM_SPM%> value="<esapi:htmlatt><%= strValue %></esapi:htmlatt>" >
<%=   EPASSHTMLForm.getSessionHiddenField( ref ) %>
<tr>
    <td colspan=2>
        <%=   strHtml %>
    </td>
</tr>
</FORM>
</table>

<%@ include file="include/inc_action_bar.inc" %>

</BODY>
<%
    if ( partnerTable != null )
    {
        out.println ( partnerTable.getSelectedRowScript() );
    }
%>

</HTML>

<%@ include file="include/tail.inc" %>
