<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2016. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.Struct.WrapperObjectStruct" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@ page import="com.avinamart.Utility.StringUtility" %>
<%@ page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*"%>
<%@ page import="com.avinamart.Utility.Exception.*"%>
<%@ page import="com.emptoris.app.ojeu.webClient.model.NoticeDetailContractAwardPageBean"%>
<%@ page import="com.emptoris.app.ojeu.common.constant.SubContractType"%>
<%@ page import="com.emptoris.app.ojeu.common.constant.DurationMeasureType"%>
<%@ page import="com.emptoris.framework.attribute.common.constant.AttributeDefValidation"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.Collection"%>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.TreeMap" %>
<%@ page import="java.util.Set" %>
<%@ page import="com.emptoris.app.ojeu.common.struct.ContractAwardTitleStruct" %>
<%@ page import="com.avinamart.Utility.I18NFormats"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@ page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="org.owasp.esapi.ESAPI" %>

<%-- JSP Head --%>
<%@ include file="../../include/simple_head.inc"%>
<%@ include file="ojeu_email_ctrl.inc" %>

<%!
String TITLE = "ojeu.form.detail.contract_award.title";
String FORM_NAME = "annaxbForm";
String CONTRACT_NO ="ojeu.form.detail.contract_award.hdr.contract_no";
String CONTRACT_LOT_NO = "ojeu.form.detail.contract_award.hdr.lot.no";
String CONTRACT_TITLE = "ojeu.form.detail.contract_award.hdr.title";
String LOT_AWARDED="ojeu.form.detail.contract_award.hdr.lot.awarded";
String LOT_NOT_AWARDED="ojeu.form.detail.contract_award.hdr.lot.not.awarded";
String AWARD_DATE= "ojeu.form.detail.contract_award.hdr.date";
String NUMBERS_OF_OFFERS_RECEIVED= "ojeu.form.detail.contract_award.hdr.no_offers_received";
String NUMBERS_OF_OFFERS_RECEIVED_SME= "ojeu.form.detail.contract_award.hdr.no_offers_received_frm_smes";
String NUMBERS_OF_OFFERS_RECEIVED_OTHER_EU= "ojeu.form.detail.contract_award.hdr.no_offers_received_frm_otherEU";
String NUMBERS_OF_OFFERS_RECEIVED_NON_EU= "ojeu.form.detail.contract_award.hdr.no_offers_received_frm_nonEU";
String NUMBERS_OF_OFFERS_RECEIVED_ELEC_MEANS= "ojeu.form.detail.contract_award.hdr.no_offers_received_frm_otherEU_electronic_means";
String AWARDED_TO_GRP_OF_OPERATORS= "ojeu.form.detail.contract_award.hdr.awarded_grp_economic_operators";
String NUMBERS_OF_ECONOMIC_OPERATORS= "ojeu.form.detail.contract_award.hdr.total.number.of.economic.operators";
String NAME_ADDRESS_AWARDEE_HDR_SEP= "ojeu.form.detail.contract_award.hdr.name_address_awardee_hdr";
String OFFICIAL_NAME="ojeu.form.detail.contract_award.hdr.notice.official.name";
String NRN = "ojeu.form.detail.contract_award.hdr.notice.nrn";
String POSTAL_ADDRESS="ojeu.form.detail.contract_award.hdr.notice.postal.address";
String TOWN="ojeu.form.detail.contract_award.hdr.notice.town";
String COUNTRY="ojeu.form.detail.contract_award.hdr.notice.country";
String POSTAL_CODE="ojeu.form.detail.contract_award.hdr.notice.postal.code";
String EMAIL="ojeu.form.detail.contract_award.hdr.notice.email";
String TELEPHONE="ojeu.form.detail.contract_award.hdr.notice.telephone";
String FAX="ojeu.form.detail.contract_award.hdr.notice.fax";
String NUTS="ojeu.form.detail.contract_award.hdr.notice.NUTS";
String CONTRACTOR_SME="ojeu.form.detail.contract_award.hdr.contractor.is.an.sme";
String INTERNET_ADDRESS="ojeu.form.detail.contract_award.hdr.notice.internet.address"; 

String INFO_VALUE_OF_CONTRACT_HDR_SEP= "ojeu.form.detail.contract_award.hdr.info_value_of_contract";
String INITIAL_ESTIMATE_VALUE_OF_CONTRACT_HDR = "ojeu.form.detail.contract_award.hdr.ini_esti_value_of_contract";
String INCLUDES_VAT_HDR = "ojeu.form.detail.contract_award.hdr.ini_esti_value_of_contract_includes_vat";
String VAT_HDR = "ojeu.form.detail.contract_award.hdr.estimate_vat";
String TOTAL_FINAL_VALUE_HDR="ojeu.form.detail.contract_award.hdr.total_final_value_of_contract";
String TOTAL_VALUE_HDR="ojeu.form.detail.contract_award.hdr.total_final_value_hdr_value";
String TOTAL_OR_HDR = "ojeu.form.detail.contract_award.hdr.total_final_value_hdr_or";
String CONTRACT_LOWEST_OFFER_HDR="ojeu.form.detail.contract_award.hdr.contract_final_value_hdr_lowest_offer";
String CONTRACT_HIGHEST_OFFER_HDR="ojeu.form.detail.contract_award.hdr.contract_final_value_hdr_highest_offer";
String CONTRACT_HIGHEST_OFFER_HDR_CONSI="ojeu.form.detail.contract_award.hdr.contract_final_value_hdr_highest_offer_consideration";
String FINAL_VALUE_CURRENCY="ojeu.form.detail.contract_award.hdr.contract_final_value_currency";
	
String CONTRACT_ANNUAL_OR_MONTHLY="ojeu.form.detail.contract_award.hdr.annual_or_monthly_value";
String CONTRACT_LIKELY_TO_SUBCONTRACTED_MAIN_HDR = "ojeu.form.detail.contract_award.main_hdr.likely_to_subcontracted";
String CONTRACT_LIKELY_TO_SUBCONTRACTED="ojeu.form.detail.contract_award.hdr.likely_to_subcontracted";
String CONTRACT_LIKELY_TO_SUBCONTRACTED_YES="ojeu.form.detail.contract_award.hdr.likely_to_subcontracted_yes";
String CONTRACT_LIKELY_TO_SUBCONTRACTED_VAT="ojeu.form.detail.contract_award.main_hdr.likely_to_subcontracted.vat";
String SHORT_DESC_OF_VALUE_PROPRTION_HDR="ojeu.form.detail.contract_award.hdr.short_desc_of_subcontracted";

String SAVE_BTN_ID = "noticeContractAwardSave";
String CLOSE_BTN_ID = "noticeContractAwardClose";
String SAVE_ADD_NEXT_BTN="saveAddNext";
String DISABLED = "disabled";
String EXTRA_SPACE="";
//Removed &nbsp; as extra space for ESP-46068, JSPFix tool causes this extra space to escaped and rendered on the screen
//Need to handle this extra space through CSS
String subContractHdrRowId = "subContractHdrRowId";
String subContractCtlsRowId = "subContractCtlsRowId";
String subContractShortDescId = "subContractShortDescId";
int rowNum=1;
%>

<%
	NoticeDetailContractAwardPageBean bean = (NoticeDetailContractAwardPageBean)
							request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	EPASSHTMLForm form = new EPASSHTMLForm( ref, FORM_NAME, EPASSHTMLForm.POST,
											ref.getUserPath()+JSP.DETAIL_AWARD_OF_CONTRACT,
											true);//form name, submit method, name of page, Additional Edits
											rowNum=bean.getFieldValueNoOfContractTitle()==null?1:bean.getFieldValueNoOfContractTitle();
	form.setUserLabelWidth ( "35%" );
	form.setFieldsMonitored(true);
	form.setBorderAroundForm(false);
	
	boolean isReadOnly = ref.isReadOnly();
	
	form.setBorderAroundForm(true);

	int TEXT_AREA_SIZE=16000;
	 
	String actionBarTitle = ref.convertLiteral(TITLE);
	EPASSToolbarItems toolbar = new EPASSToolbarItems(ref);
    Object actionBarButtons = toolbar;
    String detailLinkPageUrl = JSP.DETAIL_AWARD_OF_CONTRACT;
    
    EPASSInputControl contractNoControl = new EPASSInputControl( "Text", bean.fieldNUMBER, EPASSQPretty.UQ(bean.getContractNumber(),ref),20,100);
    contractNoControl.setMonitored(true);
    form.addControl(bean.fieldNUMBER,ref.convertLiteral(CONTRACT_NO), contractNoControl, !isReadOnly);

	EPASSInputControl contractLotControl = new EPASSInputControl("Text", bean.fieldLOTNUMBER, EPASSQPretty.UQ(bean.getLotNumber(), ref),20,100);
    contractLotControl.setMonitored(true);
    form.addControl(bean.fieldLOTNUMBER,ref.convertLiteral(CONTRACT_LOT_NO), contractLotControl,!isReadOnly);
    
    EPASSInputControl contractTitleControl = new EPASSInputControl("Text", bean.fieldTITLE, EPASSQPretty.UQ(bean.getContractTitle(), ref),20,200);
    contractTitleControl.setMonitored(true);
    form.addControl(bean.fieldTITLE,ref.convertLiteral(CONTRACT_TITLE), contractTitleControl,!isReadOnly);
    
    String isContractLotIsAwardedEnabled = null;
    Boolean isContractLotIsAwarded = bean.isContractLotIsAwarded();

    isContractLotIsAwardedEnabled = isContractLotIsAwarded!=null?isContractLotIsAwarded.toString():null;
    EPASSInputControl contractLotIsAwardedCntr = new EPASSInputRadioButtons(bean.fieldCONTRACTLOTISAWARDED,isContractLotIsAwardedEnabled,
			new String[]{"true", "false"},new String[]{"Yes", "No"}, EPASSInputRadioButtons.HORIZONTAL,"hideAndShowFieldsIfContractAwarded()");
	form.addControl(bean.fieldCONTRACTLOTISAWARDED,ref.convertLiteral(LOT_AWARDED), contractLotIsAwardedCntr, !isReadOnly);
	contractLotIsAwardedCntr.setMonitored(true);
	
	//If contract is not awarded
	String isContractLotNotAwardedEnabled = ref.convertLiteral("ojeu.form.detail.contract_award.hdr.lot.not.awarded.option1");
    Integer isContractLotNotAwarded = bean.isContractLotIsNotAwarded();
    if(isContractLotNotAwarded!=null){
    	isContractLotNotAwardedEnabled = isContractLotNotAwarded==1?ref.convertLiteral("ojeu.form.detail.contract_award.hdr.lot.not.awarded.option1"):ref.convertLiteral("ojeu.form.detail.contract_award.hdr.lot.not.awarded.option2");
    }

    EPASSInputControl contractLotNotAwardedCntr = new EPASSInputRadioButtons(bean.fieldCONTRACTLOTISNOTAWARDED,isContractLotNotAwardedEnabled,
			new String[]{"1", "0"},new String[]{ref.convertLiteral("ojeu.form.detail.contract_award.hdr.lot.not.awarded.option1"), 
    		ref.convertLiteral("ojeu.form.detail.contract_award.hdr.lot.not.awarded.option2")}, EPASSInputRadioButtons.VERTICAL,"enableDisableNoticeRef()");
	form.addControl(bean.fieldCONTRACTLOTISNOTAWARDED,ref.convertLiteral(LOT_NOT_AWARDED), contractLotNotAwardedCntr, !isReadOnly);
	contractLotNotAwardedCntr.setMonitored(true);
	
    EPASSIntegerInput noticeReferenceControlPart1 = new EPASSIntegerInput( bean.fieldNOTICEREFERENCEPART1, EPASSQPretty.UQ(bean.getNoticeReferencePart1(),ref));
    noticeReferenceControlPart1.setUseGrouping(false);
    noticeReferenceControlPart1.setLow(0,true);
    noticeReferenceControlPart1.setHigh(9999,true);
    noticeReferenceControlPart1.setMaxLength(4);
    noticeReferenceControlPart1.setSize(4);
    noticeReferenceControlPart1.setMonitored(true);
    form.addControl(bean.fieldNOTICEREFERENCEPART1,ref.convertLiteral("ojeu.form.detail.contract_award.hdr.lot.not.awarded.noticeReference"), noticeReferenceControlPart1, !isReadOnly);
    
    EPASSIntegerInput noticeReferenceControlPart2 = new EPASSIntegerInput( bean.fieldNOTICEREFERENCEPART2, EPASSQPretty.UQ(bean.getNoticeReferencePart2(),ref));
    noticeReferenceControlPart2.setUseGrouping(false);
    noticeReferenceControlPart2.setLow(0,true);
    noticeReferenceControlPart2.setHigh(999999,true);
    noticeReferenceControlPart2.setMaxLength(6);
    noticeReferenceControlPart2.setSize(8);
    noticeReferenceControlPart2.setMonitored(true);
    form.addControl(bean.fieldNOTICEREFERENCEPART2,"", noticeReferenceControlPart2, !isReadOnly);
	//End
	
    EPASSInputControlDateTime contractAwardDateControl = new EPASSInputControlDateTime(bean.fieldAWARDDATE,bean.getContractAwardDate(), false,ref, false);
	contractAwardDateControl.setMonitored(true);
	form.addControl(bean.fieldAWARDDATE,ref.convertLiteral(AWARD_DATE), contractAwardDateControl,!isReadOnly);	
    
    EPASSIntegerInput noOfOffersReceivedControl = new EPASSIntegerInput( bean.fieldNOOFOFFERSRECE, EPASSQPretty.UQ(bean.getNumberOfOffersReceived(),ref));
    noOfOffersReceivedControl.setLow(1,true);
    noOfOffersReceivedControl.setHigh(999,true);
    noOfOffersReceivedControl.setMaxLength(3);
    noOfOffersReceivedControl.setMonitored(true);
    StringBuffer sbf = new StringBuffer();

    form.addControl(bean.fieldNOOFOFFERSRECE,ref.convertLiteral(NUMBERS_OF_OFFERS_RECEIVED), noOfOffersReceivedControl, !isReadOnly);

    EPASSIntegerInput noOfOffersReceivedSMEControl = new EPASSIntegerInput( bean.fieldNOOFTENDERSRECEIVEDSME, EPASSQPretty.UQ(bean.getNoOfTendersReceivedSME(),ref));
    noOfOffersReceivedSMEControl.setLow(0,true);
    noOfOffersReceivedSMEControl.setHigh(999,true);
    noOfOffersReceivedSMEControl.setMaxLength(3);
    noOfOffersReceivedSMEControl.setMonitored(true);
    form.addControl(bean.fieldNOOFTENDERSRECEIVEDSME,ref.convertLiteral(NUMBERS_OF_OFFERS_RECEIVED_SME), noOfOffersReceivedSMEControl, !isReadOnly);

    EPASSIntegerInput noOfOffersReceivedOtherEUControl = new EPASSIntegerInput( bean.fieldNOOFTENDERSRECEIVEDEU, EPASSQPretty.UQ(bean.getNoOfTendersReceivedEU(),ref));
    noOfOffersReceivedOtherEUControl.setLow(0,true);
    noOfOffersReceivedOtherEUControl.setHigh(999,true);
    noOfOffersReceivedOtherEUControl.setMaxLength(3);
    noOfOffersReceivedOtherEUControl.setMonitored(true);
    form.addControl(bean.fieldNOOFTENDERSRECEIVEDEU,ref.convertLiteral(NUMBERS_OF_OFFERS_RECEIVED_OTHER_EU), noOfOffersReceivedOtherEUControl, !isReadOnly);

    EPASSIntegerInput noOfOffersReceivedNonEUControl = new EPASSIntegerInput( bean.fieldNOOFTENDERSRECEIVEDNONEU, EPASSQPretty.UQ(bean.getNoOfTendersReceivedNonEU(),ref));
    noOfOffersReceivedNonEUControl.setLow(0,true);
    noOfOffersReceivedNonEUControl.setHigh(999,true);
    noOfOffersReceivedNonEUControl.setMaxLength(3);
    noOfOffersReceivedNonEUControl.setMonitored(true);
    form.addControl(bean.fieldNOOFTENDERSRECEIVEDNONEU,ref.convertLiteral(NUMBERS_OF_OFFERS_RECEIVED_NON_EU), noOfOffersReceivedNonEUControl, !isReadOnly);

    EPASSIntegerInput noOfOffersReceivedElecMeansControl = new EPASSIntegerInput( bean.fieldNOOFTENDERSRECEIVEDELECTRONIC, EPASSQPretty.UQ(bean.getNoOfTendersReceivedElectronic(),ref));
    noOfOffersReceivedElecMeansControl.setLow(0,true);
    noOfOffersReceivedElecMeansControl.setHigh(999,true);
    noOfOffersReceivedElecMeansControl.setMaxLength(3);
    noOfOffersReceivedElecMeansControl.setMonitored(true);
    form.addControl(bean.fieldNOOFTENDERSRECEIVEDELECTRONIC,ref.convertLiteral(NUMBERS_OF_OFFERS_RECEIVED_ELEC_MEANS), noOfOffersReceivedElecMeansControl, !isReadOnly);

    String isContractAwardedToGrpEnabled = null;
    Boolean isContractAwardedToGrp = bean.getAwardedToGrpOfElecOpe();
    if(!isReadOnly)
    isContractAwardedToGrpEnabled = isContractAwardedToGrp!=null?isContractAwardedToGrp.toString():null;
    EPASSInputControl contractAwardedToGrpCtl = new EPASSInputRadioButtons(bean.fieldAWARDEDTOGRPOFELECOPE,isContractAwardedToGrpEnabled,
											new String[]{"1", "0"},new String[]{"Yes", "No"}, EPASSInputRadioButtons.HORIZONTAL,"validateAwardedToGroupOfEletronicOperatorsField()");
	form.addControl(bean.fieldAWARDEDTOGRPOFELECOPE,ref.convertLiteral(AWARDED_TO_GRP_OF_OPERATORS), contractAwardedToGrpCtl, !isReadOnly);
	contractAwardedToGrpCtl.setMonitored(true);
    
    EPASSInputControl officialNameControl = new EPASSInputControl("Text", bean.fieldOFFCIALNAME,EPASSQPretty.UQ( bean.getOfficialName(), ref),20,300);
    officialNameControl.setMonitored(true);
    sbf = new StringBuffer();
	sbf.append("_validateRequiredField(this,").append("'").append(ref.convertLiteral(OFFICIAL_NAME)).append("'").append(")");
	officialNameControl.setAttribute("ONBLUR", sbf.toString());
    form.addControl(bean.fieldOFFCIALNAME,ref.convertLiteral(OFFICIAL_NAME), officialNameControl,!isReadOnly);
    
    EPASSInputControl nrnControl = new EPASSInputControl("Text", bean.fieldNATIONALREGISTRATIONNUMBER,EPASSQPretty.UQ( bean.getNationalRegistrationNumber(), ref),20,100);
    nrnControl.setMonitored(true);
	form.addControl(bean.fieldNATIONALREGISTRATIONNUMBER,ref.convertLiteral(NRN), nrnControl,!isReadOnly);
	
	EPASSInputControl postalAddressControl = new EPASSTextAreaControl(NoticeDetailContractAwardPageBean.fieldPOSTALADDRESS, bean.getPostalAddress());
	postalAddressControl.setMaxLength(400);
	form.addControl(bean.fieldPOSTALADDRESS, ref.convertLiteral(POSTAL_ADDRESS),postalAddressControl,!isReadOnly);
	postalAddressControl.setMonitored(true);
	
	EPASSInputControl townControl = new EPASSInputControl("Text", bean.fieldTOWN, EPASSQPretty.UQ(bean.getTown(), ref),20,100);
	form.addControl(bean.fieldTOWN,ref.convertLiteral(TOWN), townControl,!isReadOnly);
    sbf = new StringBuffer();
	sbf.append("_validateRequiredField(this,").append("'").append(ref.convertLiteral(TOWN)).append("'").append(")");
	townControl.setAttribute("ONBLUR", sbf.toString() + ";validateOjeuTownField(this)");
	townControl.setMonitored(true);
	
	String country = bean.getCountry();
	EPASSInputControlInterface inputCtrlSimpleSelect = new EPASSInputSimpleSelect (
			bean.fieldCOUNTRY,
			bean.getCountryValues(),
			bean.getCountryDisplays(),
			EPASSQPretty.UQ( country, ref) );
	inputCtrlSimpleSelect.setMonitored( true );
	((EPASSInputSimpleSelect) inputCtrlSimpleSelect ).addDefault (NoticeDetailContractAwardPageBean.DEFAULT_SELECT_CTL_VALUE, ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
    ((EPASSInputSimpleSelect) inputCtrlSimpleSelect ).sortByDisplay ( ref.getCollator (), true );
    ((EPASSInputSimpleSelect) inputCtrlSimpleSelect ).setAttribute("onClick","if (this.selectedIndex >=0) clearError(this);");
	form.addControl ( bean.fieldCOUNTRY, ref.convertLiteral(COUNTRY), inputCtrlSimpleSelect, !isReadOnly );

	EPASSInputControl postalCodeControl = new EPASSInputControl("Text", bean.fieldPOSTALCODE, EPASSQPretty.UQ( 
			bean.getPostalCode(), ref),20,20);
	postalCodeControl.setMonitored( true );
	form.addControl(bean.fieldPOSTALCODE,ref.convertLiteral(POSTAL_CODE), postalCodeControl,!isReadOnly);
	
	EPASSInputControl emailControl = new EPASSInputControl("Text", bean.fieldEMAIL, EPASSQPretty.UQ(bean.getEmail(), ref),20,200);
	emailControl.setMonitored( true );
	emailControl.setOnBlurValidation(AttributeDefValidation.EMAIL);
	form.addControl(bean.fieldEMAIL,ref.convertLiteral(EMAIL), emailControl, !isReadOnly);
	
	EPASSInputControl phoneControl = new EPASSInputControl("Text", bean.fieldPHONE, EPASSQPretty.UQ(bean.getTelephone(), ref),20,100);
	String phoneHarryHelpShort = "  " +  ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.short");
	phoneControl.setAttribute("ONBLUR", "validateOjeuPhoneField(this, 'P')" );
	EPASSImageControl helpButton =  new EPASSImageControl(
			ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
			"showTelephoneHelp()",
			ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
	helpButton.setAttribute("align", "absmiddle");
	String spaceCtrl = "&nbsp;&nbsp;&nbsp;";
	String extendedText = "";
	if( !ref.isReadOnly() ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	phoneControl.setExtendedText( extendedText );
	
	form.addControl(bean.fieldPHONE,ref.convertLiteral(TELEPHONE), phoneControl,!isReadOnly);
	phoneControl.setMonitored( true );
	
	EPASSInputControl faxControl = new EPASSInputControl("Text", bean.fieldFAX, EPASSQPretty.UQ(bean.getFax(), ref),20,100);
	faxControl.setAttribute("ONBLUR", "validateOjeuPhoneField(this, 'F')" );
	extendedText = "";
	if( !ref.isReadOnly() ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	faxControl.setExtendedText( extendedText );
	form.addControl(bean.fieldFAX,ref.convertLiteral(FAX), faxControl,!isReadOnly);
	faxControl.setMonitored( true );
	
	EPASSInputCompoundControl ccS = new EPASSInputCompoundControl(ref);
	EPASSInputControl nutCodectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsCode, EPASSQPretty.UQ(bean.getFieldValueNutsCode(), ref), 10, EPASSInputControl.MAXLENGTH_LONG, false);
	nutCodectrl.setAttribute("disabled", true);
	form.addControl(bean.fieldNameNutsCode,ref.convertLiteral("ojeu.form.detail.contract_award.hdr.notice.NUTS"), nutCodectrl,!isReadOnly);
	ccS.add(nutCodectrl);
	nutCodectrl.setMonitored(true);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	EPASSInputControl nutNamectrl = new EPASSInputControl("TEXT", bean.fieldNameNutsName, EPASSQPretty.UQ(bean.getFieldValueNutsName(), ref), 30, EPASSInputControl.MAXLENGTH_LONG, false);
	nutNamectrl.setAttribute("disabled", true);
	nutNamectrl.setMonitored(true);
	form.addControl(bean.fieldNameNutsName,ref.convertLiteral("ojeu.form.detail.contract_award.hdr.notice.NUTS"), nutNamectrl,!isReadOnly);
	ccS.add(nutNamectrl);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	if (!isReadOnly){
		ccS.add(new EPASSInputGenericString(addNutsButton(ref, bean.getFieldValueNutsCode())));
	}
	form.addControl(bean.fieldNameNutsId, ref.convertLiteral("form.wiz_contracting_authority.header.nuts") + Header.REQUIRED_FIELD, ccS);
	
	EPASSInputControl urlControl = new EPASSInputControl("Text", bean.fieldURL, EPASSQPretty.UQ(bean.getUrl(), ref),20,200);
	urlControl.setAttribute("ONBLUR", "validateOjeuUrlField(this)" );
	form.addControl(bean.fieldURL,ref.convertLiteral(INTERNET_ADDRESS), urlControl,!isReadOnly);
	
    String isContractorIsAnSMEEnabled = null;
    Boolean isContractorIsAnSME = bean.getContractorIsAnSME();
    isContractorIsAnSMEEnabled = isContractorIsAnSME!=null?isContractorIsAnSME.toString():null;
    EPASSInputControl contractorIsAnSMECtl = new EPASSInputRadioButtons(bean.fieldCONTRACTORISANSME,isContractorIsAnSMEEnabled,
											new String[]{"true", "false"},new String[]{"Yes", "No"}, EPASSInputRadioButtons.HORIZONTAL,"validateContractorIsAnSMEField()");
	form.addControl(bean.fieldCONTRACTORISANSME,ref.convertLiteral(CONTRACTOR_SME), contractorIsAnSMECtl, !isReadOnly);
	contractorIsAnSMECtl.setMonitored(true);
	
	//EPASSRealInput iniEstimateTotalValueCtl = new EPASSRealInput(ref, bean.fieldINITIALESTIMATE,EPASSQPretty.UQ( bean.getInitialEstimate(),ref),false);
	EPASSInputControl iniEstimateTotalValueCtl = new EPASSInputControl("TEXT", bean.fieldINITIALESTIMATE, EPASSQPretty.UQ(bean.getInitialEstimate(), ref), 15, EPASSInputControl.MAXLENGTH_LONG);
	iniEstimateTotalValueCtl.setMonitored( true );	
	iniEstimateTotalValueCtl.setAttribute("ONBLUR","validateOjeuCostField(this)");
    form.addControl(bean.fieldINITIALESTIMATE,ref.convertLiteral(INITIAL_ESTIMATE_VALUE_OF_CONTRACT_HDR), iniEstimateTotalValueCtl,!isReadOnly);

	//move to bean
    String totalValueOrRadio = "totalValueOrRadio";
    String valueDescription = ref.convertLiteral(TOTAL_VALUE_HDR);
    String isTotalFinalValueRadioEnabled = null;
    Boolean isTotalFinalValueAvailable = bean.isTotalFinalValueAvailable();
    if(!isReadOnly)
    isTotalFinalValueRadioEnabled = isTotalFinalValueAvailable!=null?isTotalFinalValueAvailable.toString():null;
    EPASSInputControl totalFinalValueRadioCtl = new EPASSInputRadioButtons(totalValueOrRadio,isTotalFinalValueRadioEnabled,
											new String[]{"0"},new String[]{valueDescription}, EPASSInputRadioButtons.VERTICAL,"setFinalValueChange()");
	form.addControl(totalValueOrRadio,"", totalFinalValueRadioCtl, !isReadOnly);
	totalFinalValueRadioCtl.setMonitored(true);
	
	//EPASSRealInput totalFinalValueCtl = new EPASSRealInput(ref, bean.fieldTOTALVALUE,EPASSQPretty.UQ( bean.getContractFinalValue(),ref),false);
	EPASSInputControl totalFinalValueCtl = new EPASSInputControl("TEXT", bean.fieldTOTALVALUE, EPASSQPretty.UQ(bean.getContractFinalValue(), ref), 15, EPASSInputControl.MAXLENGTH_LONG);
	totalFinalValueCtl.setAttribute("ONBLUR","validateOjeuCostField(this)");
	form.addControl(bean.fieldTOTALVALUE,"", totalFinalValueCtl,!isReadOnly);
	totalFinalValueCtl.setMonitored(true);
    String orDescription = ref.convertLiteral(TOTAL_OR_HDR);
	
	//EPASSRealInput finalValueLowestOfferCtl = new EPASSRealInput(ref, bean.fieldCONTRACTLOWESTOFFER,EPASSQPretty.UQ( bean.getContractFinalValueLowestOffer(),ref),false);
	EPASSInputControl finalValueLowestOfferCtl = new EPASSInputControl("TEXT", bean.fieldCONTRACTLOWESTOFFER, EPASSQPretty.UQ(bean.getContractFinalValueLowestOffer(), ref), 15, EPASSInputControl.MAXLENGTH_LONG);
	finalValueLowestOfferCtl.setAttribute("ONBLUR","validateOjeuCostField(this)");
	finalValueLowestOfferCtl.setMonitored(true);
	form.addControl(bean.fieldCONTRACTLOWESTOFFER,ref.convertLiteral(CONTRACT_LOWEST_OFFER_HDR), finalValueLowestOfferCtl,!isReadOnly);


	//EPASSRealInput finalValueHighestOfferCtl = new EPASSRealInput(ref, bean.fieldCONTRACTHIGHESTOFFER,EPASSQPretty.UQ( bean.getContractFinalValueHighestOffer(),ref),false);
	EPASSInputControl finalValueHighestOfferCtl = new EPASSInputControl("TEXT", bean.fieldCONTRACTHIGHESTOFFER, EPASSQPretty.UQ(bean.getContractFinalValueHighestOffer(), ref), 15, EPASSInputControl.MAXLENGTH_LONG);
	finalValueHighestOfferCtl.setAttribute("ONBLUR","validateOjeuCostField(this)");
	finalValueHighestOfferCtl.setMonitored(true);
	form.addControl(bean.fieldCONTRACTHIGHESTOFFER,ref.convertLiteral(CONTRACT_HIGHEST_OFFER_HDR), finalValueHighestOfferCtl,!isReadOnly);
	
	EPASSInputControl totalValueCurrSelControl = new EPASSInputSimpleSelect (bean.fieldFINALCONTRACTVALUECURR,bean.getCurrencyValues(),
			bean.getCurrencyDisplays(), bean.getCurrencyOfcontractfinalValue());
	totalValueCurrSelControl.setAttribute("onClick","if (this.selectedIndex >=0) clearError(this);");
    form.addControl(bean.fieldFINALCONTRACTVALUECURR,ref.convertLiteral(FINAL_VALUE_CURRENCY), totalValueCurrSelControl,!isReadOnly);
    
	Boolean isLikelyToBeSubcontracted = bean.getContractLikelyToBeSubContracted();
	String isLikelyToBeSubContractedStr = isLikelyToBeSubcontracted!=null?isLikelyToBeSubcontracted.toString():null;
	EPASSInputControl contractLikelyToBeSubConCtl = new EPASSInputRadioButtons (bean.fieldLIKELYTOBESUBCONTRACTED,isLikelyToBeSubContractedStr,new String[]{"true","false"},
				new String[]{"Yes","No"});
	contractLikelyToBeSubConCtl.setAttribute("onClick","enableAndDisableFieldsIfSubcontracted()");
	boolean value = Boolean.TRUE.equals(isLikelyToBeSubcontracted);
	StringBuilder scriptsToRun = new StringBuilder();
	form.addControl(bean.fieldLIKELYTOBESUBCONTRACTED, ref.convertLiteral(CONTRACT_LIKELY_TO_SUBCONTRACTED),contractLikelyToBeSubConCtl,!isReadOnly);
	 
	//EPASSRealInput subContractValue = new EPASSRealInput(ref, bean.fieldSUBCONVALUEORPROPRTION,EPASSQPretty.UQ( bean.getSubContractValueOrProportion(),ref),false);
	EPASSInputControl subContractValue = new EPASSInputControl("TEXT", bean.fieldSUBCONVALUEORPROPRTION, EPASSQPretty.UQ(bean.getSubContractValueOrProportion(), ref), 15, EPASSInputControl.MAXLENGTH_LONG);
	subContractValue.setAttribute("ONBLUR","validateOjeuCostField(this)");
	subContractValue.setMonitored(true);
	form.addControl(bean.fieldSUBCONVALUEORPROPRTION,ref.convertLiteral(CONTRACT_LIKELY_TO_SUBCONTRACTED_VAT), subContractValue,!isReadOnly);
	 
	EPASSInputControl subContractCurrSelControl = new EPASSInputSimpleSelect (bean.fieldSUBCONVALUEORPROPRTIONCURR,bean.getCurrencyValues(),
				bean.getCurrencyDisplays(), bean.getSubContractValueOrProportionCurr());
	subContractCurrSelControl.setAttribute("onClick","if (this.selectedIndex >=0) clearError(this);");
	form.addControl(bean.fieldSUBCONVALUEORPROPRTIONCURR,"", subContractCurrSelControl,!isReadOnly);
	
	EPASSIntegerInput subContractProportion = new EPASSIntegerInput(ref, bean.fieldSUBCONTRACTEDPROPORTION,
			EPASSQPretty.UQ( bean.getSubcontractedProportion(),ref));
	subContractProportion.setLow(1,true);
	subContractProportion.setHigh(100,true);
	subContractProportion.setMaxLength(3);
	form.addControl(bean.fieldSUBCONTRACTEDPROPORTION,ref.convertLiteral("SubContractType.Proportion"), subContractProportion,!isReadOnly);
	
	EPASSInputControl addiInfoControl = new EPASSTextAreaControl(NoticeDetailContractAwardPageBean.fieldSUBCONADDIINFO,bean.getSubContractAdditionalInfo());
    addiInfoControl.setMaxLength(400);
    form.addControl(bean.fieldSUBCONADDIINFO, ref.convertLiteral(SHORT_DESC_OF_VALUE_PROPRTION_HDR),addiInfoControl,!isReadOnly);
    
    form.addHidden( EPASSJSPActions.ACTION,  "" + "" + bean.getNextAction() );
    form.addHidden( bean.ID_PARAM, "" + bean.getContractAwardId() );
    form.addHidden("noOfContractTitle",bean.getFieldValueNoOfContractTitle()==null?"0":bean.getFieldValueNoOfContractTitle(),"noOfContractTitle");
    form.addHidden("deletedRows","0","deletedRows");
    form.addHidden("NUTSID",bean.getFieldValueNutsId());
	String onKeyPress="return testIntegerChar(this,event,false)";
    
%>

<%!

public String addNutsButton(EPASSReferences ref, String nuts) throws EPASSApplicationException {

	SearchManager nutsSearchManager = new SearchManager(ObjectType.NUTS.getIntegerValue(), ref.getUserPath() + SearchManager.TREE_FRAMES_SEARCH_FORM,
			SearchManager.TREE_SEARCH_FORM, JSP.COMPOUND_SEARCH_NUTS_LIST_PAGE);
	nutsSearchManager.setCachedSearchId(SearchManager.BASIC_NUTS_SEARCH);
	EPASSQueryContext context = new EPASSQueryContext();
	context.setContext(FieldInfoProvider.ORG, ref.getOrgKey());
	nutsSearchManager.setQueryContext(ref, SearchManager.QUERY_CONTEXT + SearchManager.BASIC_NUTS_SEARCH, context);
	nutsSearchManager.setCustomParameter(SearchManager.DISPATCH_COMPOUND_QUERY, "2YvyVnutsYvyVfalseYvyVtrue");
	nutsSearchManager.setCustomParameter(SearchManager.MULTISELECT_IN_RESULT_PAGE, new Boolean(false));
	if (nuts != null) {
		nutsSearchManager.setCustomParameter(SearchForm.SEARCH_LIST_CODES, nuts);
	}
	return nutsSearchManager.getStandAloneButton(ref);
}

%>

<%
if(bean.isNotifyOfUpdate())
{
%>	
	<%=  NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE,bean.getNoticeId(), null, ref) %>
<%
}
%>

<%--
    StyleSheets and Javascript
--%>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
<title><esapi:html><%=  ref.convertLiteral( "epass.title" )%></esapi:html></title>
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<%--
    Override POPFORMLABEL and REPORTFORMFIELD styles for proper alignment issue specific to this page
--%>
	<style>
		.POPFORMLABEL{
		    FONT-WEIGHT: bold;
		    FONT-SIZE: 11px;
		    FONT-FAMILY: arial, helvetica, sans-serif;
		    BACKGROUND-COLOR: #efefef;
		    TEXT-ALIGN: right;
		    padding-right: 5px	
		}
		.REPORTFORMFIELD{
			FONT-SIZE: 10px;
		    VERTICAL-ALIGN: middle;
		    FONT-FAMILY: arial, helvetica, sans-serif;
		    BACKGROUND-COLOR: white;
		    padding-left: 5px
		}	
	</style>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_LIST_SEARCH%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS%>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT%>'></SCRIPT>
<script>

var NAV_LIST='<%= ContextCodes.NOTICE%>';
var NAV_DEP ="";
var rowNum = '<%= rowNum%>';	

var noOfRows = rowNum;
var onKeyPress = "return testIntegerChar(this,event,false)";
var onBlur = "return validateNumberField (this,\"\",\"&gt;=\",\"1\",\"&lt;=\",\"999\")";
var deletedRows = "";

function validateOjeuPhoneField(field, flag){
	isErrorOccured=false;
	clearError(field);
	
	var theString = field.value;

	if(theString.length == 0){
		return true;
	}
	var errMsg;
	if (flag == 'P'){
		 errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidPhoneFormat")%>";
	}
	else {
		errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidFaxFormat")%>";
	}

	if (!isOjeuPhone(theString)){
		return  _validationFailure(field, errMsg);
	}

	return true;
}

var OJEU_PHONE_REGEX = new Array(
  "^(\\+\\d{1,3}\\s\\d+(\\-\\d+)*((\\s)?/(\\s)?(\\+\\d{1,3}\\s)?\\d+(\\-\\d+)*)*)$");

function isOjeuPhone(str){
	return _matchFormat(OJEU_PHONE_REGEX, isOjeuPhone.arguments);
}

function enableDisableNoticeRef(){
	var frm = document.<%= FORM_NAME%>;
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>);
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART1%>);
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART2%>);
	var value =""; 
	for (var i=0; i < frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>.length; i++)
	{
		if (frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>[i].checked)
		{
			value =frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>[i].value;
			break;
		}
	}
	if(value != null && value!='' && value==0){
		frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART1%>.disabled=false;
		frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART2%>.disabled=false;
	}else{
		frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART1%>.disabled=true;
		frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART2%>.disabled=true;
		frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART1%>.value="";
		frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART2%>.value="";
		
	}
}

function enableAndDisableFieldsIfSubcontracted(){
	var frm = document.<%= FORM_NAME%>;
	var value =""; 
	for (var i=0; i < frm.<%= NoticeDetailContractAwardPageBean.fieldLIKELYTOBESUBCONTRACTED%>.length; i++)
	{
		if (frm.<%= NoticeDetailContractAwardPageBean.fieldLIKELYTOBESUBCONTRACTED%>[i].checked)
		{
			value =frm.<%= NoticeDetailContractAwardPageBean.fieldLIKELYTOBESUBCONTRACTED%>[i].value;
			break;
		}
	}
	if(value != null && value!='' && value=="true"){
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONVALUEORPROPRTION%>.disabled=false;
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONVALUEORPROPRTIONCURR%>.disabled=false;
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONTRACTEDPROPORTION%>.disabled=false;
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONADDIINFO%>.disabled=false;		
	}else{
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONVALUEORPROPRTION%>.disabled=true;
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONVALUEORPROPRTIONCURR%>.disabled=true;
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONTRACTEDPROPORTION%>.disabled=true;
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONADDIINFO%>.disabled=true;
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONVALUEORPROPRTION%>.value="";
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONVALUEORPROPRTIONCURR%>.value="-1";
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONTRACTEDPROPORTION%>.value="";
		frm.<%= NoticeDetailContractAwardPageBean.fieldSUBCONADDIINFO%>.value="";	
	}
}

function hideAndShowFieldsIfContractAwarded(){
	var frm = document.<%= FORM_NAME%>;
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>);
	var postalAddressTable = document.getElementById("postalAddress");
    var awardOfContractTable = document.getElementById("awardOfContract");
    var initialEstimatesTable = document.getElementById("initialEstimates");
    var totalValueTable = document.getElementById("totalValue");
    var subContractTable = document.getElementById("subContract");
    var lotNotAwardedTable = document.getElementById("lotNotAwarded");
    
	var value =null;
	 <%
	 	if (!isReadOnly)
	 	{
	 %>
		for (var i=0; i < frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>.length; i++)
		{
			if (frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>[i].checked)
			{
				value =frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>[i].value;
				break;
			}
		}
	 <%		
	 	}else{
	 %>
	 value = <%=isContractLotIsAwarded%>;
	 <%
	 	}
	 %>

	if(value != null){
		if(value == "true" || value == true){
			postalAddressTable.style.display = "table";
			awardOfContractTable.style.display = "table";
			initialEstimatesTable.style.display = "table";
			totalValueTable.style.display = "table";
			subContractTable.style.display = "table";
			lotNotAwardedTable.style.display = "none";	
		}else if(value == "false" || value == false){
			postalAddressTable.style.display = "none";
			awardOfContractTable.style.display = "none";
			initialEstimatesTable.style.display = "none";
			totalValueTable.style.display = "none";
			subContractTable.style.display = "none";
			lotNotAwardedTable.style.display = "table";
		}
	}else{
		postalAddressTable.style.display = "none";
		awardOfContractTable.style.display = "none";
		initialEstimatesTable.style.display = "none";
		totalValueTable.style.display = "none";
		subContractTable.style.display = "none";
		lotNotAwardedTable.style.display = "none";
	}
}

function addPreviousPublicationRow()
{
	
	var tbody = document.getElementById("contractTitle").tBodies[0]; 
	var tbl = document.getElementById("contractTitle"); 
	var space = document.createTextNode(" ");
	
	
	rowNum ++ ;
	noOfRows ++;
	if(noOfRows == 1)
	{
		document.getElementById('delete').style.display = '';
	}
	
	var row = document.createElement("TR"); 
	row.setAttribute("id","row"+rowNum);		
	var cell1 = document.createElement("TD"); 
	
	var contractTitle = "<INPUT type='TEXT' autocomplete='off' id='_uda_contractTitle"+rowNum+"' name='_uda_contractTitle"+rowNum+"' value=''  >&nbsp;";		
	cell1.innerHTML = contractTitle;		
	row.appendChild(cell1);
	
	var cell2 = document.createElement("TD"); 
	var lotNo = "<INPUT type='TEXT' autocomplete='off' id='_uda_lotNo"+rowNum+"'  name='_uda_lotNo"+rowNum+"' value='' 'ONKEYPRESS='"+onKeyPress+"+'onblur='"+onBlur+"' MAXLENGTH='3' >" + "&nbsp;";		
	cell2.innerHTML = lotNo;		
	row.appendChild(cell2);
	var cell5 = document.createElement("TD"); 	
	var checkbox = "<INPUT type='checkbox' name='EPASS_SEL_OBJ' value='"+rowNum+"'>&nbsp;"	
	cell5.innerHTML = checkbox;
	row.appendChild(cell5);
		tbody.appendChild(row);	 	
	
}
function deletePreviousPublicationRow()
{		
	if(rowNum > 0)
	{		
		if ( EPASSCheckbox.checkRequired (
		document.annaxbForm.<%=  Misc.SELECTED_OBJECT %>,
            '<%=  ref.convertLiteral ("form.list_sas_assessment.message.assessment_no_selected")%>' ) )
        {
        	var tbl = document.getElementById('contractTitle');	
        	var selectedValues = EPASSCheckbox.getValues(document.getElementsByName('<%=  Misc.SELECTED_OBJECT %>'));
			for (var i = 0 ; i < selectedValues.length ; i++)
			{					
				document.getElementById('_uda_lotNo'+selectedValues[i]).value='';		
				document.getElementById('_uda_contractTitle'+selectedValues[i]).value='';		
									
				var theRow = document.getElementById('row'+selectedValues[i]);
				theRow.parentNode.removeChild(theRow);
				if(deletedRows != '')
					deletedRows += ",";
				deletedRows += selectedValues[i];
			}	
				
			noOfRows -= selectedValues.length;
			
			if(noOfRows == 0)
			{			
				document.getElementById('delete').style.display = 'none';						
			}
        }
	}	
	
}

function NAV_HandleEvent(var1, var2)
{
	//TODO remove no navigation event
	if( var1 == "<%= EPassTree._sNavigationEvent%>" )
	{
		<%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "var2", "''" )%>
	}
	if( var1=='selectCpvVocNuts')
	{
		//alert(var2);
		clearError(document.<%= FORM_NAME%>.<%= bean.fieldNameNutsCode%>);
		var tmpArray = new Array();
		tmpArray =  var2.split(";;");

		if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
		{
			//setCpvDirty( document.<%= FORM_NAME%>.<%=bean.fieldNameNutsCode%>.value, tmpArray[1]);		
			document.getElementById("NUTSID").value=tmpArray[0];
			document.<%= FORM_NAME%>.<%=bean.fieldNameNutsCode%>.value=tmpArray[1];
			document.<%= FORM_NAME%>.<%=bean.fieldNameNutsName%>.value=tmpArray[2];
			document.getElementById("NUTSCODE").value=tmpArray[1];
			document.getElementById("NUTSNAME").value=tmpArray[2];
		}
		else
		{
			document.<%= FORM_NAME%>.IS_FORM_DIRTY.value = '';
		}
		
		return;
	}
}

function onClickSaveForm()
{	
				
}

function validate(frm)
{
	validate2(frm)
}

function validateOfficialNameField(frm){
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldOFFCIALNAME%>);
	if(isValuePresent(frm.<%= NoticeDetailContractAwardPageBean.fieldOFFCIALNAME%>))
	{
		return true;
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldOFFCIALNAME%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateNUTSCode(frm){
	clearError(frm.<%= bean.fieldNameNutsCode%>);
	if(isValuePresent(frm.<%= bean.fieldNameNutsCode%>))
	{
		return true;
	}
	else
	{
		showError(frm.<%= bean.fieldNameNutsCode%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateCountryField(frm){
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldCOUNTRY%>);
	if(isValuePresent(frm.<%= NoticeDetailContractAwardPageBean.fieldCOUNTRY%>))
	{
		return true;
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldCOUNTRY%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateTownField(frm){
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldTOWN%>);
	if(isValuePresent(frm.<%= NoticeDetailContractAwardPageBean.fieldTOWN%>))
	{
		return true;
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldTOWN%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateContractLotIsAwardedField(frm){
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>);
	var value =""; 
	 for (var i=0; i < frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>.length; i++)
	 {
		 if (frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>[i].checked)
	      {
			 value =frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>[i].value;
	       	break;
	      }
	 }
	if(value != null && value != '')
	{
		return true;
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateContractLotNotAwardedField(frm){
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>);
	var value =""; 
	 for (var i=0; i < frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>.length; i++)
	 {
		 if (frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>[i].checked)
	      {
			value =frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>[i].value;
	       	break;
	      }
	 }
	if(value != null && value != '')
	{
		if(value == "0"){
			var nrPart1 = frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART1%>.value.replace(/,/g, '');
			var nrPart2 = frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART2%>.value.replace(/,/g, '');
			if(nrPart1 != null && nrPart1 != ''){
				if(nrPart1.length == 4 && nrPart1.substring(0, 2)=='20'){
					if(nrPart2 != null && nrPart2 != ''){
						if(nrPart2.length == 6){
							return true;
						}else{
							showError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART2%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.notice_reference.part2.errorMsg" )%>");	
							return false;
						}
					}else{
						showError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART2%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
						return false;
					}
				}else{
					showError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART1%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.notice_reference.part1.errorMsg" )%>");	
					return false;
				}
			}else{
				showError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOTICEREFERENCEPART1%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
				return false;
			}
		}else{
			return true;
		}
		
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISNOTAWARDED%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateAwardDateField(frm){
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDDATE%>);
	if(isValuePresent(frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDDATE%>))
	{
		var awardDate = i18n.textToDate(frm.<%=NoticeDetailContractAwardPageBean.fieldAWARDDATE%>.value);
		var currentDate = new Date();
		if (awardDate > currentDate) {
			showError(frm.<%=NoticeDetailContractAwardPageBean.fieldAWARDDATE%>,'<%= ref.convertLiteral("ojeu.notice.contract_award.contract_award_date_less_than_or_equal_to_current_date")%>');
			return false;
		}
		return true;
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDDATE%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}

}

function validateNumberOfOffersReceivedField(frm){
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOOFOFFERSRECE%>);
	if(isValuePresent(frm.<%= NoticeDetailContractAwardPageBean.fieldNOOFOFFERSRECE%>))
	{
		return true;
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldNOOFOFFERSRECE%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateAwardedToGroupOfEletronicOperatorsField(){
	var frm=document.<%= FORM_NAME%>;
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDEDTOGRPOFELECOPE%>);
	var value =""; 
	 for (var i=0; i < frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDEDTOGRPOFELECOPE%>.length; i++)
	 {
		 if (frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDEDTOGRPOFELECOPE%>[i].checked)
	      {
			 value =frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDEDTOGRPOFELECOPE%>[i].value;
	       	break;
	      }
	 }
	if(value != null && value != '')
	{
		return true;
	} else {
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldAWARDEDTOGRPOFELECOPE%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateContractorIsAnSMEField(){
	var frm=document.<%= FORM_NAME%>;
	clearError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTORISANSME%>);
	var value =""; 
	 for (var i=0; i < frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTORISANSME%>.length; i++)
	 {
		 if (frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTORISANSME%>[i].checked)
	      {
			 value =frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTORISANSME%>[i].value;
	       	break;
	      }
	 }
	if(value != null && value != '')
	{
		return true;
	}
	else
	{
		showError(frm.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTORISANSME%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}

function validateSubcontracting(){
	var frm=document.<%= FORM_NAME%>;
	var value =""; 
	 for (var i=0; i < frm.<%= bean.fieldLIKELYTOBESUBCONTRACTED%>.length; i++)
	 {
		 if (frm.<%= bean.fieldLIKELYTOBESUBCONTRACTED%>[i].checked)
	      {
			 value =frm.<%= bean.fieldLIKELYTOBESUBCONTRACTED%>[i].value;
	       	break;
	      }
	 }
	 if(value != null && value != '' && value == "true"){
		 var proportaionValue = frm.<%= bean.fieldSUBCONVALUEORPROPRTION%>.value;
		 if(proportaionValue!=null && proportaionValue!=''){
			 if(frm.<%= bean.fieldSUBCONVALUEORPROPRTIONCURR%>.value!="-1"){
				 return true;
			 }else{
				 showError(frm.<%= bean.fieldSUBCONVALUEORPROPRTIONCURR%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
				 return false;
			 }
		 }
	 }
	 return true;
}

function validateTotalValueOfContractLot(){
	var frm=document.<%= FORM_NAME%>;
	clearError(frm.<%= totalValueOrRadio%>);
	var value =""; 
	 for (var i=0; i < frm.<%= totalValueOrRadio%>.length; i++)
	 {
		 if (frm.<%= totalValueOrRadio%>[i].checked)
	      {
			 value =frm.<%= totalValueOrRadio%>[i].value;
	       	break;
	      }
	 }
	if(value != null && value != '')
	{
		if(value == "0"){
			var totalVal = parseFloat(frm.<%= bean.fieldTOTALVALUE%>.value.replace(/,/g, ''));
			if(totalVal != null && totalVal != '' && totalVal > 0){
				return true;
			}else{
				showError(frm.<%= bean.fieldTOTALVALUE%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
				return false;
			}
		}else{
			var minValue = parseFloat(frm.<%= bean.fieldCONTRACTLOWESTOFFER%>.value.replace(/,/g, ''));
			var maxValue = parseFloat(frm.<%= bean.fieldCONTRACTHIGHESTOFFER%>.value.replace(/,/g, ''));
			if(minValue != null && minValue != '' && minValue > 0){
				if(maxValue != null && maxValue != '' && maxValue > 0){
					if(maxValue>=minValue){
						if(frm.<%= bean.fieldFINALCONTRACTVALUECURR%>.value!="-1"){
							return true;
						}else{
							showError(frm.<%= bean.fieldFINALCONTRACTVALUECURR%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
							return false;
						}
					}else{
						showError(frm.<%= bean.fieldCONTRACTHIGHESTOFFER%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.range.of.values.errorMsg" )%>");	
						return false;
					}
				}else{
					showError(frm.<%= bean.fieldCONTRACTHIGHESTOFFER%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
					return false;
				}
			}else{
				showError(frm.<%= bean.fieldCONTRACTLOWESTOFFER%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
				return false;
			}
		}
	}
	else
	{
		showError(frm.<%= totalValueOrRadio%>,"<%= ref.convertLiteral( "ojeu.form.detail.contract_award.error.required" )%>");	
		return false;
	}
}


function validateOjeuTownField(field){
	isErrorOccured=false;
	clearError(field);
	
	var theString = field.value;

	if(theString.length == 0){
		return true;
	}
	var errMsg;
	errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidTownFormat")%>";

	if (!isOjeuTown(theString)){
		return  _validationFailure(field, errMsg);
	}

	return true;
}

var OJEU_TOWN_REGEX = new Array(
  "[^\\n\\r]*[^\\W\\d_][^\\n\\r]*");

function isOjeuTown(str){
	return _matchFormat(OJEU_TOWN_REGEX, isOjeuTown.arguments);
}

function validateOjeuUrlField(field){
	isErrorOccured=false;
	clearError(field);
	
	var theString = field.value;

	if(theString.length == 0){
		return true;
	}
	var errMsg;
	errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.contractingauthority.invalidUrlFormat")%>";

	if (!isOjeuUrl(theString)){
		return  _validationFailure(field, errMsg);
	}

	return true;
}

var OJEU_URL_REGEX = new Array(
  "(((http|HTTP|https|HTTPS|ftp|FTP|ftps|FTPS|sftp|SFTP)://)|((w|W){3}(\\d)?\\.))[\\w\\?!\\./:;,\\-_=#+*%@&quot;\\(\\)&amp;]+");

function isOjeuUrl(str){
	return _matchFormat(OJEU_URL_REGEX, isOjeuUrl.arguments);
}

function validateOjeuCostField(field){
	isErrorOccured=false;
	clearError(field);
	
	var theString = field.value;

	if(theString.length == 0){
		return true;
	}
	var errMsg;
	errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.lot.invalidCostFormat")%>";
	var valid = false;
	if (!isOjeuCost(theString)){
		return  _validationFailure(field, errMsg);
	}

	return true;
}

var OJEU_COST_REGEX = new Array(
  "^\\d{1,13}(\\.\\d{1,2})?$");

function isOjeuCost(str){

	return _matchFormat(OJEU_COST_REGEX, isOjeuCost.arguments) && isValueZero(str);
}

function isValueZero(str) {
	for (var i=0; i<str.length; i++) {
		if(str.charAt(i) != '.' && str.charAt(i) != '0') {
			return true;
		}
	}
	return false;
}

function isValuePresent(Ctrl)
{
	if(typeof(Ctrl)!='undefined' && Ctrl!=null)
	{
		if(Ctrl.value != null && Ctrl.value.replace(/^\s+|\s+$/g, '') !='')
		{
			if(Ctrl.name.indexOf('country')>-1 && Ctrl.value == '-1')
				return false;
			else
				return true;
		}
	}
}

function onClickNextContractAward()
{
    var frm = document.<%= FORM_NAME%>;
    if(!validateForm()){
		 return false;
	 }else{
	    document.getElementById('noOfContractTitle').value = rowNum;
		document.getElementById('deletedRows').value = deletedRows;				
	    frm.<%=  EPASSJSPActions.ACTION %>.value = <%=  EPASSJSPActions.SAVE_CREATE_NEW%>;
	    frm.submit();
	 }
}

top.showmaxbtn = "false";
top.showScrollBtn = "false";
var onClickStartDate = '';
var onClickEndDate = '';
    
 function onClickSave()
 {
	 if(!validateForm()){
		 return false;
	 }else{
		 document.getElementById('noOfContractTitle').value = rowNum;
		 document.getElementById('deletedRows').value = deletedRows;	
		 document.<%= FORM_NAME%>.<%= EPASSJSPActions.ACTION%>.value = <%= EPASSJSPActions.SAVE_NEW%>;
		 document.<%= FORM_NAME%>.submit();
	 }
 }
 
 function validateForm(){
	 if(isErrorField()){
		 return false;
	 }
	 var value =""; 
	 for (var i=0; i < document.<%= FORM_NAME%>.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>.length; i++)
	 {
		 if (document.<%= FORM_NAME%>.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>[i].checked)
	      {
			value =document.<%= FORM_NAME%>.<%= NoticeDetailContractAwardPageBean.fieldCONTRACTLOTISAWARDED%>[i].value;
	       	break;
	      }
	 }
	 if(value != null && value != '' & value=="true"){
		 if(!validateContractLotIsAwardedField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateAwardDateField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateNumberOfOffersReceivedField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateAwardedToGroupOfEletronicOperatorsField())
		 {
		 	return false;
		 }
		 if(!validateOfficialNameField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateTownField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateCountryField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateNUTSCode(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateContractorIsAnSMEField( ))
		 {
		 	return false;
		 }
		 if(!validateTotalValueOfContractLot( ))
		 {
		 	return false;
		 }
		 if(!validateSubcontracting( ))
		 {
		 	return false;
		 }
		 return true;
	 }else{
		 if(!validateContractLotIsAwardedField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 if(!validateContractLotNotAwardedField(document.<%= FORM_NAME%> ))
		 {
		 	return false;
		 }
		 return true;
	 }
 }
 
 function validate2(form)
 {
	 document.getElementById('noOfContractTitle').value = rowNum;
		document.getElementById('deletedRows').value = deletedRows;	
	 document.<%= FORM_NAME%>.<%= EPASSJSPActions.ACTION%>.value = '<%= EPASSJSPActions.SAVE_NEW%>';
     document.<%= FORM_NAME%>.submit();
 }

 function setFinalValueChange()
 {
	 clearError( document.<%= FORM_NAME%>.<%= totalValueOrRadio%>);
	 clearError( document.<%= FORM_NAME%>.<%= bean.fieldTOTALVALUE%>);
	 clearError( document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>);
	 clearError( document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>);
	 var valueOrRange =""; 
	 for (var i=0; i < document.<%= FORM_NAME%>.<%= totalValueOrRadio%>.length; i++)
	 {
		 if (document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[i].checked)
	      {
			 valueOrRange =document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[i].value;
	       	break;
	      }
	   }
	 if (valueOrRange=="0")
	 {
		 document.<%= FORM_NAME%>.<%= bean.fieldTOTALVALUE%>.disabled=false;
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>.value=''
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>.disabled=true;
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>.value='';
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>.disabled=true;
		 document.<%= FORM_NAME%>.<%= bean.fieldFINALCONTRACTVALUECURR%>.disabled=false;
	 }
	 else if (valueOrRange == "1")
	 {
		 document.<%= FORM_NAME%>.<%= bean.fieldTOTALVALUE%>.value='';
		 document.<%= FORM_NAME%>.<%= bean.fieldTOTALVALUE%>.disabled=true;
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>.disabled=false;
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>.disabled=false;
		 document.<%= FORM_NAME%>.<%= bean.fieldFINALCONTRACTVALUECURR%>.disabled=false;
	 }else
	 {
		 document.<%= FORM_NAME%>.<%= bean.fieldTOTALVALUE%>.disabled=true;
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>.disabled=true;
		 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>.disabled=true;
		 document.<%= FORM_NAME%>.<%= bean.fieldFINALCONTRACTVALUECURR%>.disabled=true;
	 }
 }
 
 function initializeFields()
 {
	 
	 <%
	 	if (isTotalFinalValueAvailable!=null && !isReadOnly)
	 	{
	 		if (isTotalFinalValueAvailable)
	 		{
	 	%>
	 			document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[0].checked = true;
	 	<%
	 		}else
	 		{
	 	%>		
	 			document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[1].checked = true;
	 	<%
	 		}
	 	}
	 %>
	 
	 <%
	 	if (isContractLotIsAwarded!=null && !isReadOnly)
	 	{
	 		if (isContractLotIsAwarded)
	 		{
	 	%>
	 			document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOTISAWARDED%>[0].checked = true;
	 	<%
	 		}else
	 		{
	 	%>		
	 			document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOTISAWARDED%>[1].checked = true;
	 	<%
	 		}
	 	}
	 %>
	 
	 <%
	 	if (isContractLotNotAwarded!=null && !isReadOnly)
	 	{
	 		if (isContractLotNotAwarded==1)
	 		{
	 	%>
	 			document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOTISNOTAWARDED%>[0].checked = true;
	 	<%
	 		}else
	 		{
	 	%>		
	 			document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOTISNOTAWARDED%>[1].checked = true;
	 	<%
	 		}
	 	}
	 %>	 
	 
	 <%
	 	if (isContractAwardedToGrp!=null && !isReadOnly)
	 	{
	 		if (isContractAwardedToGrp)
	 		{
	 	%>
	 			document.<%= FORM_NAME%>.<%= bean.fieldAWARDEDTOGRPOFELECOPE%>[0].checked = true;
	 	<%
	 		}else
	 		{
	 	%>		
	 			document.<%= FORM_NAME%>.<%= bean.fieldAWARDEDTOGRPOFELECOPE%>[1].checked = true;
	 	<%
	 		}
	 	}
	 %>
	 
	 <%
	 	if (isContractorIsAnSME!=null && !isReadOnly)
	 	{
	 		if (isContractorIsAnSME)
	 		{
	 	%>
	 			document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTORISANSME%>[0].checked = true;
	 	<%
	 		}else
	 		{
	 	%>		
	 			document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTORISANSME%>[1].checked = true;
	 	<%
	 		}
	 	}
	 %>
	 setFinalValueChange();
	 hideAndShowFieldsIfContractAwarded();
	 enableAndDisableFieldsIfSubcontracted();
	 enableDisableNoticeRef();
 }
 function validateContractAward()
 {
	 clearError(document.<%= FORM_NAME%>.<%= NoticeDetailContractAwardPageBean.fieldNUMBER%>);
	 clearError(document.<%= FORM_NAME%>.<%= bean.fieldSUBCONVALUEORPROPRTIONCURR%>);
	 clearError(document.<%= FORM_NAME%>.<%= bean.fieldINITIALESTIMATE%>);
	 clearError(document.<%= FORM_NAME%>.<%= bean.fieldFINALCONTRACTVALUECURR%>);
	 var isContractAwardBlank = true;
 	 var initialEstimateCurrMsg = '<%= ref.convertLiteral("ojeu.form.detail.contract_award.initial_estimate_currency_reqquired")%>';


		
	 var estimateInclVatsMsg = '<%=  ref.convertLiteral("ojeu.form.detail.contract_award.initial_estimate_vat_if_includes_vat")%>';

	 //total final value of contract includes estimate
	 //value is selected
	 if (document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[0].checked)
	 {
		 isContractAwardBlank = false;
		 var finalValueMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_value")%>";
		 if(!EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldTOTALVALUE%>,finalValueMsg ))
		 {
			 document.<%= FORM_NAME%>.<%= bean.fieldTOTALVALUE%>.focus();
			 return false;
		 }
	 }

	 if (document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[1].checked)
	 {
		 isContractAwardBlank = false;
		 var finalLowestMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_lowest_value")%>";
		 if(!EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>,finalLowestMsg ))
		 {
			 //document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>.focus();
			 return false;
		 }
		
		 var finalHighestMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_higest_value")%>";
		 if(!EPASSText.checkRequired(document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>,finalHighestMsg ))
		 {
			 document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>.focus();
			 return false;
		 }

		 var i18var = new I18N();
		 var lowestOfferValue = i18var.textToNumber(document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>.value);
		 var highestOfferValue = i18var.textToNumber(document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>.value);
		 var lowestOffIsMoreThanHighestOffer = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.lowest_off_higher_than_higest_off")%>";

		 if (lowestOfferValue > highestOfferValue)
		 {
			 showError(document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTLOWESTOFFER%>,lowestOffIsMoreThanHighestOffer);
			 showError(document.<%= FORM_NAME%>.<%= bean.fieldCONTRACTHIGHESTOFFER%>,lowestOffIsMoreThanHighestOffer);
			 return false;
		 }
	 }
	 if( (document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[0].checked) ||  (document.<%= FORM_NAME%>.<%= totalValueOrRadio%>[1].checked))
	 {
		 isContractAwardBlank = false;
		 var finalValueCurrMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_value_currency")%>";
		 if (document.<%= FORM_NAME%>.<%= bean.fieldFINALCONTRACTVALUECURR%>.value=="<%= NoticeDetailContractAwardPageBean.DEFAULT_SELECT_CTL_VALUE%>")
		 {
			 showError(document.<%= FORM_NAME%>.<%= bean.fieldFINALCONTRACTVALUECURR%>,finalValueCurrMsg);
			 document.<%= FORM_NAME%>.<%= bean.fieldFINALCONTRACTVALUECURR%>.focus();
			 return false;
		 }
	 }	 

	 var finalValueInclVatsMsg= "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.final_value_vat_if_includes_vat")%>";


	 //annual or monthly value
	 var durationMeasureMsg = "<%= ref.convertLiteral("ojeu.form.detail.contract_award.select_duration_measure")%>";
	 var durationMsg = "<%= ref.convertLiteral("ojeu.form.detail.contract_award.specify_duration")%>";
	
	 //sub contract type	
	 var isLikelySubContractChecked = document.<%= FORM_NAME%>.<%= bean.fieldLIKELYTOBESUBCONTRACTED%>[0].checked;
	 var isLikelySubContractCheckedIsNo = document.<%= FORM_NAME%>.<%= bean.fieldLIKELYTOBESUBCONTRACTED%>[1].checked;
	
	 if (isLikelySubContractChecked)
	 {
		 isContractAwardBlank = false;
		 var  subContractTypeMsg = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_sub_contract_type")%>";
	 }else if (isLikelySubContractCheckedIsNo)
	 {
		 isContractAwardBlank = false;
	 }
	 //There must be some field which is filled up by the user

 	 return true;
 }

 function onClose(){
	
	// monitoredFields['_uda_contractTitle'] = getControlValue(document.<%--FORM_NAME--%>.<%--bean.fieldTITLE--%>, 'value' );
 	if(isMonitoredFieldsDirty( document.<%= FORM_NAME%>, true ) ) 

 	  {

 	                if( confirm( "<esapi:js><%=  ref.convertLiteral("Form_Dirty")%></esapi:js>" ) ) 

 	                {

 	                                top.window.close();

 	                } 

 	                else

 	                 {

 	                                return false;

 	                }

 	}

 	else 

 	{

 	                top.window.close();

 	}
 	        
 }

     function showTelephoneHelp()
    { 
       	  var helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.detail"))%>"; 
       	  //PR63022 fix start ->
       	  var close = "<%= ref.convertLiteral("form.wizrfxstart.button.close")%>"; 
       	  //PR63022 fix suspend <-
          var url = "<%=  ref.encodeURLwUP( "blank.html?") %>";
	   	  var helpReport = window.open(url,'','height=360,width=450');
		  helpReport.document.write('<title>Number Format Help</title></head><body bgcolor="#FFFFE1"><form><font style="font-family:arial;font-size:12px;">');
		  helpReport.document.write( helpMessage ); 
		  //helpReport.document.write(unescape(helpMessage.replace(/\+/g, " ")).replace("<","&lt;"));
		  //PR63022 fix resume ->
		  helpReport.document.write('</font><p><center><input type="button" value="'+ close +'" onclick="self.close()"></p>');
		  //PR63022 fix end <-
		  helpReport.document.write('</form></body></html>'); 
    }
     
     $(document).ready(function(){	
   	  NAV_FireEvent(top,'NAV_HandleQuery_wiz_notice_tree','','NAV_HandleQuery_wiz_notice_tree');
   	});     
 
</script>

</head>

<%-- HTML BODY --%>
<body onload="init();initializeFields()" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">
<%popupImage = ref.getUserPath()+Image.CONTRACT_AWARD;%>
<%@ include file="../../include/inc_popup_top.inc" %>
<%
if (!StringUtility.isEmpty(ref.getSaveMessage()))
{
	out.println( ref.getSaveMessage() );
	ref.setSaveMessage(false);
}else if (!StringUtility.isEmpty(ref.getMessage()))
{
	out.println( ref.getMessage());
}
%>
<%= form.getTop() %>
<input type="hidden" id="NUTSID" name="NUTSID" value="<%= bean.getFieldValueNutsId() %>">
<input type="hidden" id="NUTSCODE" name="NUTSCODE" value="<%= bean.getFieldValueNutsCode() %>">
<input type="hidden" id="NUTSNAME" name="NUTSNAME" value="<%= bean.getFieldValueNutsName() %>">
<TABLE CLASS="POPFORMBORDER" cellspacing="1" WIDTH="100%"  id="mainTable" >
<TR CLASS="POPFORMBODY">
	<TABLE  WIDTH=100% cellspacing="0" cellpadding="0" CLASS="POPFORMBODY">
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td class="POPFORMTITLE" colspan=2><%= ref.convertLiteral("form.noticetree.notice_award_of_contract")%></td>
		</tr>
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNUMBER) +EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNUMBER)%></td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldLOTNUMBER) +EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldLOTNUMBER)%></td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldTITLE) +EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldTITLE)%></td>
		</tr>
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldCONTRACTLOTISAWARDED)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= form.getField(bean.fieldCONTRACTLOTISAWARDED)%></td>
		</tr>
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
	</TABLE>
	<TABLE  WIDTH=100% cellspacing="0" cellpadding="0" CLASS="POPFORMBODY" id="lotNotAwarded">
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td class="POPFORMTITLE" colspan=2><%= ref.convertLiteral("ojeu.form.detail.contract_award.header.awardOfContract.notAwarded")%></td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldCONTRACTLOTISNOTAWARDED)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= form.getField(bean.fieldCONTRACTLOTISNOTAWARDED)%></td>
		</tr>
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNOTICEREFERENCEPART1) +EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNOTICEREFERENCEPART1)%> - <%= EXTRA_SPACE + form.getField(bean.fieldNOTICEREFERENCEPART2)%>&nbsp;<%= ref.convertLiteral("ojeu.form.detail.contract_award.notice_reference.info")%></td>
		</tr>	
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
	</TABLE>
	<TABLE WIDTH=100% cellspacing="0" cellpadding="0" CLASS="POPFORMBODY" id="awardOfContract">
		<tr>
			<td class="POPFORMTITLE" colspan=2><%= ref.convertLiteral("ojeu.form.detail.contract_award.header.awardOfContract.subSection")%></td>
		</tr>
		<TR>
		<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldAWARDDATE)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= form.getField(bean.fieldAWARDDATE)%></td>
		</tr>		
		<TR>
			<TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<!-- Start of Information about tenders section -->
		<tr>
			<td class="POPFORMTITLE" colspan=2><%= ref.convertLiteral("ojeu.form.detail.contract_award.header.information.about.tenders")%></td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNOOFOFFERSRECE)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNOOFOFFERSRECE)%>&nbsp;<%= ref.convertLiteral("ojeu.form.detail.contract_award.noOfTendersReceived.info")%></td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNOOFTENDERSRECEIVEDSME)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNOOFTENDERSRECEIVEDSME)%></td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNOOFTENDERSRECEIVEDEU)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNOOFTENDERSRECEIVEDEU)%></td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNOOFTENDERSRECEIVEDNONEU)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNOOFTENDERSRECEIVEDNONEU)%></td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNOOFTENDERSRECEIVEDELECTRONIC)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNOOFTENDERSRECEIVEDELECTRONIC)%></td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldAWARDEDTOGRPOFELECOPE)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldAWARDEDTOGRPOFELECOPE)%></td>
		</tr>		
	</TABLE>
	<table WIDTH=100% cellspacing="0" cellpadding="0" border="0" CLASS="POPFORMBODY" id="postalAddress">
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr><td class="POPFORMTITLE" colspan=2><%= ref.convertLiteral(NAME_ADDRESS_AWARDEE_HDR_SEP)%></td></tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldOFFCIALNAME)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldOFFCIALNAME)%> </td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNATIONALREGISTRATIONNUMBER)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNATIONALREGISTRATIONNUMBER)%> </td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr><td class="POPFORMTITLE" colspan=2><%= ref.convertLiteral("ojeu.form.detail.contract_award.header.notice.postal.address")%></td></tr>
		<tr>
		<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldPOSTALADDRESS)+ EXTRA_SPACE %></esapi:html></td>
		<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldPOSTALADDRESS)%> </td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldTOWN)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldTOWN)%> </td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldCOUNTRY)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldCOUNTRY)%> </td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldPOSTALCODE)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldPOSTALCODE)%> </td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldEMAIL)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldEMAIL)%> </td>
		</tr>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldPHONE)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldPHONE)%> </td>
		 </tr>
		 <TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		 </TR>
		 <tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldFAX)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldFAX)%> </td>
		 </tr>
		 <tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldNameNutsCode)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldNameNutsId)%></td>
		 </tr>		 
		 <TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		 </TR>
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
		<tr><td class="POPFORMTITLE" colspan=2><%= ref.convertLiteral("ojeu.form.detail.contract_award.hdr.notice.header.internet.address")%></td></tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldURL)+ EXTRA_SPACE %></esapi:html></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldURL)%> </td>
		</tr>
		<tr>
			<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldCONTRACTORISANSME)+ EXTRA_SPACE %></esapi:html><%= Header.REQUIRED_FIELD %></td>
			<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldCONTRACTORISANSME)%> </td>
		</tr>		 
		<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
		</TR>
</TABLE>
<table WIDTH=100% cellspacing="0" cellpadding="0" CLASS="POPFORMBODY" id="initialEstimates">
	<tr><td class="POPFORMTITLE" colspan=5><%= ref.convertLiteral(INFO_VALUE_OF_CONTRACT_HDR_SEP)%></td></tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
	</TR>
	<tr width=100% colspan=4>
		<td width=35% class="POPFORMLABEL"><%= form.getTitle(bean.fieldINITIALESTIMATE)+ EXTRA_SPACE  %></td>
		<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldINITIALESTIMATE)%>
		</br><%= ref.convertLiteral("ojeu.form.detail.contract_award.infoOnValueOfContract.info.line0")%></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
	</TR>
</table>
<table WIDTH=100% cellspacing="0" cellpadding="0" CLASS="POPFORMBODY" id="totalValue">
	<tr>
		<th width=35% class="POPFORMLABEL"><%= ref.convertLiteral(TOTAL_FINAL_VALUE_HDR)%><%= Header.REQUIRED_FIELD %></th>
		<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(totalValueOrRadio) %></td>
		<td class="REPORTFORMFIELD" nowrap colspan=4><%= EXTRA_SPACE  + form.getField(bean.fieldTOTALVALUE)%></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
	</TR>
	<tr>
		<th width=35%  class="POPFORMLABEL"></th>
<%		
		String radioCtlHtml = EXTRA_SPACE + "<input type=\"radio\" value=\"1\" name="+totalValueOrRadio+"  onClick=\"setFinalValueChange()\">";
		if (isReadOnly)
		{
			radioCtlHtml = EXTRA_SPACE;
			orDescription = "";
		}
%>			
		<td class="REPORTFORMFIELD"><%= radioCtlHtml %>&nbsp;<esapi:html><%= orDescription %></esapi:html></td>
		<td class="REPORTFORMFIELD" nowrap><span class="POPFORMLABELWHITEBG"><esapi:html><%= form.getTitle(bean.fieldCONTRACTLOWESTOFFER) %></esapi:html></span> &nbsp; <%= form.getField(bean.fieldCONTRACTLOWESTOFFER)%></td>
		<td width=40% align="left" class="REPORTFORMFIELD"><span class="POPFORMLABELWHITEBG"><esapi:html><%= EXTRA_SPACE + form.getTitle(bean.fieldCONTRACTHIGHESTOFFER) %></esapi:html></span>
		<%= form.getField(bean.fieldCONTRACTHIGHESTOFFER)%>
		<span class="POPFORMLABELWHITEBG"><%= ref.convertLiteral(CONTRACT_HIGHEST_OFFER_HDR_CONSI)%></span></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
	</TR>
</table>
<table WIDTH=100% cellspacing="0" cellpadding="0" border="0" CLASS="POPFORMBODY" id="subContract">
	<tr>
		<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldFINALCONTRACTVALUECURR)+ EXTRA_SPACE %></esapi:html></td>
		<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldFINALCONTRACTVALUECURR)%></br><%= ref.convertLiteral("ojeu.form.detail.contract_award.infoOnValueOfContract.info.line1")%>
		</br><%= ref.convertLiteral("ojeu.form.detail.contract_award.infoOnValueOfContract.info.line2")%>
		</br><%= ref.convertLiteral("ojeu.form.detail.contract_award.infoOnValueOfContract.info.line3")%></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
	</TR>
	<tr> <td class="POPFORMTITLE" colspan=5><%= ref.convertLiteral(CONTRACT_LIKELY_TO_SUBCONTRACTED_MAIN_HDR)%></td>
	</tr>
	<tr>
		<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldLIKELYTOBESUBCONTRACTED) + EXTRA_SPACE %></esapi:html></td>
		<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldLIKELYTOBESUBCONTRACTED)%></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
	</TR>
	<tr id="<esapi:htmlatt><%= subContractHdrRowId %></esapi:htmlatt>">
	<td width=35% class="POPFORMLABEL"></td>
	<td colspan=3 class="POPFORMLABELLEFT" ><%=  EXTRA_SPACE + ref.convertLiteral(CONTRACT_LIKELY_TO_SUBCONTRACTED_YES)%></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD>
	</TR>
	<tr id="<esapi:htmlatt><%= subContractCtlsRowId %></esapi:htmlatt>">
	<td width=35% class="POPFORMLABEL"><%= form.getTitle(bean.fieldSUBCONVALUEORPROPRTION)+ EXTRA_SPACE  %></td>
	<td class="REPORTFORMFIELD" >
	<%= form.getField(bean.fieldSUBCONVALUEORPROPRTION)%>&nbsp;
	<%= form.getField(bean.fieldSUBCONVALUEORPROPRTIONCURR)%></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD></TR>		
	<tr>
		<td width=35% class="POPFORMLABEL"><esapi:html><%= form.getTitle(bean.fieldSUBCONTRACTEDPROPORTION) + EXTRA_SPACE %></esapi:html></td>
		<td class="REPORTFORMFIELD"><%= EXTRA_SPACE + form.getField(bean.fieldSUBCONTRACTEDPROPORTION)%></td>
	</tr>
	<TR><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD></TR>
	<tr id="<esapi:htmlatt><%= subContractShortDescId %></esapi:htmlatt>">
		<td width=35% class="POPFORMLABEL"><%= form.getTitle(bean.fieldSUBCONADDIINFO) + EXTRA_SPACE %></td>
		<td class="REPORTFORMFIELD" ><%= EXTRA_SPACE + form.getField(bean.fieldSUBCONADDIINFO)%></td>
	</tr>
	<TR id="lastSpacerRowId"><TD colspan="5" height="1" CLASS="POPFORMRULE"><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD></TR>
</table>
</TR>
<%=scriptsToRun %>
<tr rowspan="4" ></tr>
 </table> <br>
	<DIV CLASS="POPFORMBUTTONS" >
	<%  
	  if (!isReadOnly)
	  {
	%>	  
	  <INPUT type="button" name="Save" value='<%= ref.convertLiteral("form.EPASSHTMLForm.button.save")%>' ONCLICK="return onClickSave();">&nbsp;
	<%
	  }
	%>  
	  <INPUT type="BUTTON" name="cancel" value='<%= ref.convertLiteral("form.EPASSHTMLForm.button.close")%>' ONCLICK="javascript:onClose();">
	<%  
	  if (bean.getContractAwardId()==null)
	  {
	%>  
	  	&nbsp;<INPUT type="button" name="Next" value='<%= ref.convertLiteral("form.detailLot.button.save_add_next")%>' ONCLICK="onClickNextContractAward();">
	<%
	  }
	%>  
	  </DIV>

<%@ include file="../../include/bottom.inc"%>

</body>
<script>
<%= form.getInitMonitorJS()%>
</script>
</html>
<%@ include file="../../include/simple_tail.inc"%>
