<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>

<%!
	public EPASSTextAreaControl getEmailTextAreaCtrl(String name , String value,boolean enabled)
	{
		EPASSTextAreaControl eMailCtrl = new EPASSTextAreaControl(name ,
																	value , 
																	EPASSTextAreaControl.DEFAULT_ROWS ,
																	EPASSTextAreaControl.DEFAULT_COLUMNS ,
																	200);
		eMailCtrl.setEnabled(enabled);
		eMailCtrl.setEnableCharCounter(true);
		eMailCtrl.setOnBlurFunctionSpecified(true);		
		String onblurJsFunctionName = "";
		boolean counterEnabledAndConfigured = eMailCtrl.getEnableCharCounter() && eMailCtrl.isCounterConfigured(); 
		onblurJsFunctionName = "return validateOjeuTextArea( this, "+ 200 +" , "+ counterEnabledAndConfigured+ ");" ;
		
		eMailCtrl.setAttribute( "onblur", onblurJsFunctionName);
		eMailCtrl.setOnBlurFunctionSpecified(true);
		
		return eMailCtrl; 
	}
%>

<script type="text/javascript">
//-----------------------------------------------------------------
function validateOjeuTextArea(fld, maxCharCount,counterEnabled)
{
	var firstReturnValue = true;
	if(counterEnabled){
		return (hideTextAreaCounter(fld, maxCharCount) && validateDelimitedEmailString(fld))
	}
	else{
		return (validateMaxCharCount(fld, maxCharCount) && validateDelimitedEmailString(fld))
	}
}

//-----------------------------------------------------------------
</script>





