<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ page import="java.sql.*,
                 com.avinamart.WebInterface.forms.search.SearchManager,
                 com.avinamart.Utility.Query.factory.FieldInfoProvider,
                 com.avinamart.WebInterface.Constants.Cookie,
                
                 com.avinamart.BusinessLogic.Helper.AttributeDefHelper" %>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.ApplicationServices.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.BusinessLogic.Constant.*" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Authorization.*" %>
<%@ page import="com.avinamart.WebInterface.forms.ia.ialists.IAListPageManager" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Utility.Exception.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.emptoris.app.ojeu.common.struct.*" %>
<%@ page import="java.text.Collator" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@ page import="com.avinamart.BusinessLogic.Bean.Common.ObjectCopyHelper" %>
<%@ page import="com.avinamart.Utility.StringUtility" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.ComplementaryInfoPageBean" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.emptoris.app.ojeu.dataAccess.internal.bean.Notice" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.*" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@ page import="com.emptoris.framework.workflow.common.struct.*" %>
<%@ page import="com.emptoris.framework.workflow.common.key.*" %>
<%@ page import="com.emptoris.app.partner.common.struct.PartnerProfileStruct" %>
<%@ page import="com.emptoris.framework.organization.common.struct.OrganizationStruct" %>
<%@ page import="com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSDHTMLSelect" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSButtonDivControl" %>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.ProjectManagement.ProjectManagementUiBusinessRules" %>
<%@ page import="com.avinamart.BusinessLogic.Bean.AuthorizationService.ModuleAuthorizationHelper" %>
<%@ page import="com.emptoris.app.ojeu.common.helper.NoticeHelper"%>
<%@ include file="../../include/simple_head.inc" %>
<%@ page import="org.owasp.esapi.ESAPI" %>
<%@ include file="ojeu_email_ctrl.inc" %>

<% 
	ComplementaryInfoPageBean bean = (ComplementaryInfoPageBean)request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	NoticeStruct noticeStruct = bean.getNoticeStruct();
	Integer noticeType = null;
	boolean  isTemplate = false;
	if(noticeStruct != null){
		noticeType = noticeStruct.getTenderFormType();
		isTemplate = noticeStruct.isTemplate() != null ? noticeStruct.isTemplate().booleanValue() : false;
	}

	//******************************************************************************
	//      Initialize table control field values from struct
	//******************************************************************************
	
	String actionBarTitle = null;
	String treeName = ref.userDataContext.getWizTreeName();

	String statusMsg = null;
	Integer status = null;
	boolean canUpdate = true;
	boolean isEditable = true; 
	actionBarTitle = ref.convertLiteral("form.wiz.ojeu.compinfo");
	
	// create the buttons, after read only is set // may be need in future
	EPASSInputButton buttonSubmit = null;

	EPASSInputButton buttonCancel = EPASSInputButton.createButton("button", "cancelButton" ,
									ref.isReadOnly() ? ref.convertLiteral("form.wizConfigStart.button.done")
					 								 : ref.convertLiteral("form.wizConfigStart.button.cancel"),
									"self.close();");


	//******************************************************************************
	//	Build Form Table
	//******************************************************************************
	
	EPASSHTMLForm editForm = null;
	final String formName        = "contractAuthorityForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
				ref.getUserPath() + "ojeu/jsp/wiz_complementary_info.jsp", true );
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );
	// Set the read only flag on the form
	editForm.setReadOnly( !canUpdate || !isEditable);

    EPASSImageControl addBtn=null;
	EPASSHTMLSelect inputCTRLSelect = null;
	
	EPASSInputControlInterface icInterface1 = null;	
	EPASSDHTMLSelect inputCTRLTemplateSelect = null;
	EPASSDHTMLSelect inputCtrlDHTMLSelect = null;
	EPASSInputControlDate inputCtrldate = null;
	EPASSInputControl inputCTRL = null;
	String displayStatus = null;
	EPASSDetailViewRowBase lastRow = null;
	NoticeStruct notice = bean.getNoticeStruct();
	//-----------------------------------------------------------------------------------
	
	Integer corrigendum = NoticeType.CorrigendumNotice != null ? NoticeType.CorrigendumNotice : null;
	if(notice!= null && !notice.getTenderFormType().equals(corrigendum)){
		if(notice!= null && NoticeType.ContractNotice.equals(notice.getTenderFormType())){
			
			editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.rc.separator"));
			String[] booleanFieldValues1 = {"1","0"};
			String[] booleanFieldDisplayValues1 = { ref.convertLiteral("form.terminology.button.yes"),ref.convertLiteral("form.terminology.button.no")};
	
			EPASSInputRadioButtons recurrentProcurementRadioBt = new EPASSInputRadioButtons(
													bean.fieldNameRecurrentProcurement,
													EPASSQPretty.UQ(bean.getFieldValueRecurrentProcurement(), ref),
													booleanFieldValues1,
													booleanFieldDisplayValues1,
													EPASSInputRadioButtons.HORIZONTAL,"onClickRecurrentProcurement()");
			recurrentProcurementRadioBt.setEnabled(bean.canUpdateComplementaryInfo());
			editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.recurrent.procurement"),
					ref.convertLiteral("form.wiz.ojeu.compinfo.recurrent.procurement") + Header.REQUIRED_FIELD, recurrentProcurementRadioBt);
			
			//-----------------------------------------------------------------------------------
			
			inputCTRL = new EPASSTextAreaControl(
					bean.fieldNameEstimatedTimeForFurtherNotices, 
					EPASSQPretty.UQ( bean.getFieldValueEstimatedTimeForFurtherNotices(), ref),
					EPASSTextAreaControl.DEFAULT_ROWS, 
					EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
			
			inputCTRL.setAttribute("COLS",70);
			editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.estimated.timing"),
					ref.convertLiteral("form.wiz.ojeu.compinfo.estimated.timing"), inputCTRL);
			
	
		
			inputCTRL.setEnabled(bean.canUpdateComplementaryInfo());
		}
	
	//-----------------------------------------------------------------------------------
	
		if(notice!= null && !PriorInformationNoticeType.NoticeForPriorInfo.equals(notice.getPinNoticeType()) && !NoticeType.ContractAwardNotice.equals(notice.getTenderFormType())){
		
			editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.electronic.workflow.separator"));
			EPASSInputSingleCheckBox electronicOrdering = new EPASSInputSingleCheckBox(
					bean.fieldNameElectronicOrdering,
					"true",
					bean.getFieldValueElectronicOrdering(),
					"",
					ref);
			
			electronicOrdering.setEnabled(bean.canUpdateComplementaryInfo());
			editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.electronic.ordering"), ref.convertLiteral("form.wiz.ojeu.compinfo.electronic.ordering"), electronicOrdering);
			
			EPASSInputSingleCheckBox electronicInvoicing = new EPASSInputSingleCheckBox(
					bean.fieldNameElectronicInvoicing,
					"true",
					bean.getFieldValueElectronicInvoicing(),
					"",
					ref);
			
			electronicInvoicing.setEnabled(bean.canUpdateComplementaryInfo());
			editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.electronic.invoicing"), ref.convertLiteral("form.wiz.ojeu.compinfo.electronic.invoicing"), electronicInvoicing);
			
			EPASSInputSingleCheckBox electronicPayment = new EPASSInputSingleCheckBox(
					bean.fieldNameElectronicPayment,
					"true",
					bean.getFieldValueElectronicPayment(),
					"",
					ref);
			
			electronicPayment.setEnabled(bean.canUpdateComplementaryInfo());
			editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.electronic.payment"), ref.convertLiteral("form.wiz.ojeu.compinfo.electronic.payment"), electronicPayment);
		
		}
		
	
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.additional.info"));
		int addlInfo_Size=1000;
		if(notice!=null && NoticeType.ContractNotice.equals(notice.getTenderFormType())){
			addlInfo_Size=4000;
		}
		
		EPASSTextAreaControl addInfo = new EPASSTextAreaControl(
												bean.fieldNameAddlInformation, 
												EPASSQPretty.UQ( bean.getFieldValueAddlInformation(), ref),
												EPASSTextAreaControl.DEFAULT_ROWS, 
												EPASSTextAreaControl.DEFAULT_COLUMNS, addlInfo_Size);
		addInfo.setAttribute("COLS",70);
		addInfo.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.additional.info.field"),
	    		ref.convertLiteral("form.wiz.ojeu.compinfo.additional.info.field"), addInfo);
	
		//-----------------------------------------------------------------------------------
	
	if(notice!= null && !PriorInformationNoticeType.NoticeForPriorInfo.equals(notice.getPinNoticeType())){	
	
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.procedures.for.review"));
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.body.responsible.for.review"));
		
		//-----------------------------------------------------------------------------------
		
		
		//-----------------------------------------------------------------------------------
	
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameOrganizationTitleAppellateBody, 
											EPASSQPretty.UQ( bean.getFieldValueOrganizationTitleAppellateBody(), ref),
											30,300, bean.canUpdateComplementaryInfo());
							
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name")+ Header.REQUIRED_FIELD , inputCTRL);
			
		//-----------------------------------------------------------------------------------	
		
		EPASSTextAreaControl postalAddressAppellateBody = new EPASSTextAreaControl(
											bean.fieldNamePostalAddressAppellateBody, 
											EPASSQPretty.UQ( bean.getFieldValuePostalAddressAppellateBody(), ref), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
		postalAddressAppellateBody.setAttribute("COLS",70);
		postalAddressAppellateBody.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"),
	    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"), postalAddressAppellateBody);
			
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameTownAppellateBody, 
											EPASSQPretty.UQ( bean.getFieldValueTownAppellateBody(), ref),
											30,100, bean.canUpdateComplementaryInfo());
							
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.town")+ Header.REQUIRED_FIELD , inputCTRL);
			
		//-----------------------------------------------------------------------------------
		
		String[] availCountryCode = NoticeHelper.getInstance().getAvailableCountryCodesForNotice();
		
		EPASSInputControlInterface countryAppellateBody = new EPASSInputSimpleSelect (
													bean.fieldNameCountryAppellateBody,
										            availCountryCode,
										            ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
										            EPASSQPretty.UQ( bean.getFieldValueCountryAppellateBody(), ref) );
		
		
		( (EPASSInputSimpleSelect)countryAppellateBody ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
		
		( (EPASSInputSimpleSelect)countryAppellateBody ).sortByDisplay ( ref.getCollator (), true );
		
		countryAppellateBody.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.country")+ Header.REQUIRED_FIELD, countryAppellateBody );
														
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNamePostalCodeAppellateBody, 
											EPASSQPretty.UQ( bean.getFieldValuePostalCodeAppellateBody(), ref),
											30,20, bean.canUpdateComplementaryInfo());
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code") , inputCTRL);
			
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl eMailAppellateBody = new EPASSInputControl("TEXT", 
														bean.fieldNameEMailAppellateBody, 
														EPASSQPretty.UQ( bean.getFieldValueEMailAppellateBody(), ref),
														30,200, bean.canUpdateComplementaryInfo());	
		eMailAppellateBody.setOnBlurValidation(AttributeDefValidation.EMAIL); 
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"),
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.email") , eMailAppellateBody);		
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl phoneAppellateBody = new EPASSInputControl("TEXT", 
														bean.fieldNameAddrPhoneAppellateBody, 
														EPASSQPretty.UQ( bean.getFieldValueAddrPhoneAppellateBody(), ref),
														30,100, bean.canUpdateComplementaryInfo());
		String phoneHarryHelpShort = "  " +  ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.short");	
		
		EPASSImageControl helpButton =  new EPASSImageControl(
				ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
				"showTelephoneHelp()",
				ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
		helpButton.setAttribute("align", "absmiddle");
		String spaceCtrl = "&nbsp;&nbsp;&nbsp;";
		String extendedText = "";
		canUpdate = bean.canUpdateComplementaryInfo();
		if( canUpdate ){
			extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
		}
		phoneAppellateBody.setExtendedText( extendedText );
							
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone") , phoneAppellateBody);
			
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameAddrFaxAppellateBody, 
											EPASSQPretty.UQ( bean.getFieldValueAddrFaxAppellateBody(), ref),
											30,100, bean.canUpdateComplementaryInfo());
		extendedText = "";
		if( canUpdate ){
			extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
		}
		inputCTRL.setExtendedText( extendedText );	
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax") , inputCTRL);
		
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl urlLAppellateBody = new EPASSInputControl("TEXT", 
																	bean.fieldNameURLAppellateBody, 
																	EPASSQPretty.UQ( bean.getFieldValueURLAppellateBody(), ref),
																	30,200, bean.canUpdateComplementaryInfo());
		//R207 , S03 . onblurvalidation changed , eps_url validation + disallow '@' char in url.
		urlLAppellateBody.setOnBlurValidation(AttributeDefValidation.OJEU_URL);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.ia"),
			ref.convertLiteral("form.wiz.ojeu.compinfo.ia") , urlLAppellateBody);
		
		//************************************************************************************
		//-----------------------------------------------------------------------------------
		
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.body.mediation.procedures"));
		
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameOrganizationTitleMediationBody, 
											EPASSQPretty.UQ( bean.getFieldValueOrganizationTitleMediationBody(), ref),
											30,300, bean.canUpdateComplementaryInfo());
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name")+ Header.REQUIRED_FIELD , inputCTRL);
			
		//-----------------------------------------------------------------------------------	
		
		EPASSTextAreaControl postalAddressMediationBody = new EPASSTextAreaControl(
											bean.fieldNamePostalAddressMediationBody, 
											EPASSQPretty.UQ( bean.getFieldValuePostalAddressMediationBody(), ref), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
		
		postalAddressMediationBody.setAttribute("COLS",70);
		postalAddressMediationBody.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"),
	    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"), postalAddressMediationBody);
			
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameTownMediationBody, 
											EPASSQPretty.UQ( bean.getFieldValueTownMediationBody(), ref),
											30,100, bean.canUpdateComplementaryInfo());
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.town")+ Header.REQUIRED_FIELD , inputCTRL);
			
		//-----------------------------------------------------------------------------------
		
		
		EPASSInputControlInterface countryMediationBody = new EPASSInputSimpleSelect (
													bean.fieldNameCountryMediationBody,
										            availCountryCode,
										            ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
										            EPASSQPretty.UQ( bean.getFieldValueCountryMediationBody(), ref) );
		
		
		( (EPASSInputSimpleSelect)countryMediationBody ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
		
		( (EPASSInputSimpleSelect)countryMediationBody ).sortByDisplay ( ref.getCollator (), true );
		
		countryMediationBody.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.country")+ Header.REQUIRED_FIELD , countryMediationBody );
														
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNamePostalCodeMediationBody, 
											EPASSQPretty.UQ( bean.getFieldValuePostalCodeMediationBody(), ref),
											30,20, bean.canUpdateComplementaryInfo());
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code") , inputCTRL);
			
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl eMailMediationBody = new EPASSInputControl("TEXT", 
														bean.fieldNameEMailMediationBody, 
														EPASSQPretty.UQ( bean.getFieldValueEMailMediationBody(), ref),
														30,200, bean.canUpdateComplementaryInfo());	
		eMailMediationBody.setOnBlurValidation(AttributeDefValidation.EMAIL);	
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.email") , eMailMediationBody);
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl phoneMediationBody = new EPASSInputControl("TEXT", 
														bean.fieldNameAddrPhoneMediationBody, 
														EPASSQPretty.UQ( bean.getFieldValueAddrPhoneMediationBody(), ref),
														30,100, bean.canUpdateComplementaryInfo());
		extendedText = "";
		if( canUpdate ){
			extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
		}
		phoneMediationBody.setExtendedText( extendedText );						
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone") , phoneMediationBody);
			
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameAddrFaxMediationBody, 
											EPASSQPretty.UQ( bean.getFieldValueAddrFaxMediationBody(), ref),
											30,100, bean.canUpdateComplementaryInfo());
		extendedText = "";
		if( canUpdate ){
			extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
		}
		inputCTRL.setExtendedText( extendedText );	
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax") , inputCTRL);
		
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl urlMediationBody = new EPASSInputControl("TEXT", 
																	bean.fieldNameURLMediationBody, 
																	EPASSQPretty.UQ( bean.getFieldValueURLMediationBody(), ref),
																	30,200, bean.canUpdateComplementaryInfo());
		//R207 , S03 . onblurvalidation changed , eps_url validation + disallow '@' char in url.
		urlMediationBody.setOnBlurValidation(AttributeDefValidation.OJEU_URL);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.ia"),
			ref.convertLiteral("form.wiz.ojeu.compinfo.ia") , urlMediationBody);
	
		
		
		//************************************************************************************************
		
		//-----------------------------------------------------------------------------------	
	
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.rp.separator")); 
		EPASSTextAreaControl lodgingOfAppeals = new EPASSTextAreaControl(
																bean.fieldNameLodgingOfAppeals, 
																EPASSQPretty.UQ( bean.getFieldValueLodgingOfAppeals(), ref), 
																EPASSTextAreaControl.DEFAULT_ROWS, 
																EPASSTextAreaControl.DEFAULT_COLUMNS, 4000);
		lodgingOfAppeals.setAttribute("COLS",70);
		lodgingOfAppeals.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.review.procedures"),
	    		ref.convertLiteral("form.wiz.ojeu.compinfo.review.procedures"), lodgingOfAppeals);
		
		//-----------------------------------------------------------------------------------
		
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.service"));
		
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameOrganizationTitleLodgingAppeals, 
											EPASSQPretty.UQ( bean.getFieldValueOrganizationTitleLodgingAppeals(), ref),
											30,300, bean.canUpdateComplementaryInfo());
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.official.name")+ Header.REQUIRED_FIELD , inputCTRL);
			
		//-----------------------------------------------------------------------------------	
		
		EPASSTextAreaControl postalAddressLodgingAppeals = new EPASSTextAreaControl(
											bean.fieldNamePostalAddressLodgingAppeals, 
											EPASSQPretty.UQ( bean.getFieldValuePostalAddressLodgingAppeals(), ref), 
											EPASSTextAreaControl.DEFAULT_ROWS, 
											EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
		
		postalAddressLodgingAppeals.setAttribute("COLS",70);
		postalAddressLodgingAppeals.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"),
	    		ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"), postalAddressLodgingAppeals);
			
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameTownLodgingAppeals, 
											EPASSQPretty.UQ( bean.getFieldValueTownLodgingAppeals(), ref),
											30,100, bean.canUpdateComplementaryInfo());
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.town"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.town")+ Header.REQUIRED_FIELD , inputCTRL);
			
		//-----------------------------------------------------------------------------------
		
		
		EPASSInputControlInterface countryLodgingAppeals = new EPASSInputSimpleSelect (
													bean.fieldNameCountryLodgingAppeals,
										            availCountryCode,
										            ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
										            EPASSQPretty.UQ( bean.getFieldValueCountryLodgingAppeals(), ref) );
		
		
		( (EPASSInputSimpleSelect)countryLodgingAppeals ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
		
		( (EPASSInputSimpleSelect)countryLodgingAppeals ).sortByDisplay ( ref.getCollator (), true );
		
		countryLodgingAppeals.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl ( ref.convertLiteral("form.wiz_contracting_authority.header.notice.country")+ Header.REQUIRED_FIELD , countryLodgingAppeals );
														
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNamePostalCodeLodgingAppeals, 
											EPASSQPretty.UQ( bean.getFieldValuePostalCodeLodgingAppeals(), ref),
											30,20, bean.canUpdateComplementaryInfo());
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.code") , inputCTRL);
			
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl eMailLodgingAppeals = new EPASSInputControl("TEXT", 
														bean.fieldNameEMailLodgingAppeals, 
														EPASSQPretty.UQ( bean.getFieldValueEMailLodgingAppeals(), ref),
														30,200, bean.canUpdateComplementaryInfo());
		eMailLodgingAppeals.setOnBlurValidation(AttributeDefValidation.EMAIL);
		
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.email"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.email") , eMailLodgingAppeals);
			
	
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl phoneLodgingAppeals = new EPASSInputControl("TEXT", 
														bean.fieldNameAddrPhoneLodgingAppeals, 
														EPASSQPretty.UQ( bean.getFieldValueAddrPhoneLodgingAppeals(), ref),
														30,100, bean.canUpdateComplementaryInfo());
		extendedText = "";
		if( canUpdate ){
			extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
		}
		phoneLodgingAppeals.setExtendedText( extendedText );						
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone") , phoneLodgingAppeals);
			
		//-----------------------------------------------------------------------------------
		
		inputCTRL = new EPASSInputControl(  "TEXT", 
											bean.fieldNameAddrFaxLodgingAppeals, 
											EPASSQPretty.UQ( bean.getFieldValueAddrFaxLodgingAppeals(), ref),
											30,100, bean.canUpdateComplementaryInfo());
		extendedText = "";
		if( canUpdate ){
			extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
		}
		inputCTRL.setExtendedText( extendedText );	
		editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax"),
			ref.convertLiteral("form.wiz_contracting_authority.header.notice.fax") , inputCTRL);
		
		//-----------------------------------------------------------------------------------
		
		EPASSInputControl urlLodgingAppeals = new EPASSInputControl("TEXT", 
																	bean.fieldNameURLLodgingAppeals, 
																	EPASSQPretty.UQ( bean.getFieldValueURLLodgingAppeals(), ref),
																	30,200, !ref.isReadOnly());
		//R207 , S03 . onblurvalidation changed , eps_url validation + disallow '@' char in url.
		urlLodgingAppeals.setOnBlurValidation(AttributeDefValidation.OJEU_URL);
		urlLodgingAppeals.setEnabled(bean.canUpdateComplementaryInfo());
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.ia"),
			ref.convertLiteral("form.wiz.ojeu.compinfo.ia") , urlLodgingAppeals);
		}
	}
	

	
	//-----------------------------------------------------------------------------------
	if(!isTemplate)
	{
		Object[] dispatchDateSeparatorNo = new Object[] {"VI.5"};

		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.date.dispatch", dispatchDateSeparatorNo));
		EPASSInputCompoundControl ccS = new EPASSInputCompoundControl ( ref );
		String date = null;
		if(bean.getFieldValueNoticeDispatchDate() != null){
			date = EPASSQPretty.UQ( bean.getFieldValueNoticeDispatchDate(), ref);
			date = date.substring(0, date.length()-6);
		}
		
		EPASSInputControl dispatchDateCtrl = new EPASSInputControl("TEXT", 
																	bean.fieldNameNoticeDispatchDate, 
																	date);
		
		EPASSInputCompoundControl ccS2 = new EPASSInputCompoundControl ( ref );
		ccS.setEnabled(false);
		ccS.add(dispatchDateCtrl);
		if(bean.getFieldValueNoticeDispatchDate() == null){
			ccS.add( new com.avinamart.WebInterface.Utility.HTML.EPASSInputGenericString(ref.convertLiteral("form.wiz.ojeu.compinfo.help.text")));
		}
		
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.date.of.dispatch"),
				ref.convertLiteral("form.wiz.ojeu.compinfo.date.of.dispatch")+ Header.REQUIRED_FIELD, ccS);
		
	}
	
	
	if(notice!= null && notice.getTenderFormType().equals(corrigendum)){
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.compinfo.onr.separator"));
		 EPASSInputControl originalNoticeRefernceCTRL = new EPASSInputControl("TEXT", bean.fieldNameOriginalNoticeReference, EPASSQPretty.UQ( bean.getFieldValueOriginalNoticeReference(), ref));
		 originalNoticeRefernceCTRL.setEnabled(false);
		 editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.original_notice_reference"), originalNoticeRefernceCTRL);
		 
		EPASSInputControl originalNoticeNumberInOJSCTRL = new EPASSInputControl("TEXT", bean.fieldNameOriginalNoticeNumberInOJS, EPASSQPretty.UQ( bean.getFieldValueOriginalNoticeNumberInOJS(), ref));
		 originalNoticeNumberInOJSCTRL.setEnabled(false);
		 editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.original_notice_number"), originalNoticeNumberInOJSCTRL);
		 
		String date = null;
		if(bean.getFieldValueOriginalNoticeDispatchDate() != null){
			date = EPASSQPretty.UQ( bean.getFieldValueOriginalNoticeDispatchDate(), ref);
			date = date.substring(0, date.length()-6);
		}
		 EPASSInputControl originalNoticeDispatchDateCTRL = new EPASSInputControl("TEXT", bean.fieldNameOriginalNoticeDispatchDate, date);
		 originalNoticeDispatchDateCTRL.setEnabled(false);
		 editForm.addControl(ref.convertLiteral("form.wiz.ojeu.compinfo.original_notice_dispatch_date"), originalNoticeDispatchDateCTRL);
	}
		
	//-----------------------------------------------------------------------------------
	
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + EPASSJSPActions.SAVE_NEW );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY", "");	

	// END HIDDEN FIELDS

	// End Table Form===========================================================
	Object actionBarButtons = toolbarItems.toString();
	
	//This code will remove the Save button when the page is readonly
    out.write(TreeWizUtility.getNavHideSaveButtonJs(!bean.canUpdateComplementaryInfo()));
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
	editForm.setUserInputClass("OJEU_FORM_INPUT");	
	editForm.setAddSizerTDs(false);
%>


	<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>

<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<%
	//old if( bean.isUpdateTree() )
    if( true )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>


<SCRIPT>
var NAV_LIST='';
var NAV_DEP = '<%= ContextCodes.EVENT%>';
var isNavBlocked = false;


	function selectType()
	{
	}
	
	function resetHiddens()
	{
	}

    /**
     *
     * @return
     */
	function onClickSaveForm() {
		if (validateData())
		{
//			isNavBlocked = true;
			document.<%= formName %>.submit();
		}
	}
	//-----------------------------------------------------------------------------------
	//This function is called to refresh the page when the attributes list page closes
	function refreshWithNewAttributes(){
		NAV_Reload(this);
	}
	//-----------------------------------------------------------------------------------

	function initialize() {
		onClickRecurrentProcurement();
	}
    function onClickRecurrentProcurement()
    {
          var radioButton = document.getElementsByName('<esapi:js><%=  bean.fieldNameRecurrentProcurement %></esapi:js>');
          //var estimatedTime = document.getElementById('estimatedTime');          

          <%--setDirtyRadioBt('<esapi:js><%=  bean.fieldNameRecurrentProcurement %></esapi:js>'); --%>         
          
          if(radioButton[0].checked)
          {
        	  document.<%= formName%>.<%= bean.fieldNameEstimatedTimeForFurtherNotices%>.disabled = false;
          }
          else
          {
        	  document.<%= formName%>.<%= bean.fieldNameEstimatedTimeForFurtherNotices%>.value = '';
        	  document.<%= formName%>.<%= bean.fieldNameEstimatedTimeForFurtherNotices%>.disabled = true;
          }
    }

    function onClickProjectFinancedByEUFund()
    {
          var radioButton = document.getElementsByName('<esapi:js><%=  bean.fieldNameProjectFinancedByEUFunds %></esapi:js>');
          var refEUProjectsFunds = document.getElementById('refEUProjectsFunds');          

          setDirtyRadioBt('<esapi:js><%=  bean.fieldNameProjectFinancedByEUFunds %></esapi:js>');
          
          if(radioButton[0].checked)
          {
        	  document.<%= formName%>.<%= bean.fieldNameReferenceToEUProjectsFunds%>.value = "";
        	  refEUProjectsFunds.style.display = 'block';
          }
          else
          {
        	  refEUProjectsFunds.style.display = 'none';
          }
    }

	function setDirtyRadioBt(oldValue)
	{          
	    if( typeof(monitoredFields[oldValue]) == 'undefined')
	    {
	             document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
	    }
	}
	
	function validateOfficialNameField(frm)
	{
		var validationPassedAppelateBody = false;
		var validationPassedMediationBody = false;
		var validationPassedLodgingAppealsBody = false;
		
		if(isValuePresent(frm.<%= bean.fieldNameOrganizationTitleAppellateBody%>))
		{
			validationPassedAppelateBody = true;
		}
		else
		{
			var valuePresentForAField = (isValuePresent(frm.<%= bean.fieldNamePostalAddressAppellateBody%>) ||
				 		 isValuePresent(frm.<%= bean.fieldNameTownAppellateBody%>)       ||
				 		 isValuePresent(frm.<%= bean.fieldNameCountryAppellateBody%>)    ||
				 		 isValuePresent(frm.<%= bean.fieldNamePostalCodeAppellateBody%>) ||
					 	 isValuePresent(frm.<%= bean.fieldNameEMailAppellateBody%>)      ||
					 	 isValuePresent(frm.<%= bean.fieldNameAddrPhoneAppellateBody%>)      ||
					 	 isValuePresent(frm.<%= bean.fieldNameAddrFaxAppellateBody%>)        ||
					 	 isValuePresent(frm.<%= bean.fieldNameURLAppellateBody%>)  );  
		 	 if(valuePresentForAField){
		 		validationPassedAppelateBody = false;
		 		showError(frm.<%= bean.fieldNameOrganizationTitleAppellateBody%>,"<%= ref.convertLiteral( "form.wiz.ojeu.officialname.required.if_other_contact_details_provided" )%>");
		 	 }
		 	 else{ 
		 		validationPassedAppelateBody = true;
		 	 }
		}
		if(isValuePresent(frm.<%= bean.fieldNameOrganizationTitleMediationBody%>))
		{
			validationPassedMediationBody = true;
		}
		else
		{
			var valuePresentForAField = (isValuePresent(frm.<%= bean.fieldNamePostalAddressMediationBody%>) ||
				 		 isValuePresent(frm.<%= bean.fieldNameTownMediationBody%>)       ||
				 		 isValuePresent(frm.<%= bean.fieldNameCountryMediationBody%>)    ||
				 		 isValuePresent(frm.<%= bean.fieldNamePostalCodeMediationBody%>) ||
					 	 isValuePresent(frm.<%= bean.fieldNameEMailMediationBody%>)      ||
					 	 isValuePresent(frm.<%= bean.fieldNameAddrPhoneMediationBody%>)      ||
					 	 isValuePresent(frm.<%= bean.fieldNameAddrFaxMediationBody%>)        ||
					 	 isValuePresent(frm.<%= bean.fieldNameURLMediationBody%>)  );  
		 	 if(valuePresentForAField){
		 		validationPassedMediationBody = false;
		 		showError(frm.<%= bean.fieldNameOrganizationTitleMediationBody%>,"<%= ref.convertLiteral( "form.wiz.ojeu.officialname.required.if_other_contact_details_provided" )%>");
		 	 }
		 	 else{ 
		 		validationPassedMediationBody = true;
		 	 }
		}
		
		if(isValuePresent(frm.<%= bean.fieldNameOrganizationTitleLodgingAppeals%>))
		{
			validationPassedLodgingAppealsBody = true;
		}
		else
		{
			var valuePresentForAField = (isValuePresent(frm.<%= bean.fieldNamePostalAddressLodgingAppeals%>) ||
				 		 isValuePresent(frm.<%= bean.fieldNameTownLodgingAppeals%>)       ||
				 		 isValuePresent(frm.<%= bean.fieldNameCountryLodgingAppeals%>)    ||
				 		 isValuePresent(frm.<%= bean.fieldNamePostalCodeLodgingAppeals%>) ||
					 	 isValuePresent(frm.<%= bean.fieldNameEMailLodgingAppeals%>)      ||
					 	 isValuePresent(frm.<%= bean.fieldNameAddrPhoneLodgingAppeals%>)      ||
					 	 isValuePresent(frm.<%= bean.fieldNameAddrFaxLodgingAppeals%>)        ||
					 	 isValuePresent(frm.<%= bean.fieldNameURLLodgingAppeals%>)  );  
		 	 if(valuePresentForAField){
		 		validationPassedLodgingAppealsBody = false;
		 		showError(frm.<%= bean.fieldNameOrganizationTitleLodgingAppeals%>,"<%= ref.convertLiteral( "form.wiz.ojeu.officialname.required.if_other_contact_details_provided" )%>");
		 	 }
		 	 else{ 
		 		validationPassedLodgingAppealsBody = true;
		 	 }
		}
		return (validationPassedAppelateBody && 
				validationPassedMediationBody && 
				validationPassedLodgingAppealsBody);
	}
	function isValuePresent(Ctrl)
	{
		if(typeof(Ctrl)!='undefined' && Ctrl!=null)
		{
			if(Ctrl.value != null && Ctrl.value!='')
			{
				if(Ctrl.name.indexOf('country')>-1 && Ctrl.value == '-1')
					return false;
				else
					return true;
			}
		}
	}
	
	function validateData()
	{
		if (typeof(document.<%= formName%>.<%= bean.fieldNameEMailAppellateBody%>) != 'undefined' ) { 
			if (!validateEMailField(document.<%=formName%>.<%=bean.fieldNameEMailAppellateBody%>)|| !validateEMailField(document.<%=formName%>.<%=bean.fieldNameEMailMediationBody%>) 
				|| !validateEMailField(document.<%=formName%>.<%=bean.fieldNameEMailLodgingAppeals%>)) {
				return false;
			}
		}
		return true;
	}
	
	function selectOrganization ( orgId )
	{
		document.<%= formName%>.<%= "fieldNameASSESSMENTPARTYID"%>.value = orgId;
   		document.<%= formName%>.jspAction.value=<%= EPASSJSPActions.REFRESH_PAGE%>;
    	document.<%= formName%>.submit();
	}
	
	function checkRequiredField( field, message ) 
	{
		clearError(field);
		if ( typeof field.length != "undefined" ) 
		{
			for ( var i = 0; i < field.length; i++ ) 
			{
				if ( false == EPASSText.checkRequired(field[i], message) ) 
				{
					return false;
				}
			}
		}
		else if ( EPASSText.getValue(field) == "" ) 
		{
			//alert( message );
			showError(field,message);
			field.value="";		
			return false;
		}
		return true;
	}
	
	function NAV_HandleEvent(var1, var2)
	{
	
		if( var1 == "<%= EPassTree._sNavigationEvent%>"  )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
   			var goToParam = (splitted.length == 2)? splitted[1]: "";
			//alert('1 var2 = ' + var2 + ', goToDir = ' + goToDir + ', goToParam = ' + goToParam)

   			if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 ){

   				if( confirm( "<%= ref.convertLiteral( "form.wizConfigSchedule.message.reset" )%>") ){
   					document.<%= formName%>.reset();
                    <%= editForm.getInitMonitorJS()%>
                    NAV_Reload(this);
	        	}
   			}
	        else if( goToDir.indexOf( '<%= EPassTree._sTreeNavCloseCmd%>' ) == 0 ){
   					document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value =
																 '<%= EPassTree._sTreeNavCloseCmd%>';
   					onClickSaveForm();
	   		}else if (<%=  editForm.getIsFormDirtyJS() %> 
										   		|| var2 == "<%= EPassTree._sTreeNavSaveCmd%>" 
									   			|| document.<%= formName%>.IS_FORM_DIRTY.value == 'true')
				{	
        			if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>" ||  confirm( "<%= ref.convertLiteral("form.wizConfig.message.save")%>" ) )
        			{        		
        				document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
						onClickSaveForm();
					}
       				else
       				{       				
						document.<%= formName%>.reset();
	                	<%= editForm.getInitMonitorJS()%>
	                	NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
					}
				}
				else
				{					
 	             if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
                       ||
                       goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
                     ) {
                       <%= EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
                   	} else {
                       <%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
                   	}
    					
				}

		}
	}

    function showTelephoneHelp()
    { 
       	  var helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.detail"))%>"; 
       	  //PR63022 fix start ->
       	  var close = "<%= ref.convertLiteral("form.wizrfxstart.button.close")%>"; 
       	  //PR63022 fix suspend <-
          var url = "<%=  ref.encodeURLwUP( "blank.html?") %>";
	   	  var helpReport = window.open(url,'','height=360,width=450');
		  helpReport.document.write('<title>Number Format Help</title></head><body bgcolor="#FFFFE1"><form><font style="font-family:arial;font-size:12px;">');
		  helpReport.document.write( helpMessage ); 
		  //helpReport.document.write(unescape(helpMessage.replace(/\+/g, " ")).replace("<","&lt;"));
		  //PR63022 fix resume ->
		  helpReport.document.write('</font><p><center><input type="button" value="'+ close +'" onclick="self.close()"></p>');
		  //PR63022 fix end <-
		  helpReport.document.write('</form></body></html>'); 
    }

// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

// Function to add a custom even listener to listen to changes to an Emptoris multi-select
// input control.
 //FIXME- Hardcoding the element id??
 
</SCRIPT>
</HEAD>
<body onload="init(); initialize();resetHiddens();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="0" rightmargin="10" topmargin="0" leftmargin="0">

<%@ include file="../../include/inc_actionbar_spacer.inc" %>

<%
//
// Will print the error message, if one exist. Uses a stylesheet format
//
if( ref.isMessage() )
{%>
		<%=  ref.getMessage()%>
<%}

//if (bean.isNotifyOfUpdate()) {
	if (true) {
// if page is updated successfully, send a context update to nav, and let the tree control, refresh.
		//NavSupport.sendUpdateAndCtx(ContextCodes.ASSESSMENT, pass_notice_id, null, ref)%>
	<%//ESP-55729: Need to pass current notice id while updating Nav context %>
	<%=  NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE, ref.userDataContext.getNoticeId(), null, ref)%>
<%} %>

<%

	//OLD if( (bean.isNotifyOfUpdate() && !isPopup) || bean.isUpdateTree() )
	if(true )
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
%>

<%@ include file="../../include/inc_action_bar.inc" %>
<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<%
	
if ( statusMsg != null )
  {%>
	<TR CLASS='POPFORMHIGH' >
		<TD>
		<P CLASS=ERRORMSG>
		<%=  ref.convertLiteral(statusMsg)%>
		</P>
		</TD>
	</TR>
<%}%>

<TR>
  	<TD>
	<%=  editForm%>
  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
