<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.ApplicationServices.*" %>
<%@ page import="com.avinamart.BusinessLogic.Key.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.BusinessLogic.Constant.*" %>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.Authorization.*" %>
<%@ page import="com.avinamart.WebInterface.forms.ia.ialists.IAListPageManager" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Utility.Exception.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.emptoris.app.ojeu.common.struct.*" %>
<%@ page import="java.text.Collator" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@page import="com.emptoris.app.ojeu.dataAccess.query.NoticeQuery" %>
<%@page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.avinamart.BusinessLogic.Bean.Common.ObjectCopyHelper" %>
<%@ page import="com.avinamart.Utility.StringUtility" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.CorrigendumChangesBean" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>

<%@ page import="com.emptoris.app.ojeu.dataAccess.internal.bean.Notice" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@ page import="com.emptoris.framework.workflow.common.struct.*" %>
<%@ page import="com.emptoris.framework.workflow.common.key.*" %>
<%@ page import="com.emptoris.app.partner.common.struct.PartnerProfileStruct" %>
<%@ page import="com.emptoris.framework.organization.common.struct.OrganizationStruct" %>
<%@ page import="com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSDHTMLSelect" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSButtonDivControl" %>
<%@ page import="com.avinamart.BusinessLogic.BusinessRules.Presentation.ProjectManagement.ProjectManagementUiBusinessRules" %>
<%@ page import="com.avinamart.BusinessLogic.Bean.AuthorizationService.ModuleAuthorizationHelper" %>
<%@ include file="../../include/simple_head.inc" %>

<% 
		CorrigendumChangesBean bean = (CorrigendumChangesBean)
        		request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);


	//******************************************************************************
	//      Initialize table control field values from struct
	//******************************************************************************
	
	String statusMsg = null;
	
	boolean canUpdate = true;
	boolean isEditable = bean.canUpdateCorrigendum(); 
	String actionBarTitle = ref.convertLiteral("corrigendum.changes.header.information");
	
	// create the buttons, after read only is set // may be need in future
	EPASSInputButton buttonSubmit = null;

	EPASSInputButton buttonCancel = EPASSInputButton.createButton("button", "cancelButton" ,
									ref.isReadOnly() ? ref.convertLiteral("form.wizConfigStart.button.done")
					 								 : ref.convertLiteral("form.wizConfigStart.button.cancel"),
									"self.close();");


	//******************************************************************************
	//	Build Form Table
	//******************************************************************************
	
	EPASSHTMLForm editForm = null;
	final String formName        = "NoticeCorrigendumChangesForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
		ref.getUserPath() + "ojeu/jsp/notice_corrigendum_changes.jsp", true );
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );
	// Set the read only flag on the form
	//editForm.setReadOnly( !canUpdate || !isEditable);

    EPASSImageControl addBtn=null;
	EPASSHTMLSelect inputCTRLSelect = null;
	NoticeStruct notice = bean.getNoticeStruct();
	
	//----------------------------------Start of Section: Conditions for participation--------------------------------------	
	editForm.addSeparator(ref.convertLiteral("corrigendum.changes.header.information"));
	//-----------------------------------------------------------------------------------
	editForm.addSeparator(ref.convertLiteral("corrigendum.changes.header.reason.for.change"));
	//-----------------------------------------------------------------------------------
	String[] values = {"0","1"};
	String[] descriptions = { ref.convertLiteral( "corrigendum.changes.reason_for_change.option1"), ref.convertLiteral( "corrigendum.changes.reason_for_change.option2") };
	String selectedValue = bean.getFieldValueReasonForChange();
	
	EPASSInputRadioButtons reasonForChange = new EPASSInputRadioButtons( bean.fieldNameReasonForChange,
												 selectedValue,
												 values,
												 descriptions,
												 EPASSInputRadioButtons.VERTICAL,
												 "onChangeType('prod')");
	reasonForChange.setEnabled( isEditable );
	editForm.addControl(bean.fieldNameReasonForChange,ref.convertLiteral( "corrigendum.changes.field.lable.reason_for_change" ) + Header.REQUIRED_FIELD, reasonForChange, isEditable);
	//-----------------------------------------------------------------------------------
	
	//------------------------------------Start-------------------------------------------
	editForm.addSeparator(ref.convertLiteral("corrigendum.changes.field.header.other_additional_information"));
	EPASSInputControl otherInformationControl = new EPASSTextAreaControl(bean.fieldNameOtherAdditionalInformation,bean.getFieldValueOtherAdditionalInformation());
	otherInformationControl.setMaxLength(1000);
	editForm.addControl(bean.fieldNameOtherAdditionalInformation, ref.convertLiteral("corrigendum.changes.field.lable.other_additional_information"),otherInformationControl,isEditable); 
	
	//------------------------------------End--------------------------------------------
	
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + EPASSJSPActions.SAVE_NEW );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY", "");
	
	out.write(TreeWizUtility.getNavHideSaveButtonJs(!bean.canUpdateCorrigendum()));
	// END HIDDEN FIELDS
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
	editForm.setUserInputClass("OJEU_FORM_INPUT");	
	
	Object actionBarButtons = toolbarItems.toString();
	
%>

	<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%= ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />


<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%= ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<%
	//old if( bean.isUpdateTree() )
    if( true )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>


<SCRIPT>

function intiFields(){

}
<!--
var NAV_LIST='';
var NAV_DEP = '<%=ContextCodes.EVENT%>';
var isNavBlocked = false;


	function selectType()
	{
	}
	
	function resetHiddens()
	{
	}

    /**
     *
     * @return
     */
	function onClickSaveForm() {
		document.<%=formName%>.action= '<%=JSP.WIZ_CORRIGENDUM_CHANGES%>';
		document.<%=formName%>.<%=EPASSJSPActions.ACTION%>.value='<%=EPASSJSPActions.SAVE_NEW%>';
		document.<%=formName %>.submit();
	}
	
	function doSave() {
		document.<%=formName%>.<%=EPASSJSPActions.ACTION%>.value='<%=EPASSJSPActions.SAVE_NEW%>';
		document.<%=formName %>.submit();
	}

	/**
	* After selecting of radio button fieldNameOtherContractPerformanceConditionsSpecified
	*/
	function refresh(){

			document.<%=formName%>.<%=EPASSJSPActions.ACTION%>.value='<%=EPASSJSPActions.REFRESH_PAGE%>';      
			document.<%=formName%>.submit();
	}
    
	function setDirtyRadioBt(oldValue)
	{          
	    if( typeof(monitoredFields[oldValue]) == 'undefined')
	    {
	             document.<%=formName%>.IS_FORM_DIRTY.value = 'true';
	    }
	}

    
	function NAV_HandleEvent(var1, var2)
	{
	
		if( var1 == "<%=EPassTree._sNavigationEvent%>"  )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
   			var goToParam = (splitted.length == 2)? splitted[1]: "";
			//alert('1 var2 = ' + var2 + ', goToDir = ' + goToDir + ', goToParam = ' + goToParam)

   			if( goToDir.indexOf( '<%=EPassTree._sTreeNavResetCmd%>' ) == 0 ){

   				if( confirm("<%=ref.convertLiteral( "form.wizConfigSchedule.message.reset" )%>") ){
   					document.<%=formName%>.reset();
                    <%=editForm.getInitMonitorJS()%>
                    NAV_Reload(this);
	        	}
   			}
	        else if( goToDir.indexOf( '<%=EPassTree._sTreeNavCloseCmd%>' ) == 0 ){
   					document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value =
																 '<%=EPassTree._sTreeNavCloseCmd%>';
   					onClickSaveForm();
	   		}else if (<%= editForm.getIsFormDirtyJS() %> 
									   		|| var2 == "<%=EPassTree._sTreeNavSaveCmd%>" 
								   			|| document.<%=formName%>.IS_FORM_DIRTY.value == 'true')
				{	
        			if (var2 == "<%=EPassTree._sTreeNavSaveCmd%>" ||  confirm("<%=ref.convertLiteral("form.wizConfig.message.save")%>") )
        			{        		
        				document.<%=formName%>.<%=TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
						onClickSaveForm();
					}
       				else
       				{       				
						document.<%=formName%>.reset();
	                	<%=editForm.getInitMonitorJS()%>
	                	NAV_FireEvent( top, '<%=EPassTree._sNavigationEvent%>', var2 );
					}
				}
				else
				{					
 	             if( goToDir.indexOf( '<%=EPassTree._sTreeNavBackCmd%>' ) == 0
                       ||
                       goToDir.indexOf( '<%=EPassTree._sTreeNavNextCmd%>' ) == 0
                     ) {
                       <%=EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
                   	} else {
                       <%=EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
                   	}
    					
				}

		}
	}


// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

--></SCRIPT>
</HEAD>
<body onload="init(); resetHiddens(); intiFields();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">

<%@ include file="../../include/inc_actionbar_spacer.inc" %>

<%
//
// Will print the error message, if one exist. Uses a stylesheet format
//
if( ref.isMessage() )
{%>
		<%= ref.getMessage()%>
<%}

//if (bean.isNotifyOfUpdate()) {
	if (true) {
// if page is updated successfully, send a context update to nav, and let the tree control, refresh.
		//NavSupport.sendUpdateAndCtx(ContextCodes.ASSESSMENT, pass_notice_id, null, ref)%>
	<%//ESP-55729: Need to pass current notice id while updating Nav context %>
	<%= NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE, bean.getRef().userDataContext.getNoticeId(), null, ref)%>
<%} %>

<%

	if(true )
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}

%>

<%@ include file="../../include/inc_action_bar.inc" %>
<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<%
	
if ( statusMsg != null )
  {%>
	<TR CLASS='POPFORMHIGH' >
		<TD>
		<P CLASS=ERRORMSG>
		<%= ref.convertLiteral(statusMsg)%>
		</P>
		</TD>
	</TR>
<%}%>

<TR>
  	<TD>
	<%= editForm%>
  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
