<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="javax.servlet.http.*,
                 com.avinamart.Utility.EPASSConfig,
                 com.avinamart.WebInterface.Utility.HTML.*,
                 com.avinamart.BusinessLogic.Constant.*,
                 com.avinamart.WebInterface.Constants.*,
                 com.avinamart.Utility.Pair,
                 com.avinamart.WebInterface.*,
                 com.avinamart.Utility.CommaSeparatedIntegerList,
                 com.avinamart.Struct.*,
                 java.util.Arrays, java.util.List,
                 com.avinamart.Utility.Exception.EPASSApplicationException,
                 java.rmi.RemoteException" %>
<%@ page import="com.avinamart.Utility.Query.*" %>

<%@ include file="../../include/simple_head.inc" %>
<%@ include file="ojeu_email_ctrl.inc" %>

<%@page import="com.emptoris.app.ojeu.webClient.model.AnnexAPageBean"%>
<%@page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean"%>
<%@page import="com.emptoris.app.ojeu.common.helper.NoticeHelper"%>
<%@page import="com.emptoris.framework.attribute.common.constant.AttributeDefValidation"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@page import="com.emptoris.app.ojeu.common.struct.ContactStruct"%>
<%@page import="com.emptoris.utility.dataAccess.DataAccessUtils"%>
<%@page import="com.emptoris.app.ojeu.dataAccess.internal.bean.Notice"%>
<%@page import="com.avinamart.Utility.StringUtility"%>
<%@ page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@ page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@ page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@ page import="com.emptoris.base.constant.ObjectType"%>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="org.owasp.esapi.ESAPI" %>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
	<title><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html> : <%= ref.convertLiteral("form.detailRfq.title.basic_config")%></title>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript"	SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
	
	<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>
	
   <SCRIPT LANGUAGE="JavaScript">
   
   
   
   </SCRIPT>
   
<%

	final String formName = "wizNoticeAnnexA";
	AnnexAPageBean bean = (AnnexAPageBean)  request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	String actionBarTitle = ref.convertLiteral("form.wiz_notice_annexa.header.notice.title");
	boolean A1Enabled = false;
	boolean A2Enabled = false;
	boolean A3Enabled = false;
	boolean A4Enabled = false;
	
	boolean canUpdateNotice = bean.canUpdateNotice();
	Integer bussinessUnitId = null;
	Integer defaultTemplateId = null;
	Integer templateId = null;
	Integer status = null;
	boolean canUpdate = true;
	boolean isEditable = true;
	String statusMsg = null;
	Object actionBarButtons = toolbarItems.toString();
	
	EPASSHTMLForm editForm = 
		new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
			ref.getUserPath() + "ojeu/jsp/wiz_notice_annexa.jsp", true );
	
    	editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );
	// Set the read only flag on the form
	editForm.setReadOnly( !canUpdateNotice );
	
	Integer noticeId = ref.userDataContext.getNoticeId();
	Notice notice =  DataAccessUtils.getInstance().getReadOnlyObject(noticeId,Notice.class);
	
	if(  notice.getIsA1()!=null&&notice.getIsA1() )
	{
		editForm.addSeparator(ref.convertLiteral("form.wiz_notice_annexa.header.notice.a1.title"));
		addContactBlock(ref, editForm,
				AnnexAPageBean.A1,
				bean.getFieldValueOfficialNameA1(),
				bean.getFieldValueNationalRegistrationNumberA1(),
				bean.getFieldValuePostalAddressA1(),
				bean.getFieldValueTownA1(),
				bean.getFieldValueCountryA1(),
				bean.getFieldValuePostalCodeA1(),
				bean.getFieldValueNutsCodeA1(),
				bean.getFieldValueNutsNameA1(),
				bean.getFieldValueContactPointA1(),
				bean.getFieldValueEmailA1(),
				bean.getFieldValueAttentionA1(),
				bean.getFieldValueTelephoneA1(),
				bean.getFieldValueFaxA1(),
				bean.getFieldValueURLA1(),
				bean.getFieldValueAddressOfBuyerProfileA1(),
				canUpdateNotice);
		A1Enabled = true;
	}

	if(notice.getIsA3()!=null&& notice.getIsA3() && !PriorInformationNoticeType.NoticeForPriorInfo.equals(notice.getPinNoticeType()))	
	{
		String literal = "form.wiz_notice_annexa.header.notice.a3.title";
		editForm.addSeparator(ref.convertLiteral(literal));
		addContactBlock(ref, editForm,
				AnnexAPageBean.A3,
				bean.getFieldValueOfficialNameA3(),
				bean.getFieldValueNationalRegistrationNumberA3(),
				bean.getFieldValuePostalAddressA3(),
				bean.getFieldValueTownA3(),
				bean.getFieldValueCountryA3(),
				bean.getFieldValuePostalCodeA3(),
				bean.getFieldValueNutsCodeA3(),
				bean.getFieldValueNutsNameA3(),
				bean.getFieldValueContactPointA3(),
				bean.getFieldValueEmailA3(),
				bean.getFieldValueAttentionA3(),
				bean.getFieldValueTelephoneA3(),
				bean.getFieldValueFaxA3(),
				bean.getFieldValueURLA3(),
				bean.getFieldValueAddressOfBuyerProfileA3(),
				canUpdateNotice
				);
		A3Enabled = true;
	}
	
	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden(bean.fieldNameNutsIdA1, bean.getFieldValueNutsIdA1());
	editForm.addHidden(bean.fieldNameNutsIdA3, bean.getFieldValueNutsIdA3());
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + EPASSJSPActions.SAVE_NEW );
	editForm.addHidden( "_uda_id",  "1"  );		
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	editForm.addHidden("IS_FORM_DIRTY",ref.req.getParameter("IS_FORM_DIRTY"));
	
	// END HIDDEN FIELDS
	
	 //This code will remove the Save button when the page is readonly
	out.write(TreeWizUtility.getNavHideSaveButtonJs( ! canUpdateNotice ));
	
	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
	editForm.setUserInputClass("OJEU_FORM_INPUT");	
	editForm.setAddSizerTDs(false);


%>

<%!
private void addContactBlock(EPASSReferences ref,EPASSHTMLForm editForm,String contactName,String officialName, String nationalRegistrationNumber, String postalAddress,
		String town,String country,String postalCode,String nutsCode, String nutsName, String contactPoint,String email,String attention,
		String telephone,String fax,String url, String buyerURL, boolean canUpdateNotice) throws EPASSApplicationException, RemoteException 
{
	EPASSInputControl inputCTRL = new EPASSInputControl("TEXT",  
			EPASSFieldName.addPrefix( ContactStruct.ORGANIZATION_TITLE ) + contactName, 
			EPASSQPretty.UQ( officialName, ref),
			30,300, !ref.isReadOnly());
	inputCTRL.setMonitored( true );
	
	editForm.addControl("OFFICIALNAME"+contactName,
			ref.convertLiteral("form.wiz_notice_annexa.header.notice.official.name")+ Header.REQUIRED_FIELD , inputCTRL);
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT",  
			EPASSFieldName.addPrefix( ContactStruct.NATIONAL_REGISTRATION_NUMBER ) + contactName, 
			EPASSQPretty.UQ( nationalRegistrationNumber, ref),
			30,100, !ref.isReadOnly());
	inputCTRL.setMonitored( true );
	
	editForm.addControl("NATIONALREGISTRATIONNUMBER"+contactName,
			ref.convertLiteral("form.wiz_notice_annexa.header.notice.national.registration.number"), inputCTRL);
	
	//-----------------------------------------------------------------------------------
	//editForm.addSeparator(ref.convertLiteral("form.wiz_contracting_authority.header.notice.postal.address"));
	
	EPASSTextAreaControl stdTxt = new EPASSTextAreaControl(EPASSFieldName.addPrefix( ContactStruct.POSTAL_ADDRESS )+ contactName, 
			EPASSQPretty.UQ( postalAddress, ref), 
			EPASSTextAreaControl.DEFAULT_ROWS, EPASSTextAreaControl.DEFAULT_COLUMNS, 400);
	stdTxt.setAttribute("COLS",70);
	stdTxt.setMonitored( true );
	editForm.addControl("POSTALADDRESS"+contactName,
	ref.convertLiteral("form.wiz_notice_annexa.header.notice.postal.address"), stdTxt);
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", 
			EPASSFieldName.addPrefix( ContactStruct.TOWN ) + contactName,
			EPASSQPretty.UQ( town, ref),
			30,100, !ref.isReadOnly());
	inputCTRL.setMonitored( true );
	editForm.addControl("TOWN"+contactName,
		ref.convertLiteral("form.wiz_contracting_authority.header.notice.town")+ Header.REQUIRED_FIELD , inputCTRL);
	
	//-----------------------------------------------------------------------------------
	
	
	String[] availCountryCode = NoticeHelper.getInstance().getAvailableCountryCodesForNotice();	
	
	EPASSInputControlInterface inputCtrlSimpleSelect = new EPASSInputSimpleSelect (
			EPASSFieldName.addPrefix( ContactStruct.COUNTRY ) + contactName,
			availCountryCode,
			ref.convertLiteral ( availCountryCode, "form.detailSupplier.countrycodes" ),
			EPASSQPretty.UQ( country, ref) );
	inputCtrlSimpleSelect.setMonitored( true );
	((EPASSInputSimpleSelect) inputCtrlSimpleSelect ).addDefault ( "-1", ref.convertLiteral ( "form.terminology.select.no_selection_please_select" ) );
	((EPASSInputSimpleSelect) inputCtrlSimpleSelect ).sortByDisplay ( ref.getCollator (), true );
	editForm.addControl ( ref.convertLiteral("form.wiz_notice_annexa.header.notice.country")+ Header.REQUIRED_FIELD, inputCtrlSimpleSelect );

	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", 
			EPASSFieldName.addPrefix( ContactStruct.POSTAL_CODE ) + contactName, 
			EPASSQPretty.UQ( postalCode, ref),
			30,20, !ref.isReadOnly());
	inputCTRL.setMonitored( true );						
	editForm.addControl( "POSTALCODE"+contactName,
		ref.convertLiteral("form.wiz_notice_annexa.header.notice.postal.code") , inputCTRL);
	
	//-----------------------------------------------------------------------------------
	
	EPASSInputCompoundControl ccS = new EPASSInputCompoundControl(ref);
	EPASSInputControl nutCodectrl = new EPASSInputControl("TEXT", EPASSFieldName.addPrefix( ContactStruct.NUTS_CODE ) + contactName, EPASSQPretty.UQ(nutsCode, ref), 10, EPASSInputControl.MAXLENGTH_LONG, !ref.isReadOnly());
	nutCodectrl.setAttribute("disabled", true);
	ccS.add(nutCodectrl);
	nutCodectrl.setMonitored(true);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	EPASSInputControl nutNamectrl = new EPASSInputControl("TEXT", EPASSFieldName.addPrefix( ContactStruct.NUTS_NAME ) + contactName, EPASSQPretty.UQ(nutsName, ref), 30, EPASSInputControl.MAXLENGTH_LONG, !ref.isReadOnly());
	nutNamectrl.setAttribute("disabled", true);
	nutNamectrl.setMonitored(true);
	ccS.add(nutNamectrl);
	ccS.add(new EPASSInputGenericString("&nbsp;" ));
	if (canUpdateNotice)
		ccS.add(new EPASSInputGenericString(addNutsButton(ref, nutsCode, contactName)));
	editForm.addControl(ref.convertLiteral("form.wiz_contracting_authority.header.nuts"), ref.convertLiteral("form.wiz_contracting_authority.header.nuts") + Header.REQUIRED_FIELD, ccS);
	
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", 
			EPASSFieldName.addPrefix( ContactStruct.CONTACT_POINT )+contactName,
			EPASSQPretty.UQ( contactPoint, ref),
			30,300, !ref.isReadOnly());
	inputCTRL.setMonitored( true );
	editForm.addControl("CONTACTPOINTS"+contactName,
		ref.convertLiteral("form.wiz_notice_annexa.header.notice.contact.points") , inputCTRL);
	//-----------------------------------------------------------------------------------
	
	EPASSInputControl eMailCtrl = new EPASSInputControl("TEXT", 
			EPASSFieldName.addPrefix( ContactStruct.E_MAIL )+contactName,
			EPASSQPretty.UQ( email, ref),
			30,200, !ref.isReadOnly());
	eMailCtrl.setOnBlurValidation(AttributeDefValidation.EMAIL);
	
	eMailCtrl.setMonitored( true );
	editForm.addControl("EMAIL"+contactName,
		ref.convertLiteral("form.wiz_notice_annexa.header.notice.email")+ Header.REQUIRED_FIELD , eMailCtrl);
		
	//-----------------------------------------------------------------------------------
	
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT",
			EPASSFieldName.addPrefix( ContactStruct.ADDR_PHONE ) +contactName,
			EPASSQPretty.UQ( telephone, ref),
			30,100, !ref.isReadOnly());
	inputCTRL.setMonitored( true );	
	String phoneHarryHelpShort = "  " +  ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.short");

	EPASSImageControl helpButton =  new EPASSImageControl(
			ref.getUserPath() + Dir.IMG_BTNS_UP + "btn_help_up.gif",
			"showTelephoneHelp()",
			ref.convertLiteral("form.wizrfxstart.tooltip.for_test_use") );
	helpButton.setAttribute("align", "absmiddle");

	String spaceCtrl = "&nbsp;&nbsp;&nbsp;";
	String extendedText = "";
	if( canUpdateNotice ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	inputCTRL.setExtendedText( extendedText );

	editForm.addControl("TELEPHONE"+contactName,
		ref.convertLiteral("form.wiz_notice_annexa.header.notice.telephone") , inputCTRL);
		
	//-----------------------------------------------------------------------------------
	
	inputCTRL = new EPASSInputControl("TEXT", 
			EPASSFieldName.addPrefix( ContactStruct.ADDR_FAX )+contactName,
			EPASSQPretty.UQ( fax, ref),
			30,100, !ref.isReadOnly());
	inputCTRL.setMonitored( true );
	extendedText = "";
	if( canUpdateNotice ){
		extendedText = spaceCtrl + helpButton.toString() + spaceCtrl + phoneHarryHelpShort;
	}
	inputCTRL.setExtendedText( extendedText );
	
	editForm.addControl("FAX"+contactName,
		ref.convertLiteral("form.wiz_notice_annexa.header.notice.fax") , inputCTRL);
	
	//-----------------------------------------------------------------------------------
	
	
	inputCTRL = new EPASSInputControl("TEXT", 
			EPASSFieldName.addPrefix( ContactStruct.URL ) +contactName,
			EPASSQPretty.UQ( url, ref),
			30,200, !ref.isReadOnly());
	inputCTRL.setMonitored( true );
	//R207 , S03 . onblurvalidation changed , eps_url validation + disallow '@' char in url.
	inputCTRL.setOnBlurValidation(AttributeDefValidation.OJEU_URL);
	editForm.addControl("URL"+contactName,
		ref.convertLiteral("form.wiz_notice_annexa.header.notice.url")+ Header.REQUIRED_FIELD , inputCTRL);

	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
	
	inputCTRL = new EPASSInputControl("TEXT", 
			EPASSFieldName.addPrefix( ContactStruct.ADDRESS_OF_BUYER_PROFILE ) +contactName,
			EPASSQPretty.UQ( buyerURL, ref),
			30,200, !ref.isReadOnly());
	inputCTRL.setMonitored( true );
	//R207 , S03 . onblurvalidation changed , eps_url validation + disallow '@' char in url.
	inputCTRL.setOnBlurValidation(AttributeDefValidation.OJEU_URL);
	editForm.addControl("BUYERURL"+contactName,
		ref.convertLiteral("form.wiz_notice_annexa.header.notice.buyer.url") , inputCTRL);

	editForm.setUserLabelClass("OJEU_FORM_LABEL");
	editForm.setAddSeparatorColumn(false);
	
	
}

private String addNutsButton(EPASSReferences ref, String nuts, String contactName) throws EPASSApplicationException {

	SearchManager nutsSearchManager = new SearchManager(ObjectType.NUTS.getIntegerValue(), ref.getUserPath() + SearchManager.TREE_FRAMES_SEARCH_FORM,
			SearchManager.TREE_SEARCH_FORM, JSP.COMPOUND_SEARCH_NUTS_LIST_PAGE);
	nutsSearchManager.setCachedSearchId(SearchManager.BASIC_NUTS_SEARCH);
	EPASSQueryContext context = new EPASSQueryContext();
	context.setContext(FieldInfoProvider.ORG, ref.getOrgKey());
	nutsSearchManager.setQueryContext(ref, SearchManager.QUERY_CONTEXT + SearchManager.BASIC_NUTS_SEARCH, context);
	nutsSearchManager.setCustomParameter(SearchManager.DISPATCH_COMPOUND_QUERY, "2YvyVnutsYvyVfalseYvyVtrue");
	nutsSearchManager.setCustomParameter(SearchManager.MULTISELECT_IN_RESULT_PAGE, new Boolean(false));
	nutsSearchManager.setCustomParameter(SearchManager.NUTS_CONTACT_NAME, contactName);
	if (nuts != null) {
		nutsSearchManager.setCustomParameter(SearchForm.SEARCH_LIST_CODES, nuts);
	}
	return nutsSearchManager.getStandAloneButton(ref);
}

%>
<SCRIPT>
	var NAV_LIST='';
	var NAV_DEP = '<%= ContextCodes.EVENT%>';
	var isNavBlocked = false;
	
	
		function selectType()
		{
		}
		
		function resetHiddens()
		{
		}
		
		function setCpvDirty( oldValue, newValue)
		{		//alert('oldValue : '+oldValue+', newValue : '+newValue+', oldValue != newValue : '+(oldValue != newValue));
				if( oldValue != newValue)
				{
					document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
				}	
		}
	
	    /**
	     *
	     * @return
	     */
		function onClickSaveForm() 
		{
			isNavBlocked = true;
			
			if (validateData())
			{	
			//	isNavBlocked = true;
				document.<%= formName %>.submit();
			}
		}
	    
		function validateData()
		{
			if (typeof(document.<%= formName%>.<%= bean.fieldNameOfficialNameA1%>) != 'undefined' ) { 
				if(!validateEMailField(document.<%=formName%>.<%=bean.fieldNameEmailA1%>)) {
					return false;
				}
			}
			if (typeof(document.<%= formName%>.<%= bean.fieldNameOfficialNameA3%>) != 'undefined' ) { 
				if(!validateEMailField(document.<%=formName%>.<%=bean.fieldNameEmailA3%>)) {
					return false;
				}
			}
			return true;
		}
		
		function validateOfficialNameForAnnexContacts(frm)
		{
			var A1=true;
			var A2=true;
			var A3=true;
			var A4=true;
			
			if(<%= A1Enabled %>)
				A1 = validateOfficialNameForContact(frm,'<%= AnnexAPageBean.A1%>')
			if(<%= A2Enabled %>)
				A2 = validateOfficialNameForContact(frm,'<%= AnnexAPageBean.A2%>');
			if(<%= A3Enabled %>)
				A3 = validateOfficialNameForContact(frm,'<%= AnnexAPageBean.A3%>');
			if(<%= A4Enabled %>)
				A4 = validateOfficialNameForContact(frm,'<%= AnnexAPageBean.A4%>');
			return (A1 && A2 && A3 && A4);
		}
		function validateOfficialNameForContact(frm,contactName)
		{	
			var fldNameOfficialName =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.ORGANIZATION_TITLE ) %></esapi:js>' +contactName;

			var fldNamePostalAddress =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.POSTAL_ADDRESS ) %></esapi:js>' +contactName;
			var fldNameTown =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.TOWN ) %></esapi:js>' +contactName;
			var fldNameCountry =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.COUNTRY ) %></esapi:js>' +contactName;
			var fldNamePostalCode =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.POSTAL_CODE ) %></esapi:js>' +contactName;

			var fldNameEmail =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.E_MAIL ) %></esapi:js>' +contactName;
			var fldNameTelephone =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.ADDR_PHONE ) %></esapi:js>' +contactName;
			var fldNameFax =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.ADDR_FAX ) %></esapi:js>' +contactName;
			var fldNameURL =  '<esapi:js><%= EPASSFieldName.addPrefix( ContactStruct.URL ) %></esapi:js>' +contactName;
			
			if(isValuePresent(eval('frm.'+fldNameOfficialName)))
			{
				return true;
			}
			else
			{	 
				var valuePresentForAField = (isValuePresent(eval('frm.'+fldNamePostalAddress)) ||
					 		 isValuePresent(eval('frm.'+fldNameTown))       ||
					 		 isValuePresent(eval('frm.'+fldNameCountry))    ||
					 		 isValuePresent(eval('frm.'+fldNamePostalCode)) ||
						 	 isValuePresent(eval('frm.'+fldNameEmail))      ||
						 	 isValuePresent(eval('frm.'+fldNameTelephone))  ||
						 	 isValuePresent(eval('frm.'+fldNameFax))        ||
						 	 isValuePresent(eval('frm.'+fldNameURL))  );  
			 	 if(valuePresentForAField){
					showError(eval('frm.'+fldNameOfficialName),'<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral( "form.wiz.ojeu.officialname.required.if_other_contact_details_provided" ))%>');
			 		 return false;
			 	 }
			 	 else{ 
			 		 return true;
			 	 }
			}
		}
		function isValuePresent(Ctrl)
		{
			if(typeof(Ctrl)!='undefined' && Ctrl!=null)
			{
				if(Ctrl.value != null && Ctrl.value!='')
				{
					if(Ctrl.name.indexOf('country')>-1 && Ctrl.value == '-1')
						return false;
					else
						return true;
				}
			}
		}
		//-----------------------------------------------------------------------------------
		//This function is called to refresh the page when the attributes list page closes
		function refreshWithNewAttributes(){
			NAV_Reload(this);
		}

	    function NAV_HandleEvent(var1, var2)
	    {
			if( var1=='selectCpvVocNuts')
			{
				//alert(var2);
				var tmpArray = new Array();
				tmpArray =  var2.split(";;");
				//alert(tmpArray[4]);
				//alert('inside nuts codes : '+tmpArray[0]+', names : '+tmpArray[1]+', desc : '+tmpArray[2]+' Context Code'+tmpArray[3]);
					if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
					{
						if (tmpArray[4] == "<%= AnnexAPageBean.A1%>") { 
							setCpvDirty( document.<%= formName%>.<%=bean.fieldNameNutsCodeA1%>.value, tmpArray[1]);		
							document.<%= formName%>.<%=bean.fieldNameNutsIdA1%>.value=tmpArray[0];
							document.<%= formName%>.<%=bean.fieldNameNutsCodeA1%>.value=tmpArray[1];
							document.<%= formName%>.<%=bean.fieldNameNutsNameA1%>.value=tmpArray[2];
						}
						else if (tmpArray[4] == "<%= AnnexAPageBean.A3%>") { 
							setCpvDirty( document.<%= formName%>.<%=bean.fieldNameNutsCodeA3%>.value, tmpArray[1]);		
							document.<%= formName%>.<%=bean.fieldNameNutsIdA3%>.value=tmpArray[0];
							document.<%= formName%>.<%=bean.fieldNameNutsCodeA3%>.value=tmpArray[1];
							document.<%= formName%>.<%=bean.fieldNameNutsNameA3%>.value=tmpArray[2];
						}
						
					}
					else
					{
						document.<%= formName%>.IS_FORM_DIRTY.value = '';
					}
			
				//refresh();
				return;
			}
			else if( var1 == "<%= EPassTree._sNavigationEvent%>" && !isNavBlocked ) {
	            var splitted  = var2.split( ";" );
	            var goToDir   = splitted[0];
	            var goToParam = (splitted.length == 2)? splitted[1]: "";
	
	            if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 ) {
	                if( confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral( "form.wizConfigSchedule.message.reset" ))%>' ) ) {
	                    document.<%= formName%>.reset();
	                    <%= editForm.getInitMonitorJS()%>
	                    document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.DEFAULT_VIEW%>';
	                    document.<%= formName %>.submit();
	                }
	            }
	             else if( <%= editForm.getIsFormDirtyJS()%> || var2 == "<%= EPassTree._sTreeNavSaveCmd%>") {
	                if( validateData( ) ) {
	                    if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
	                                              ||  confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizConfig.message.save"))%>' ) ) {
	                        document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
	                        onClickSaveForm();
	                        
	                    } else {
	                        document.<%= formName%>.reset();
	                        <%= editForm.getInitMonitorJS()%>
	                        NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
	                    }
	                }
	            } else {
	                if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
	                    ||
	                    goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
	                  ) {
	                    <%= EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
	                } else {
	                    <%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
	                }
	            }
	        }
	    }

    function showTelephoneHelp()
    { 
       	  var helpMessage = "<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wiz_contracting_authority.header.notice.telephone.harryHelp.detail"))%>"; 
       	  //PR63022 fix start ->
       	  var close = '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizrfxstart.button.close"))%>'; 
       	  //PR63022 fix suspend <-
          var url = "<%=  ref.encodeURLwUP( "blank.html?") %>";
	   	  var helpReport = window.open(url,'','height=360,width=450');
		  helpReport.document.write('<title>Number Format Help</title></head><body bgcolor="#FFFFE1"><form><font style="font-family:arial;font-size:12px;">');
		  helpReport.document.write( helpMessage ); 
		  //helpReport.document.write(unescape(helpMessage.replace(/\+/g, " ")).replace("<","&lt;"));
		  //PR63022 fix resume ->
		  helpReport.document.write('</font><p><center><input type="button" value="'+ close +'" onclick="self.close()"></p>');
		  //PR63022 fix end <-
		  helpReport.document.write('</form></body></html>'); 
    }
	    
</SCRIPT>
</head>
	
<body onload="init(); " onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">

<%if(true)
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}

%>

	<%@ include file="../../include/inc_actionbar_spacer.inc" %>
	
	<%
	//
	// Will print the error message, if one exist. Uses a stylesheet format
	//
	if( ref.isMessage() )
	{
			out.println( ref.getMessage() );
	}%>
	

	
	
	<%@ include file="../../include/inc_action_bar.inc" %>
	<p>
	<p><center>
	<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
	<%
		
	if ( statusMsg != null )
	  {%>
		<TR CLASS='POPFORMHIGH' >
			<TD>
			<P CLASS=ERRORMSG>
			<%=  ref.convertLiteral(statusMsg)%>
			</P>
			</TD>
		</TR>
	<%}%>
	
	<TR>
	  	<TD>
  <% if(  (notice.getIsA1()!=null&&notice.getIsA1()) || (notice.getIsA3()!=null&& notice.getIsA3()) ) { %>	  	
		<%=  editForm%>
  <% } %>	
	  	</TD>
	</TR>
	</TABLE>
	</center>
	
	
	<script>
	// Turn off the maximize and the toggle button button
	top.showmaxbtn = "false";
	top.showScrollBtn = "false";
	</script>	
</body>
</html>
<%@ include file="../../include/simple_tail.inc"%>
	
