<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%-- +---------------------------------------------------------------------------
	Import EPASS/JAVA Packages
---------------------------------------------------------------------------+ --%>
<%@ page import="java.util.*" %>
<%@ page import="java.rmi.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputCompoundControl"%>
<%@ page import="com.avinamart.WebInterface.*" %>
<%@ page import="com.avinamart.WebInterface.tree.*" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@ page import="com.emptoris.app.ojeu.common.constant.*" %>
<%@ page import="com.avinamart.Utility.*" %>
<%@ page import="com.avinamart.Struct.*" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.*" %>
<%@ page import="com.emptoris.app.ojeu.webClient.model.WizNoticeAnnexdBean" %>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.*" %>
<%@ page import="com.emptoris.framework.ui.model.clientInterface.*" %>
<%@page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputSingleCheckBox"%>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>
<%@page import="com.emptoris.app.ojeu.dataAccess.query.NoticeQuery" %>
<%@page import="com.emptoris.app.ojeu.dataAccess.internal.bean.Notice"%>
<%@ include file="../../include/simple_head.inc" %>

<% 
	WizNoticeAnnexdBean bean = (WizNoticeAnnexdBean)request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);

	//******************************************************************************
	//      Initialize table control field values from struct
	//******************************************************************************
	
	String actionBarTitle = null;
	String treeName = ref.userDataContext.getWizTreeName();

	String statusMsg = null;
	
	boolean canUpdate = bean.canUpdateAnnexd();
	boolean isEditable = true; 
	actionBarTitle = ref.convertLiteral("form.wiz.ojeu.annexd.title");
	
	EPASSHTMLForm editForm = null;
	final String formName = "annexdForm";
	
	editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
											ref.getUserPath() + "ojeu/jsp/wiz_notice_annexd.jsp", true );
    editForm.setPleaseWait(true);
	editForm.setFieldsMonitored( true );
	// Set the read only flag on the form
	editForm.setReadOnly( !canUpdate || !isEditable);
	EPASSInputSingleCheckBox productsManufactured4Research = null;
	Integer noticeId = ref.getUserDataContext().getNoticeId();
	Notice notice = NoticeQuery.getInstance().getNoticebyId(noticeId);
	Integer contractType = notice.getTenderContractType();
	Integer procedureType = notice.getTenderProcedureType();
	Integer noticeType = notice.getTenderNoticeType();

	editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.annexd.justification"));
	//editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.annexd.reason.for.choice"));
	//-----------------------------------------------------------------------------------
	
	EPASSInputSingleCheckBox justificationForTheNPWithoutCFC = new EPASSInputSingleCheckBox(
			bean.fieldNameJustificationForTheNPWithoutCFC,
			"true",
			bean.getFieldValueJustificationForTheNPWithoutCFC(),
			"",
			ref);
	justificationForTheNPWithoutCFC.setAttribute("onClick","onChangeJustificationForTheNPWithoutCFC()");
	justificationForTheNPWithoutCFC.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.reason.for.choice"), ref.convertLiteral("form.wiz.ojeu.annexd.reason.for.choice"), justificationForTheNPWithoutCFC);
			
	EPASSInputSingleCheckBox justificationForTheACWithoutCFC = new EPASSInputSingleCheckBox(
			bean.fieldNameJustificationForTheACWithoutCFC,
			"true",
			bean.getFieldValueJustificationForTheACWithoutCFC(),
			"",
			ref);
	
	justificationForTheACWithoutCFC.setAttribute("onClick","onChangeJustificationForTheACWithoutCFC()");
	justificationForTheACWithoutCFC.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.order.justification"), ref.convertLiteral("form.wiz.ojeu.annexd.order.justification"), justificationForTheACWithoutCFC);
	
	
	EPASSInputSingleCheckBox noTendersToParticipate = new EPASSInputSingleCheckBox(
				bean.fieldNameNoTendersToParticipate,
				"true",
				bean.getFieldValueNoTendersToParticipate(),
				"",
				ref);
	
	noTendersToParticipate.setAttribute("onClick","onChangeNoTendersToParticipate()");	
	noTendersToParticipate.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.no.tenders"), ref.convertLiteral("form.wiz.ojeu.annexd.no.tenders"), noTendersToParticipate);
		
	String[] booleanFieldValues2 = {"1","2"};
	String[] booleanFieldDisplayValues2 = {ref.convertLiteral("form.wiz.ojeu.annexd.open.procedure"),
											ref.convertLiteral("form.wiz.ojeu.annexd.restricted.procedure")};
	
	EPASSInputRadioButtons inputRadioBt2 = new EPASSInputRadioButtons(bean.fieldNameNoResponseToOpenOrRestrictedProcedure,
										EPASSQPretty.UQ(bean.getFieldValueNoResponseToOpenOrRestrictedProcedure(), ref),
										booleanFieldValues2,
										booleanFieldDisplayValues2,
										EPASSInputRadioButtons.VERTICAL,"");
	inputRadioBt2.setVertical();
	inputRadioBt2.setEnabled(canUpdate);
	editForm.addControl("",	"", inputRadioBt2);
	//-----------------------------------------------------------------------------------	

	//if(ContractType.Supplies.equals(contractType))
	//{
		productsManufactured4Research = new EPASSInputSingleCheckBox(
										bean.fieldNameProductsManufactured4Research,
										"true",
										bean.getFieldValueProductsManufactured4Research(),
										"",
										ref);
	
		productsManufactured4Research.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.products.involved"),
						ref.convertLiteral("form.wiz.ojeu.annexd.products.involved"), productsManufactured4Research);
	//}
	//-----------------------------------------------------------------------------------
	
	EPASSInputSingleCheckBox reasonsForChoosingParticularEconomicOperator = new EPASSInputSingleCheckBox(
			bean.fieldNameReasonsForChoosingParticularEconomicOperator,
			"true",
			bean.getFieldValueReasonsForChoosingParticularEconomicOperator(),
			"",
			ref);
	
	reasonsForChoosingParticularEconomicOperator.setAttribute("onClick","onChangeReasonsForChoosingParticularEconomicOperator()");
	reasonsForChoosingParticularEconomicOperator.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.works.goods.services"), ref.convertLiteral("form.wiz.ojeu.annexd.works.goods.services"), reasonsForChoosingParticularEconomicOperator);
	
	String[] booleanFieldValues3 = {"1","2","3"};
	String[] booleanFieldDisplayValues3 = {ref.convertLiteral("form.wiz.ojeu.annexd.technical"),
											ref.convertLiteral("form.wiz.ojeu.annexd.artistic"),
											ref.convertLiteral("form.wiz.ojeu.annexd.connected")};
	
	EPASSInputRadioButtons inputRadioBt3 = new EPASSInputRadioButtons(bean.fieldNameTechnicalOrArtisticOrExclusiveRightsReasons,
										EPASSQPretty.UQ(bean.getFieldValueTechnicalOrArtisticOrExclusiveRightsReasons(), ref),
										booleanFieldValues3,
										booleanFieldDisplayValues3,
										EPASSInputRadioButtons.VERTICAL,"");
	inputRadioBt3.setVertical();
	inputRadioBt3.setEnabled(canUpdate);
	editForm.addControl("",	"", inputRadioBt3);
	
	//-----------------------------------------------------------------------------------
	
	EPASSInputSingleCheckBox extremeUrgencyUnforseeableEvents = new EPASSInputSingleCheckBox(
										bean.fieldNameExtremeUrgencyUnforseeableEvents,
										"true",
										bean.getFieldValueExtremeUrgencyUnforseeableEvents(),
										"",
										ref);
	
	extremeUrgencyUnforseeableEvents.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.extreme.urgency"),
					ref.convertLiteral("form.wiz.ojeu.annexd.extreme.urgency"), extremeUrgencyUnforseeableEvents);
	
	//-----------------------------------------------------------------------------------
	
	EPASSInputSingleCheckBox additionalWorks = new EPASSInputSingleCheckBox(
										bean.fieldNameAdditionalWorks,
										"true",
										bean.getFieldValueAdditionalWorks(),
										"",
										ref);
	
	additionalWorks.setEnabled(canUpdate);
	editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.additional.works"),
					ref.convertLiteral("form.wiz.ojeu.annexd.additional.works"), additionalWorks);
	
	//-----------------------------------------------------------------------------------
	//if(!ContractType.Supplies.equals(contractType))
	//{

		EPASSInputSingleCheckBox repetitionOfExistingWorks = new EPASSInputSingleCheckBox(
											bean.fieldNameRepetitionOfExistingWorks,
											"true",
											bean.getFieldValueRepetitionOfExistingWorks(),
											"",
											ref);
		
		repetitionOfExistingWorks.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.new.works.services"),
						ref.convertLiteral("form.wiz.ojeu.annexd.new.works.services"), repetitionOfExistingWorks);
	//}
	//-----------------------------------------------------------------------------------
	//if(ContractType.Services.equals(contractType))
	//{

		EPASSInputSingleCheckBox AwardedToSuccessfulServiceProfessional = new EPASSInputSingleCheckBox(
											bean.fieldNameAwardedToSuccessfulServiceProfessional,
											"true",
											bean.getFieldValueAwardedToSuccessfulServiceProfessional(),
											"",
											ref);
		
		AwardedToSuccessfulServiceProfessional.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.service.contract.awarded"),
						ref.convertLiteral("form.wiz.ojeu.annexd.service.contract.awarded"), AwardedToSuccessfulServiceProfessional);
	//}
	//-----------------------------------------------------------------------------------
	//if(ContractType.Supplies.equals(contractType))
	//{

		EPASSInputSingleCheckBox suppliesFromCommodityMarket = new EPASSInputSingleCheckBox(
											bean.fieldNameSuppliesFromCommodityMarket,
											"true",
											bean.getFieldValueSuppliesFromCommodityMarket(),
											"",
											ref);
		
		suppliesFromCommodityMarket.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.supplies.from.commodity.market"),
						ref.convertLiteral("form.wiz.ojeu.annexd.supplies.from.commodity.market"), suppliesFromCommodityMarket);
		
		//-----------------------------------------------------------------------------------
		
		EPASSInputSingleCheckBox purchaseOfSuppliesOrServicesOnAdvantageousTerms = new EPASSInputSingleCheckBox(
											bean.fieldNamePurchaseOfSuppliesOrServicesOnAdvantageousTerms,
											"true",
											bean.getFieldValuePurchaseOfSuppliesOrServicesOnAdvantageousTerms(),
											"",
											ref);
		
		purchaseOfSuppliesOrServicesOnAdvantageousTerms.setAttribute("onClick","onChangePurchaseOfSuppliesOrServicesOnAdvantageousTerms()");
		purchaseOfSuppliesOrServicesOnAdvantageousTerms.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.advantangeous.purchase.term"),
						ref.convertLiteral("form.wiz.ojeu.annexd.advantangeous.purchase.term"), purchaseOfSuppliesOrServicesOnAdvantageousTerms);
		
		String[] booleanFieldValues4 = {"1","2"};
		String[] booleanFieldDisplayValues4 = {ref.convertLiteral("form.wiz.ojeu.annexd.supplier.winding.up"),
												ref.convertLiteral("form.wiz.ojeu.annexd.arrangement.with.creditors")};
		
		EPASSInputRadioButtons advantangeousPurchaseTerm = new EPASSInputRadioButtons(bean.fieldNameAdvantangeousPurchaseTerm,
											EPASSQPretty.UQ(bean.getFieldValueAdvantangeousPurchaseTerm(), ref),
											booleanFieldValues4,
											booleanFieldDisplayValues4,
											EPASSInputRadioButtons.VERTICAL,"");
		
		advantangeousPurchaseTerm.setVertical();
		advantangeousPurchaseTerm.setEnabled(canUpdate);
		editForm.addControl("",	"", advantangeousPurchaseTerm);
	//}

	//-----------------------------------------------------------------------------------

		EPASSInputSingleCheckBox contractServOutsideDirective = new EPASSInputSingleCheckBox(
				bean.fieldNameContractSerivceOutsideDirective,
				"true",
				bean.getFieldValueContractSerivceOutsideDirective(),
				"",
				ref);

		contractServOutsideDirective.setEnabled(canUpdate);
		editForm.addControl(ref.convertLiteral("form.wiz.ojeu.annexd.contract.ouside.directive"),
			ref.convertLiteral("form.wiz.ojeu.annexd.contract.ouside.directive"), contractServOutsideDirective);
		editForm.addSeparator(ref.convertLiteral("form.wiz.ojeu.annexd.explaination"));	
		EPASSTextAreaControl	stdTxt = new EPASSTextAreaControl(
				bean.fieldNameReasonContractLawful, 
				bean.getFieldValueReasonContractLawful(), 
				EPASSTextAreaControl.DEFAULT_ROWS, 
				EPASSTextAreaControl.DEFAULT_COLUMNS, 
				2500);
		
				stdTxt.setAttribute("COLS",70);
				stdTxt.setEnabled( canUpdate );

				stdTxt.setMonitored( true );
				editForm.addControl( ref.convertLiteral("form.wiz.ojeu.annexd.reason.contract.lawful"), 
						ref.convertLiteral("form.wiz.ojeu.annexd.reason.contract.lawful")+ Header.REQUIRED_FIELD, stdTxt);		
				
		
//	}
	//-----------------------------------------------------------------------------------

	// HIDDEN FORM FIELDS ADDED HERE
	editForm.addHidden( EPASSJSPActions.ACTION,  "" + EPASSJSPActions.SAVE_NEW );
//	editForm.addHidden( bean.fieldNameID, "" + bean.getFieldValueID() );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");
	// END HIDDEN FIELDS
	
	//This code will remove the Save button when the page is readonly
    out.write(TreeWizUtility.getNavHideSaveButtonJs(!canUpdate));
	Object actionBarButtons = toolbarItems.toString();
	editForm.setUserLabelClass("OJEU_FORM_LABEL_ANNEXD");
	editForm.setAddSeparatorColumn(false);
%>


<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
	<HEAD>

	<%-- +---------------------------------------------------------------------------
	 Include Stylesheet includes and JavaScript includes here
	---------------------------------------------------------------------------+ --%>
	<TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>


<%-- +---------------------------------------------------------------------------
 Add Custom Item Detail Page JavaScript for detail
---------------------------------------------------------------------------+ --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>

<style type="text/css">
	.NOTICEFORMFIELD
	{
		FONT-SIZE: 11px;
	    VERTICAL-ALIGN: middle;
	    FONT-FAMILY: arial, helvetica, sans-serif;
	    BACKGROUND-COLOR: white
	}
	
	.NOTICEPOPFORMTITLE
	{
	    FONT-WEIGHT: bold;
	    FONT-SIZE: 11px;
	    FONT-FAMILY: arial, helvetica, sans-serif;
	    COLOR: #333366;
	    BACKGROUND-COLOR: #cccccc;
	    TEXT-ALIGN: left;	    
	}

</style>

<%!public String getRuleLine() {
		return "<TR><TD colspan='3' height='1' CLASS='POPFORMRULE'><img border='0' src='./img/1x1_trans.gif' width='100%' height='1' ></TD></TR>";
	}%>

<%
	//old if( bean.isUpdateTree() )
    if( true )
    {
   		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
		}
    }
 %>


<SCRIPT>
var NAV_LIST='';
var NAV_DEP = '<%= ContextCodes.EVENT%>';
var isNavBlocked = false;

function onChangeJustificationForTheNPWithoutCFC()
{
	if(document.annexdForm.<%= bean.fieldNameJustificationForTheNPWithoutCFC %>.checked)  
	{	
		document.annexdForm.<%= bean.fieldNameJustificationForTheACWithoutCFC %>.checked = false;
		document.annexdForm.<%= bean.fieldNameContractSerivceOutsideDirective %>.checked = false;
		document.annexdForm.<%= bean.fieldNameContractSerivceOutsideDirective %>.disabled = true;
		document.annexdForm.<%= bean.fieldNameNoTendersToParticipate %>.disabled = false;	
		<% if(ContractType.Supplies.equals(contractType)) { %>
			 document.annexdForm.<%= bean.fieldNameProductsManufactured4Research %>.disabled = false;
			 document.annexdForm.<%= bean.fieldNameSuppliesFromCommodityMarket %>.disabled = false;	
		<% } %>
		document.annexdForm.<%= bean.fieldNameReasonsForChoosingParticularEconomicOperator %>.disabled = false;
		document.annexdForm.<%= bean.fieldNameExtremeUrgencyUnforseeableEvents %>.disabled = false;
		document.annexdForm.<%= bean.fieldNameAdditionalWorks %>.disabled = false;
		<% if(!ContractType.Supplies.equals(contractType)) { %>
		 	document.annexdForm.<%= bean.fieldNameRepetitionOfExistingWorks %>.disabled = false;
		<% } %>
		<% if(ContractType.Services.equals(contractType)) { %>
		 	document.annexdForm.<%= bean.fieldNameAwardedToSuccessfulServiceProfessional %>.disabled = false;
		<% } %>
		<% if(!ContractType.Works.equals(contractType)) { %>
		 	document.annexdForm.<%= bean.fieldNamePurchaseOfSuppliesOrServicesOnAdvantageousTerms %>.disabled = false;
		 	disableRadioButton(document.annexdForm.<%= bean.fieldNameAdvantangeousPurchaseTerm %>);
		<% } %>
		
		disableRadioButton(document.annexdForm.<%= bean.fieldNameNoResponseToOpenOrRestrictedProcedure %>);
		disableRadioButton(document.annexdForm.<%= bean.fieldNameTechnicalOrArtisticOrExclusiveRightsReasons %>);
		
		document.annexdForm.<%= bean.fieldNameJustificationForTheNPWithoutCFC %>.disabled = true;
		document.annexdForm.<%= bean.fieldNameJustificationForTheACWithoutCFC %>.disabled = false;

	}

}

function onChangeJustificationForTheACWithoutCFC()
{

	if(document.annexdForm.<%= bean.fieldNameJustificationForTheACWithoutCFC %>.checked)  
	{	
		document.annexdForm.<%= bean.fieldNameJustificationForTheNPWithoutCFC %>.checked = false;
		document.annexdForm.<%= bean.fieldNameContractSerivceOutsideDirective %>.checked = true;
		document.annexdForm.<%= bean.fieldNameNoTendersToParticipate %>.checked = false;
		<% if(ContractType.Supplies.equals(contractType)) { %>
			 document.annexdForm.<%= bean.fieldNameProductsManufactured4Research %>.checked = false;
			 document.annexdForm.<%= bean.fieldNameSuppliesFromCommodityMarket %>.checked = false;	
		<% } %>
		document.annexdForm.<%= bean.fieldNameReasonsForChoosingParticularEconomicOperator %>.checked = false;
		document.annexdForm.<%= bean.fieldNameExtremeUrgencyUnforseeableEvents %>.checked = false;
		document.annexdForm.<%= bean.fieldNameAdditionalWorks %>.checked = false;
		<% if(!ContractType.Supplies.equals(contractType)) { %>
	 		document.annexdForm.<%= bean.fieldNameRepetitionOfExistingWorks %>.checked = false;
		<% } %>
		<% if(ContractType.Services.equals(contractType)) { %>
	 		document.annexdForm.<%= bean.fieldNameAwardedToSuccessfulServiceProfessional %>.checked = false;
		<% } %>
		<% if(!ContractType.Works.equals(contractType)) { %>
	 		document.annexdForm.<%= bean.fieldNamePurchaseOfSuppliesOrServicesOnAdvantageousTerms %>.checked = false;
	 		clearRadioButton(document.annexdForm.<%= bean.fieldNameAdvantangeousPurchaseTerm %>);
		<% } %>
		
		clearRadioButton(document.annexdForm.<%= bean.fieldNameNoResponseToOpenOrRestrictedProcedure %>);
		clearRadioButton(document.annexdForm.<%= bean.fieldNameTechnicalOrArtisticOrExclusiveRightsReasons %>);
		
		disableFields();
		
		document.annexdForm.<%= bean.fieldNameJustificationForTheNPWithoutCFC %>.disabled = false;
		document.annexdForm.<%= bean.fieldNameJustificationForTheACWithoutCFC %>.disabled = true;

	}
					
}

function clearRadioButton(radio) {
       for(i=0;i<radio.length;i++) {
        radio[i].checked = false
    }
}

function disableRadioButton(radio) {
    for(i=0;i<radio.length;i++) {
    	radio[i].disabled = true
    }
}

function enableRadioButton(radio) {
    for(i=0;i<radio.length;i++) {
    	radio[i].disabled = false
    }
}

function isRadioButtonChecked(radio) {
    for(i=0;i<radio.length;i++) {
     	if(radio[i].checked) {
    	 	return true;
     	}
 	}
    return false;
}

function onChangeNoTendersToParticipate() {
	var noTendersToParticipate = document.annexdForm.<%= bean.fieldNameNoTendersToParticipate %>;
	var noResponseToOpenOrRestrictedProcedure = document.annexdForm.<%= bean.fieldNameNoResponseToOpenOrRestrictedProcedure %>;
	if (noTendersToParticipate.checked) {
		enableRadioButton(noResponseToOpenOrRestrictedProcedure);
	}
	else {
		clearRadioButton(noResponseToOpenOrRestrictedProcedure);
		disableRadioButton(noResponseToOpenOrRestrictedProcedure);
	}
}

function onChangeReasonsForChoosingParticularEconomicOperator() {
	var reasonsForChoosingParticularEconomicOperator = document.annexdForm.<%= bean.fieldNameReasonsForChoosingParticularEconomicOperator %>;
	var technicalOrArtisticOrExclusiveRightsReasons = document.annexdForm.<%= bean.fieldNameTechnicalOrArtisticOrExclusiveRightsReasons %>;	
	if (reasonsForChoosingParticularEconomicOperator.checked) {
		enableRadioButton(technicalOrArtisticOrExclusiveRightsReasons);
	}
	else {
		clearRadioButton(technicalOrArtisticOrExclusiveRightsReasons);
		disableRadioButton(technicalOrArtisticOrExclusiveRightsReasons);
	}
}

function onChangePurchaseOfSuppliesOrServicesOnAdvantageousTerms() {
	var purchaseOfSuppliesOrServicesOnAdvantageousTerms = document.annexdForm.<%= bean.fieldNamePurchaseOfSuppliesOrServicesOnAdvantageousTerms %>;
	var advantangeousPurchaseTerm = document.annexdForm.<%= bean.fieldNameAdvantangeousPurchaseTerm %>;	
	if (purchaseOfSuppliesOrServicesOnAdvantageousTerms.checked) {
		enableRadioButton(advantangeousPurchaseTerm);
	}
	else {
		clearRadioButton(advantangeousPurchaseTerm);
		disableRadioButton(advantangeousPurchaseTerm);
	}
}

function disableFields() {
	document.annexdForm.<%= bean.fieldNameNoTendersToParticipate %>.disabled = true;
	<% if(ContractType.Supplies.equals(contractType)) { %>
		 document.annexdForm.<%= bean.fieldNameProductsManufactured4Research %>.disabled = true;
		 document.annexdForm.<%= bean.fieldNameSuppliesFromCommodityMarket %>.disabled = true;
	<% } %>

	document.annexdForm.<%= bean.fieldNameReasonsForChoosingParticularEconomicOperator %>.disabled = true;
	document.annexdForm.<%= bean.fieldNameExtremeUrgencyUnforseeableEvents %>.disabled = true;
	document.annexdForm.<%= bean.fieldNameAdditionalWorks %>.disabled = true;
	<% if(!ContractType.Supplies.equals(contractType)) { %>
			document.annexdForm.<%= bean.fieldNameRepetitionOfExistingWorks %>.disabled = true;
	<% } %>
	<% if(ContractType.Services.equals(contractType)) { %>
			document.annexdForm.<%= bean.fieldNameAwardedToSuccessfulServiceProfessional %>.disabled = true;
	<% } %>
	<% if(!ContractType.Works.equals(contractType)) { %>
			document.annexdForm.<%= bean.fieldNamePurchaseOfSuppliesOrServicesOnAdvantageousTerms %>.disabled = true;
			disableRadioButton(document.annexdForm.<%= bean.fieldNameAdvantangeousPurchaseTerm %>);
	<% } %>
	document.annexdForm.<%= bean.fieldNameContractSerivceOutsideDirective %>.disabled = true;
	disableRadioButton(document.annexdForm.<%= bean.fieldNameNoResponseToOpenOrRestrictedProcedure %>);
	disableRadioButton(document.annexdForm.<%= bean.fieldNameTechnicalOrArtisticOrExclusiveRightsReasons %>);
}

	function selectType()
	{
	}
	
	function resetHiddens()
	{
	}

    /**
     *
     * @return
     */
 	function onClickSaveForm() 
 	{	
 		if (validateData())
 		document.<%=formName %>.submit();
 	}
	//-----------------------------------------------------------------------------------
	//This function is called to refresh the page when the attributes list page closes
	function refreshWithNewAttributes(){
		NAV_Reload(this);
	}
	//-----------------------------------------------------------------------------------

	function initializeFields() {
		if (!document.annexdForm.<%= bean.fieldNameJustificationForTheNPWithoutCFC %>.checked &&  !document.annexdForm.<%= bean.fieldNameJustificationForTheACWithoutCFC %>.checked )
		{
			disableFields();
			
		}
		else if (document.annexdForm.<%= bean.fieldNameJustificationForTheNPWithoutCFC %>.checked) {
			document.annexdForm.<%= bean.fieldNameContractSerivceOutsideDirective %>.disabled = true;
			document.annexdForm.<%= bean.fieldNameJustificationForTheNPWithoutCFC %>.disabled = true;
			if (!document.<%= formName%>.<%= bean.fieldNameNoTendersToParticipate%>.checked) {
				disableRadioButton(document.annexdForm.<%= bean.fieldNameNoResponseToOpenOrRestrictedProcedure %>);
			}
			if (!document.<%= formName%>.<%= bean.fieldNameReasonsForChoosingParticularEconomicOperator%>.checked) {
				disableRadioButton(document.annexdForm.<%= bean.fieldNameTechnicalOrArtisticOrExclusiveRightsReasons %>);
			}
			if (typeof(document.<%= formName%>.<%= bean.fieldNamePurchaseOfSuppliesOrServicesOnAdvantageousTerms%>) != 'undefined' && !document.<%= formName%>.<%= bean.fieldNamePurchaseOfSuppliesOrServicesOnAdvantageousTerms%>.checked) {
				disableRadioButton(document.annexdForm.<%= bean.fieldNameAdvantangeousPurchaseTerm %>);
			}
			
		}
		else {
			disableFields();
			document.annexdForm.<%= bean.fieldNameJustificationForTheACWithoutCFC %>.disabled = true;
		}
	}

	function validateData()
	{
		 if (document.<%= formName%>.<%= bean.fieldNameJustificationForTheNPWithoutCFC%>.checked) {
			 	document.annexdForm.justificationForTheNPWithoutCFC.value = 'true';
		 }
		 else if (document.<%= formName%>.<%= bean.fieldNameJustificationForTheACWithoutCFC%>.checked) {
				document.annexdForm.justificationForTheACWithoutCFC.value = 'true';
				document.annexdForm.contractSerOutSideDir.value = 'true';
		 }
		return true;
	}
	
	function NAV_HandleEvent(var1, var2)
	{
	
		if( var1 == "<%= EPassTree._sNavigationEvent%>"  )
		{
   			var splitted  = var2.split( ";" );
	   		var goToDir   = splitted[0];
   			var goToParam = (splitted.length == 2)? splitted[1]: "";
			//alert('1 var2 = ' + var2 + ', goToDir = ' + goToDir + ', goToParam = ' + goToParam)

   			if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 ){

   				if( confirm( '<%= ref.convertLiteral( "form.wizConfigSchedule.message.reset" )%>' ) ){
   					document.<%= formName%>.reset();
                    <%= editForm.getInitMonitorJS()%>
                    document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.DEFAULT_VIEW%>';
                    document.<%= formName %>.submit();
	        	}
   			}
	        else if( goToDir.indexOf( '<%= EPassTree._sTreeNavCloseCmd%>' ) == 0 ){
   					document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value =
																 '<%= EPassTree._sTreeNavCloseCmd%>';
   					onClickSaveForm();
	   		}
	        else if (<%=  editForm.getIsFormDirtyJS() %> 
	   		|| var2 == "<%= EPassTree._sTreeNavSaveCmd%>" 
   			|| document.<%= formName%>.IS_FORM_DIRTY.value == 'true')
				{	
					if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>" ||  confirm( "<%= ref.convertLiteral("form.wizConfig.message.save")%>" ) )
					{        		
						document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
						onClickSaveForm();
					}
					else
					{       				
						document.<%= formName%>.reset();
						<%= editForm.getInitMonitorJS()%>
						NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
					}
				}
				else
				{					
		             if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
	                   ||
	                   goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
	                 ) {
	                   <%= EPassTree.getInstance( bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" )%>
	               	} else {
	                   <%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
	               	}
						
				}
		}
	}

// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";

 
</SCRIPT>
</HEAD>



<body onload="init();initializeFields();resetHiddens();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="0" rightmargin="10" topmargin="0" leftmargin="0">

<%@ include file="../../include/inc_actionbar_spacer.inc" %>

<%
//
// Will print the error message, if one exist. Uses a stylesheet format
//
if( ref.isMessage() )
{%>
		<%=  ref.getMessage()%>
<%}

//if (bean.isNotifyOfUpdate()) {
	if (true) {
// if page is updated successfully, send a context update to nav, and let the tree control, refresh.
		//NavSupport.sendUpdateAndCtx(ContextCodes.ASSESSMENT, pass_notice_id, null, ref)%>
	<%//ESP-55729: Need to pass current notice id while updating Nav context %>
	<%=  NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE, ref.userDataContext.getNoticeId(), null, ref)%>
<%} %>

<%

	if(true )
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}

%>

<%@ include file="../../include/inc_action_bar.inc" %>
<p>
<p><center>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<%
	
if ( statusMsg != null )
  {%>
	<TR CLASS='POPFORMHIGH' >
		<TD>
		<P CLASS=ERRORMSG>
		<%=  ref.convertLiteral(statusMsg)%>
		</P>
		</TD>
	</TR>
<%}%>

<TR>
  	<TD>

<form name="annexdForm" action="<%= ref.getUserPath()%>ojeu/jsp/wiz_notice_annexd.jsp" method="POST">
<p>
<p>
<center>
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH='100%' CLASS='POPFORMBODY' >
	<TR height=25><TD colspan="3" CLASS="NOTICEPOPFORMTITLE"><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.justification") %></esapi:html></td></TR>
	<%=getRuleLine()%>
	<TR height=25><TD colspan="3" CLASS="NOTICEPOPFORMTITLE"><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.reason.for.choice") %></esapi:html></td></TR>
	<%=getRuleLine()%>
	<TR><TH CLASS="POPFORMLABEL"><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.reason.for.choice1") %></esapi:html><%= Header.REQUIRED_FIELD %>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= justificationForTheNPWithoutCFC %></TD>
	</TR>
	<%=getRuleLine()%>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.no.tenders") %></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= noTendersToParticipate%></TD>
	</TR>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= inputRadioBt2%></TD>
	</TR>
	<%=getRuleLine()%>
	<% if(ContractType.Supplies.equals(contractType)) { %>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.products.involved")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= productsManufactured4Research%></TD>
	</TR>	
	<%=getRuleLine()%>
	<% } %>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.works.goods.services")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= reasonsForChoosingParticularEconomicOperator%></TD>
	</TR>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= inputRadioBt3%></TD>
	</TR>
	<%=getRuleLine()%>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.extreme.urgency")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= extremeUrgencyUnforseeableEvents%></TD>
	</TR>	
	<%=getRuleLine()%>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.additional.works")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= additionalWorks%></TD>
	</TR>	
	<%=getRuleLine()%>
	<% if(!ContractType.Supplies.equals(contractType)) { %>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.new.works.services")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= repetitionOfExistingWorks%></TD>
	</TR>	
	<%=getRuleLine()%>
	<% } %>
	<% if(ContractType.Services.equals(contractType)) { %>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.service.contract.awarded")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= AwardedToSuccessfulServiceProfessional%></TD>
	</TR>
	<%=getRuleLine()%>
	<% } %>
	<% if(ContractType.Supplies.equals(contractType)) { %>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.supplies.from.commodity.market")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= suppliesFromCommodityMarket%></TD>
	</TR>
	<%=getRuleLine()%>
	<% } %>
	<% if(!ContractType.Works.equals(contractType)) { %>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.advantangeous.purchase.term")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= purchaseOfSuppliesOrServicesOnAdvantageousTerms%></TD>
	</TR>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= advantangeousPurchaseTerm%></TD>
	</TR>
	<% } %>	
	<TR height=25><TD colspan="3" CLASS="NOTICEPOPFORMTITLE"><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.order.justification") %></esapi:html></td></TR>
	<%=getRuleLine()%>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.order.justification1") %></esapi:html><%= Header.REQUIRED_FIELD %>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= justificationForTheACWithoutCFC %></TD>
	</TR>
	<%=getRuleLine()%>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.contract.ouside.directive")%></esapi:html>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= contractServOutsideDirective %></TD>
	</TR>
	<%=getRuleLine()%>
	<TR height=25><TD colspan="3" CLASS="NOTICEPOPFORMTITLE"><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.explaination")%></esapi:html></td></TR>
	<%=getRuleLine()%>
	<TR><TH CLASS="POPFORMLABEL" width=50%><esapi:html><%= ref.convertLiteral("form.wiz.ojeu.annexd.reason.contract.lawful")%></esapi:html><%= Header.REQUIRED_FIELD %>&nbsp;&nbsp;</TH>
		<TD CLASS="REPORTFORMFIELD"><%= stdTxt %></TD>
	</TR>
	<%=getRuleLine()%>
</TABLE>
	<DIV CLASS="POPFORMINSTRUCTIONS"><br><span style = "color:red;font-size:18px">*</span> <%= ref.convertLiteral("form.EPASSHTMLForm.label.req_field") %></DIV>

</center>
<%=editForm.generateScript()%>
	<input type="hidden" name="<%=  EPASSJSPActions.ACTION %>" value="<%=  EPASSJSPActions.SAVE_NEW%>">
	<input type="hidden" id="noOfPreviousPublications" name="noOfPreviousPublications" value="0">
	<input type="hidden" id="deletedRows" name="deletedRows" value="">
	<input type="hidden" name="<%=  TreeWizUtility.NEXT_PAGE_PARAMETER %>" value="">	
	<input type="hidden" id="IS_FORM_DIRTY" name="IS_FORM_DIRTY" value="">
	<input type="hidden" id="justificationForTheNPWithoutCFC" name="justificationForTheNPWithoutCFC" value="">
	<input type="hidden" id="justificationForTheACWithoutCFC" name="justificationForTheACWithoutCFC" value="">
	<input type="hidden" id="contractSerOutSideDir" name="contractSerOutSideDir" value="">
</form>

  	</TD>
</TR>
</TABLE>
</center>


<script>
// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>
</BODY>
</HTML>


<%@ include file="../../include/simple_tail.inc"%>
