<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="javax.servlet.http.*,
                 com.avinamart.Utility.EPASSConfig,
                 com.avinamart.WebInterface.Utility.HTML.*,
                 com.avinamart.BusinessLogic.Constant.*,
                 com.avinamart.WebInterface.Constants.*,
                 com.avinamart.Utility.Pair,
                 com.avinamart.WebInterface.*,
                 com.avinamart.Utility.CommaSeparatedIntegerList,
                 com.avinamart.Struct.*,
                 java.util.Arrays, java.util.List,
                 com.avinamart.Utility.Exception.EPASSApplicationException,
                 java.rmi.RemoteException" %>
<%@ page import="com.avinamart.Utility.Query.*" %>
<%@ page import="com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct" %>

<%@ include file="../../include/head.inc" %>
<%@page import="com.emptoris.app.ojeu.service.internal.bean.NoticePojoFacadeIntf"%>
<%@page import="com.emptoris.app.ojeu.service.componentinterface.NoticeFacadeFactory"%>
<%@page import="com.emptoris.app.ojeu.common.struct.NoticeStruct"%>
<%@page import="com.emptoris.base.constant.ObjectType"%>
<%@page import="com.emptoris.app.ojeu.common.constant.NoticeType"%>
<%@page import="com.emptoris.app.ojeu.common.constant.StatusType"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@page import="com.emptoris.framework.organization.service.legacyInterface.OrganizationServiceIntf"%>
<%@page import="java.util.Collections"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.Collection"%>
<%@page import="com.emptoris.framework.organization.common.struct.OrganizationStruct"%>
<%@page import="com.emptoris.app.ojeu.common.struct.ContactStruct"%>
<%@page import="com.emptoris.app.ojeu.common.struct.ContractingAuthorityStruct"%>
<%@page import="com.avinamart.BusinessLogic.Bean.OrganizationService.OrganizationService"%>
<%@page import="com.avinamart.BusinessLogic.Key.BusinessUserKeyImpl"%>

<%@page import="com.emptoris.app.ojeu.webClient.action.NoticeSummaryPageBean"%>
<%@page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean"%>

<%@page import="com.emptoris.app.ojeu.service.internal.bean.NoticeFacadeIntf"%>
<%@page import="com.emptoris.app.ojeu.service.NoticeValidationResult"%>
<%@ page import="org.owasp.esapi.ESAPI" %>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>
	<title><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html> : <%= ref.convertLiteral("form.detailRfq.title.basic_config")%></title>
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
	<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
	<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>	
	<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
	<%-- Navigation utility that supply all frame services --%>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
   

<%
	final String formName = "wizNoticeSummary";
	NoticeSummaryPageBean bean = (NoticeSummaryPageBean)request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
	String popupColor = ref.getArea().getAttribute( EPassArea.AREA_BGCOLOR );
	Integer noticeId = ref.userDataContext.getNoticeId();
	String currentId = ref.req.getParameter( ServletBase.CURRENT_ID );
	if( null != currentId )
	{
		noticeId = Integer.parseInt( currentId );		
	}
	
	final String fieldNameOFFICIALNAME = EPASSFieldName.addPrefix( "officialName" );
	final String fieldNameNOTICETYPE = EPASSFieldName.addPrefix( NoticeStruct.TENDER_FORM_TYPE );
	final String fieldNameNOTICENAME = EPASSFieldName.addPrefix( NoticeStruct.NAME );
	final String fieldNameCREATORNAME = EPASSFieldName.addPrefix( NoticeStruct.CREATOR_NAME );	
	final String fieldNameSTATUS = EPASSFieldName.addPrefix( NoticeStruct.STATUS );
	final String fieldNameCREATIONDATE = EPASSFieldName.addPrefix( NoticeStruct.CREATION_DATE );
	final String fieldNameSUBMITDATE = EPASSFieldName.addPrefix( NoticeStruct.SUBMISSION_DATE );
	final String fieldNamePUBLISHDATE = EPASSFieldName.addPrefix( ContractingAuthorityStruct.DATE_OF_PUBLICATION );
	//publish date field cud not be found
	final String fieldNameBUSINESSUNIT = EPASSFieldName.addPrefix( NoticeStruct.BUSINESS_UNIT );
	String fieldValueOFFICIALNAME = null;
		int templateConstant= 0;
        Pair ctrlData = EPASSUiAttachmentServices.getAttachmentButton( ref, Misc.OWNER_NOTICE,
        noticeId, null, "form.noticeSummary.label.notice_attachment",null,
         new Integer(480), new Integer(800), null, null, true, null,Misc.OWNER_NOTICE ,templateConstant);

		EPASSInputControlInterface attButton = (EPASSInputControlInterface) (ctrlData
					.getSecond());

	fieldValueOFFICIALNAME = bean.getOfficialName();
	
	NoticeStruct noticeStruct = bean.getStruct();
	Integer fieldValueORGID = noticeStruct.getBuyerOrgId();	
	String fieldValueORGNAME = EPASSQPretty.toUQString(EPASSUiAdminServices.getOrganizationName( ref, fieldValueORGID));
	
	String fieldValueNOTICETYPE = ref.convertLiteral( NoticeType.getNoticeTypeString(noticeStruct.getTenderFormType()) );
	String fieldValueNOTICENAME = noticeStruct.getName();
		
	String fieldValueLEADNAME = noticeStruct.getLeadNames();
	//PR ESP-49518 Encoded the lead names for XSS Attack
    fieldValueLEADNAME = org.owasp.esapi.ESAPI.encoder().encodeForHTML(fieldValueLEADNAME);
		
	String fieldValueSTATUS = ref.convertLiteral(StatusType.getStatusTypeString(noticeStruct.getStatus()));
	Date fieldValueCREATIONDATE = noticeStruct.getCreationDate();
	Date fieldValueSUBMITDATE = noticeStruct.getSubmitDate();
	Date fieldValuePUBLISHDATE = bean.getPublisDate();
	String fieldValueBUSINESSUNITNAME = noticeStruct.getBusinessUnitName();
	boolean canCopyCloneNotice = bean.isCanCopyCloneNoticeOrTemplate(); 
	boolean isTemplate = noticeStruct.isTemplate();
	boolean isCorrigendumNotice = NoticeType.CorrigendumNotice.equals(noticeStruct.getTenderFormType()) ? true : false;
	
	Object[] noticeType = new Object[] {fieldValueNOTICETYPE};
	
	EPASSHTMLForm editForm = new EPASSHTMLForm( ref, "viewNoticeDetails", EPASSHTMLForm.GET,
    	      ref.getUserPath() + Dir.JS + JSP.DETAIL_RFQ,
    	      false // Make true if additional editing is required (javascript validate2)
    	    );//form name, submit method, name of page, addition javascript
    ref.setReadOnly(Boolean.TRUE);
	EPASSInputControl ic=null;  // Refernce to input control    

	editForm.addControl("OFFICIALNAME",
	 	       ref.convertLiteral( "form.wiz_notice_annexa.header.notice.official.name"),       // Add the title
	 	       ic = new EPASSInputControl("TEXT", fieldNameOFFICIALNAME, UQ( (ref),  fieldValueOFFICIALNAME) ));  // Field name, Value
	 	       ic.setEnabled( false );    // Add if needed
	 	       
	editForm.addControl("NOTICETYPE",
 	       ref.convertLiteral( "form.noticeSummary.title.notice_type"),       // Add the title
 	       ic = new EPASSInputControl("TEXT", fieldNameNOTICETYPE, UQ( (ref),  fieldValueNOTICETYPE) ));  // Field name, Value
 	       ic.setEnabled( false );    // Add if needed
 	   //
 	   
 	editForm.addControl("NAME",
 	       ref.convertLiteral( "form.noticeSummary.title.notice_name"),       // Add the title
 	       ic = new EPASSInputControl("TEXT", fieldNameNOTICENAME, UQ( (ref),  fieldValueNOTICENAME) ));  // Field name, Value
 	       ic.setEnabled( false );    // Add if needed
 	   //
 	   
  	editForm.addControl("STATUS",
 	       ref.convertLiteral( "form.noticeSummary.title.staus" ),       // Add the title
 	       ic = new EPASSInputControl("TEXT", fieldNameSTATUS, UQ( (ref),  fieldValueSTATUS) ));  // Field name, Value
 	       ic.setEnabled( false );    // Add if needed
 	   //
 
	ic = new EPASSInputControlDate( fieldNameCREATIONDATE, UQ( (ref),  fieldValueCREATIONDATE) );
	if( ic.getValue().length() > 1 )
	{
		ic.setExtendedText("&nbsp;"+ref.getTimeZoneDisplay());
	}
    	editForm.addControl("CREATIONDATE",
    	       ref.convertLiteral( "form.noticeSummary.title.creation_date"),       // Add the title
    	       ic);  // Field name, Value
    	       ic.setEnabled( false );    // Add if needed
    	   //
    	   
    	ic = new EPASSInputControlDate( fieldNameSUBMITDATE, UQ( (ref),  fieldValueSUBMITDATE) );
    	if( ic.getValue().length() > 1 )
    	{
    		ic.setExtendedText("&nbsp;"+ref.getTimeZoneDisplay());
    	}
    	editForm.addControl("SUBMITDATE",
    	       ref.convertLiteral( "form.noticeSummary.title.submit_date"),       // Add the title
    	       ic);  // Field name, Value
    	       ic.setEnabled( false );    // Add if needed
    	   //
    	   
    	ic = new EPASSInputControlDate( fieldNamePUBLISHDATE, UQ( (ref),  fieldValuePUBLISHDATE));
	if( ic.getValue().length() > 1 )
	{
		ic.setExtendedText("&nbsp;"+ref.getTimeZoneDisplay());
	}
    	editForm.addControl("PUBLISHDATE",
    	       ref.convertLiteral( "form.noticeSummary.title.publish_date"),    // Add the title
    	       ic);  // Field name, Value
    	       ic.setEnabled( false );    // Add if needed
    	   //    	   
    	   
  	editForm.addControl("BUSINESSUNIT",
 	       ref.convertLiteral( "form.noticeSummary.title.business_unit" ),       // Add the title
 	       ic = new EPASSInputControl("TEXT", fieldNameBUSINESSUNIT, UQ( (ref),  fieldValueBUSINESSUNITNAME) ));  // Field name, Value
 	       ic.setEnabled( false );    // Add if needed
 	       
 	//set attributes in form
 	 EPASSAttributeDefStruct[] noticeAttributes =  bean.getNoticeAttributes();
 	 EPASSUiAttributeDefServices.addUDAControlsToForm(ref,noticeAttributes, bean.getStruct(),editForm,Boolean.TRUE,10,null);
 	boolean isWizard = TreeWizUtility.getIsWizardParam(ref,TreeWizUtility.IS_WIZ_PARAM);
 	StringBuilder ctxString = new StringBuilder();
	ctxString.append(ContextCodes.NOTICE).append(noticeStruct.getId()).append(",")
			.append(ContextCodes.SOURCE_NOTICE_OR_TEMPLATE).append(noticeStruct.getId());
	String actionBarTitle = ref.convertLiteral("form.listNotice.header.notice_summary");
	Object actionBarButtons = toolbarItems.toString();	
%>
	   
<script LANGUAGE="JavaScript">
	var NAV_LIST='';
	var NAV_DEP = '<%= ContextCodes.EVENT%>';
	var isNavBlocked = false;
	top.showScrollBtn = "false";
	top.showmaxbtn = "false";
	function onClickSaveForm() 
	{
		isNavBlocked = true;
		document.<%= formName %>.submit();
	}	
	function validateData()
	{
		return true;
	}	
	
	function NAV_HandleEvent(var1, var2)
	{

	        if( var1 == "<%= EPassTree._sNavigationEvent%>" && !isNavBlocked) {
	            var splitted  = var2.split( ";" );
	            var goToDir   = splitted[0];
	            var goToParam = (splitted.length == 2)? splitted[1]: "";
	
	            if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 ) {
	                if( confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral( "form.wizConfigSchedule.message.reset" ))%>' ) ) {
	                    document.<%= formName%>.reset();
	                    <%= editForm.getInitMonitorJS()%>
	                }
	            }
	             else if( <%= editForm.getIsFormDirtyJS()%> || var2 == "<%= EPassTree._sTreeNavSaveCmd%>") {
	                if( validateData( ) ) {
	                    if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
	                                              ||  confirm( '<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.wizConfig.message.save"))%>' ) ) {
	                        document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
	                        onClickSaveForm();
	                        
	                    } else {
	                        document.<%= formName%>.reset();
	                        <%= editForm.getInitMonitorJS()%>
	                        NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
	                    }
	                }
	            } else {
	                if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
	                    ||
	                    goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
	                  ) {
	                    <%= ( noticeId != null && ref.userDataContext.getWizTreeName() != null) ? EPassTree.getInstance( ref, ref.userDataContext.getWizTreeName()).getReRenderTreeJS( "goToDir", "goToParam" ) : ""%>
	                } else {
	                    <%= noticeId != null ? EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" ):""%>
	                }
	            }
	        }
    }

		  	function wizNoticeSummarySetJspAction(newValue) {
		  	
		  	<%
				NoticeFacadeIntf txFacade = NoticeFacadeFactory.getInstance().getTxFacade();
				NoticeValidationResult validationResult = txFacade.validateNotice(ref.sessionService, noticeId);
				if( ( !validationResult.hasErrors()) && validationResult.hasWarnings() )
				{
		  	%>
			  		if( ! confirm('<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.noticeSummary.button.submit.warning.confimation"))%>') )
			  		{
			  			return false;
			  		}
		  <%
				}
				else
				{
		  %>
			  		if( ! confirm('<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.noticeSummary.button.submit.confimation"))%>') )
			  		{
			  			return false;
			  		}
		  <%
				}
		  %>
			  	//alert('Function called');
			  	var inputElement = window.document.getElementById("wizNoticeSummaryFormFieldJspAction");
			  	//alert('Get dom element by id returned :'+inputElement);
			  	
			  	if( typeof(inputElement)!='undefined' ) {
			  		//inputElement.value = newValue;			  		
			  		//alert('DOM element new value is:'+inputElement.value);
			  	} else {
				  	//alert('DOM element not found, input not set');
			  	}
			  	window.document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value=newValue;
			  	var windowForms = window.document.forms;
			  	
			  	//alert('This window has '+windowForms.length+' form(s), inputElement Value : '+inputElement.value);
			  	window.document.<%= formName%>.submit();
		  	}

		function openPDFView() {
			window.open(<%=  "'"+response.encodeURL(request.getContextPath()+"/servlet/NoticePDFServlet?noticeId="+noticeId+"&curId="+noticeId+"&disposition=inline")+"'" %>,'Notice_As_PDF');
		}

		function doCreateTemplateFromNotice()
		{
            <%=  NavSupport.createNewWorkAndCtx(ctxString.toString(),
           		 "wiz_tree_frames.jsp?" +
           		 EPASSJSPActions.ACTION + "=" + EPASSJSPActions.CREATE_TEMPLATE_FROM_NOTICE + "&" +
           		 TreeWizUtility.REQ_TREE_NAME + "=" + TreeWizUtility.WIZ_NOTICE_TREE + "&" +
           		 TreeWizUtility.REQ_TREE_CODEBASE + "=" + TreeWizUtility.WIZ_NOTICE_TREE_XML_CODEBASE,
                    EPassArea.NOTICE_TEMPLATE_CAP_JSP,
           		 ref)%>;
          <% if (!isWizard) {
       	   %> window.close();
          <%}%> 
		}
		

		function doCreateNoticeFromTemplate()
		{
            <%=  NavSupport.createNewWorkAndCtx(ctxString.toString(),
              		 "wiz_tree_frames.jsp?" +
              		 EPASSJSPActions.ACTION + "=" + EPASSJSPActions.CREATE_FROM_SELECTLIST_TEMPLATE + "&" +
              		 TreeWizUtility.REQ_TREE_NAME + "=" + TreeWizUtility.WIZ_NOTICE_TREE + "&" +
              		 TreeWizUtility.REQ_TREE_CODEBASE + "=" + TreeWizUtility.WIZ_NOTICE_TREE_XML_CODEBASE,
                       EPassArea.NOTICE_CAP_JSP,
              		 ref)%>;
             <% if (!isWizard) {
          	   %> window.close();
             <%}%> 
		}
		
		function onClickCloneNotice(){
			 if (confirm('<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.notice_summary.message.create_clone_notice"))%>'))
			 {
                 <%=  NavSupport.createNewWorkAndCtx(ctxString.toString(),
                		 "wiz_tree_frames.jsp?" +
                		 EPASSJSPActions.ACTION + "=" + EPASSJSPActions.CREATE_CLONE_NOTICE + "&" +
                		 TreeWizUtility.REQ_TREE_NAME + "=" + TreeWizUtility.WIZ_NOTICE_TREE + "&" +
                		 TreeWizUtility.REQ_TREE_CODEBASE + "=" + TreeWizUtility.WIZ_NOTICE_TREE_XML_CODEBASE,
                         EPassArea.NOTICE_TEMPLATE_CAP_JSP,
                		 ref)%>;
               <% if (!isWizard) {
            	   %> window.close();
               <%}%> 
             } 
		}

		function onClickCloneNoticeTemplate(){
			 if (confirm('<%= ESAPI.encoder().encodeForJavaScript(ref.convertLiteral("form.notice_summary.message.create_clone_notice_template"))%>'))
			 {
                <%=  NavSupport.createNewWorkAndCtx(ctxString.toString(),
               		 "wiz_tree_frames.jsp?" +
               		 EPASSJSPActions.ACTION + "=" + EPASSJSPActions.CREATE_CLONE_NOTICE_TEMPLATE + "&" +
               		 TreeWizUtility.REQ_TREE_NAME + "=" + TreeWizUtility.WIZ_NOTICE_TREE + "&" +
               		 TreeWizUtility.REQ_TREE_CODEBASE + "=" + TreeWizUtility.WIZ_NOTICE_TREE_XML_CODEBASE,
                        EPassArea.NOTICE_TEMPLATE_CAP_JSP,
               		 ref)%>;
              <% if (!isWizard) {
           	   %> window.close();
              <%}%> 
            } 
		}
			
		
</SCRIPT>

<style type="text/css" media="screen">
 .pagePane {
	border-bottom-style:none;
	width:100%;
	height:60%;
 }

 .pageHeader {
	border-width:1px 1px 1px 1px;
	border-style:none;
	background-color:#3a2278;
	width: 100%;
	font-weight:bold;
	padding:2px 2px 2px 2px;
 }

 .table {
	margin:5% 0% 0% 8%;
	width:89%;
	font-size:8pt;
	
	border-style:solid;
	border-width:1px 1px 1px 1px;
	border-color:#b5b4b4;	
 }

 .tableHeader {
	padding:10px 0px 10px 0px;
	width:100%;
	font-weight:bold;
	text-align:center;
	background-color:#efefef;	
 }

 .tableRow {
	width: 100%;
	border-style:solid;
	border-width:1px 0px 0px 0px;
	border-color:#b5b4b4;
 }
 
 .tableFirstCell {
	border-width:0px 1px 0px 0px;
	border-color:#b5b4b4; 
	background-color:#efefef;
	font-weight:bold;
	width:35%;
	text-align:right;
	display:inline;
	padding:5px 20px 5px 0px;
 }
html>body .tableFirstCell {
 display:inline-block
 } 
 .tableCellForButtons {
	border-width:0px 1px 0px 0px;
	border-color:#b5b4b4; 
	background-color:#efefef;
	font-weight:bold;
	text-align:left;
	display:inline;
	padding:5px 5px 5px 5px;
 }

 .tableCell {
	background-color:white;
	border-style:none;
	width:65%;
	text-align:left;
	display:inline;
	padding:0px 0px 5px 20px;
 }

 .overallErrorOrSuccessMessage {
	margin:40px 5% 0% 10%;
	padding-left:4px;
	background-color:white;
	font-weight:bold;
	text-align:left;
	height:20px;
	padding-bottom:5px;
	font-size:inherit;	
 }
 </style> 



</head>
<script>
var NAV_LIST='<%=  ContextCodes.NOTICE%>'; 	
</script>
	
<body onload="init()" style="background-color:<esapi:htmlatt><%= popupColor %></esapi:htmlatt>;" >

<%if(true)
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}

	EPASSReferences epassReferences = (EPASSReferences)ref;
%>
	
	

	<%-- Outside Table --%>
	<%-- Outside Table --%>
<div class="pagePane">
		<%-- the sky blue background color is #d0d6ee; --%>
<%
	if( bean.isAttemptedToSubmit() ) {
		if( epassReferences.isErrorMessage() ) {
%>
		<div style="margin:40px 20px 20px 20px;font-weight:bold;font-size:12pt;color:red;"><esapi:html><%=  epassReferences.convertLiteral("ojeu.notice.integration.invalid.notices".equals(epassReferences.getRawMessage()) ? "ojeu.notice.integration.validation.error" : epassReferences.getRawMessage())  %></esapi:html></div>
<%
		} else {
%>
		<div class="overallErrorOrSuccessMessage"><esapi:html><%=  epassReferences.convertLiteral("ojeu.notice.integration.submit.success")  %></esapi:html></div>
<%
		}
	}
%>

<%@ include file="../../include/top.inc" %>
<% popupImage = "../../img/title/notices/summary_results_view.gif"; %>
<%if (!isWizard){ %>
<%@ include file="../../include/inc_popup_top.inc" %>
<%}%>

<form name="<%= formName%>" method="post" action="wiz_notice_summary.jsp">
	<input name="<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>" type="hidden"  value="" />
	<input id="wizNoticeSummaryFormFieldJspAction" type="hidden" name="jspAction" value="-1" />

		<div class="table">
			<div class="tableRow" style="border-width:0px 0px 0px 0px;">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.wiz_notice_annexa.header.notice.official.name")%></div>
				<div class="tableCell"> <%= editForm.getField( "OFFICIALNAME")%></div>
			</div>
			<div class="tableRow">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.org_name")%></div>
				<div class="tableCell"><esapi:html><%= fieldValueORGNAME %></esapi:html></div>
			</div>
			<div class="tableRow">
				<div class="tableFirstCell"><%=  isTemplate ? ref.convertLiteral("list.page.tab.template.type") : ref.convertLiteral("form.noticeSummary.title.notice_type")%> </div>
				<div class="tableCell"> <%= editForm.getField( "NOTICETYPE" )%></div>
			</div>
			<div class="tableRow">
				<div class="tableFirstCell"><%=  isTemplate ? ref.convertLiteral("list.page.tab.template.name") : ref.convertLiteral("form.noticeSummary.title.notice_name")%> </div>
				<div class="tableCell"><%= editForm.getField( "NAME" )%></div>
			</div>
			<div class="tableRow">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.notice_lead")%> </div>
				<div class="tableCell"><%= EPASSTooltip.truncateLabel( ref,fieldValueLEADNAME, 20,20,true) %></div>
			</div>
			<% if( !isTemplate ) { %>
			<div class="tableRow">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.status")%> </div>
				<div class="tableCell"> <%= editForm.getField( "STATUS" )%></div>
			</div>
			<% } %>
			<div class="tableRow">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.creation_date")%> </div>
				<div class="tableCell"> <%= editForm.getField( "CREATIONDATE" )%></div>
			</div>
			<div class="tableRow" style="<%=  !isTemplate ? "" : "display:none" %>">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.submit_date")%> </div>
				<div class="tableCell"> <%= editForm.getField( "SUBMITDATE" )%></div>
			</div>
			<div class="tableRow" style="<%=  !isTemplate ? "" : "display:none" %>">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.publish_date")%> </div>
				<div class="tableCell"> <%=  editForm.getField( "PUBLISHDATE" )%></div>
			</div>
			<div class="tableRow">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.business_unit")%> </div>
				<div class="tableCell"> <%= editForm.getField("BUSINESSUNIT")%></div>
			</div>
			<div class="tableRow">
				<div class="tableFirstCell"><%= ref.convertLiteral("form.noticeSummary.title.attachments")%> </div>
				<div class="tableCell" > <%=attButton.toString() %></div>
			</div>
			<% if (!isCorrigendumNotice) {
				for(EPASSAttributeDefStruct attributeDef : noticeAttributes)
				{
					String attrCode = attributeDef.getCode();
				%>	
					<div class="tableRow">
					<div class="tableFirstCell"><%=editForm.getTitle(attrCode)%> </div>
					<div class="tableCell" > <%= editForm.getField(attrCode ) %></div>
					</div>
				<%	
				}
			 }
			%>
			
			<div class="tableRow" style="border-width:1px 0px 0px 0px;padding-top:5px;padding-left:5px;padding-bottom:5px;">
				<div class="tableCellForButtons" style="background-color:white;">
					<input type="button" value="<%= ref.convertLiteral("form.noticeSummary.button.view_pdf")%>" onClick="javascript:openPDFView();" />
					
				</div>
				<div class="tableCellForButtons" style="background-color:white;<%=  bean.isSubmitToTEDAllowed() && (!isTemplate) ? "" : "display:none" %>">
					<input type="button" value="<%= ref.convertLiteral("form.noticeSummary.button.submit")%>"
							onClick="javascript:wizNoticeSummarySetJspAction('<%=  EPASSJSPActions.PUBLISH_NOTICE %>');" <%=  bean.isSubmitToTEDAllowed() ? "" : "disabled=\"true\"" %>/>
				</div>
				<div class="tableCellForButtons" style="background-color:white;<%=  canCopyCloneNotice && !isTemplate && !isCorrigendumNotice? "" : "display:none" %>">
					<input type="button" value="<%= ref.convertLiteral("form.notice_summary_create_clone_notice")%>" onClick="javascript:onClickCloneNotice();" />
				</div>
				<div class="tableCellForButtons" style="background-color:white;<%=  canCopyCloneNotice && !isTemplate && !isCorrigendumNotice? "" : "display:none" %>">
					<input type="button" value="<%= ref.convertLiteral("form.notice_summary_copy_notice")%>" onClick="javascript:doCreateTemplateFromNotice();" />
				</div>
				<div class="tableCellForButtons" style="background-color:white;<%=  canCopyCloneNotice && isTemplate && !isCorrigendumNotice? "" : "display:none" %>">
					<input type="button" value="<%= ref.convertLiteral("form.notice_summary_copy_from_template")%>" onClick="javascript:doCreateNoticeFromTemplate();" />
				</div>
				<div class="tableCellForButtons" style="background-color:white;<%=  canCopyCloneNotice && isTemplate && !isCorrigendumNotice? "" : "display:none" %>">
					<input type="button" value="<%= ref.convertLiteral("form.notice_summary_create_clone_template")%>" onClick="javascript:onClickCloneNoticeTemplate();" />
				</div>
				<div class="tableCellForButtons" style="background-color:white;<%=  !isWizard ? "" : "display:none" %>">
					<input type="button" value="<%= ref.convertLiteral("form.detailRfq.button.close")%>"  onclick="javascript: self.close()" >
				</div>
			</div><%-- end last row of table --%>
		</div> <%-- end table --%>
	</div><%-- end pagePane --%>
	<input type="hidden" name="<%= TreeWizUtility.IS_WIZ_PARAM %>" value='<%= isWizard?"1":"0"%>' />
	
</form>
	<%if (!isWizard){ %>
	<%@ include file="../../include/inc_popup_bottom.inc" %>
	<%}%>
	<%@ include file="../../include/bottom.inc" %>	
</body>
</html>
<%@ include file="../../include/tail.inc" %>

