<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page import="com.emptoris.framework.ui.model.clientInterface.AbstractUIBean,com.emptoris.app.ojeu.webClient.action.ObjectOfContractPinUIBean"%>
<%@page import="com.avinamart.WebInterface.Constants.Javascript"%> 
<%@page import="com.avinamart.WebInterface.Constants.Dir,java.rmi.RemoteException"%>
<%@page import="com.avinamart.WebInterface.EPASSReferences"%>
<%@page import="com.avinamart.WebInterface.Constants.*"%>
<%@page import="com.avinamart.WebInterface.*,com.emptoris.app.ojeu.dataAccess.internal.bean.*"%>
<%@page import ="com.avinamart.WebInterface.Utility.HTML.EPASSDHTMLSelect,com.avinamart.Utility.Exception.EPASSApplicationException,com.emptoris.app.ojeu.common.constant.*"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLForm"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSInputControl,com.avinamart.WebInterface.Utility.HTML.*,com.avinamart.WebInterface.EPASSReferences.*"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSQPretty"%>
<%@page  import ="com.avinamart.WebInterface.Utility.HTML.EPASSTextAreaControl,com.emptoris.app.ojeu.common.struct.ObjectOfContractStruct,com.emptoris.framework.currency.common.CurrencyUtility,com.emptoris.app.ojeu.dataAccess.internal.bean.DurationUnit"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchManager"%>
<%@page import="com.avinamart.Utility.Query.EPASSQueryContext"%>
<%@page import="com.avinamart.Utility.Query.factory.FieldInfoProvider"%>
<%@page import="com.emptoris.base.constant.ObjectType"%>
<%@page import="com.avinamart.WebInterface.forms.search.SearchForm"%>
<%@page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@page import="com.emptoris.app.ojeu.common.struct.VOCCPVMap"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.Set"%>
<%@page import="java.text.DecimalFormat"%>
<%@page import="com.avinamart.Utility.EPASSLocales"%>
<%@page import="com.avinamart.Utility.I18NFormats"%>


<%@ include file="../../include/simple_head.inc" %>

<%!
String statusMsg=null;
String TEXT_CONTROL="text";
String PRO_VOCABULARY= "ojeu.form.detail.lot.title.procu_vocabulary";
String MAIN_VOCABULARY= "ojeu.form.detail.lot.hdr.main_vocabulary";
String SUPP_VOCABULARY= "ojeu.form.detail.lot.hdr.supp_vocabulary"; 
String VOC_DESC= "ojeu.form.detail.lot.hdr.voc_description";


%>
<%

String actionBarTitle = "Enter Object Of Contract Details" ;
ObjectOfContractPinUIBean bean = (ObjectOfContractPinUIBean)
request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
Object actionBarButtons = toolbarItems;
final String formName=bean.FORM_NAME;

out.write(TreeWizUtility.getNavHideSaveButtonJs( !bean.canUpdateOOC()) );
//Method to print a button


//Based on the user's preferences get the character that serves as grouping separator for number and currency fields
EPASSLocales userLocale = ref.getLocale();
DecimalFormat decimalFormat = I18NFormats.getDecimalFormat(userLocale);
String groupSeparator = new Character(decimalFormat.getDecimalFormatSymbols().getGroupingSeparator()).toString();
if( ".".equals(groupSeparator) ) {
	groupSeparator = "\\"+groupSeparator;
}


%>

<%
if(bean.isNotifyOfUpdate())
{
%>	
	<%=  NavSupport.sendUpdateAndCtx(ContextCodes.NOTICE,ref.userDataContext.getNoticeId(), null, ref) %>
<%
}
%>

<%@page import="com.avinamart.Utility.StringUtility"%>
<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">
<head>

	<TITLE><esapi:html><%=  ref.convertLiteral("epass.title")%></esapi:html></TITLE>

<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" href="<%= request.getContextPath()%>/css/ojeu.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_TEXT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_SELECT %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ROLLOVER %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_select.js" %>' ></SCRIPT>
<script type="text/javascript">

function doSave(){

	if( ! validateData() )
	{
		return false;
	}
	isNavBlocked = true;
	document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.SAVE_NEW%>';
	document.<%= formName%>.submit();

}

function doCancel(){

	parent.close();
}

function refresh(){
	
	document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value='<%= EPASSJSPActions.REFRESH_PAGE%>';	
	document.<%= formName%>.submit();

}


function hideTimeTable(){
	var isOp=document.getElementById("<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTIONS_AVAILABLE) %></esapi:js>");
	alert(isOp.value);
	
}
function setFormDirtyOnRBtnChange( oldValue )
{
	if( typeof(oldValue) == 'undefined')
	{
		document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
	}
}

function onWorksChangeSetDirty(){	
	setFormDirtyOnRBtnChange( monitoredFields["<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.WORK_SUB_TYPE) %></esapi:js>"] );	
}

function onSuppliesChangeSetDirty(){
	setFormDirtyOnRBtnChange( monitoredFields["<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.SUPPLIES_SUB_TYPE) %></esapi:js>"] );
}

function onServicesChangeSetDirty(){
	setFormDirtyOnRBtnChange( monitoredFields["<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.PUBLISH_NOTICE4_SERVICE_CONTRACT) %></esapi:js>"] );
}
function onGpaChangeSetDirty(){
	setFormDirtyOnRBtnChange( monitoredFields["<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.COVERED_BY_GPA) %></esapi:js>"] );
}


function setCpvDirty( oldValue, newValue)
{	
		if( oldValue != newValue)
		{
			document.<%= formName%>.IS_FORM_DIRTY.value = 'true';
		}	
}

var isNavBlocked = false;

function NAV_HandleEvent(var1, var2)
{
	//alert(var1);

	if( var1=='selectCpvVocNuts')
	{
		//alert(var2);
		var tmpArray = new Array();
		tmpArray =  var2.split(";;");
		if(tmpArray[3].indexOf('<%= SearchManager.BASIC_NUTS_SEARCH%>') != -1)
		{	
			setCpvDirty( document.<%= formName%>.NUTS.value, tmpArray[1]);
			document.<%= formName%>.NUTSCODE.value=tmpArray[0];
			document.<%= formName%>.NUTS.value=tmpArray[1];
			document.<%= formName%>.NUTSNAME.value=tmpArray[2];
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.BASIC_CPV_SEARCH%>') != -1){
		
			setCpvDirty( document.<%= formName%>.CPVCODE.value, tmpArray[1]);
			document.<%= formName%>.CPVCODE.value=tmpArray[1];
			document.<%= formName%>.CPVDESC.value=tmpArray[2];	
		}
		else if (tmpArray[3].indexOf('<%= SearchManager.BASIC_VOC_SEARCH%>')!=-1)
		{
		
			setCpvDirty( document.<%= formName%>.MAIN_VOC_CODES.value, tmpArray[1]);
			document.<%= formName%>.MAIN_VOC_CODES.value= tmpArray[1];
			document.<%= formName%>.MAIN_VOC_DESC.value= tmpArray[2];
			var oldValue = document.<%= formName%>.CPVDESC.value;
			 //document.<%--formName--%>..value= oldValue +','+ tmpArray[2];
			 var voccode=tmpArray[3].substring(0,tmpArray[3].indexOf('_'));
			 if(voccode!=''){
			 }
			 document.<%= formName%>.CPVVOCCODES.value=voccode;
		}
		else if (tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_VOC_SEARCH%>')!=-1)
		{
			
			document.<%= formName%>.ADDITIONAL_VOC_CODE.value= tmpArray[1];
			document.<%= formName%>.ADDITIONAL_VOC_DESC.value= tmpArray[2];
			var oldValue = document.<%= formName%>.CPVDESC.value;
			 var voccode=tmpArray[3].substring(0,tmpArray[3].indexOf('_'));
			 if(voccode!=''){
			 }
			document.<%= formName%>.CPVVOCCODES.value=voccode;
			var vocFieldName = '<esapi:js><%= EPASSFieldName.addPrefix(ObjectOfContractStruct.ADDITIONAL_VOC_CODE) %></esapi:js>';
			vocFieldName += voccode
			var oldVocValue = eval( "document.<esapi:js><%= formName %></esapi:js>." + vocFieldName + ".value");			
			setCpvDirty( oldVocValue, tmpArray[1]);
			
		
		}
		else if(tmpArray[3].indexOf('<%= SearchManager.ADDITIONAL_CPV_SEARCH%>') != -1){
		
			setCpvDirty( document.<%= formName%>.ADDITIONAL_CPV_CODES.value, tmpArray[1]);
			if( tmpArray[1].length == 0)
			{
				document.<%= formName%>.NO_ADDITIONAL_CPV_SELECTED.value= 'true';
			}
			document.<%= formName%>.ADDITIONAL_CPV_CODES.value=tmpArray[1];
			document.<%= formName%>.ADDITIONAL_CPV_DESC.value=tmpArray[2];
		}
		else
		{
			document.<%= formName%>.IS_FORM_DIRTY.value = '';
		}
		
		
		refresh();
		return;
	}
	else if(var1=='GET_ITEM_DESC'){
	}

	else if( var1 == "<%= EPassTree._sNavigationEvent%>"  )
	{
		 if( var1 == "<%= EPassTree._sNavigationEvent%>" && !isNavBlocked ) {
	            var splitted  = var2.split( ";" );
	            var goToDir   = splitted[0];
	            var goToParam = (splitted.length == 2)? splitted[1]: "";
				

	            if( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 ) {
	                if( confirm( "<%= ref.convertLiteral( "form.wizConfigSchedule.message.reset" )%>" ) ) {	                	
	                	document.<%= formName%>.reset();
	                	resetFinalValueChangeFields();	     
	                    <%= bean.getOocForm().getInitMonitorJS()%>
	                    refresh();
	                }
	            }
	             else if( <%= bean.getOocForm().getIsFormDirtyJS()%> 
	             				|| var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
	             				|| document.<%= formName%>.IS_FORM_DIRTY.value == 'true') {	             	
	               
	                    if (var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
	                                              ||  confirm( "<%= ref.convertLiteral("form.wizConfig.message.save")%>" ) ) {
	                        document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
	                        doSave();	                        
	                        
	                    } else {
	                        document.<%= formName%>.reset();
	                        resetFinalValueChangeFields();
	                        <%= bean.getOocForm().getInitMonitorJS()%>
	                        document.<%= formName%>.IS_FORM_DIRTY.value = '';
	                        NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
	                    }
	               
	            } else {
	                if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0
	                    ||
	                    goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0
	                  ) {
	                    <%= EPassTree.getInstance(bean.getRef(), bean.getRef().userDataContext.getWizTreeName()).getReRenderTreeJS("goToDir", "goToParam")%>
	                } else {
	                    <%= EPassTree.getNotificationEventJSFunctionCall( EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam")%>
	                }
	            }
	        }
	}
}

function validateData()
{	
	if( ! validateFinalValue() ){
		return false;
	}	
	return true;
}

function validateFinalValue()
{
	var valueOrRange ="";
		
	 for (var i=0; i < document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>.length; i++)
	 {
		 if (document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[i].checked)
	      {
			 valueOrRange =document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[i].value;
	       	break;
	      }
	 }
		if ( valueOrRange=="0" )
	 	{
			 var finalValueMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_value")%>";
			 var totalValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>;
			 if(!validateSpecialCharacters(totalValue.value) || totalValue.value > 9999999999999.99){
					showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>,'<esapi:js><%= ref
							.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
					return false;
				}
			 if(!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>,finalValueMsg ))
			 {
				 showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>,finalValueMsg)
				 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.focus();

			 }	 		
	 	}	  
		if( valueOrRange=="1" )
	 	{
			 var finalLowestMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_lowest_value")%>";
			 if(!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MIN_VALUE)%>,finalLowestMsg ))
			 {
				 showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MIN_VALUE)%>,finalLowestMsg)
				 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.focus(); 

			 }
			 var finalHighestMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_higest_value")%>";
			 if(!EPASSText.checkRequired(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MAX_VALUE)%>,finalHighestMsg ))
			 {
				 showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MAX_VALUE)%>,finalHighestMsg)
				 document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.focus();

			 }	 	

			var minValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.value;
			var maxValue = document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.value;			
			var maxGretorThanMinMsg = "<%= ref.convertLiteral("ojeu.form.detail.lot.final_max_value_gretor_than_min_value")%>";
			clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>);
			if(!validateSpecialCharacters(minValue) || minValue > 9999999999999.99){
				showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>,'<esapi:js><%= ref
						.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
				return false;
			}
			if(!validateSpecialCharacters(maxValue) || maxValue > 9999999999999.99){
				showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>,'<esapi:js><%= ref
						.convertLiteral("form.wiz_object_of_contract.notice.validation.special.character") %></esapi:js>');
				return false;
			}
			if ( parseFloat(maxValue.replace(/<%=  groupSeparator %>/g,"").replace(/,/g,"")) <= parseFloat(minValue.replace(/<%=  groupSeparator %>/g,"").replace(/,/g,"")))
			{
				showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>,maxGretorThanMinMsg);
				

			}
			
	 	}
	 	clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>);
	 if( valueOrRange=="0" || valueOrRange=="1")
	 {
	 	
		 var finalValueCurrMsg  = "<%=  ref.convertLiteral("ojeu.form.detail.contract_award.specify_final_value_currency")%>";
		 if (document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>.value=="-1")
		 {
			 showError(document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>,finalValueCurrMsg);
			 
			 return false;
		 }
	 }	 	 	
		
	 	return true;
	 		 	 	
}
function showLotInformation(){
	 var divInLots=document.<%= formName%>.<%= EPASSFieldName
									.addPrefix(ObjectOfContractStruct.DIVISION_IN_LOTS)%>;
	 var notes = document.getElementById("infoAboutLots");
	 var tags = notes.getElementsByTagName("td");
	 
	 if(getCheckedValue(divInLots)=='true'){
	 	tags[3].innerText = "<%= ref.convertLiteral( "form.wiz_object_of_contract.lotsdivision.yes.informationAboutLots" )%>";
	 }
	 else{
		 tags[3].innerText = "<%= ref.convertLiteral( "form.wiz_object_of_contract.lotsdivision.no.description" )%>";
	 }
}
function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}
function validateSpecialCharacters(input){
	var iChars = "!@#$%^&*()+=-[]\\\';/{}|\":<>?";
	for (var i = 0; i < input.length; i++) {
	    if (iChars.indexOf(input.charAt(i)) != -1) {
	        return false;
	    }
	}
	return true;
}
function onServiceCategoryChange()
{
	var serviceCategory = document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.SERVICE_CATEGORY)%>.value;
	if( serviceCategory > 17)
	{
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.PUBLISH_NOTICE4_SERVICE_CONTRACT)%>[0].disabled = false;		
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.PUBLISH_NOTICE4_SERVICE_CONTRACT)%>[1].disabled = false;
	}
	else
	{
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.PUBLISH_NOTICE4_SERVICE_CONTRACT)%>[0].disabled = true;
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.PUBLISH_NOTICE4_SERVICE_CONTRACT)%>[0].checked = false;
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.PUBLISH_NOTICE4_SERVICE_CONTRACT)%>[1].disabled = true;
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.PUBLISH_NOTICE4_SERVICE_CONTRACT)%>[1].checked = false;
	}
}

function setFinalValueChange()
{

	 var valueOrRange =""; 
	 for (var i=0; i < document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>.length; i++)
	 {
		 if (document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[i].checked)
	      {
			 valueOrRange =document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[i].value;
	       	break;
	      }
	   }

		if (valueOrRange=="0")
	 	{
			clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>);
			clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>);
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>.disabled=false;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MAX_VALUE)%>.value=''
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled=true;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MIN_VALUE)%>.value='';
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled=true;
			
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_INCLUDES_VAT)%>.disabled = false;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>.disabled = false;				
			
	 	}
		else if (valueOrRange=="1")
	 	{
			clearError(document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>);
	 		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>.value = '';
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>.disabled = true;			
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled = false;			
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled = false;
			
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_INCLUDES_VAT)%>.disabled = false;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>.disabled = false;				
			
	 	}	
	 	else
		{
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>.disabled = true;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled=true;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled=true;
			
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_INCLUDES_VAT)%>.disabled = true;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>.disabled = true;		
		}
}

function resetFinalValueChangeFields()
{	
	<%		
		ObjectOfContractStruct oocStruct = bean.getStruct();
		Double estValue = oocStruct.getOptionValue();
		if( estValue == null )
		{
	%>
			document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.disabled = true;	
	<%			
		}
		else
		{
	%>
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[0].checked = true;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPTION_VALUE)%>.disabled = false;
	<%
		}
	%>
	
	<%		
		Double estMinValue = oocStruct.getOptMinValue();
		Double estMaxValue = oocStruct.getOptMaxValue();
		if( estMinValue == null && estMaxValue == null)
		{
	%>	
			document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled = true;	
			document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled = true;
	<%			
		}
		else
		{
	%>
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[1].checked = true;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled = false;
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled = false;
	<%
		}
	%>	
	   
}
 function onCheckIncludesVat()
 {

		 if (document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_INCLUDES_VAT)%>.checked)
			 document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_VAT )%>.disabled=false;
		else
		{
			document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_VAT )%>.value='';
			 document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_VAT )%>.disabled=true;
		}
				 
 }

function initializeFields()
{ 
	var canUpdate = '<%= bean.canUpdateOOC()%>';

	if( typeof document.<%= formName%> == 'undefined')
	{
		return;
	}
	
	if( canUpdate == 'false')
	{		
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[0].disabled = true;
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.IS_TOTAL_FINAL_VALUE)%>[1].disabled = true;
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPTION_VALUE)%>.disabled = true;	
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MIN_VALUE)%>.disabled = true;	
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.OPT_MAX_VALUE)%>.disabled = true;
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.CONTRACT_VALUE_INCLUDES_VAT)%>.disabled = true;		
		document.<%= formName%>.<%= EPASSFieldName.addPrefix(ObjectOfContractStruct.CONTRACT_VALUE_VAT)%>.disabled = true;
		document.<%= formName%>.<%= EPASSFieldName.addPrefix( ObjectOfContractStruct.OPT_VALUE_CURRENCY)%>.disabled = true;		
		return;
	}
	setFinalValueChange();
}

function validateOjeuCostField(field){
	isErrorOccured=false;
	clearError(field);
	
	var theString = field.value;

	if(theString.length == 0){
		return true;
	}
	var errMsg;
	errMsg = "<%= ref.convertLiteral("ojeu.notice.validation.lot.invalidCostFormat")%>";
	var valid = false;
	if (!isOjeuCost(theString)){
		return  _validationFailure(field, errMsg);
	}

	return true;
}

var OJEU_COST_REGEX = new Array(
  "^\\d{1,13}(\\.\\d{1,2})?$");

function isOjeuCost(str){

	return _matchFormat(OJEU_COST_REGEX, isOjeuCost.arguments) && isValueZero(str);
}

function isValueZero(str) {
	for (var i=0; i<str.length; i++) {
		if(str.charAt(i) != '.' && str.charAt(i) != '0') {
			return true;
		}
	}
	return false;
}

</script>

</head>
<body onload="init();initializeFields()" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">
<%if(true)
	{
		String res = TreeWizUtility.getTreeFireEventJs(ref);
		if( !StringUtility.isEmpty( res ) )
		{
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();

		   	return;
		}
	}

	bean.getOocForm().addHidden(EPASSJSPActions.ACTION,EPASSJSPActions.SAVE_NEW);
	bean.getOocForm().addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER ,"");
	bean.getOocForm().addHidden("isPopup" ,"true");
	bean.getOocForm().setUserLabelClass("OJEU_FORM_LABEL");	
	bean.getOocForm().setFieldsMonitored(true);
	bean.getOocForm().addHidden( "_uda_id", "" + bean.getStruct().getId() );

%>
<%@ include file="../../include/inc_actionbar_spacer.inc" %>
<%@ include file="../../include/inc_action_bar.inc" %>
<p>
<p>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="POPFORMBODY">
<%
if ( statusMsg != null )
  {%>
	<TR CLASS='POPFORMHIGH' >
		<TD>
		<P CLASS=ERRORMSG>
		<%=  ref.convertLiteral(statusMsg)%>
		</P>
		</TD>
	</TR>
<%}%>

<TR>
  	<TD>
	<%=  bean.getOocForm()%>
  	</TD>
</TR>

<TR>

</TR>

</TABLE>



</body>

</html>
<%@ include file="../../include/simple_tail.inc"%>

