<%--
 (C) COPYRIGHT International Business Machines Corp. 2012. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.app.rfxkernel.webClient.bean.ListJapaneseBidBean"%>
<%@ page import="com.emptoris.framework.ui.datagrid.decorators.data.TreeNodeDataDecorator" %>
<%@ page import="com.emptoris.framework.ui.datagrid.decorators.render.dhtml.TreeNodeDecorator" %>
<%@ page import="com.emptoris.framework.ui.datagrid.columns.SimpleDataGridColumn" %>
<%@ page import="com.emptoris.framework.ui.datagrid.decorators.column.I18NFormatDecorator" %>
<%@ page import="com.emptoris.framework.ui.datagrid.decorators.column.NumberFormatDecorator" %>
<%@ page import="com.emptoris.framework.ui.datagrid.decorators.column.CurrencyFormatDecorator" %>
<%@ page import="com.emptoris.framework.ui.datagrid.decorators.column.DateFormatDecorator" %>
<%@ page import="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" %>
<%@ page import="com.emptoris.app.rfxkernel.common.decorator.JapaneseBidStatusDecorator" %>
<%@ page import="com.avinamart.WebInterface.auctionMonitor.AuctionView_Dutch_Summary" %>
<%@ page import="com.avinamart.WebInterface.auctionMonitor.AuctionView_Japanese_Summary" %>
<%@ page import="com.avinamart.WebInterface.EPASSJSPActions" %>
<%@ page import="com.avinamart.WebInterface.Constants.Misc" %>
<%@ page import="com.avinamart.WebInterface.EPASSUiBiddingServices" %>
<%@ page import="com.emptoris.app.rfxkernel.webClient.helper.SurrogateBidSessionFactory" %>
<%@ page import="com.avinamart.WebInterface.Constants.ContextCodes" %>
<%@ page import="com.emptoris.app.rfxkernel.common.decorator.ImageDisplayDecorator" %>
<%@ page import="com.emptoris.app.rfxkernel.common.decorator.TimedImageDisplayDecorator" %>
<%@ page import="com.emptoris.app.rfxkernel.common.decorator.NameLinkRenderDecorator" %>
<%@ page import="com.avinamart.WebInterface.auctionMonitor.AuctionView_Dutch_Summary.DutchSummaryStructType" %>
<%@ page import="com.emptoris.framework.ui.datagrid.decorators.column.ContentDecorator" %>
<%@ page import="com.emptoris.framework.ui.datagrid.utilities.AttributeContainerSearchCriteria" %>
<%@ page import="com.emptoris.framework.ui.datagrid.utilities.AttributeContainerSearchCriteria.SearchCriteriaType" %>
<%@ page import="com.emptoris.framework.ui.datagrid.AttributeContainer" %>
<%@ page import="com.emptoris.framework.ui.datagrid.tokens.DataGridToken" %>
<%@ page import="com.emptoris.framework.ui.datagrid.utilities.Condition" %>
<%@ page import="com.emptoris.app.rfxkernel.common.decorator.CustomTooltipDecorator" %>
<%@ page import="com.emptoris.app.rfxkernel.common.decorator.IncumbentIconDecorator" %>
<%@ page import="com.emptoris.app.auctionkernel.common.constant.ShowRankToSupplierOption" %>
<%@ page import="com.avinamart.WebInterface.Poll" %>
<%@ page import="com.avinamart.WebInterface.PollCache" %>
<%@ page import="java.util.*" %>
<%@ page import="com.emptoris.app.itembasedrfxkernel.service.extensions.attribute.AuctionDataIAHelper" %>
<%@ page import="com.avinamart.Struct.ItemStruct" %>
<%@ page import="com.emptoris.framework.configuration.configclient.BrandingPropertiesReader" %>

<%@ taglib prefix="dg" uri="/WEB-INF/datagrid.tld"%>
<%@ taglib prefix="c" uri="/WEB-INF/c.tld"%>
<%@include file="../../include/simple_head.inc"%>

<%

	 BrandingPropertiesReader instance = BrandingPropertiesReader.getInstance();
	 String appMenuBackground = instance.getAppMenuBackground();
	 String appMenuForeground = instance.getAppMenuForeground();

    ListJapaneseBidBean bean = (ListJapaneseBidBean) request.getAttribute(AbstractUIBean.REQUEST_ATTRIBUTE_NAME);
    String userPath = ref.getUserPath();
    DateFormatDecorator.DateFormatPattern datePattern = DateFormatDecorator.DateFormatPattern.DATE_TIME_SECOND;
    pageContext.setAttribute("datePattern", datePattern);
    String dgId = "ListDutchBidDG" + bean.getRfxObject().getId();
    pageContext.setAttribute("dgId", dgId);
    String noDataMsg = "<BR><P CLASS =\"STATUS_MESSAGE\">" + ref.convertLiteral("form.listBid.message.no_data_available") +"</P>";
    String currentPPU_attributeName = AuctionView_Dutch_Summary.COL_PPU;
    String currentBid_attributeName = AuctionView_Dutch_Summary.COL_BID_TOTAL;
    boolean isTransformAuction =  (bean.getRfxObject() != null) ? bean.getRfxObject().isTransformPrice() : false;
    //Incase of Supplier view transformed prices are shown under current prices.
    //Supplier is not aware of transformation and we should not disclose this.
    if (isTransformAuction && bean.isSupplierView())
    {
        currentPPU_attributeName = AuctionView_Dutch_Summary.COL_X_PPU;
        currentBid_attributeName = AuctionView_Dutch_Summary.COL_X_BID_TOTAL;
    }
%>

<% if(bean.isRejected()){ %>
<script type="text/javascript">
	NAV_ExecuteMenu(top, 'supplierViewRFxs');
</script>
<% } %>

<html>
<head>
    <LINK REL="stylesheet" HREF='<%= request.getContextPath() %>/css/epass.css' />
    <LINK REL="stylesheet" HREF='<%= request.getContextPath() %>/dhtml_lib/css/module/dutch_auction.css' />


    <script type="text/javascript">
        var anyItems = <%= bean.hasItems() %>;
    </script>

    <script type="text/javascript" src="<%= userPath%>js/i18n.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/epass.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/epass_checkbox.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/epass_dtable.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/dimensions_utility.js"></script>
    <SCRIPT type="text/javascript" SRC="<%= userPath%>js/dragDrop3.js"></SCRIPT>
    <script type="text/javascript" src="<%= userPath%>js/epass_formValidation.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/epToolbar.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/functionEvaluator.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/supportedFunctions.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/epass_multi_currency.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/epass_tree_util.js"></script>
    <script type="text/javascript" src="<%= userPath%>js/epass_select.js"></script>

    <%-- DataGrid JavaScript and CSS --%>
    <LINK REL="stylesheet" HREF="<%= request.getContextPath() %>/datagrid/css/datagrid_style.css" />
    <LINK REL="stylesheet" HREF="<%= request.getContextPath() %>/datagrid/css/datagrid_functional.css" />
    <link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>
    <script language='JavaScript' type='text/javascript' src='<%= request.getContextPath() %>/dhtml_lib/js/util/oo.js'></script>
    <script language='JavaScript' type='text/javascript' src='<%= request.getContextPath() %>/dhtml_lib/js/util/dynamicIncludes.js'></script>
    <script language='JavaScript' type="text/javascript" src="<%= request.getContextPath() %>/dhtml_lib/js/util/util.js"></script>
    <script language='JavaScript' type='text/javascript' src='<%= request.getContextPath() %>/datagrid/js/datagrid_oo.js'></script>

    <script language='JavaScript' type='text/javascript' src='<%= request.getContextPath() %>/dhtml_lib/js/ext/jquery/ui.core.js'></script>
    <script language='JavaScript' type='text/javascript' src='<%= request.getContextPath() %>/dhtml_lib/js/ext/jquery/ui.mouse.js'></script>
    <script language='JavaScript' type='text/javascript' src='<%= request.getContextPath() %>/dhtml_lib/js/ext/jquery/ui.draggable.js'></script>
    <script language='JavaScript' type='text/javascript' src='<%= request.getContextPath() %>/dhtml_lib/js/ext/jquery/ui.draggable.ext.js'></script>



	<style>
		.title {
			padding-left: 5px;
			color: <%=appMenuForeground%>;
			font-weight: bold;
			font-size: 10pt;
		}

		.closed{
			color: red;
			padding-left: 5px;
		}

		.current{
			color: blue;
			padding-left: 5px;
		}

		.pending{
			color: #00FF66;
			padding-left: 5px;
		}
		
		.currentSchedulableStyle{
			background-color: #bbffbb;
			<c:if test="${!bean.summaryView}">
				height: 40px;
				font-weight: bold;
				font-size: 16px;
				vertical-alignment: middle;
				padding-top:	5px;
			</c:if>			
		}
		
		<c:if test="${!bean.summaryView}">
		.closedSchedulableStyle{
			background-color: #A0A0A0;
		}
		
		.currentSchedulableStyle A:link
		{
		    font-weight: bold;
		    font-size: 16px;
		}
		.currentSchedulableStyle A:visited
		{
			font-weight: bold;
		    font-size: 16px;
		}
		.currentSchedulableStyle A:hover
		{
		    font-weight: bold;
		    font-size: 16px;
		}
		</c:if>
		
    </style>


    <script>

        var framePageId = "list_japanese_bid";
                       
        function init(){
			<c:if test="${bean.messageImageName != null}">
				var messageImageName = '${bean.messageImageName}';
				initMsgButton(messageImageName);
			</c:if>

            attachExpandButtons();
        }

		function initMsgButton(myMsgButton){
		   	var myMsgButton = document.getElementById(myMsgButton);
		   	msgButton = myMsgButton;
		   	var method = Nav_findObjectFromOtherFrames(window.top, 'setMsgButton');
		   	if(method != null){
		   		method(myMsgButton);
		   	}
		}

		function showMessages() {
			var showMsgWindowMethod = Nav_findObjectFromOtherFrames(window.top, 'displayMsgWindow');
		  	if(showMsgWindowMethod != null){
		   		var msgWin = showMsgWindowMethod();
				if (window.parent.frames[0].dbHideSelectList ) {
					window.parent.frames[0].dbHideSelectList();
				}
				if(msgWin != null){
					msgWin.closeCallback = function () {
			            if ( window.parent.frames[0].dbRestoreAllSelectLists ) {
			                window.parent.frames[0].dbRestoreAllSelectLists();
			            }
		        	}
				}
			}
		}

		function showItem( v ){
			NAV_Popup( top, 1, '${bean.ref.userPath}' + 'detail_item.jsp?_eps_=Y&jspAction=1' + '&' + 'cur_id=' + v,700,550);
			return false;
		}

		function showBid(v){
			NAV_Popup(top, 1, '${bean.ref.userPath}' + 'detail_bid_router.jsp?_eps_=Y&jspAction=1'+'&'+'cur_id='+v+'&use_bidder_id=true&itemReadOnly=true',665,606);
			return false;
		}

        function NAV_HandleEvent( var1, var2 ) {
            if ( var1 == "RESIZE_DG" || var2 == "RESIZE_DG" ){
                DataGridBuilder.resize();            	
            } else if(var1 == "supplier_withdrawn"){
            	reloadContent();
            }
            
        }
/*
        function NAV_HandleEvent( var1, var2 )
        {
            if( var1 == "UPDATE_THEATER_PAGES" ) {
                if ( NAV_IsTheatreReloadOn(this) || var2 == "BTN_CLICK" )
                {
                    NAV_SetDynamicPageReposition( this );

                    // Charts dont have a form
                    if ( typeof(document.<%--bean.getFormName()--%>) == "undefined" ){
                        NAV_Reload( this );
                        return;
                    }

                    document.${bean.formName}.<%-- EPASSJSPActions.ACTION --%>.value = <%-- EPASSJSPActions.REFRESH_PAGE --%>;
                    document.${bean.formName}.submit();
                }
            } else if( var1 == "invalidate_bid_action" ) {
                var bidIds      = "";
                var selList = EPASSCheckbox.getValues( document.${bean.formName}.<%-- Misc.SELECTED_OBJECT --%> );
                for( var i=0; i < selList.length; i++ ) {
                    bidIds += selList[i] + ",";
                }

                document.${bean.formName}.<%-- EPASSUiBiddingServices.DELETE_BID_ID --%>.value = bidIds;
                document.${bean.formName}.<%-- EPASSJSPActions.ACTION --%>.value = <%-- EPASSJSPActions.INVALIDATE_BID --%>;
                document.${bean.formName}.INVALIDATE_BID_MODE.value = var2;
                document.${bean.formName}.submit();
            }
        }
*/ 
		function refreshContent() {
			try{
				<c:if test="${!bean.summaryView}">
				    var panel = window.parent.Util.byId("right_panel");
		            if ( panel.style.display != 'none' ) // <%-- prefer fix in datagrid, but needs to be here for now --%>
	            </c:if>
	                ${dgId}.RefreshDecorator.refresh();
			}catch(e){
				//alert("Error in refreshContent(): " + e.message ); }
			}
		}
		
		function reloadContent(){
			 if ( typeof(document.<%= bean.getFormName()%>) == "undefined" ){
                 NAV_Reload( this );
                 return;
             }

             document.${bean.formName}.<%= EPASSJSPActions.ACTION %>.value = <%= EPASSJSPActions.REFRESH_PAGE %>;
             document.${bean.formName}.submit();
		}


        // the parent window/frame must implement a restoreFrames() method
        function restoreFrames() {
            window.parent.restoreFrames();
            Util.show( Util.byId( "expand_btn" ), "inline" );
            Util.hide( Util.byId( "collapse_btn" ) );
        }

        // the parent window/frame must implement an expandFrame() method
        function expandFrame() {
            window.parent.expandFrame( window.id );
            Util.show( Util.byId( "collapse_btn" ), "inline" );
            Util.hide( Util.byId( "expand_btn" ) );
        }

        function attachExpandButtons() { try{
            var bbb = Util.byId( "extra_toolbar_buttons" );
            var par = bbb.parentNode;
            Util.byId("expand_btn_placeholder").innerHTML = bbb.innerHTML;
            par.removeChild(bbb);
        }catch(e){}}
    </script>
    
    <% if(bean.isSummaryView()){ %>
    	<script>
			var auto_refresh = true;
			var pollRefreshMode = 'submit';
			
			function submitAutoRefresh( var2 ) {
				if(NAV_IsTheatreReloadOn(this)){
					var currentDate = NAV_getServerTime().getTime();
					EPASS_POLL_ID = "list_japanese_bid_history:" + currentDate;
					EPASS_POLL_CREATE_DATE = currentDate + '';
					refreshContent();
				}
			}
	    </script>
	    
	    <%
			if (ref.userDataContext.getRfqId() != null){
				String keys[] = new String[]{ PollCache.THEATRE_AUCTION };
				String values[] = new String[]{ ""+ref.userDataContext.getRfqId() };
				out.println( Poll.getPollScripts(pageStartTime, "list_japanese_bid", keys, values, 10000) );
			}
		%>
	    
    <% } %>
</head>

<body onload="init();" margin="0" padding="0" style="overflow:hidden" scroll="no">

<%
    boolean expanded = ("true".equals(bean.getRef().getReq().getParameter("expand_japanese_frame")));
    HashSet closedItems = new HashSet(1);
    closedItems.add("-1");
%>
<span id="extra_toolbar_buttons" style="display:none">
    <%@include file="../../include/expand_collapse_btn.inc" %>
</span>



<%
	ArrayList<String> columns = new ArrayList<String>();
	columns.add(AuctionView_Dutch_Summary.COL_START_PRICE);
	columns.add(AuctionView_Japanese_Summary._COL_X_PPU);
	columns.add(AuctionView_Dutch_Summary.COL_X_PPU);

%>

<% if ( !bean.hasItems() ) { %>
<div id="datagrid_toolbar_container_${dgId}" class="datagrid_toolbar_container">
<div class="datagrid_toolbar"><table width='100%' cellpadding='0' cellspacing='0' border='0'><tr><td><TABLE id ='leftButtons' CELLPADDING='0' CELLSPACING='0' BORDER='0'><TR><TD><table><tr><td><div class='title'>
    <%=ref.convertLiteral("form.list_japanese_bid.status_area") %></div></td></tr></table></TD></TR></TABLE></td>
    <td></td>
    <td align='right'>
        <TABLE id ='rightButtons' CELLPADDING='0' CELLSPACING='0' BORDER='0'>
        <TR><TD><table border='0' cellspacing='0' cellpadding='0' style="display:inline" align="absmiddle" ><tr>
    <td><SPAN id = 'messageId' title = 'Messaging' class="buttonUp" onmouseover="this.className='buttonOver'" onmouseout="this.className='buttonUp'" onClick="showMessages()"  >
        <%=ref.convertLiteral("form.detailMessageView.header.body")%></SPAN></td></tr></table></TD>
            <TD><span id='expand_btn_placeholder' style='width:24;'></span></TD></TR></TABLE></td></tr></table></div>
</div>

<%=noDataMsg%>
<% } else { %>
<dg:datagrid id="${dgId}" ajaxPage="list_japanese_bid.jsp">
    <dg:decorators>
    
        <dg:data-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.data.DynamicDataAdapter">
            <dg:decoratorAttribute name="dataSourceName" value="Japanese_Summary" />
            <dg:decoratorAttribute name="supplierMode" value="<%= new Boolean( bean.isSupplierView()).toString() %>" />
        </dg:data-decorator>
        <c:if test="${bean.rfxObject.transformPrice}">
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.TransformationDecorator">
		        <dg:decoratorAttribute name="userId" value="${bean.ref.userDataContext.organizationId}" />
	        	<dg:decoratorAttribute name="attributeNames" value="<%=columns %>" />
	        	<dg:decoratorAttribute name="rfxId" value="${bean.rfxObject.id}" />
	        </dg:data-decorator>
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.PriceChangeTransformationDecorator">
	        	<dg:decoratorAttribute name="userId" value="${bean.ref.userDataContext.organizationId}" />
	        	<dg:decoratorAttribute name="rfxId" value="${bean.rfxObject.id}" />
	        	<dg:decoratorAttribute name="valueAttribute" value="<%= AuctionView_Dutch_Summary.COL_MIN_CHANGE_VALUE %>" />
	        	<dg:decoratorAttribute name="typeAttribute" value="<%= AuctionView_Dutch_Summary.COL_MIN_CHANGE_TYPE %>" />
	        </dg:data-decorator>
        </c:if>
        <c:if test="${bean.supplierView && !bean.accepted}">
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DataFilterDecorator">
	        	<dg:decoratorAttribute name="condition" value="<%=
	        		new Condition(){	        		
	        			public boolean pass(DataGridToken token, Object content, AttributeContainer row){
                            DutchSummaryStructType type = (DutchSummaryStructType) row.getAttribute(AuctionView_Dutch_Summary.COL_TYPE);

                            if (DutchSummaryStructType.bid == type) {
                                if (null != row.getAttribute(AuctionView_Dutch_Summary.COL_SURROGATE)) {
                                    boolean isSurrogate = (Boolean) row.getAttribute(AuctionView_Dutch_Summary.COL_SURROGATE);
                                    return !isSurrogate;
                                } else {
                                    return true;
                                }
                            }

                            return false;
	        			}
	        		} 
	        	%>" />
	        </dg:data-decorator>
	        
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.NAPriceValueDecorator">
	        </dg:data-decorator>
        </c:if>
        
        <c:if test="${bean.summaryView}">
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.JapaneseBaselineSavingDecorator">
	        	<dg:decoratorAttribute name="transformEnabled" value='${bean.rfxObject.transformPrice}' />
	        	<dg:decoratorAttribute name="forward" value='${bean.forward}' />
	        </dg:data-decorator>        	
        </c:if>
        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.JapaneseCalculationDecorator" >
        	<dg:decoratorAttribute name="transformEnabled" value='${bean.rfxObject.transformPrice}' />
        	<dg:decoratorAttribute name="supplierView" value='${bean.supplierView}' />
        	<dg:decoratorAttribute name="forward" value='${bean.forward}' />
        </dg:data-decorator>
        <dg:data-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.data.TreeSortDataDecorator">
            <dg:decoratorAttribute name="ascending" value="${true}" />
        </dg:data-decorator>
        <dg:data-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.data.PaginationDataDecorator">
            <%-- the following attribute should be set by a configuration parameter --%>
            <dg:decoratorAttribute name="scrollSize" type="int" value="${50}" />
        </dg:data-decorator>
        <dg:data-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.data.TreeNodeDataDecorator" >
            <dg:decoratorAttribute name="<%=TreeNodeDataDecorator.EXPAND_MODE%>" value="<%=TreeNodeDataDecorator.EXPAND%>" />
            <dg:decoratorAttribute name="initModifiedNode" value="<%= closedItems %>" />
        </dg:data-decorator>
        <dg:render-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.RFxStaggerHighlightDecorator" >
            <dg:decoratorAttribute name="rfxObject" value="${bean.rfxObject}" />
            <dg:decoratorAttribute name="nameColumnId" value="<%= AuctionView_Dutch_Summary.COL_NAME %>" />
        </dg:render-decorator>
        <c:if test="${!bean.summaryView}">
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.StaggerReorderDecorator" >
	        	<dg:decoratorAttribute name="rfxObject" value="${bean.rfxObject}" />
	        	<dg:decoratorAttribute name="pendingLabel" value='<%= ref.convertLiteral("form.listItemReverse.pending") %>' />
	        	<dg:decoratorAttribute name="closedLabel" value='<%= ref.convertLiteral("form.listItemReverse.closed") %>' />
	        </dg:data-decorator>
	    </c:if>	
	     <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.JapaneseBidStatusDecorator" />	   
	    
	    <c:if test="${!bean.summaryView}">
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.JapaneseBidStatusFilterDecorator">
	        	<dg:decoratorAttribute name="bidStatusFilter" value="${bean.bidStatusFilter}" />	        	
	        </dg:data-decorator>	
        </c:if>
        
        <c:if test="${bean.summaryView}">
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.JapaneseBidFilterDecorator">       	
	        </dg:data-decorator>	
        </c:if>
        
        <c:if test="${bean.supplierView}">
	        <dg:data-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.JapaneseBidSupplierFilterDecorator">
	        	<dg:decoratorAttribute name="supplierOrgId" value="${bean.orgId}" />	        	
	        </dg:data-decorator>
        </c:if>
        
        <dg:render-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.render.dhtml.TreeNodeDecorator" />
        <dg:render-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.render.dhtml.StripeDecorator" />
        <dg:render-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.render.dhtml.PageSelectionDecorator" />
        <%-- Disable sorting UI
        <dg:render-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.render.dhtml.SortByHeaderDecorator" />
         --%>
        <dg:render-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.render.dhtml.RefreshDecorator" />
        <dg:render-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.render.dhtml.DHTMLToolbarDecorator">
            <dg:decoratorAttribute methodName="addToolbar" value="<%=bean.getToolbar().toHtml() %>" />
        </dg:render-decorator>

    </dg:decorators>
    <dg:columns>
        <dg:column id="<%=AuctionView_Dutch_Summary.COL_NAME %>" 
        	display='<%=ref.convertLiteral(AuctionDataIAHelper.getPredefinedCategoryItemAttributeDef(bean.getRFxStruct().getId(), ItemStruct.NAME).getName())%>'
        	attributeName="<%=AuctionView_Dutch_Summary.COL_NAME %>">
        	<dg:column-attribute name="WIDTH" value="${200}" />
            <dg:column-attribute name="SORTABLE" value="${true}" />
            <dg:column-attribute name="<%=TreeNodeDecorator.TREE_COLUMN%>" value="${true}" />
            <dg:column-attribute name="<%=SimpleDataGridColumn.COMPARATOR%>" value="${bean.sortingComparator}" />
            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.NameLinkRenderDecorator" />
            <dg:column-attribute name="<%=NameLinkRenderDecorator.NAME_LINK_HELPER%>" value="${bean.linkHelper}" />
            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
            
            <c:if test="${!bean.supplierView}">
	            <dg:column-attribute name="<%=ImageDisplayDecorator.IMAGE_PATH %>" value="${bean.ref.userPath}img/incumbant_bid_display_icon.gif" />
	            <dg:column-attribute name="<%=ImageDisplayDecorator.IMAGE_ALT %>" value='<%= ref.convertLiteral("form.listTheaterBid.header.incumbent_bid") %>' />
	            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.IncumbentIconDecorator" />
	        </c:if>
            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.TranslationDecorator" />
        </dg:column>
        
        <c:if test="${!bean.summaryView}">
	        <dg:column id="<%=AuctionView_Dutch_Summary.COL_LOT_NAME %>" 
	        	display='<%= ref.convertLiteral("form.list_japanese_bid_history.lot") %>'
	        	attributeName="<%=AuctionView_Dutch_Summary.COL_LOT_NAME %>">
	            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
	            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.TranslationDecorator" />
	        </dg:column>
        </c:if>
		
        <c:if test="${bean.summaryView}">
            <dg:column id="<%=AuctionView_Dutch_Summary.COL_RESERVE%>" 
            	display='<%=ref.convertLiteral(AuctionDataIAHelper.getPredefinedCategoryItemAttributeDef(bean.getRFxStruct().getId(), ItemStruct.RESERVEDCOST).getName()) %>'
            	attributeName="<%=AuctionView_Dutch_Summary.COL_RESERVE%>">
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
                <dg:column-attribute name="SORTABLE" value="${true}" />

                <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
                <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
                <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
                <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />

                <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
                <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
            </dg:column>
        </c:if>
 		
        <dg:column id="<%=AuctionView_Dutch_Summary.COL_QUANTITY%>" 
        	display='<%=ref.convertLiteral("form.list_japanese_bid.quantity") %>'
        	attributeName="<%=AuctionView_Dutch_Summary.COL_QUANTITY%>">
            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
            <dg:column-attribute name="SORTABLE" value="${true}" />

            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.NumberFormatDecorator" />
            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
            <%-- the following attribute should be set based on quantity decimal configuration parameter --%>
            <dg:column-attribute name="<%=NumberFormatDecorator.DECIMAL_PLACES%>" value="${0}" />
            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
        </dg:column>

        <dg:column id="COL_NEW_BID" 
        	display="<img src='${bean.ref.userPath}img/new_bid_display_icon.gif'>" 
        	attributeName="<%=AuctionView_Dutch_Summary.COL_BID_TIME %>" >
        	
			<dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.TimedImageDisplayDecorator" />				
            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
            <dg:column-attribute name="COLUMN_ALIGNMENT" value="center" />
            <dg:column-attribute name="WIDTH" value="${25}" />
            
			<dg:column-attribute name="<%=ImageDisplayDecorator.IMAGE_PATH %>" value="${bean.ref.userPath}img/new_bid_display_icon.gif" />
			<dg:column-attribute name="<%=TimedImageDisplayDecorator.PERSIST_TIME %>" value="<%=bean.newBidPersistTime() %>" />
            
        </dg:column>

        <c:if test="${bean.summaryView || bean.supplierView}">
            <dg:column id="<%=AuctionView_Dutch_Summary.COL_SURROGATE%>"
            	display="<img src='${bean.ref.userPath}img/surrogate_bid_display_icon.gif'>" 
            	attributeName="<%=AuctionView_Dutch_Summary.COL_SURROGATE%>" >
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
   				<dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.ImageDisplayDecorator" />
                <dg:column-attribute name="COLUMN_ALIGNMENT" value="center" />
                <dg:column-attribute name="WIDTH" value="${25}" />
   				<dg:column-attribute name="<%=ImageDisplayDecorator.IMAGE_PATH %>" value="${bean.ref.userPath}img/surrogate_bid_display_icon.gif" />
            </dg:column>
        </c:if>
        <c:if test="${bean.supplierView && bean.accepted}">
        	<dg:column id="<%=AuctionView_Japanese_Summary.COL_MY_LAST_BID%>" 
	        	display='<%=ref.convertLiteral("form.list_japanese_bid.my_last_bid")%>'
                attributeName="<%=AuctionView_Japanese_Summary.COL_MY_LAST_BID%>">
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
	            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
	
	            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
	            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
	
	            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
	            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
	            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.ContentDecorator" />
	            <dg:column-attribute name="<%=ContentDecorator.OVERRIDE_CONTENT%>" value='<%= ref.convertLiteral("form.detailCurrentItem.message.no_bid") %>' />
	            <dg:column-attribute name="<%=ContentDecorator.OVERRIDE_CONDITION%>" value="${bean.noPricePerUnitCondition}" />
	        </dg:column>
         
        </c:if>
        
		<c:if test="${!bean.supplierView || bean.accepted}">
			<c:if test="${bean.displayNonTransformedColumn}">
		        <dg:column id="<%=AuctionView_Dutch_Summary.COL_PPU%>" 
		        	display='<%=ref.convertLiteral("form.list_japanese_bid.current_bid_unit_cost")%>'
	                attributeName="<%=currentPPU_attributeName%>">
	                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
		            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
		            <dg:column-attribute name="SORTABLE" value="${true}" />
		
		            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
		            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
		
		            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
		            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
		            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.ContentDecorator" />
		            <dg:column-attribute name="<%=ContentDecorator.OVERRIDE_CONTENT%>" value='<%= ref.convertLiteral("form.detailCurrentItem.message.no_bid") %>' />
		            <dg:column-attribute name="<%=ContentDecorator.OVERRIDE_CONDITION%>" value="${bean.noPricePerUnitCondition}" />
		        </dg:column>
		    </c:if>

	        <c:if test="${bean.rfxObject.transformPrice && ! bean.supplierView}">
	        	<c:if test="${bean.displayTransformedColumn}">	
			        <dg:column id="<%=AuctionView_Dutch_Summary.COL_X_PPU%>" 
			        	display='<%=ref.convertLiteral("form.list_japanese_bid.transformed_current_bid_unit_cost")%>'
			        	attributeName="<%=AuctionView_Dutch_Summary.COL_X_PPU%>">
			            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
			            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
			            <dg:column-attribute name="SORTABLE" value="${true}" />
			
			            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
			            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
			
			            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
			            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
			            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.ContentDecorator" />
			            <dg:column-attribute name="<%=ContentDecorator.OVERRIDE_CONTENT%>" value='<%= ref.convertLiteral("form.detailCurrentItem.message.no_bid") %>' />
			            <dg:column-attribute name="<%=ContentDecorator.OVERRIDE_CONDITION%>" value="${bean.noPricePerUnitCondition}" />
			        </dg:column>
				</c:if>
		    </c:if>	         
	         
	        <c:if test="${bean.displayNonTransformedColumn}">
		        <dg:column id="<%=AuctionView_Dutch_Summary.COL_BID_TOTAL%>" 
		        	display='<%=ref.convertLiteral("form.list_japanese_bid.current_bid") %>' 
		        	attributeName="<%=currentBid_attributeName%>">
		            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
		            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
		            <dg:column-attribute name="SORTABLE" value="${true}" />
	
		            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
		            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
		
		            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
		            
		            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
		        </dg:column>
			</c:if>
	        <c:if test="${bean.rfxObject.transformPrice && ! bean.supplierView}">
	        	<c:if test="${bean.displayTransformedColumn}">
			        <dg:column id="<%=AuctionView_Dutch_Summary.COL_X_BID_TOTAL%>" 
			        	display='<%=ref.convertLiteral("form.list_japanese_bid_transformed_current_bid") %>' 
			        	attributeName="<%=AuctionView_Dutch_Summary.COL_X_BID_TOTAL%>">
			            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
			            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
			            <dg:column-attribute name="SORTABLE" value="${true}" />
		
			            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
			            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
			
			            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
			            
			            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
			        </dg:column>
				</c:if>
		    </c:if>
        </c:if>
        
        <dg:column id="<%=AuctionView_Dutch_Summary.COL_START_PRICE%>" 
        	display='<%=ref.convertLiteral(AuctionDataIAHelper.getPredefinedCategoryItemAttributeDef(bean.getRFxStruct().getId(), ItemStruct.STARTPRICE).getName()) %>'
        	attributeName="<%=AuctionView_Dutch_Summary.COL_START_PRICE%>">
            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
            <dg:column-attribute name="SORTABLE" value="${true}" />

            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.JapaneseCurrencyFormatDecorator" />
            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
        </dg:column>

		<dg:column id="<%=AuctionView_Dutch_Summary.COL_MIN_CHANGE_VALUE%>" 
            	display='<%=ref.convertLiteral("form.list_japanese_bid.price_change") %>'
            	attributeName="<%=AuctionView_Dutch_Summary.COL_MIN_CHANGE_VALUE%>">
			<dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
            <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
            <dg:column-attribute name="SORTABLE" value="${true}" />

            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchPriceChangeDecorator" />
            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />

            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
		</dg:column>
		
		<c:if test="${!bean.summaryView}">
			<dg:column id="<%=AuctionView_Dutch_Summary.COL_STATUS%>" 
	            	display='<%=ref.convertLiteral("form.list_japanese_bid.bid_status") %>'
	            	attributeName="<%=AuctionView_Japanese_Summary.COL_STATUS_STR%>">
	            <dg:column-attribute name="SORTABLE" value="${true}" />
	            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
			</dg:column>
		</c:if>		
		
		
		<c:choose>
				  <c:when test="${bean.supplierView && bean.auctionClosed && bean.showRankToSupplier && bean.rfxObject.transformPrice}">
					<dg:column id="<%=AuctionView_Japanese_Summary.COL_X_RANK%>" 
						display='<%=ref.convertLiteral("form.list_japanese_bid.bid_rank") %>'
						attributeName="<%=AuctionView_Japanese_Summary.COL_X_RANK%>">
						<dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
						<dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
						<dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.NumberFormatDecorator" />
						<dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
						<%-- the following attribute should be set based on quantity decimal configuration parameter --%>
						<dg:column-attribute name="<%=NumberFormatDecorator.DECIMAL_PLACES%>" value="${0}" />
						<dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
					</dg:column>
				  </c:when>
				  <c:when test="${bean.supplierView && bean.auctionClosed && bean.showRankToSupplier}">
					<dg:column id="<%=AuctionView_Japanese_Summary.COL_RANK%>" 
						display='<%=ref.convertLiteral("form.list_japanese_bid.bid_rank") %>'
						attributeName="<%=AuctionView_Japanese_Summary.COL_RANK%>">
						<dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
						<dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
						<dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.NumberFormatDecorator" />
						<dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
						<%-- the following attribute should be set based on quantity decimal configuration parameter --%>
						<dg:column-attribute name="<%=NumberFormatDecorator.DECIMAL_PLACES%>" value="${0}" />
						<dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
					</dg:column>
				  </c:when>
				  
		</c:choose>
		
      
        
        <c:if test="${!bean.summaryView}">
            <dg:column id="<%=AuctionView_Dutch_Summary.COL_BID_TIME%>" 
            	display='<%=ref.convertLiteral("form.list_japanese_bid.bid_submit_date")%>'
            	attributeName="<%=AuctionView_Dutch_Summary.COL_BID_TIME%>">
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
                <dg:column-attribute name="SORTABLE" value="${true}" />                
                <dg:column-attribute name="WIDTH" value="${120}" />
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.DateFormatDecorator" />
                <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
                <dg:column-attribute name="<%=DateFormatDecorator.DATE_FORMAT_PATTERN%>" value="${datePattern}" />
                
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
            </dg:column>
        </c:if>

        <c:if test="${bean.summaryView}">
            <dg:column id="<%=AuctionView_Dutch_Summary.COL_BASELINE_PPU %>" 
            	display='<%=ref.convertLiteral("form.list_japanese_bid.baseline_unit_cost") %>'
            	attributeName="<%=AuctionView_Dutch_Summary.COL_BASELINE_PPU %>">
            	
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
                <dg:column-attribute name="SORTABLE" value="${true}" />

	            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
	            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
	
	            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
	            
	            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
            </dg:column>

            <dg:column id="<%=AuctionView_Dutch_Summary.COL_BASELINE %>" 
            	display='<%=ref.convertLiteral("form.list_japanese_bid.baseline") %>' 
            	attributeName="<%=AuctionView_Dutch_Summary.COL_BASELINE %>">
            	
                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
                <dg:column-attribute name="SORTABLE" value="${true}" />

	            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
	            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
	
	            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
	            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
	            
	            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
            </dg:column>

			<c:if test="${bean.displayNonTransformedColumn}">
	            <dg:column id="<%=AuctionView_Dutch_Summary.COL_BASELINE_SAVING_PERCENT%>" 
	            	display='<%=ref.convertLiteral("form.list_japanese_bid.baseline_saving_percentage") %>' 
	            	attributeName="<%=AuctionView_Dutch_Summary.COL_BASELINE_SAVING_PERCENT%>">
	            	
	                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
	                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
	                <dg:column-attribute name="SORTABLE" value="${true}" />
	                
	                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.PercentageFormatDecorator" />
	                <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
		            
		            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
	                
	            </dg:column>
			</c:if>
            
            <c:if test="${bean.rfxObject.transformPrice}">
            	<c:if test="${bean.displayTransformedColumn}">
		            <dg:column id="<%=AuctionView_Dutch_Summary.COL_X_BASELINE_SAVING_PERCENT%>" 
		            	display='<%=ref.convertLiteral("form.list_japanese_bid.transformed_baseline_saving_percentage") %>' 
		            	attributeName="<%=AuctionView_Dutch_Summary.COL_X_BASELINE_SAVING_PERCENT%>">
		            	
		                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
		                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
		                <dg:column-attribute name="SORTABLE" value="${true}" />
		                
		                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.PercentageFormatDecorator" />
		                <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
			            
			            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
		                
		            </dg:column>
				</c:if>
	        </c:if>
            
            <c:if test="${bean.displayNonTransformedColumn}">
	            <dg:column id="<%=AuctionView_Dutch_Summary.COL_BASELINE_SAVING %>" 
	            	display='<%=ref.convertLiteral("form.list_japanese_bid.baseline_saving") %>'
	            	attributeName="<%=AuctionView_Dutch_Summary.COL_BASELINE_SAVING %>">
	            	
	                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
	                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
	                <dg:column-attribute name="SORTABLE" value="${true}" />
	
		            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
		            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
		
		            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
		            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
		            
		            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
	            </dg:column>
			</c:if>
            
            
            <c:if test="${bean.rfxObject.transformPrice}">
            	<c:if test="${bean.displayTransformedColumn}">
		            <dg:column id="<%=AuctionView_Dutch_Summary.COL_X_BASELINE_SAVING %>" 
		            	display='<%=ref.convertLiteral("form.list_japanese_bid.transformed_baseline_saving") %>'
		            	attributeName="<%=AuctionView_Dutch_Summary.COL_X_BASELINE_SAVING %>">
		            	
		                <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AlignmentColumnDecorator" />
		                <dg:column-attribute name="COLUMN_ALIGNMENT" value="right" />
		                <dg:column-attribute name="SORTABLE" value="${true}" />
		
			            <dg:column-decorator decoratorClass="com.emptoris.app.rfxkernel.common.decorator.DutchCurrencyFormatDecorator" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.PREFERRED_CURRENCY_CODE%>" value="${bean.preferredCurrency}" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.CURRENCY_CONVERTER %>" value="${bean.currencyConverter}" />
			            <dg:column-attribute name="<%=DutchCurrencyFormatDecorator.ORG_ID %>" value="${bean.ref.userDataContext.organizationId}" />
			
			            <dg:column-attribute name="<%=I18NFormatDecorator.EPASSLOCALES%>" value="${bean.ref.locale}" />
			            <dg:column-attribute name="<%=CurrencyFormatDecorator.DECIMAL_PLACES%>" value="${bean.rfxObject.decimalPlaces}" />
			            
			            <dg:column-decorator decoratorClass="com.emptoris.framework.ui.datagrid.decorators.column.AcronymTitleColumnDecorator" />
		            </dg:column>
				</c:if>
			</c:if>
            
        </c:if>
    </dg:columns>
</dg:datagrid>

<% } %>

<SCRIPT>
    var NAV_LIST='<%=ContextCodes.BID + "," + ContextCodes.RFQ%>';
    var NAV_DEP='<%=ContextCodes.BID%>,<%=ContextCodes.RFQ%>';	// I am dependent on bids
</SCRIPT>

</body>
</html>
<%@include file="../../include/simple_tail.inc"%>
