
<%--
 (C) COPYRIGHT International Business Machines Corp. 2012, 2015. All Rights Reserved
  US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>

<%@ taglib prefix="esapi" uri="http://www.owasp.org/index.php/Category:OWASP_Enterprise_Security_API" %>
<%@ page import="com.emptoris.framework.organization.common.key.OrganizationKeyImpl,
                 com.avinamart.Struct.WrapperObjectStruct" %>
<%@ page import="com.emptoris.app.partner.service.legacyInterface.PartnerServiceIntf" %>
<%@ page import="com.emptoris.framework.organization.common.constant.OrganizationType" %>
<%@ page import="com.emptoris.app.partner.common.key.PartnerProfileKeyImpl" %>
<%@ page import="com.emptoris.app.partner.common.struct.PartnerProfileStruct" %>
<%@ page import="com.avinamart.WebInterface.Constants.*" %>


<%@ page import="com.avinamart.BusinessLogic.Bean.PartnerService.ProfileInfo,
                 com.avinamart.BusinessLogic.BusinessRules.Presentation.Partner.PartnerUiBusinessRules,
                 com.emptoris.base.constant.ActionType,
                 com.emptoris.framework.attribute.common.constant.AttributeDefDataType,
                 com.emptoris.framework.attribute.common.constant.AttributeDefScope" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.AttributeDefValidation" %>
<%@ page import="com.emptoris.framework.attribute.common.constant.AttributeDefVisibility" %>
<%@ page import="com.emptoris.base.constant.ObjectType" %>
<%@ page import="com.emptoris.framework.authorization.common.constant.ParticipantSide" %>
<%@ page import="com.avinamart.BusinessLogic.Constant.ProfileStatus" %>
<%@ page import="com.avinamart.BusinessLogic.Helper.AttributeDefHelper" %>
<%@ page import="com.avinamart.BusinessLogic.Helper.Authorization.PartnerAuthorizationHelper" %>
<%@ page import="com.emptoris.framework.attribute.common.struct.EPASSAttributeDefStruct" %>
<%@ page import="com.avinamart.Struct.StructSchemaManager" %>
<%@ page import="com.avinamart.Utility.EPASSConfig" %>
<%@ page import="com.avinamart.Utility.Exception.EPASSApplicationException" %>
<%@ page import="com.avinamart.WebInterface.Constants.JSP" %>
<%@ page import="com.avinamart.WebInterface.Constants.Javascript" %>
<%@ page import="com.avinamart.WebInterface.Constants.Misc" %>
<%@ page import="com.avinamart.WebInterface.EPASSJSPActions" %>
<%@ page import="com.avinamart.WebInterface.EPASSReferences" %>
<%@ page import="com.avinamart.WebInterface.EPASSUiAttributeDefServices" %>
<%@ page import="com.avinamart.WebInterface.EPASSUiFactorServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiHelpServices"%>
<%@ page import="com.avinamart.WebInterface.EPASSUiRFIServices"%>
<%@ page import="com.avinamart.WebInterface.RequestUtility"%>
<%@ page import="com.avinamart.WebInterface.TreeWizUtility"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSAttribute"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSDetailViewRowBase"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSFieldName"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSFormulaControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSGenericStringControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSHTMLForm"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSHiddenControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSImageControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputControlInterface"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSInputSimpleSelect"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSLink"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSMultipleSelectControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSNavFunctionGenerator"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSPointerLink"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSSpacerControl"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTableData"%>
<%@ page import="com.avinamart.WebInterface.Utility.HTML.EPASSTableRow"%>
<%@ page import="com.avinamart.WebInterface.tree.EPassTree"%>
<%@ page import="com.emptoris.app.partner.common.struct.PartnerProfileStruct"%>
<%@ page import="com.emptoris.framework.organization.common.key.OrganizationKeyImpl"%>
<%@ page import="java.rmi.RemoteException"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Collection"%>
<%@ page import="com.avinamart.WebInterface.Constants.Cookie"%>
<%@ page import="com.emptoris.app.itembasedrfxkernel.service.extensions.attribute.SupplierSpecificIAHelper"%>

<%-- +---------------------------------------------------------------------------
   JSP Head
---------------------------------------------------------------------------+ --%>
<%@ include file="include/head.inc" %>

<%!
    final static Integer INT_REGISTRATION_SECTION = new Integer ( 999 );
    final static String LIT_NA = EPASSConfig.getInstance().getStringParameter( "form.listSpStart.title.na", "");

 // PR 74341 - Add hidden unique id field to persist partner code if unique id mode is not editable.  fix is same as for pr 73588
    final static String UNIQUE_ID = "uniqueId";

	// Start - Supplier Hierarchy
    final static String fieldNamePARENTPROFILENAME = EPASSFieldName.addPrefix( PartnerProfileStruct.PARENTPROFILENAME);
	// don't add prefix to following attributes to differentiate them from hidden attrinutes added by IA framework.
	// Anyhow this attribute used only on UI for display purpose and from parent profile id we can figureout following data.
    final static String fieldNamePARENTPROFILECODE = PartnerProfileStruct.PARENTPROFILECODE;
    final static String fieldNameGLOBALPARENTNAME = PartnerProfileStruct.GLOBALPARENTNAME;
    final static String fieldNameGLOBALPARENTCODE = PartnerProfileStruct.GLOBALPARENTCODE;

    final static String PARENT_ID = "PARENTID";
    final static String PARENT_NAME = "PARENT_NAME";
    final static String IS_PARENT_ORG_DIRTY = "IS_PARENT_ORG_DIRTY";
	final static String NO_PARENT = "NOPARENT";
	// End - Supplier Hierarchy

%>

<%

	boolean bNotifyOfUpdate = false;

	//This parameter determines whether the page updates global or local profile. ASM and suppliers
	//work with the global profile, Buyers work with local profiles.
	boolean isUpdateGlobalProfile =
		EPASSUiFactorServices.getPartnerUiBusinessRules().canUseGlobalProfile(ref);
    boolean allowLocalUpdate = PartnerAuthorizationHelper.canPerformEither ( ref.sessionService
                                                              , null
                                                              , ActionType.Update
                                                              , ObjectType.PartnerProfileLocal
                                                              , ObjectType.PartnerProfileGlobal
                                                              , null
                                                              , ref.getOrgID () );


    if (request.getParameter("_IMGNAME_") != null){
            popupImage = request.getParameter("_IMGNAME_");
    }

	Integer section = null;
    String sectionStr = ref.req.getParameter(EPASSUiFactorServices.PROFILE_SECTION);
	section = !StringUtility.isEmpty(sectionStr) ?
								new Integer(sectionStr) : FIRST_SECTION;

    PartnerServiceIntf partnerService = ref.serviceRef.getPartnerServiceIntf(ref);

    //Declare the global and local profiles
    PartnerProfileStruct globalProfile = null;
    PartnerProfileStruct localProfile = null;

	//Obtaining Partner id depends on the user of this form:
	// ASM, Buyer organization - get the partner id from the context
	// Supplier - the id of the logged in organization
    Integer profileId = ref.userDataContext.getPartnerId();
	PartnerProfileKeyImpl profileKey =  new PartnerProfileKeyImpl(profileId);

	//The organization that owns the profile attribute is determined
	OrganizationKeyImpl currentOrgKey = ref.getOrgKey();
	OrganizationKeyImpl rootOrgKey = ref.serviceRef.getOrganizationService(ref).
												getRootOrganizationKey(ref.sessionService);
	OrganizationKeyImpl profileOwnerKey = ref.isUserSeller() ? rootOrgKey : currentOrgKey;

	// PR 74341.
    String uniqueIdStr = ref.req.getParameter(UNIQUE_ID);

	// Supplier Hierarchy
	String parentName = ref.req.getParameter( PARENT_NAME )!=null ? ref.req.getParameter( PARENT_NAME ) : "";
	String isParentOrgDirty = ref.req.getParameter( IS_PARENT_ORG_DIRTY ) != null?
								ref.req.getParameter( IS_PARENT_ORG_DIRTY )
								: "0";
	Integer newParentProfileId = null;

    switch (ref.getAction().intValue() ){

        case EPASSJSPActions.SAVE_UPDATE:

            popupImage = "img/title/suppliers/edit_supplier.gif";
            PartnerProfileStruct profileToSave = new PartnerProfileStruct ();
            // Converts the current request into a Struct
            RequestUtility.convertToStruct (
                    StructSchemaManager.getSchema ( PartnerProfileStruct.class ),
                    request,
                    profileToSave );

         // PR 74341 - set unique id value form request to struct.
			if(!StringUtility.isEmpty( uniqueIdStr ))
				profileToSave.setPartnerCode(uniqueIdStr);
			// PR 74341 - END.


			// Start - Supplier Hierarchy
			if(PARENT_PROFILE_SECTION.equals(section) && !StringUtility.isEmpty(parentName))
			{
				if(NO_PARENT.equals(parentName))
					profileToSave.setAttribute(PartnerProfileStruct.PARENTPROFILENAME, null);
				else
					profileToSave.setAttribute(PartnerProfileStruct.PARENTPROFILENAME, parentName);
			}
			EPASSAttributeDefStruct attr = SupplierSpecificIAHelper.getAttributeDefStructByCode(PartnerProfileStruct.INVITATIONENABLED);
			String isInvitationEnabledStr = ref.req.getParameter( EPASSFieldName.addPrefix( PartnerProfileStruct.INVITATIONENABLED) );
			// PR ESP-42203: check whether IntvitationEnabled attribute is exposed to user or not.
			boolean canUpdateInvitationEnabled = attr != null && attr.isExposedToUser(!ref.isUserBuyer()) && attr.getSectionId().equals(section) && isUpdateGlobalProfile;
			if( canUpdateInvitationEnabled && StringUtility.isEmpty(isInvitationEnabledStr))
			{
				profileToSave.setInvitationEnabled(false);
			}
			// End - Supplier Hierarchy

            try{
                profileKey = partnerService.savePartnerProfile(
                        ref.sessionService,profileToSave,isUpdateGlobalProfile);
                

                bNotifyOfUpdate = true;

                //The first section can also change the status. Refresh the cap that displays the status
				if(FIRST_SECTION.equals(section)){%>

				   <script>NAV_FireEvent( top, 'wizSpStartReload', '' );</script>

				<%}
            }catch ( Exception ex ){
                ref.setErrorMessage ( ex.getMessage() );
                bNotifyOfUpdate = false;
                ProfileInfo pInfo = partnerService.getProfileInfo(
                            ref.sessionService,ref.getOrgKey(), profileKey);

                globalProfile = isUpdateGlobalProfile
                        ? profileToSave
                        : pInfo.getProfile(AttributeDefScope.SUPPLIER_GLOBAL_SCOPE);
                localProfile = isUpdateGlobalProfile
                        ? pInfo.getProfile(AttributeDefScope.SUPPLIER_LOCAL_SCOPE)
                        : profileToSave;
                ref.setReadOnly( false );
            }

            break;

			case EPASSJSPActions.LINK_SUPPLIER:
				HttpSessionTracker sessionTracker   = new HttpSessionTracker();
			    Integer[] profileIds = (Integer[])sessionTracker.getValue( ref.req, Cookie.SUPPL_SEARCH_RES_UPDATE_COOKIE );			    
			    
			  	//pr 83304 : 'else if' below added for enhancement pr 83304 to add omni search :
			  	//"profileIdByOmniSearch" if block was below profileIds if block, moved it above to fix the PR#84860
			    if(!StringUtility.isEmpty(ref.req.getParameter("profileIdByOmniSearch") ) )
			    {
			    	newParentProfileId = Integer.parseInt(ref.req.getParameter("profileIdByOmniSearch"));
			    }			  	
			    // There will be only one profile Id available in profileIds.
			    else if (null != profileIds)
			    {
			    	newParentProfileId = profileIds[0];
			    }	            
			     
				if (profileId != null && newParentProfileId != null)
				{
					try
					{
                    	EPASSUiFactorServices.getPartnerUiBusinessRules().validateParentProfile(ref, profileId, newParentProfileId);
					}
					catch ( EPASSApplicationException ex )
					{
						newParentProfileId = null;
                    	ref.setErrorMessage ( ex );
                	}
				}

				// supplier linking will be execute on global profile thatswhy isUpdateGlobalProfile is always true in this case.
				globalProfile = new PartnerProfileStruct ();
            	RequestUtility.convertToStruct(
								StructSchemaManager.getSchema ( PartnerProfileStruct.class ),
                    			request,
                    			globalProfile );

				try
				{
                	ProfileInfo profileInfo = null;
					if(globalProfile.getKey() != null)
						profileInfo =	partnerService.getProfileInfo( ref.sessionService,ref.getOrgKey(), globalProfile.getKey());
                	localProfile = profileInfo != null
                        	? profileInfo.getProfile(AttributeDefScope.SUPPLIER_LOCAL_SCOPE)
                        	: null;
				}
				catch ( EPASSApplicationException ex )
				{
                    ref.setErrorMessage ( ex );
                }
				break;

            //In both Edit and Read actions, the profiles are obtained the same way.
            //The only difference is the ReadOnly mode and the title
            case EPASSJSPActions.EDIT_VIEW:
                popupImage = "img/title/suppliers/edit_supplier.gif";

                try{

                    ProfileInfo pInfo = partnerService.getProfileInfo(
                                ref.sessionService,ref.getOrgKey(), profileKey);

                    globalProfile = pInfo.getProfile(AttributeDefScope.SUPPLIER_GLOBAL_SCOPE);
                    localProfile = pInfo.getProfile(AttributeDefScope.SUPPLIER_LOCAL_SCOPE);

                }catch ( EPASSApplicationException ex ){
                    ref.setErrorMessage ( ex );
                }

                break;

            case EPASSJSPActions.READ_VIEW:
                popupImage = "img/title/suppliers/view_profile.gif";
                ref.setReadOnly( true );
                try{

                    ProfileInfo pInfo = partnerService.getProfileInfo(
                                ref.sessionService,ref.getOrgKey(), profileKey);
                    globalProfile = pInfo.getProfile(AttributeDefScope.SUPPLIER_GLOBAL_SCOPE);
                    localProfile = pInfo.getProfile(AttributeDefScope.SUPPLIER_LOCAL_SCOPE);

                }catch ( EPASSApplicationException ex ){
                    ref.setErrorMessage ( ex );
                }
                //globalProfile =getGlobalProfile();
                //localProfile = getLocalProfile();
                break;

            //Supplier creates his own global profile (registration
            case EPASSJSPActions.SELF_PROFILE:
                break;

            //Supplier removes the linking with parent profile.
            case EPASSJSPActions.REMOVE_PARENT:
                popupImage = "img/title/suppliers/edit_supplier.gif";

                try{
                    //ProfileInfo pInfo = partnerService.getProfileInfo(
                    //            ref.sessionService,ref.getOrgKey(), profileKey);

                    //globalProfile = pInfo.getProfile(AttributeDefScope.SUPPLIER_GLOBAL_SCOPE);
                    //localProfile = pInfo.getProfile(AttributeDefScope.SUPPLIER_LOCAL_SCOPE);

					// supplier unlinking will be execute on global profile thatswhy isUpdateGlobalProfile is always true in this case.
					globalProfile = new PartnerProfileStruct ();
            		RequestUtility.convertToStruct(
								StructSchemaManager.getSchema ( PartnerProfileStruct.class ),
                    			request,
                    			globalProfile );

               		ProfileInfo pInfo = null;
					if(globalProfile.getKey() != null)
						pInfo =	partnerService.getProfileInfo( ref.sessionService,ref.getOrgKey(), globalProfile.getKey());
               		localProfile = pInfo != null
                       		? pInfo.getProfile(AttributeDefScope.SUPPLIER_LOCAL_SCOPE)
                       		: null;

					if(globalProfile != null)
					{
    					globalProfile.setAttribute(PartnerProfileStruct.PARENTPROFILENAME, null);
    					globalProfile.setAttribute(PartnerProfileStruct.PARENTPROFILECODE, null);
    					globalProfile.setAttribute(PartnerProfileStruct.GLOBALPARENTNAME, globalProfile.getPartnerName());
    					globalProfile.setAttribute(PartnerProfileStruct.GLOBALPARENTCODE, globalProfile.getPartnerCode());
					}

                }catch ( EPASSApplicationException ex ){
                    ref.setErrorMessage ( ex );
                }

                break;

    }

    //******************************************************************************
    //	Build Form Table
    //******************************************************************************
    final String formName = "editPartnerProfileStruct";
    EPASSHTMLForm editForm = new EPASSHTMLForm( ref, formName, EPASSHTMLForm.POST,
                                               ref.getUserPath()+"wiz_sp_start.jsp", true );

    editForm.setHeaderWrapLength(80); //PR 81247, Overrides the default for this form
    editForm.setFieldsMonitored( true );
    editForm.setReadOnly(ref.isReadOnly());
    editForm.setAttribute( "onsubmit", "return(false);" );
	boolean fieldsExist = false;

	// START - Supplier Hierarchy : get saved/old values.
	String oldParentName = null;
	String oldParentCode = null;
	String oldGlobalParentName = null;
	String oldGlobalParentCode = null;
	Integer parentProfileId = null;
	if(globalProfile != null && isUpdateGlobalProfile)
	{
		oldParentName = globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILENAME) != null?
						(String) globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILENAME)
						: "";
		oldParentCode = globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILECODE) != null?
						(String) globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILECODE)
						: "";
		oldGlobalParentName = globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTNAME) != null?
							(String) globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTNAME)
							: "";
		oldGlobalParentCode = globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTCODE) != null?
							(String) globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTCODE)
							: "";
		// first check if user has selected supplier organization through profile search framework.
		if(newParentProfileId != null)
		{
			parentProfileId = newParentProfileId;
		}
		else
		{
			parentProfileId = !StringUtility.isEmpty( ref.req.getParameter(PARENT_ID) )?
				 	Integer.valueOf( ref.req.getParameter(PARENT_ID) )
					:	null;
		}
	}
	// END - Supplier Hierarchy

	//ASM or supplier view
	if(isUpdateGlobalProfile){
		fieldsExist = setGlobalProfileView(ref,editForm,section, globalProfile, profileOwnerKey, parentProfileId );
        if (globalProfile != null && !EPASSUiFactorServices.getPartnerUiBusinessRules().canUpdatePartnerProfile(ref, globalProfile.getKey())) {
            // user has read-only authority to the global profile
            editForm.setReadOnly(true);
        }
        //VSM-Supplier BEGIN
        //If the logged in user is Supplier and if AllowMaintenance is FALSE, the page should become readOnly
        else if ( globalProfile != null && ref.isUserSeller() ){
          	String allowMaintenance = (String) globalProfile.getAttribute(PartnerProfileStruct.ALLOWMAINTENANCE);
          	if ( allowMaintenance != null && allowMaintenance.equalsIgnoreCase("false") ){
          		editForm.setReadOnly(true);
          	}
        }
        //VSM-Supplier END
	}
	//Buyer view
	else if (ref.isUserBuyer()){
		fieldsExist = setOrganizationView(ref,editForm,section, globalProfile, localProfile, allowLocalUpdate);
	}
	final String fieldNamePROFILEID = EPASSFieldName.addPrefix( PartnerProfileStruct.ID);
	editForm.addHidden( fieldNamePROFILEID, profileId);

    Integer partnerId = globalProfile == null ? null : globalProfile.getPartnerId();
    final String fieldNamePARTNERID = EPASSFieldName.addPrefix( PartnerProfileStruct.PARTNERID);
	editForm.addHidden( fieldNamePARTNERID, partnerId);

	final String fieldNameORGANIZATIONID =
					EPASSFieldName.addPrefix( PartnerProfileStruct.ORGANIZATIONID);
	editForm.addHidden( fieldNameORGANIZATIONID,"" + profileOwnerKey.getID () );

    editForm.addHidden( EPASSJSPActions.ACTION, "" + EPASSJSPActions.SAVE_UPDATE );
	editForm.addHidden(TreeWizUtility.NEXT_PAGE_PARAMETER, "");

    editForm.addHidden( "_IMGNAME_", "" + popupImage );
    editForm.addHidden( EPASSUiFactorServices.PROFILE_SECTION, sectionStr );

    if ( globalProfile != null ){
    	editForm.addHidden(EPASSFieldName.addPrefix(PartnerProfileStruct.VSMINTERNALID), globalProfile.getVsmInternalId());
    }
 // PR 74341 - Add hidden unique id field to persist partner code if unique id mode is not editable.
    UniqueIDMode uniqueIDMode = new UniqueIDMode();
	if(isUpdateGlobalProfile && globalProfile != null && profileId!=null && !uniqueIDMode.isEditable())
	{
		editForm.addHidden( UNIQUE_ID, globalProfile.getPartnerCode() );
	}
	// PR 74341 - END.


//	START - Supplier Hierarchy
	if(globalProfile != null && isUpdateGlobalProfile)
	{
		String parentIdStr = parentProfileId != null? parentProfileId.toString() : "";

		editForm.addHidden( PARENT_ID, parentIdStr);

		String parentOrgName = globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILENAME) != null?
						(String) globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILENAME)
						: parentName;
		editForm.addHidden( PARENT_NAME, parentOrgName);

		String globalParentName = globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTNAME) != null?
							(String) globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTNAME)
							: "";
		editForm.addHidden( fieldNameGLOBALPARENTNAME, globalParentName);

		String parentPrifileCode = globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILECODE) != null?
							(String) globalProfile.getAttribute(PartnerProfileStruct.PARENTPROFILECODE)
							: "";
		editForm.addHidden( fieldNamePARENTPROFILECODE, parentPrifileCode);

		String globalParentCode = globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTCODE) != null?
							(String) globalProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTCODE)
							: "";
		editForm.addHidden( fieldNameGLOBALPARENTCODE, parentPrifileCode);

		editForm.addHidden( IS_PARENT_ORG_DIRTY, isParentOrgDirty);
	}
	// pr 83304 : added for enhancement pr 83304 to add omni search :
	editForm.addHidden( "profileIdByOmniSearch", "");
	
//	END - Supplier Hierarchy

    // print button
/*    EPASSImageControl ic = new EPASSImageControl ( ref.getUserPath () + Dir.IMG_BTNS_UP + "btn_print_up.gif"
                                                   	, "window.print()"
  													, ref.convertLiteral ( "form.actionbar.print" ) );
*/
	EPASSButtonDivControl ic = EPASSButtonDivControl.getSingleTaskImageButton( ref
			, "printId"
			, ref.getUserPath () + Dir.IMG_BTNS_UP + "btn_print_up.gif"
			, "window.print()"
			, ref.convertLiteral("form.actionbar.print") );

    toolbarItems.addControl ( ic );

	String actionBarTitle = isUpdateGlobalProfile ?
									ref.convertLiteral("form.wizSpStart.title.administrator"):
									ref.convertLiteral("form.wizSpStart.title.organization");
	Object actionBarButtons = toolbarItems.toString();
%>

<html lang="<%= (request.getAttribute("PREFERRED_LANGUAGE_CODE")!=null ? request.getAttribute("PREFERRED_LANGUAGE_CODE") : "EN") %>">

<head>
<title><esapi:html><%=  ref.convertLiteral( "epass.title" )%></esapi:html></title>

<link rel="stylesheet" href="<%= request.getContextPath()%>/css/epass.css" />
<link rel="stylesheet" type="text/css" href="<%=ref.getUserPath()%>branding/jsp/branding.jsp"/>

<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_CHECKBOX %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.EPASS_FORMVALIDATION %>'></SCRIPT>
<%-- Navigation utility that supply all frame services --%>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.NAV %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.DHTMLLIB %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + Javascript.ACTIONBAR %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass_tree_util.js" %>'></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC='<%=  ref.getUserPath() + Dir.JS + "epass.js"%>' ></SCRIPT>
<script>

var isNavBlocked = false;

function NAV_HandleEvent(var1, var2)
{
   	if (var1 == "<%= Cookie.SUPPL_SEARCH_RES_UPDATE_COOKIE%>")
	{
		selectOrganization();
	}

    if ( var1 == "<%= EPassTree._sNavigationEvent%>" )
    {
        var splitted  = var2.split( ";" );
   		var goToDir   = splitted[0];
  		var goToParam = (splitted.length == 2) ? splitted[1] : "";

		<%//---------When the Reset button is clicked------------------------------ %>
		if ( goToDir.indexOf( '<%= EPassTree._sTreeNavResetCmd%>' ) == 0 )
        {
            if( document.<%= formName%> != null && confirm( "<esapi:js><%= ref.convertLiteral( "form.wizConfigSchedule.message.reset" )%></esapi:js>" ) )
            {
                document.<%= formName%>.reset();
                <%= editForm.getInitMonitorJS()%>                
				<% if (globalProfile != null && PARENT_PROFILE_SECTION.equals(section)) { %>
					resetSHAttributes();
				<% } %>
        	}
  		}

		<%//---------When the Next is clicked and this is Create action------------ %>
		else if ( <%= profileId == null%> )
        {
   			document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
			onClickSaveForm();
   		}
		<%//---------When the Close button is clicked -------------------------+ --%>
		<%//---------When the Next is clicked and this is Edit action------------ %>
		else if ( <%= profileId != null%>
                && ( <%= editForm.getIsFormDirtyJS()%>
                    || var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
                    || var2 == "<%= EPassTree._sTreeNavCloseCmd%>"
					<% if (globalProfile != null && isUpdateGlobalProfile && PARENT_PROFILE_SECTION.equals(section)) { %>
					|| document.<%= formName%>.<%= IS_PARENT_ORG_DIRTY%>.value == "1"
					<% } %>
                    )
				&& <%= !EPASSUiHelpServices.isTutorialMode(ref)%>
                )
        {
            if ( var2 == "<%= EPassTree._sTreeNavSaveCmd%>"
                ||  confirm( "<esapi:js><%= ref.convertLiteral("form.wizConfig.message.save")%></esapi:js>" ) )
            {
                // this handles the case when save is entered and there are no fields on the form
                if (document.<%= formName%> != null) {
					<% if( globalProfile != null && isUpdateGlobalProfile && PARENT_PROFILE_SECTION.equals(section) ) { %>
					document.<%= formName%>.<%= IS_PARENT_ORG_DIRTY%>.value = "0";
					<% } %>
                    document.<%= formName%>.<%= TreeWizUtility.NEXT_PAGE_PARAMETER%>.value = var2;
                    onClickSaveForm();
                }
            }
            else
            {
				document.<%= formName%>.reset();
				<% if( globalProfile != null && PARENT_PROFILE_SECTION.equals(section) ) { %>
				 	resetSHAttributes();
				<% } %>
               	<%= editForm.getInitMonitorJS()%>
               	NAV_FireEvent( top, '<%= EPassTree._sNavigationEvent%>', var2 );
			}
		}
        else
        {
            if (document.<%= formName%> != null && !validateFormRequiredFields(document.<%= formName%>))
            {
                return false;
            }
            if ( var2 == "<%= EPassTree._sTreeNavCloseCmd%>" )
            {
        		<%//---------When the Close button is clicked but nothing to save--- %>
                ;
            }
        	else if( goToDir.indexOf( '<%= EPassTree._sTreeNavBackCmd%>' ) == 0 ||
				goToDir.indexOf( '<%= EPassTree._sTreeNavNextCmd%>' ) == 0)
            {
                <%= EPassTree.getInstance( ref, ref.userDataContext.getWizTreeName() )
												.getReRenderTreeJS( "goToDir", "goToParam" )%>
            }
			else
            {
				<%= EPassTree.getNotificationEventJSFunctionCall(
					 EPassTree._sOnNodeExternalySelectedEvent, "goToDir", "goToParam" )%>
            }
		}
	}
    // pr 83304 added for enhancement pr 83304 to add omni search :
    else if (var1 == "SELECT_SUP_FROM_OMNI_SEARCH")
    {
    	var arrayOfStrings = var2.split("|");
        var profileId = arrayOfStrings[0];
        var parentName = arrayOfStrings[1];
        document.<%= formName%>.<%= "profileIdByOmniSearch"%>.value=profileId;
        document.<%= formName%>.<%= IS_PARENT_ORG_DIRTY%>.value ="1";
        document.<%= formName%>.<%= EPASSJSPActions.ACTION%>.value=<%= EPASSJSPActions.LINK_SUPPLIER%>;
		document.<%= formName%>.submit();
    }
}
 
</script>
<%@ include file="include/zissou_mini.inc" %>
<LINK REL="stylesheet" HREF="<%= request.getContextPath()%>/dhtml_lib/css/feature/zissou_mini_clean.css">

<script>

// ----------- Supplier Hierarchy ------------------------------------------


 <% if (globalProfile != null && isUpdateGlobalProfile)
	{ %>
		function selectOrganization ()
		{
	   		document.<%= formName%>.jspAction.value=<%= EPASSJSPActions.LINK_SUPPLIER%>;
			document.<%= formName%>.<%= IS_PARENT_ORG_DIRTY%>.value ="1";
    		document.<%= formName%>.submit();
		}

    	function clearSupplier()
	    {
    	    document.<%=  formName%>.<%=  PARENT_ID%>.value = "";
    	    document.<%=  formName%>.<%=  "profileIdByOmniSearch" %>.value = "";
			document.<%=  formName%>.<%=  PARENT_NAME%>.value = "<%= NO_PARENT%>";
			document.<%= formName%>.<%= IS_PARENT_ORG_DIRTY%>.value ="1";
   			document.<%= formName%>.jspAction.value=<%= EPASSJSPActions.REMOVE_PARENT%>;
	    	document.<%= formName%>.submit();
    	}

	    function resetSHAttributes()
    	{
        	document.<%=  formName%>.<%=  PARENT_ID%>.value = "";
	        document.<%=  formName%>.<%=  fieldNamePARENTPROFILECODE %>.value = "<esapi:js><%=  oldParentCode  %></esapi:js>";
        	document.<%=  formName%>.<%=  fieldNameGLOBALPARENTNAME %>.value = "<esapi:js><%=  oldGlobalParentName  %></esapi:js>";
	        document.<%=  formName%>.<%=  fieldNameGLOBALPARENTCODE %>.value = "<esapi:js><%=  oldGlobalParentCode  %></esapi:js>";
			document.<%= formName%>.<%= IS_PARENT_ORG_DIRTY%>.value ="0";
			//we need to submit form to clear selected parent name from omnisearch , pr 83304
			if(document.<%=  formName%>.<%=  "PARENT_NAME" %>.value != '<esapi:js><%=  oldParentName  %></esapi:js>')
			{
				document.<%=  formName%>.<%=  "profileIdByOmniSearch" %>.value = "<esapi:js><%=  oldParentName  %></esapi:js>";
				document.<%= formName%>.jspAction.value=<%= EPASSJSPActions.EDIT_VIEW%>;
				document.<%= formName%>.submit();
			}
			
	    }
	<% }%>
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
function onClickSaveForm() {
	<%//When the form is used by a Buyer organization, all the fields which are not filled
	//are disabled so they will not be submitted %>
	var frm = document.<%= formName%>;
	//always perform validation while submitting form
	if (!validate(frm)){
        return false;
    }
}

// Turn off the maximize and the toggle button button
top.showmaxbtn = "false";
top.showScrollBtn = "false";
</script>

</head>

<%@ include file="include/zissou_mini_box.inc" %>



<%-- +---------------------------------------------------------------------------
 	HTML BODY
---------------------------------------------------------------------------+ --%>
<body onload="init();" onResize="nsResize();" marginleft="0" marginheight="0" marginwidth="1" rightmargin="2" topmargin="0" leftmargin="0">

<%@ include file="include/inc_actionbar_spacer.inc" %>

<%if( bNotifyOfUpdate  ){
	String res = TreeWizUtility.getTreeFireEventJs(ref);
	if( !StringUtility.isEmpty( res ) ){
			out.write("<script>");
	   		out.write( res );
			out.write("</script>");
			out.flush();
		   	return;
	}
}

%>

<%if ( ref.isMessage () ){%>
   <%=  ref.getMessage () %>
<%}%>

<%if(fieldsExist){%>
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="100%">
	<TR class="POPFORMBODY">
		<TD><%=  editForm %></TD>
	</TR>
</TABLE>
<%}
else{%>
<BR><P CLASS="STATUS_MESSAGE">
<esapi:html><%= ref.convertLiteral("form.detailSupplier.message.no_fields_in_this_section")%></esapi:html>
</P>
<%} %>
<%@ include file="include/inc_action_bar.inc" %>

</body>

</html>


<%!
   	final Integer FIRST_SECTION = new Integer(51);
	Integer PARENT_PROFILE_SECTION = EPASSUiFactorServices.getParentProfileNameSection();
  //------------------------------------------------------------------------------------------
  /*
   * Function that creates the form in global values only for ASM and for supplier organizations.
   *
   * @param ref the page reference object containing request and session information
   * @param editForm the form object of the page
   * @param section the current section viewed on the page
   * @param globalProfile the struct of values entered on the global profile level
   *
   * @return true if the section contains attributes, false otherwise.
   */
 boolean setGlobalProfileView(EPASSReferences ref,
 						  EPASSHTMLForm editForm,
						  Integer section,
 						  PartnerProfileStruct globalProfile,
                          OrganizationKeyImpl orgKey,
						  Integer parentProfileId )
						  	throws EPASSApplicationException, RemoteException{

 	//Get the Global and Local attribute definitions
    PartnerServiceIntf partnerService = ref.serviceRef.getPartnerServiceIntf(ref);
    EPASSAttributeDefStruct[] globalIPAs = partnerService.getProfileAttributeDefs(
                         ref.sessionService
                         , orgKey
                         , ( INT_REGISTRATION_SECTION.equals ( section ) ? null : section )
                         , true);
    // PR ESP-55411 - Filter out supplier profile table type fields based on visibility to user
    globalIPAs = EPASSUiAttributeDefServices.filterOutHiddenMatrixProfileFields(ref, globalIPAs);
    globalIPAs = AttributeDefHelper.sortAttributeDefs( globalIPAs);

    // fixme: filter out the "lastRfx" attribute, if you are not a system user
    globalIPAs = EPASSUiAttributeDefServices.filterOutLastRfxAttribute(ref, globalIPAs);
    globalIPAs = EPASSUiAttributeDefServices.filterOutSeeSPMDataAttribute(ref, globalIPAs);

    // PR-35640: Hide ExpenseMap Node ID when Spend is disabled
    if (!EPASSUiFactorServices.getPartnerUiBusinessRules().canListSpend(ref)) {
        Collection list = WrapperObjectStruct.filterRemoveAttributes(
                globalIPAs, EPASSAttributeDefStruct.CODE, PartnerProfileStruct.EM_NODEID);
        globalIPAs = (EPASSAttributeDefStruct[])list.toArray(EPASSAttributeDefStruct.EMPTYARRAY);
    }

	// System user can write EM_NodeID attribute
	if (OrganizationType.SYSTEM.equals(ref.getOrganizationType())) {
	    for (int i = 0; i < globalIPAs.length; i++){
		    EPASSAttributeDefStruct globalIPA = globalIPAs[i];
		    String code = globalIPA.getCode();
		    if (PartnerProfileStruct.EM_NODEID.equals(code)
		            || PartnerProfileStruct.NDASIGNED.equals(code)) {
	            globalIPA.setHiddenType(AttributeDefVisibility.EXPOSED_EXPOSED);
		    }
	    }
	}

// START - Supplier Hierarchy
    	if(globalProfile!=null && parentProfileId != null) // && !parentIdStr.equals(oldParentId))
    	{
    		PartnerProfileStruct parentProfile = EPASSUiFactorServices.getPartnerProfile(ref, new PartnerProfileKeyImpl(parentProfileId) );
    		globalProfile.setAttribute(PartnerProfileStruct.PARENTPROFILENAME, parentProfile.getPartnerName());
    		globalProfile.setAttribute(PartnerProfileStruct.PARENTPROFILECODE, parentProfile.getPartnerCode());
    		globalProfile.setAttribute(PartnerProfileStruct.GLOBALPARENTNAME, parentProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTNAME));
    		globalProfile.setAttribute(PartnerProfileStruct.GLOBALPARENTCODE, parentProfile.getAttribute(PartnerProfileStruct.GLOBALPARENTCODE));
    	}
// END - Supplier Hierarchy

	EPASSUiAttributeDefServices.addUDAControlsToForm(ref,globalIPAs,globalProfile,editForm,20);
		
    //At the bottom of the form add the status field
      if(FIRST_SECTION.equals(section) && globalProfile != null){
      //This path is for PR No: 23443
      
          editForm.addSeparator(ref.convertLiteral("form.wizSpStart.title.approval_status"));

      
          Integer approvalStatus = globalProfile.getApprovedStatus();
          String[] statusValues = {ProfileStatus.APPROVED.toString(),
                                   ProfileStatus.UNAPPROVED.toString()};
          String[] statusDisplays = {ref.convertLiteral("term.ipa.approvedstatus.approved"),
                                     ref.convertLiteral("term.ipa.approvedstatus.unapproved")};
         EPASSInputSimpleSelect approvalControl = new EPASSInputSimpleSelect(
                             EPASSFieldName.addPrefix(PartnerProfileStruct.APPROVEDSTATUS ),
                            statusValues,
                            statusDisplays,
                            approvalStatus.toString());
          PartnerUiBusinessRules rules = EPASSUiFactorServices.getPartnerUiBusinessRules();
          approvalControl.setEnabled(false);
          editForm.addControl(ref.convertLiteral("term.ipa.approvedstatus"),approvalControl);
		  editForm.manuallyRegisterFieldToMonotor(approvalControl);
      }

	return globalIPAs.length > 0;
}

    //PR# ESP-50218 - Added translation logic 
    void addRequiredMark ( EPASSAttributeDefStruct[] attributes, EPASSReferences ref ) 
    				throws EPASSApplicationException, RemoteException
    {
        EPASSAttributeDefStruct ipa = null;
        int iCurrentSpacer = -1;
        if ( attributes != null )
        {
            for ( int i = 0; i < attributes.length; i++ )
            {
                ipa = attributes [ i ];
                if ( AttributeDefDataType.SPACER_TYPE.equals ( ipa.getDataType () ) )
                {
                    iCurrentSpacer = i;
                }
                else if ( iCurrentSpacer > 0 )
                {
                    if ( Boolean.TRUE.equals ( ipa.isRequired () )  )
                    {
                        attributes [ iCurrentSpacer ].setDefaultValue ( ref.convertLiteral(attributes [ iCurrentSpacer ].getDefaultValue ()) + Header.REQUIRED_FIELD );
                        iCurrentSpacer = -1;
                    }
                }
            }
        }
    }

  //------------------------------------------------------------------------------------------
  /*
   * Function that creates the form in organization view (global and local value columns) for
   * the sepcified section.
   *
   * @param ref the page reference object containing request and session information
   * @param editForm the form object of the page
   * @param section the current section viewed on the page
   * @param globalProfile the struct of values entered on the global profile level
   * @param localProfile the struct of values entered on the local profile level
   *
   * @return true if the section contains attributes, false otherwise.
   */
boolean setOrganizationView(
          EPASSReferences ref,
 						  EPASSHTMLForm editForm,
						  Integer section,
 						  PartnerProfileStruct globalProfile,
						  PartnerProfileStruct localProfile,
                             boolean allowLocalUpdate)
						  	throws EPASSApplicationException, RemoteException{

 	//Get the Global and Local attribute definitions
    PartnerServiceIntf partnerService = ref.serviceRef.getPartnerServiceIntf(ref);
    OrganizationKeyImpl rootOrgKey
            = ref.serviceRef.getOrganizationService(ref).getRootOrganizationKey(ref.sessionService);
    EPASSAttributeDefStruct[] globalIPAs
            = partnerService.getProfileAttributeDefs(ref.sessionService, rootOrgKey, section, false);
    globalIPAs = AttributeDefHelper.sortAttributeDefs( globalIPAs);
    // fixme: filter out the "lastRfx" attribute, if you are not a system user
    globalIPAs = EPASSUiAttributeDefServices.filterOutLastRfxAttribute(ref, globalIPAs);
    globalIPAs = EPASSUiAttributeDefServices.filterOutSeeSPMDataAttribute(ref, globalIPAs);
    //PR# ESP-50218 - Added translation logic
    addRequiredMark ( globalIPAs, ref );

    EPASSAttributeDefStruct[] localIPAs = partnerService.getProfileAttributeDefs(
                                   ref.sessionService, ref.getOrgKey(),section , false);
    localIPAs = AttributeDefHelper.sortAttributeDefs( localIPAs);
    //PR# ESP-50218 - Added translation logic
    addRequiredMark ( localIPAs, ref );

 	EPASSInputControlInterface ic=null;
	 editForm.setNumColumns(10); //Set the number of columns in the form
	//Create the headers row that lables the columns for Globla and Local values.
  	editForm.addColumnsHeaders(getColumnHeadersForOrganization(ref));

	boolean fieldsExist = false;
      //Create the controls from used udas and add to the form.
           String spacerId = null;
           int spacerNumber = 0;
           //By default the fields below an expandable spacer are in a collapsed state
           boolean isExpanded = false;
           String displayStatus = "none";

    //The global fields
    for(int i = 0; i < globalIPAs.length; i++){
        EPASSAttributeDefStruct ipa = globalIPAs[i];
        Integer visibility = AttributeDefHelper.isUDAVisible(ref.isUserSeller(), ipa);
        // skip "absent" fields
        if (AttributeDefVisibility.ABSENT.equals(visibility)
                || AttributeDefVisibility.HIDDEN.equals(visibility)) {
            continue;
        }
        fieldsExist = true;
        if (AttributeDefDataType.SPACER_TYPE.equals(ipa.getDataType())) {
            ic = EPASSUiAttributeDefServices.getUDAControl(ref, ipa, null, 10);
            editForm.addControl ( "", ic );
            spacerId = (Boolean.TRUE.equals(ipa.isExpandCollapse()))
                    ? EPASSHTMLForm.SPACER_IDENTIFIER_PREFIX + ipa.getId() + "_" : null;
                   spacerNumber = 0;
                   //The expand status is determined from the cookie when the spacer control is generated
                   //and is set as an attibute on the spcaer control Retriev it to determine the display
                   //status of the rows below the spacer.
                   isExpanded = ic.getAttribute(EPASSSpacerControl.EXPAND_STATUS) != null
                           && "true".equals(ic.getAttribute(EPASSSpacerControl.EXPAND_STATUS).getObject());
                   displayStatus = isExpanded ? (ref.userDataContext.isNS6() ? "table-row" : "block") :"none";
        }
        else {
            String row = getGlobalRowForOrganization(
                    ref, editForm, ipa, globalProfile, localProfile, allowLocalUpdate);
            ic = new EPASSGenericStringControl(new EPASSAttributeDefStruct(), row);
            if (spacerId != null) {
//                editForm.addControl(ipa.getName(), ic);
                editForm.addControl(
                        EPASSUiAttributeDefServices.getUDAHeader(ref,ipa,80) + (Boolean.TRUE.equals(ipa.isRequired())
                                ? "<span style='color:red;font-size:18px'>*</span>" : ""),
                        ic);
                   //Get the row just added so row id can be set for spacer groups
                   EPASSDetailViewRowBase lastRow = editForm.getLastAddedControlRow();
                       lastRow.setDetailRowAttribute(new EPASSAttribute("id", spacerId + spacerNumber++));
                       lastRow.setDetailRowAttribute(new EPASSAttribute("style","display:" + displayStatus));
        }
            else {
                editForm.addControl(EPASSUiAttributeDefServices.getUDAHeader(ref,ipa,80), ic);
    }
        }
    }

    spacerId = null;
    boolean seperatorWritten = false;

	    //The Local fields
	    for(int i = 0; i < localIPAs.length; i++){
        EPASSAttributeDefStruct ipa = localIPAs[i];
        Integer visibility = AttributeDefHelper.isUDAVisible(ref.isUserSeller(), ipa);
           // skip "absent" fields
        if (AttributeDefVisibility.ABSENT.equals(visibility)
                || AttributeDefVisibility.HIDDEN.equals(visibility)) {
               continue;
           }
           if (!seperatorWritten){
               editForm.addSeparator(ref.convertLiteral("form.wizSpStart.title.local_fields"));
               seperatorWritten = true;
           }
           fieldsExist = true;
        if (AttributeDefDataType.SPACER_TYPE.equals(ipa.getDataType())) {
            editForm.addControl("", EPASSUiAttributeDefServices.getUDAControl(ref, ipa, null, 10));
            spacerId = (Boolean.TRUE.equals(ipa.isExpandCollapse()))
                    ? EPASSHTMLForm.SPACER_IDENTIFIER_PREFIX + ipa.getId() + "_" : null;
            spacerNumber = 0;
            //The expand status is determined from the cookie when the spacer control is generated
            //and is set as an attibute on the spcaer control Retriev it to determine the display
            //status of the rows below the spacer.
            isExpanded = ic.getAttribute(EPASSSpacerControl.EXPAND_STATUS) != null
                    && "true".equals(ic.getAttribute(EPASSSpacerControl.EXPAND_STATUS).getObject());
            displayStatus = isExpanded ? (ref.userDataContext.isNS6() ? "table-row" : "block") : "none";
        }
        else {
	       String row = getLocalRow(ref,editForm,localIPAs[i],localProfile, allowLocalUpdate);
	       ic = new EPASSGenericStringControl(new EPASSAttributeDefStruct(), row);
            if (spacerId != null) {
                editForm.addControl(
                        EPASSUiAttributeDefServices.getUDAHeader(ref,ipa,80) + (Boolean.TRUE.equals(ipa.isRequired())
                                ? "<span style='color:red;font-size:18px'>*</span>" : ""),
                        ic);
                //Get the row just added so row id can be set for spacer groups
                EPASSDetailViewRowBase lastRow = editForm.getLastAddedControlRow();
                lastRow.setDetailRowAttribute(new EPASSAttribute("id", spacerId + spacerNumber++));
                lastRow.setDetailRowAttribute(new EPASSAttribute("style","display:" + displayStatus));
            }
            else {
                editForm.addControl(EPASSUiAttributeDefServices.getUDAHeader(ref,ipa,80), ic);
            }
	    }
	}

    //At the bottom of the form add the status field
      if(FIRST_SECTION.equals(section) && globalProfile != null){
          editForm.addSeparator(ref.convertLiteral("form.wizSpStart.title.approval_status"));

          Integer approvalStatus = globalProfile.getApprovedStatus();
        String[] statusValues = {
            ProfileStatus.APPROVED.toString(),
            ProfileStatus.UNAPPROVED.toString()
        };
        String[] statusDisplays = {
            ref.convertLiteral("term.ipa.approvedstatus.approved"),
            ref.convertLiteral("term.ipa.approvedstatus.unapproved")
        };
          EPASSInputSimpleSelect approvalControl = new EPASSInputSimpleSelect(
                             EPASSFieldName.addPrefix(PartnerProfileStruct.APPROVEDSTATUS ),
                            statusValues,
                            statusDisplays,
                            approvalStatus.toString());
          PartnerUiBusinessRules rules = EPASSUiFactorServices.getPartnerUiBusinessRules();
          approvalControl.setEnabled(rules.canApprovePartnerProfile ( ref ));
          editForm.addControl(ref.convertLiteral("term.ipa.approvedstatus"),approvalControl);
		  editForm.manuallyRegisterFieldToMonotor(approvalControl);
      }

	return fieldsExist;
}
 //-------------------------------------------------------------------------------------------
 /* This method is used for getting  a form's row for a global attribute, when the form is viewed
  * by an Organization manager. The row format is:
  *			Attribute Name     Global Value(ReadOnly)    Local value (editable)
 */
String getGlobalRowForOrganization(
        EPASSReferences ref,
 					 EPASSHTMLForm editForm,
                     EPASSAttributeDefStruct attr,
                     PartnerProfileStruct globalProfile,
                     PartnerProfileStruct localProfile,
                     boolean allowLocalUpdate)
         throws EPASSApplicationException, RemoteException{

	 boolean isUrl = AttributeDefValidation.URL.equals(attr.getValidationType());
     boolean isEmail = AttributeDefValidation.EMAIL.equals(attr.getValidationType());

     Object globalValue = AttributeDefHelper.getUdaValue(attr, globalProfile,false);
     EPASSInputControlInterface globalControl
             = EPASSUiAttributeDefServices.getUDAControl(ref, attr, globalValue, 10);
     String globalValDisplay = globalControl.getValue();
	 if(!StringUtility.isEmpty(globalValDisplay)
        || AttributeDefDataType.MATRIX_TYPE.equals( attr.getAttributeDefType() )){
        if (globalControl instanceof EPASSMultipleSelectControl) {
            EPASSInputControlInterface gc
                    = EPASSUiAttributeDefServices.getUDAControl(ref, attr, globalProfile, "gl", 10);
            gc.setEnabled ( false );
            globalValDisplay = "" + gc.getValue ();
        }
        else if(isUrl){
           if (-1 == globalValDisplay.indexOf("://")){
               globalValDisplay = "http://" + globalValDisplay;
           }
           globalValDisplay
                   = "<A HREF=\"javascript:void 0\" onclick = \""+"confirm('"+ref.convertLiteral("form.link.url.unsafe.warning.message")+"')?"+ "window.open('" + globalValDisplay
                   + "','plain','resizable,scrollbars,status,titlebar,toolbar,menubar,location'):void(0);\">"
                   + globalValDisplay + "</A>";
        }
        else if(isEmail){
           globalValDisplay
                   = "<A HREF=\"mailTo:" + globalValDisplay + "\" >" + globalValDisplay + "</A>";
        } // PR 22979 added check for non spacer type attribute definition
        else if (!AttributeDefDataType.MATRIX_TYPE.equals( attr.getAttributeDefType())) {
	 	  globalValDisplay = StringUtility.wrapString(globalValDisplay, 30, "<br>");
        }
	 }

     Object localValue = AttributeDefHelper.getUdaValue(attr, localProfile,false);

     //PR# ESP-51883 and ESP-53764 - Do not show local values of Company Name and Unique Id
	 EPASSInputControlInterface localControl = null;
	 boolean createLocalControl = true;
	 if( "partnerCode".equalsIgnoreCase((String)attr.getAttribute("code")) ||
			 "partnerName".equalsIgnoreCase((String)attr.getAttribute("code")) ) {
		 createLocalControl = false;
	 }
	 //If the attribute allow overriding of global value, render it as editable control
     if (Boolean.TRUE.equals(attr.isAllowValueOverride()) && createLocalControl ) {
     	localControl = EPASSUiAttributeDefServices.getUDAControl(ref,attr,localValue,30);
	 	// Supplier Hierarchy : if any attribute (ParenProfileName) is enforced to be disabled then enable it.
	 	boolean isEnforcedDisabled  = attr.isEnforceDisabled() != null && attr.isEnforceDisabled().booleanValue();
		if(!isEnforcedDisabled)
		{
       		localControl.setEnabled( allowLocalUpdate );
			editForm.manuallyRegisterFieldToMonotor(localControl);
		}
	 }
	 //Otherwise, just print n/a
	 else{
		 //ESP-51320-start
		 if( createLocalControl ){
		 	if (localValue == null ) {
				localControl = new EPASSGenericStringControl(
						new EPASSAttributeDefStruct(), LIT_NA);
			} else {
				localControl = EPASSUiAttributeDefServices.getUDAControl(ref,attr,localValue,30);
				localControl.setEnabled( false );
			}
	 	}
		//ESP-51320-end
	 }

     StringBuilder sb = new StringBuilder();
        PartnerUiBusinessRules rules = EPASSUiFactorServices.getPartnerUiBusinessRules();
	if ("supplierPerfVisibility".equals(attr.getCode()) && !rules.canAnySellerSeeSPMDataInMyOrg(ref.getOrgID())) {
	// do nothing
	} else {
		sb = getHtmlRowWithGlobalAndLocalValue(globalValDisplay, (localControl != null ? localControl.toString() : ""));
    }

    return sb.toString();
}

StringBuilder getHtmlRowWithGlobalAndLocalValue(String globalValDisplay, String localValDisplay){
	StringBuilder sb = new StringBuilder();
    sb.append("<TD>").append(globalValDisplay).append("</TD>")
    .append("<TD CLASS='POPFORMFIELD'>&nbsp;&nbsp;</TD>")
    .append("<TD CLASS='POPFORMFIELD'>&nbsp;&nbsp;</TD>")
    .append("<TD CLASS='POPFORMFIELD'>")
    .append(localValDisplay).append("</TD>");
    return sb;
}
//-------------------------------------------------------------------------------------------
/* The method creates the top row of the form when the form is viewed by an Organization. In
 * such view both Global and Local values are shown so headers are needed for the columns.
*/
EPASSTableRow getColumnHeadersForOrganization(
        EPASSReferences ref)
        throws EPASSApplicationException {
     EPASSTableRow row =  new EPASSTableRow() ;

     EPASSTableData td =
              new EPASSTableData("<img border='0' src='./img/1x1_trans.gif' width='1' height='25'>");
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry(td );

     td = new EPASSTableData(ref.convertLiteral("form.wizSpStart.title.field_name"));
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry(td );

     td = new EPASSTableData("&nbsp;&nbsp;");
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry(td );

     td = new EPASSTableData("&nbsp;&nbsp;");
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry( td );

     td = new EPASSTableData("&nbsp;&nbsp;");
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry( td );

     td = new EPASSTableData(ref.convertLiteral("form.wizSpStart.title.global_values"));
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry( td );

     td = new EPASSTableData("&nbsp;&nbsp;");
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry( td );

     td = new EPASSTableData("&nbsp;&nbsp;");
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry( td );

     td = new EPASSTableData(ref.convertLiteral("form.wizSpStart.title.local_values"));
     td.setAttribute( "CLASS", "POPFORMLABELCOLUMN" );
     row.addEntry( td );

     return row;
}

//------------------------------------------------------------------------------------
/* This method is used for getting  a form's row for a local attribute, when the form is viewed
 * by an Organization manager. In this view the column where global values are shown in a
 * global attribute row is left empty. The row format is:
 *			Attribute Name     empty column    Local value (editable)
 */
String getLocalRow(
        EPASSReferences ref,
					EPASSHTMLForm editForm,
                    EPASSAttributeDefStruct attr,
        PartnerProfileStruct localProfile,
        boolean allowUpdate)
        throws EPASSApplicationException, RemoteException{
    String globalValDisplay = "n/a";
    //FIXME - tooltip

    //PR#81538 : Field should be read only if visibility is not exposed (write).
    Integer visibility = AttributeDefHelper.isUDAVisible(ref.isUserSeller(), attr);
    allowUpdate = allowUpdate && AttributeDefVisibility.EXPOSED.equals(visibility);
  	//end PR#81538
  	
    Object localValue = AttributeDefHelper.getUdaValue(attr, localProfile,false);

    //PR# ESP-51883 and ESP-53764 - Do not show local values of Company Name and Unique Id
    EPASSInputControlInterface localControl = null;
    if( ! "partnerCode".equalsIgnoreCase((String)attr.getAttribute("code")) ||
    		! "partnerName".equalsIgnoreCase((String)attr.getAttribute("code")) ) {
    	localControl = EPASSUiAttributeDefServices.getUDAControl(ref, attr, localValue, 30);
	    localControl.setEnabled(allowUpdate);
		editForm.manuallyRegisterFieldToMonotor(localControl);
    }
    StringBuffer sb = new StringBuffer();

    PartnerUiBusinessRules rules = EPASSUiFactorServices.getPartnerUiBusinessRules();
	if ("supplierPerfVisibility".equals(attr.getCode()) && !rules.canAnySellerSeeSPMDataInMyOrg(ref.getOrgID())) {
	// do nothing
	} else {
	    sb.append("<TD>").append(globalValDisplay).append("</TD>")
	     .append("<TD CLASS='POPFORMFIELD'>&nbsp;&nbsp;</TD>")
	     .append("<TD CLASS='POPFORMFIELD'>&nbsp;&nbsp;</TD>")
	     .append("<TD CLASS='POPFORMFIELD'>");
	     if( localControl != null ) {
	    	 sb.append(localControl.toString());
		 }
	     sb.append("</TD>");
	     //.append("</TR>");
    }
   return sb.toString();
}

//--------------------------------------------------------------------------------------------
void addRFILinks(EPASSReferences ref,EPASSHTMLForm editForm)
					 							throws EPASSApplicationException, RemoteException{
    // RFI LINK, conditional to the configurable RFI flag, not seen by supplier or admin
    if(EPASSUiRFIServices.getRFIUiBusinessRules().canShowRFILinkForSupplier(ref)){
        EPASSLink link = null;
        EPASSNavFunctionGenerator _navHelper = null;
        //Here the link (url + parameters) is created
        link = new EPASSLink( JSP.FRAMES_RFQ_VIEW, ref );
        link.setParameter( Misc.PARTNER_IDS, ref.getOrgKey().getID() );
        link.setParameter( "approval_mode", ParticipantSide.HOST );
        String buttonCaption = ref.convertLiteral( "form.detailSupplier.header.link_to_rfis" );

        _navHelper = new EPASSNavFunctionGenerator( "javascript:NAV_Popup( top, -1, '?', 700, 900 )" );

        //Here is the link added to the popup function as the first ? place holder
        _navHelper.setParameter( 1, link.toURL() );
        link.toAnchor(_navHelper.getStatement(), buttonCaption );
        EPASSPointerLink plink = new EPASSPointerLink(buttonCaption, _navHelper.getStatement(), ref);
        plink.setEnabled( true );
        plink.lockEnabledFlag();	// Dont let form override

		StringBuffer sb = new StringBuffer();
		sb.append("<TD>").append(plink.toString()).append("</TD>")
     	  .append("<TD CLASS='POPFORMFIELD'>&nbsp;&nbsp;</TD>")
     	  .append("<TD CLASS='POPFORMFIELD'>&nbsp;&nbsp;</TD>")
     	  .append("<TD CLASS='POPFORMFIELD'>&nbsp;&nbsp;</TD>");

        EPASSInputControlInterface ic
                = new EPASSGenericStringControl(new EPASSAttributeDefStruct(), sb.toString());
        editForm.addControl( ref.convertLiteral("form.detailSupplier.header.rfi") ,ic);
    }
}
%>
<%
if(!StringUtility.isEmpty ( request.getParameter (EPASSUiHelpServices.HTML_FORM_DISABLE) ))
	{
%>
<%=  EPASSUiHelpServices.getBubbleInitScript(ref) %>
<%@ include file="include/inc_bubble_tooltip.inc"%>
<% } %>

<%@ include file="include/tail.inc"%>
